# Release Notes

## .NET Core 1.0.3 with SDK RC4 build 004771 released 2/7/2017

Today we are releasing updates to the .NET Core SDK and Visual Studio 2017 RC. Important areas will be highlighted below and you can find additional details on the [.NET Blog](https://blogs.msdn.microsoft.com/dotnet/2017/02/07/announcing-net-core-tools-updates-in-vs-2017-rc) and the [Visual Studio Blog](https://blogs.msdn.microsoft.com/visualstudio/2017/01/26/update-to-visual-studio-2017-release-candidate/).

### Migrating to the new project system

We’re getting close to the final release of .NET Core Tools and Visual Studio 2017 making it a great time to try out the migration tools on your projects. and give us feedback on the experience. If you want to try .NET Core Tools in Visual Studio 2017, visit [Visual Studio 2017 RC](https://www.visualstudio.com/vs/visual-studio-2017-rc/) to download. You’ll need to choose the Web workload when installing.

If you’re using another dev tool on Windows, macOS or Linux, go to the [.NET Core RC Download](https://github.com/dotnet/core/blob/main/release-notes/rc4-download.md) for all installation options.

Want a helping hand from Microsoft for migrating your .NET Core and ASP.NET Core projects from project.json to the new VS2017 csproj format? Please click [here](http://landinghub.visualstudio.com/migrate-dotnetcore).

### dotnet new

A great deal of work has gone into `dotnet new` since our last update continuing to improve this important tool. An important thing to know is the default behavior of `dotnet new` no longer defaults to a creating a console template. Details and a walk through can be seen in the [.NET Blog](https://blogs.msdn.microsoft.com/dotnet/2017/02/07/announcing-net-core-tools-updates-in-vs-2017-rc).

### Changes to Docker

Important changes have been made to our tags for this release in the [dotnet repo](https://hub.docker.com/r/microsoft/dotnet/). The `latest` and `nanoserver` tags now utilize the msbuild SDK and are not compatible with project.json projects. Additional details can be seen in the [.NET Blog](https://blogs.msdn.microsoft.com/dotnet/2017/02/07/announcing-net-core-tools-updates-in-vs-2017-rc).

### Changes to Supported Linux Distros

[Fedora 23](https://lists.fedoraproject.org/archives/list/announce@lists.fedoraproject.org/thread/OHFCBTYXAO6NBH5BZZI3VIMIIL2ODFP5/) and [openSUSE 13.2](https://lists.opensuse.org/opensuse-security-announce/2017-01/msg00033.html) recently went out of support, per their respective project lifecycle. As a result, we are now no longer supporting or building for Fedora 23 and openSUSE 13.2.

We will be publishing a more formal policy on Linux distro support, in particular on managing end-of-life of distros. There will be opportunity for feedback on the policy before it is finalized.
