# Contributions to .NET Core 2.0 Preview 2

We're still working out the best way to present contributors and trying to be as accurate as possible. The list below is generated with the following command listed below in an attempt to capture all contributions which have gone into .NET Core 2.0 Preview 2. Where multiple email addresses were returned for a single person, the counts were aggregated with the email address reported the most commits.

```bash
git shortlog -sne --no-merges --since release/2.0.0@{2017-05-05} --until release/2.0.0@{2017-06-07}
```

When you navigate to a contributors commit page, the results are not filtered by release so more commits than are listed below will be shown.

* [CLI](#cli)
* [CoreCLR](#coreclr)
* [CoreFX](#corefx)
* [WCF](#wcf)

## CLI

* [Livar Cunha (57)](https://github.com/dotnet/cli/commits/release/2.0.0?author=livar@live.com)
* [Mike Lorbetske (39)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mike.lorbetske@n3-p.com)
* [Nick Guerrera (29)](https://github.com/dotnet/cli/commits/release/2.0.0?author=nicholg@microsoft.com)
* [John Beisner (28)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jbeisner@microsoft.com)
* [Eric Erhardt (22)](https://github.com/dotnet/cli/commits/release/2.0.0?author=eric.erhardt@microsoft.com)
* [William Li (21)](https://github.com/dotnet/cli/commits/release/2.0.0?author=wul@microsoft.com)
* [Livar (14)](https://github.com/dotnet/cli/commits/release/2.0.0?author=licavalc@microsoft.com)
* [Daniel Plaisted (8)](https://github.com/dotnet/cli/commits/release/2.0.0?author=daplaist@microsoft.com)
* [Rainer Sigwald (5)](https://github.com/dotnet/cli/commits/release/2.0.0?author=raines@microsoft.com)
* [Justin Emgarten (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=justin@emgarten.com)
* [Vijay Ramakrishnan (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=vramak@microsoft.com)
* [Ashley Hauck (4)](https://github.com/dotnet/cli/commits/release/2.0.0?author=ashauck@microsoft.com)
* [Kevin Ransom (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=kevinr@microsoft.com)
* [Steve Sanderson (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=SteveSandersonMS@users.noreply.github.com)
* [Mikkel Nylander Bundgaard (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mikkelbu@gmail.com)
* [Enrico Sada (3)](https://github.com/dotnet/cli/commits/release/2.0.0?author=enrico@sada.io)
* [Ankit Mishra (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=anmishr@microsoft.com)
* [Ashish Jain (NUGET) (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=asja@microsoft.com)
* [Matt Ellis (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=matell@microsoft.com)
* [Nat Ayewah (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=nayewah@microsoft.com)
* [Nikolche Kolev (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=nikolev@microsoft.com)
* [faahmad (2)](https://github.com/dotnet/cli/commits/release/2.0.0?author=faahmad@FAAHMAD-DEV32)
* [jonsequitur (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=jonsequeira@gmail.com)
* [Mardoxx (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mardoxx@gmail.com)
* [SaeHie Park (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=saehie.park@samsung.com)
* [Kevin Ransom (msft) (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=codecutter.fsharp@hotmail.com)
* [James Lanng (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=james@jltc.co.uk)
* [William Lee (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=xingmu33@gmail.com)
* [Faizan2304 (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=faizan2304@hotmail.com)
* [Zbyněk Sailer (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=v-zbsail@microsoft.com)
* [Arun Mahapatra (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=armahapa@microsoft.com)
* [Matt Mitchell (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=mmitche@microsoft.com)
* [Omair Majid (1)](https://github.com/dotnet/cli/commits/release/2.0.0?author=omajid@redhat.com)

## CoreCLR

* [Brian Robbins (19)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=brianrob@microsoft.com)
* [wtgodbe (10)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=wigodbe@microsoft.com)
* [Steve MacLean, Qualcomm Datacenter Technologies, Inc (9)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sdmaclea@qti.qualcomm.com)
* [Jan Kotas (8)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jkotas@microsoft.com)
* [Pat Gavlin (7)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=pagavlin@microsoft.com)
* [Mike McLaughlin (6)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mikem@microsoft.com)
* [Pat Gavlin (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=pgavlin@gmail.com)
* [Sergey Andreenko (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=seandree@microsoft.com)
* [jashook (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jashoo@microsoft.com)
* [Swaroop Sridhar (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=swaroops@microsoft.com)
* [Jonghyun Park (5)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=parjong@gmail.com)
* [Mukul Sabharwal (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mjsabby@gmail.com)
* [Drew Scoggins (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=anscoggi@microsoft.com)
* [Tarek Mahmoud Sayed (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tarekms@microsoft.com)
* [Tanner Gooding (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=tagoo@outlook.com)
* [Wes Haggard (4)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=Wes.Haggard@microsoft.com)
* [Joseph Tremoulet (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jotrem@microsoft.com)
* [Jan Vorlicek (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=janvorli@microsoft.com)
* [Koundinya Veluri (3)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=kouvel@microsoft.com)
* [Alex Ghiondea (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=AlexGhiondea@users.noreply.github.com)
* [Davis Goodin (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=dagood@microsoft.com)
* [Drew Scoggins (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=anscoggi@microsoft.com)
* [Gaurav Khanna (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=gkhanna@microsoft.com)
* [Jeremy Kuhne (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jeremy.kuhne@microsoft.com)
* [Justin Van Patten (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jvp@justinvp.com)
* [Stephen Toub (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=stoub@microsoft.com)
* [Steve MacLean (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sdmaclea@qti.qualcomm.com)
* [Sujin Kim (2)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sjsujin.kim@samsung.com)
* [Sean Gillespie (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sean@swgillespie.me)
* [Sepideh Khoshnood (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=sekho@microsoft.com)
* [Michelle McDaniel (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=adiaaida@gmail.com)
* [Atsushi Kanamori (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=atsushik@microsoft.com)
* [mskvortsov (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mikhael.skvortsov@gmail.com)
* [Krzysztof Wicher (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=mordotymoja@gmail.com)
* [Andy Ayers (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=andya@microsoft.com)
* [Karthik Rajasekaran (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=karajas@microsoft.com)
* [José Rivero (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jorive@microsoft.com)
* [Jose Perez Rodriguez (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=joperezr@microsoft.com)
* [Viktor Hofer (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=viktor.hofer@microsoft.com)
* [Jarret Shook (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=jashoo@microsoft.com)
* [Igor Kulaychuk (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=igor.kulaychuk@gmail.com)
* [Xiangyang (Mark) Guo (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=xiangyang.guo@intel.com)
* [chunseoklee (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=chunseoklee@naver.com)
* [Daniel Podder (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=dapodd@microsoft.com)
* [Morgan Brown (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=morganbr@users.noreply.github.com)
* [Russell Hadley (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=rhadley@microsoft.com)
* [Sebastian Lauber (1)](https://github.com/dotnet/coreclr/commits/release/2.0.0?author=slauber@users.noreply.github.com)

## CoreFX

* [Stephen Toub (98)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=stoub@microsoft.com)
* [Hugh Bellamy (36)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=hughbellars@gmail.com)
* [Viktor Hofer (21)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=viktor.hofer@microsoft.com)
* [Eric St. John (16)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ericstj@microsoft.com)
* [Dan Moseley (15)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=danmose@microsoft.com)
* [Atsushi Kanamori (14)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=atsushik@microsoft.com)
* [Wes Haggard (12)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Wes.Haggard@microsoft.com)
* [Jeremy Barton (11)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jbarton@microsoft.com)
* [Santiago Fernandez Madero (10)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=safern@microsoft.com)
* [Atsushi Kanamori (8)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=AtsushiKan@users.noreply.github.com)
* [Lakshmi Priya Sekar (8)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=lasekar@microsoft.com)
* [Shin Mao (8)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=shmao@microsoft.com)
* [Jeremy Kuhne (8)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jeremy.kuhne@microsoft.com)
* [Morgan Brown (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=morganbr@users.noreply.github.com)
* [Cory Rivera (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=corivera@microsoft.com)
* [Sepideh Khoshnood (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sekho@microsoft.com)
* [Santiago Fernandez (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=safern@microsoft.com)
* [Saurabh Singh (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=saurabh500@users.noreply.github.com)
* [Krzysztof Wicher (7)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mordotymoja@gmail.com)
* [Eric Mellino (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=erme@microsoft.com)
* [Eric StJohn (5)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ericstj@microsoft.com)
* [Vance Morrison (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=vancemorrison@comcast.net)
* [Geoff Kizer (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=geoffrek)
* [Tarek Mahmoud Sayed (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tarekms@microsoft.com)
* [Krzysztof Wicher (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=kwicher@microsoft.com)
* [Ian Hays (4)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ianha@microsoft.com)
* [Matt Ellis (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=matell@microsoft.com)
* [Cristian Pop (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Cristian.Pop@microsoft.com)
* [Frédéric Ringenbach (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=fringenbach@gmail.com)
* [Jiayi Li (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-lijiay@microsoft.com)
* [Jose Perez Rodriguez (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=joperezr@microsoft.com)
* [Liudmila Molkova (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=lmolkova@microsoft.com)
* [Matt Galbraith (3)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mattgal@microsoft.com)
* [Matt Mitchell (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mmitche@microsoft.com)
* [Jiyoung Yun (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jy910.yun@samsung.com)
* [Alex Ghiondea (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=AlexGhiondea@users.noreply.github.com)
* [Huangli Wu (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=huanwu@microsoft.com)
* [Wes Haggard (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=weshaggard@users.noreply.github.com)
* [stephenmichaelf (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=stephenmichaelf@gmail.com)
* [Saurabh Singh (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=saurabh500@gmail.com)
* [Lakshmi Priya Sekar (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Priya91@users.noreply.github.com)
* [Karel Zikmund (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=karelz@microsoft.com)
* [Koundinya Veluri (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=kouvel@microsoft.com)
* [Martin Baulig (2)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mabaul@microsoft.com)
* [Dongbo Wang (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=dongbow@microsoft.com)
* [Steve Harter (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=steveharter@users.noreply.github.com)
* [Sven Boemer (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=sbomer@gmail.com)
* [Cristian Pop (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=CIPop@users.noreply.github.com)
* [Tomáš Matoušek (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=tmat@users.noreply.github.com)
* [Chris Rummel (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=crummel@microsoft.com)
* [Carol Wang (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=v-carwan@microsoft.com)
* [Vladyslav (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=vladyslav.kochin@gmail.com)
* [Brian Robbins (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=brianrob@microsoft.com)
* [Anatoly Zhmur (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=azhmur@gmail.com)
* [Justin Van Patten (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jvp@justinvp.com)
* [Joseph Musser (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=me@jnm2.com)
* [Julien Couvreur (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jcouv@microsoft.com)
* [Alex Ghiondea (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=ghiondea.alexandru@microsoft.com)
* [Matt Connew (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=mconnew@microsoft.com)
* [vsadov (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=vsadov@microsoft.com)
* [Jason Lin (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=Jason.Lin@microsoft.com)
* [Robert Anderson (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=shiftylogic@users.noreply.github.com)
* [Jan Kotas (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=jkotas@microsoft.com)
* [Gene Lee (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=gelee@microsoft.com)
* [Gaurav Khanna (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=gkhanna@microsoft.com)
* [Eric Erhardt (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=eric.erhardt@microsoft.com)
* [Stephen A. Imhoff (1)](https://github.com/dotnet/corefx/commits/release/2.0.0?author=clockwork-muse@outlook.com)

## WCF

* [Stephen Bonikowsky (14)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=stebon@microsoft.com)
* [Zhenlan Wang (3)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=zhenlwa@microsoft.com)
* [Matt Connew (2)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=mconnew@microsoft.com)
* [KKhurin (2)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=kkhurin@microsoft.com)
* [Tarek Mahmoud Sayed (2)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=tarekms@microsoft.com)
* [Shin Mao (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=shmao@microsoft.com)
* [hongdai (1)](https://github.com/dotnet/wcf/commits/release/2.0.0?author=hongdai@microsoft.com)