# Commits to .NET Core 2.1.5 and .NET Core SDK 2.1.403

This is a curated list of commits across the .NET Core 2.1.5 development cycle.

* [CoreCLR](#coreclr)
* [CoreFX](#corefx)
* [EntityFrameworkCore](#entityframeworkcore)
* [MVC](#mvc)
* [SignalR](#signalr)
* [Templating](#templating)
* [IISIntegration](#iisintegration)

## CoreCLR

* 2018-09-11 - [`[cb730c5c1e]`](https://github.com/dotnet/coreclr/commit/cb730c5c1e) Fix callKillSet for CORINFO_HELP_ASSIGN_BYREF on x64. (#19780) (#19803)
* 2018-09-11 - [`[d05c93d373]`](https://github.com/dotnet/coreclr/commit/d05c93d373) Port Fix ICU load on OpenSUSE Tumbleweed to 2.1 (#19861)
* 2018-08-31 - [`[a25682cdcf]`](https://github.com/dotnet/coreclr/commit/a25682cdcf) Determine memory load based on cgroup usage. (#19518) (#19650)
* 2018-08-28 - [`[9663131aec]`](https://github.com/dotnet/coreclr/commit/9663131aec) Fix a PAL spin lock issue (#19606)
* 2018-08-24 - [`[eae0a38b81]`](https://github.com/dotnet/coreclr/commit/eae0a38b81) Fix stepping issues in ARM debugging (#19255)
* 2018-08-24 - [`[f706053851]`](https://github.com/dotnet/coreclr/commit/f706053851) Fix stepping issues in ARM debugging (#19255)
* 2018-08-24 - [`[5db8cec4e9]`](https://github.com/dotnet/coreclr/commit/5db8cec4e9) Fix stepping issues in ARM debugging (#19255)
* 2018-08-24 - [`[70e26d060f]`](https://github.com/dotnet/coreclr/commit/70e26d060f) Fix stepping issues in ARM debugging (#19255)
* 2018-08-24 - [`[de90cbd4dd]`](https://github.com/dotnet/coreclr/commit/de90cbd4dd) Fix stepping issues in ARM debugging (#19255)
* 2018-08-13 - [`[6ddb33afcf]`](https://github.com/dotnet/coreclr/commit/6ddb33afcf) Sign xstate binary from correct location (#19470)
* 2018-08-07 - [`[67a2105a01]`](https://github.com/dotnet/coreclr/commit/67a2105a01) Add Tizen 5.0 RID
* 2018-08-02 - [`[594400d009]`](https://github.com/dotnet/coreclr/commit/594400d009) Fix version of System.Runtime.Intrinsics.Experimental (#19260)
* 2018-07-31 - [`[760418ee6e]`](https://github.com/dotnet/coreclr/commit/760418ee6e) JIT: port extra check to struct of struct of x promotion to relase/2.1

## CoreFX

* 2018-09-13 - [`[be79afda4d]`](https://github.com/dotnet/corefx/commit/be79afda4d) [release/2.1] Fix windows auth when we receive a 401 after auth completes (#32243)
* 2018-09-12 - [`[76b3ac0136]`](https://github.com/dotnet/corefx/commit/76b3ac0136) Pin version of S.D.DiagnosticSource on non-netfx platforms
* 2018-09-06 - [`[ab121ec606]`](https://github.com/dotnet/corefx/commit/ab121ec606) [2.1] Port "Do not expand stacktraces when completion exception is rethrown multiple times" (#31680)
* 2018-09-06 - [`[ebc79f6489]`](https://github.com/dotnet/corefx/commit/ebc79f6489) Ensure that TrySetECDHNamedCurve is always called, enabling ECDHE ciphersuites (#32034)
* 2018-08-27 - [`[83ac6fa606]`](https://github.com/dotnet/corefx/commit/83ac6fa606) [release/2.1] Fix Granularity for copy operation on unix (#31046)
* 2018-08-27 - [`[81a99c51fe]`](https://github.com/dotnet/corefx/commit/81a99c51fe) Fix Icon overflow bug when image entry is a PNG file
* 2018-08-21 - [`[5af7a6b967]`](https://github.com/dotnet/corefx/commit/5af7a6b967) Increate ReadAsyncCompletesIfFlushAsyncCanceledMidFlush timeout to 5 minutes (#31745)
* 2018-08-21 - [`[d8e222dfd9]`](https://github.com/dotnet/corefx/commit/d8e222dfd9) Limit ReadAsyncCompletesIfFlushAsyncCanceledMidFlush iteration count
* 2018-08-21 - [`[bee0e9df4d]`](https://github.com/dotnet/corefx/commit/bee0e9df4d) Syncronize cancellation in ReadAsyncCompletesIfFlushAsyncCanceledMidFlush (#31365)
* 2018-08-21 - [`[141c2f4ce3]`](https://github.com/dotnet/corefx/commit/141c2f4ce3) Fix ReadAsync not returning when cancellation token fires during FlushAsync (#31212)
* 2018-08-14 - [`[f4e9110b2f]`](https://github.com/dotnet/corefx/commit/f4e9110b2f) Fix looking up headers on HttpClient response (#31550)
* 2018-08-10 - [`[3c735e45ec]`](https://github.com/dotnet/corefx/commit/3c735e45ec) Removing Fedora 26 and adding 28 as appropriate.
* 2018-08-09 - [`[c6950db679]`](https://github.com/dotnet/corefx/commit/c6950db679) add back parsing for simple configuration (#31314) (#31367)
* 2018-08-09 - [`[d6f8efc8be]`](https://github.com/dotnet/corefx/commit/d6f8efc8be) improve port parsing to be more resilient against trailing characters (#31232) (#31327)
* 2018-08-09 - [`[f602b2117a]`](https://github.com/dotnet/corefx/commit/f602b2117a) Fix HttpWebRequest when using system proxy settings (#31123)
* 2018-08-07 - [`[7993de4d2a]`](https://github.com/dotnet/corefx/commit/7993de4d2a) Add macOS 10.14 Mojave to the RID graph  (#31548)
* 2018-08-03 - [`[95f382a9f2]`](https://github.com/dotnet/corefx/commit/95f382a9f2) Handle NT auth with Connection: close on initial challenge #31527
* 2018-07-24 - [`[cf41dcce70]`](https://github.com/dotnet/corefx/commit/cf41dcce70) Handle overflow in uname -r (#31261)
* 2018-07-24 - [`[d438da4875]`](https://github.com/dotnet/corefx/commit/d438da4875) Ensure that exporting an unsorted attributes signed payload doesn't sort them.
* 2018-07-24 - [`[2f8e2bb0c5]`](https://github.com/dotnet/corefx/commit/2f8e2bb0c5) Allow SignedCms to verify documents whose signer didn't sort attributes.
* 2018-07-18 - [`[16cf9914d7]`](https://github.com/dotnet/corefx/commit/16cf9914d7) Port of 'Ensure ConcurrentBag's TryTake is linearizable' again

## EntityFrameworkCore

* 2018-08-28 - [`[2b2b13c]`](https://github.com/aspnet/EntityFrameworkCore/commit/2b2b13c) Fix to #12575 - Query: compilation error for query with SelectMany optional navigation followed by a Select optional navigation
* 2018-08-28 - [`[7486099]`](https://github.com/aspnet/EntityFrameworkCore/commit/7486099) Fix to #10153 - Query: add translator for Nullable<>.GetValueOrDefault()
* 2018-08-28 - [`[ec36f0b]`](https://github.com/aspnet/EntityFrameworkCore/commit/ec36f0b) [2.1.5] Query: Fix entity equality on navigation accessed on subquery
* 2018-08-28 - [`[5c3bed8]`](https://github.com/aspnet/EntityFrameworkCore/commit/5c3bed8) [2.1.5] Query: Improve logic to find underlying property for projection
* 2018-08-28 - [`[383a589]`](https://github.com/aspnet/EntityFrameworkCore/commit/383a589) [2.1.4] Query: Make `MethodInfoBasedNodeTypeRegistryFactory` best possible singleton service Resolves #12682
* 2018-08-13 - [`[bafba06]`](https://github.com/aspnet/EntityFrameworkCore/commit/bafba06) Ensure each in-memory test fixture uses a different named database

## MVC

* 2018-08-14 - [`[5e20c31]`](https://github.com/aspnet/Mvc/commit/5e20c31) Array or List in query string does not get parsed #7712 (#7967)

## SignalR

* 2018-09-18 - [`[bc148a0]`](https://github.com/aspnet/SignalR/commit/bc148a0) Incorrect nameof usage (#2967)
* 2018-09-10 - [`[399ac26]`](https://github.com/aspnet/SignalR/commit/399ac26) Cancel previous request on close (#2923)
* 2018-09-04 - [`[753c3da]`](https://github.com/aspnet/SignalR/commit/753c3da) Avoid ODE in tests with Server logging (#2742) (#2907)
* 2018-08-28 - [`[04c606d]`](https://github.com/aspnet/SignalR/commit/04c606d) LongPolling: Setting connection to inactive while there is still an active poll (#2769)
* 2018-08-28 - [`[fd53f84]`](https://github.com/aspnet/SignalR/commit/fd53f84) TypeScript improvements and tslib dep (#2808)
* 2018-08-07 - [`[fc8979a]`](https://github.com/aspnet/SignalR/commit/fc8979a) Update TS docs for docs.microsoft.com generation (#2605)

## Templating

* 2018-08-28 - [`[9c28f95]`](https://github.com/aspnet/Templating/commit/9c28f95) Add Microsoft.AspNetCore.Razor.Design to templates (#674)

## IISIntegration

* 2018-08-30 - [`[922298b]`](https://github.com/aspnet/IISIntegration/commit/922298b) Add rc file as an include for ANCMV1 (#1284) (#1344)
* 2018-08-28 - [`[68e6b7e]`](https://github.com/aspnet/IISIntegration/commit/68e6b7e) Update ANCM version to 12.1 (#1286)
* 2018-08-28 - [`[0374828]`](https://github.com/aspnet/IISIntegration/commit/0374828) Add commit hash to V1 description (#1281)
* 2018-08-28 - [`[5f20f2a]`](https://github.com/aspnet/IISIntegration/commit/5f20f2a) Update schema for ANCMv1 (#1276)
* 2018-08-28 - [`[cc26d97]`](https://github.com/aspnet/IISIntegration/commit/cc26d97) Remove early dereference of ASPNETCORE_PORT env var (#1274)
* 2018-08-28 - [`[338af6f]`](https://github.com/aspnet/IISIntegration/commit/338af6f) Reduce probability of startup port collisions (#1273)