# Contributions to .NET Core 3.0

We would like to thank all of the community members who contributed to this release. These contributions are important to the health and growth of .NET Core - Thank You!

```bash
git shortlog -sne --no-merges [commit sha range for the release]
```

* [AspNetCore](#aspnetcore)
* [CLI](#cli)
* [CoreCLR](#coreclr)
* [CoreFX](#corefx)
* [Core-SDK](#core-sdk)
* [Core-Setup](#core-setup)
* [EntityFrameworkCore](#entityframeworkcore)
* [WCF](#wcf)
* [WPF](#wpf)

## AspNetCore

[Ben Adams (70)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=thundercat@illyriad.co.uk)
[Alessio Franceschelli (14)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=alessio@franceschelli.me)
[Kahbazi (10)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=A.Kahbazi@gmail.com)
[Martin Costello (5)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=martin@martincostello.com)
[Stafford Williams (5)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=staff0rd@users.noreply.github.com)
[huysentruitw (5)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=wouter_huysentruit@hotmail.com)
[Nick Darvey (4)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=nickdarvey@outlook.com.au)
[Mickaël Derriey (4)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=mderriey@gmail.com)
[WuYafeng (3)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=wuyafeng909099000@qq.com)
[Gérald Barré (3)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=meziantou@users.noreply.github.com)
[Steven T. Cramer (3)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=SteveTCramer@gmail.com)
[Carlos J. Aliaga (2)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=carlos@cjaliaga.net)
[dudu (2)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=dudu@cnblogs.com)
[Adrian Wright (2)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=awright@keeresources.com)
[Nikita Potapenko (2)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=dev.potapy4@hotmail.com)
[Patrick Westerhoff (2)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=PatrickWesterhoff@gmail.com)
[saluce65 (2)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=shawn@saluce.com)
[Balint Farkas (2)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=balint.farkas@windowslive.com)
[Luke Latham (2)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=1622880+guardrex@users.noreply.github.com)
[Matthias Laroche (2)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=larochematthias@gmail.com)
[Kirill Rakhman (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=kirill.rakhman@gmail.com)
[Kirk Larkin (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=6025110+serpent5@users.noreply.github.com)
[Kristian Hellang (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=kristian@hellang.com)
[Loïc Sharma (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=sharma.loic@gmail.com)
[Marcel (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=marcelcroes24@gmail.com)
[Daniel Marbach (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=daniel.marbach@openplace.net)
[Martin Gubis (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=35179604+mgubis@users.noreply.github.com)
[Martin Stenhoff (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=martin.stenhoff@team.telstra.com)
[Massimo Prota (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=biste5@gmail.com)
[Matheus Marques (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=marquesm91@gmail.com)
[Chris S (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=chrisasmall+github@gmail.com)
[Maxim Dukhanov (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=m.dukhanov@gmail.com)
[Chirag Rupani (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=36813124+ChiragRupani@users.noreply.github.com)
[Casey Western (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=westerncj6@gmail.com)
[Carlos Jiménez Aliaga (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=carlos@cjaliaga.net)
[Nathan (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=natery2000@gmail.com)
[Neil Bostrom (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=github@silvergames.net)
[Bruno Costa (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=bcosta10@gmail.com)
[Nick Sullivan (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=nicksull12@gmail.com)
[Nikita Potapenko (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=18706421+Potapy4@users.noreply.github.com)
[Bruno (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=bruno@ironhidegames.com)
[Brian Chavez (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=bchavez@bitarmory.com)
[Bill Barry (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=after.fallout@gmail.com)
[Arthur Irgashev (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=arthur.irgashev@gmail.com)
[Steve Gordon (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=sgordon@hotmail.co.uk)
[TeBeCo (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=tebeco@gmail.com)
[Thiez (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=thiezz@gmail.com)
[Thomas Levesque (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=thomaslevesque@users.noreply.github.com)
[TimTim (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=i@timtim.hk)
[Vakhtangi Abashidze (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=VakhtangiAbashidze@gmail.com)
[Wouter Huysentruit (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=wouter_huysentruit@hotmail.com)
[Andrei Amialchenia (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=flash2048@gmail.com)
[YPTopMan (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=distinctiveangle@outlook.com)
[Zachary Becknell (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=zbecknell@users.noreply.github.com)
[bordecal (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=calinoiu@gmail.com)
[dannyBies (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=dannyvdbiezen@outlook.com)
[Alexey Malinin (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=amalininhere@gmail.com)
[Alexej Timonin (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=alexejtimonin@gmail.com)
[Alexander Tsoi (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=aliaksandr.tsoi@gmail.com)
[huysentruitw (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=wouter@huysentruit.be)
[kishanAnem (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=kishan3034@gmail.com)
[mnltejaswini (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=mnl.tejaswini@gmail.com)
[penenkel (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=penenkel@users.noreply.github.com)
[shnja (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=shnja@sh4n.com)
[sprelog (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=sprelog@stackoverflow.com)
[Howard Richards (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=dev@conficient.com)
[Hisham Bin Ateya (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=hishamco_2007@yahoo.com)
[Henk Mollema (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=henkmollema@gmail.com)
[Jeow Li Huan (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=huan086@users.noreply.github.com)
[Jeremy Lawrence (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=jklawrence@users.noreply.github.com)
[Jiping (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=WangJiping@gmail.com)
[John Mazouri (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=jmazouri@users.noreply.github.com)
[Joni (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=jonijpn@gmail.com)
[Joseph Musser (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=me@jnm2.com)
[JulijaRamoskiene (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=Julija.Ramoskiene@bentley.com)
[Justin Dearing (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=zippy1981@gmail.com)
[Günther Foidl (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=gue@korporal.at)
[Fabien Barbier (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=8518235+GoldenCrystal@users.noreply.github.com)
[Dániel Lőczi (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=danielloczi@users.noreply.github.com)
[Kahbazi (1)](https://github.com/aspnet/AspNetCore/commits/release/3.0?author=a.kahbazi@gmail.com)

## CLI

[Thomas Gassmann (16)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=thomas.gassmann@hotmail.com)
[Michael Bisbjerg (11)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=michael@mbwarez.dk)
[jalalx (6)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=sjamini@gmail.com)
[Nikita Potapenko (5)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=dev.potapy4@gmail.com)
[dsychin (4)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=chin.sy.des@gmail.com)
[Desmond Chin (3)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=chin.sy.des@gmail.com)
[Adeel (2)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=adeelbm@outlook.com)
[dasMulli (2)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=dasMulli)
[Vincent Nwonah (1)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=vnwonah@outlook.com)
[Jalal Khordadi (1)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=sjamini@gmail.com)
[mistachkin (1)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=joe@mistachkin.com)
[Dan Shechter (1)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=dans@houmus.org)
[Ahmad Luqman (1)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=ahmad.luqman@gmail.com)
[Nikita Potapenko (1)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=dev.potapy4@hotmail.com)
[Omair Majid (1)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=omajid@redhat.com)
[Per Jahn (1)](https://github.com/dotnet/cli/commits/release/3.0.1xx?author=per.jahn@collectorbank.se)

## Core-SDK

[ggobbe (1)](https://github.com/dotnet/core-sdk/commits/release/3.0.1xx?author=ggobbe@users.noreply.github.com)
[Henk Mollema (1)](https://github.com/dotnet/core-sdk/commits/release/3.0.1xx?author=henkmollema@gmail.com)
[Kexy Biscuit (1)](https://github.com/dotnet/core-sdk/commits/release/3.0.1xx?author=kexybiscuit@outlook.com)
[Mikkel Krautz (1)](https://github.com/dotnet/core-sdk/commits/release/3.0.1xx?author=mikkel@krautz.dk)
[akharlov (1)](https://github.com/dotnet/core-sdk/commits/release/3.0.1xx?author=harl_aa@skbkontur.ru)

## CoreCLR

[Filip Navara (52)](https://github.com/dotnet/coreclr/commits/release/3.0?author=filip.navara@gmail.com)
[Ben Adams (43)](https://github.com/dotnet/coreclr/commits/release/3.0?author=thundercat@illyriad.co.uk)
[Mike Danes (28)](https://github.com/dotnet/coreclr/commits/release/3.0?author=onemihaid@hotmail.com)
[Fei Peng (19)](https://github.com/dotnet/coreclr/commits/release/3.0?author=fei.peng@intel.com)
[Andrew Hoefling (18)](https://github.com/dotnet/coreclr/commits/release/3.0?author=andrew@hoeflingsoftware.com)
[Adeel (16)](https://github.com/dotnet/coreclr/commits/release/3.0?author=adeelbm@outlook.com)
[Nick Schonning (13)](https://github.com/dotnet/coreclr/commits/release/3.0?author=nschonni@gmail.com)
[Brian Bohe (12)](https://github.com/dotnet/coreclr/commits/release/3.0?author=brianbohe@gmail.com)
[Omair Majid (11)](https://github.com/dotnet/coreclr/commits/release/3.0?author=omajid@redhat.com)
[Grant (8)](https://github.com/dotnet/coreclr/commits/release/3.0?author=grant@jesanna.com)
[mikedn (7)](https://github.com/dotnet/coreclr/commits/release/3.0?author=onemihaid@hotmail.com)
[Adeel Mujahid (7)](https://github.com/dotnet/coreclr/commits/release/3.0?author=adeelbm@outlook.com)
[Suchiman (7)](https://github.com/dotnet/coreclr/commits/release/3.0?author=robinsue@live.de)
[kasper3 (6)](https://github.com/dotnet/coreclr/commits/release/3.0?author=33230602+kasper3@users.noreply.github.com)
[Fei Peng (6)](https://github.com/dotnet/coreclr/commits/release/3.0?author=feipeng.compiler@gmail.com)
[Hugh Bellamy (5)](https://github.com/dotnet/coreclr/commits/release/3.0?author=hughbellars@gmail.com)
[Gleb Balykov (5)](https://github.com/dotnet/coreclr/commits/release/3.0?author=g.balykov@samsung.com)
[Marco Rossignoli (4)](https://github.com/dotnet/coreclr/commits/release/3.0?author=marco.rossignoli@gmail.com)
[Ilia (3)](https://github.com/dotnet/coreclr/commits/release/3.0?author=ki.stfu@gmail.com)
[Andrey Kvochko (3)](https://github.com/dotnet/coreclr/commits/release/3.0?author=a.kvochko@samsung.com)
[Gergely Kalapos (3)](https://github.com/dotnet/coreclr/commits/release/3.0?author=gergo@kalapos.net)
[jashook (3)](https://github.com/dotnet/coreclr/commits/release/3.0?author=jarret_shook@outlook.com)
[Andrey Kvochko (3)](https://github.com/dotnet/coreclr/commits/release/3.0?author=kvochko@users.noreply.github.com)
[Konstantin Baladurin (3)](https://github.com/dotnet/coreclr/commits/release/3.0?author=k.baladurin@samsung.com)
[Rafael Lillo (2)](https://github.com/dotnet/coreclr/commits/release/3.0?author=rafa_lillo@outlook.com)
[Fawad Halim (2)](https://github.com/dotnet/coreclr/commits/release/3.0?author=fawad@fawad.net)
[Markus Kitsinger (2)](https://github.com/dotnet/coreclr/commits/release/3.0?author=root@swooshalicio.us)
[Ganbarukamo41 (2)](https://github.com/dotnet/coreclr/commits/release/3.0?author=ganbarukamo@gmail.com)
[Tamar Christina (2)](https://github.com/dotnet/coreclr/commits/release/3.0?author=48126768+TamarChristinaArm@users.noreply.github.com)
[Yoh Deadfall (2)](https://github.com/dotnet/coreclr/commits/release/3.0?author=yoh.deadfall@hotmail.com)
[Benjamin Bartels (2)](https://github.com/dotnet/coreclr/commits/release/3.0?author=bartels.benjamin@tutanota.de)
[bdebaere (2)](https://github.com/dotnet/coreclr/commits/release/3.0?author=brechtdebaere@yahoo.com)
[Youssef1313 (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=31348972+Youssef1313@users.noreply.github.com)
[alexk000 (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=alexkucherenko7@gmail.com)
[Adam Williams (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=lol768@users.noreply.github.com)
[dschinde (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=dschindelman@gmail.com)
[hamish-rose (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=hamishr@protonmail.com)
[ichensky (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=IChensky@live.com)
[mvandeberg (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=mvandeberg@me.com)
[Filip Navara (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=navara@emcoreclrent.com)
[Foxtrek_64 (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=Foxtrek64@users.noreply.github.com)
[Gregory LEOCADIE (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=gregory.leocadie@gmail.com)
[Günther Foidl (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=gue@korporal.at)
[Han Lee (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=han.lee@intel.com)
[Herman Eldering (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=HermanEldering@users.noreply.github.com)
[Honza Rameš (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=ramejan@gmail.com)
[Ilia K (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=ki.stfu@gmail.com)
[Ilya (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=darpa@yandex.ru)
[Elliot Prior (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=1709938+Quogu@users.noreply.github.com)
[Dávid Kaya (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=mail@davidkaya.sk)
[Jim (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=10913919+jimdemis@users.noreply.github.com)
[John (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=johnkellyoxford@gmail.com)
[Clinton Ingram (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=clinton.ingram@outlook.com)
[Julius R Friedman (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=juliusfriedman@users.noreply.github.com)
[Justin Van Patten (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=jvp@justinvp.com)
[Kai Ruhnau (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=Kai.Ruhnau@live.com)
[Kirill Frolov (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=k.frolov@samsung.com)
[Charles Milette (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=me@charlesmilette.net)
[Leslie Zhai (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=xiangzhai83@gmail.com)
[Calum Grant (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=42069085+calumgrant@users.noreply.github.com)
[Blake Hensley (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=jbhensley@users.noreply.github.com)
[Marlon Regenhardt (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=marlon.r@hotmail.de)
[Mathias Lykkegaard Lorenzen (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=mathias.lorenzen@live.com)
[Meir Blachman (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=meirblachman@gmail.com)
[Bastian Schmidt (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=batzen@gmx.org)
[Mike Marynowski (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=mikernet@users.noreply.github.com)
[Ayende Rahien (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=ayende@ayende.com)
[Mikhail Aksenov (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=m.aksenov@samsung.com)
[simplejackcoder (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=40817635+simplejackcoder@users.noreply.github.com)
[Nick Craver (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=nrcraver@gmail.com)
[Avi Avni (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=avi.avni@gmail.com)
[Nikita Potapenko (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=dev.potapy4@hotmail.com)
[Raz Friman (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=raz.friman@razfriman.com)
[Roman Marusyk (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=Marusyk@users.noreply.github.com)
[Rui (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=ritchxu@gmail.com)
[Ao Qi (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=6079963+theaoqi@users.noreply.github.com)
[Andrii Siriak (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=siryaka@gmail.com)
[Stanislav Ushakov (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=StanislavUshakov@users.noreply.github.com)
[Alexej Liebenthal (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=13908853+AlexejLiebenthal@users.noreply.github.com)
[Tamás Csala (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=icyplusplus@gmail.com)
[Akihisa Yagi (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=capra314cabra@gmail.com)
[Thays Grazia (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=thaystg@gmail.com)
[Tom Deseyn (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=tom.deseyn@gmail.com)
[Varun Venkatesan (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=varun.k.venkatesan@intel.com)
[Will Cohen (1)](https://github.com/dotnet/coreclr/commits/release/3.0?author=william.cohen@infotrack.com.au)

## CoreFX

[Wraith2 (109)](https://github.com/dotnet/corefx/commits/release/3.0?author=wraith2@gmail.com)
[Nick Schonning (51)](https://github.com/dotnet/corefx/commits/release/3.0?author=nschonni@gmail.com)
[Hugh Bellamy (41)](https://github.com/dotnet/corefx/commits/release/3.0?author=hughbellars@gmail.com)
[Marco Rossignoli (30)](https://github.com/dotnet/corefx/commits/release/3.0?author=marco.rossignoli@gmail.com)
[Filip Navara (27)](https://github.com/dotnet/corefx/commits/release/3.0?author=filip.navara@gmail.com)
[Ben Adams (20)](https://github.com/dotnet/corefx/commits/release/3.0?author=thundercat@illyriad.co.uk)
[Andrew Hoefling (19)](https://github.com/dotnet/corefx/commits/release/3.0?author=andrew@hoeflingsoftware.com)
[Tom Deseyn (19)](https://github.com/dotnet/corefx/commits/release/3.0?author=tom.deseyn@gmail.com)
[Kevin Jones (11)](https://github.com/dotnet/corefx/commits/release/3.0?author=kevin@vcsjones.com)
[Grant (11)](https://github.com/dotnet/corefx/commits/release/3.0?author=grant@jesanna.com)
[Adeel Mujahid (6)](https://github.com/dotnet/corefx/commits/release/3.0?author=adeelbm@outlook.com)
[Ganbarukamo41 (6)](https://github.com/dotnet/corefx/commits/release/3.0?author=ganbarukamo@gmail.com)
[Christopher Watford (6)](https://github.com/dotnet/corefx/commits/release/3.0?author=christopher.watford@ge.com)
[Erhan Atesoglu (5)](https://github.com/dotnet/corefx/commits/release/3.0?author=47518605+eanova@users.noreply.github.com)
[Omair Majid (5)](https://github.com/dotnet/corefx/commits/release/3.0?author=omajid@redhat.com)
[Daniel Turan (4)](https://github.com/dotnet/corefx/commits/release/3.0?author=daniel.turan@hotmail.com)
[Mandar Sahasrabuddhe (4)](https://github.com/dotnet/corefx/commits/release/3.0?author=WinCPP@users.noreply.github.com)
[Yoh Deadfall (4)](https://github.com/dotnet/corefx/commits/release/3.0?author=yoh.deadfall@hotmail.com)
[Bradley Grainger (3)](https://github.com/dotnet/corefx/commits/release/3.0?author=bgrainger@gmail.com)
[Frederik Carlier (3)](https://github.com/dotnet/corefx/commits/release/3.0?author=frederik.carlier@quamotion.mobi)
[Tim (3)](https://github.com/dotnet/corefx/commits/release/3.0?author=xuchonglei@126.com)
[Alaa Masoud (3)](https://github.com/dotnet/corefx/commits/release/3.0?author=alaa.masoud@live.com)
[Roman Marusyk (3)](https://github.com/dotnet/corefx/commits/release/3.0?author=Marusyk@users.noreply.github.com)
[Jim Demis (3)](https://github.com/dotnet/corefx/commits/release/3.0?author=10913919+jimdemis@users.noreply.github.com)
[Essam Almohammadi (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=eamhm21@hotmail.com)
[Dávid Kaya (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=mail@davidkaya.sk)
[Foxtrek_64 (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=Foxtrek64@users.noreply.github.com)
[Gergely Kalapos (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=gergo@kalapos.net)
[Calvin Buckley (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=calvin@cmpct.info)
[Jiayi (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=14067510+yujayee@users.noreply.github.com)
[Jim (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=10913919+jimdemis@users.noreply.github.com)
[Konstantin Baladurin (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=k.baladurin@samsung.com)
[Blake Hensley (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=jbhensley@users.noreply.github.com)
[Markus Kitsinger (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=root@swooshalicio.us)
[Nikita Potapenko (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=dev.potapy4@hotmail.com)
[Osman Turan (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=osman@osmanturan.com)
[Paul Buonopane (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=Zenexer@users.noreply.github.com)
[Youssef1313 (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=31348972+Youssef1313@users.noreply.github.com)
[campersau (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=buchholz.bastian@googlemail.com)
[hamish-rose (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=hamishr@protonmail.com)
[imcarolwang (2)](https://github.com/dotnet/corefx/commits/release/3.0?author=v-carwan@V-CARWAN05)
[Ben Gribaudo (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=ben@benntiff.com)
[Matt Kotsenas (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=Matt.Kotsenas@gmail.com)
[Matthijs Breemans (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=matthijsbreemans@users.noreply.github.com)
[Ian Griffiths (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=ian@interact-sw.co.uk)
[Maxim Dobryakov (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=closer.main@gmail.com)
[Meir Blachman (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=meirblachman@gmail.com)
[dschinde (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=dschindelman@gmail.com)
[dudu (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=dudu@cnblogs.com)
[Miha Zupan (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=mihazupan.zupan1@gmail.com)
[Mike Marynowski (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=mikernet@users.noreply.github.com)
[Milosz Kukla (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=milosz.kukla@gmail.com)
[Austin Wise (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=AustinWise@gmail.com)
[gnovack (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=50467879+gnovack@users.noreply.github.com)
[Castaneda1914 (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=affbarracudaspec@gmail.com)
[OmariO (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=omariom@users.noreply.github.com)
[Oskar Dudycz (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=oskar.dudycz@gmail.com)
[wcontayon (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=williamcontayon@outlook.com)
[Paito Anderson (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=pj.paito@gmail.com)
[Peter Stevenson (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=2e0pgs@gmail.com)
[Ponant (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=19961806+Ponant@users.noreply.github.com)
[joshudson (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=joshudson@gmail.com)
[RJ (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=reid@wilden.haus)
[Randolph West (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=rabryst@users.noreply.github.com)
[Raz Friman (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=raz.friman@razfriman.com)
[Roma Marusyk (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=romamarusyk@gmail.com)
[Honza Rameš (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=ramejan@gmail.com)
[Herman Eldering (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=HermanEldering@users.noreply.github.com)
[Günther Foidl (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=gue@korporal.at)
[Stefan (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=Tornhoof@users.noreply.github.com)
[Stephan Tolksdorf (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=st@quanttec.com)
[Gérald Barré (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=meziantou@users.noreply.github.com)
[madmir (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=1119735+madmir@users.noreply.github.com)
[George Stocker (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=gjstocker@gmail.com)
[Andrii Siriak (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=siryaka@gmail.com)
[Steven Weerdenburg (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=stevenaw@users.noreply.github.com)
[Francis Nguyen (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=fn@ngyn.me)
[Andrei K (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=kost@kost.ru)
[Fei Peng (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=feipeng.compiler@gmail.com)
[Tim Seaward (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=seawardtim@gmail.com)
[Anatoly Zhmur (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=Anatoly.Zhmur@broadridge.com)
[Alexis Christoforides (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=alexis@thenull.net)
[Tomasz Romaszkiewicz (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=Romasz@users.noreply.github.com)
[matejskubic (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=839965+matejskubic@users.noreply.github.com)
[Tyler Brinkley (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=Tydude4Christ@hotmail.com)
[Elliot Prior (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=1709938+Quogu@users.noreply.github.com)
[Vishnu Kumar (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=sasivishnu@gmail.com)
[Edison Henrique Andreassy (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=ehasis@hotmail.com)
[Vladislav Richter (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=shutdown256@gmail.com)
[Alan Parr (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=alanjparr83@gmail.com)
[Dávid Kaya (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=david.kaya@ysoft.com)
[simplejackcoder (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=40817635+simplejackcoder@users.noreply.github.com)
[slozier (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=slozier@users.noreply.github.com)
[bitbonk (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=bitbonk@msn.com)
[Kevin Gosse (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=krix33@gmail.com)
[Kahbazi (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=A.Kahbazi@gmail.com)
[Kristian Hellang (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=kristian@hellang.com)
[0xflotus (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=0xflotus@gmail.com)
[Justin Van Patten (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=jvp@justinvp.com)
[JosVerburg (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=jos.verburg@liones.nl)
[Clinton Ingram (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=clinton.ingram@outlook.com)
[Acid Chicken (硫酸鶏) (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=root@acid-chicken.com)
[Martin Björkström (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=martin.bjorkstrom@gmail.com)
[Benjamin Bartels (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=bartels.benjamin@tutanota.de)
[Abhi Agarwal (1)](https://github.com/dotnet/corefx/commits/release/3.0?author=abhiagarwal192@gmail.com)

## Core-Setup

[Omair Majid (5)](https://github.com/dotnet/core-setup/commits/release/3.0?author=omajid@redhat.com)
[Nickolena Fisher (1)](https://github.com/dotnet/core-setup/commits/release/3.0?author=ndfishe@gmail.com)
[Nikita Potapenko (1)](https://github.com/dotnet/core-setup/commits/release/3.0?author=dev.potapy4@hotmail.com)
[Austin Wise (1)](https://github.com/dotnet/core-setup/commits/release/3.0?author=AustinWise@gmail.com)
[Jostein Kjønigsen (1)](https://github.com/dotnet/core-setup/commits/release/3.0?author=jostein@kjonigsen.net)
[Konstantin Baladurin (1)](https://github.com/dotnet/core-setup/commits/release/3.0?author=k.baladurin@samsung.com)

## EntityFrameworkCore

[Nick Schonning (83)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=nschonni@gmail.com)
[ErikEJ (10)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=ejlskov@hotmail.com)
[Neil Bostrom (10)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=github@silvergames.net)
[Jiri Cincura ↹ (4)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=jiri@cincura.net)
[Erik Ejlskov Jensen (3)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=ErikEJ@users.noreply.github.com)
[Simon Cropp (2)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=simon.cropp@gmail.com)
[lajones (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=lajones@users.noreply.github.com)
[y-code (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=yasu.gemini@gmail.com)
[Adrian Wright (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=47532258+adrianwright109@users.noreply.github.com)
[Alexander Täschner (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=AlexanderTaeschner@googlemail.com)
[Austin Drenski (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=austin.drenski@gmail.com)
[Damir (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=dimangulov@gmail.com)
[Derek Gray (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=tuespetre@users.noreply.github.com)
[Erik Ejlskov Jensen (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=eej@cloudeon.com)
[Jiri Cincura (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=jiri@cincura.net)
[Matthias Beerens (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=3512339+Matthiee@users.noreply.github.com)
[Paul Middleton (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=paul.w.middleton@gmail.com)
[Rafael Almeida (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=ralms@ralms.net)
[Ruben (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=iruben91@hotmail.it)
[Ruben Cadalino (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=Ruben.Cadalino@dominos.co.uk)
[Stephen Kalpin (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=skalpin@gmail.com)
[Xavier Klausener (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=xklausener@reyl.com)
[jakub.pawlowski (1)](https://github.com/aspnet/EntityFrameworkCore/commits/release/3.0?author=pawlowskijakub@gmail.com)

## WCF

[Mahesh Bhelke (1)](https://github.com/dotnet/wcf/commits/release/3.0.0?author=mahesh.bhelke@nlrb.gov)
[Ivan Cronyn (1)](https://github.com/dotnet/wcf/commits/release/3.0.0?author=ivan.cronyn@gmail.com)

## WPF

[Andrey Akinshin (11)](https://github.com/dotnet/wpf/commits/release/3.0?author=andrey.akinshin@gmail.com)
[Hugh Bellamy (4)](https://github.com/dotnet/wpf/commits/release/3.0?author=hughbellars@gmail.com)
[Youssef1313 (3)](https://github.com/dotnet/wpf/commits/release/3.0?author=31348972+Youssef1313@users.noreply.github.com)
[Garfield Lee (2)](https://github.com/dotnet/wpf/commits/release/3.0?author=Garfield550@users.noreply.github.com)
[Thomas Claudius Huber (2)](https://github.com/dotnet/wpf/commits/release/3.0?author=thomas@thomasclaudiushuber.com)
[lindexi (2)](https://github.com/dotnet/wpf/commits/release/3.0?author=lindexi_gd@163.com)
[Gérald Barré (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=meziantou@users.noreply.github.com)
[Shawn Kendrot (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=skendrot@hotmail.com)
[SparroHawc (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=sparrohawc@gmail.com)
[walterlv (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=9959623+walterlv@users.noreply.github.com)
[William Kent (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=wjk011@gmail.com)
[Connor Lee (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=connorlee@u.boisestate.edu)
[Christopher Cook (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=christopher.cook@webprofusion.com)
[alxnull (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=bluegrams@users.sourceforge.net)
[Berrysoft (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=37586447+Berrysoft@users.noreply.github.com)
[Bastian Schmidt (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=batzen@gmx.org)
[gieniowski (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=grzegorz.wroblewski.83@gmail.com)
[jonesmz (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=jonesmz@users.noreply.github.com)
[lindexi (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=lindexi@users.noreply.github.com)
[Kexy Biscuit (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=kexybiscuit@outlook.com)
[Jack Hughes (1)](https://github.com/dotnet/wpf/commits/release/3.0?author=jhughes@openxtra.co.uk)
