# .NET Core 3.0.0 Preview 9 - September 04, 2019

.NET Core 3.0.0 Preview 9 is available for download and usage in your environment. This release includes .NET Core 3.0.0 Preview 9 and .NET Core SDK 3.0.100 Preview 9.

**Visual Studio compatibility:** .NET Core 3.0 Preview 9 requires Visual Studio 2019 16.3 Preview 3 to take full advantage of all its features. .NET Core 3.0 Preview 9 will not work properly in earlier versions of Visual Studio. Visit [Visual Studio Preview](https://visualstudio.microsoft.com/vs/preview/) to learn about VS previews.

* [Downloads](#downloads)
* [Changes in this release](#notable-changes-in-300-preview-9)
* [Known issues](3.0.0-preview-known-issues.md)

## Blog Roundup

* [.NET Core 3.0 Preview 9][dotnet-blog]
* [ASP.NET Core][aspnet-blog]
* [EF Core][ef-blog]

The .NET Core SDK 3.0.100 Preview 9 includes .NET Core 3.0 Runtime so downloading the runtime packages separately is not needed when installing the SDK. After installing the .NET Core SDK 3.0.100 preview, the following command will show that you're running version `3.0.100-preview9-014004` of the tools.

`dotnet --version`

Your feedback is important and appreciated. We've created an issue at [dotnet/core #3304](https://github.com/dotnet/core/issues/3304) for your questions and comments.

## Downloads

|           | SDK Installer<sup>1</sup>                        | SDK Binaries<sup>1</sup>                 | Runtime Installer                                        | Runtime Binaries                                 | ASP.NET Core Runtime           |
| --------- | :------------------------------------------:     | :----------------------:                 | :---------------------------:                            | :-------------------------:                      | :-----------------:            |
| Windows   | [x86][dotnet-sdk-win-x86.exe] \| [x64][dotnet-sdk-win-x64.exe] | [x86][dotnet-sdk-win-x86.zip] \| [x64][dotnet-sdk-win-x64.zip] \| [ARM][dotnet-sdk-win-arm.zip] | [x86][dotnet-runtime-win-x86.exe] \| [x64][dotnet-runtime-win-x64.exe] | [x86][dotnet-runtime-win-x86.zip] \| [x64][dotnet-runtime-win-x64.zip] \| [ARM][dotnet-runtime-win-arm.zip]  | [x86][aspnetcore-runtime-win-x86.exe] \| [x64][aspnetcore-runtime-win-x64.exe] \| [ARM][aspnetcore-runtime-win-arm.zip] \|<br> [Hosting Bundle][dotnet-hosting-win.exe]<sup>2</sup> |
| macOS     | [x64][dotnet-sdk-osx-x64.pkg]  | [x64][dotnet-sdk-osx-x64.tar.gz]     | [x64][dotnet-runtime-osx-x64.pkg] | [x64][dotnet-runtime-osx-x64.tar.gz] | [x64][aspnetcore-runtime-osx-x64.tar.gz]<sup>1</sup>
| Linux     |  [Snap Install](3.0.0-preview8-download.md)  | [x64][dotnet-sdk-linux-x64.tar.gz] \| [ARM][dotnet-sdk-linux-arm.tar.gz] \| [ARM64][dotnet-sdk-linux-arm64.tar.gz] \| [x64 Alpine][dotnet-sdk-linux-musl-x64.tar.gz] | - | [x64][dotnet-runtime-linux-x64.tar.gz] \| [ARM][dotnet-runtime-linux-arm.tar.gz] \| [ARM64][dotnet-runtime-linux-arm64.tar.gz] \| [x64 Alpine][dotnet-runtime-linux-musl-x64.tar.gz] | [x64][aspnetcore-runtime-linux-x64.tar.gz]<sup>1</sup>  \| [ARM][aspnetcore-runtime-linux-arm.tar.gz]<sup>1</sup> \| [ARM64][aspnetcore-runtime-linux-arm64.tar.gz]<sup>1</sup> \| [x64 Alpine][aspnetcore-runtime-linux-musl-x64.tar.gz]<sup>1</sup> |
| RHEL6     | -                                                | [x64][dotnet-sdk-rhel.6-x64.tar.gz]                    | -                                                        | [x64][dotnet-runtime-rhel.6-x64.tar.gz] | - |
| Checksums | [SDK][checksums-sdk]                             | -                                        | [Runtime][checksums-runtime]                             | - | - |

1. Includes the .NET Core and ASP.NET Core Runtimes
2. For hosting stand-alone apps on Windows Servers. Includes the ASP.NET Core Module for IIS and can be installed separately on servers without installing .NET Core runtime.

## Symbols
All symbols for .NET Core releases for all platforms are now available from **nuget** or **public symbols server**. The symbols zips files that we used to share in the release notes earlier will no longer be provided.

## Docker Images

The [.NET Core Docker images](https://hub.docker.com/r/microsoft/dotnet/) have been updated for this release. Details on our Docker versioning and how to work with the images can be seen in ["Staying up-to-date with .NET Container Images"](https://blogs.msdn.microsoft.com/dotnet/2018/06/18/staying-up-to-date-with-net-container-images/).

The following repos have been updated

* [microsoft/dotnet](https://hub.docker.com/r/microsoft/dotnet)
* [microsoft/dotnet-samples](https://hub.docker.com/r/microsoft/dotnet-samples)

## Notable Changes in 3.0.0 Preview 9

Here is list of some of the additions and updates we're excited to bring in Preview 9. See the [.NET][dotnet-blog] and [ASP.NET Core][aspnet-blog] blogs for additional details.

* CoreCLR: [bugs][coreclr_bugs] | [features][coreclr_features]
* CoreFX: [bugs][corefx_bugs] | [features][corefx_features]
* ASP.NET Core: [bugs][aspnet_bugs] | [features][aspnet_features]

[blob-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/Runtime/
[blob-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/Sdk/
[release-notes]: https://github.com/dotnet/core/blob/main/release-notes/3.0/preview/3.0.0-preview9.md

[//]: # ( Runtime 3.0.0-preview9-19423-09)
[dotnet-apphost-pack-x64.deb]: https://download.visualstudio.microsoft.com/download/pr/1693593e-d1c8-4728-81d3-704666e15a59/8540d1594208edd6874deca47437f3b5/dotnet-apphost-pack-3.0.0-preview9-19423-09-x64.deb
[dotnet-apphost-pack-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/4a226245-b22a-4776-bea1-398a4698d62b/e471b37a8ffae01aa79e88bcca262295/dotnet-apphost-pack-3.0.0-preview9-19423-09-x64.rpm
[dotnet-host-x64.deb]: https://download.visualstudio.microsoft.com/download/pr/09e25de1-3dd8-4263-b58e-757f4bd1608b/1ddc78ef1aea2859c81b100fc0d1b40a/dotnet-host-3.0.0-preview9-19423-09-x64.deb
[dotnet-host-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/44eb0746-450f-42b5-8c9b-7cfbe6b5c598/777cfbda76723e96d039ae72e53d36b7/dotnet-host-3.0.0-preview9-19423-09-x64.rpm
[dotnet-hostfxr-x64.deb]: https://download.visualstudio.microsoft.com/download/pr/c40cc1d2-77ac-4f30-8e51-e8656f62daf0/0db9301e24c7510f48250c47f7748d04/dotnet-hostfxr-3.0.0-preview9-19423-09-x64.deb
[dotnet-hostfxr-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/c652148b-3150-47d7-8066-2bafc4ddcfa1/4e219e2e8a2adcd568a25d100cc754d2/dotnet-hostfxr-3.0.0-preview9-19423-09-x64.rpm
[dotnet-hosting-win.exe]: https://download.visualstudio.microsoft.com/download/pr/276b36f0-ecaa-4c09-91c3-f9dc409d03dd/eda0c93372662a7b5d502eb51789862c/dotnet-hosting-3.0.0-preview9.19424.4-win.exe
[dotnet-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/455e43f5-33fd-4ed6-a80b-8ea0e47b0602/dd4beb386bc6a45f6e65950e8d908436/dotnet-runtime-3.0.0-preview9-19423-09-linux-arm.tar.gz
[dotnet-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/8a432528-d1d5-434e-a020-c3e19036bd64/f185584880e4f65543ebf0b81c6dc412/dotnet-runtime-3.0.0-preview9-19423-09-linux-arm64.tar.gz
[dotnet-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/497da7c1-0726-4379-ab50-8a0f9b316dea/ec21de4734d3cd84397f8aa6c1e1f481/dotnet-runtime-3.0.0-preview9-19423-09-linux-musl-x64.tar.gz
[dotnet-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/daf57b64-36b6-405e-9e12-0a8627b46951/07c100dd9aed24440e9147daf79f2aa2/dotnet-runtime-3.0.0-preview9-19423-09-linux-x64.tar.gz
[dotnet-runtime-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/9ab504e0-0542-4395-89bf-05e6bff3804d/ba38fc635129b2f09917f2b71dcc6d3d/dotnet-runtime-3.0.0-preview9-19423-09-osx-x64.pkg
[dotnet-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/f3f71181-cfcd-4fb4-9a59-29dc6fda11a8/ba447462b97e17512a1f183d5404d713/dotnet-runtime-3.0.0-preview9-19423-09-osx-x64.tar.gz
[dotnet-runtime-rhel.6-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/3c1cfce1-404c-43c0-b78f-b0b9dc983ae9/807a0a546f0eefa1baaac6787d3061a2/dotnet-runtime-3.0.0-preview9-19423-09-rhel.6-x64.tar.gz
[dotnet-runtime-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/9e6a4d64-b9ac-43c2-aa34-e4fd8de432d6/7cb8a7d3c0be85741f91668ce6ad7a79/dotnet-runtime-3.0.0-preview9-19423-09-win-arm.zip
[dotnet-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/de8ca51f-eb8a-4e1e-8c12-62df8f5592cb/8ed1eff5c1e4babc53a985808accca30/dotnet-runtime-3.0.0-preview9-19423-09-win-x64.exe
[dotnet-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/96a70cdf-8d5b-4e08-9782-6830cf769371/4f9c1caeac6e55ff329627b99cfaae71/dotnet-runtime-3.0.0-preview9-19423-09-win-x64.zip
[dotnet-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/52edee76-5dbe-478c-9fc1-393918a4387a/9b83145f218e104173c74d93c98e1779/dotnet-runtime-3.0.0-preview9-19423-09-win-x86.exe
[dotnet-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/96556d20-a38f-4634-957c-dbb34a7a49e3/1ba97e85324c0721a6b8aeb5822e1bb4/dotnet-runtime-3.0.0-preview9-19423-09-win-x86.zip
[dotnet-runtime-x64.deb]: https://download.visualstudio.microsoft.com/download/pr/e96af339-d9d2-427e-9b98-1d150544e41c/3d81321efa1bd44eb4d7ba4f6cdbf02e/dotnet-runtime-3.0.0-preview9-19423-09-x64.deb
[dotnet-runtime-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/709366dd-ec10-46cc-beec-c187c719c22e/7035b351f2606616d59985c93964eafa/dotnet-runtime-3.0.0-preview9-19423-09-x64.rpm
[dotnet-runtime-deps-centos.7-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/8864e4a7-3ac3-41ba-9f8e-89f4fdedb09b/051389bc5543a6911973d857fa2ed56d/dotnet-runtime-deps-3.0.0-preview9-19423-09-centos.7-x64.rpm
[dotnet-runtime-deps-fedora.27-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/08ee1611-fc7e-450a-9055-edee6536ba40/9a6806d3fb3d73cd9b84f6843fc73079/dotnet-runtime-deps-3.0.0-preview9-19423-09-fedora.27-x64.rpm
[dotnet-runtime-deps-opensuse.42-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/d017567b-939c-4204-b15b-8b49ce007c08/97321505db9f55bc922ecc5fad790c09/dotnet-runtime-deps-3.0.0-preview9-19423-09-opensuse.42-x64.rpm
[dotnet-runtime-deps-oraclelinux.7-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/3d326bf9-62f2-42fd-aa6b-8b1ee3bdd937/9617d25fa9853f730bd5f388eda389fd/dotnet-runtime-deps-3.0.0-preview9-19423-09-oraclelinux.7-x64.rpm
[dotnet-runtime-deps-rhel.7-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/8cecaf9f-8000-45f1-a6c2-bd1efef249a5/cded1ad9da35344ecfa2d377d629744f/dotnet-runtime-deps-3.0.0-preview9-19423-09-rhel.7-x64.rpm
[dotnet-runtime-deps-sles.12-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/c0bdf9b3-5c99-47b5-960f-7ce148987e5d/ed62e66828aec60aefaced3174dd6d05/dotnet-runtime-deps-3.0.0-preview9-19423-09-sles.12-x64.rpm
[dotnet-runtime-deps-x64.deb]: https://download.visualstudio.microsoft.com/download/pr/94413b27-2380-475e-b5c2-627e05f5964e/7a155f7b54b7fbf3d79442b7c6f768c0/dotnet-runtime-deps-3.0.0-preview9-19423-09-x64.deb
[dotnet-targeting-pack-x64.deb]: https://download.visualstudio.microsoft.com/download/pr/cdb44a9d-0206-402f-83a2-3c01877b59ff/d3103becb436731e940d1ea75eac53f5/dotnet-targeting-pack-3.0.0-preview9-19423-09-x64.deb
[dotnet-targeting-pack-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/5a1b17fa-24e4-4fd2-87e8-d79d205b8326/11b65f6f2bdfbee63189bea9c5ad7c6c/dotnet-targeting-pack-3.0.0-preview9-19423-09-x64.rpm
[netstandard-targeting-pack-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/2f947bb4-ea8c-430c-b5b6-a4e82fea7352/6c8679a80b3c4d7140c4adb1872c5e61/netstandard-targeting-pack-2.1.0-preview9-19423-09-osx-x64.pkg
[netstandard-targeting-pack-x64.deb]: https://download.visualstudio.microsoft.com/download/pr/74de6be8-877f-4609-b79b-38dede445116/adcf4dd307da5cf2923eb84ecedf12f7/netstandard-targeting-pack-2.1.0-preview9-19423-09-x64.deb
[netstandard-targeting-pack-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/ca243303-ff84-4b93-8d0c-dc96da328535/73ab4a81c7f2e5aec19f6764f8b59cfb/netstandard-targeting-pack-2.1.0-preview9-19423-09-x64.rpm
[windowsdesktop-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/37e5a3c7-04c9-4792-9d30-d91caeb7e083/237de0bfa7c919ccb9c965dab51cbba8/windowsdesktop-runtime-3.0.0-preview9-19423-09-win-x64.exe
[windowsdesktop-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/e17aad33-592e-41af-880a-7ddebf411362/628e3a775b8f89e9a14124320d62cdcc/windowsdesktop-runtime-3.0.0-preview9-19423-09-win-x86.exe

[//]: # ( ASP 3.0.0-preview9.19424.4)
[aspnetcore-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/15301e9a-29b0-475b-90c0-bf5c9ac29d8f/97fb7e6d979e3e403d7d462b0e31a976/aspnetcore-runtime-3.0.0-preview9.19424.4-linux-arm.tar.gz
[aspnetcore-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/4ca3622d-5ff1-4478-9b7b-5f47cfb7f070/9623cb1f6dea28530695a0fd3032fa30/aspnetcore-runtime-3.0.0-preview9.19424.4-linux-arm64.tar.gz
[aspnetcore-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/515424d7-bcc5-4b9a-b17a-6eba4dd06bea/57f47aa0470eed375023f68d4b2bc3e4/aspnetcore-runtime-3.0.0-preview9.19424.4-linux-musl-x64.tar.gz
[aspnetcore-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/d881776c-82d7-4d50-b13c-9a848da46001/d55ce79c2b3a61b303cb826b7c460d20/aspnetcore-runtime-3.0.0-preview9.19424.4-linux-x64.tar.gz
[aspnetcore-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/cfd99db2-6a2e-4284-a643-7df386ff46c6/08d5c909e96882d335448494c3609df9/aspnetcore-runtime-3.0.0-preview9.19424.4-osx-x64.tar.gz
[aspnetcore-runtime-rh.rhel.7-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/57c09261-4d1d-4e28-ac16-3af9a5ebbd60/c6822410dbb46ce1954cbdda7ac4b437/aspnetcore-runtime-3.0.0-preview9.19424.4-rh.rhel.7-x64.rpm
[aspnetcore-runtime-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/a93cc3b0-3669-4f69-aa3b-eb71993bbca1/74cc04c1f12a891a253021705b49c493/aspnetcore-runtime-3.0.0-preview9.19424.4-win-arm.zip
[aspnetcore-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/b72e6e35-e757-45e4-bf90-d29d826369c8/5d11351640f7f6c5d6a419b6038efcef/aspnetcore-runtime-3.0.0-preview9.19424.4-win-x64.exe
[aspnetcore-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/58810862-e577-45cc-9627-31b26cba984d/d6efa18021773118795a106c56884afa/aspnetcore-runtime-3.0.0-preview9.19424.4-win-x64.zip
[aspnetcore-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/2a3b8b08-849c-450d-9f3c-7c02ec48d316/a215723cad9deb4edcccfffbce0479f1/aspnetcore-runtime-3.0.0-preview9.19424.4-win-x86.exe
[aspnetcore-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/2c4e1e45-8297-4fd8-ac37-2265d18965c1/482d12afcb2ba2f22a645192e08c4f2d/aspnetcore-runtime-3.0.0-preview9.19424.4-win-x86.zip
[aspnetcore-runtime-x64.deb]: https://download.visualstudio.microsoft.com/download/pr/bf6ef79c-6525-4610-8dbb-c3f484083838/dcc596ef611f9f4c1e738f3eb9db8fbd/aspnetcore-runtime-3.0.0-preview9.19424.4-x64.deb
[aspnetcore-runtime-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/77691b2d-a644-45e0-99d0-8caa80fea587/3367bc499c07cb1de31ad19b30fa4731/aspnetcore-runtime-3.0.0-preview9.19424.4-x64.rpm
[aspnetcore-targeting-pack.deb]: https://download.visualstudio.microsoft.com/download/pr/78c8f182-da7d-4652-9fae-f2db9aceb1ee/30b94fbce292b85c6b384ac6beac5d6c/aspnetcore-targeting-pack-3.0.0-preview9.19424.4.deb
[aspnetcore-targeting-pack.rpm]: https://download.visualstudio.microsoft.com/download/pr/3dac7448-b889-4f1c-967e-299092f869c9/f91839af54f410010adb1b1dae1e8872/aspnetcore-targeting-pack-3.0.0-preview9.19424.4.rpm
[dotnet-hosting-win.exe]: https://download.visualstudio.microsoft.com/download/pr/276b36f0-ecaa-4c09-91c3-f9dc409d03dd/eda0c93372662a7b5d502eb51789862c/dotnet-hosting-3.0.0-preview9.19424.4-win.exe

[//]: # ( SDK 3.0.100-preview9-014004 )
[dotnet-sdk-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/33387ff2-7687-4564-a90d-28b9539e0d3b/f75a063b80fc5a94a4d35689aee8b108/dotnet-sdk-3.0.100-preview9-014004-linux-arm.tar.gz
[dotnet-sdk-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/c068c551-5f8c-4409-afd5-dac6a8aea3fe/b38a1104afbde07e5b9c89dbd2e0c894/dotnet-sdk-3.0.100-preview9-014004-linux-arm64.tar.gz
[dotnet-sdk-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/b5e38200-69e4-4746-9e5f-c1d09d2c5107/320a3339dfbc57512578a5c150a388ca/dotnet-sdk-3.0.100-preview9-014004-linux-musl-x64.tar.gz
[dotnet-sdk-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/498b8b41-7626-435e-bea8-878c39ccbbf3/c8df08e881d1bcf9a49a9ff5367090cc/dotnet-sdk-3.0.100-preview9-014004-linux-x64.tar.gz
[dotnet-sdk-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/71504836-0710-43bd-9a92-cda5a3f9ddb8/a8f8e7a94d3c81597dc2787e4e3d1594/dotnet-sdk-3.0.100-preview9-014004-osx-x64.pkg
[dotnet-sdk-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/b25c19cb-12f4-4489-89e3-883f3dde778b/04bcedf04365fa445266be2392805119/dotnet-sdk-3.0.100-preview9-014004-osx-x64.tar.gz
[dotnet-sdk-rhel.6-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/a988d7c7-fe58-44d7-91b9-ebb1695337e0/81fb1aa4f25c6f5ced2d20b53b55bb73/dotnet-sdk-3.0.100-preview9-014004-rhel.6-x64.tar.gz
[dotnet-sdk-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/8e6514be-40ab-4a7c-9b70-030aab66a1e0/e8e1679559f20cb16ed889dee974ddb0/dotnet-sdk-3.0.100-preview9-014004-win-arm.zip
[dotnet-sdk-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/27e21201-9d9d-49c9-a80e-fe09a7859c06/26c8cf6cd21c350f929440f3f0d1d631/dotnet-sdk-3.0.100-preview9-014004-win-x64.exe
[dotnet-sdk-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/cf308e61-4616-4589-ba17-dc734a36396e/0192d412fd0d8ad2400f8186f7e99f8f/dotnet-sdk-3.0.100-preview9-014004-win-x64.zip
[dotnet-sdk-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/3566ffc0-fb0f-447c-b300-4e98571d75a7/e2b953ef55235cf86a4b1128d6a3699c/dotnet-sdk-3.0.100-preview9-014004-win-x86.exe
[dotnet-sdk-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/1e5f4ef6-4d1e-4e33-aba9-3d50a568959c/7644caad1a404d87d92717abf7ab7a58/dotnet-sdk-3.0.100-preview9-014004-win-x86.zip
[dotnet-sdk-x64.deb]: https://download.visualstudio.microsoft.com/download/pr/a28f44b5-58b2-438d-a4fd-c051521bf4b8/2df57a1d2364056cf9f235c556e2786f/dotnet-sdk-3.0.100-preview9-014004-x64.deb
[dotnet-sdk-x64.rpm]: https://download.visualstudio.microsoft.com/download/pr/856c0a5a-f53d-407a-bc5b-d60583535b65/0775b28cd24b7dbfcda0efafbcdd32c2/dotnet-sdk-3.0.100-preview9-014004-x64.rpm

[checksums-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/3.0.0-preview9-19423-09-runtime-sha.txt
[checksums-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/3.0.100-preview9-014004-sdk-sha.txt

[linux-install]: https://docs.microsoft.com/dotnet/core/install/linux
[linux-setup]: https://github.com/dotnet/core/blob/main/Documentation/linux-setup.md

[dotnet-blog]: https://devblogs.microsoft.com/dotnet/announcing-net-core-3-0-preview-9/
[aspnet-blog]: https://devblogs.microsoft.com/aspnet/asp-net-core-and-blazor-updates-in-net-core-3-0-preview-9/
[ef-blog]: https://devblogs.microsoft.com/dotnet/announcing-entity-framework-core-3-0-preview-9-and-entity-framework-6-3-preview-9

[aspnet_bugs]: https://github.com/aspnet/AspNetCore/issues?q=is%3Aissue+milestone%3A3.0.0-preview9+label%3ADone+label%3Abug
[aspnet_features]: https://github.com/aspnet/AspNetCore/issues?q=is%3Aissue+milestone%3A3.0.0-preview9+label%3ADone+label%3Aenhancement
[coreclr_bugs]: https://github.com/dotnet/coreclr/issues?utf8=%E2%9C%93&q=is%3Aissue+milestone%3A3.0+label%3Abug+
[coreclr_features]: https://github.com/dotnet/coreclr/issues?q=is%3Aissue+milestone%3A3.0+label%3Aenhancement
[corefx_bugs]: https://github.com/dotnet/corefx/issues?q=is%3Aissue+milestone%3A3.0+label%3Abug
[corefx_features]: https://github.com/dotnet/corefx/issues?q=is%3Aissue+milestone%3A3.0+label%3Aenhancement
