# Commits to .NET Core 2.2.0

This is a curated list of commits across the .NET Core 2.2.0 development cycle.

* [CoreCLR](#coreclr)
* [CoreFX](#corefx)
* [CLI](#cli)
* [AspNetCore](#aspnetcore)

## CoreCLR

* [`[82558c91d4]`](https://github.com/dotnet/coreclr/commit/82558c91d4) Manual port of #20796
* [`[e887df82cc]`](https://github.com/dotnet/coreclr/commit/e887df82cc) Add the execution policy when running powershell in size on disk benchmarks (#20680)
* [`[35832fc396]`](https://github.com/dotnet/coreclr/commit/35832fc396) Disable Ubuntu arm64 & Windows arm/arm64 default CI jobs (#20842)
* [`[1c5dc619ee]`](https://github.com/dotnet/coreclr/commit/1c5dc619ee) Enable Tizen CI (#19410)
* [`[47e6ebe80b]`](https://github.com/dotnet/coreclr/commit/47e6ebe80b) Add EventPipe Config File Option MultiFileSec (#20548) (#20615)
* [`[70846ce7c9]`](https://github.com/dotnet/coreclr/commit/70846ce7c9) Disable tiered compilation by default for 2.2 RTM (#20525)
* [`[fd1893fa1a]`](https://github.com/dotnet/coreclr/commit/fd1893fa1a) Fix issue #20076 createdump faults. (#20403)
* [`[bba9fdab23]`](https://github.com/dotnet/coreclr/commit/bba9fdab23) Fix MacOS launch bug when spaces in module names. (#20402)
* [`[e809449dcf]`](https://github.com/dotnet/coreclr/commit/e809449dcf) Use AppContext.BaseDirectory instead of AppDomain.CurrentDomain.BaseDirectory when initializing EventPipeController. (#20467)
* [`[be8a268b3f]`](https://github.com/dotnet/coreclr/commit/be8a268b3f) Lock arm64 corefx build to corresponding branch
* [`[425136cfa7]`](https://github.com/dotnet/coreclr/commit/425136cfa7) Port of fix for #19444 to 2.2
* [`[27701ab4a5]`](https://github.com/dotnet/coreclr/commit/27701ab4a5) Port BSTR support from master (#20393)
* [`[702b0fd608]`](https://github.com/dotnet/coreclr/commit/702b0fd608) [release/2.2] Startup hook provider (#20005)
* [`[50185823a0]`](https://github.com/dotnet/coreclr/commit/50185823a0) Port EventPipe Out-of-Process Control to Release/2.2 (#20303)
* [`[9bff252639]`](https://github.com/dotnet/coreclr/commit/9bff252639) Port to 2.1 - Fix hijack for ARM/ARM64/x86 on Unix (#20116)
* [`[1e07644bb5]`](https://github.com/dotnet/coreclr/commit/1e07644bb5) Fix xplat debugging perf problem. (#19911) (#20054)
* [`[ad096c8867]`](https://github.com/dotnet/coreclr/commit/ad096c8867) JIT: Fix operand evaluation order for GT_INDEX_ADDR (#20047) (#20127)
* [`[cb730c5c1e]`](https://github.com/dotnet/coreclr/commit/cb730c5c1e) Fix callKillSet for CORINFO_HELP_ASSIGN_BYREF on x64. (#19780) (#19803)
* [`[d05c93d373]`](https://github.com/dotnet/coreclr/commit/d05c93d373) Port Fix ICU load on OpenSUSE Tumbleweed to 2.1 (#19861)
* [`[a25682cdcf]`](https://github.com/dotnet/coreclr/commit/a25682cdcf) Determine memory load based on cgroup usage. (#19518) (#19650)
* [`[4a7e9eae93]`](https://github.com/dotnet/coreclr/commit/4a7e9eae93) Fix CoreCLR debug launch (#19730) (#19770)
* [`[fe2ffd6f0d]`](https://github.com/dotnet/coreclr/commit/fe2ffd6f0d) Port PR #17617 from 3.0
* [`[2e066fafb9]`](https://github.com/dotnet/coreclr/commit/2e066fafb9) Port PR #17879 from 3.0
* [`[d6cc8737ea]`](https://github.com/dotnet/coreclr/commit/d6cc8737ea) Port PR #17990 from 3.0
* [`[ffbd5ee637]`](https://github.com/dotnet/coreclr/commit/ffbd5ee637) Port PR #18129 from 3.0
* [`[cfb55cb29a]`](https://github.com/dotnet/coreclr/commit/cfb55cb29a) Port PR #18247 from 3.0
* [`[05a2d74369]`](https://github.com/dotnet/coreclr/commit/05a2d74369) Fix a PAL spin lock issue (#19606)
* [`[88876b3e29]`](https://github.com/dotnet/coreclr/commit/88876b3e29) Make sure RuntimeEventSource is passed to EventListener.OnEventSourceCreated (#19697)
* [`[9663131aec]`](https://github.com/dotnet/coreclr/commit/9663131aec) Fix a PAL spin lock issue (#19606)
* [`[e0fbb7769e]`](https://github.com/dotnet/coreclr/commit/e0fbb7769e) Disable tiered compilation on arm64
* [`[a40b631948]`](https://github.com/dotnet/coreclr/commit/a40b631948) Fix tiered compilation option for case-sensitive systems (#19567)
* [`[293630edc4]`](https://github.com/dotnet/coreclr/commit/293630edc4) Enable Tiered Compilation by default (#19525)
* [`[14d728a6cb]`](https://github.com/dotnet/coreclr/commit/14d728a6cb) Fix an apartment state issue (partial port of #19384)
* [`[1d61034605]`](https://github.com/dotnet/coreclr/commit/1d61034605) Use 16 bytes to spill SIMD12 (#19237)
* [`[d90c382c2d]`](https://github.com/dotnet/coreclr/commit/d90c382c2d) Eliminate arm64 contract asserts (#19015)
* [`[db93fecac9]`](https://github.com/dotnet/coreclr/commit/db93fecac9) Apply tiering's call counting delay more broadly (#18610)
* [`[9ea3d2ad54]`](https://github.com/dotnet/coreclr/commit/9ea3d2ad54) Don't close the JIT func info file on shutdown (#18060)
* [`[fce15e5875]`](https://github.com/dotnet/coreclr/commit/fce15e5875) Fix nested spin locks in thread pool etw firing (#17677)
* [`[eae0a38b81]`](https://github.com/dotnet/coreclr/commit/eae0a38b81) Port PR #17617 from 3.0
* [`[f706053851]`](https://github.com/dotnet/coreclr/commit/f706053851) Port PR #17879 from 3.0
* [`[5db8cec4e9]`](https://github.com/dotnet/coreclr/commit/5db8cec4e9) Port PR #17990 from 3.0
* [`[70e26d060f]`](https://github.com/dotnet/coreclr/commit/70e26d060f) Port PR #18129 from 3.0
* [`[de90cbd4dd]`](https://github.com/dotnet/coreclr/commit/de90cbd4dd) Port PR #18247 from 3.0
* [`[98a7f8733e]`](https://github.com/dotnet/coreclr/commit/98a7f8733e) Add CI PR-triggered Ubuntu x64 innerloop no-tiering job (#19123)
* [`[fe0f570e2a]`](https://github.com/dotnet/coreclr/commit/fe0f570e2a) Enable the no tiered compilation innerloop PR legs (#18953)
* [`[19ff879571]`](https://github.com/dotnet/coreclr/commit/19ff879571) Add no tiered compilation test jobs (#18864)
* [`[10e33d0208]`](https://github.com/dotnet/coreclr/commit/10e33d0208) Adjust JIT automated testing for tiered compilation (#18828)
* [`[ac5dee512d]`](https://github.com/dotnet/coreclr/commit/ac5dee512d) Fix dbgshim's > 1000 module bug (issue #19538) (#19553) (#19570)
* [`[7813233bed]`](https://github.com/dotnet/coreclr/commit/7813233bed) Only register signals and create alt exception stack in coreclr (#19526)

## CoreFX

* [`[fe7d8ea67c]`](https://github.com/dotnet/corefx/commit/fe7d8ea67c) Pass CancellationToken to Stream in ManagedWebSocket (#33198)
* [`[8b52a2e8e2]`](https://github.com/dotnet/corefx/commit/8b52a2e8e2) Enable Tizen CI (#31698)
* [`[21dfcf72d9]`](https://github.com/dotnet/corefx/commit/21dfcf72d9) Treat the 'algorithm' parameter in Digest HTTP authentication as case-insensitive. (#32632) (#32920)
* [`[7bcae0e6fc]`](https://github.com/dotnet/corefx/commit/7bcae0e6fc) Fix Timer rooting issue with SocketsHttpHandler (#32845)
* [`[a8b44a739a]`](https://github.com/dotnet/corefx/commit/a8b44a739a) Port: Fix NetworkInterfaces exception when forwarding conf file is not available in linux system (#32350) (#32626)
* [`[3aaa88fdc2]`](https://github.com/dotnet/corefx/commit/3aaa88fdc2) Increment Microsoft.NETCore.Platforms version
* [`[7cddd8ebef]`](https://github.com/dotnet/corefx/commit/7cddd8ebef) Change HttpConnectionPool.GetConnectionAsync to do read-ahead outside of lock (#32495) (#32568)
* [`[cc4bb7b84f]`](https://github.com/dotnet/corefx/commit/cc4bb7b84f) Add Ubuntu 18.10 (Cosmic Cuttlefish) (#32292)
* [`[d3d3336ce2]`](https://github.com/dotnet/corefx/commit/d3d3336ce2) Read SSL_CERT_FILE contents before SSL_CERT_DIR contents (#32455)
* [`[615e5e92e5]`](https://github.com/dotnet/corefx/commit/615e5e92e5) Add system.io.pipelines stable version
* [`[10d562a999]`](https://github.com/dotnet/corefx/commit/10d562a999) update license header for xml files used for generating source code (#31752) (#32338)
* [`[22fc23779b]`](https://github.com/dotnet/corefx/commit/22fc23779b) Test a couple of fixes for apartment state issues (#31822)
* [`[be79afda4d]`](https://github.com/dotnet/corefx/commit/be79afda4d) Fix windows auth when we receive a 401 after auth completes (#32243)
* [`[76b3ac0136]`](https://github.com/dotnet/corefx/commit/76b3ac0136) Pin version of S.D.DiagnosticSource on non-netfx platforms
* [`[503ee03583]`](https://github.com/dotnet/corefx/commit/503ee03583) Need save the update outputDirectory change. (#31398)
* [`[85b40be5e2]`](https://github.com/dotnet/corefx/commit/85b40be5e2) Fixes extract out of directory by ensuring trailing separator for nested paths. (#32165)
* [`[b02a70a0d8]`](https://github.com/dotnet/corefx/commit/b02a70a0d8) Add Microsoft-Windows-DotNETRuntime to the list of framework EventSources. (#32125)
* [`[ab121ec606]`](https://github.com/dotnet/corefx/commit/ab121ec606) Port "Do not expand stacktraces when completion exception is rethrown multiple times" (#31680)
* [`[ebc79f6489]`](https://github.com/dotnet/corefx/commit/ebc79f6489) Ensure that TrySetECDHNamedCurve is always called, enabling ECDHE ciphersuites (#32034)
* [`[5b16645d8a]`](https://github.com/dotnet/corefx/commit/5b16645d8a) Adding special target that will get a resource file and pass it to ilasm for S.R.CS.Unsafe so that it has the right version headers (#31806)
* [`[47f2013f06]`](https://github.com/dotnet/corefx/commit/47f2013f06) Update harvested package version for sqlclient to match latest stable 4.5.1
* [`[cf4cc56b0b]`](https://github.com/dotnet/corefx/commit/cf4cc56b0b) Switch System.Data.SqlClient back to default versioning for 2.2 (#32030)
* [`[2a17f505df]`](https://github.com/dotnet/corefx/commit/2a17f505df) Fix race in the StackTraceSymbols.CoreCLR.cs metadata provider cache.
* [`[81af9c2033]`](https://github.com/dotnet/corefx/commit/81af9c2033) updates after running commad: msbuild /t:UpdatePackageIndex
* [`[83ac6fa606]`](https://github.com/dotnet/corefx/commit/83ac6fa606) Fix Granularity for copy operation on unix (#31046)
* [`[81a99c51fe]`](https://github.com/dotnet/corefx/commit/81a99c51fe) Fix Icon overflow bug when image entry is a PNG file
* [`[93109de12b]`](https://github.com/dotnet/corefx/commit/93109de12b) update package version and add System.Data.SqlClient package to the list of packages
* [`[f48a970612]`](https://github.com/dotnet/corefx/commit/f48a970612) [Release/2.2 Port] Expose EventWrittenEventArgs.OSThreadId and EventWrittenEventArgs.TimeStamp in System.Diagnostics.Tracing contract (#31703)
* [`[3d184f9f06]`](https://github.com/dotnet/corefx/commit/3d184f9f06) Add Microsoft.NETCore.Platforms to the package build list
* [`[5af7a6b967]`](https://github.com/dotnet/corefx/commit/5af7a6b967) Increate ReadAsyncCompletesIfFlushAsyncCanceledMidFlush timeout to 5 minutes (#31745)
* [`[d8e222dfd9]`](https://github.com/dotnet/corefx/commit/d8e222dfd9) Limit ReadAsyncCompletesIfFlushAsyncCanceledMidFlush iteration count
* [`[bee0e9df4d]`](https://github.com/dotnet/corefx/commit/bee0e9df4d) Syncronize cancellation in ReadAsyncCompletesIfFlushAsyncCanceledMidFlush (#31365)
* [`[141c2f4ce3]`](https://github.com/dotnet/corefx/commit/141c2f4ce3) Fix ReadAsync not returning when cancellation token fires during FlushAsync (#31212)
* [`[88f6354bb3]`](https://github.com/dotnet/corefx/commit/88f6354bb3) Make StackFrame tests robust against varying levels of optimizations (#30463)
* [`[ce799ec144]`](https://github.com/dotnet/corefx/commit/ce799ec144) Handle rename of m_provider to m_etwProvider. (#30014) (#31854)
* [`[f4e9110b2f]`](https://github.com/dotnet/corefx/commit/f4e9110b2f) Fix looking up headers on HttpClient response (#31550)
* [`[e86d925ba5]`](https://github.com/dotnet/corefx/commit/e86d925ba5) Update package.sbuilds and version baselines for the 2.1.4 update
* [`[d69ef185c3]`](https://github.com/dotnet/corefx/commit/d69ef185c3) Updated the package version for System.IO.Pipelines to 4.5.1
* [`[7993de4d2a]`](https://github.com/dotnet/corefx/commit/7993de4d2a) Add macOS 10.14 Mojave to the RID graph  (#31548)
* [`[95f382a9f2]`](https://github.com/dotnet/corefx/commit/95f382a9f2) Handle NT auth with Connection: close on initial challenge #31527
* [`[cf41dcce70]`](https://github.com/dotnet/corefx/commit/cf41dcce70) Handle overflow in uname -r (#31261)
* [`[d438da4875]`](https://github.com/dotnet/corefx/commit/d438da4875) Ensure that exporting an unsorted attributes signed payload doesn't sort them.
* [`[2f8e2bb0c5]`](https://github.com/dotnet/corefx/commit/2f8e2bb0c5) Allow SignedCms to verify documents whose signer didn't sort attributes.
* [`[16cf9914d7]`](https://github.com/dotnet/corefx/commit/16cf9914d7) Port of 'Ensure ConcurrentBag's TryTake is linearizable' again

## CLI

* [`[785a64e5a]`](https://github.com/dotnet/cli/commit/785a64e5a) Enabling crossgen for win-arm
* [`[eb253fa49]`](https://github.com/dotnet/cli/commit/eb253fa49) Enabling building for win-arm.
* [`[401c963e0]`](https://github.com/dotnet/cli/commit/401c963e0) Insert NuGet Build 4.9.0-rtm.5658 into cli
* [`[49f1571dd]`](https://github.com/dotnet/cli/commit/49f1571dd) MSBuild 15.9.20
* [`[ef881e004]`](https://github.com/dotnet/cli/commit/ef881e004) Update nunit-dotnet-new to version 1.5.3
* [`[5aad7bca5]`](https://github.com/dotnet/cli/commit/5aad7bca5) Insert NuGet Build 4.9.0-preview5.5630 into cli
* [`[743ba08df]`](https://github.com/dotnet/cli/commit/743ba08df) Insert NuGet Build 4.9.0-preview4.5552 into cli
* [`[4dee502cf]`](https://github.com/dotnet/cli/commit/4dee502cf) Adding new VS.Redist packages for 2.1, so that we can serve both 15.x and 16.x.
* [`[738c4cb96]`](https://github.com/dotnet/cli/commit/738c4cb96) Updating 1.0 and 1.1 implicit self-contained versions
* [`[c04acdbdb]`](https://github.com/dotnet/cli/commit/c04acdbdb) Update LatestPatchVersionForNetCore 1.0 and 1.1
* [`[df4663506]`](https://github.com/dotnet/cli/commit/df4663506) MSBuild 15.9.19
* [`[5ec02ad56]`](https://github.com/dotnet/cli/commit/5ec02ad56) Fix tool install fail on culture "en-US-POSIX"
* [`[c19ba0742]`](https://github.com/dotnet/cli/commit/c19ba0742) Insert testplatform 15.9 RTM
* [`[2153bcaab]`](https://github.com/dotnet/cli/commit/2153bcaab) Fixing exec with line breaks on windows now, affected by the same MSBuild change that changed how exec treats line endings.
* [`[dba04383b]`](https://github.com/dotnet/cli/commit/dba04383b) Insert NuGet Build 4.9.0-preview4.5536 into cli
* [`[48ed870b7]`](https://github.com/dotnet/cli/commit/48ed870b7) Updating exec for OSX by putting the whole command in a single line. There was a change in MSBuild where we changed the way the exec command is treated.
* [`[68b7810f4]`](https://github.com/dotnet/cli/commit/68b7810f4) Adding NU5123 to the NOWARN list. This was a new warning introduced by NuGet that we started hitting when upgrading to a newer SDK.
* [`[54ac9be91]`](https://github.com/dotnet/cli/commit/54ac9be91) Add the Razor SDK to the versions to update
* [`[f3813f90c]`](https://github.com/dotnet/cli/commit/f3813f90c) Add retry to download
* [`[fbaca979b]`](https://github.com/dotnet/cli/commit/fbaca979b) Add IsTestProject prop to test
* [`[a3237bb47]`](https://github.com/dotnet/cli/commit/a3237bb47) Insert testplatform v15.9.0-preview-20180924-03
* [`[2ed37b3f4]`](https://github.com/dotnet/cli/commit/2ed37b3f4) Fix multiline powershell invocations
* [`[d134af0eb]`](https://github.com/dotnet/cli/commit/d134af0eb) Insert testplatform v15.9.0-preview-20180925-03
* [`[824a01420]`](https://github.com/dotnet/cli/commit/824a01420) forward param for dotnet tool udpate (#9969)
* [`[744162714]`](https://github.com/dotnet/cli/commit/744162714) Add DotnetTool path to avoid setting permanent env
* [`[22b4b8451]`](https://github.com/dotnet/cli/commit/22b4b8451) Upgrade NuGet to 4.9.0-preview3.5473
* [`[7d2f3151e]`](https://github.com/dotnet/cli/commit/7d2f3151e) Implement the `dotnet list package` command.
* [`[45ee7b63e]`](https://github.com/dotnet/cli/commit/45ee7b63e) Insert updated Web SDK
* [`[ad5450595]`](https://github.com/dotnet/cli/commit/ad5450595) Add ImplicitPackageReferenceVersion items to bundled versions file
* [`[5f1cad1a1]`](https://github.com/dotnet/cli/commit/5f1cad1a1) Always use the suffixed version for the  'VS.Redist.Common.Net.Core.SDK.*' files & publish them.
* [`[8ad94c40e]`](https://github.com/dotnet/cli/commit/8ad94c40e) Insert NuGet Build 4.9.0-preview3.5507 into cli
* [`[b4aa2fe0b]`](https://github.com/dotnet/cli/commit/b4aa2fe0b) Update core-setup and re-enable all sdk resolver tests
* [`[cbe8cd367]`](https://github.com/dotnet/cli/commit/cbe8cd367) Insert NuGet Build 4.9.0-preview3.5496 into cli
* [`[f5d25c792]`](https://github.com/dotnet/cli/commit/f5d25c792) MSBuild 15.9.13-preview
* [`[4fb90d694]`](https://github.com/dotnet/cli/commit/4fb90d694) Installer metadata in ARP uses HTTP URLs
* [`[5497aa2f0]`](https://github.com/dotnet/cli/commit/5497aa2f0) Insert NuGet Build 4.9.0-preview2.5467 into cli
* [`[ed4ae7133]`](https://github.com/dotnet/cli/commit/ed4ae7133) Insert NuGet Build 4.8.1-rtm.5435 into cli
* [`[68dc2496c]`](https://github.com/dotnet/cli/commit/68dc2496c) Update dependnecy updater (port from 2.2.1xx]
* [`[0408e13bc]`](https://github.com/dotnet/cli/commit/0408e13bc) Update AspnetCore.All instead of AspnetCore.App
* [`[2650d3b0a]`](https://github.com/dotnet/cli/commit/2650d3b0a) Add additional package version updaters for other aspnet dependencies
* [`[a4040c998]`](https://github.com/dotnet/cli/commit/a4040c998) Add reference to Nuget.Versioning
* [`[d4e5da80b]`](https://github.com/dotnet/cli/commit/d4e5da80b) Fixing the external restore sources file. We needed to create the test artifact folder.
* [`[92feb56d6]`](https://github.com/dotnet/cli/commit/92feb56d6) Change release suffix to servicing
* [`[739be7bf3]`](https://github.com/dotnet/cli/commit/739be7bf3) Insert NuGet Build 4.9.0-preview2.5428 into cli
* [`[cd6a3a6b3]`](https://github.com/dotnet/cli/commit/cd6a3a6b3) Fix rpmdb error (#9906)
* [`[eb9bfdca5]`](https://github.com/dotnet/cli/commit/eb9bfdca5) MSBuild 15.8.168
* [`[e79d0269b]`](https://github.com/dotnet/cli/commit/e79d0269b) MSBuild 15.9.10-preview
* [`[40172615b]`](https://github.com/dotnet/cli/commit/40172615b) Changing the property names for 2.2 templates to be named 22 instead of 20.
* [`[efa3ad3c9]`](https://github.com/dotnet/cli/commit/efa3ad3c9) Updating the windows installer notice to reflect 2.2 and its requirement of 15.9.
* [`[4dcd0031a]`](https://github.com/dotnet/cli/commit/4dcd0031a) Adding a workaround for the sockets issue when restoring with many nuget feeds.
* [`[812d5dfeb]`](https://github.com/dotnet/cli/commit/812d5dfeb) Adding a workaround for the sockets issue when restoring with many nuget feeds.
* [`[3992e7f00]`](https://github.com/dotnet/cli/commit/3992e7f00) Porting back fix from https://github.com/dotnet/cli/pull/9854/files to 2.1.4xx
* [`[a1fd9b00b]`](https://github.com/dotnet/cli/commit/a1fd9b00b) MSBuild 15.9.8-preview
* [`[5df7da56a]`](https://github.com/dotnet/cli/commit/5df7da56a) Updating the test templates to 2.2 version
* [`[0996683c1]`](https://github.com/dotnet/cli/commit/0996683c1) Updated Reevaluate property name
* [`[090a10b67]`](https://github.com/dotnet/cli/commit/090a10b67) Adding NuGet project lock file options for dotnet restore command
* [`[6152eaabc]`](https://github.com/dotnet/cli/commit/6152eaabc) Add --disable-parallel to dotnet-new.Tests
* [`[3ccc3593c]`](https://github.com/dotnet/cli/commit/3ccc3593c) MSBuild SDK Resolver Improvements (#9547)
* [`[b2be5b446]`](https://github.com/dotnet/cli/commit/b2be5b446) MSBuild 15.9.0-preview-000006
* [`[cae652883]`](https://github.com/dotnet/cli/commit/cae652883) Use prebuild image
* [`[5635f0d06]`](https://github.com/dotnet/cli/commit/5635f0d06) Disabled MSBuildTreatWarningsAsErrors
* [`[ea47700f7]`](https://github.com/dotnet/cli/commit/ea47700f7) TestPlatform 15.9.0-preview Insertion
* [`[624259561]`](https://github.com/dotnet/cli/commit/624259561) Fix warnings-as-errors in Linux packaging
* [`[1ec1f612a]`](https://github.com/dotnet/cli/commit/1ec1f612a) Don't let crossgen warnings become msbuild warnings-as-errors

## AspNetCore

An incredible amount of work went into ASP.NET Core for the 2.2 release (as you can see below). The list below will hopefully provide additional insight into the contenst of the .NET Core 2.2.0 release

* [`[197c5567f4]`](https://github.com/aspnet/AspNetCore/commit/197c5567f4) Update EFCore submodule (#4349)
* [`[d9a953dfeb]`](https://github.com/aspnet/AspNetCore/commit/d9a953dfeb) Autobahn test suite fix(#4302)
* [`[054cfac97e]`](https://github.com/aspnet/AspNetCore/commit/054cfac97e) Add EntityFrameworkCore to the list of submodules patching in 2.2.1 (#4341)
* [`[7dc01b6928]`](https://github.com/aspnet/AspNetCore/commit/7dc01b6928) Fix 2.2 benchmarks (#4322)
* [`[e435fd1d23]`](https://github.com/aspnet/AspNetCore/commit/e435fd1d23) Fix accidental skipped tests (#4301)
* [`[78c0813631]`](https://github.com/aspnet/AspNetCore/commit/78c0813631) Set Microsoft.Owin.Security.Interop to 'noship' for 2.2 (#4314)[ci skip]
* [`[8b48191120]`](https://github.com/aspnet/AspNetCore/commit/8b48191120) Ensure static analysis gets the right package versions when patching a package
* [`[b38f936f31]`](https://github.com/aspnet/AspNetCore/commit/b38f936f31) Ensure Microsoft.AspNetCore.Server.Kestrel.Transport.Sockets is included in 2.2.1 (#4308)
* [`[63b26d42d2]`](https://github.com/aspnet/AspNetCore/commit/63b26d42d2) Replace ManualResetEvent with TaskCompletionSource in TestHost tests
* [`[079107aa92]`](https://github.com/aspnet/AspNetCore/commit/079107aa92) Make gradlew executable (#4275)
* [`[af8d67f353]`](https://github.com/aspnet/AspNetCore/commit/af8d67f353) Ensure static analysis gets the right package versions when patching a package
* [`[d025e4e0ad]`](https://github.com/aspnet/AspNetCore/commit/d025e4e0ad) Fix submodules for Mvc MvcPrecompilation Razor and SignalR
* [`[dabf5d8ba9]`](https://github.com/aspnet/AspNetCore/commit/dabf5d8ba9) [2.1] [Kestrel] Move AddressRegistrationTests to own TestGroup
* [`[101303eceb]`](https://github.com/aspnet/AspNetCore/commit/101303eceb) Fix RepositoryUrls
* [`[89330075b4]`](https://github.com/aspnet/AspNetCore/commit/89330075b4) Target right version of ANCM nuget package (#4194)
* [`[8ce7bb7f16]`](https://github.com/aspnet/AspNetCore/commit/8ce7bb7f16) Add HealthChecks to Middleware.sln
* [`[c80604a7da]`](https://github.com/aspnet/AspNetCore/commit/c80604a7da) Fix directory structure (#4201)
* [`[a13e3b4813]`](https://github.com/aspnet/AspNetCore/commit/a13e3b4813) Marked the `Microsoft.Extensions.ApiDescription.Design` package as "noship" (#4185)
* [`[2711049cf4]`](https://github.com/aspnet/AspNetCore/commit/2711049cf4) Fix submodules for ServerTests StaticFiles and Session
* [`[1d36dfeb5e]`](https://github.com/aspnet/AspNetCore/commit/1d36dfeb5e) Sign Browserlink
* [`[3f025e3a38]`](https://github.com/aspnet/AspNetCore/commit/3f025e3a38) Make Microsoft.AspNetCore.Server.IntegrationTesting a temporary external dependency
* [`[ae619e6b7f]`](https://github.com/aspnet/AspNetCore/commit/ae619e6b7f) Include Microsoft.Extensions.Http.dll in signing
* [`[ade4572238]`](https://github.com/aspnet/AspNetCore/commit/ade4572238) Fix submodules for AADIntegration JavaScriptServices and MetaPackages
* [`[69534b5687]`](https://github.com/aspnet/AspNetCore/commit/69534b5687) Fix AzureIntegration submodule
* [`[d0bcdf3dd9]`](https://github.com/aspnet/AspNetCore/commit/d0bcdf3dd9) Fix dynamic require for Webpack (#3306)
* [`[e4249dade0]`](https://github.com/aspnet/AspNetCore/commit/e4249dade0) Fix the SiteExtension signing exclusion
* [`[ca42d0295e]`](https://github.com/aspnet/AspNetCore/commit/ca42d0295e) Use property group for sign exclussions
* [`[5e961e27ea]`](https://github.com/aspnet/AspNetCore/commit/5e961e27ea) Ignore apphost.exe in runtime store (#4073)
* [`[f7c26f9912]`](https://github.com/aspnet/AspNetCore/commit/f7c26f9912) [2.2.1] Use non-pinnable buffer for zero byte read (#4066)
* [`[9adb829eb5]`](https://github.com/aspnet/AspNetCore/commit/9adb829eb5) Fix MusicStore RootPath
* [`[e2a712a1cd]`](https://github.com/aspnet/AspNetCore/commit/e2a712a1cd) Add logging to HubConnectionHandlerTests (#3286)
* [`[681d743170]`](https://github.com/aspnet/AspNetCore/commit/681d743170) Update MusicStore source
* [`[09e5daa037]`](https://github.com/aspnet/AspNetCore/commit/09e5daa037) Update schema before running tests (#4030)
* [`[289050b9f2]`](https://github.com/aspnet/AspNetCore/commit/289050b9f2) Normalize code sign metadata to avoid duplication between projects and cross-gen config settings
* [`[51c9b7355d]`](https://github.com/aspnet/AspNetCore/commit/51c9b7355d) Create Kestrel.sln, update documentation and README, and ensure all Kestrel test projects have the test logger installed
* [`[0029b8f053]`](https://github.com/aspnet/AspNetCore/commit/0029b8f053) Use non-pinnable buffer for zero byte read (#3094)
* [`[b4dbaa95d0]`](https://github.com/aspnet/AspNetCore/commit/b4dbaa95d0) Add ChromeDriver dependency
* [`[e69285a36d]`](https://github.com/aspnet/AspNetCore/commit/e69285a36d) Use Selenium to test Chrome
* [`[7e96a02975]`](https://github.com/aspnet/AspNetCore/commit/7e96a02975) Skip cert errors on Chromium too (#3299)
* [`[a8ec75aac4]`](https://github.com/aspnet/AspNetCore/commit/a8ec75aac4) Prepare for the 2.2.1 patch
* [`[87092a2590]`](https://github.com/aspnet/AspNetCore/commit/87092a2590) Update targets and infrastructure for dotnet-watch et. al.
* [`[c80588ec51]`](https://github.com/aspnet/AspNetCore/commit/c80588ec51) Stop skipping libuv functional tests (#3091)
* [`[6d375e9027]`](https://github.com/aspnet/AspNetCore/commit/6d375e9027) Wait for reads before advancing clock in Http2TimeoutTests (#3090)
* [`[ccd098ecad]`](https://github.com/aspnet/AspNetCore/commit/ccd098ecad) Update DataProtection to use custom reference resolution
* [`[b476df9acd]`](https://github.com/aspnet/AspNetCore/commit/b476df9acd) Custom CORS-like middleware to allow wildcard origin in test app (#3292)
* [`[ce8cf65589]`](https://github.com/aspnet/AspNetCore/commit/ce8cf65589) Update SignalR submodule
* [`[a9def470e3]`](https://github.com/aspnet/AspNetCore/commit/a9def470e3) Don't attempt to detect java if SkipJavaClient is true
* [`[2fee09506e]`](https://github.com/aspnet/AspNetCore/commit/2fee09506e) Update the SignalR module to correct code signing config
* [`[a242dc726d]`](https://github.com/aspnet/AspNetCore/commit/a242dc726d) Ensure .jar files are included in code signing with the correct certificate
* [`[140cf62b56]`](https://github.com/aspnet/AspNetCore/commit/140cf62b56) Re-enable SignCheck
* [`[f64d6a2b50]`](https://github.com/aspnet/AspNetCore/commit/f64d6a2b50) Updating dependencies (#3996)
* [`[dfacde4dee]`](https://github.com/aspnet/AspNetCore/commit/dfacde4dee) Fix /t:FastCheck for local-projects
* [`[1c8df01d09]`](https://github.com/aspnet/AspNetCore/commit/1c8df01d09) Update PR validation to fix the FastCheck config and IIS tests
* [`[27a47d07c5]`](https://github.com/aspnet/AspNetCore/commit/27a47d07c5) Reorganize the src/WebSockets/ folder to follow new source code organization conventions
* [`[5db6394769]`](https://github.com/aspnet/AspNetCore/commit/5db6394769) Always decrement count on HTTP/2 stream completion (#3087)
* [`[8356baf7a6]`](https://github.com/aspnet/AspNetCore/commit/8356baf7a6) Port ANCM installer changes to 2.1 (#3874)
* [`[4d2e68649f]`](https://github.com/aspnet/AspNetCore/commit/4d2e68649f) Expect correct error message in HTTP/2 test (#3085)
* [`[a3baf40c74]`](https://github.com/aspnet/AspNetCore/commit/a3baf40c74) Set dependency version on Microsoft.Extensions.DiagnosticAdapter to 2.1.0 and prune unused logging analyzers dependency
* [`[7f4d10775c]`](https://github.com/aspnet/AspNetCore/commit/7f4d10775c) Add signcheck exclusions (#3985)
* [`[031a2ed214]`](https://github.com/aspnet/AspNetCore/commit/031a2ed214) Stop producing runtime-site-extension-internal.zip (#248)
* [`[50bb0b3bc9]`](https://github.com/aspnet/AspNetCore/commit/50bb0b3bc9) Implement no-op HTTP/2 IHttpUpgradeFeature (#3082)
* [`[f05b0e792d]`](https://github.com/aspnet/AspNetCore/commit/f05b0e792d) Add some logging for functional tests
* [`[a1c1083798]`](https://github.com/aspnet/AspNetCore/commit/a1c1083798) [2.2] Fix race conditions in HTTP/2 tests (#3078)
* [`[263fb650be]`](https://github.com/aspnet/AspNetCore/commit/263fb650be) Detect shared configuration in ANCM installers and fail if enabled (#3962)
* [`[f4d3ebe09a]`](https://github.com/aspnet/AspNetCore/commit/f4d3ebe09a) Add docs blurb to Readme (#3276)
* [`[a03b8f85a8]`](https://github.com/aspnet/AspNetCore/commit/a03b8f85a8) Add docker retry to stackexchange redis tests (#3270)
* [`[d81128de11]`](https://github.com/aspnet/AspNetCore/commit/d81128de11) Fix CodeSign.props to include the .dll in the file name for logging files
* [`[56f78b4593]`](https://github.com/aspnet/AspNetCore/commit/56f78b4593) Retry redis docker (#3265)
* [`[7ef549416f]`](https://github.com/aspnet/AspNetCore/commit/7ef549416f) Add prerelease label to deb installer package version
* [`[ffd4bcd850]`](https://github.com/aspnet/AspNetCore/commit/ffd4bcd850) Server per test (#3253)
* [`[5eac0befd0]`](https://github.com/aspnet/AspNetCore/commit/5eac0befd0) Include assemblies from aspnet/FileSystem in the list of assemblies to code-signing
* [`[9d794af34d]`](https://github.com/aspnet/AspNetCore/commit/9d794af34d) Update to .NET Core 2.2.0-rtm-27105-02 and Extensions 2.2.0-rtm-181105-01
* [`[90b11de8f1]`](https://github.com/aspnet/AspNetCore/commit/90b11de8f1) Get IISIntegration CI working (#3875)
* [`[e8fec8eb52]`](https://github.com/aspnet/AspNetCore/commit/e8fec8eb52) Enable symbols generation for crossgen'ed assemblies on linux-arm (#3877)
* [`[0e24161d42]`](https://github.com/aspnet/AspNetCore/commit/0e24161d42) Ensure Microsoft.AspNetCore.Server.IntegrationTesting.IIS doesn't produce a finalized version
* [`[40a9b18c43]`](https://github.com/aspnet/AspNetCore/commit/40a9b18c43) Ignore certificate errors
* [`[f2a383dc76]`](https://github.com/aspnet/AspNetCore/commit/f2a383dc76) Don't count long tick intervals against rate measurements (#3070)
* [`[1ab2caa431]`](https://github.com/aspnet/AspNetCore/commit/1ab2caa431) Update list of files to include DependencyInjection
* [`[303ee1ff56]`](https://github.com/aspnet/AspNetCore/commit/303ee1ff56) Fix the filename for the debian installer
* [`[b006a2c789]`](https://github.com/aspnet/AspNetCore/commit/b006a2c789) Clean up logging (#3247)
* [`[d745b8c161]`](https://github.com/aspnet/AspNetCore/commit/d745b8c161) Fix #485
* [`[22a32500ac]`](https://github.com/aspnet/AspNetCore/commit/22a32500ac) Fix several issues
* [`[f170981fec]`](https://github.com/aspnet/AspNetCore/commit/f170981fec) Add auth server package
* [`[57d52d392d]`](https://github.com/aspnet/AspNetCore/commit/57d52d392d) Add Microsoft.NETFramework.ReferenceAssemblies to list of external dependencies
* [`[cd36ae4f16]`](https://github.com/aspnet/AspNetCore/commit/cd36ae4f16) Delete mv_to_src.sh
* [`[ee0a11d048]`](https://github.com/aspnet/AspNetCore/commit/ee0a11d048) Update code signing configuration to account for crossgen-ed assemblies (#3783)
* [`[7fbedc602c]`](https://github.com/aspnet/AspNetCore/commit/7fbedc602c) Move 22 into subfolder
* [`[55e809c5dc]`](https://github.com/aspnet/AspNetCore/commit/55e809c5dc) Move more files
* [`[83139d36f4]`](https://github.com/aspnet/AspNetCore/commit/83139d36f4) Add some missing test logging (#3242)
* [`[040fb6f18a]`](https://github.com/aspnet/AspNetCore/commit/040fb6f18a) Move IISIntegration into subfolder
* [`[d50c0c13b9]`](https://github.com/aspnet/AspNetCore/commit/d50c0c13b9) Measure the rate of all HTTP/2 output (#3067)
* [`[a6199bbfba]`](https://github.com/aspnet/AspNetCore/commit/a6199bbfba) Add integration and functional tests of `[BindRequired]` on page properties (#8677)
* [`[3b485909eb]`](https://github.com/aspnet/AspNetCore/commit/3b485909eb) Fix aspnet/AspNetCore#3634
* [`[954362f344]`](https://github.com/aspnet/AspNetCore/commit/954362f344) Update the sign config entry for API-MS-Win-core-xstate-l2-1-0.dll to match case exactly
* [`[4c51201f58]`](https://github.com/aspnet/AspNetCore/commit/4c51201f58) Include win-arm assets in the signing configuration
* [`[b262521969]`](https://github.com/aspnet/AspNetCore/commit/b262521969) Include x86 assets in the signing configuration
* [`[c802d5ef5f]`](https://github.com/aspnet/AspNetCore/commit/c802d5ef5f) Redesign HealthStatus (again) (#520)
* [`[569016c2c5]`](https://github.com/aspnet/AspNetCore/commit/569016c2c5) Code sign all packages in a single batch (#3778)
* [`[27efce1042]`](https://github.com/aspnet/AspNetCore/commit/27efce1042) Do not use the default 5000 port for functional tests
* [`[1f896dc61b]`](https://github.com/aspnet/AspNetCore/commit/1f896dc61b) :arrow_up: Update NetTopologySuite.IO.SqlServerBytes to 1.15.0
* [`[5b486cdfa9]`](https://github.com/aspnet/AspNetCore/commit/5b486cdfa9) Java API Doc revisions
* [`[865de16086]`](https://github.com/aspnet/AspNetCore/commit/865de16086) Enable cookie jar for Node client using request package (#3202)
* [`[c74a945dda]`](https://github.com/aspnet/AspNetCore/commit/c74a945dda) Convert `RouteValueDictionary` values to `string` using `CultureInfo.InvariantCulture` (#8674)
* [`[41fa3ff3eb]`](https://github.com/aspnet/AspNetCore/commit/41fa3ff3eb) Add Razor.Workspaces to non-shipping in NPV
* [`[36ca210a65]`](https://github.com/aspnet/AspNetCore/commit/36ca210a65) [Java] Add null ref test for websocket
* [`[3e08bf8833]`](https://github.com/aspnet/AspNetCore/commit/3e08bf8833) Move tests to net472
* [`[734b919b02]`](https://github.com/aspnet/AspNetCore/commit/734b919b02) Respect SuppressInferBindingSourcesForParameters
* [`[c9600ac2d4]`](https://github.com/aspnet/AspNetCore/commit/c9600ac2d4) [Java] Log invocation binding failures (#3160)
* [`[af6527dcef]`](https://github.com/aspnet/AspNetCore/commit/af6527dcef) Fix XML doc on HttpMethodAttribute and derived ones
* [`[e958d82584]`](https://github.com/aspnet/AspNetCore/commit/e958d82584) Add more chrome test logging
* [`[73f2f19984]`](https://github.com/aspnet/AspNetCore/commit/73f2f19984) [Java] API level support down to 23
* [`[97dc5852a2]`](https://github.com/aspnet/AspNetCore/commit/97dc5852a2) Suppress warning NU5125 about upcoming deprecation of PackageLicenseUrl (#3758)
* [`[4c94bc272b]`](https://github.com/aspnet/AspNetCore/commit/4c94bc272b) Rename anti-caching option
* [`[a058bc0c0a]`](https://github.com/aspnet/AspNetCore/commit/a058bc0c0a) Win-arm shared framework
* [`[9407fe12f6]`](https://github.com/aspnet/AspNetCore/commit/9407fe12f6) RxJava is on the public API so the library needs to declare it as such (#3155)
* [`[134bd90888]`](https://github.com/aspnet/AspNetCore/commit/134bd90888) Filter paths in SiteExtension trigger (#3747)
* [`[35d2ab37f7]`](https://github.com/aspnet/AspNetCore/commit/35d2ab37f7) Allow passing a dictionary to ValidationProblemDetails
* [`[ccde910b29]`](https://github.com/aspnet/AspNetCore/commit/ccde910b29) Specify TaskCreationOptions when using TCS
* [`[1afd5b2594]`](https://github.com/aspnet/AspNetCore/commit/1afd5b2594) Don't use Map
* [`[37e562902f]`](https://github.com/aspnet/AspNetCore/commit/37e562902f) Support single `IDocumentProvider` method signature - #8593 - also find `IDocumentProvider` using a more-laborious process   - `Type.GetType(string)` requires an assembly-qualified name and we don't know the assembly - default method name now `GenerateAsync` - only supported signature is `public Task GenerateAsync(string, TextWriter)`
* [`[373e67896a]`](https://github.com/aspnet/AspNetCore/commit/373e67896a) Fix the path to RPM template and config files
* [`[eba014d534]`](https://github.com/aspnet/AspNetCore/commit/eba014d534) Add additional signing configuration for external assemblies in the tools packages
* [`[e8b9dc52ba]`](https://github.com/aspnet/AspNetCore/commit/e8b9dc52ba) Fix NullPointerException when unboxing null to int.
* [`[6ecf5374c6]`](https://github.com/aspnet/AspNetCore/commit/6ecf5374c6) Use 3PartySHA2 instead of 3PartyDual for code-signing Newtonsoft.Json.dll (#2678)
* [`[e0c575000f]`](https://github.com/aspnet/AspNetCore/commit/e0c575000f) Ensure MicrosoftNETCoreAppPackageVersion is always defined
* [`[6bafc157e7]`](https://github.com/aspnet/AspNetCore/commit/6bafc157e7) Update code signing config to exclude .js and .ttf files in template packages
* [`[2adf798ba0]`](https://github.com/aspnet/AspNetCore/commit/2adf798ba0) Fix peer dependencies in React templates
* [`[a74235c7ec]`](https://github.com/aspnet/AspNetCore/commit/a74235c7ec) Reflect Access-Control-Request-Headers and Access-Control-Request-Method when policy is configured to support wildcard
* [`[395b681348]`](https://github.com/aspnet/AspNetCore/commit/395b681348) Add HTTP/2 request body data rate limit (#3051)
* [`[99f2ecd02f]`](https://github.com/aspnet/AspNetCore/commit/99f2ecd02f) Move transformation tests from AzureIntegration (#3726)
* [`[d9aba751ae]`](https://github.com/aspnet/AspNetCore/commit/d9aba751ae) Change TargetFramework for micro benchmarks
* [`[958e0b1d9f]`](https://github.com/aspnet/AspNetCore/commit/958e0b1d9f) Get rid of Page1 Page2
* [`[ae122d9bc0]`](https://github.com/aspnet/AspNetCore/commit/ae122d9bc0) Include rid-specific runtime packages in the list of artifacts
* [`[77a3089c8d]`](https://github.com/aspnet/AspNetCore/commit/77a3089c8d) Workaround quirks in NuGet
* [`[dbc28c523e]`](https://github.com/aspnet/AspNetCore/commit/dbc28c523e) Avoid double restores by invoking NuGet.targets directly
* [`[616aeba156]`](https://github.com/aspnet/AspNetCore/commit/616aeba156) Use chrome instead of chromium on Ubuntu
* [`[0aab8e5dd0]`](https://github.com/aspnet/AspNetCore/commit/0aab8e5dd0) added maven badge to readme.md (#3201)
* [`[b05185f1f1]`](https://github.com/aspnet/AspNetCore/commit/b05185f1f1) ESLint (#796)
* [`[9b3d1f56fd]`](https://github.com/aspnet/AspNetCore/commit/9b3d1f56fd) Handle peer dependency warnings (#794)
* [`[4433d967ad]`](https://github.com/aspnet/AspNetCore/commit/4433d967ad) Update CLI functional tests to account for the addition of Microsoft.IdentityModel.JsonWebTokens.dll
* [`[c6f9783671]`](https://github.com/aspnet/AspNetCore/commit/c6f9783671) Add AspNetCore runtime back into the runtime site extension (#244)
* [`[31f1e170d0]`](https://github.com/aspnet/AspNetCore/commit/31f1e170d0) Add interop tests with headless chrome
* [`[a8a3f99f1a]`](https://github.com/aspnet/AspNetCore/commit/a8a3f99f1a) Skip restore on .zipproj files
* [`[044f613804]`](https://github.com/aspnet/AspNetCore/commit/044f613804) Include failed HRESULTs and exceptions in FREB log (#1548)
* [`[de185b6a06]`](https://github.com/aspnet/AspNetCore/commit/de185b6a06) Duplicate debug log handle for console logging (#1558)
* [`[91db78cf92]`](https://github.com/aspnet/AspNetCore/commit/91db78cf92) Add safe copy for enumeration (#1052)
* [`[3d828221a1]`](https://github.com/aspnet/AspNetCore/commit/3d828221a1) Rename sandbox website directory (#892)
* [`[01f9af21c5]`](https://github.com/aspnet/AspNetCore/commit/01f9af21c5) Temporarily stop producing a package for dotnet-httprepl (#505)
* [`[aa88f16b08]`](https://github.com/aspnet/AspNetCore/commit/aa88f16b08) Fix cors with creds (#193)
* [`[70a786adcd]`](https://github.com/aspnet/AspNetCore/commit/70a786adcd) Make AspNetCoreHostingModel element not be insert when targeting net461 and inprocess => InProcess (#797)
* [`[29c06e2636]`](https://github.com/aspnet/AspNetCore/commit/29c06e2636) Update deps (#3170)
* [`[c129d272a4]`](https://github.com/aspnet/AspNetCore/commit/c129d272a4) Update npm readme with Node info (#3194)
* [`[2544926b2f]`](https://github.com/aspnet/AspNetCore/commit/2544926b2f) Provide a convenience API to configure ApiBehaviorOptions
* [`[5c3017524f]`](https://github.com/aspnet/AspNetCore/commit/5c3017524f) Fix upgrade deps and run upgrade deps (#1553)
* [`[577be72faa]`](https://github.com/aspnet/AspNetCore/commit/577be72faa) Split sandbox and functional tests websites (#890)
* [`[935df249c4]`](https://github.com/aspnet/AspNetCore/commit/935df249c4) Shorten siteextension version to fit into 20 chars (#3707)
* [`[a5fcd9dd87]`](https://github.com/aspnet/AspNetCore/commit/a5fcd9dd87) Add application/wasm #3681 (#259)
* [`[f7e8255ece]`](https://github.com/aspnet/AspNetCore/commit/f7e8255ece) Add forwards compat tests (#1547)
* [`[3842779379]`](https://github.com/aspnet/AspNetCore/commit/3842779379) Check what current processes are running to see if dotnet.exe/iisexpress.exe is being stopped. (#1530)
* [`[f7d10bec02]`](https://github.com/aspnet/AspNetCore/commit/f7d10bec02) [Java] Plumb RxJava through client (#3148)
* [`[63900a462b]`](https://github.com/aspnet/AspNetCore/commit/63900a462b) Use Node https module for https requests (#3171)
* [`[40959a97e7]`](https://github.com/aspnet/AspNetCore/commit/40959a97e7) Fix link generation of routes with default values (#8616)
* [`[bd32ec3837]`](https://github.com/aspnet/AspNetCore/commit/bd32ec3837) Add basic test for RouteValueEqualityComparer.Equals(...). (#883)
* [`[25b5ab2c39]`](https://github.com/aspnet/AspNetCore/commit/25b5ab2c39) Improve performance and reduce allocations in RouteValuesAddressScheme. (#879)
* [`[32532078d6]`](https://github.com/aspnet/AspNetCore/commit/32532078d6) Log binary data as a parameter #2860
* [`[c93e3a76ff]`](https://github.com/aspnet/AspNetCore/commit/c93e3a76ff) Eliminate redundant isValid check from DefaultEndpointSelector.ProcessFinalCandidates(...). (#881)
* [`[26e5ea3274]`](https://github.com/aspnet/AspNetCore/commit/26e5ea3274) Improves performance and reduce allocations in DefaultEndpointDataSource (#882)
* [`[707b1bbf3b]`](https://github.com/aspnet/AspNetCore/commit/707b1bbf3b) Fix link
* [`[b623b9912e]`](https://github.com/aspnet/AspNetCore/commit/b623b9912e) Make EFCore.Cosmos no-ship package
* [`[14323b5dd5]`](https://github.com/aspnet/AspNetCore/commit/14323b5dd5) Delete CODEOWNERS
* [`[0a22b927b2]`](https://github.com/aspnet/AspNetCore/commit/0a22b927b2) Use GUIDs for cache tests.
* [`[2a610ee1b8]`](https://github.com/aspnet/AspNetCore/commit/2a610ee1b8) Reduce flakiness of LargeUpload tests (#3036)
* [`[ad3cba5509]`](https://github.com/aspnet/AspNetCore/commit/ad3cba5509) Disable inheritance test on linux #3034
* [`[ffa72f5a0c]`](https://github.com/aspnet/AspNetCore/commit/ffa72f5a0c) Fix two string allocation issues (#1539)
* [`[79d098045b]`](https://github.com/aspnet/AspNetCore/commit/79d098045b) Code-sign the Microsoft.AspNetCore.AspNetCoreModule{V2} packages
* [`[1d05592cd7]`](https://github.com/aspnet/AspNetCore/commit/1d05592cd7) Allow parameter names to match required keys in templates (#872)
* [`[b3db95eb2d]`](https://github.com/aspnet/AspNetCore/commit/b3db95eb2d) Change 'create' to 'delete' in message
* [`[2081160678]`](https://github.com/aspnet/AspNetCore/commit/2081160678) Improve performance and reduce allocations of TemplateSegment (#856)
* [`[0f90a15cf1]`](https://github.com/aspnet/AspNetCore/commit/0f90a15cf1) Use Array.Clone() to copy arrays, and avoid copy where applicable (#855)
* [`[42914d93ca]`](https://github.com/aspnet/AspNetCore/commit/42914d93ca) Declare out variables inline, and use discards (#873)
* [`[277a5502fd]`](https://github.com/aspnet/AspNetCore/commit/277a5502fd) Flush response headers #3031
* [`[95ccb1ee52]`](https://github.com/aspnet/AspNetCore/commit/95ccb1ee52) More Java Docs (#3138)
* [`[4134e7bcf3]`](https://github.com/aspnet/AspNetCore/commit/4134e7bcf3) Re-enable repo code signing
* [`[ddbe0fef26]`](https://github.com/aspnet/AspNetCore/commit/ddbe0fef26) Allow custom handling of antiforgery failures
* [`[8a183bb4f4]`](https://github.com/aspnet/AspNetCore/commit/8a183bb4f4) Allow serving Razor files with leading underscore
* [`[30870b34c0]`](https://github.com/aspnet/AspNetCore/commit/30870b34c0) Fix abort race in response body tests #451
* [`[d82a3e6c99]`](https://github.com/aspnet/AspNetCore/commit/d82a3e6c99) Update to new VSTS script (#3162)
* [`[23a4e11261]`](https://github.com/aspnet/AspNetCore/commit/23a4e11261) Send RST for canceled HTTP/2 writes #3007
* [`[7f34909708]`](https://github.com/aspnet/AspNetCore/commit/7f34909708) Include EFCore in real code signing
* [`[8b05b859e8]`](https://github.com/aspnet/AspNetCore/commit/8b05b859e8) Fix jenkins filename and add VSTS test runs (#1537)
* [`[33386e424a]`](https://github.com/aspnet/AspNetCore/commit/33386e424a) Re-enable skipped auth test #474
* [`[e68c8025d5]`](https://github.com/aspnet/AspNetCore/commit/e68c8025d5) Don't set Redis timeout (#3154)
* [`[af01ed1715]`](https://github.com/aspnet/AspNetCore/commit/af01ed1715) Shorten log file names (#1536)
* [`[7191c12a65]`](https://github.com/aspnet/AspNetCore/commit/7191c12a65) Enable logging in chat sample (#3134)
* [`[b92c82e97f]`](https://github.com/aspnet/AspNetCore/commit/b92c82e97f) Add static shim test (#1505)
* [`[d3f2ca9c9a]`](https://github.com/aspnet/AspNetCore/commit/d3f2ca9c9a) Do not inherit socket handles #2789
* [`[55d849a0d0]`](https://github.com/aspnet/AspNetCore/commit/55d849a0d0) Add compression pass through tests (#1525)
* [`[203c2a22ed]`](https://github.com/aspnet/AspNetCore/commit/203c2a22ed) Add package-info file for docs (#3123)
* [`[48d40e0e36]`](https://github.com/aspnet/AspNetCore/commit/48d40e0e36) Add mitigations to HttpsClientCert_GetCertInformation flakiness (#1529)
* [`[1d3090f056]`](https://github.com/aspnet/AspNetCore/commit/1d3090f056) Only reset the request body pipe for HTTP/1 #3006
* [`[e51da32e9d]`](https://github.com/aspnet/AspNetCore/commit/e51da32e9d) Prefer StringComparison over StringComparer when not using comparers (#870)
* [`[27e75e7a51]`](https://github.com/aspnet/AspNetCore/commit/27e75e7a51) Add a switch to allow turning on ValidationVisitor shortcircuiting (#8599)
* [`[80d3bbfcc9]`](https://github.com/aspnet/AspNetCore/commit/80d3bbfcc9) Update code signing config to exclude .js files in template packages
* [`[97acb95715]`](https://github.com/aspnet/AspNetCore/commit/97acb95715) Set default protocol to HTTP/1.x
* [`[a43587290f]`](https://github.com/aspnet/AspNetCore/commit/a43587290f) fix : DefaultFilesMiddleware serve with unicode path (#257)
* [`[b951ac9b64]`](https://github.com/aspnet/AspNetCore/commit/b951ac9b64) Fix path to aspnetcoreca.dll for signed output (#1513)
* [`[8f99140f30]`](https://github.com/aspnet/AspNetCore/commit/8f99140f30) Add client disconnect logs (#1521)
* [`[6d076dafae]`](https://github.com/aspnet/AspNetCore/commit/6d076dafae) Update certificate info for .zip and .mof files
* [`[e75dc56327]`](https://github.com/aspnet/AspNetCore/commit/e75dc56327) Sign Newtonsoft.Json with AssemblySigning3rdPartyCertName
* [`[297156a4ef]`](https://github.com/aspnet/AspNetCore/commit/297156a4ef) Check if HubConnection stopped normally (#3135)
* [`[6366deb193]`](https://github.com/aspnet/AspNetCore/commit/6366deb193) Update dataprotection to 2.2.0-rtm
* [`[a68e40c2ca]`](https://github.com/aspnet/AspNetCore/commit/a68e40c2ca) Fix package name (#241)
* [`[47e2ba3755]`](https://github.com/aspnet/AspNetCore/commit/47e2ba3755) Fix package name
* [`[74aefc855d]`](https://github.com/aspnet/AspNetCore/commit/74aefc855d) Set DOTNET_ROOT in runtime site extension (#240)
* [`[393815b8ad]`](https://github.com/aspnet/AspNetCore/commit/393815b8ad) Increase test timeout to accomodate slow machines
* [`[3ae18fb539]`](https://github.com/aspnet/AspNetCore/commit/3ae18fb539) Add skip conditions (#1520)
* [`[f2ddc6efc0]`](https://github.com/aspnet/AspNetCore/commit/f2ddc6efc0) Update .NET Core to 2.2.0-preview3-27014-02
* [`[904aac3612]`](https://github.com/aspnet/AspNetCore/commit/904aac3612) Embed version into 2.1 logging site extensions name (#238)
* [`[1ff9a3d80c]`](https://github.com/aspnet/AspNetCore/commit/1ff9a3d80c) Fixed broken link (#504)
* [`[06dbdf5ced]`](https://github.com/aspnet/AspNetCore/commit/06dbdf5ced) Increase retry count
* [`[4b9a3fcc05]`](https://github.com/aspnet/AspNetCore/commit/4b9a3fcc05) Skip falky tests caused by https://github.com/dotnet/corefx/issues/30691
* [`[73f161cc60]`](https://github.com/aspnet/AspNetCore/commit/73f161cc60) Set crossorigin anonymous for integrity
* [`[24e2e5ad52]`](https://github.com/aspnet/AspNetCore/commit/24e2e5ad52) Port startup tests to IIS (#1513)
* [`[cc45d0cb41]`](https://github.com/aspnet/AspNetCore/commit/cc45d0cb41) Use dev certs
* [`[bd375fc9ee]`](https://github.com/aspnet/AspNetCore/commit/bd375fc9ee) Fix audit failure
* [`[b0deed05be]`](https://github.com/aspnet/AspNetCore/commit/b0deed05be) Add server abort tests (#1510)
* [`[c421178a22]`](https://github.com/aspnet/AspNetCore/commit/c421178a22) Update docs for compat switch value
* [`[5551729797]`](https://github.com/aspnet/AspNetCore/commit/5551729797) Update Formatted Log Messages (#3124)
* [`[0b5973e501]`](https://github.com/aspnet/AspNetCore/commit/0b5973e501) Enable auth tests on IIS (#1511)
* [`[8ad589c4d1]`](https://github.com/aspnet/AspNetCore/commit/8ad589c4d1) Provide better errors if launching the browser failed
* [`[3a1cf72451]`](https://github.com/aspnet/AspNetCore/commit/3a1cf72451) #3009 HTTP/2 Test stabalization (#3010)
* [`[fb57810f29]`](https://github.com/aspnet/AspNetCore/commit/fb57810f29) Shortcircuit validation when using default validator providers and no validation metadata is discovered
* [`[dbc1d38a58]`](https://github.com/aspnet/AspNetCore/commit/dbc1d38a58) Move ANCM installers to Universe (#1456)
* [`[164d14064c]`](https://github.com/aspnet/AspNetCore/commit/164d14064c) Use casing for ProblemDetails that specified by RFC
* [`[fb3f5d95c2]`](https://github.com/aspnet/AspNetCore/commit/fb3f5d95c2) Backport infrastructure changes and source reorganization
* [`[1f2e704dd3]`](https://github.com/aspnet/AspNetCore/commit/1f2e704dd3) Implement MinResponseDataRate for HTTP/2 (#3003)
* [`[897386ab3f]`](https://github.com/aspnet/AspNetCore/commit/897386ab3f) Temporary disable AppVerif tests in Jenkins (#1509)
* [`[642e8e9d7c]`](https://github.com/aspnet/AspNetCore/commit/642e8e9d7c) Add Basic auth tests and fix Windows auth tests (#1502)
* [`[5d5438a7f0]`](https://github.com/aspnet/AspNetCore/commit/5d5438a7f0) Relax test SkuTelemetry strictness #1875
* [`[fbf0708f19]`](https://github.com/aspnet/AspNetCore/commit/fbf0708f19) Fix DfaGraphWriter ISuppressMatchingMetadata check (#850)
* [`[e6bdf128f2]`](https://github.com/aspnet/AspNetCore/commit/e6bdf128f2) Log when a request is an OPTIONS request but not a preflight request
* [`[b833d1df88]`](https://github.com/aspnet/AspNetCore/commit/b833d1df88) Set DOTNET_HOME to repo dir when `--ci` is specified (#1490)
* [`[facaa1387a]`](https://github.com/aspnet/AspNetCore/commit/facaa1387a) Logging with SLF4J (#3120)
* [`[fe82fd9682]`](https://github.com/aspnet/AspNetCore/commit/fe82fd9682) Committing changes required to have SignalR depend on the centralized Microsoft BOM file for Java libraries (#3114)
* [`[1fb57d9ed9]`](https://github.com/aspnet/AspNetCore/commit/1fb57d9ed9) Enable appverifier and dumps on jenkins (#1491)
* [`[9b1fd75b7e]`](https://github.com/aspnet/AspNetCore/commit/9b1fd75b7e) Include mof file in ANCMV2 package (#1499)
* [`[081cef0934]`](https://github.com/aspnet/AspNetCore/commit/081cef0934) Track aborted streams for a given grace period #2832
* [`[b5c0ed228a]`](https://github.com/aspnet/AspNetCore/commit/b5c0ed228a) Skip code-signing EFCore with repo signing while we workout issues with signtool (#1487)
* [`[0afaccf4df]`](https://github.com/aspnet/AspNetCore/commit/0afaccf4df) Prevent contention (#1486)
* [`[df394051d0]`](https://github.com/aspnet/AspNetCore/commit/df394051d0) JQuery Unobtrusive to 3.2.11
* [`[e08774b6f0]`](https://github.com/aspnet/AspNetCore/commit/e08774b6f0) [Java] Add ability to configure headers (#3090)
* [`[1132cad70b]`](https://github.com/aspnet/AspNetCore/commit/1132cad70b) public const string AuthenticationScheme (#1496)
* [`[e0883c2da3]`](https://github.com/aspnet/AspNetCore/commit/e0883c2da3) Add NetTopologySuite.IO.SqlServerBytes dependency
* [`[06e9531d50]`](https://github.com/aspnet/AspNetCore/commit/06e9531d50) Update IdentityModel packages
* [`[800c79c0e4]`](https://github.com/aspnet/AspNetCore/commit/800c79c0e4) Fast-path async in HttpResponseStreamWriter
* [`[773aa6e6ff]`](https://github.com/aspnet/AspNetCore/commit/773aa6e6ff) Http{Request|Response}Stream.ValidateState made inlineable
* [`[ed4cef6b98]`](https://github.com/aspnet/AspNetCore/commit/ed4cef6b98) Add *.StackExchangeRedis packages (#1466)
* [`[3f5f419df8]`](https://github.com/aspnet/AspNetCore/commit/3f5f419df8) Add Redis 2.0 package (#325)
* [`[286e4bebf7]`](https://github.com/aspnet/AspNetCore/commit/286e4bebf7) Add StackExchange.Redis 2.X.X package (#3089)
* [`[3f001750ad]`](https://github.com/aspnet/AspNetCore/commit/3f001750ad) Rationalize code sharing between the three code generation projects - #8417 - just two files needed to be moved&hellip;
* [`[bfa583a9aa]`](https://github.com/aspnet/AspNetCore/commit/bfa583a9aa) Guard OnAsyncCompletion from completing request before OnExecuteRequestHandler exits (#1489)
* [`[2ee351786f]`](https://github.com/aspnet/AspNetCore/commit/2ee351786f) [Java] Add pings and server timeout (#3027)
* [`[ab124fc344]`](https://github.com/aspnet/AspNetCore/commit/ab124fc344) Fix applicationInitialization tests and disconnect handler (#1484)
* [`[7d09ec6ccc]`](https://github.com/aspnet/AspNetCore/commit/7d09ec6ccc) Low hanging fruit (#763)
* [`[be4fe6c6f9]`](https://github.com/aspnet/AspNetCore/commit/be4fe6c6f9) Wait for handshake response in Java Client(#3068)
* [`[2c365b8fc5]`](https://github.com/aspnet/AspNetCore/commit/2c365b8fc5) Explicitly push to a branch
* [`[ac7a6b56d4]`](https://github.com/aspnet/AspNetCore/commit/ac7a6b56d4) Reenable client disconnect tests (#1485)
* [`[692185f7d2]`](https://github.com/aspnet/AspNetCore/commit/692185f7d2) Upgrade Java client to RTM versioning (#3104)
* [`[cd33755bee]`](https://github.com/aspnet/AspNetCore/commit/cd33755bee) [Java] Make public API look like RxJava (#3103)
* [`[f6e20a38e2]`](https://github.com/aspnet/AspNetCore/commit/f6e20a38e2) HostString throws ArgumentNullException for null host (#1045)
* [`[9daf5ff7a4]`](https://github.com/aspnet/AspNetCore/commit/9daf5ff7a4) Fix PageRouteTransformerConvention with custom page routes (#8576)
* [`[7a09638afe]`](https://github.com/aspnet/AspNetCore/commit/7a09638afe) Modernize startup error pages (#1476)
* [`[f2fbd803b9]`](https://github.com/aspnet/AspNetCore/commit/f2fbd803b9) Flow request trace context to CreateApplication (#1480)
* [`[3cf20afc8a]`](https://github.com/aspnet/AspNetCore/commit/3cf20afc8a) Fix syntax error
* [`[904c9d3623]`](https://github.com/aspnet/AspNetCore/commit/904c9d3623) Use Moq v4.10
* [`[85ecc5ba4c]`](https://github.com/aspnet/AspNetCore/commit/85ecc5ba4c) Add Redis 2.0 (#1459)
* [`[0a1c60e2d3]`](https://github.com/aspnet/AspNetCore/commit/0a1c60e2d3) Update Moq to 4.11.0
* [`[f65c1a4e3d]`](https://github.com/aspnet/AspNetCore/commit/f65c1a4e3d) Push UpdateRepos to maestro branch
* [`[3cd98acda3]`](https://github.com/aspnet/AspNetCore/commit/3cd98acda3) Updating external dependencies (#1464)
* [`[70f2d3abd9]`](https://github.com/aspnet/AspNetCore/commit/70f2d3abd9) Update Roslyn version.
* [`[21b98de09b]`](https://github.com/aspnet/AspNetCore/commit/21b98de09b) Update System.IO.Pipelines to 4.5.2 (#1458)
* [`[12761474d3]`](https://github.com/aspnet/AspNetCore/commit/12761474d3) Rename Cosmos.Sql to Cosmos (#1467)
* [`[83e8d64952]`](https://github.com/aspnet/AspNetCore/commit/83e8d64952) Updating EF submodule
* [`[1593966f3b]`](https://github.com/aspnet/AspNetCore/commit/1593966f3b) Update repos send PRs
* [`[1f31e0556d]`](https://github.com/aspnet/AspNetCore/commit/1f31e0556d) Add IHealthCheckPublisher for push-based checks (#498)
* [`[f87d8b4aaf]`](https://github.com/aspnet/AspNetCore/commit/f87d8b4aaf) Change Java client package name to com.microsoft.signalr (#3096)
* [`[8bca6b3877]`](https://github.com/aspnet/AspNetCore/commit/8bca6b3877) Add HTTP/2 keep-alive and request header timeouts (#2992)
* [`[1be7cd1f74]`](https://github.com/aspnet/AspNetCore/commit/1be7cd1f74) Disconnect the disconnect handler when request processing ends  (#1471)
* [`[7eb16afc9c]`](https://github.com/aspnet/AspNetCore/commit/7eb16afc9c) Java Client API Review pt2 (#3078)
* [`[813a9e68bc]`](https://github.com/aspnet/AspNetCore/commit/813a9e68bc) Add Java Check (#3085)
* [`[956441aa68]`](https://github.com/aspnet/AspNetCore/commit/956441aa68) Ignore created URI if Assembly.CodeBase contains a fragment (#8556)
* [`[b9166f14f1]`](https://github.com/aspnet/AspNetCore/commit/b9166f14f1) Skipping test failing on Win2k8 R2
* [`[4347a45f29]`](https://github.com/aspnet/AspNetCore/commit/4347a45f29) Always add event source logger (#287)
* [`[9722d89572]`](https://github.com/aspnet/AspNetCore/commit/9722d89572) Adjust log levels
* [`[67a1f2dda9]`](https://github.com/aspnet/AspNetCore/commit/67a1f2dda9) Add security text about Host header
* [`[81fb93a896]`](https://github.com/aspnet/AspNetCore/commit/81fb93a896) Fix Routing#837
* [`[9db2833fc2]`](https://github.com/aspnet/AspNetCore/commit/9db2833fc2) Make endpoint selector policies per-candidate-set
* [`[af47b27f0d]`](https://github.com/aspnet/AspNetCore/commit/af47b27f0d) Add blurb about Host header
* [`[5b90028fe3]`](https://github.com/aspnet/AspNetCore/commit/5b90028fe3) Expose status code of BadHttpRequestException
* [`[d1829b2491]`](https://github.com/aspnet/AspNetCore/commit/d1829b2491) Transport stop triggers HubConnection stop (#3054)
* [`[daf6e1ecd7]`](https://github.com/aspnet/AspNetCore/commit/daf6e1ecd7) Http/2 response trailers #622
* [`[89b0430bda]`](https://github.com/aspnet/AspNetCore/commit/89b0430bda) Add IHttpResponseTrailersFeature and extensions
* [`[6f76189846]`](https://github.com/aspnet/AspNetCore/commit/6f76189846) Normalize internationalized domain names when adding to CORS Fixes https://github.com/aspnet/Home/issues/3353
* [`[7f6dd893dd]`](https://github.com/aspnet/AspNetCore/commit/7f6dd893dd) Make the ActionBase type internal (#3069)
* [`[f91ae20a3c]`](https://github.com/aspnet/AspNetCore/commit/f91ae20a3c) Improve RequestAborted token handling (#2977)
* [`[b3f9f38ac6]`](https://github.com/aspnet/AspNetCore/commit/b3f9f38ac6) Test LibuvConstants.IsConnectionReset
* [`[df2ad98743]`](https://github.com/aspnet/AspNetCore/commit/df2ad98743) Use logical 'or' instead of bitwise in IsConnectionReset method. (#2983)
* [`[82276ece2f]`](https://github.com/aspnet/AspNetCore/commit/82276ece2f) Use the Microsoft400 code-signing cert for the Razor VSIX assembly
* [`[153165f9ad]`](https://github.com/aspnet/AspNetCore/commit/153165f9ad) Handle OPTIONS requests without a handler in Razor Pages (#8528)
* [`[35d35f22a3]`](https://github.com/aspnet/AspNetCore/commit/35d35f22a3) Disallow any frames after a reset is received #2154
* [`[94101a9cde]`](https://github.com/aspnet/AspNetCore/commit/94101a9cde) Add PageRouteTransformerConvention (#8541)
* [`[2ccf79a912]`](https://github.com/aspnet/AspNetCore/commit/2ccf79a912) [Java] Pass Url to transport start so we can reuse the transport (#3051)
* [`[7854d65c11]`](https://github.com/aspnet/AspNetCore/commit/7854d65c11) Support page parameter in attribute route (#8530)
* [`[f02e13fa09]`](https://github.com/aspnet/AspNetCore/commit/f02e13fa09) Fix rebase
* [`[3f6c5e3435]`](https://github.com/aspnet/AspNetCore/commit/3f6c5e3435) [Java] Check for 200 status code on negotiate (#3050)
* [`[1ccb889f9c]`](https://github.com/aspnet/AspNetCore/commit/1ccb889f9c) Functional Interfaces in the Java Client(#3047)
* [`[2e41a7063b]`](https://github.com/aspnet/AspNetCore/commit/2e41a7063b) [Java] Add accessTokenProvider (#3046)
* [`[51491de90b]`](https://github.com/aspnet/AspNetCore/commit/51491de90b) Enable Node10 for macOS (#1448)
* [`[5bd2a41517]`](https://github.com/aspnet/AspNetCore/commit/5bd2a41517) Make transport logs for connection close more detailed and consistent (#2978)
* [`[9c37082a74]`](https://github.com/aspnet/AspNetCore/commit/9c37082a74) Add Linux, Node8, and Node10 to test matrix (#1445)
* [`[64b10d5582]`](https://github.com/aspnet/AspNetCore/commit/64b10d5582) HTTP --> HTTPS
* [`[f2691ee4b6]`](https://github.com/aspnet/AspNetCore/commit/f2691ee4b6) Add a copy of scripts from dotnet-deb-tool 2.0.0 to this repo (#1442)
* [`[3ae2814c27]`](https://github.com/aspnet/AspNetCore/commit/3ae2814c27) Make Java client more reusable (#3029)
* [`[70ddf15cbc]`](https://github.com/aspnet/AspNetCore/commit/70ddf15cbc) MethodMatches :shower:
* [`[17e029f15d]`](https://github.com/aspnet/AspNetCore/commit/17e029f15d) [Java] Clean up WebSockets Transport (#3044)
* [`[a48e75dfb4]`](https://github.com/aspnet/AspNetCore/commit/a48e75dfb4) Implicitly set content type for ObjectResults containing ProblemDetails (#8512)
* [`[713e224591]`](https://github.com/aspnet/AspNetCore/commit/713e224591) [Java] Add HttpClient support for testing (#3011)
* [`[014e7eb963]`](https://github.com/aspnet/AspNetCore/commit/014e7eb963) Add EFCore DbContext check
* [`[efe83ad531]`](https://github.com/aspnet/AspNetCore/commit/efe83ad531) Add Diagnostics.EFCore package
* [`[f425134ffe]`](https://github.com/aspnet/AspNetCore/commit/f425134ffe) Fix #2265 - Port Blazor testing improvements
* [`[3ddc86a428]`](https://github.com/aspnet/AspNetCore/commit/3ddc86a428) Fix mof file (#1457)
* [`[3227de8c0b]`](https://github.com/aspnet/AspNetCore/commit/3227de8c0b) Fix #629 - Add logging to DfaMatcther
* [`[a2f404f4d5]`](https://github.com/aspnet/AspNetCore/commit/a2f404f4d5) Perf improvements for EndpointSelector
* [`[ed15bad5fb]`](https://github.com/aspnet/AspNetCore/commit/ed15bad5fb) Make CandidateState (publicly) immutable
* [`[1f5eec1d55]`](https://github.com/aspnet/AspNetCore/commit/1f5eec1d55) Rename EndpointFeature -> EndpointSelectorContext
* [`[8b99832eaf]`](https://github.com/aspnet/AspNetCore/commit/8b99832eaf) Add ASCII optimized jump tables
* [`[d1f3b90a0e]`](https://github.com/aspnet/AspNetCore/commit/d1f3b90a0e) RouteValuesAddressMetadata ctors and XML docs (#818)
* [`[3044cc8d9e]`](https://github.com/aspnet/AspNetCore/commit/3044cc8d9e) Add .etl to .gitignore (PerfView)
* [`[6effb13bbd]`](https://github.com/aspnet/AspNetCore/commit/6effb13bbd) Update to .NET Core 2.1.5
* [`[72cd5eedcf]`](https://github.com/aspnet/AspNetCore/commit/72cd5eedcf) Prepare the 2.1.6 patch (#1434)
* [`[2a1ba9e4ff]`](https://github.com/aspnet/AspNetCore/commit/2a1ba9e4ff) Change websockets library (#3012)
* [`[67f2c3149e]`](https://github.com/aspnet/AspNetCore/commit/67f2c3149e) Use port 0 to avoid port collisions during tests
* [`[ccb6579cd7]`](https://github.com/aspnet/AspNetCore/commit/ccb6579cd7) Do not return ProblemDetails for < 4xx status codes Fixes #8504
* [`[7cf1cf2a54]`](https://github.com/aspnet/AspNetCore/commit/7cf1cf2a54) Update API check baselines to 2.1.0
* [`[fa961b003f]`](https://github.com/aspnet/AspNetCore/commit/fa961b003f) Added execution time duration (HealthReportEntry TotalDuration) (#493)
* [`[c887f730dd]`](https://github.com/aspnet/AspNetCore/commit/c887f730dd) Add DFA Graph viewer to sample
* [`[45a52ebff5]`](https://github.com/aspnet/AspNetCore/commit/45a52ebff5) Move Log call before starting application (#1453)
* [`[1f91b523f7]`](https://github.com/aspnet/AspNetCore/commit/1f91b523f7) Add error to negotiate (#2998)
* [`[8dcc011324]`](https://github.com/aspnet/AspNetCore/commit/8dcc011324) spelling, inline outs, redundant braces (#252)
* [`[e9c2acf4dc]`](https://github.com/aspnet/AspNetCore/commit/e9c2acf4dc) Add HTTP/2 response draining timeout (#2956)
* [`[fc39ea3bec]`](https://github.com/aspnet/AspNetCore/commit/fc39ea3bec) Make hosting bundle get prodcon runtime versions (#1435)
* [`[66ba370a0a]`](https://github.com/aspnet/AspNetCore/commit/66ba370a0a) Update .NET Core to 2.2.0-preview3-26927-02
* [`[c6633e6ec5]`](https://github.com/aspnet/AspNetCore/commit/c6633e6ec5) Increase retry count (#1449)
* [`[c9747bcf6b]`](https://github.com/aspnet/AspNetCore/commit/c9747bcf6b) Use Microsoft400 for code signing CAB, MSI, and installer bundles (#1433)
* [`[4baa07ccae]`](https://github.com/aspnet/AspNetCore/commit/4baa07ccae) Update code signing properties and configuration
* [`[e8d3321025]`](https://github.com/aspnet/AspNetCore/commit/e8d3321025) Add AdditionalRestoreSources parameter to Cli.FunctionalTests (#1429)
* [`[870efd5965]`](https://github.com/aspnet/AspNetCore/commit/870efd5965) More robust plugin load (#3022)
* [`[db1e4cf3d4]`](https://github.com/aspnet/AspNetCore/commit/db1e4cf3d4) Use Microsoft400 for installers signing, not 401 (#1426)
* [`[3c8c8ba333]`](https://github.com/aspnet/AspNetCore/commit/3c8c8ba333) [TS] Reject handshake if connection closes before response (#3000)
* [`[79663b480d]`](https://github.com/aspnet/AspNetCore/commit/79663b480d) Add more Spotless rules (#3005)
* [`[f56b682b36]`](https://github.com/aspnet/AspNetCore/commit/f56b682b36) Impose integer decode limit in HPACK
* [`[8311fd870b]`](https://github.com/aspnet/AspNetCore/commit/8311fd870b) Include the response type in ProducesResponseType for client errors (#8490)
* [`[e4ebae107c]`](https://github.com/aspnet/AspNetCore/commit/e4ebae107c) Fix the path to SignedPackageFile items and include the VSIX .dll in code signing
* [`[0157e38a23]`](https://github.com/aspnet/AspNetCore/commit/0157e38a23) Fix the path for SignedPackageFile and include the VSIX .dll in signing
* [`[13f2ebe2f6]`](https://github.com/aspnet/AspNetCore/commit/13f2ebe2f6) [Java] Throw useful error on incorrect argument length (#3010)
* [`[b07338b618]`](https://github.com/aspnet/AspNetCore/commit/b07338b618) Don't use depricated methods (#751)
* [`[02dac71f64]`](https://github.com/aspnet/AspNetCore/commit/02dac71f64) Move e2e-tests.yml into the right folder
* [`[90ed3bde5e]`](https://github.com/aspnet/AspNetCore/commit/90ed3bde5e) Add more logging for E2E tests
* [`[831937c86c]`](https://github.com/aspnet/AspNetCore/commit/831937c86c) Add LinkGenerator extensions for MVC
* [`[c6347f035f]`](https://github.com/aspnet/AspNetCore/commit/c6347f035f) Conditionally include RootNamespace
* [`[0745266c17]`](https://github.com/aspnet/AspNetCore/commit/0745266c17) Razor->WebApp
* [`[1eb5da31e5]`](https://github.com/aspnet/AspNetCore/commit/1eb5da31e5) Improve error messages and add static html pages for failure to start site. (#1421)
* [`[3832019027]`](https://github.com/aspnet/AspNetCore/commit/3832019027) Update Facebook to v3.1 endpoints #92
* [`[49c2317c14]`](https://github.com/aspnet/AspNetCore/commit/49c2317c14) Fix #810
* [`[7c16c92317]`](https://github.com/aspnet/AspNetCore/commit/7c16c92317) Fix a bug in GetUriByRouteValues
* [`[01b35bc391]`](https://github.com/aspnet/AspNetCore/commit/01b35bc391) Make HTTP/2 connection and stream windows configurable #2814
* [`[50cef4822a]`](https://github.com/aspnet/AspNetCore/commit/50cef4822a) Invoke FlushAsync before disposing the HttpResponseWriter in JsonResultExecutor
* [`[ceaa3c86fc]`](https://github.com/aspnet/AspNetCore/commit/ceaa3c86fc) Add configurability for max header field size in HPACK
* [`[204ff0a785]`](https://github.com/aspnet/AspNetCore/commit/204ff0a785) Set cache headers in health check middleware
* [`[f17142b2ec]`](https://github.com/aspnet/AspNetCore/commit/f17142b2ec) Delay resolution until after application services are built (#1553)
* [`[18145880fa]`](https://github.com/aspnet/AspNetCore/commit/18145880fa) Improved logging for health checks
* [`[b642db5a47]`](https://github.com/aspnet/AspNetCore/commit/b642db5a47) Revised LinkGenerator
* [`[5c8dfef15e]`](https://github.com/aspnet/AspNetCore/commit/5c8dfef15e) Change `CollectionModelBinder` and `ComplexTypeModelBinder` to enforce `[BindRequired]` - #8180 - add an error when binding fails for top-level model   - same case as when MVC creates "default" / empty model i.e. `ParameterBinder` can't detect this - update `CollectionModelBinder` subclasses and the various providers as well - controlled by existing `MvcOptions.AllowValidatingTopLevelNodes` option
* [`[f808bdc331]`](https://github.com/aspnet/AspNetCore/commit/f808bdc331) Disconnect the disconnect handler when request processing ends (#1413)
* [`[ef3d3b1cdd]`](https://github.com/aspnet/AspNetCore/commit/ef3d3b1cdd) [TS] Change websocket library in Node (#2989)
* [`[31bb166372]`](https://github.com/aspnet/AspNetCore/commit/31bb166372) Reference Microsoft.NET.Sdk.Razor in projects with Razor files
* [`[14c5fcdb50]`](https://github.com/aspnet/AspNetCore/commit/14c5fcdb50) Reference Microsoft.NET.Sdk.Razor in projects with Razor files
* [`[312221df2f]`](https://github.com/aspnet/AspNetCore/commit/312221df2f) Reference Microsoft.NET.Sdk.Razor in projects with Razor files
* [`[a140f38810]`](https://github.com/aspnet/AspNetCore/commit/a140f38810) Enhancments
* [`[4dfd93c1d7]`](https://github.com/aspnet/AspNetCore/commit/4dfd93c1d7) [TS] Wait for handshake response (#2983)
* [`[587ead92e4]`](https://github.com/aspnet/AspNetCore/commit/587ead92e4) Reference Microsoft.NET.Sdk.Razor in projects with Razor files
* [`[f0a34a4ca4]`](https://github.com/aspnet/AspNetCore/commit/f0a34a4ca4) Clone Windows Identity in LongPolling connections (#2985)
* [`[61386d5f67]`](https://github.com/aspnet/AspNetCore/commit/61386d5f67) Reference Microsoft.NET.Sdk.Razor in projects with Razor files
* [`[bf1aa1d818]`](https://github.com/aspnet/AspNetCore/commit/bf1aa1d818) Make tests classes and HubMessageType enum package private in the Java client(#2992)
* [`[c559498632]`](https://github.com/aspnet/AspNetCore/commit/c559498632) Make parameter transformer test verifiable (#804)
* [`[d463b5e613]`](https://github.com/aspnet/AspNetCore/commit/d463b5e613) Fix ReaderThrowsResetExceptionOnInvalidBody (#1420)
* [`[8fb6c2a50a]`](https://github.com/aspnet/AspNetCore/commit/8fb6c2a50a) Allow cancellation to propagate
* [`[5c4c746797]`](https://github.com/aspnet/AspNetCore/commit/5c4c746797) Reaction PR from routing rename
* [`[a657c3bdf2]`](https://github.com/aspnet/AspNetCore/commit/a657c3bdf2) Updates to Parameter Transformer
* [`[d28468ca8f]`](https://github.com/aspnet/AspNetCore/commit/d28468ca8f) Override IIS headers in inproc (#1409)
* [`[b08b237927]`](https://github.com/aspnet/AspNetCore/commit/b08b237927) StopServer before asserting TestSink (#1416)
* [`[375d037946]`](https://github.com/aspnet/AspNetCore/commit/375d037946) Add applicationInitialization tests (#1402)
* [`[6ba5e87b45]`](https://github.com/aspnet/AspNetCore/commit/6ba5e87b45) Allow CancellationToken in streaming hub methods (#2818)
* [`[4259b65c16]`](https://github.com/aspnet/AspNetCore/commit/4259b65c16) Use options for registering health checks (#479)
* [`[4b378692a4]`](https://github.com/aspnet/AspNetCore/commit/4b378692a4) [Java] Add Invoke support (#2961)
* [`[9c424b7b02]`](https://github.com/aspnet/AspNetCore/commit/9c424b7b02) Use content-type specified by ProducesAttribute if no formatter supports it
* [`[8be051ce34]`](https://github.com/aspnet/AspNetCore/commit/8be051ce34) Idempotentize AddSignalR (#2972)
* [`[f7da3503d6]`](https://github.com/aspnet/AspNetCore/commit/f7da3503d6) Allow Implicit 200 status codes to match Ok result
* [`[3f7ee338d4]`](https://github.com/aspnet/AspNetCore/commit/3f7ee338d4)  Change SelfHostDeployer to use dynamic ports by default (#1383)
* [`[b41f1f0cae]`](https://github.com/aspnet/AspNetCore/commit/b41f1f0cae) Make cert fixture lazy (#1412)
* [`[f27df1d61e]`](https://github.com/aspnet/AspNetCore/commit/f27df1d61e) Java Async APIs (#2971)
* [`[f70df60435]`](https://github.com/aspnet/AspNetCore/commit/f70df60435) Move RazorGenerate and RazorTagHelper tasks in to the Sdk
* [`[4e57b0e1f1]`](https://github.com/aspnet/AspNetCore/commit/4e57b0e1f1) Add functional style request aborted test (#1406)
* [`[7fb4940258]`](https://github.com/aspnet/AspNetCore/commit/7fb4940258) :arrow_up: Update NetTopologySuite.Core to 1.15.1
* [`[7144add4ad]`](https://github.com/aspnet/AspNetCore/commit/7144add4ad) Check for ITagHelper in tag helper feature provider (#2602)
* [`[b6c311c14d]`](https://github.com/aspnet/AspNetCore/commit/b6c311c14d) Add client disconnect and connection abort support (#1388)
* [`[f63412f1bb]`](https://github.com/aspnet/AspNetCore/commit/f63412f1bb) Update package verions
* [`[ece5ad36e2]`](https://github.com/aspnet/AspNetCore/commit/ece5ad36e2) Implement ITlsConnectionFeature (#1390)
* [`[15ba5065a9]`](https://github.com/aspnet/AspNetCore/commit/15ba5065a9) Skip connection reset tests on macOS in 2.1 (#2942)
* [`[fc86cc3ca1]`](https://github.com/aspnet/AspNetCore/commit/fc86cc3ca1) Allow Invoke \ InvokeAsync methods for a ViewComponent to be defined in base types Fixes https://github.com/aspnet/Mvc/issues/8397
* [`[c73b13f544]`](https://github.com/aspnet/AspNetCore/commit/c73b13f544) Cherry-pick @pranavkm's functional test for #7562 - 30a5eda508 / origin/prkrishn/form-file-value-provider
* [`[c13e2498a8]`](https://github.com/aspnet/AspNetCore/commit/c13e2498a8) Create model in `ComplexTypeModelBinder` if ANY property has a greedy binding source - #7562 part 1
* [`[70ea1268a7]`](https://github.com/aspnet/AspNetCore/commit/70ea1268a7) Use JUnit 5 for tests (#2968)
* [`[bc148a0724]`](https://github.com/aspnet/AspNetCore/commit/bc148a0724) Incorrect nameof usage (#2967)
* [`[f3b6430aab]`](https://github.com/aspnet/AspNetCore/commit/f3b6430aab) Initialize Heartbeat in KestrelServer.StartAsync (#2939)
* [`[a7e412ec80]`](https://github.com/aspnet/AspNetCore/commit/a7e412ec80) Fix category logger for HttpsConnectionAdapter and LoggingConnectionAdapter. #2929 (#2935)
* [`[b8423b8530]`](https://github.com/aspnet/AspNetCore/commit/b8423b8530) Change how HTTP/2 frames are parsed and generated #2858
* [`[69ff195f66]`](https://github.com/aspnet/AspNetCore/commit/69ff195f66) Enable hpack/4.2 - Maximum Table Size test
* [`[025aca52df]`](https://github.com/aspnet/AspNetCore/commit/025aca52df) Port long Huffman encoding bug fix
* [`[5e896ca506]`](https://github.com/aspnet/AspNetCore/commit/5e896ca506) Implement IHttpBufferingFeature (#1391)
* [`[060698a52f]`](https://github.com/aspnet/AspNetCore/commit/060698a52f) Update to use non-capturing timer
* [`[8791f9ad0d]`](https://github.com/aspnet/AspNetCore/commit/8791f9ad0d) Change test parameter transformer to slugify values (#8453)
* [`[3952845c57]`](https://github.com/aspnet/AspNetCore/commit/3952845c57) Unpin package versions for 2.1.5
* [`[4b83f7b510]`](https://github.com/aspnet/AspNetCore/commit/4b83f7b510) Make FileVersionProvider repleacable
* [`[233140c33a]`](https://github.com/aspnet/AspNetCore/commit/233140c33a) Allow IFormFile parameters annotated with [FromForm] to be correctly … (#8452)
* [`[412944e1f5]`](https://github.com/aspnet/AspNetCore/commit/412944e1f5) Transform parameters before lower casing in link generation (#793)
* [`[48b3f18642]`](https://github.com/aspnet/AspNetCore/commit/48b3f18642) Improve the handshake request parsing errors (#2953)
* [`[426a48a65a]`](https://github.com/aspnet/AspNetCore/commit/426a48a65a) Performance improvments to LinkGenerator and TemplateBinder
* [`[5e083c371b]`](https://github.com/aspnet/AspNetCore/commit/5e083c371b) Don't capture asynclocals onto Timer
* [`[1e8e541f65]`](https://github.com/aspnet/AspNetCore/commit/1e8e541f65) Clean up timeout reporting
* [`[35597db277]`](https://github.com/aspnet/AspNetCore/commit/35597db277) Fix #8451
* [`[9a68f48a5c]`](https://github.com/aspnet/AspNetCore/commit/9a68f48a5c) Minor improvments to RVD perf
* [`[b8f7f967ce]`](https://github.com/aspnet/AspNetCore/commit/b8f7f967ce) Normalize FSharp templates and don't check in site.min.js
* [`[d0ddb068be]`](https://github.com/aspnet/AspNetCore/commit/d0ddb068be) Return FormCollection.Empty when Content-Length is 0 (#1038)
* [`[704a77b8a4]`](https://github.com/aspnet/AspNetCore/commit/704a77b8a4) Fix template run script
* [`[c93c974dbc]`](https://github.com/aspnet/AspNetCore/commit/c93c974dbc) Update certs on Jenkins (#1397)
* [`[55e5e56422]`](https://github.com/aspnet/AspNetCore/commit/55e5e56422) Dispatch Http/2 write callbacks #2878
* [`[1a0f988064]`](https://github.com/aspnet/AspNetCore/commit/1a0f988064) Skip AppOfflineDroppedWhileSiteFailedToStartInRequestHandler_SiteStops_InProcess (#1396)
* [`[55597adf61]`](https://github.com/aspnet/AspNetCore/commit/55597adf61) [Java] De-Serializing Custom Types (#2940)
* [`[cb88e906b2]`](https://github.com/aspnet/AspNetCore/commit/cb88e906b2) Allow ProducesAttribute to apply along with conventions
* [`[a73d073eea]`](https://github.com/aspnet/AspNetCore/commit/a73d073eea) Allow ApiControlelrAttribute to be applied to assemblies
* [`[dfae9c208a]`](https://github.com/aspnet/AspNetCore/commit/dfae9c208a) Add IParameterTransformer support (#8329)
* [`[cee960f3c5]`](https://github.com/aspnet/AspNetCore/commit/cee960f3c5) Add IParameterTransformer (#750)
* [`[105f8b47a1]`](https://github.com/aspnet/AspNetCore/commit/105f8b47a1) Fix endpoint support for area/controller/action in attribute route (#8447)
* [`[9db1c2af1a]`](https://github.com/aspnet/AspNetCore/commit/9db1c2af1a) Making all the things Package Private in the Java Client (#2945)
* [`[8dffc68cea]`](https://github.com/aspnet/AspNetCore/commit/8dffc68cea) Cancel previous request on close (#2923) (#2942)
* [`[015a8c1461]`](https://github.com/aspnet/AspNetCore/commit/015a8c1461) Collect "redis MONITOR" logs (#2946)
* [`[a51eec7a1d]`](https://github.com/aspnet/AspNetCore/commit/a51eec7a1d) Add NodeJS in-box support (#2910)
* [`[1a8616349f]`](https://github.com/aspnet/AspNetCore/commit/1a8616349f) Add non-capturing timer sources package
* [`[5ba327faa1]`](https://github.com/aspnet/AspNetCore/commit/5ba327faa1) Relax connection stop checks in tests to reduce flakiness
* [`[e5cc4564cb]`](https://github.com/aspnet/AspNetCore/commit/e5cc4564cb) add docs for constructor
* [`[5f172efa9d]`](https://github.com/aspnet/AspNetCore/commit/5f172efa9d) Add support Endpoint Name endpoint finding
* [`[57cc8aea96]`](https://github.com/aspnet/AspNetCore/commit/57cc8aea96) Various improvments to route values link APIs
* [`[f38f60f8ce]`](https://github.com/aspnet/AspNetCore/commit/f38f60f8ce) Map ListenOptions.Protocols from IConfiguration #2903
* [`[c683844817]`](https://github.com/aspnet/AspNetCore/commit/c683844817) Fix #553 - Add logging for new LinkGenerator
* [`[6e27a04bf3]`](https://github.com/aspnet/AspNetCore/commit/6e27a04bf3) No HttpContext to route constraints in MvcEndpointDataSource (#8436)
* [`[399ac267ca]`](https://github.com/aspnet/AspNetCore/commit/399ac267ca) Cancel previous request on close (#2923)
* [`[188bbc6ce1]`](https://github.com/aspnet/AspNetCore/commit/188bbc6ce1) add component detection task (#1338)
* [`[f93f67a53a]`](https://github.com/aspnet/AspNetCore/commit/f93f67a53a) Better logging to help debug test failure (#2576)
* [`[14b1432481]`](https://github.com/aspnet/AspNetCore/commit/14b1432481) Fix min.css files
* [`[adc5706bcb]`](https://github.com/aspnet/AspNetCore/commit/adc5706bcb) Add more redis logs (#2936)
* [`[f573b8840a]`](https://github.com/aspnet/AspNetCore/commit/f573b8840a) Fix aspnet/Routing#782
* [`[f47aa1283e]`](https://github.com/aspnet/AspNetCore/commit/f47aa1283e) Make usage of TestConnection.Receive vs ReceiveEnd consistent (#2896)
* [`[e4ab90ec1c]`](https://github.com/aspnet/AspNetCore/commit/e4ab90ec1c) Use built in DownloadFile task
* [`[4bcfbe4d40]`](https://github.com/aspnet/AspNetCore/commit/4bcfbe4d40) [REPL] Help improvements for repl (#478)
* [`[9e89f798c6]`](https://github.com/aspnet/AspNetCore/commit/9e89f798c6) Add logging to functional tests
* [`[db99baac35]`](https://github.com/aspnet/AspNetCore/commit/db99baac35) Don't capture AsyncLocals onto Timers (#2904)
* [`[39e6c6ff2f]`](https://github.com/aspnet/AspNetCore/commit/39e6c6ff2f) Spotless for the Java Client (#2924)
* [`[bb26b62a1f]`](https://github.com/aspnet/AspNetCore/commit/bb26b62a1f) Ensure the identical time value is used to assert date in tests
* [`[eb6b6e58c2]`](https://github.com/aspnet/AspNetCore/commit/eb6b6e58c2) Reenable tests that were throwing in Program.Main (#1379)
* [`[fd80509fef]`](https://github.com/aspnet/AspNetCore/commit/fd80509fef) LocalizedHtmlString.Value doesn't include arguments (#8376)
* [`[74ba9898f4]`](https://github.com/aspnet/AspNetCore/commit/74ba9898f4) [Fixes #8250] Improve the error message when TEntryPoint is not in an entry point assembly
* [`[489a179c41]`](https://github.com/aspnet/AspNetCore/commit/489a179c41) Add a test for Routing#435
* [`[06568d990b]`](https://github.com/aspnet/AspNetCore/commit/06568d990b) Set the signing cert for .msi files to the 'Microsoft' certificate
* [`[869582e1fc]`](https://github.com/aspnet/AspNetCore/commit/869582e1fc) Skip Auth test due to HttpClient regression #474
* [`[863b1c2c97]`](https://github.com/aspnet/AspNetCore/commit/863b1c2c97) Action endpoint metadata contains attributes from action and controller (#8395)
* [`[f18c1d7159]`](https://github.com/aspnet/AspNetCore/commit/f18c1d7159) Should skip negotiate in tests that use fake urls (#2921)
* [`[d3d7c55198]`](https://github.com/aspnet/AspNetCore/commit/d3d7c55198) fix some spelling (#2888)
* [`[c2f15f4199]`](https://github.com/aspnet/AspNetCore/commit/c2f15f4199) Don't use depricated constructor
* [`[43cbb9edda]`](https://github.com/aspnet/AspNetCore/commit/43cbb9edda) Unify exceptions for unsupported message types (#2908)
* [`[b0155446ab]`](https://github.com/aspnet/AspNetCore/commit/b0155446ab) Use HubException for error in HandShakeResponse (#2914)
* [`[1fca011674]`](https://github.com/aspnet/AspNetCore/commit/1fca011674) Fix output location for lib files (#1373)
* [`[07cc9e66c6]`](https://github.com/aspnet/AspNetCore/commit/07cc9e66c6) Add a feature to disable file watching in Razor pages (#8369)
* [`[b1f0f173aa]`](https://github.com/aspnet/AspNetCore/commit/b1f0f173aa) Use ConnectionResetException with 'The client disconnected' message (#1364)
* [`[b8e56691cb]`](https://github.com/aspnet/AspNetCore/commit/b8e56691cb) Implement MaxRequestLineSize for HTTP/2 #2813
* [`[384a518bda]`](https://github.com/aspnet/AspNetCore/commit/384a518bda) Implement MaxRequestHeadersTotalSize for HTTP/2 #2812
* [`[edc1935475]`](https://github.com/aspnet/AspNetCore/commit/edc1935475) Flow the cancellation tokens to ReadAsync and WriteAsync (#2865)
* [`[647ea8a945]`](https://github.com/aspnet/AspNetCore/commit/647ea8a945) Add VSCode debug configuration for Java (#2916)
* [`[cfb0d732b0]`](https://github.com/aspnet/AspNetCore/commit/cfb0d732b0) fix some spelling (#1035)
* [`[b156dee4f1]`](https://github.com/aspnet/AspNetCore/commit/b156dee4f1) Fix some spelling (#8378)
* [`[c0f3a46ffe]`](https://github.com/aspnet/AspNetCore/commit/c0f3a46ffe) Don't call GetValidity method twice.
* [`[e174d277bd]`](https://github.com/aspnet/AspNetCore/commit/e174d277bd) Inline
* [`[337bc462de]`](https://github.com/aspnet/AspNetCore/commit/337bc462de) Fast-path async in PagedBufferedTextWriter
* [`[e3b704095b]`](https://github.com/aspnet/AspNetCore/commit/e3b704095b) Revisions to LinkGenerator (#770)
* [`[dcfb63a768]`](https://github.com/aspnet/AspNetCore/commit/dcfb63a768) Avoid RoutePattern allocating empty dictionaries (#772)
* [`[dbebdbecd6]`](https://github.com/aspnet/AspNetCore/commit/dbebdbecd6) Add flag for including label with DfaNodes (#769)
* [`[abc378d3dc]`](https://github.com/aspnet/AspNetCore/commit/abc378d3dc) Avoid resizing large struct arrays (#767)
* [`[0f5d471dfd]`](https://github.com/aspnet/AspNetCore/commit/0f5d471dfd) Create collections on DfaNode as needed (#779)
* [`[3a281b8f58]`](https://github.com/aspnet/AspNetCore/commit/3a281b8f58) Allow TagHelpers to occur after unclosed C# blocks without assert failures.
* [`[71b7bb50b2]`](https://github.com/aspnet/AspNetCore/commit/71b7bb50b2) Ensure external processes are killed when test process exits (#1371)
* [`[88d8571474]`](https://github.com/aspnet/AspNetCore/commit/88d8571474) Add Trace level for request events, allow logging to eventlog (#1337)
* [`[b48b282ad8]`](https://github.com/aspnet/AspNetCore/commit/b48b282ad8) Add RazorRendering benchmarkapp (#8366)
* [`[dc6088bf21]`](https://github.com/aspnet/AspNetCore/commit/dc6088bf21) Negotiate + SignalR Service Support for the Java client (#2882)
* [`[5956300df7]`](https://github.com/aspnet/AspNetCore/commit/5956300df7) Retry TestServer port selection (#1367)
* [`[18a718d1f0]`](https://github.com/aspnet/AspNetCore/commit/18a718d1f0) Catch all exception in native callbacks (#1369)
* [`[613fbcc349]`](https://github.com/aspnet/AspNetCore/commit/613fbcc349) Enable code analysis on shim project (#1361)
* [`[2f4172e7e7]`](https://github.com/aspnet/AspNetCore/commit/2f4172e7e7) Reduce probability of MultipleAppTests failure (#1365)
* [`[e9b0415bb9]`](https://github.com/aspnet/AspNetCore/commit/e9b0415bb9) Make System.IO.Pipelines a direct dependency of Microsoft.AspNetCore.App
* [`[cb642ff95f]`](https://github.com/aspnet/AspNetCore/commit/cb642ff95f) Update to .NET Core 2.2.0-preview2-26905-02 (#1377)
* [`[b5ff991eb9]`](https://github.com/aspnet/AspNetCore/commit/b5ff991eb9) Fix incorrect version in version.props file (#1363)
* [`[753c3da852]`](https://github.com/aspnet/AspNetCore/commit/753c3da852) Avoid ODE in tests with Server logging (#2742) (#2907)
* [`[c88e5147da]`](https://github.com/aspnet/AspNetCore/commit/c88e5147da) Use dynamically chosen ports to avoid address binding collisions
* [`[68672bc965]`](https://github.com/aspnet/AspNetCore/commit/68672bc965) Update to .NET Core 2.1.5-servicing-26902-03 (#1371)
* [`[a22b715bf4]`](https://github.com/aspnet/AspNetCore/commit/a22b715bf4) Update published files for 2.2-preview2 (#1370)
* [`[b2cf5028e0]`](https://github.com/aspnet/AspNetCore/commit/b2cf5028e0) Run E2E tests in parallel and on macOS (#1369)
* [`[60fc0158c1]`](https://github.com/aspnet/AspNetCore/commit/60fc0158c1) Flow the ProdCon restore feed in to E2E tests
* [`[a57ed95fd3]`](https://github.com/aspnet/AspNetCore/commit/a57ed95fd3) Fix errors connecting to github from powershell and TLS1.2 in test scripts
* [`[0459b6d0d4]`](https://github.com/aspnet/AspNetCore/commit/0459b6d0d4) Fix dotnet.exe abort exception and startup/shutdown timeouts (#1352)
* [`[9f37a92dc9]`](https://github.com/aspnet/AspNetCore/commit/9f37a92dc9) Add Microsoft.AspNetCore.DataProtection.EntityFrameworkCore
* [`[7520ffa0ef]`](https://github.com/aspnet/AspNetCore/commit/7520ffa0ef) Fix up service scoping in the EF Core xml repository and update package version to 2.2
* [`[153020ef8a]`](https://github.com/aspnet/AspNetCore/commit/153020ef8a) Allow UTF8 encoded header values
* [`[b7b1ea207d]`](https://github.com/aspnet/AspNetCore/commit/b7b1ea207d) Start shipping templates to NuGet
* [`[525fbf495b]`](https://github.com/aspnet/AspNetCore/commit/525fbf495b) Fix #468 - all UseHealthChecks without a path
* [`[3e7410333a]`](https://github.com/aspnet/AspNetCore/commit/3e7410333a) Update to .NET Core 2.1.5-servicing-26830-03 (#1364)
* [`[d8b7dbd1f3]`](https://github.com/aspnet/AspNetCore/commit/d8b7dbd1f3) Avoid null refs when IStatusCodeActionResult cannot be discovered
* [`[945e798ca7]`](https://github.com/aspnet/AspNetCore/commit/945e798ca7) [Design] Set the endpoint feature only on success
* [`[1128bd572c]`](https://github.com/aspnet/AspNetCore/commit/1128bd572c) Add a functional test for middleware after routing
* [`[f42f4c56e6]`](https://github.com/aspnet/AspNetCore/commit/f42f4c56e6) Initialize HttpConnectionManager before registering callbacks (#2878)
* [`[11f28139d4]`](https://github.com/aspnet/AspNetCore/commit/11f28139d4) Add Microsoft.EntityFrameworkCore.SqlServer.NetTopologySuite
* [`[3dfa26f7e3]`](https://github.com/aspnet/AspNetCore/commit/3dfa26f7e3) Resolve virtual ViewContext max once per method
* [`[729a98adfc]`](https://github.com/aspnet/AspNetCore/commit/729a98adfc) Call AllocConsole (#1351)
* [`[922298bc90]`](https://github.com/aspnet/AspNetCore/commit/922298bc90) Add rc file as an include for ANCMV1 (#1284) (#1344)
* [`[f90a47c5af]`](https://github.com/aspnet/AspNetCore/commit/f90a47c5af) Introduce ProducesErrorResponseTypeAttribute
* [`[3e4a3d0b90]`](https://github.com/aspnet/AspNetCore/commit/3e4a3d0b90) Allow health checks to use any DI lifetime (#466)
* [`[80b30b21ee]`](https://github.com/aspnet/AspNetCore/commit/80b30b21ee) Fix platform benchmarks TFM (#2868)
* [`[a741af1e77]`](https://github.com/aspnet/AspNetCore/commit/a741af1e77) Add header to sample (#1353)
* [`[6e33b889c0]`](https://github.com/aspnet/AspNetCore/commit/6e33b889c0) Unpin System.Data.Sqlient (#1356)
* [`[4737ec1909]`](https://github.com/aspnet/AspNetCore/commit/4737ec1909) Update default triggers to only include master and release branches
* [`[927e7c8bfc]`](https://github.com/aspnet/AspNetCore/commit/927e7c8bfc) Support route data tokens with Endpoint Routing (#8360)
* [`[f6fc60a0ed]`](https://github.com/aspnet/AspNetCore/commit/f6fc60a0ed) Add script to invoke E2E tests on CI using ProdCon results (#1354)
* [`[3511c8cef0]`](https://github.com/aspnet/AspNetCore/commit/3511c8cef0) Add vectorized il-emit trie jump table
* [`[5cdc172b17]`](https://github.com/aspnet/AspNetCore/commit/5cdc172b17) Fix obsolete constraint resolver usage (#8361)
* [`[ffdbea9dc1]`](https://github.com/aspnet/AspNetCore/commit/ffdbea9dc1) Add analyzer support for status code methods and constructors
* [`[2a426dfea5]`](https://github.com/aspnet/AspNetCore/commit/2a426dfea5) Make ViewBuffer methods more inlinable (#8339)
* [`[777af897a8]`](https://github.com/aspnet/AspNetCore/commit/777af897a8) Select highest version of Microsoft.NETCore.App which matches major and minor version of SDK (#19)
* [`[8e3d1f9e33]`](https://github.com/aspnet/AspNetCore/commit/8e3d1f9e33) Ignore globally-installed .NET Core components (#18)
* [`[941d94c907]`](https://github.com/aspnet/AspNetCore/commit/941d94c907)  Rename from AspNetCoreSdkTests to Cli.FunctionalTests (#17)
* [`[afccb085a2]`](https://github.com/aspnet/AspNetCore/commit/afccb085a2) Fix links and formating
* [`[22a40b6f2b]`](https://github.com/aspnet/AspNetCore/commit/22a40b6f2b) Use Pages as List
* [`[7bd9f9cc3e]`](https://github.com/aspnet/AspNetCore/commit/7bd9f9cc3e) Reduce IList interface calls
* [`[ddff4f06e5]`](https://github.com/aspnet/AspNetCore/commit/ddff4f06e5) Rename to Cli.FunctionalTests
* [`[26710080fe]`](https://github.com/aspnet/AspNetCore/commit/26710080fe) Set AspNetCoreHostingModel in templates (#716)
* [`[82a01a414d]`](https://github.com/aspnet/AspNetCore/commit/82a01a414d) Set trace id in ProblemDetalsClientErrorFactory
* [`[852ad8df87]`](https://github.com/aspnet/AspNetCore/commit/852ad8df87) Allow content to be written after caught exception from child TagHelper.
* [`[8f7d995508]`](https://github.com/aspnet/AspNetCore/commit/8f7d995508) Added Entity Framework Core backed IXmlRepository with tests and sample (#303)
* [`[883471fee9]`](https://github.com/aspnet/AspNetCore/commit/883471fee9) Update options module (#1348)
* [`[f91ba38907]`](https://github.com/aspnet/AspNetCore/commit/f91ba38907) fix chrome headless lag on Win7 (#2890)
* [`[73e6742ba2]`](https://github.com/aspnet/AspNetCore/commit/73e6742ba2) Use gradle to detect java (#2888)
* [`[208f6ff568]`](https://github.com/aspnet/AspNetCore/commit/208f6ff568) Fix #574: Set NoDefaultLaunchSettingsFile
* [`[234b003b31]`](https://github.com/aspnet/AspNetCore/commit/234b003b31) Set longRunningTestSeconds for Functional tests
* [`[820c0405e3]`](https://github.com/aspnet/AspNetCore/commit/820c0405e3) Add new options package (#1345)
* [`[99c4f2f36a]`](https://github.com/aspnet/AspNetCore/commit/99c4f2f36a) Support policy arguments and resolving services by constructors  (#753)
* [`[d09c3c9e28]`](https://github.com/aspnet/AspNetCore/commit/d09c3c9e28) Polish ProblemDetails
* [`[65ddfd1f02]`](https://github.com/aspnet/AspNetCore/commit/65ddfd1f02) Add dotnet-httprepl to artifacts.props
* [`[c62c7f6a61]`](https://github.com/aspnet/AspNetCore/commit/c62c7f6a61) Check event logs until process start time (#1338)
* [`[667ad4daff]`](https://github.com/aspnet/AspNetCore/commit/667ad4daff) Use ClientErrorData to configure ClientErrorResultFilter
* [`[96b77c8663]`](https://github.com/aspnet/AspNetCore/commit/96b77c8663) Fix aspnet/Routing#721
* [`[68e6b7e1b8]`](https://github.com/aspnet/AspNetCore/commit/68e6b7e1b8) Update ANCM version to 12.1 (#1286)
* [`[5ea537fbc4]`](https://github.com/aspnet/AspNetCore/commit/5ea537fbc4) Don't advance examined in Http1MessageBody.PumpAsync for canceled reads (#2847)
* [`[89f4850883]`](https://github.com/aspnet/AspNetCore/commit/89f4850883) Avoid throwing the same exception instances in parallel (#2859)
* [`[04c606d55f]`](https://github.com/aspnet/AspNetCore/commit/04c606d55f) LongPolling: Setting connection to inactive while there is still an active poll (#2769)
* [`[fd53f84f63]`](https://github.com/aspnet/AspNetCore/commit/fd53f84f63) TypeScript improvements and tslib dep (#2808)
* [`[9c28f95b12]`](https://github.com/aspnet/AspNetCore/commit/9c28f95b12) Add Microsoft.AspNetCore.Razor.Design to templates (#674)
* [`[037482829d]`](https://github.com/aspnet/AspNetCore/commit/037482829d) Add commit hash to V1 description (#1281)
* [`[5f20f2a2dd]`](https://github.com/aspnet/AspNetCore/commit/5f20f2a2dd) Update schema for ANCMv1 (#1276)
* [`[338af6f07d]`](https://github.com/aspnet/AspNetCore/commit/338af6f07d) Reduce probability of startup port collisions (#1273)
* [`[6dc55a0462]`](https://github.com/aspnet/AspNetCore/commit/6dc55a0462) Don't preserve the ExecutionContext when dispatching callbacks (#2861)
* [`[42fa04aa87]`](https://github.com/aspnet/AspNetCore/commit/42fa04aa87) Add the latest version of Microsoft.AspNetCore.Razor.Design to the offline package cache (#1316)
* [`[6b1d22c581]`](https://github.com/aspnet/AspNetCore/commit/6b1d22c581) Add package descriptions for Microsoft.AspNetCore.{App, All} (#1320)
* [`[b206d59612]`](https://github.com/aspnet/AspNetCore/commit/b206d59612) Prepare 2.1.5 patch
* [`[0fcf2448c3]`](https://github.com/aspnet/AspNetCore/commit/0fcf2448c3) Fix aspnet/Routing#722
* [`[2605b943f3]`](https://github.com/aspnet/AspNetCore/commit/2605b943f3) Use only one log file for stdout (#1334)
* [`[8ed9d0aac2]`](https://github.com/aspnet/AspNetCore/commit/8ed9d0aac2) Use Endpoint instead of RouteEndpoint where possible (#8331)
* [`[a634f6b116]`](https://github.com/aspnet/AspNetCore/commit/a634f6b116) add another test
* [`[cb0627b28a]`](https://github.com/aspnet/AspNetCore/commit/cb0627b28a) Addressing a skipped test
* [`[04b365a22f]`](https://github.com/aspnet/AspNetCore/commit/04b365a22f) Don't hold onto the HttpContext in the HostingLogScope (#1531)
* [`[9f49539177]`](https://github.com/aspnet/AspNetCore/commit/9f49539177) Re enable --no-restore (#1336)
* [`[f70ba53253]`](https://github.com/aspnet/AspNetCore/commit/f70ba53253) Fix race when SystemClock is accessed before first heartbeat (#2851)
* [`[a3b20c57ea]`](https://github.com/aspnet/AspNetCore/commit/a3b20c57ea) Add appsettings.json to EmptyWeb
* [`[6ddbfb64b9]`](https://github.com/aspnet/AspNetCore/commit/6ddbfb64b9) Improve configuration file handling logic (#1317)
* [`[2cbf5bd84e]`](https://github.com/aspnet/AspNetCore/commit/2cbf5bd84e) Query event logs when verifying event log messages. (#1323)
* [`[0500d5f7ef]`](https://github.com/aspnet/AspNetCore/commit/0500d5f7ef) Another attempt to fix the list of agent demands to workaround issues in VSTS
* [`[a7301120b1]`](https://github.com/aspnet/AspNetCore/commit/a7301120b1) Unwrap filter factories in TypeFilterAttribute & ServiceFilterAttribute
* [`[4389297962]`](https://github.com/aspnet/AspNetCore/commit/4389297962) Try using a different syntax for queue demands
* [`[fe6d5fff03]`](https://github.com/aspnet/AspNetCore/commit/fe6d5fff03) Fix demand condition to use agent.name
* [`[63355f13ba]`](https://github.com/aspnet/AspNetCore/commit/63355f13ba) Attempt to fix queue demands
* [`[64127e6c76]`](https://github.com/aspnet/AspNetCore/commit/64127e6c76) Implement MaxFrameSize and HeaderTableSize for HTTP/2
* [`[fc3c2eef5e]`](https://github.com/aspnet/AspNetCore/commit/fc3c2eef5e) Handle SocketError.ProtocolType as a connection reset on macOS (#2845)
* [`[e5a1101239]`](https://github.com/aspnet/AspNetCore/commit/e5a1101239) Improve exception handling in SocketConnection (#2844)
* [`[dfb579d45c]`](https://github.com/aspnet/AspNetCore/commit/dfb579d45c) [Fixes #8021] Copy the request headers before sending the request on the RedirectHandler If another handler modifies the request headers the modified headers get applied on subsequent requests, which is not correct. This change copies the headers before sending the request and uses the original headers for the redirect request instead of the potentially modified ones.
* [`[40fb13a021]`](https://github.com/aspnet/AspNetCore/commit/40fb13a021) Fix DfaMatcher to work with non-RouteEndpoint (#739)
* [`[1d4d882c0d]`](https://github.com/aspnet/AspNetCore/commit/1d4d882c0d) Spelling mistake in debug log
* [`[b3893720b7]`](https://github.com/aspnet/AspNetCore/commit/b3893720b7) inproc property was changed in 2.2 (#1316)
* [`[2db0c086b2]`](https://github.com/aspnet/AspNetCore/commit/2db0c086b2) fix #2853 by adding blurb to readme (#2854)
* [`[e2de54a92d]`](https://github.com/aspnet/AspNetCore/commit/e2de54a92d) Update MvcEndpointDataSource to use RoutePattern (#8249)
* [`[15e46ad323]`](https://github.com/aspnet/AspNetCore/commit/15e46ad323) Change RoutePattern to not throw when inline and arg default value are the same (#747)
* [`[68a0863524]`](https://github.com/aspnet/AspNetCore/commit/68a0863524) General connection management (#2834)
* [`[a0aa61fd10]`](https://github.com/aspnet/AspNetCore/commit/a0aa61fd10) Improvements for IEndpointSelectorPolicy
* [`[12e2d30f6b]`](https://github.com/aspnet/AspNetCore/commit/12e2d30f6b) Publish .jar files to ProdCon output
* [`[ba2eacc3f5]`](https://github.com/aspnet/AspNetCore/commit/ba2eacc3f5) Automatically detect if private feed is required (#16)
* [`[3b3f128306]`](https://github.com/aspnet/AspNetCore/commit/3b3f128306) Enable app verifier on VSTS; Fix debug log handle use (#1291)
* [`[03da30f3bf]`](https://github.com/aspnet/AspNetCore/commit/03da30f3bf) Replace remaining references to global routing (#8312)
* [`[ed19e34256]`](https://github.com/aspnet/AspNetCore/commit/ed19e34256) Upgrade deps
* [`[de0932961b]`](https://github.com/aspnet/AspNetCore/commit/de0932961b) Default Identity UI to Bootstrap4
* [`[110d835434]`](https://github.com/aspnet/AspNetCore/commit/110d835434) Fix layout and login partial issues
* [`[3ed89516ba]`](https://github.com/aspnet/AspNetCore/commit/3ed89516ba) Update precedence for 2.2 templates
* [`[eebbb6a602]`](https://github.com/aspnet/AspNetCore/commit/eebbb6a602) Support portable.exe apps and better error reporting (#1287)
* [`[d9e71527e8]`](https://github.com/aspnet/AspNetCore/commit/d9e71527e8) Fix copyright year
* [`[f8a46faf9d]`](https://github.com/aspnet/AspNetCore/commit/f8a46faf9d) Detect ASP.NET SignalR server connection attempt (#2820)
* [`[5f4d0dac3c]`](https://github.com/aspnet/AspNetCore/commit/5f4d0dac3c) Ignore failures from sending ping (#2840)
* [`[36e5aceb3c]`](https://github.com/aspnet/AspNetCore/commit/36e5aceb3c) Serve 503 if server process is shutting down (#1293)
* [`[1680b9f4fc]`](https://github.com/aspnet/AspNetCore/commit/1680b9f4fc) Change endpoint invoker to RequestDelegate, Endpoint/EndpointMetadataCollection namespaces, split out IRouteValuesFeature (#712)
* [`[f703a288dd]`](https://github.com/aspnet/AspNetCore/commit/f703a288dd) Import restore sources into Microsoft.VisualStudio.RazorExtension.csproj
* [`[0b471f2b2f]`](https://github.com/aspnet/AspNetCore/commit/0b471f2b2f) Sockets: do 0 byte reads to avoid allocating memory for idle connections
* [`[5bd818bd64]`](https://github.com/aspnet/AspNetCore/commit/5bd818bd64) Introduce ProblemDetailsFilter
* [`[e23d9cb4ac]`](https://github.com/aspnet/AspNetCore/commit/e23d9cb4ac) Fix a few leaked handles (#1260)
* [`[967afc3b0f]`](https://github.com/aspnet/AspNetCore/commit/967afc3b0f)  Optimize RoutePattern allocations (#706)
* [`[ac0e8f11ca]`](https://github.com/aspnet/AspNetCore/commit/ac0e8f11ca) Fix TS msgpack on IE and Ping breaking connection on server (#2847)
* [`[9ccd3addc3]`](https://github.com/aspnet/AspNetCore/commit/9ccd3addc3) Synchronizes copyrights between V1 and V2. (#1283)
* [`[8b078218b0]`](https://github.com/aspnet/AspNetCore/commit/8b078218b0) Change ANCM version to 12.2 (#1272)
* [`[135da118d1]`](https://github.com/aspnet/AspNetCore/commit/135da118d1) Add rc file as an include for ANCMV1 (#1284)
* [`[26964b2687]`](https://github.com/aspnet/AspNetCore/commit/26964b2687) Macrosify out-of-proc (#1268)
* [`[60d617c5ac]`](https://github.com/aspnet/AspNetCore/commit/60d617c5ac) Check connection state before start stop and send (#2824)
* [`[2778570f0b]`](https://github.com/aspnet/AspNetCore/commit/2778570f0b) Redirect native logs into stdout and pipe (#1154)
* [`[2d61889e5e]`](https://github.com/aspnet/AspNetCore/commit/2d61889e5e) Support empty value for ASPNETCORE_PORT (#1280)
* [`[6da64c6d55]`](https://github.com/aspnet/AspNetCore/commit/6da64c6d55) Fix process start error message (#1267)
* [`[2560815501]`](https://github.com/aspnet/AspNetCore/commit/2560815501) Add NetTopologySuite external dependency
* [`[e85c36fa8c]`](https://github.com/aspnet/AspNetCore/commit/e85c36fa8c) Clarify CORS policy result log messages (#177)
* [`[6f7a841374]`](https://github.com/aspnet/AspNetCore/commit/6f7a841374) Fire OnStreamCompleted after all pipes are closed
* [`[a1e8b3a9af]`](https://github.com/aspnet/AspNetCore/commit/a1e8b3a9af) Free environment variable table in inprocess application (#1254)
* [`[ff52525134]`](https://github.com/aspnet/AspNetCore/commit/ff52525134) Skip ContentLength_Received_MultipleDataFramesOverSize_Reset
* [`[5bae8c768d]`](https://github.com/aspnet/AspNetCore/commit/5bae8c768d) Fix publishing targets to correctly reference the right item group: NpmPackageToPublish
* [`[5fc59b2331]`](https://github.com/aspnet/AspNetCore/commit/5fc59b2331) Free ALLOC_CACHE_HANDLER on dll unload (#1253)
* [`[0986f74264]`](https://github.com/aspnet/AspNetCore/commit/0986f74264) Added benchmarks for link generation
* [`[b4538831b7]`](https://github.com/aspnet/AspNetCore/commit/b4538831b7) Add package descriptions for Microsoft.AspNetCore.{App, All}
* [`[4b1e0d09c7]`](https://github.com/aspnet/AspNetCore/commit/4b1e0d09c7) Skip npm package publishing if there are no npm packages to release
* [`[16164689dc]`](https://github.com/aspnet/AspNetCore/commit/16164689dc) Update documentation on the various package archive formats (#1324)
* [`[24ed5586dc]`](https://github.com/aspnet/AspNetCore/commit/24ed5586dc) Collect dumps on VSTS (#1244)
* [`[8c9093332b]`](https://github.com/aspnet/AspNetCore/commit/8c9093332b) Support for Adding OnClosed Callbacks(#2821)
* [`[267b149bc8]`](https://github.com/aspnet/AspNetCore/commit/267b149bc8) Fix whitespace in task parameters (#1322)
* [`[731767837a]`](https://github.com/aspnet/AspNetCore/commit/731767837a) Introducing new **catchAll parameter to allow generating links with unencoded values
* [`[522006d2c8]`](https://github.com/aspnet/AspNetCore/commit/522006d2c8) [Design] Add a MaxValidationDepth option to ValidationVisitor
* [`[670598c05a]`](https://github.com/aspnet/AspNetCore/commit/670598c05a) Stop using IISExpress .config templates (#863)
* [`[30b01d2460]`](https://github.com/aspnet/AspNetCore/commit/30b01d2460) Stop using IISExpress .config templates (#142)
* [`[3b853daa1a]`](https://github.com/aspnet/AspNetCore/commit/3b853daa1a) Log unhandled exceptions to help see errors in tests (#2815)
* [`[83488886e0]`](https://github.com/aspnet/AspNetCore/commit/83488886e0) Clean up some remants of the past (#2827)
* [`[730646c301]`](https://github.com/aspnet/AspNetCore/commit/730646c301) Perf for EMC
* [`[6724b4d796]`](https://github.com/aspnet/AspNetCore/commit/6724b4d796) Add EMC benchmark
* [`[4fa0b068b8]`](https://github.com/aspnet/AspNetCore/commit/4fa0b068b8) Fix #710 - add support for data tokens
* [`[97f54c532b]`](https://github.com/aspnet/AspNetCore/commit/97f54c532b) Support supression of matching for endpoints
* [`[6440545c4a]`](https://github.com/aspnet/AspNetCore/commit/6440545c4a) Add hosting model switch tests (#1245)
* [`[56236f6a74]`](https://github.com/aspnet/AspNetCore/commit/56236f6a74) Add stress test zip as an asset (#1243)
* [`[b981e24a53]`](https://github.com/aspnet/AspNetCore/commit/b981e24a53) Updated the lock files (#2813)
* [`[0c2923135b]`](https://github.com/aspnet/AspNetCore/commit/0c2923135b) Limit concurrent HTTP/2 Streams per connection #2815
* [`[e9c0787308]`](https://github.com/aspnet/AspNetCore/commit/e9c0787308) Support list of package sources
* [`[d3f51da519]`](https://github.com/aspnet/AspNetCore/commit/d3f51da519) Add EFCore.Cosmos.Sql to shipping package list
* [`[9290f3fd52]`](https://github.com/aspnet/AspNetCore/commit/9290f3fd52) Set HTTP request timeout to infinite - Prevent failures due to slow requests when running many tests in parallel
* [`[60ca38ab56]`](https://github.com/aspnet/AspNetCore/commit/60ca38ab56) Fix deployment parameters override (#1241)
* [`[3e00887c2f]`](https://github.com/aspnet/AspNetCore/commit/3e00887c2f) Call StopServer before checking all event logs (#1242)
* [`[085a0b808e]`](https://github.com/aspnet/AspNetCore/commit/085a0b808e) Use RoutePattern in TemplateBinder
* [`[af770ede87]`](https://github.com/aspnet/AspNetCore/commit/af770ede87) Ignore parameters that specify a model binder type
* [`[431627958c]`](https://github.com/aspnet/AspNetCore/commit/431627958c) Adding support for Close Message (#2793)
* [`[1924b32c33]`](https://github.com/aspnet/AspNetCore/commit/1924b32c33) Add local vars for easier debugging
* [`[b1b60d9424]`](https://github.com/aspnet/AspNetCore/commit/b1b60d9424) Rename tests to run in optimal order
* [`[85c934dcdd]`](https://github.com/aspnet/AspNetCore/commit/85c934dcdd) Throw if the Websocket cant connect in Java client(#2801)
* [`[c6aaa13db9]`](https://github.com/aspnet/AspNetCore/commit/c6aaa13db9) Add JS API doc link to npm packages (#2809)
* [`[51e6492b44]`](https://github.com/aspnet/AspNetCore/commit/51e6492b44) Update for SDK 2.2.100-preview1 (#15)
* [`[7e25d7908a]`](https://github.com/aspnet/AspNetCore/commit/7e25d7908a) Warn when the parameter name for a model bound complex parameter has the same name as a top level property
* [`[53ceaf1b2c]`](https://github.com/aspnet/AspNetCore/commit/53ceaf1b2c) [TS Client] Properly wait for WebSocket close (#2804)
* [`[1104564797]`](https://github.com/aspnet/AspNetCore/commit/1104564797) Throw when web config action is added without publish (#1234)
* [`[8dbe564263]`](https://github.com/aspnet/AspNetCore/commit/8dbe564263) Add commit hash to V1 description (#1229)
* [`[5e20c313d9]`](https://github.com/aspnet/AspNetCore/commit/5e20c313d9) Array or List in query string does not get parsed #7712 (#7967)
* [`[110fea288b]`](https://github.com/aspnet/AspNetCore/commit/110fea288b) Produce a stress test app (#1228)
* [`[2421ae8c83]`](https://github.com/aspnet/AspNetCore/commit/2421ae8c83) Add IStatusCodeActionResult (#8265)
* [`[045d5f1c7f]`](https://github.com/aspnet/AspNetCore/commit/045d5f1c7f) Add gradle to 3pn (#2798)
* [`[d725972355]`](https://github.com/aspnet/AspNetCore/commit/d725972355) Start adding configuration reload tests (#1212)
* [`[43398482a5]`](https://github.com/aspnet/AspNetCore/commit/43398482a5) Implement MaxRequestBodySize for HTTP/2 #2810
* [`[cd6de2fa18]`](https://github.com/aspnet/AspNetCore/commit/cd6de2fa18) Improve HTTP/2 stream abort logic (#2819)
* [`[6310cffd7c]`](https://github.com/aspnet/AspNetCore/commit/6310cffd7c) Add timestamps to log messages (#2777)
* [`[82cef1a0c6]`](https://github.com/aspnet/AspNetCore/commit/82cef1a0c6) fix chrome headless when root by adding --no-sandbox (#2796)
* [`[9618a59485]`](https://github.com/aspnet/AspNetCore/commit/9618a59485) Add .gitattributes file
* [`[f1c1f82e8b]`](https://github.com/aspnet/AspNetCore/commit/f1c1f82e8b) Fix is_regular_file again (#1218)
* [`[08ee882217]`](https://github.com/aspnet/AspNetCore/commit/08ee882217) Update Gradle to 4.9 (#2786)
* [`[e0235b1e21]`](https://github.com/aspnet/AspNetCore/commit/e0235b1e21) Fix aspnet/Home#3379 - add a functional test for Redis storage provider to ensure keys round-trip (#321)
* [`[a8be2bf25b]`](https://github.com/aspnet/AspNetCore/commit/a8be2bf25b) Add common retry helper for SeverManager (#1207)
* [`[b029f79b4d]`](https://github.com/aspnet/AspNetCore/commit/b029f79b4d) Import styles in correct order (#668)
* [`[253ac7c143]`](https://github.com/aspnet/AspNetCore/commit/253ac7c143) Ignore line ending diff
* [`[9da8e2c908]`](https://github.com/aspnet/AspNetCore/commit/9da8e2c908) Ensure UnsupportedContentTypeFilter runs before ModelStateInvalidFilter
* [`[ac9b1f97c5]`](https://github.com/aspnet/AspNetCore/commit/ac9b1f97c5) Add a restore feed for 2.1.3 packages
* [`[b82fcc0b21]`](https://github.com/aspnet/AspNetCore/commit/b82fcc0b21) log when WebSocketTransport has started (#2752)
* [`[a7a95c6da1]`](https://github.com/aspnet/AspNetCore/commit/a7a95c6da1) Add PR validation on VSTS
* [`[9534c08142]`](https://github.com/aspnet/AspNetCore/commit/9534c08142) Change versioning of Microsoft.AspNetCore.DataProtection.Redis to 2.2 (#320)
* [`[62a30a731d]`](https://github.com/aspnet/AspNetCore/commit/62a30a731d) Fix bug in graceful shutdown
* [`[4628525301]`](https://github.com/aspnet/AspNetCore/commit/4628525301) Start W3SVC if it is stopped (#1197)
* [`[b078521f17]`](https://github.com/aspnet/AspNetCore/commit/b078521f17) Hold open the nginx dynamic port
* [`[bd3a8a3511]`](https://github.com/aspnet/AspNetCore/commit/bd3a8a3511) Small test fix to avoid potential flakiness
* [`[7c9e234457]`](https://github.com/aspnet/AspNetCore/commit/7c9e234457) Gracefully wait for streams to complete when pipe completes
* [`[8361b8cfa9]`](https://github.com/aspnet/AspNetCore/commit/8361b8cfa9) Split handler resolution from application info (#1177)
* [`[c8418c6de8]`](https://github.com/aspnet/AspNetCore/commit/c8418c6de8) Derive SocketAwaitable from SocketAsyncEventArgs (#2592)
* [`[e6330ab19b]`](https://github.com/aspnet/AspNetCore/commit/e6330ab19b) Fix win7 test again (#1187)
* [`[d7ad4c79ee]`](https://github.com/aspnet/AspNetCore/commit/d7ad4c79ee) Fix incremental checks for test projects (#1186)
* [`[dd429e9597]`](https://github.com/aspnet/AspNetCore/commit/dd429e9597) Catch exceptions thrown by is_regular_file (#1179)
* [`[12cb35894e]`](https://github.com/aspnet/AspNetCore/commit/12cb35894e) Add support for GraphViz
* [`[aaf0293ebc]`](https://github.com/aspnet/AspNetCore/commit/aaf0293ebc) Fix logging verification in tests (#2795)
* [`[433dd42909]`](https://github.com/aspnet/AspNetCore/commit/433dd42909) Use web.config for ASPNETCORE_DETAILEDERRORS
* [`[6a6e1743ae]`](https://github.com/aspnet/AspNetCore/commit/6a6e1743ae) Expose full implementation for configureLogging in ESM definition file (#2770)
* [`[a550ae6cc3]`](https://github.com/aspnet/AspNetCore/commit/a550ae6cc3) Provide a better error message when invoking a non-existant hub method (#2768)
* [`[c9104d4932]`](https://github.com/aspnet/AspNetCore/commit/c9104d4932) Move Java client into com.microsoft.aspnet.signalr (#2763)
* [`[da1189e6f1]`](https://github.com/aspnet/AspNetCore/commit/da1189e6f1) Use StatusCodes constants instead of literals in the ProducesResponseType code fix (#8234)
* [`[2265acde78]`](https://github.com/aspnet/AspNetCore/commit/2265acde78) Don't start stream if already canceled (#2764)
* [`[186a85b7e0]`](https://github.com/aspnet/AspNetCore/commit/186a85b7e0) Add timestamp to logs TS client (#2760)
* [`[d153bab4a1]`](https://github.com/aspnet/AspNetCore/commit/d153bab4a1) Use configurationRedirection for IIS Deployer (#1170)
* [`[c0557cfca7]`](https://github.com/aspnet/AspNetCore/commit/c0557cfca7) Improve exception handling in Http2Connection.ProcessRequestsAsync (#2787)
* [`[5378900e0c]`](https://github.com/aspnet/AspNetCore/commit/5378900e0c) Ack settings before window updates #2772
* [`[d3f418efd8]`](https://github.com/aspnet/AspNetCore/commit/d3f418efd8) disable the gradle daemon on the CI (#2759)
* [`[c73d513289]`](https://github.com/aspnet/AspNetCore/commit/c73d513289) Add Http2 frame logging
* [`[3f55bf3cfb]`](https://github.com/aspnet/AspNetCore/commit/3f55bf3cfb) Make System.IO.Pipelines a direct dependency of Microsoft.AspNetCore.App
* [`[2f85e4a36d]`](https://github.com/aspnet/AspNetCore/commit/2f85e4a36d) Add a restore feed for 2.1.3 packages
* [`[c1da83637e]`](https://github.com/aspnet/AspNetCore/commit/c1da83637e) fix jdk detection by detecting javac instead of tools.jar (#2751)
* [`[5e7f63b096]`](https://github.com/aspnet/AspNetCore/commit/5e7f63b096) Make un-graceful shutdown a bit more graceful (#2748)
* [`[7431892e64]`](https://github.com/aspnet/AspNetCore/commit/7431892e64) Replace "std::experimental::filesystem" with "std::filesystem" (#1153)
* [`[b53d50f6f0]`](https://github.com/aspnet/AspNetCore/commit/b53d50f6f0) Fix incorrectly resolved cross-document pointers
* [`[8c26579016]`](https://github.com/aspnet/AspNetCore/commit/8c26579016) Don't push artifacts in forks (#1168)
* [`[3c19cede7d]`](https://github.com/aspnet/AspNetCore/commit/3c19cede7d) Updated dependencies
* [`[0e99235d59]`](https://github.com/aspnet/AspNetCore/commit/0e99235d59) Add in-memory functional test project (#2780)
* [`[0cf53e7d34]`](https://github.com/aspnet/AspNetCore/commit/0cf53e7d34) Show HTTP/2 status on requests #106
* [`[e4161d8971]`](https://github.com/aspnet/AspNetCore/commit/e4161d8971) Prepare 2.1.4 patch
* [`[c1aa708a8b]`](https://github.com/aspnet/AspNetCore/commit/c1aa708a8b) TypeScript improvements and tslib dep (#2692)
* [`[cef7dfcdbb]`](https://github.com/aspnet/AspNetCore/commit/cef7dfcdbb) Check connection state in ping Typescript client (#2753)
* [`[02d1d4b1aa]`](https://github.com/aspnet/AspNetCore/commit/02d1d4b1aa) Adding Javadocs (#2745)
* [`[9585084258]`](https://github.com/aspnet/AspNetCore/commit/9585084258) Using Routing feature branch versions
* [`[fc8979aeca]`](https://github.com/aspnet/AspNetCore/commit/fc8979aeca) Update TS docs for docs.microsoft.com generation (#2605)
* [`[685176faf5]`](https://github.com/aspnet/AspNetCore/commit/685176faf5) Updated dependencies
* [`[b494e50353]`](https://github.com/aspnet/AspNetCore/commit/b494e50353) Fixup shutdown functional tests
* [`[8a74cf3ed5]`](https://github.com/aspnet/AspNetCore/commit/8a74cf3ed5) Gracefully shutdown HTTP/2 connections on server and client initiated shutdown
* [`[d8741d1b0f]`](https://github.com/aspnet/AspNetCore/commit/d8741d1b0f) Skip Redis tests on macOS (#2740)
* [`[dadff9fc29]`](https://github.com/aspnet/AspNetCore/commit/dadff9fc29) Avoid ODE in tests with Server logging (#2742)
* [`[e403de7fbf]`](https://github.com/aspnet/AspNetCore/commit/e403de7fbf) Solve LongPolling races by moving Cts disposal to connection disposal (#2731)
* [`[d76c074780]`](https://github.com/aspnet/AspNetCore/commit/d76c074780) Up Redis test log level (#2743)
* [`[31b6ad69ae]`](https://github.com/aspnet/AspNetCore/commit/31b6ad69ae) Increase poll timeout in TS client (#2737)
* [`[39c5700148]`](https://github.com/aspnet/AspNetCore/commit/39c5700148) Add docs to RouteValuesAddress (#695)
* [`[c6830afa55]`](https://github.com/aspnet/AspNetCore/commit/c6830afa55) Add default debug log file name and dll information to debug log (#1149)
* [`[8ec69456ca]`](https://github.com/aspnet/AspNetCore/commit/8ec69456ca) Update CustomWriterStartup.cs
* [`[647f0f81c2]`](https://github.com/aspnet/AspNetCore/commit/647f0f81c2) CompatibilityVersion -> 2.2
* [`[e47a08612b]`](https://github.com/aspnet/AspNetCore/commit/e47a08612b) JQuery-validate-unobtrusive version 3.2.10
* [`[60a559719f]`](https://github.com/aspnet/AspNetCore/commit/60a559719f) Reduce probability of startup port collisions (#1136)
* [`[47f2f451e3]`](https://github.com/aspnet/AspNetCore/commit/47f2f451e3) EnableEndpointRouting documentation (#8220)
* [`[4e7cbb1931]`](https://github.com/aspnet/AspNetCore/commit/4e7cbb1931) Initialize logging under exclusive lock (#1161)
* [`[41d648fcc1]`](https://github.com/aspnet/AspNetCore/commit/41d648fcc1) Fully-qualify model name
* [`[ea7e53cab0]`](https://github.com/aspnet/AspNetCore/commit/ea7e53cab0) Send Resets for unhandled app exceptions #2733
* [`[c48412441d]`](https://github.com/aspnet/AspNetCore/commit/c48412441d) Add logging infrastructure to the Java Client (#2720)
* [`[e78e3db6f4]`](https://github.com/aspnet/AspNetCore/commit/e78e3db6f4) Honor InherentKeepAliveFeature for server timeout (#2727)
* [`[71c15fb76a]`](https://github.com/aspnet/AspNetCore/commit/71c15fb76a) Use bootstrap4 for templates
* [`[959771e73a]`](https://github.com/aspnet/AspNetCore/commit/959771e73a) Fix incrementality checks for test projects (#1145)
* [`[c2f5101b73]`](https://github.com/aspnet/AspNetCore/commit/c2f5101b73) Split managed application status and IApplication status (#1148)
* [`[d95f971693]`](https://github.com/aspnet/AspNetCore/commit/d95f971693) Fix broken tests
* [`[eb591fb29d]`](https://github.com/aspnet/AspNetCore/commit/eb591fb29d) Attempt to fix exclusions in NuGetPackageVerifier.json again
* [`[4336b50340]`](https://github.com/aspnet/AspNetCore/commit/4336b50340) Updated dependencies
* [`[e53a9f57db]`](https://github.com/aspnet/AspNetCore/commit/e53a9f57db) adding more docs
* [`[5ee3ae9002]`](https://github.com/aspnet/AspNetCore/commit/5ee3ae9002) Add XML docs to data sources and metadata (#692)
* [`[27a35d5d9b]`](https://github.com/aspnet/AspNetCore/commit/27a35d5d9b) fix benchmarks manifest
* [`[d1cba1f55b]`](https://github.com/aspnet/AspNetCore/commit/d1cba1f55b) Add Database health sample
* [`[6efb51d817]`](https://github.com/aspnet/AspNetCore/commit/6efb51d817) Add Microsoft.AspNetCore.Mvc.Api.Analyzers to Mvc.sln
* [`[ebafbcdae3]`](https://github.com/aspnet/AspNetCore/commit/ebafbcdae3) Add filtering by port
* [`[2a761d635c]`](https://github.com/aspnet/AspNetCore/commit/2a761d635c) Replace "std::experimental::filesystem" with "std::filesystem" (#1153)
* [`[9ff001d57c]`](https://github.com/aspnet/AspNetCore/commit/9ff001d57c) Capture global logs on VSTS (#1151)
* [`[f867367b56]`](https://github.com/aspnet/AspNetCore/commit/f867367b56) Use V2 schema for V1 outputs, do not pack pdb's (#1152)
* [`[4d706f045f]`](https://github.com/aspnet/AspNetCore/commit/4d706f045f) rebase changes
* [`[09ce9c3041]`](https://github.com/aspnet/AspNetCore/commit/09ce9c3041) Api clean up
* [`[091cb94094]`](https://github.com/aspnet/AspNetCore/commit/091cb94094) Change metadata namespace Change EndpointOptions visibility to internal Add IRequiredValuesMetadata
* [`[c8946a40e4]`](https://github.com/aspnet/AspNetCore/commit/c8946a40e4) Created LinkGenerationTemplate and friends
* [`[8a9b407761]`](https://github.com/aspnet/AspNetCore/commit/8a9b407761) Use netcoreapp2.1 instead of 2.2
* [`[a375cba359]`](https://github.com/aspnet/AspNetCore/commit/a375cba359) Copy action constraints and EndPointMetadata when setting up a PageActionDescriptor (#8208)
* [`[ac410b76d9]`](https://github.com/aspnet/AspNetCore/commit/ac410b76d9) Change MvcEndpointInfo to internal (#8210)
* [`[90b093baac]`](https://github.com/aspnet/AspNetCore/commit/90b093baac) Updated dependencies.props
* [`[05eb6a7f7c]`](https://github.com/aspnet/AspNetCore/commit/05eb6a7f7c) Add ERROR_SHARING_VIOLATION to retry list for IISDeployer.Start (#1147)
* [`[bc13fd5450]`](https://github.com/aspnet/AspNetCore/commit/bc13fd5450) Write websocket header directly to the repsonse headers (#253)
* [`[b177ba5309]`](https://github.com/aspnet/AspNetCore/commit/b177ba5309) Changed api of LinkGenerator
* [`[0989231ed5]`](https://github.com/aspnet/AspNetCore/commit/0989231ed5) Make structs readonly
* [`[810c7cf9ad]`](https://github.com/aspnet/AspNetCore/commit/810c7cf9ad) Fix ODE race with cancellationtokensource (#2721)
* [`[9cea167cfa]`](https://github.com/aspnet/AspNetCore/commit/9cea167cfa) Add docs - EndpointFeature and related types (#687)
* [`[90606338fb]`](https://github.com/aspnet/AspNetCore/commit/90606338fb) Log when closing connection due to timeout (#2722)
* [`[4eb2e41601]`](https://github.com/aspnet/AspNetCore/commit/4eb2e41601) Wait between requests while checking app_offline (#1144)
* [`[e2b6f07778]`](https://github.com/aspnet/AspNetCore/commit/e2b6f07778) Respect LowercaseUrls in ApiExplorer Fixes #8006
* [`[768d2a023e]`](https://github.com/aspnet/AspNetCore/commit/768d2a023e) Add Origin validation to WebSockets middleware (#252)
* [`[39f46060e7]`](https://github.com/aspnet/AspNetCore/commit/39f46060e7) Correct changeset for Mvc submodule
* [`[5a20037965]`](https://github.com/aspnet/AspNetCore/commit/5a20037965) Move API convention analyzers to Microsoft.AspNetCore.Mvc.Api.Analyzers
* [`[c0ed5c71a4]`](https://github.com/aspnet/AspNetCore/commit/c0ed5c71a4) Add Microsoft.AspNetCore.Mvc.Api.Analyzers
* [`[6d9aa281c5]`](https://github.com/aspnet/AspNetCore/commit/6d9aa281c5) Render `maxlength` attribute for an input tag, when MaxLength or StringLength validation attributes are applied to the model class.
* [`[beca0259c2]`](https://github.com/aspnet/AspNetCore/commit/beca0259c2) Verify request Content-Length #2733
* [`[477fd1d90d]`](https://github.com/aspnet/AspNetCore/commit/477fd1d90d) Aquire exclusive lock when creating application info (#1142)
* [`[b7335ac768]`](https://github.com/aspnet/AspNetCore/commit/b7335ac768) Add a code fix that applies ProducesResponseTypeAttributes
* [`[32d380a058]`](https://github.com/aspnet/AspNetCore/commit/32d380a058) Don't send WebSocketCloseStatus.Empty, it's invalid (#2716)
* [`[64124e9c85]`](https://github.com/aspnet/AspNetCore/commit/64124e9c85) Add filtering to Health Checks middleware
* [`[47f427d5ac]`](https://github.com/aspnet/AspNetCore/commit/47f427d5ac) Updating Health Checks for 2.2
* [`[8c4f187c22]`](https://github.com/aspnet/AspNetCore/commit/8c4f187c22) Endpoint routing rename and API review changes (#684)
* [`[8ea2cd9081]`](https://github.com/aspnet/AspNetCore/commit/8ea2cd9081) Ship shim with integration testing  (#1129)
* [`[7d4df89025]`](https://github.com/aspnet/AspNetCore/commit/7d4df89025) Back Port WebPack (#2641)
* [`[7487da155f]`](https://github.com/aspnet/AspNetCore/commit/7487da155f) Switch signing certificate for Newtonsoft.JSON to Microsoft3rdPartyAppComponentDual
* [`[7f8f210a24]`](https://github.com/aspnet/AspNetCore/commit/7f8f210a24) Add license headers to all files
* [`[89ab0cfde8]`](https://github.com/aspnet/AspNetCore/commit/89ab0cfde8) Initial commit of the HTTP REPL
* [`[165c712201]`](https://github.com/aspnet/AspNetCore/commit/165c712201) Use OSS package versions consistent with aspnet/benchmarks and Microsoft.AspNetcore.All 2.1.2 - update our own NuGet packages to align lower-level dependencies
* [`[814a803ed8]`](https://github.com/aspnet/AspNetCore/commit/814a803ed8) Use local instances of MemoryCache in script, link and image tag helper
* [`[ab84d17bb3]`](https://github.com/aspnet/AspNetCore/commit/ab84d17bb3) Unskip endpoint routing functional tests
* [`[046af405b6]`](https://github.com/aspnet/AspNetCore/commit/046af405b6) Rename global routing to endpoint routing (#8179)
* [`[4b5a32d3b9]`](https://github.com/aspnet/AspNetCore/commit/4b5a32d3b9) Use TestApplication (#1118)
* [`[ff0a5bbbdf]`](https://github.com/aspnet/AspNetCore/commit/ff0a5bbbdf) Update resources.h (#1134)
* [`[c8eedb3540]`](https://github.com/aspnet/AspNetCore/commit/c8eedb3540) Fix race when connection is canceled and new poll comes in (#2697)
* [`[d99d2d881c]`](https://github.com/aspnet/AspNetCore/commit/d99d2d881c) Fix HTTPS certs on VSTS (#1123)
* [`[85c7bd8fac]`](https://github.com/aspnet/AspNetCore/commit/85c7bd8fac) Discard ambient values during link generation if the values do not match explicit values [Fixes #544] Link generation: Discard ambient values unless routing to the same address
* [`[ef2c127459]`](https://github.com/aspnet/AspNetCore/commit/ef2c127459) Show route name
* [`[bf839dadf1]`](https://github.com/aspnet/AspNetCore/commit/bf839dadf1) Delete ISSUE_TEMPLATE.md
* [`[f62877b9db]`](https://github.com/aspnet/AspNetCore/commit/f62877b9db) Show default values in CompositeEndpointDataSource's debugger display string
* [`[a4b91d6dce]`](https://github.com/aspnet/AspNetCore/commit/a4b91d6dce) Flatten AggregateExceptions in rzc
* [`[0726b8b98b]`](https://github.com/aspnet/AspNetCore/commit/0726b8b98b) Make publicly exposed Roslyn types internal
* [`[e094d2579e]`](https://github.com/aspnet/AspNetCore/commit/e094d2579e) Suppress obsolete warnings
* [`[da10db413a]`](https://github.com/aspnet/AspNetCore/commit/da10db413a) Fix query string name in transport spec (#2702)
* [`[3d6e1e69fd]`](https://github.com/aspnet/AspNetCore/commit/3d6e1e69fd) Close LongPolling connection on poll exception (#2701)
* [`[25b826de75]`](https://github.com/aspnet/AspNetCore/commit/25b826de75) Update JavaClientVersion variable (#2703)
* [`[3ff064cea3]`](https://github.com/aspnet/AspNetCore/commit/3ff064cea3) Lock when reading \ writing process output
* [`[4baed363e5]`](https://github.com/aspnet/AspNetCore/commit/4baed363e5) Close #467 -  fix race conditions in tests that restart a watchable app
* [`[b2a1a7c9de]`](https://github.com/aspnet/AspNetCore/commit/b2a1a7c9de) Ensure parent is a MethodDeclarationSyntax
* [`[652c529f8f]`](https://github.com/aspnet/AspNetCore/commit/652c529f8f) Fix ServerShutsDownWhenMainExits test (#1120)
* [`[3cdb73440e]`](https://github.com/aspnet/AspNetCore/commit/3cdb73440e) Disable memory pool late return validation in H2SpecTests (#2768)
* [`[d346255db6]`](https://github.com/aspnet/AspNetCore/commit/d346255db6) Add analyzer and codefix that suggests removing unnecessary invalid model state validity checks
* [`[7a4a945fd6]`](https://github.com/aspnet/AspNetCore/commit/7a4a945fd6) Stop site and app pool before restoring config (#1112)
* [`[6d46410a76]`](https://github.com/aspnet/AspNetCore/commit/6d46410a76) Don't ACK ACKs (#2767)
* [`[367717760b]`](https://github.com/aspnet/AspNetCore/commit/367717760b) Handle subtype with suffix being a subtype without a suffix (#8170)
* [`[80b6ae4eb4]`](https://github.com/aspnet/AspNetCore/commit/80b6ae4eb4) Handle subtype with suffix being a subtype without a suffix (#1027)
* [`[b85adeee6d]`](https://github.com/aspnet/AspNetCore/commit/b85adeee6d) Skip 21 inproc tests (#862)
* [`[a14fe7f748]`](https://github.com/aspnet/AspNetCore/commit/a14fe7f748) Update issue template for security issues (#2693)
* [`[0102d4efab]`](https://github.com/aspnet/AspNetCore/commit/0102d4efab) Introduce ApiConventionMethodAttribute
* [`[cb557cf771]`](https://github.com/aspnet/AspNetCore/commit/cb557cf771) Changed `GetDesiredIndentation` to be resilient to our SyntaxTree which occasionally has gaps.
* [`[7d641f8796]`](https://github.com/aspnet/AspNetCore/commit/7d641f8796) Skip VSTS attribute (#1115)
* [`[41493f01e3]`](https://github.com/aspnet/AspNetCore/commit/41493f01e3) Don't stop redirect stdout/stderr after startup is done. (#1067)
* [`[c01c7075be]`](https://github.com/aspnet/AspNetCore/commit/c01c7075be) Add EndpointMetadata to ActionDescriptor and hookup CORS (#8158)
* [`[0af3bef0fe]`](https://github.com/aspnet/AspNetCore/commit/0af3bef0fe) Fix win7 test failures. (#1109)
* [`[c6ba21efc1]`](https://github.com/aspnet/AspNetCore/commit/c6ba21efc1) Add VSTS ci pipeline (#893)
* [`[f870503cdd]`](https://github.com/aspnet/AspNetCore/commit/f870503cdd) Fix HttpMethodMetadata debug string (#666)
* [`[647e7c3266]`](https://github.com/aspnet/AspNetCore/commit/647e7c3266) Add new ConfigureKestrel extensions #2760
* [`[f901bca8a7]`](https://github.com/aspnet/AspNetCore/commit/f901bca8a7) Fixing jenkins agents. (#1106)
* [`[c7dd9ff68a]`](https://github.com/aspnet/AspNetCore/commit/c7dd9ff68a) Enable Http/2 by default #2720
* [`[6efdf78fb5]`](https://github.com/aspnet/AspNetCore/commit/6efdf78fb5) IIS ANCM support in test matrix (#1509)
* [`[94cfc01fbf]`](https://github.com/aspnet/AspNetCore/commit/94cfc01fbf) Implement HTTP/2 input flow control (#2740)
* [`[54e5370e8f]`](https://github.com/aspnet/AspNetCore/commit/54e5370e8f) Add CORS support to HttpMethodMatcherPolicy
* [`[fed2eb1cdf]`](https://github.com/aspnet/AspNetCore/commit/fed2eb1cdf) More robust username discovery on Linux in NginxDeployer (#1508)
* [`[7067d92c75]`](https://github.com/aspnet/AspNetCore/commit/7067d92c75) Limit RH native assets to netcoreapp2.2 (#1105)
* [`[556880872d]`](https://github.com/aspnet/AspNetCore/commit/556880872d) Ensure later validations of `null` models do not overwrite `Invalid` state - #8078
* [`[afa5d60821]`](https://github.com/aspnet/AspNetCore/commit/afa5d60821) Add content/webroot and currect directory tests (#1103)
* [`[498fa2d72f]`](https://github.com/aspnet/AspNetCore/commit/498fa2d72f) Avoid `InvalidOperationException` when serializing `SerializableError` - #8055 - provide unique name (`<Empty-Key>`) for XML elements that would otherwise be nameless
* [`[61b4473abe]`](https://github.com/aspnet/AspNetCore/commit/61b4473abe) Fix another shutdown race and appofline race (#1071)
* [`[2a48a9a2c4]`](https://github.com/aspnet/AspNetCore/commit/2a48a9a2c4) Adding Java Client Overloads up to T8. (#2660)
* [`[daed55be36]`](https://github.com/aspnet/AspNetCore/commit/daed55be36) Parse HandshakeResponse (#2656)
* [`[ba18129d79]`](https://github.com/aspnet/AspNetCore/commit/ba18129d79) Skip win7 tests (#1096)
* [`[f31ab716ee]`](https://github.com/aspnet/AspNetCore/commit/f31ab716ee) Change MvcEndpointDataSource to use GetChangeToken (#8137)
* [`[aa8a8b7471]`](https://github.com/aspnet/AspNetCore/commit/aa8a8b7471) Skip IIS Jenkins (#1094)
* [`[aee905e359]`](https://github.com/aspnet/AspNetCore/commit/aee905e359) Sort list of artifacts and add selenium to external artifacts
* [`[10ce77b9ca]`](https://github.com/aspnet/AspNetCore/commit/10ce77b9ca) Updated MvcEndpointDataSource to create endpoints with SuppressLinkGenerationMetadata
* [`[e0294f1d1b]`](https://github.com/aspnet/AspNetCore/commit/e0294f1d1b) Upgraded dependencies.props
* [`[bcd6e83591]`](https://github.com/aspnet/AspNetCore/commit/bcd6e83591) Upgraded dependencies.props
* [`[19f24cad16]`](https://github.com/aspnet/AspNetCore/commit/19f24cad16) fix silly constructor
* [`[1340f9c26b]`](https://github.com/aspnet/AspNetCore/commit/1340f9c26b) Add EndpointSelectorCandidate ctor to not break MVC (#661)
* [`[fdff66054f]`](https://github.com/aspnet/AspNetCore/commit/fdff66054f) Missing ChangeToken -> GetChangeToken updates (#660)
* [`[c08504b08a]`](https://github.com/aspnet/AspNetCore/commit/c08504b08a) MVC startup experience (#8131)
* [`[f385308503]`](https://github.com/aspnet/AspNetCore/commit/f385308503) Pass "--debug:ephemeral-hive" to "dotnet new"
* [`[147c9527f3]`](https://github.com/aspnet/AspNetCore/commit/147c9527f3) Implement EndpointSelector and MatcherPolicy (#646)
* [`[f37ca0d2e9]`](https://github.com/aspnet/AspNetCore/commit/f37ca0d2e9) Show list of endpoints in CompositeEndpointDataSource's DebuggerDisplayString [Fixes #633] Show list of registered endpoints as debugger display string
* [`[71cb933a08]`](https://github.com/aspnet/AspNetCore/commit/71cb933a08) Show a flattened tree in LinkGenerationDecisionTree's DebuggerDisplayString [Fixes #636] Flatten the LinkGenerationDecisionTree to show as debugger display string
* [`[34499dbe24]`](https://github.com/aspnet/AspNetCore/commit/34499dbe24) Added support for suppressing link generation for endpoints
* [`[630aeade07]`](https://github.com/aspnet/AspNetCore/commit/630aeade07) Added tests related to generating urls with route name
* [`[5bd475ef90]`](https://github.com/aspnet/AspNetCore/commit/5bd475ef90) Add event logs for some startup failure cases (#1081)
* [`[5580928209]`](https://github.com/aspnet/AspNetCore/commit/5580928209) Upgraded dependencies.props
* [`[7da1baf9d8]`](https://github.com/aspnet/AspNetCore/commit/7da1baf9d8) Do not use decision tree for named routes in RouteValuesBasedEndpointFinder
* [`[9b217892ab]`](https://github.com/aspnet/AspNetCore/commit/9b217892ab) Using routing feature branch versions to prevent cross repo breaking changes
* [`[5f1631ab46]`](https://github.com/aspnet/AspNetCore/commit/5f1631ab46) Added support for configuring route options with LinkGenerator
* [`[18e0871fe2]`](https://github.com/aspnet/AspNetCore/commit/18e0871fe2) Update to NETCore.App 2.1.3-servicing-26722-02
* [`[684e7855a6]`](https://github.com/aspnet/AspNetCore/commit/684e7855a6) Handle `null` entries correctly for `IsEmptyOrWhiteSpace` - #2497
* [`[feceb3ddea]`](https://github.com/aspnet/AspNetCore/commit/feceb3ddea) Lowercase scheme and host to better align with RFC 6454.
* [`[52c1e942c6]`](https://github.com/aspnet/AspNetCore/commit/52c1e942c6) Added UseCamelCasing and UseMemberCasing extension methods to MvcJsonOptions (#7256)
* [`[fba4e3ec4e]`](https://github.com/aspnet/AspNetCore/commit/fba4e3ec4e) Switch to non-experimental filesystem (#1082)
* [`[1e807240ea]`](https://github.com/aspnet/AspNetCore/commit/1e807240ea) Add GetChangeToken to EndpointDataSource (#649)
* [`[c0ba374549]`](https://github.com/aspnet/AspNetCore/commit/c0ba374549) Custom error messages with validation message tag helper #8035
* [`[e1e7ec0f28]`](https://github.com/aspnet/AspNetCore/commit/e1e7ec0f28) Enable couple of skipped Dispatching functional tests
* [`[c3545c18eb]`](https://github.com/aspnet/AspNetCore/commit/c3545c18eb) Add api sets to IntegrationTesting.IIS (#1083)
* [`[28c0c4d128]`](https://github.com/aspnet/AspNetCore/commit/28c0c4d128) Add ability to override the testing web content root using environment variables
* [`[d4beab5d09]`](https://github.com/aspnet/AspNetCore/commit/d4beab5d09) CompositeValidationAttribute
* [`[a330c920d7]`](https://github.com/aspnet/AspNetCore/commit/a330c920d7) Support overrides on using P2P references for benchmarks
* [`[f1c060bf3d]`](https://github.com/aspnet/AspNetCore/commit/f1c060bf3d) RoutePattern everywhere
* [`[8f8d3afd36]`](https://github.com/aspnet/AspNetCore/commit/8f8d3afd36) Fix bug in benchmark
* [`[90395c933d]`](https://github.com/aspnet/AspNetCore/commit/90395c933d) Implement IRoutingFeature on EndpointFeature for back-compat (#641)
* [`[256aed8369]`](https://github.com/aspnet/AspNetCore/commit/256aed8369) Make IISExpress shutdown gracefully. (#1066)
* [`[7d12e6bb13]`](https://github.com/aspnet/AspNetCore/commit/7d12e6bb13) Updating external dependencies (#1268)
* [`[e11a33280f]`](https://github.com/aspnet/AspNetCore/commit/e11a33280f) Update the templating submodule
* [`[f1e66b5a6f]`](https://github.com/aspnet/AspNetCore/commit/f1e66b5a6f) Reset LZMA to only include the implicit package version (#1266)
* [`[612fcca729]`](https://github.com/aspnet/AspNetCore/commit/612fcca729) Validate Http/2 pseudo headers #2205 #2263 #2659
* [`[eb6faf1754]`](https://github.com/aspnet/AspNetCore/commit/eb6faf1754) Redo baselines
* [`[8e667ba730]`](https://github.com/aspnet/AspNetCore/commit/8e667ba730) Rename parser tests to have shorter names
* [`[433eeb6943]`](https://github.com/aspnet/AspNetCore/commit/433eeb6943) Abort connection on protocol error (#2654)
* [`[603cd03bfa]`](https://github.com/aspnet/AspNetCore/commit/603cd03bfa) Stop writing responses after the unexpected end of request content (#2734)
* [`[0970888187]`](https://github.com/aspnet/AspNetCore/commit/0970888187) Do not reference AspNetCoreModuleV2 on non-windows (#217)
* [`[b934e46161]`](https://github.com/aspnet/AspNetCore/commit/b934e46161) Complete the transport pipes after connection middleware runs (#2735)
* [`[89fda83bbd]`](https://github.com/aspnet/AspNetCore/commit/89fda83bbd) Move config operations from helpers to functions on the deployment parameters (#1063)
* [`[41f56dbbed]`](https://github.com/aspnet/AspNetCore/commit/41f56dbbed) Minor fix to DefaultLinkGenerator and enabled constraint related tests in DefaultLinkGeneratorTest
* [`[36d90c9bc2]`](https://github.com/aspnet/AspNetCore/commit/36d90c9bc2) Run request service constraint test with dispatching (#8112)
* [`[ec8976ffaf]`](https://github.com/aspnet/AspNetCore/commit/ec8976ffaf) Update MvcEndpointDataSource on raised change token (#8108)
* [`[8260ed6c46]`](https://github.com/aspnet/AspNetCore/commit/8260ed6c46) Update to NETCore.App 2.1.3-servicing-26718-02
* [`[01ce77da56]`](https://github.com/aspnet/AspNetCore/commit/01ce77da56) Rename Web Application to Starter Web Application
* [`[4752d45e0e]`](https://github.com/aspnet/AspNetCore/commit/4752d45e0e) Add the minorVersion field to the HandshakeResponse in the TS client for 3.0 (#2657)
* [`[056da5114a]`](https://github.com/aspnet/AspNetCore/commit/056da5114a) Add partial handshake test (#2630)
* [`[21d9ec64f0]`](https://github.com/aspnet/AspNetCore/commit/21d9ec64f0) Add copy constructor to deployment parameters (#1497)
* [`[97ebe36b13]`](https://github.com/aspnet/AspNetCore/commit/97ebe36b13) Disable client disconnect tests (#1076)
* [`[477296a3cc]`](https://github.com/aspnet/AspNetCore/commit/477296a3cc) Make DFA matcher the default
* [`[badbcb9437]`](https://github.com/aspnet/AspNetCore/commit/badbcb9437) Add MvcEndpointDataSource benchmarks (#8104)
* [`[54471a2930]`](https://github.com/aspnet/AspNetCore/commit/54471a2930) Add client abort tests (#1051)
* [`[400d243f42]`](https://github.com/aspnet/AspNetCore/commit/400d243f42) Fix remaining feature gaps in DfaMatcher (#621)
* [`[7f6b05149d]`](https://github.com/aspnet/AspNetCore/commit/7f6b05149d) Generate deterministic unique ids for tag helpers
* [`[b741743537]`](https://github.com/aspnet/AspNetCore/commit/b741743537) Set IsMet and SkipReason with empty constructor (#1070)
* [`[21f2edce16]`](https://github.com/aspnet/AspNetCore/commit/21f2edce16) Generate and verify baselines for ClassifiedSpans and TagHelperSpans - Moved GetClassifiedSpans and GetTagHelperSpans logic to Razor.Language
* [`[c1fab727a0]`](https://github.com/aspnet/AspNetCore/commit/c1fab727a0) Upgraded dependencies.props
* [`[b5be7b56d9]`](https://github.com/aspnet/AspNetCore/commit/b5be7b56d9) Add Microsoft.AspNetCore.Server.IIS to metapackges (#1263)
* [`[c0e00d65dd]`](https://github.com/aspnet/AspNetCore/commit/c0e00d65dd) Use IntegrationTesting.IIS (#859)
* [`[194ef76432]`](https://github.com/aspnet/AspNetCore/commit/194ef76432) Use IntegrationTesting.IIS (#133)
* [`[074264cd3a]`](https://github.com/aspnet/AspNetCore/commit/074264cd3a) Use less global variables (#1064)
* [`[1196349bf4]`](https://github.com/aspnet/AspNetCore/commit/1196349bf4) [Fixes #583] Handle change events in RouteValueBaseEndpointFinder
* [`[dd252c0ccc]`](https://github.com/aspnet/AspNetCore/commit/dd252c0ccc) Updated dependencies.props to use feature branch versions
* [`[aed2e24483]`](https://github.com/aspnet/AspNetCore/commit/aed2e24483) Allow to pass in HttpContext when generating links
* [`[42218d5fb5]`](https://github.com/aspnet/AspNetCore/commit/42218d5fb5) Versioning with endpoint constraint (#8098)
* [`[02e1d78319]`](https://github.com/aspnet/AspNetCore/commit/02e1d78319) Minor fixes for MatchProcessorFactory
* [`[5f29e8b062]`](https://github.com/aspnet/AspNetCore/commit/5f29e8b062) Hoist path out of loop in BarebonesMatcher
* [`[7c6a60b62b]`](https://github.com/aspnet/AspNetCore/commit/7c6a60b62b) EFCore: Upgrade IX-Async
* [`[3e53533db3]`](https://github.com/aspnet/AspNetCore/commit/3e53533db3) Adding HubConnection State Enum (#2627)
* [`[a2942ce885]`](https://github.com/aspnet/AspNetCore/commit/a2942ce885) Update Intro Video Link (#2637)
* [`[b62499e02c]`](https://github.com/aspnet/AspNetCore/commit/b62499e02c) Ensure PageContext.ViewData and ViewContext.ViewData are the same instance Fixes #7675
* [`[9d951325b2]`](https://github.com/aspnet/AspNetCore/commit/9d951325b2) Re-organize shared src packages so we can do true IVT between src assemblies
* [`[25c65a5d85]`](https://github.com/aspnet/AspNetCore/commit/25c65a5d85) Add HubMessage abstraction and parse messages from the server into different message types (#2620)
* [`[a44007adfb]`](https://github.com/aspnet/AspNetCore/commit/a44007adfb) Fix deadlock in GOAWAY_Received_RelievesConnectionBackpressure (#2724)
* [`[5f065b6670]`](https://github.com/aspnet/AspNetCore/commit/5f065b6670) Fix deadlock in GOAWAY_Received_RelievesConnectionBackpressure (#2724)
* [`[429bcfe216]`](https://github.com/aspnet/AspNetCore/commit/429bcfe216) Sending and receiving RST frames. #2462
* [`[b2e4743c7d]`](https://github.com/aspnet/AspNetCore/commit/b2e4743c7d) Change benchmarks (#612)
* [`[497a38035d]`](https://github.com/aspnet/AspNetCore/commit/497a38035d) Add application startup check that dispatcher is added to request pipeline (#614)
* [`[73e4d55d7b]`](https://github.com/aspnet/AspNetCore/commit/73e4d55d7b) Check dispatcher services registered (#610)
* [`[c657e31b94]`](https://github.com/aspnet/AspNetCore/commit/c657e31b94) Fix Console invalid handle issues. (#1029)
* [`[ef6f326188]`](https://github.com/aspnet/AspNetCore/commit/ef6f326188) Add experimental JumpTables
* [`[9e114b547d]`](https://github.com/aspnet/AspNetCore/commit/9e114b547d) Introduce RoutePattern (#585)
* [`[cfd63e1e2e]`](https://github.com/aspnet/AspNetCore/commit/cfd63e1e2e) Change HTML splitting logic to not split on surrogate pairs.
* [`[6551eae321]`](https://github.com/aspnet/AspNetCore/commit/6551eae321) Consolidate HTTP charset validation logic
* [`[04484527ac]`](https://github.com/aspnet/AspNetCore/commit/04484527ac) Update for 2.1.401-preview (#14)
* [`[bc79a47959]`](https://github.com/aspnet/AspNetCore/commit/bc79a47959) Temporary change to prevent cross repo breaking change: Added ooverload for MatcherEndpoint
* [`[42708bec91]`](https://github.com/aspnet/AspNetCore/commit/42708bec91) Added support for route constraints in Dispatcher world
* [`[b144f3a12f]`](https://github.com/aspnet/AspNetCore/commit/b144f3a12f) Update artifacts.props
* [`[3af5287b66]`](https://github.com/aspnet/AspNetCore/commit/3af5287b66) Make HealthChecks back into shipping packages
* [`[35fad0881b]`](https://github.com/aspnet/AspNetCore/commit/35fad0881b) Mark unused `ParameterBinder.BindModelAsync(...)` overloads as `[Obsolete]` - #7660 - also addresses part of #7317, only in `ComplexTypeModelBinderIntegrationTest`
* [`[f2608c2ff4]`](https://github.com/aspnet/AspNetCore/commit/f2608c2ff4) Do not suppress `ModelValidationState.Invalid` entries - #7992, #7963
* [`[284f6ab458]`](https://github.com/aspnet/AspNetCore/commit/284f6ab458) Add M.A.S.IntegrationTesting.IIS to artifacts.props (#1259)
* [`[7c27818fab]`](https://github.com/aspnet/AspNetCore/commit/7c27818fab) Update for 2.1.302 RTM (#13)
* [`[b359d6bed1]`](https://github.com/aspnet/AspNetCore/commit/b359d6bed1) Fix CI test failures (#1045)
* [`[1c7f53ae39]`](https://github.com/aspnet/AspNetCore/commit/1c7f53ae39) Fix TemplateBinder to consider null and empty string values the same
* [`[7209cab5e9]`](https://github.com/aspnet/AspNetCore/commit/7209cab5e9) Productize JumpTable (#594)
* [`[e69a47f230]`](https://github.com/aspnet/AspNetCore/commit/e69a47f230) Implement patch policies per repo and set default to ProductChangesOnly
* [`[eb7835f4c8]`](https://github.com/aspnet/AspNetCore/commit/eb7835f4c8) Updating dependencies to 2.1.2 and adding a section for pinned variable versions
* [`[d8e10d0870]`](https://github.com/aspnet/AspNetCore/commit/d8e10d0870) Updating dependencies to 2.1.2 and adding a section for pinned variable versions
* [`[36d7c8ec42]`](https://github.com/aspnet/AspNetCore/commit/36d7c8ec42) Add startup event log for ANCM inproc (#1047)
* [`[a5083d525b]`](https://github.com/aspnet/AspNetCore/commit/a5083d525b) Fix regression with Authorize + IPolicyProvider (#8068)
* [`[0cf972cc43]`](https://github.com/aspnet/AspNetCore/commit/0cf972cc43) Error message on no dispatcher middleware in endpoint middleware (#600)
* [`[aef7ff7959]`](https://github.com/aspnet/AspNetCore/commit/aef7ff7959) Add JwtBearer test for SaveToken #1768
* [`[62bf802971]`](https://github.com/aspnet/AspNetCore/commit/62bf802971) Updating dependencies to 2.1.2 and adding a section for pinned variable versions
* [`[10f68863ec]`](https://github.com/aspnet/AspNetCore/commit/10f68863ec) Updating dependencies to 2.1.2 and adding a section for pinned variable versions
* [`[47caa67a65]`](https://github.com/aspnet/AspNetCore/commit/47caa67a65) Rewrite JwtBearer token test #640
* [`[c9122a8428]`](https://github.com/aspnet/AspNetCore/commit/c9122a8428) Include AuthenticationTicket.Properties in AuthenticationTicket success result handling #1765 (#1767)
* [`[a452423998]`](https://github.com/aspnet/AspNetCore/commit/a452423998) Updating dependencies to 2.1.2 and adding a section for pinned variable versions
* [`[66cac69adf]`](https://github.com/aspnet/AspNetCore/commit/66cac69adf) Updating dependencies to 2.1.2 and adding a section for pinned variable versions
* [`[d8c77335e8]`](https://github.com/aspnet/AspNetCore/commit/d8c77335e8) Reorganize code so Kestrel now produces the Microsoft.Extensions.Buffers.Testing.Sources package
* [`[74667eda9c]`](https://github.com/aspnet/AspNetCore/commit/74667eda9c) Don't specify MainEntryPoint when compiling Razor assembly
* [`[174c5eaa6c]`](https://github.com/aspnet/AspNetCore/commit/174c5eaa6c) Make fewer public API changes
* [`[4f1b7ccca6]`](https://github.com/aspnet/AspNetCore/commit/4f1b7ccca6) Use ModelMetadata from actual types for validation
* [`[f179339a79]`](https://github.com/aspnet/AspNetCore/commit/f179339a79) Combine BufferWriter and CountingBufferWriter
* [`[3042728f8b]`](https://github.com/aspnet/AspNetCore/commit/3042728f8b) Add Microsoft.AspNetCore.Server.IntegrationTesting.IIS (#1253)
* [`[6bed0b7206]`](https://github.com/aspnet/AspNetCore/commit/6bed0b7206) Add Microsoft.AspNetCore.Server.IntegrationTesting.IIS package (#1037)
* [`[e5dfea5725]`](https://github.com/aspnet/AspNetCore/commit/e5dfea5725) Adds project properties and project capabilities to IIS and IISIntegration (#969)
* [`[ba599c49bb]`](https://github.com/aspnet/AspNetCore/commit/ba599c49bb) Be more resiliant to apphost.config issues (#1044)
* [`[c81f379045]`](https://github.com/aspnet/AspNetCore/commit/c81f379045) Normalize file extensions and project structures (#1038)
* [`[85e92ab3cc]`](https://github.com/aspnet/AspNetCore/commit/85e92ab3cc) Added support for route constraints in Dispatcher world
* [`[7aba48ca27]`](https://github.com/aspnet/AspNetCore/commit/7aba48ca27) Add support for httpmethods in swaggatherer
* [`[c367e1d681]`](https://github.com/aspnet/AspNetCore/commit/c367e1d681) Fix dispatching functional tests not using dispatching startup (#8052)
* [`[385f647215]`](https://github.com/aspnet/AspNetCore/commit/385f647215) Allow debug log file to be specified in handler settings; move tests from IISExpress to shared. (#1033)
* [`[dbc930cc78]`](https://github.com/aspnet/AspNetCore/commit/dbc930cc78) ResponseCache attribute on RazorPages Error handler method should be moved to model Fixes #553
* [`[6fde01a825]`](https://github.com/aspnet/AspNetCore/commit/6fde01a825) Replace PortSupportedCondition #2706
* [`[d2a8d3a61c]`](https://github.com/aspnet/AspNetCore/commit/d2a8d3a61c) Fix cookie regression (#1811)
* [`[683e327637]`](https://github.com/aspnet/AspNetCore/commit/683e327637) Pin Microsoft.Extensions.DependencyModel to 2.1.0
* [`[e1f1705d11]`](https://github.com/aspnet/AspNetCore/commit/e1f1705d11) Reenable tests and forward fixture logs (#1034)
* [`[183ecd85d6]`](https://github.com/aspnet/AspNetCore/commit/183ecd85d6) Fix MVC integration with UseEndpoint (#8047)
* [`[a826f478ad]`](https://github.com/aspnet/AspNetCore/commit/a826f478ad) Implement HTTP/2 output flow control (#2690)
* [`[4f81f75777]`](https://github.com/aspnet/AspNetCore/commit/4f81f75777) Updating external dependencies (#1249)
* [`[181e521b40]`](https://github.com/aspnet/AspNetCore/commit/181e521b40) Fix compiler error as a result of merging 2.1.2 into release/2.1
* [`[51c94337d7]`](https://github.com/aspnet/AspNetCore/commit/51c94337d7) /systray:false (#1486)
* [`[11b83dc2b3]`](https://github.com/aspnet/AspNetCore/commit/11b83dc2b3) Rename reg keys from IIS ANCM V1 to V2  (#1017)
* [`[86fed4de5f]`](https://github.com/aspnet/AspNetCore/commit/86fed4de5f) Fix shutdown race (#1031)
* [`[1e7be641ae]`](https://github.com/aspnet/AspNetCore/commit/1e7be641ae) Add some common aliases for conventions
* [`[9ad9ada9ea]`](https://github.com/aspnet/AspNetCore/commit/9ad9ada9ea) Pin to the latest stable 2.1.x corefx packages
* [`[2d4fb0af6f]`](https://github.com/aspnet/AspNetCore/commit/2d4fb0af6f) Add support for registering multiple On handlers (#2599)
* [`[bd995d4cb1]`](https://github.com/aspnet/AspNetCore/commit/bd995d4cb1) [Fixes #7959] Conventional routing with custom templates not working when you have area attributes
* [`[dc2ae93c3f]`](https://github.com/aspnet/AspNetCore/commit/dc2ae93c3f) Add fallback attribute to partial tag helper.
* [`[dee479fda7]`](https://github.com/aspnet/AspNetCore/commit/dee479fda7) Add partial helper to Razor Page \ PageModel
* [`[cbfd791d7b]`](https://github.com/aspnet/AspNetCore/commit/cbfd791d7b) Make facts and theories conditional (#1023)
* [`[3ec66beecd]`](https://github.com/aspnet/AspNetCore/commit/3ec66beecd) Move IIS tests to a test group
* [`[d2bb674b0a]`](https://github.com/aspnet/AspNetCore/commit/d2bb674b0a) Add support for default response (#8028)
* [`[ed7c4e8f5c]`](https://github.com/aspnet/AspNetCore/commit/ed7c4e8f5c) Parser tests clean up
* [`[8ad64d2a35]`](https://github.com/aspnet/AspNetCore/commit/8ad64d2a35) Port IISExpress tests to run on both IIS and IISExpress (#1010)
* [`[931f0754af]`](https://github.com/aspnet/AspNetCore/commit/931f0754af) Do not restore in parallel - workaround for race condition in /t:Restore
* [`[c1fb4479a3]`](https://github.com/aspnet/AspNetCore/commit/c1fb4479a3) Update LZMA to restore netcoreapp2.2 packages
* [`[856ac6cb8d]`](https://github.com/aspnet/AspNetCore/commit/856ac6cb8d) AddSignalR tests (#2600)
* [`[748e992865]`](https://github.com/aspnet/AspNetCore/commit/748e992865) Dygray/handshake versioning (#2520)
* [`[b4fdc5e5c0]`](https://github.com/aspnet/AspNetCore/commit/b4fdc5e5c0) AddSignalR tests (#2600)
* [`[475700209a]`](https://github.com/aspnet/AspNetCore/commit/475700209a) AddSignalR tests
* [`[fa702ff6ef]`](https://github.com/aspnet/AspNetCore/commit/fa702ff6ef) Update AddSignalRCore to respect user registered services (#2434)
* [`[2af13658fc]`](https://github.com/aspnet/AspNetCore/commit/2af13658fc) Unprotect key material with the local cache of certificates before checking the cert store
* [`[73867a086c]`](https://github.com/aspnet/AspNetCore/commit/73867a086c) IIS-Inproc new project cap (#1238)
* [`[e7db3f840b]`](https://github.com/aspnet/AspNetCore/commit/e7db3f840b) Handle pipe name with whitespace properly
* [`[727bd52b64]`](https://github.com/aspnet/AspNetCore/commit/727bd52b64) Add package version to Microsoft.AspNetCore.App in project templates
* [`[724cc3ce88]`](https://github.com/aspnet/AspNetCore/commit/724cc3ce88) Only run fallback logic for dotnet and dotnet.exe (#1004)
* [`[3bdb33ccd4]`](https://github.com/aspnet/AspNetCore/commit/3bdb33ccd4) Sync native calls
* [`[e7d36a42e6]`](https://github.com/aspnet/AspNetCore/commit/e7d36a42e6) Only add environment variables if we are running on win8.1 or above. (#1007)
* [`[b7f666e91b]`](https://github.com/aspnet/AspNetCore/commit/b7f666e91b) Adding Support for On Overloads in Java Client (#2568) (#2583)
* [`[c526f489ce]`](https://github.com/aspnet/AspNetCore/commit/c526f489ce) Adding Support for On Overloads in Java Client (#2568)
* [`[d2d9a47686]`](https://github.com/aspnet/AspNetCore/commit/d2d9a47686) Invoke dotnet vstest directly instead of using the VSTest target
* [`[3efc1eede4]`](https://github.com/aspnet/AspNetCore/commit/3efc1eede4) Set correct event providers for ANCM V2 (#1009)
* [`[cc0e0394ac]`](https://github.com/aspnet/AspNetCore/commit/cc0e0394ac) Add required infrastructure improvements to submodules to support NETStandard.Library 2.0.3
* [`[1895502c48]`](https://github.com/aspnet/AspNetCore/commit/1895502c48) Update the LZMA to include NETStandard.Library 2.0.3
* [`[8b39e98477]`](https://github.com/aspnet/AspNetCore/commit/8b39e98477) Add web.administation to universe (#1233)
* [`[422997a59a]`](https://github.com/aspnet/AspNetCore/commit/422997a59a) [automated] Change default branch to master
* [`[57ff9d0b48]`](https://github.com/aspnet/AspNetCore/commit/57ff9d0b48) [automated] Change default branch to master
* [`[dfd75e939d]`](https://github.com/aspnet/AspNetCore/commit/dfd75e939d) Add full IIS tests (#979)
* [`[335500ab0e]`](https://github.com/aspnet/AspNetCore/commit/335500ab0e) Use ModelMetadata from actual types for validation
* [`[c2fcfabdf3]`](https://github.com/aspnet/AspNetCore/commit/c2fcfabdf3) Add optional property to PartialTagHelper (#7991)
* [`[f9a09372b7]`](https://github.com/aspnet/AspNetCore/commit/f9a09372b7) Converted TagHelperBlockRewriterTest
* [`[f6befb9ed3]`](https://github.com/aspnet/AspNetCore/commit/f6befb9ed3) Added ObjectResult implementation for Unauthorized response
* [`[133d49c57e]`](https://github.com/aspnet/AspNetCore/commit/133d49c57e) Fix Api Explorer not returning type with ActionResult<T> and no type in ProducesResponseTypeAttribute
* [`[7f2a64e32b]`](https://github.com/aspnet/AspNetCore/commit/7f2a64e32b) Razor runtime compilation produces errors if running on a shared runtime that's rolled forward
* [`[65d3787fc4]`](https://github.com/aspnet/AspNetCore/commit/65d3787fc4) Pass parameters to createapplication method (#998)
* [`[984e7826d6]`](https://github.com/aspnet/AspNetCore/commit/984e7826d6) Converted TagHelperParseTreeRewriterTest
* [`[b232a1103a]`](https://github.com/aspnet/AspNetCore/commit/b232a1103a) Prereq for converting tag helper tests
* [`[82f7f2aab8]`](https://github.com/aspnet/AspNetCore/commit/82f7f2aab8) Fix Api Explorer not returning type with ActionResult<T> and no type in ProducesResponseTypeAttribute
* [`[c4d5ef94a9]`](https://github.com/aspnet/AspNetCore/commit/c4d5ef94a9) Razor runtime compilation produces errors if running on a shared runtime that's rolled forward
* [`[dfed3d7563]`](https://github.com/aspnet/AspNetCore/commit/dfed3d7563) Add and use GetEnvironmentVariableValue (#997)
* [`[6c50820a49]`](https://github.com/aspnet/AspNetCore/commit/6c50820a49) Add ANCM to runtime site extension (#210)
* [`[f5f0988baf]`](https://github.com/aspnet/AspNetCore/commit/f5f0988baf) Make handlerSettings optional (#989)
* [`[66cb3d50aa]`](https://github.com/aspnet/AspNetCore/commit/66cb3d50aa) Upgraded dependencies.props
* [`[b9d956df59]`](https://github.com/aspnet/AspNetCore/commit/b9d956df59) Ensure no trailing slashes for LZMA generation
* [`[192e8073ee]`](https://github.com/aspnet/AspNetCore/commit/192e8073ee) Work around `CryptographicException`s thrown in some full framework test runs - always skip affected tests on full framework
* [`[1c1256406e]`](https://github.com/aspnet/AspNetCore/commit/1c1256406e) Update README, config, and scripts to use release/2.2 (#1232)
* [`[942d4d194c]`](https://github.com/aspnet/AspNetCore/commit/942d4d194c) Convert HtmlToCodeSwitchTest
* [`[13585f711f]`](https://github.com/aspnet/AspNetCore/commit/13585f711f) Using Routing feature branch package
* [`[f4bf222099]`](https://github.com/aspnet/AspNetCore/commit/f4bf222099) make audit happier (#2560)
* [`[d1988cf72f]`](https://github.com/aspnet/AspNetCore/commit/d1988cf72f) Add CODEOWNERS file (#1231)
* [`[b84a233d39]`](https://github.com/aspnet/AspNetCore/commit/b84a233d39) Add ability to print debug logs to a file (#954)
* [`[1009705283]`](https://github.com/aspnet/AspNetCore/commit/1009705283) Added a RouteValuesBasedEndpointFinder
* [`[ac31e5ab30]`](https://github.com/aspnet/AspNetCore/commit/ac31e5ab30) [2.1.3] Consistently handle connection aborts (#2619)
* [`[42e8f4abc8]`](https://github.com/aspnet/AspNetCore/commit/42e8f4abc8) Convert HtmlTagsTest to use baselines.
* [`[8211dfff9c]`](https://github.com/aspnet/AspNetCore/commit/8211dfff9c) Convert HtmlErrorTest to use baselines.
* [`[b760c6fceb]`](https://github.com/aspnet/AspNetCore/commit/b760c6fceb) update some packages (#2536)
* [`[bafde7738f]`](https://github.com/aspnet/AspNetCore/commit/bafde7738f) Harden docker detection (#2552)
* [`[4a09d4795e]`](https://github.com/aspnet/AspNetCore/commit/4a09d4795e) Use HandleWrapper and initialize variables for FileOutputManager (#986)
* [`[27780c28ba]`](https://github.com/aspnet/AspNetCore/commit/27780c28ba) Do not override error responses (#985)
* [`[ea96c50dce]`](https://github.com/aspnet/AspNetCore/commit/ea96c50dce) Convert WhitespaceRewriterTest
* [`[ca2d5738d6]`](https://github.com/aspnet/AspNetCore/commit/ca2d5738d6) Automatically generate binding redirects assembly attributes for the Razor VSIX
* [`[8eef4a4bb3]`](https://github.com/aspnet/AspNetCore/commit/8eef4a4bb3) Convert HtmlDocumentTest
* [`[96c5b3c2ae]`](https://github.com/aspnet/AspNetCore/commit/96c5b3c2ae) Update StackExchange.Redis.StrongName version
* [`[67b5588185]`](https://github.com/aspnet/AspNetCore/commit/67b5588185) Convert CSharpWhitespaceHandlingTest to use baselines.
* [`[6b8aac13e0]`](https://github.com/aspnet/AspNetCore/commit/6b8aac13e0) Prepare infrastructure for the 2.1.3 patch
* [`[048a6ec3ea]`](https://github.com/aspnet/AspNetCore/commit/048a6ec3ea) Converted HtmlAttributeTest
* [`[5950928baa]`](https://github.com/aspnet/AspNetCore/commit/5950928baa) Convert CSharpSpecialBlockTest to use baselines.
* [`[4dd4e5ef3e]`](https://github.com/aspnet/AspNetCore/commit/4dd4e5ef3e) Shorten names so MVC repo can be cloned on Windows benchmarks server
* [`[a7fd53b3a3]`](https://github.com/aspnet/AspNetCore/commit/a7fd53b3a3) Convert CSharpNestedStatementsTest
* [`[df22392996]`](https://github.com/aspnet/AspNetCore/commit/df22392996) Convert CSharpImplicitExpressionTest
* [`[d48946c2e0]`](https://github.com/aspnet/AspNetCore/commit/d48946c2e0) Convert CSharpExplicitExpressionTest
* [`[4fda468f06]`](https://github.com/aspnet/AspNetCore/commit/4fda468f06) Convert CSharpSectionTest
* [`[c0929a9002]`](https://github.com/aspnet/AspNetCore/commit/c0929a9002) Convert CSharpErrorTest
* [`[69cfb95b90]`](https://github.com/aspnet/AspNetCore/commit/69cfb95b90) Convert CSharpStatementTest to use baselines.
* [`[25547e80d1]`](https://github.com/aspnet/AspNetCore/commit/25547e80d1) Convert CSharpTemplateTest to use baselines.
* [`[32e0d136f2]`](https://github.com/aspnet/AspNetCore/commit/32e0d136f2) Fix null handle issue on full IIS (#973)
* [`[af1bf0e1c3]`](https://github.com/aspnet/AspNetCore/commit/af1bf0e1c3) caching handlers to avoid heap fregamentation (#967)
* [`[d4b8fee39f]`](https://github.com/aspnet/AspNetCore/commit/d4b8fee39f) Upgraded AngularJS to 6.0
* [`[bc8aae5d50]`](https://github.com/aspnet/AspNetCore/commit/bc8aae5d50) Show errors from Karma (#2545)
* [`[ab27e0bd52]`](https://github.com/aspnet/AspNetCore/commit/ab27e0bd52) Converted CSharpBlockTest to use baselines
* [`[1e58748f59]`](https://github.com/aspnet/AspNetCore/commit/1e58748f59) Converted HtmlBlockTest to use baselines
* [`[a92089d2f9]`](https://github.com/aspnet/AspNetCore/commit/a92089d2f9) Converted CSharpDirectivesTest to use baselines
* [`[b0ce55e6c8]`](https://github.com/aspnet/AspNetCore/commit/b0ce55e6c8) Adding the HubProtocol Layer to the Java Client (#2524)
* [`[bc5f02444b]`](https://github.com/aspnet/AspNetCore/commit/bc5f02444b) Benchmarks and improvements to route value dictionary (#577)
* [`[d318d733c4]`](https://github.com/aspnet/AspNetCore/commit/d318d733c4) StreamInvocationMessage => StreamInvocation Message (#2542)
* [`[754c3b0c2e]`](https://github.com/aspnet/AspNetCore/commit/754c3b0c2e) Fix props files inside Microsoft.AspNetCore.AspNetCoreModule* Nuget packages (#975)
* [`[0f4f1950f1]`](https://github.com/aspnet/AspNetCore/commit/0f4f1950f1) Attempt to make it easier to detect when the request is done (#1021)
* [`[e1af5b8b6d]`](https://github.com/aspnet/AspNetCore/commit/e1af5b8b6d) Array or List in query string does not get parsed #7712 (#7967)
* [`[7101953c1e]`](https://github.com/aspnet/AspNetCore/commit/7101953c1e) Update TagHelperBlockRewriter.cs
* [`[331f0b15cd]`](https://github.com/aspnet/AspNetCore/commit/331f0b15cd) Update ServerConnection.cs
* [`[e3b84fbe85]`](https://github.com/aspnet/AspNetCore/commit/e3b84fbe85) Updating Readme to call run.ps1 install vs.
* [`[0d96354eef]`](https://github.com/aspnet/AspNetCore/commit/0d96354eef) Return static 500.30 file on startup fails for in-process (#934)
* [`[2aea2c6b9f]`](https://github.com/aspnet/AspNetCore/commit/2aea2c6b9f) Use correct newline string when splitting baselines
* [`[554855cab3]`](https://github.com/aspnet/AspNetCore/commit/554855cab3) No CORS headers sent if Exception is thrown
* [`[999c24d78d]`](https://github.com/aspnet/AspNetCore/commit/999c24d78d) Converted more parser tests to baselines - Converted CSharpAutoCompleteTest
* [`[bc345bc8e7]`](https://github.com/aspnet/AspNetCore/commit/bc345bc8e7) Reduce usage of static inprocess application (#962)
* [`[d3d257b90e]`](https://github.com/aspnet/AspNetCore/commit/d3d257b90e) Add tracing to shimconfig (#964)
* [`[aeebcdefc1]`](https://github.com/aspnet/AspNetCore/commit/aeebcdefc1) Switch to tracing macros in application info (#965)
* [`[94a7c83998]`](https://github.com/aspnet/AspNetCore/commit/94a7c83998) Change DefaultApiConventions (#7939)
* [`[928a81155e]`](https://github.com/aspnet/AspNetCore/commit/928a81155e) Add external dependencies used only in MVC benchmarks apps - part of aspnet/Mvc#7805
* [`[32121abde3]`](https://github.com/aspnet/AspNetCore/commit/32121abde3) Fixes exit(0) with hostable webcore (#966)
* [`[9d1ffa2d06]`](https://github.com/aspnet/AspNetCore/commit/9d1ffa2d06) Use guid for temp directories and delete them after tests (#963)
* [`[6911e192e4]`](https://github.com/aspnet/AspNetCore/commit/6911e192e4) Add IsRequired and DefaultValue to ApiParameterDescription
* [`[da206e8afe]`](https://github.com/aspnet/AspNetCore/commit/da206e8afe) Create a separate sln for V1 (#944)
* [`[30fcfb65ea]`](https://github.com/aspnet/AspNetCore/commit/30fcfb65ea) Productionize Path tokenization
* [`[6b3437deb7]`](https://github.com/aspnet/AspNetCore/commit/6b3437deb7) Initial Java Client(#2521)
* [`[a296fe4cdf]`](https://github.com/aspnet/AspNetCore/commit/a296fe4cdf) Add retries for restores during LZMA generation
* [`[6efd679ce3]`](https://github.com/aspnet/AspNetCore/commit/6efd679ce3) Fix TreeMatcher with route constraints (#576)
* [`[de197bfcd1]`](https://github.com/aspnet/AspNetCore/commit/de197bfcd1) Use dynamic ports for Https/Ntlm tests (#874)
* [`[93de3f83ce]`](https://github.com/aspnet/AspNetCore/commit/93de3f83ce) Reenable precompiled headers in AspNetCore project (#937)
* [`[c2874d923d]`](https://github.com/aspnet/AspNetCore/commit/c2874d923d) Add Microsoft.Internal.AspNetCore.H2Spec.All dependency
* [`[61e16e2b31]`](https://github.com/aspnet/AspNetCore/commit/61e16e2b31) Automation for h2spec functional tests #2640
* [`[323e7c7205]`](https://github.com/aspnet/AspNetCore/commit/323e7c7205) Use PartialTagHelper instead of Html.Partial
* [`[d7bcb19c79]`](https://github.com/aspnet/AspNetCore/commit/d7bcb19c79) Update deps
* [`[17d2545b55]`](https://github.com/aspnet/AspNetCore/commit/17d2545b55) Throw if the type parameter for ActionResult<T> is an action result (#7942)
* [`[ea5ed2250d]`](https://github.com/aspnet/AspNetCore/commit/ea5ed2250d) Pin aspnetcore runtime version for LZMA generation
* [`[ed1fa44a3d]`](https://github.com/aspnet/AspNetCore/commit/ed1fa44a3d) Add diagnostics to hostfxrutil (#951)
* [`[2599e0f5cc]`](https://github.com/aspnet/AspNetCore/commit/2599e0f5cc) Fix up a few pieces for the fallback integrity check feature.
* [`[e395b9240a]`](https://github.com/aspnet/AspNetCore/commit/e395b9240a) Add support for SDK 2.1.302 (#12)
* [`[4f7e849cc1]`](https://github.com/aspnet/AspNetCore/commit/4f7e849cc1) Setting up for ApiConventionAttribute analyzers (#7912)
* [`[daebec95f3]`](https://github.com/aspnet/AspNetCore/commit/daebec95f3) Add SdkVersion to Template.ToString() - Documents which SdkVersion was tested
* [`[324565772c]`](https://github.com/aspnet/AspNetCore/commit/324565772c) Prevent app code from blocking the connection loop #2657
* [`[c6cc1ef6d6]`](https://github.com/aspnet/AspNetCore/commit/c6cc1ef6d6) Apply attribute to page model rather than handler
* [`[db95a8c624]`](https://github.com/aspnet/AspNetCore/commit/db95a8c624) Add more matcher tests
* [`[7977793d4f]`](https://github.com/aspnet/AspNetCore/commit/7977793d4f) Catch all exceptions on ANCM/IIS border (#864)
* [`[1e823d88e2]`](https://github.com/aspnet/AspNetCore/commit/1e823d88e2) Ignore case on handlerVersion (#941)
* [`[0a97bf9ae8]`](https://github.com/aspnet/AspNetCore/commit/0a97bf9ae8) Use lock wrapper in shim (#936)
* [`[bac1b1e8b6]`](https://github.com/aspnet/AspNetCore/commit/bac1b1e8b6) Readd update schema to jenkins agents (#942)
* [`[8a69fb7f51]`](https://github.com/aspnet/AspNetCore/commit/8a69fb7f51) Upgrade Deps (#2514)
* [`[e7ab81fe0b]`](https://github.com/aspnet/AspNetCore/commit/e7ab81fe0b) Ensure analyzer package is referenced by Microsoft.AspNetCore.Mvc
* [`[b821ce8b8e]`](https://github.com/aspnet/AspNetCore/commit/b821ce8b8e) First step in converting parser tests to use baselines - Added the necessary infrastructure to serialize and verify the syntax tree - Updated ParserVisitor to be overrideable - Made CSharpVerbatimBlockTest to use baselines
* [`[17e3aa8ee4]`](https://github.com/aspnet/AspNetCore/commit/17e3aa8ee4) Handle pipe name with whitespace properly
* [`[4812929127]`](https://github.com/aspnet/AspNetCore/commit/4812929127) Added benchmarks for syntax tree generation
* [`[a159cadf18]`](https://github.com/aspnet/AspNetCore/commit/a159cadf18) Dispose server before checking test sink (#940)
* [`[3547341762]`](https://github.com/aspnet/AspNetCore/commit/3547341762) Add support for conventional routes with dispatching (#7928)
* [`[2b269e0433]`](https://github.com/aspnet/AspNetCore/commit/2b269e0433) Set Min OS version for ALPN tests at Win 8.1.
* [`[af99b9a10c]`](https://github.com/aspnet/AspNetCore/commit/af99b9a10c) Add Empty Java Project for New Client(#2499)
* [`[9677553a33]`](https://github.com/aspnet/AspNetCore/commit/9677553a33) Don't specify MainEntryPoint when compiling Razor assembly
* [`[99f1db7bdc]`](https://github.com/aspnet/AspNetCore/commit/99f1db7bdc) Add TLS Filter sample #2251
* [`[60711bfca1]`](https://github.com/aspnet/AspNetCore/commit/60711bfca1) Use std::filesystem in hostfxr utilities (#926)
* [`[17fdbf6514]`](https://github.com/aspnet/AspNetCore/commit/17fdbf6514) pdbs in content files (#938)
* [`[38c3606685]`](https://github.com/aspnet/AspNetCore/commit/38c3606685) Adds pdbs (and other files) to testing package (#929)
* [`[58aa16ee69]`](https://github.com/aspnet/AspNetCore/commit/58aa16ee69) Centralize routing and dispatching functional test logic (#7938)
* [`[a0a9c2c585]`](https://github.com/aspnet/AspNetCore/commit/a0a9c2c585) Integrate Dispatcher's link generator Related to https://github.com/aspnet/Routing/issues/530
* [`[41fad8a33a]`](https://github.com/aspnet/AspNetCore/commit/41fad8a33a) Don't smart indent code inside of Razor block constructs.
* [`[ccfd5f80b7]`](https://github.com/aspnet/AspNetCore/commit/ccfd5f80b7) Pin runtime version for LZMA generation
* [`[1aa15374b5]`](https://github.com/aspnet/AspNetCore/commit/1aa15374b5) Add partial parsing of `@functions` directive body.
* [`[c498f03cb4]`](https://github.com/aspnet/AspNetCore/commit/c498f03cb4) Expose Tls details as a feature. #2661 Limit Http/2 to TLS 1.2 #2251 Bootstrap functional tests #2238
* [`[4634a97fae]`](https://github.com/aspnet/AspNetCore/commit/4634a97fae) Use older shared runtime
* [`[a712ccc98a]`](https://github.com/aspnet/AspNetCore/commit/a712ccc98a) Fix up error message when compilation references are missing
* [`[94d4f9d2fc]`](https://github.com/aspnet/AspNetCore/commit/94d4f9d2fc) Add OSX Jenkins
* [`[8672b1b04a]`](https://github.com/aspnet/AspNetCore/commit/8672b1b04a) Inherit web IHostingEnvironment and IApplicationEnvironment from the Generic Host one (#1461)
* [`[5b8db03a57]`](https://github.com/aspnet/AspNetCore/commit/5b8db03a57) Fixing up a few small issues
* [`[00e99dbbb2]`](https://github.com/aspnet/AspNetCore/commit/00e99dbbb2) Flesh out experimental matchers
* [`[a57b7c4d7f]`](https://github.com/aspnet/AspNetCore/commit/a57b7c4d7f) Don't discover tag helpers if some references are missing
* [`[d6f3a1bd22]`](https://github.com/aspnet/AspNetCore/commit/d6f3a1bd22) Enable using directive IntelliSense auto-completion.
* [`[af63afdae7]`](https://github.com/aspnet/AspNetCore/commit/af63afdae7) Add partial parsing for parenthesis
* [`[bc49a82d02]`](https://github.com/aspnet/AspNetCore/commit/bc49a82d02) Use feature branch package of Localization
* [`[14f020cf11]`](https://github.com/aspnet/AspNetCore/commit/14f020cf11) Improve tracking of connection lifetime (#2646)
* [`[738553931e]`](https://github.com/aspnet/AspNetCore/commit/738553931e) Update windows image to one that has VSIX compatible workloads.
* [`[e4e9bd1a3c]`](https://github.com/aspnet/AspNetCore/commit/e4e9bd1a3c) Flow a cancellation token in to AsChannelReader (#2491)
* [`[7a93d69354]`](https://github.com/aspnet/AspNetCore/commit/7a93d69354) Adds shared request handler lib project (#916)
* [`[d3ddc1709a]`](https://github.com/aspnet/AspNetCore/commit/d3ddc1709a) Added initial support for link generation when using Dispatcher
* [`[f94f6b73ef]`](https://github.com/aspnet/AspNetCore/commit/f94f6b73ef) fix running Functional Tests in the browser (#2494)
* [`[35d9590f3c]`](https://github.com/aspnet/AspNetCore/commit/35d9590f3c) Prevent double-close race condition in ListenHandleTests.CanListenToOpenTcpSocketHandle() (#2666)
* [`[a7406d4497]`](https://github.com/aspnet/AspNetCore/commit/a7406d4497) Add MvcEndpointDataSource and functional tests (#7886)
* [`[e2e13eb718]`](https://github.com/aspnet/AspNetCore/commit/e2e13eb718) Update templating submodule
* [`[da14806d9e]`](https://github.com/aspnet/AspNetCore/commit/da14806d9e) Make content files include subdirectory dlls.
* [`[d218881f5f]`](https://github.com/aspnet/AspNetCore/commit/d218881f5f) Fix nuspec file path to out of proc request handler. (#914)
* [`[aa91b802f9]`](https://github.com/aspnet/AspNetCore/commit/aa91b802f9) Add script used to deploy blobs to Azure storage
* [`[287a3c5e69]`](https://github.com/aspnet/AspNetCore/commit/287a3c5e69) Allow IgnoreAntiForgeryToken applied on Razor Page models to work
* [`[13663e1e15]`](https://github.com/aspnet/AspNetCore/commit/13663e1e15) Convert to using definitions from HeaderNames
* [`[9efa7665c9]`](https://github.com/aspnet/AspNetCore/commit/9efa7665c9) Fix endpoint constraint cache (#555)
* [`[cafb1c3c90]`](https://github.com/aspnet/AspNetCore/commit/cafb1c3c90) Update Identity and Kestrel submodules
* [`[c3989f8477]`](https://github.com/aspnet/AspNetCore/commit/c3989f8477) Update to .NET Core App 2.0.9-servicing-26612-03
* [`[e4e3551a1e]`](https://github.com/aspnet/AspNetCore/commit/e4e3551a1e) Prepare 2.1.2 patch
* [`[9d97ff38f8]`](https://github.com/aspnet/AspNetCore/commit/9d97ff38f8) Load ANCM out of process via global versioning (#895)
* [`[c7af64332b]`](https://github.com/aspnet/AspNetCore/commit/c7af64332b) change to use Karma for Functional Tests (#2450)
* [`[cb8264321d]`](https://github.com/aspnet/AspNetCore/commit/cb8264321d) Add VerifyLogger to JS tests (#2472)
* [`[28d1bc4fa2]`](https://github.com/aspnet/AspNetCore/commit/28d1bc4fa2) Fix TreeMatcher's use of EndpointSelector (#551)
* [`[05a6e42fe7]`](https://github.com/aspnet/AspNetCore/commit/05a6e42fe7) Upgrade IntegrationTesting version to prevent hang during "dotnet publish" (#902)
* [`[6c2ef122f8]`](https://github.com/aspnet/AspNetCore/commit/6c2ef122f8) Add support for conventions in DefaultApiDescriptionProvider
* [`[c5de0e1892]`](https://github.com/aspnet/AspNetCore/commit/c5de0e1892) Pass timeout to WaitForExit() on "dotnet publish" (#1453)
* [`[dc76027a7a]`](https://github.com/aspnet/AspNetCore/commit/dc76027a7a) Generate line pragmas even for whitespace.
* [`[84bc8351c9]`](https://github.com/aspnet/AspNetCore/commit/84bc8351c9) Initial endpoint constraints functionality (#548)
* [`[a217206f1f]`](https://github.com/aspnet/AspNetCore/commit/a217206f1f) Enforce max frame size #2651
* [`[7317762b29]`](https://github.com/aspnet/AspNetCore/commit/7317762b29) fix #2407 by tslinting tests before running (#2459)
* [`[c7ebae47ea]`](https://github.com/aspnet/AspNetCore/commit/c7ebae47ea) Show detailed error message for HubExceptions (#2461)
* [`[810a302e66]`](https://github.com/aspnet/AspNetCore/commit/810a302e66) Disable AllowRenegotiation for HTTP/2
* [`[0306038658]`](https://github.com/aspnet/AspNetCore/commit/0306038658) Return empty string for connectionId in some cases (#2470)
* [`[b2ec939006]`](https://github.com/aspnet/AspNetCore/commit/b2ec939006) Make brace indenter smarter about making edits to non-valid content kinds.
* [`[e403187be3]`](https://github.com/aspnet/AspNetCore/commit/e403187be3) ResponseCache attribute on RazorPages Error handler method should be moved to model Fixes #553
* [`[ad07036020]`](https://github.com/aspnet/AspNetCore/commit/ad07036020) Use checksum for classname if filepath is null
* [`[08f12f2bfd]`](https://github.com/aspnet/AspNetCore/commit/08f12f2bfd) Add sample matcher tests
* [`[d3ceb777ef]`](https://github.com/aspnet/AspNetCore/commit/d3ceb777ef) Adding Microsoft.AspNetCoreSignalR.Specification.Tests (#1204)
* [`[dd64e4d9a5]`](https://github.com/aspnet/AspNetCore/commit/dd64e4d9a5) Clean up Spec Test dependencies (#2451)
* [`[203258d00e]`](https://github.com/aspnet/AspNetCore/commit/203258d00e) Update AnchorTagHelper.cs
* [`[c29527f992]`](https://github.com/aspnet/AspNetCore/commit/c29527f992) Add some assertions for controllers and controller actions
* [`[3f3bfe05ec]`](https://github.com/aspnet/AspNetCore/commit/3f3bfe05ec) Add a test condition for skipping tests when the default keychain is missing for macOS
* [`[25bbb466db]`](https://github.com/aspnet/AspNetCore/commit/25bbb466db) Create compressed delta lzma for antares
* [`[1b470f3d3b]`](https://github.com/aspnet/AspNetCore/commit/1b470f3d3b) Fix Endpoint order in TreeMatcher (#542)
* [`[e41764c161]`](https://github.com/aspnet/AspNetCore/commit/e41764c161) Update AddSignalRCore to respect user registered services (#2434)
* [`[6a39c161c5]`](https://github.com/aspnet/AspNetCore/commit/6a39c161c5) Add VSTS ci pipeline
* [`[00827e38bb]`](https://github.com/aspnet/AspNetCore/commit/00827e38bb) Harden TFM checks #2624
* [`[48dd7a9688]`](https://github.com/aspnet/AspNetCore/commit/48dd7a9688) Fix log order (#540)
* [`[cf24fb23e7]`](https://github.com/aspnet/AspNetCore/commit/cf24fb23e7) Fix bug in generating .version file in the shared frameworks
* [`[707f6b3e28]`](https://github.com/aspnet/AspNetCore/commit/707f6b3e28) Adding Microsoft.AspNetCore.SignalR.Specification.Tests (#1202)
* [`[08b55caa22]`](https://github.com/aspnet/AspNetCore/commit/08b55caa22) Upgrade dependencies
* [`[21f8ce5e95]`](https://github.com/aspnet/AspNetCore/commit/21f8ce5e95) Initial DispatcherMiddleware tests (#529)
* [`[edf26be1bf]`](https://github.com/aspnet/AspNetCore/commit/edf26be1bf) move feature around
* [`[49f839a286]`](https://github.com/aspnet/AspNetCore/commit/49f839a286) Add benchmarks for matcher implementations
* [`[aef5dc4e93]`](https://github.com/aspnet/AspNetCore/commit/aef5dc4e93) Add Swaggatherer (Swagger + Gatherer)
* [`[648705f648]`](https://github.com/aspnet/AspNetCore/commit/648705f648) Create a  Public Test Suite for HubLifetimeManager implementations (#2353)
* [`[b27f032b43]`](https://github.com/aspnet/AspNetCore/commit/b27f032b43) Fix EndpointMetadataCollection filename (#528)
* [`[a1ba1f0f86]`](https://github.com/aspnet/AspNetCore/commit/a1ba1f0f86) Add more diagnostics to FileThumbPrint
* [`[1c3245abc8]`](https://github.com/aspnet/AspNetCore/commit/1c3245abc8) List external dependency for Microsoft.NETCore.DotNetAppHost 2.1.0
* [`[592ed3b4f5]`](https://github.com/aspnet/AspNetCore/commit/592ed3b4f5) Create an analyzer to warn users not to decorate filters on page handler methods
* [`[84a1aa4160]`](https://github.com/aspnet/AspNetCore/commit/84a1aa4160) Update windows image to one that has VSIX compatible workloads.
* [`[3d0f68b22c]`](https://github.com/aspnet/AspNetCore/commit/3d0f68b22c) server closes connections that have gone silent (#2364)
* [`[a5bb91c2cb]`](https://github.com/aspnet/AspNetCore/commit/a5bb91c2cb) Prevent 2.1 template tests from corrupting machine state
* [`[e1b08b2739]`](https://github.com/aspnet/AspNetCore/commit/e1b08b2739) Removing dependency on redux-mock-store.
* [`[f7a9b6f6a3]`](https://github.com/aspnet/AspNetCore/commit/f7a9b6f6a3) Fixing issue in the react and redux template where the test would fail as its not wrapped in a router.
* [`[1822992354]`](https://github.com/aspnet/AspNetCore/commit/1822992354) Fix null ref on ExeLocation not being set (#884)
* [`[ef071f605f]`](https://github.com/aspnet/AspNetCore/commit/ef071f605f) Make gtest a submodule (#885)
* [`[704ad8086d]`](https://github.com/aspnet/AspNetCore/commit/704ad8086d) Update description of script [ci skip]
* [`[948ebf34ec]`](https://github.com/aspnet/AspNetCore/commit/948ebf34ec) Add Redis support to E2E benchmarks (#2418)
* [`[c2a267b085]`](https://github.com/aspnet/AspNetCore/commit/c2a267b085) Update branch name and description of dotnet-maestro-bot prs
* [`[c98b2d1089]`](https://github.com/aspnet/AspNetCore/commit/c98b2d1089) Allow specifying commit message for auto-generated commits
* [`[2fed6710a9]`](https://github.com/aspnet/AspNetCore/commit/2fed6710a9) Added benchmark and test for dispatcher
* [`[dc4be30d88]`](https://github.com/aspnet/AspNetCore/commit/dc4be30d88) Rename Treenumerator -> TreeEnumerator
* [`[0ea16ddd57]`](https://github.com/aspnet/AspNetCore/commit/0ea16ddd57) Code dump of dispatcher prototype code
* [`[0aff4a0440]`](https://github.com/aspnet/AspNetCore/commit/0aff4a0440) Handle client and server aborts differently from eachhother (#2612)
* [`[10efae64e0]`](https://github.com/aspnet/AspNetCore/commit/10efae64e0) Add WebSocket and EventSource polyfills to options (#2408)
* [`[f09edb3b5d]`](https://github.com/aspnet/AspNetCore/commit/f09edb3b5d) Target c++17 (#881)
* [`[34725c0117]`](https://github.com/aspnet/AspNetCore/commit/34725c0117) Update implicit version of aspnetcore.app for tests
* [`[acea87a617]`](https://github.com/aspnet/AspNetCore/commit/acea87a617) IUrlHelper and support for RouteOptions.LowercaseUrls
* [`[cb77c17cf4]`](https://github.com/aspnet/AspNetCore/commit/cb77c17cf4) TestCase added and  IUrlHelper and support for RouteOptions.LowercaseUrls
* [`[f227cbeca3]`](https://github.com/aspnet/AspNetCore/commit/f227cbeca3) Added sperate option "IUrlHelper and support for RouteOptions.LowercaseUrls "
* [`[695fb00308]`](https://github.com/aspnet/AspNetCore/commit/695fb00308) IUrlHelper and support for RouteOptions.LowercaseUrls
* [`[72a7c31973]`](https://github.com/aspnet/AspNetCore/commit/72a7c31973) Upgrade benchmarks project
* [`[eaa5e30132]`](https://github.com/aspnet/AspNetCore/commit/eaa5e30132) Add LiveShare test project to IVT.
* [`[e4d290b601]`](https://github.com/aspnet/AspNetCore/commit/e4d290b601) Fix Json regression in Socket Transport (#2578)
* [`[4f85ca2b1d]`](https://github.com/aspnet/AspNetCore/commit/4f85ca2b1d) Add connection ID scope to HubConnection (#2394)
* [`[d1416e679b]`](https://github.com/aspnet/AspNetCore/commit/d1416e679b) [2.1.1] Provide clearer exception message for breaking change (#2623)
* [`[af177c5adc]`](https://github.com/aspnet/AspNetCore/commit/af177c5adc) Add Memory<byte> overloads to HttpUpgradeStream (#2622)
* [`[28dad2b2b1]`](https://github.com/aspnet/AspNetCore/commit/28dad2b2b1) Unskip and fix race in ConnectionClosedEvenIfAppSwallowsException (#2632)
* [`[8d55a447d4]`](https://github.com/aspnet/AspNetCore/commit/8d55a447d4) Allow running some IIS Express variants without publishing #1431
* [`[c801671fbf]`](https://github.com/aspnet/AspNetCore/commit/c801671fbf) Stop producing old-style rpm/deb installers (#1191)
* [`[591ce7b1e8]`](https://github.com/aspnet/AspNetCore/commit/591ce7b1e8) Fixed scenario name in benchmarks app
* [`[60f63cf9fb]`](https://github.com/aspnet/AspNetCore/commit/60f63cf9fb) Added a sample app for benchmarks
* [`[f0c552ee49]`](https://github.com/aspnet/AspNetCore/commit/f0c552ee49) Fixup DebuggerDisplay for PageActionDescriptor
* [`[309e9e3077]`](https://github.com/aspnet/AspNetCore/commit/309e9e3077) Widen dependency version range on Microsoft.AspNetCore.App to allow patch updates (#1186)
* [`[5d37d312e0]`](https://github.com/aspnet/AspNetCore/commit/5d37d312e0) Add Content-Type header in HttpClient.ts (#2242) (#2413)
* [`[9e15b2bca4]`](https://github.com/aspnet/AspNetCore/commit/9e15b2bca4) Fix PipeReader consumption pattern [2.1]
* [`[d2025d516c]`](https://github.com/aspnet/AspNetCore/commit/d2025d516c) Update implementation
* [`[4935711bce]`](https://github.com/aspnet/AspNetCore/commit/4935711bce) Add trailing slash to <DotNetAssetRootUrl>
* [`[30a59f6df7]`](https://github.com/aspnet/AspNetCore/commit/30a59f6df7)  TypeScript strict mode (#2388)
* [`[3ef5a9048d]`](https://github.com/aspnet/AspNetCore/commit/3ef5a9048d) Update deps
* [`[488fff41a7]`](https://github.com/aspnet/AspNetCore/commit/488fff41a7) Deploy tests the same way we do for RazorSdk
* [`[a5fb8a3d3c]`](https://github.com/aspnet/AspNetCore/commit/a5fb8a3d3c) [Fixes #523] Fix the jquery.min.js file in RazorPages web application
* [`[4f5b358ba8]`](https://github.com/aspnet/AspNetCore/commit/4f5b358ba8) Added tests to verify fallback source content is same as the CDN content
* [`[54fe5f73ca]`](https://github.com/aspnet/AspNetCore/commit/54fe5f73ca) [Fixes #528] Windows authentication is not applied on launchSettings.json
* [`[74883b2cf0]`](https://github.com/aspnet/AspNetCore/commit/74883b2cf0) [Fixes #528] Windows authentication is not applied on launchSettings.json
* [`[da8ca36fe8]`](https://github.com/aspnet/AspNetCore/commit/da8ca36fe8) Pin to stable 2.1.0 corefx packages (#1188)
* [`[7e43d35049]`](https://github.com/aspnet/AspNetCore/commit/7e43d35049) Make ListenOptions.Protocols public again for HTTP/2 work
* [`[f953d70d75]`](https://github.com/aspnet/AspNetCore/commit/f953d70d75) Update to 2.1.1
* [`[7579b6db68]`](https://github.com/aspnet/AspNetCore/commit/7579b6db68) Install 2.1.0
* [`[71fb3b2f6a]`](https://github.com/aspnet/AspNetCore/commit/71fb3b2f6a) Fix version coherence check to filter out non-package artifacts
* [`[56d69db0fa]`](https://github.com/aspnet/AspNetCore/commit/56d69db0fa) Add Razor document tracking to FallbackRazorProjectHost.
* [`[faf600ce71]`](https://github.com/aspnet/AspNetCore/commit/faf600ce71) Fixup the effect of cascading versions (#1187)
* [`[c976d0aa6e]`](https://github.com/aspnet/AspNetCore/commit/c976d0aa6e) [2.1.1] Gracefully handle disposing while writing (#2180) (#2355)
* [`[0452f460c6]`](https://github.com/aspnet/AspNetCore/commit/0452f460c6)  Fix not reading to end of argument JSON on binding error (#2319) (#2360)
* [`[2d63669695]`](https://github.com/aspnet/AspNetCore/commit/2d63669695) [Fixes #7609] ApiBehaviorApplicationModelProvider overwrites existing BindingInfo in entirety when inferring binding sources
* [`[3c72da941f]`](https://github.com/aspnet/AspNetCore/commit/3c72da941f) Update WebApi.Client package version
* [`[5ec7bacdfe]`](https://github.com/aspnet/AspNetCore/commit/5ec7bacdfe) Lower severity of AuthenticationException logs from SslStream handshake (#2614)
* [`[b08163d3b7]`](https://github.com/aspnet/AspNetCore/commit/b08163d3b7) [2.1.1] Use TaskCreationOptions.RunContinuationsAsynchronously a lot (#2618)
* [`[cdbcfb7a05]`](https://github.com/aspnet/AspNetCore/commit/cdbcfb7a05) Fixup references to versions in vsix
* [`[984cd46c4d]`](https://github.com/aspnet/AspNetCore/commit/984cd46c4d) Fix ActionMethodExecutor incorrectly setting DeclaredType on ObjectResult
* [`[0f12047271]`](https://github.com/aspnet/AspNetCore/commit/0f12047271) Fix dependency versions for Hosting and Mvc.RazorPages
* [`[81355b508b]`](https://github.com/aspnet/AspNetCore/commit/81355b508b) Add Razor to the list of patching repos
* [`[632425d0e6]`](https://github.com/aspnet/AspNetCore/commit/632425d0e6) Unskip skipped tests
* [`[508e66ece6]`](https://github.com/aspnet/AspNetCore/commit/508e66ece6) Submodule gtest (#2391)
* [`[3fa10f92ad]`](https://github.com/aspnet/AspNetCore/commit/3fa10f92ad) Fix losing UTC DateTimeKind on ISO8601 UTC values (#2317) (#2357)
* [`[8e31319215]`](https://github.com/aspnet/AspNetCore/commit/8e31319215) Prevent null refs in some simple cases in CachedExpressionCompiler
* [`[9b7f097870]`](https://github.com/aspnet/AspNetCore/commit/9b7f097870) Add aspnet tools myget feed
* [`[28a859605f]`](https://github.com/aspnet/AspNetCore/commit/28a859605f) Override MicrosoftNETCoreApp22PackageVersion
* [`[0769734e67]`](https://github.com/aspnet/AspNetCore/commit/0769734e67) Update to NETCore.App 2.2.0-preview1-26529-01 (#1183)
* [`[823630c508]`](https://github.com/aspnet/AspNetCore/commit/823630c508) Add webpack 4 support to aspnet-webpack
* [`[edf4e8fd9e]`](https://github.com/aspnet/AspNetCore/commit/edf4e8fd9e) DataAnnotations of Enum values use DataAnnotationLocalizerProvider
* [`[f0f1df9b4a]`](https://github.com/aspnet/AspNetCore/commit/f0f1df9b4a) PingInterval -> KeepAliveInterval (#2384)
* [`[e3835b3c94]`](https://github.com/aspnet/AspNetCore/commit/e3835b3c94) ping timeout changes (#2375)
* [`[b7e05e453b]`](https://github.com/aspnet/AspNetCore/commit/b7e05e453b) Try to fix Jenkins (#870)
* [`[eb175b8291]`](https://github.com/aspnet/AspNetCore/commit/eb175b8291) Updating external dependencies (#1181)
* [`[a3300a6a60]`](https://github.com/aspnet/AspNetCore/commit/a3300a6a60) Add try..finally around RunAsync and WaitForTokenShutdownAsync #1194
* [`[ff5b69fd5e]`](https://github.com/aspnet/AspNetCore/commit/ff5b69fd5e) Updating external dependencies (#1179)
* [`[4e41cf6a84]`](https://github.com/aspnet/AspNetCore/commit/4e41cf6a84) Updating external dependencies (#1179)
* [`[94e0ecca73]`](https://github.com/aspnet/AspNetCore/commit/94e0ecca73) Compiling a 2.1.0 project targeting desktop with a reference to the ViewCompilation package produces a warning about mismatch in architectures
* [`[9008abdd09]`](https://github.com/aspnet/AspNetCore/commit/9008abdd09) Update gtest (#862)
* [`[e93b66aaf6]`](https://github.com/aspnet/AspNetCore/commit/e93b66aaf6) Add Spanish language Jenkins configuration
* [`[418aac57f4]`](https://github.com/aspnet/AspNetCore/commit/418aac57f4) [Fixes #7609] ApiBehaviorApplicationModelProvider overwrites existing BindingInfo in entirety when inferring binding sources
* [`[a42f9d28be]`](https://github.com/aspnet/AspNetCore/commit/a42f9d28be) Don't police netcoreapp version
* [`[48a9013e08]`](https://github.com/aspnet/AspNetCore/commit/48a9013e08) Do not overwrite ContentRoot #267
* [`[83134227ab]`](https://github.com/aspnet/AspNetCore/commit/83134227ab) Add support for DOTNET_WATCH_ITERATION (#443)
* [`[1e143c71c6]`](https://github.com/aspnet/AspNetCore/commit/1e143c71c6) Add Hostable Web Core based inprocess test server  (#853)
* [`[7b64e41ed9]`](https://github.com/aspnet/AspNetCore/commit/7b64e41ed9) Collect latency values by default for benchmark runs (#2365)
* [`[176704fe50]`](https://github.com/aspnet/AspNetCore/commit/176704fe50) Updating external dependencies (#1177)
* [`[6c927d093b]`](https://github.com/aspnet/AspNetCore/commit/6c927d093b) End to end versioning tests (#2354)
* [`[5c633aa183]`](https://github.com/aspnet/AspNetCore/commit/5c633aa183) Log 404 responses from long polling transport DELETE as Debug instead of Error (#2366)
* [`[ad55661ceb]`](https://github.com/aspnet/AspNetCore/commit/ad55661ceb) update package.json versions, just for kicks
* [`[23cb0c90b2]`](https://github.com/aspnet/AspNetCore/commit/23cb0c90b2) Enable jenkins tests (#855)
* [`[f70088c2d9]`](https://github.com/aspnet/AspNetCore/commit/f70088c2d9) Don't block so many threads in HeartbeatTests (#2610)
* [`[6cf45a4f8a]`](https://github.com/aspnet/AspNetCore/commit/6cf45a4f8a) Prepare the 2.1.1 patch
* [`[76e6d0279b]`](https://github.com/aspnet/AspNetCore/commit/76e6d0279b) add publish-apps script
* [`[736b7f5042]`](https://github.com/aspnet/AspNetCore/commit/736b7f5042) Client pings server on interval (#2309)
* [`[1dea860997]`](https://github.com/aspnet/AspNetCore/commit/1dea860997) Prepare the 2.0.9 patch
* [`[61376db9aa]`](https://github.com/aspnet/AspNetCore/commit/61376db9aa) Updating external dependencies (#1173)
* [`[4fb42482d9]`](https://github.com/aspnet/AspNetCore/commit/4fb42482d9) Add myget.org aspnetcore-tools to Nuget.config
* [`[b6fedd6ea0]`](https://github.com/aspnet/AspNetCore/commit/b6fedd6ea0) Enable x86 test
* [`[09d3b32fe5]`](https://github.com/aspnet/AspNetCore/commit/09d3b32fe5) Enable x86 testing #949
* [`[cf684a1e8f]`](https://github.com/aspnet/AspNetCore/commit/cf684a1e8f) Re-enable IPv6 test
* [`[bb6657f3f6]`](https://github.com/aspnet/AspNetCore/commit/bb6657f3f6) Re-enable x86 test variants
* [`[0f18ff1b9f]`](https://github.com/aspnet/AspNetCore/commit/0f18ff1b9f) Include AuthenticationTicket.Properties in AuthenticationTicket success result handling #1765 (#1767)
* [`[5c69566b8b]`](https://github.com/aspnet/AspNetCore/commit/5c69566b8b) Updating external dependencies (#1172)
* [`[93d8a93498]`](https://github.com/aspnet/AspNetCore/commit/93d8a93498) Enable serialization of `TagHelperDescriptor`s.
* [`[de9c5b3909]`](https://github.com/aspnet/AspNetCore/commit/de9c5b3909) netcoreapp22 status
* [`[a9d6cf13eb]`](https://github.com/aspnet/AspNetCore/commit/a9d6cf13eb) Consistently handle connection resets (#2547)
* [`[76bd523092]`](https://github.com/aspnet/AspNetCore/commit/76bd523092) Updating external dependencies (#1122)
* [`[f9d4fba39d]`](https://github.com/aspnet/AspNetCore/commit/f9d4fba39d) Added a taghelpers and imports overload to Process and ProcessDesignTime We want to have a way to specify the taghelper descriptors and imports to use while processing a specific document. - Added an overload to Process and ProcessDesignTime to take in a list TagHelperDescriptors and a list of imports - Added the corresponding CreateCodeDocumentCore overload - Added GetTagHelpers and SetTagHelpers extension methods for CodeDocument - Added the necessary plumbing to use the taghelpers from the CodeDocument when available and fallback logic. - Added DocumentImportsTracker and updated background code generation logic to use the new overload - Added/updated tests
* [`[49c653ed0b]`](https://github.com/aspnet/AspNetCore/commit/49c653ed0b) Infer BindingSource.FormFile for IEnumerable<IFormFile>
* [`[077b1d87a9]`](https://github.com/aspnet/AspNetCore/commit/077b1d87a9) #7024 Request: ServiceBasedPageModelActivatorProvider [Review Changes]
* [`[b8e5036e20]`](https://github.com/aspnet/AspNetCore/commit/b8e5036e20) #7024 Request: ServiceBasedPageModelActivatorProvider
* [`[0c795c4f33]`](https://github.com/aspnet/AspNetCore/commit/0c795c4f33) #7024  Request: ServiceBasedPageModelActivatorProvider
* [`[380a153405]`](https://github.com/aspnet/AspNetCore/commit/380a153405) Clarify record separator usage (#2345)
* [`[e8f9119d4b]`](https://github.com/aspnet/AspNetCore/commit/e8f9119d4b) Enable test file logging on Jenkins (#2588)
* [`[b1194f67e7]`](https://github.com/aspnet/AspNetCore/commit/b1194f67e7) Increase logging in flakey CanCloseStreamMethodEarly test (#2330)
* [`[1ff2e7022f]`](https://github.com/aspnet/AspNetCore/commit/1ff2e7022f) Fix local VSIX creation.
* [`[9817985268]`](https://github.com/aspnet/AspNetCore/commit/9817985268) Use VS15.8 Preview 2 version of Roslyn for tooling.
* [`[4ac8b21978]`](https://github.com/aspnet/AspNetCore/commit/4ac8b21978) Fix dispose logic for EditorDocument
* [`[a35ef53891]`](https://github.com/aspnet/AspNetCore/commit/a35ef53891) Fix mef attributes project path provider
* [`[e29296220d]`](https://github.com/aspnet/AspNetCore/commit/e29296220d)  Fix not reading to end of argument JSON on binding error (#2319)
* [`[879646aba3]`](https://github.com/aspnet/AspNetCore/commit/879646aba3) Fix losing UTC DateTimeKind on ISO8601 UTC values (#2317)
* [`[64db0c9e95]`](https://github.com/aspnet/AspNetCore/commit/64db0c9e95) Fix mismatching request handler xml tags
* [`[96bbe70cd8]`](https://github.com/aspnet/AspNetCore/commit/96bbe70cd8) Handle incoming HTTP requests being canceled gracefully (#2314)
* [`[fb80636cb5]`](https://github.com/aspnet/AspNetCore/commit/fb80636cb5) Cookie Policy sample essential cookie (#1762)
* [`[ff1ea3cf85]`](https://github.com/aspnet/AspNetCore/commit/ff1ea3cf85) Split ANCM request handlers into two! (#839)
* [`[99a661edd6]`](https://github.com/aspnet/AspNetCore/commit/99a661edd6) Improve reliability of RequestTimesOutWhenRequestBodyNotReceivedAtSpecifiedMinimumRate (#2589)
* [`[cd516b328e]`](https://github.com/aspnet/AspNetCore/commit/cd516b328e) Handle process stdout
* [`[eab984e635]`](https://github.com/aspnet/AspNetCore/commit/eab984e635) Update artifact
* [`[624a5ed522]`](https://github.com/aspnet/AspNetCore/commit/624a5ed522) Fix ActionMethodExecutor incorrectly setting DeclaredType on ObjectResult
* [`[a736441ca5]`](https://github.com/aspnet/AspNetCore/commit/a736441ca5) Enable analyzers (#7789)
* [`[8932383d67]`](https://github.com/aspnet/AspNetCore/commit/8932383d67) Always pack Microsoft.AspNetCore.Server.IIS (#852)
* [`[15ca3dcdaa]`](https://github.com/aspnet/AspNetCore/commit/15ca3dcdaa) Move templates to netcoreapp2.2
* [`[bff2060454]`](https://github.com/aspnet/AspNetCore/commit/bff2060454) Fix JsonHubProtocol error message when too many arguments (#2312)
* [`[b493f01b35]`](https://github.com/aspnet/AspNetCore/commit/b493f01b35) Fix #2291 by documenting how to debug TS tests (#2306)
* [`[1951ddf6ea]`](https://github.com/aspnet/AspNetCore/commit/1951ddf6ea) Improve reliability of MaxRequestBufferSizeTests.LargeUpload (#2586)
* [`[95d41507fc]`](https://github.com/aspnet/AspNetCore/commit/95d41507fc) Add `ProjectPathProvider` abstract for document tracker creation.
* [`[32cee74a0c]`](https://github.com/aspnet/AspNetCore/commit/32cee74a0c) Generate baselines and enable Api check (#2304)
* [`[eda6940350]`](https://github.com/aspnet/AspNetCore/commit/eda6940350) Fix integration testing after logging change
* [`[9a249ffcc1]`](https://github.com/aspnet/AspNetCore/commit/9a249ffcc1) Add a LiveShare project snapshot base to make it easier to detect breaking changes.
* [`[43cabfdd61]`](https://github.com/aspnet/AspNetCore/commit/43cabfdd61) Upgrade deps
* [`[a13339dd5c]`](https://github.com/aspnet/AspNetCore/commit/a13339dd5c) Re-enable ConnectionCountingReturnsToZero on non-macOS machines (#2585)
* [`[336fe6ed90]`](https://github.com/aspnet/AspNetCore/commit/336fe6ed90) Dispose base
* [`[3719dc00fa]`](https://github.com/aspnet/AspNetCore/commit/3719dc00fa) Enable analyzers (#2300)
* [`[90fe58be75]`](https://github.com/aspnet/AspNetCore/commit/90fe58be75) [Fixes #523] Fix the jquery.min.js file in RazorPages web application
* [`[ac595c0c51]`](https://github.com/aspnet/AspNetCore/commit/ac595c0c51) Added tests to verify fallback source content is same as the CDN content
* [`[5dac1be2d7]`](https://github.com/aspnet/AspNetCore/commit/5dac1be2d7) Mark UserSecrets extension as a system component (#439)
* [`[f72d366603]`](https://github.com/aspnet/AspNetCore/commit/f72d366603) Split config and hostfxr parsing between shim and request handler. (#814)
* [`[8d4363b515]`](https://github.com/aspnet/AspNetCore/commit/8d4363b515) Update VSIX publishing to be consistent with non-VSIX publishing
* [`[1aa78a5853]`](https://github.com/aspnet/AspNetCore/commit/1aa78a5853) Rewrite JwtBearer token test #640
* [`[cd8f238f83]`](https://github.com/aspnet/AspNetCore/commit/cd8f238f83) Add Content-Type header in HttpClient.ts (#2242)
* [`[27799b5acb]`](https://github.com/aspnet/AspNetCore/commit/27799b5acb) Enable pubternability analyzer (#2560)
* [`[9b911cbb6e]`](https://github.com/aspnet/AspNetCore/commit/9b911cbb6e) Add some benchmarks for project system
* [`[aaaff4475a]`](https://github.com/aspnet/AspNetCore/commit/aaaff4475a) [Platform] Read and Advance once per parse loop (#2575)
* [`[ef9fa1868a]`](https://github.com/aspnet/AspNetCore/commit/ef9fa1868a) Fix SRI hash values for jquery (#521)
* [`[e1a22b315d]`](https://github.com/aspnet/AspNetCore/commit/e1a22b315d) Android HttpClientHandler.ClientCertificates fix (#2270)
* [`[2041cf6ede]`](https://github.com/aspnet/AspNetCore/commit/2041cf6ede) Don't create empty lambdas (#2283)
* [`[0c5be39112]`](https://github.com/aspnet/AspNetCore/commit/0c5be39112) Move to TestMatrix approach
* [`[b30f0d3b90]`](https://github.com/aspnet/AspNetCore/commit/b30f0d3b90) Change to a test matrix approach
* [`[4ce8155176]`](https://github.com/aspnet/AspNetCore/commit/4ce8155176) Update to netcoreapp2.2 (#46)
* [`[0b6dbab37a]`](https://github.com/aspnet/AspNetCore/commit/0b6dbab37a) Using block in the externally controlled example (#1422)
* [`[5227de9a31]`](https://github.com/aspnet/AspNetCore/commit/5227de9a31)  Always check if ANCM is in the base output folder. (#1420)
* [`[e9b8bf085d]`](https://github.com/aspnet/AspNetCore/commit/e9b8bf085d) Fix dotnet publish issues with aspnetcorerh.dll (#835)
* [`[95f543848c]`](https://github.com/aspnet/AspNetCore/commit/95f543848c) Fix multiple connections for a single user in Redis and MemoryLeak (#2273)
* [`[34c797a46b]`](https://github.com/aspnet/AspNetCore/commit/34c797a46b) Move in-process server implementation to IIS.Server (#837)
* [`[6272b3625e]`](https://github.com/aspnet/AspNetCore/commit/6272b3625e) Dispatch cancellation on CTRL+C to avoid deadlocks in killing the process tree
* [`[d80471ad15]`](https://github.com/aspnet/AspNetCore/commit/d80471ad15) Added logging to model binding requestpredicate shortcircuit
* [`[b0796ce8a8]`](https://github.com/aspnet/AspNetCore/commit/b0796ce8a8) Update the `Stes to reproduece` section header (#7767)
* [`[43aa392dff]`](https://github.com/aspnet/AspNetCore/commit/43aa392dff) Add state to TS HubConnection (#2268)
* [`[f8f6f39f55]`](https://github.com/aspnet/AspNetCore/commit/f8f6f39f55) Wait off the ConnectionClosed token to stop tracking ConnectionCallback (#2574)
* [`[19d82928ba]`](https://github.com/aspnet/AspNetCore/commit/19d82928ba)  Making Razor compilation cache replaceable (#7780)
* [`[2434d17613]`](https://github.com/aspnet/AspNetCore/commit/2434d17613) Exclude Visual Studio packages from default NGPV ruleset (#2352)
* [`[0e7effa376]`](https://github.com/aspnet/AspNetCore/commit/0e7effa376) Disable websocket tests on Windows 7 (#838)
* [`[c683316253]`](https://github.com/aspnet/AspNetCore/commit/c683316253) Generate repetitive TransportConnection FeatureCollection code (#2548)
* [`[a06a7b55c4]`](https://github.com/aspnet/AspNetCore/commit/a06a7b55c4) Upgrade from 2.1.300-rc1 to 2.1.300-rtm (#9)
* [`[15b219f55f]`](https://github.com/aspnet/AspNetCore/commit/15b219f55f) Update to netcoreapp2.2
* [`[04f2101696]`](https://github.com/aspnet/AspNetCore/commit/04f2101696) Reenable api check
* [`[7c70207594]`](https://github.com/aspnet/AspNetCore/commit/7c70207594) Made the Visual Studio parser smarter about overlapping reparse requests.
* [`[514917b9a8]`](https://github.com/aspnet/AspNetCore/commit/514917b9a8) Wait for input writer to complete before calling OnConnectionClosed (#2566)
* [`[bb348bb93c]`](https://github.com/aspnet/AspNetCore/commit/bb348bb93c) Updating external dependencies (#1162)
* [`[36b7f72460]`](https://github.com/aspnet/AspNetCore/commit/36b7f72460) Expose Hub method for server time for benchmarking (#2264)
* [`[47f28fa6fa]`](https://github.com/aspnet/AspNetCore/commit/47f28fa6fa) Re-enable API check
* [`[7625bbcb6c]`](https://github.com/aspnet/AspNetCore/commit/7625bbcb6c) Add HubConnection.State (#2204)
* [`[ffc665ccc2]`](https://github.com/aspnet/AspNetCore/commit/ffc665ccc2) Use correct TaskCompletionSource ctor (#2261)
* [`[c52a3bf534]`](https://github.com/aspnet/AspNetCore/commit/c52a3bf534) [Platform] Speedups (#2569)
* [`[d9f035ad7c]`](https://github.com/aspnet/AspNetCore/commit/d9f035ad7c) CacheTagHelper should be able to vary by culture Fixes #3398
* [`[a09c141ff4]`](https://github.com/aspnet/AspNetCore/commit/a09c141ff4) Add support for netcoreapp2.2 in benchmarks (#2561)
* [`[4d92d76b64]`](https://github.com/aspnet/AspNetCore/commit/4d92d76b64) Initial commit providing the AdapterFactory directly to the ObjectAdapter to all for customization of the Adapter selection and the ability to override the built in adapters to leverage their ability as much as possible.
* [`[b64c0105b8]`](https://github.com/aspnet/AspNetCore/commit/b64c0105b8) Use correct TaskCompletionSource ctor (#2567)
* [`[b7eacbb1c3]`](https://github.com/aspnet/AspNetCore/commit/b7eacbb1c3) Upgrade node-sass to 4.9.0 [Fixes #513] Angular template incompatible with NodeJs 10
* [`[22a865b832]`](https://github.com/aspnet/AspNetCore/commit/22a865b832) Extract a layer of IIS Async IO handling (#818)
* [`[f005e80b14]`](https://github.com/aspnet/AspNetCore/commit/f005e80b14) Embed version in the JavaScript client (#2229)
* [`[76a6cbcd84]`](https://github.com/aspnet/AspNetCore/commit/76a6cbcd84) Embed version in the JavaScript client (#2229)
* [`[0fa02f424f]`](https://github.com/aspnet/AspNetCore/commit/0fa02f424f) Make all tests pass on Linux (#8)
* [`[e1f7cb4105]`](https://github.com/aspnet/AspNetCore/commit/e1f7cb4105) Update Issue Template (#2231)
* [`[fafdd7e3af]`](https://github.com/aspnet/AspNetCore/commit/fafdd7e3af) Track the open/closed state of documents
* [`[da21fc89cf]`](https://github.com/aspnet/AspNetCore/commit/da21fc89cf) Handle exception in SocketConnection.Shutdown() (#2562)
* [`[023e61495f]`](https://github.com/aspnet/AspNetCore/commit/023e61495f) Test combining multi-byte character writes with individual chars (#2238)
* [`[e6a88c1b9c]`](https://github.com/aspnet/AspNetCore/commit/e6a88c1b9c) Relieve response backpressure immediately when closing socket (#2557)
* [`[4b1fb58a8a]`](https://github.com/aspnet/AspNetCore/commit/4b1fb58a8a)  Throw error on unexpected close (#2205)
* [`[5dfdf604a9]`](https://github.com/aspnet/AspNetCore/commit/5dfdf604a9) osx-x64
* [`[3dbfa3e8f8]`](https://github.com/aspnet/AspNetCore/commit/3dbfa3e8f8) More realistic echo scenario (#2240)
* [`[1ca6ce3377]`](https://github.com/aspnet/AspNetCore/commit/1ca6ce3377) setupAction parameter in MvcLocalizationServices.AddLocalizationServices is never used Fixes #7761
* [`[db33d593f0]`](https://github.com/aspnet/AspNetCore/commit/db33d593f0) Gracefully handle disposing while writing (#2180)
* [`[ab00ca08bd]`](https://github.com/aspnet/AspNetCore/commit/ab00ca08bd) Bash script to run tests
* [`[24e5ef2c5a]`](https://github.com/aspnet/AspNetCore/commit/24e5ef2c5a) linux-x64
* [`[4c0de435d8]`](https://github.com/aspnet/AspNetCore/commit/4c0de435d8) Add Internal.AspNetCore.Analyzers (#1161)
* [`[a1fb0703ed]`](https://github.com/aspnet/AspNetCore/commit/a1fb0703ed) Allow targetting of netcoreapp2.2 for sharedfx and lzma
* [`[ddd5c62054]`](https://github.com/aspnet/AspNetCore/commit/ddd5c62054) Let metapackages target netcoreapp2.2
* [`[8cbc4375d8]`](https://github.com/aspnet/AspNetCore/commit/8cbc4375d8) Updating external dependencies
* [`[a2a0d6e344]`](https://github.com/aspnet/AspNetCore/commit/a2a0d6e344) Replace static Enumerable.Concat() with instace IEnumerable.Concat()
* [`[4279f92575]`](https://github.com/aspnet/AspNetCore/commit/4279f92575) fixup! Upgrade metapackages, shared framework, and installers to netcoreapp2.2
* [`[6beb419a02]`](https://github.com/aspnet/AspNetCore/commit/6beb419a02) Upgrade metapackages, shared framework, and installers to netcoreapp2.2
* [`[27355346b4]`](https://github.com/aspnet/AspNetCore/commit/27355346b4) Update Jwt to 2.2 (#2237)
* [`[af8152f80e]`](https://github.com/aspnet/AspNetCore/commit/af8152f80e) Test self-contained applications
* [`[ddc478ab87]`](https://github.com/aspnet/AspNetCore/commit/ddc478ab87) Added using block around a disposable type usage
* [`[7bd10b41ba]`](https://github.com/aspnet/AspNetCore/commit/7bd10b41ba) Fix #1145 - set commit author and email
* [`[904626800a]`](https://github.com/aspnet/AspNetCore/commit/904626800a) Updating external dependencies (#1157)
* [`[e0e1c39cce]`](https://github.com/aspnet/AspNetCore/commit/e0e1c39cce) Added a LiveShareWorkspaceProvider to enable location of the remote workspace in live share scenarios.
* [`[695bf56afc]`](https://github.com/aspnet/AspNetCore/commit/695bf56afc) Run VerifyCoherentVersions check (#1156)
* [`[1d5245c421]`](https://github.com/aspnet/AspNetCore/commit/1d5245c421) Reorganize file tracker
* [`[91b5fb9ebd]`](https://github.com/aspnet/AspNetCore/commit/91b5fb9ebd) Clean up automated commit
* [`[8e9f05b902]`](https://github.com/aspnet/AspNetCore/commit/8e9f05b902) Don't touch product repos
* [`[350310aa96]`](https://github.com/aspnet/AspNetCore/commit/350310aa96) Handle netcoreapp cases
* [`[0f2b315fe4]`](https://github.com/aspnet/AspNetCore/commit/0f2b315fe4) Fixup Razor Sdk tests to work on netcoreapp2.2
* [`[bb70e7077f]`](https://github.com/aspnet/AspNetCore/commit/bb70e7077f) Handle ifdefs
* [`[ec2d5c7aa4]`](https://github.com/aspnet/AspNetCore/commit/ec2d5c7aa4) Run functional tests with a `TestLoggerFactory` - #7744
* [`[379a73f5d2]`](https://github.com/aspnet/AspNetCore/commit/379a73f5d2) Add benchmarks to IISIntegration (#823)
* [`[26454fb1da]`](https://github.com/aspnet/AspNetCore/commit/26454fb1da) Add ViewComponentResult helper methods to Page \ PageModel
* [`[f52c9c0f97]`](https://github.com/aspnet/AspNetCore/commit/f52c9c0f97) Update analyzer tests to use Microsoft.AspNetCore.Analyzer.Testing
* [`[6f211b9bbf]`](https://github.com/aspnet/AspNetCore/commit/6f211b9bbf) Use rc1
* [`[7e35c9f909]`](https://github.com/aspnet/AspNetCore/commit/7e35c9f909) Include MicrosoftNETCoreApp22packageVersion
* [`[dc9db57389]`](https://github.com/aspnet/AspNetCore/commit/dc9db57389) Fix out of process websocket check (#819)
* [`[e731c7695d]`](https://github.com/aspnet/AspNetCore/commit/e731c7695d) Detect appversion automatically
* [`[c3992acf3a]`](https://github.com/aspnet/AspNetCore/commit/c3992acf3a) Update script to fixup app version
* [`[dfd9b17f68]`](https://github.com/aspnet/AspNetCore/commit/dfd9b17f68) More keynotfound avoidance
* [`[341ba98d27]`](https://github.com/aspnet/AspNetCore/commit/341ba98d27) [dotnet-watch] Don't show false error messages (#434)
* [`[f35deb71f9]`](https://github.com/aspnet/AspNetCore/commit/f35deb71f9) Prevent KeyNotFound when logging
* [`[93186e4118]`](https://github.com/aspnet/AspNetCore/commit/93186e4118) Updating external dependencies (#1144)
* [`[1012b36bfb]`](https://github.com/aspnet/AspNetCore/commit/1012b36bfb) update README for npm packages (#2216)
* [`[025f9695f9]`](https://github.com/aspnet/AspNetCore/commit/025f9695f9) Update polly dependencies
* [`[b520569f23]`](https://github.com/aspnet/AspNetCore/commit/b520569f23) Update polly dependencies
* [`[5c17bff55d]`](https://github.com/aspnet/AspNetCore/commit/5c17bff55d) Don't throw on FIN from upgraded connections (#2533)
* [`[da7a95f563]`](https://github.com/aspnet/AspNetCore/commit/da7a95f563) Handle null collections when writing NegotiateResponse (#2202)
* [`[e0188c4936]`](https://github.com/aspnet/AspNetCore/commit/e0188c4936) Modify info level logging for pages (#7733)
* [`[86c3ec0069]`](https://github.com/aspnet/AspNetCore/commit/86c3ec0069) Mark WebHooks packages as non-shipping - #1141
* [`[e3e80b957c]`](https://github.com/aspnet/AspNetCore/commit/e3e80b957c) switch tests to 'jest' (#2193)
* [`[34c81aa794]`](https://github.com/aspnet/AspNetCore/commit/34c81aa794) Add link to dotnet-CLI in README [ci skip]
* [`[562b494229]`](https://github.com/aspnet/AspNetCore/commit/562b494229) New Idle Connection Benchmark Scenario  (#2178)
* [`[c311771b32]`](https://github.com/aspnet/AspNetCore/commit/c311771b32) Edit readme
* [`[cf0c11c2ca]`](https://github.com/aspnet/AspNetCore/commit/cf0c11c2ca) Update AzureServicesAppAuthentication to 1.0.1 (#1143)
* [`[57593543c4]`](https://github.com/aspnet/AspNetCore/commit/57593543c4) Make AzureKeyVault.HostingStartup shipping and update dependency version (#1142)
* [`[c009e15b0c]`](https://github.com/aspnet/AspNetCore/commit/c009e15b0c) Make HttpTransportType a flags enum in TypeScript (#2179)
* [`[6ea43cb951]`](https://github.com/aspnet/AspNetCore/commit/6ea43cb951) Backport fixes to maestro-bot scripts
* [`[b492dbe5d1]`](https://github.com/aspnet/AspNetCore/commit/b492dbe5d1) fix #2187 by passing min size through to buffer writer when encoding (#2190)
* [`[8b1fbad10e]`](https://github.com/aspnet/AspNetCore/commit/8b1fbad10e) Don't complete KestrelServer.StopAsync task inline (#2534)
* [`[789d21befa]`](https://github.com/aspnet/AspNetCore/commit/789d21befa) ANCM V1 => V2 package(#1136)
* [`[f181bc8c1f]`](https://github.com/aspnet/AspNetCore/commit/f181bc8c1f) Adds ANCM V2 (#116)
* [`[53cad943b3]`](https://github.com/aspnet/AspNetCore/commit/53cad943b3) Split ANCM into two dlls. (#811)
* [`[fb08967c9f]`](https://github.com/aspnet/AspNetCore/commit/fb08967c9f) Make Deployers handle ANCM V1 and V2 (#1407) (#1409)
* [`[89956df7ea]`](https://github.com/aspnet/AspNetCore/commit/89956df7ea) [Review] Updated migrations and scripts (#484)
* [`[b538f22ad5]`](https://github.com/aspnet/AspNetCore/commit/b538f22ad5) Add more UI for document generation
* [`[99114c25a4]`](https://github.com/aspnet/AspNetCore/commit/99114c25a4) Adjust spacing in csproj files (#492)
* [`[e0612d7e07]`](https://github.com/aspnet/AspNetCore/commit/e0612d7e07) Fixes for the document window state
* [`[fdfd5381a5]`](https://github.com/aspnet/AspNetCore/commit/fdfd5381a5) clean up the shutdown timer
* [`[8c7f33a6d7]`](https://github.com/aspnet/AspNetCore/commit/8c7f33a6d7) Port C# client perf fix to release (#2189)
* [`[ee710d3954]`](https://github.com/aspnet/AspNetCore/commit/ee710d3954) Convert NuGetPackageSource from enum to class
* [`[394adba776]`](https://github.com/aspnet/AspNetCore/commit/394adba776) Replace NuGetConfig with NuGetPackageSource
* [`[823baabb8f]`](https://github.com/aspnet/AspNetCore/commit/823baabb8f) Move test data into test class
* [`[b1010b7bd5]`](https://github.com/aspnet/AspNetCore/commit/b1010b7bd5) fix #2171 by adding HttpTransportType.None (#2172)
* [`[86d885e533]`](https://github.com/aspnet/AspNetCore/commit/86d885e533) Added a template for filing issues
* [`[622e133a8a]`](https://github.com/aspnet/AspNetCore/commit/622e133a8a) fix #2134 by disposing httpconnection if start fails (#2137) (#2188)
* [`[1c59b85c9a]`](https://github.com/aspnet/AspNetCore/commit/1c59b85c9a) Run PreinstallBundledPackages
* [`[b85ab0a7d2]`](https://github.com/aspnet/AspNetCore/commit/b85ab0a7d2) Fix Sending100ContinueDoesNotStartResponse #2507
* [`[52802d1afa]`](https://github.com/aspnet/AspNetCore/commit/52802d1afa) Make Deployers handle ANCM V1 and V2 (#1407)
* [`[c414223c72]`](https://github.com/aspnet/AspNetCore/commit/c414223c72) Make feature detection tests use out of process path (#805)
* [`[d6f15759fd]`](https://github.com/aspnet/AspNetCore/commit/d6f15759fd) Add property to allow the SDK to disable shared framework trimming (#1130)
* [`[41c8dcf449]`](https://github.com/aspnet/AspNetCore/commit/41c8dcf449) Fix not setting HttpConnection.ConnectionId (#2154)
* [`[555c1fd720]`](https://github.com/aspnet/AspNetCore/commit/555c1fd720) Fix not detecting marker service (#2149)
* [`[e0e9eb0b36]`](https://github.com/aspnet/AspNetCore/commit/e0e9eb0b36) Add pre-generated shims to dotnet tool packages
* [`[a94323499b]`](https://github.com/aspnet/AspNetCore/commit/a94323499b) Change CopyToPublishDirectory on Content items instead of explicitly removing this from publish items
* [`[ae329edd2a]`](https://github.com/aspnet/AspNetCore/commit/ae329edd2a) Fix #2169 by correcting shutdown timeout (#2170)
* [`[d711916ad6]`](https://github.com/aspnet/AspNetCore/commit/d711916ad6) fix #2140 by ensuring the access token flows to WebSocketTransport (#2173)
* [`[e49b0a34ab]`](https://github.com/aspnet/AspNetCore/commit/e49b0a34ab) Make exchange classes pure virtual (#792)
* [`[295801ac50]`](https://github.com/aspnet/AspNetCore/commit/295801ac50) XML documentation (#2106)
* [`[c89cf1a12b]`](https://github.com/aspnet/AspNetCore/commit/c89cf1a12b) JSDocs (#2168)
* [`[e36b0982bf]`](https://github.com/aspnet/AspNetCore/commit/e36b0982bf) port change from v2 to v1 on resetting timeout for debugger attached (#787)
* [`[a941f3c712]`](https://github.com/aspnet/AspNetCore/commit/a941f3c712) Add some more functional tests (Cookies/PathSelection/DynamicSchemes) (#42)
* [`[2340cd5e59]`](https://github.com/aspnet/AspNetCore/commit/2340cd5e59) Mark all dotnet-* packages as 'ship' (#1131)
* [`[fb2f89ed51]`](https://github.com/aspnet/AspNetCore/commit/fb2f89ed51) Factor out internal interface for default directory testing
* [`[2c1376c95f]`](https://github.com/aspnet/AspNetCore/commit/2c1376c95f) Add a AddHostedService extension #1402
* [`[35f7d3f09c]`](https://github.com/aspnet/AspNetCore/commit/35f7d3f09c) Added tests to verify that RazorPages and FuzzyMatching with Head requests work
* [`[601f41026a]`](https://github.com/aspnet/AspNetCore/commit/601f41026a) Updated icon for RazorClassLibrary
* [`[708b2ded76]`](https://github.com/aspnet/AspNetCore/commit/708b2ded76) Skip ANCM v2 in-proc chunked tests (#111)
* [`[1e5b3a5cc5]`](https://github.com/aspnet/AspNetCore/commit/1e5b3a5cc5) Execute app after publish
* [`[b23d9b7679]`](https://github.com/aspnet/AspNetCore/commit/b23d9b7679) Decouple connection objects from the server (#2535)
* [`[4b50481915]`](https://github.com/aspnet/AspNetCore/commit/4b50481915) Respond to dotnet-ef target framework update
* [`[3d2bf869c5]`](https://github.com/aspnet/AspNetCore/commit/3d2bf869c5) Don't rely on USERPROFILE to find the path to dotnet.exe (#803)
* [`[c72df2865c]`](https://github.com/aspnet/AspNetCore/commit/c72df2865c) Check existence of ANCMV2 Path (#1397)
* [`[a2cb92b358]`](https://github.com/aspnet/AspNetCore/commit/a2cb92b358) Code improvements of JwtBearer module (#1742)
* [`[2a7e6719a4]`](https://github.com/aspnet/AspNetCore/commit/2a7e6719a4) Combine tests to significantly reduce runtime
* [`[9cf79dcc1a]`](https://github.com/aspnet/AspNetCore/commit/9cf79dcc1a) Publish and verify files
* [`[d8020e34b5]`](https://github.com/aspnet/AspNetCore/commit/d8020e34b5) Add Gitter badge (#2174)
* [`[c9746d43c9]`](https://github.com/aspnet/AspNetCore/commit/c9746d43c9) Add HubConnection receive benchmark (#2164)
* [`[c59dcb9b4c]`](https://github.com/aspnet/AspNetCore/commit/c59dcb9b4c) Add IVT for Razor.LiveShare.Test.
* [`[6ee830bc6a]`](https://github.com/aspnet/AspNetCore/commit/6ee830bc6a) Update submodules to 2.1.0-rtm version
* [`[ff61bdf819]`](https://github.com/aspnet/AspNetCore/commit/ff61bdf819) Set version to 2.1.0-rtm
* [`[f67458f156]`](https://github.com/aspnet/AspNetCore/commit/f67458f156) Fix #2298 simplify TagHelperDescriptor hash
* [`[de98f8c962]`](https://github.com/aspnet/AspNetCore/commit/de98f8c962) Use TaskCreationOptions.RunContinuationsAsynchronously a lot
* [`[8fe927d40d]`](https://github.com/aspnet/AspNetCore/commit/8fe927d40d) Run app and verify response
* [`[2885b4b138]`](https://github.com/aspnet/AspNetCore/commit/2885b4b138) Make document tracker resilient to multiple subscribes.
* [`[e9b84a298a]`](https://github.com/aspnet/AspNetCore/commit/e9b84a298a) Sample generic host using MSMQ (#1381)
* [`[c53514fa19]`](https://github.com/aspnet/AspNetCore/commit/c53514fa19) Don't throw from AbortAsync (#2166)
* [`[ab451b53b7]`](https://github.com/aspnet/AspNetCore/commit/ab451b53b7) Simplify error handling in HubConnectionHandler (#2162)
* [`[f4e7771c0c]`](https://github.com/aspnet/AspNetCore/commit/f4e7771c0c) Respond to dotnet-ef target framework upgrade (#503)
* [`[ec34d7cbbb]`](https://github.com/aspnet/AspNetCore/commit/ec34d7cbbb) Add ReactRedux template
* [`[be75da0202]`](https://github.com/aspnet/AspNetCore/commit/be75da0202) Add ReactTemplate
* [`[fec565bf4d]`](https://github.com/aspnet/AspNetCore/commit/fec565bf4d) Add AngularTemplate
* [`[6db0dc7db0]`](https://github.com/aspnet/AspNetCore/commit/6db0dc7db0) Add RazorClassLibraryTemplate
* [`[ee9537bebd]`](https://github.com/aspnet/AspNetCore/commit/ee9537bebd) Add Razor.LiveShare IVT to Editor.Razor.
* [`[4681618075]`](https://github.com/aspnet/AspNetCore/commit/4681618075) Add WebApiTemplate
* [`[f75eb0f0e9]`](https://github.com/aspnet/AspNetCore/commit/f75eb0f0e9) Add MvcTemplate
* [`[9ccf6501ef]`](https://github.com/aspnet/AspNetCore/commit/9ccf6501ef) Add RazorTemplate
* [`[3a041176e9]`](https://github.com/aspnet/AspNetCore/commit/3a041176e9) Add WebTemplate
* [`[813e50087c]`](https://github.com/aspnet/AspNetCore/commit/813e50087c) Specify RuntimeFrameworkVersion \ NSLibraryVersion when running tests
* [`[dd1934771f]`](https://github.com/aspnet/AspNetCore/commit/dd1934771f) Update to linux-musl-x64 SDK
* [`[1a4035418a]`](https://github.com/aspnet/AspNetCore/commit/1a4035418a) Verify files generated by restore
* [`[9dc18f277d]`](https://github.com/aspnet/AspNetCore/commit/9dc18f277d) Test "dotnet restore" for all ASP.NET templates with 3 NuGet configs
* [`[ad66ebb220]`](https://github.com/aspnet/AspNetCore/commit/ad66ebb220) Add Razor.LiveShare IVT to CodeAnalysis.Razor.
* [`[8d0f84ea46]`](https://github.com/aspnet/AspNetCore/commit/8d0f84ea46) Add IAuthorizationPolicyProvider sample (#31)
* [`[49299d78a4]`](https://github.com/aspnet/AspNetCore/commit/49299d78a4) Add Razor.LiveShare IVT to Razor.Workspaces.
* [`[e2edc280c5]`](https://github.com/aspnet/AspNetCore/commit/e2edc280c5) Add documents, engine, tag helpers to snapshot
* [`[c880ccd89d]`](https://github.com/aspnet/AspNetCore/commit/c880ccd89d) Add debug kestrel PR run (#2523)
* [`[4b52428a4d]`](https://github.com/aspnet/AspNetCore/commit/4b52428a4d) EchoAll scenario doesn't work well with warmup (#2143)
* [`[66d3de5142]`](https://github.com/aspnet/AspNetCore/commit/66d3de5142) Fix Hub location
* [`[5a0b8fd8d9]`](https://github.com/aspnet/AspNetCore/commit/5a0b8fd8d9) Initial commit
* [`[924d99abe7]`](https://github.com/aspnet/AspNetCore/commit/924d99abe7) Update BenchmarkServer readme
* [`[a375ac31a4]`](https://github.com/aspnet/AspNetCore/commit/a375ac31a4) Update to .NET Core 2.2.0-preview1-26425-02
* [`[a9cb4a04d2]`](https://github.com/aspnet/AspNetCore/commit/a9cb4a04d2) Add Microsoft.Extensions.Buffers.MemoryPool.Sources package (#1114)
* [`[76ff1dc5cd]`](https://github.com/aspnet/AspNetCore/commit/76ff1dc5cd) Use fork of universe
* [`[43b52b6933]`](https://github.com/aspnet/AspNetCore/commit/43b52b6933) Updating external dependencies
* [`[8c43f9abcd]`](https://github.com/aspnet/AspNetCore/commit/8c43f9abcd) Include .App in LZMA ... again
* [`[af28b95a93]`](https://github.com/aspnet/AspNetCore/commit/af28b95a93) Reference razor sdk to avoid runtime compilation #38
* [`[e888481548]`](https://github.com/aspnet/AspNetCore/commit/e888481548) update legal info for V1 assembly (#784)
* [`[075453b180]`](https://github.com/aspnet/AspNetCore/commit/075453b180) Fix Sending100ContinueDoesNotStartResponse #2507
* [`[7dfd5dab00]`](https://github.com/aspnet/AspNetCore/commit/7dfd5dab00) Reference razor sdk to avoid runtime compilation
* [`[3ce1b4d1d5]`](https://github.com/aspnet/AspNetCore/commit/3ce1b4d1d5) UpdateDeps to match maestro (#1105)
* [`[e08d7fe9c3]`](https://github.com/aspnet/AspNetCore/commit/e08d7fe9c3) UpdateDeps to match maestro (#1105)
* [`[21f435bc8d]`](https://github.com/aspnet/AspNetCore/commit/21f435bc8d) Update KestrelHttpServer submodule
* [`[b0e1fa5e30]`](https://github.com/aspnet/AspNetCore/commit/b0e1fa5e30) Fix connection abort
* [`[fefae2682b]`](https://github.com/aspnet/AspNetCore/commit/fefae2682b) Add linux-musl-x64 shared runtime (#1104)
* [`[a293d2c187]`](https://github.com/aspnet/AspNetCore/commit/a293d2c187) Update to NETStandard.Library 2.0.3 (#1099)
* [`[7ac5eb14b1]`](https://github.com/aspnet/AspNetCore/commit/7ac5eb14b1) Update KestrelHttpServer submodule
* [`[1ba0832277]`](https://github.com/aspnet/AspNetCore/commit/1ba0832277) Add workaround for mismatch between TFM and AspNetCore TargetFrameworkVersions
* [`[0e5247f56b]`](https://github.com/aspnet/AspNetCore/commit/0e5247f56b) Mark KeyVault.HostingStartup as shipoob
* [`[1655a8fd6d]`](https://github.com/aspnet/AspNetCore/commit/1655a8fd6d) Disable writing to console if exceptions are expected
* [`[debac65a02]`](https://github.com/aspnet/AspNetCore/commit/debac65a02) Updating external dependencies
* [`[bd46d757ba]`](https://github.com/aspnet/AspNetCore/commit/bd46d757ba) fix #2134 by disposing httpconnection if start fails (#2137)
* [`[1c9607a1ed]`](https://github.com/aspnet/AspNetCore/commit/1c9607a1ed) Verify Verifiable spelling (#2114)
* [`[33ee8626c8]`](https://github.com/aspnet/AspNetCore/commit/33ee8626c8) Cache some property access in json hub protocol (#2128)
* [`[0f131ac245]`](https://github.com/aspnet/AspNetCore/commit/0f131ac245) Disambiguate /p from -p on dotnet-run
* [`[01c0690cc9]`](https://github.com/aspnet/AspNetCore/commit/01c0690cc9) Final TS tidyup (#2120)
* [`[47eafca4d8]`](https://github.com/aspnet/AspNetCore/commit/47eafca4d8) CancellationToken EVERYWHERE (#2101)
* [`[2a10e6fe1d]`](https://github.com/aspnet/AspNetCore/commit/2a10e6fe1d) Added nuspec file for Mvc.Razor.ViewCompilation to include symbols
* [`[aa181128ac]`](https://github.com/aspnet/AspNetCore/commit/aa181128ac) Generate symbol nupkgs for tools
* [`[595e83d0eb]`](https://github.com/aspnet/AspNetCore/commit/595e83d0eb) Added nuspec file to Mvc.Analyzers assembly
* [`[75295b1289]`](https://github.com/aspnet/AspNetCore/commit/75295b1289) Rename delta zips to *.patch.zip/*.patch.tar.gz
* [`[eaefd0be14]`](https://github.com/aspnet/AspNetCore/commit/eaefd0be14) Update UpdateDeps script
* [`[5d5222cdd8]`](https://github.com/aspnet/AspNetCore/commit/5d5222cdd8) Introduce BindPropertiesAttribute
* [`[058830c9df]`](https://github.com/aspnet/AspNetCore/commit/058830c9df) fix #2116 by requiring task return values from typed client (#2117)
* [`[2be905def4]`](https://github.com/aspnet/AspNetCore/commit/2be905def4) Make newline comparison work crossplat
* [`[2a4fa4ef28]`](https://github.com/aspnet/AspNetCore/commit/2a4fa4ef28) Updating external dependencies
* [`[90f35168fc]`](https://github.com/aspnet/AspNetCore/commit/90f35168fc) Update KestrelHttpServer submodules
* [`[e04cb0b5ce]`](https://github.com/aspnet/AspNetCore/commit/e04cb0b5ce) Add Microsoft.AspNetCore.Analyzer.Testing artifact (#1093)
* [`[3052666b8c]`](https://github.com/aspnet/AspNetCore/commit/3052666b8c) Mark dotnet-aspnet-codegenerator as 'ship' Fixes #1027
* [`[8c3b83c047]`](https://github.com/aspnet/AspNetCore/commit/8c3b83c047) Fix ClientCancellationAborts test #1379
* [`[c7bb660730]`](https://github.com/aspnet/AspNetCore/commit/c7bb660730) Create a StaticFilesAuth sample #28
* [`[d69798d2c1]`](https://github.com/aspnet/AspNetCore/commit/d69798d2c1) Clean up pipes usage in TestHost
* [`[dacea904cc]`](https://github.com/aspnet/AspNetCore/commit/dacea904cc) privatize IConnection and HttpConnection (#2105)
* [`[e6011ef69b]`](https://github.com/aspnet/AspNetCore/commit/e6011ef69b) Use custom group names in tests to not collide with other tests running (#2102)
* [`[3b8243d203]`](https://github.com/aspnet/AspNetCore/commit/3b8243d203) Removing the chat sample (#2113)
* [`[9101ab636b]`](https://github.com/aspnet/AspNetCore/commit/9101ab636b) Always check for WebSockets close (#2100)
* [`[5516a969e3]`](https://github.com/aspnet/AspNetCore/commit/5516a969e3) Change Hub and friends to abstract (#2108)
* [`[ace9a0d414]`](https://github.com/aspnet/AspNetCore/commit/ace9a0d414) fix #2097 by adding GetHttpContext to HubConnectionContext (#2099)
* [`[a3c3928335]`](https://github.com/aspnet/AspNetCore/commit/a3c3928335) Add parameter so we can produce binary logs for individual repos
* [`[1f87572985]`](https://github.com/aspnet/AspNetCore/commit/1f87572985) Update to NETStandard.Library 2.0.2 (#1089)
* [`[1957655653]`](https://github.com/aspnet/AspNetCore/commit/1957655653) Run hub invocations serially (#2086)
* [`[6b6d890c8f]`](https://github.com/aspnet/AspNetCore/commit/6b6d890c8f) fix #2078 by adding locking (#2079)
* [`[7aa792efe6]`](https://github.com/aspnet/AspNetCore/commit/7aa792efe6) Produce a zip containing site-extension files (#189)
* [`[44e282e8d4]`](https://github.com/aspnet/AspNetCore/commit/44e282e8d4) Generate symbols.nupkg for Mvc.Razor
* [`[30928ba944]`](https://github.com/aspnet/AspNetCore/commit/30928ba944) Disable implicit package version verification when --no-restore is used
* [`[ece1fec0f5]`](https://github.com/aspnet/AspNetCore/commit/ece1fec0f5) Rename EFCore.DocumentDb package to EFCore.Cosmos.Sql
* [`[fa74427ef9]`](https://github.com/aspnet/AspNetCore/commit/fa74427ef9) Use the Razor.Sdk package
* [`[617d0bb4f6]`](https://github.com/aspnet/AspNetCore/commit/617d0bb4f6) fix websocket sample (#2096)
* [`[050a1ecf27]`](https://github.com/aspnet/AspNetCore/commit/050a1ecf27) fix package.json versions (#2098)
* [`[676bf179f3]`](https://github.com/aspnet/AspNetCore/commit/676bf179f3) Reduce redundant dependencies (#2091)
* [`[ad52ba7316]`](https://github.com/aspnet/AspNetCore/commit/ad52ba7316) Global suppress low impact logging verification in tests (#2089)
* [`[adccac3591]`](https://github.com/aspnet/AspNetCore/commit/adccac3591) Fix GetArtifactInfo
* [`[e9937ffb66]`](https://github.com/aspnet/AspNetCore/commit/e9937ffb66) Split lock into WriteLock and StateLock to prevent deadlocks and unneeded lock contention (#2081)
* [`[7351b274f7]`](https://github.com/aspnet/AspNetCore/commit/7351b274f7) Add LPTHREAD_START_ROUTINE due to compiler change (fixing issue #780) (#783)
* [`[d42a9953a4]`](https://github.com/aspnet/AspNetCore/commit/d42a9953a4) Update Polly.Extensions.Http-Signed to 1.0.4
* [`[57f338623b]`](https://github.com/aspnet/AspNetCore/commit/57f338623b) Update Polly.Extensions.Http-Signed to 1.0.4
* [`[ac0ee35362]`](https://github.com/aspnet/AspNetCore/commit/ac0ee35362) Change AutobahnTester to use dynamic ports with Kestrel (#238)
* [`[55feeeab15]`](https://github.com/aspnet/AspNetCore/commit/55feeeab15) Add DeploymentParameters.Scheme property (#1388)
* [`[d2fe76be21]`](https://github.com/aspnet/AspNetCore/commit/d2fe76be21) Write process and pipe information to a pid file
* [`[903fe1e902]`](https://github.com/aspnet/AspNetCore/commit/903fe1e902) Added support for negotiate response to redirect the client to another SignalR endpoint (#2070)
* [`[60a9810268]`](https://github.com/aspnet/AspNetCore/commit/60a9810268) Allow PartialTagHelper to specify a null model. Fixes #7667
* [`[6034f7f1bb]`](https://github.com/aspnet/AspNetCore/commit/6034f7f1bb) Use dynamic ports in StaticFileMiddlewareTests (#236)
* [`[341f6c4f30]`](https://github.com/aspnet/AspNetCore/commit/341f6c4f30) reset some timeout values to infinite if debugger is attached (#776)
* [`[de3d5e0e29]`](https://github.com/aspnet/AspNetCore/commit/de3d5e0e29) Exclude additionalDeps files due to file path conflicts with the 2.0.7 release
* [`[73dff82e00]`](https://github.com/aspnet/AspNetCore/commit/73dff82e00) Update Roslyn version numbers
* [`[faca3da42f]`](https://github.com/aspnet/AspNetCore/commit/faca3da42f) Ensure ViewData is set on PageResult after a handler method executes [Fixes #7665] Initializing PageResult.Page as part of result execution breaks Identity UI
* [`[4f7d53f4e7]`](https://github.com/aspnet/AspNetCore/commit/4f7d53f4e7) [Fixes #7658] FileStreamResultExecutor fails to Dispose FileStream
* [`[6e4bd1eb46]`](https://github.com/aspnet/AspNetCore/commit/6e4bd1eb46) Fixed PageFilter docs
* [`[1cede88f26]`](https://github.com/aspnet/AspNetCore/commit/1cede88f26) [Fixes #7656] Deps file for netstandard2.0 targeting projects copied by Microsoft.AspNetCore.Mvc.Testing does not play well with Mvc
* [`[5c9b64244a]`](https://github.com/aspnet/AspNetCore/commit/5c9b64244a) Expose the IHubProtocol on HubConnectionContext (#2073)
* [`[de692a6afe]`](https://github.com/aspnet/AspNetCore/commit/de692a6afe) Flow DotNetAssetRootAccessTokenSuffix through to docker-run as an env variable
* [`[6edc4bf3b6]`](https://github.com/aspnet/AspNetCore/commit/6edc4bf3b6) Mark Microsoft.NETCore.DotNetAppHost as a private dependency
* [`[076ebbe055]`](https://github.com/aspnet/AspNetCore/commit/076ebbe055) Add version variable for Microsoft.NETCore.DotNetAppHost dependency (needed for global tools) (#1079)
* [`[679225c241]`](https://github.com/aspnet/AspNetCore/commit/679225c241) Use correct MessagePack in Benchmarks (#2066)
* [`[b4046b5ed8]`](https://github.com/aspnet/AspNetCore/commit/b4046b5ed8) Fix #1989 by adding a 'binding failure' pseudo-message (#2064)
* [`[391c281194]`](https://github.com/aspnet/AspNetCore/commit/391c281194) Capture server logs in tests (#2029)
* [`[2c6ae20e11]`](https://github.com/aspnet/AspNetCore/commit/2c6ae20e11) Update Roslyn version numbers
* [`[95cd76abdd]`](https://github.com/aspnet/AspNetCore/commit/95cd76abdd) Fix package category for shipoob packages
* [`[7089f16859]`](https://github.com/aspnet/AspNetCore/commit/7089f16859) Update to include Kestrel patch changes
* [`[c376dab2b6]`](https://github.com/aspnet/AspNetCore/commit/c376dab2b6) Fixup submodule branches
* [`[cba1e5b166]`](https://github.com/aspnet/AspNetCore/commit/cba1e5b166) Add Microsoft.AspNetCore.AzureKeyVault.HostingStartup as a shipping package
* [`[5d96a48638]`](https://github.com/aspnet/AspNetCore/commit/5d96a48638) Prepare 2.0.8 patch
* [`[1cdd9bab0e]`](https://github.com/aspnet/AspNetCore/commit/1cdd9bab0e) Fixup feature branch version calculation
* [`[0f0b9a73c1]`](https://github.com/aspnet/AspNetCore/commit/0f0b9a73c1) Logger thread safety?
* [`[6842ae307f]`](https://github.com/aspnet/AspNetCore/commit/6842ae307f) Undo dev changes
* [`[0cc416f1f9]`](https://github.com/aspnet/AspNetCore/commit/0cc416f1f9)  Change SelfHostDeployer to use dynamic ports by default (#1383)
* [`[e781cd38cf]`](https://github.com/aspnet/AspNetCore/commit/e781cd38cf) [Fixes #7635] Provide a way to configure HTTP Client instances
* [`[e0b4c13895]`](https://github.com/aspnet/AspNetCore/commit/e0b4c13895) [Fixes #7587] Default to Development environment in tests
* [`[e06b1fd690]`](https://github.com/aspnet/AspNetCore/commit/e06b1fd690) [Fixes #1242] Moves IStartupConfigureServicesFilter and IStartupConfigureContainerFilter interfaces to the internal namespace
* [`[9f6531b547]`](https://github.com/aspnet/AspNetCore/commit/9f6531b547) Fix script target
* [`[a32e7dc18b]`](https://github.com/aspnet/AspNetCore/commit/a32e7dc18b) Adapt dev to release/2.1
* [`[b4946fc638]`](https://github.com/aspnet/AspNetCore/commit/b4946fc638) Bring modules back to release/2.1 versions
* [`[65b1ea45aa]`](https://github.com/aspnet/AspNetCore/commit/65b1ea45aa) Disable NU5119 for site extensions (#183)
* [`[dc997821cc]`](https://github.com/aspnet/AspNetCore/commit/dc997821cc) Added nuspec and symbols.nuspec files to Razor.Design
* [`[14fa14b5d3]`](https://github.com/aspnet/AspNetCore/commit/14fa14b5d3) 2.2.0
* [`[2811eadb14]`](https://github.com/aspnet/AspNetCore/commit/2811eadb14) Use the Razor.Sdk package
* [`[befde0fe71]`](https://github.com/aspnet/AspNetCore/commit/befde0fe71) Use the Razor.Sdk package
* [`[d44982b166]`](https://github.com/aspnet/AspNetCore/commit/d44982b166) Update GenerateTags.ps1 script
* [`[259dd04c99]`](https://github.com/aspnet/AspNetCore/commit/259dd04c99) Fix weird NRE
* [`[9d8b83e6b3]`](https://github.com/aspnet/AspNetCore/commit/9d8b83e6b3) Updated version to 1.1.0 preview1
* [`[05d6bbb782]`](https://github.com/aspnet/AspNetCore/commit/05d6bbb782) Flush first long poll immediately (#2032)
* [`[a30faf1a30]`](https://github.com/aspnet/AspNetCore/commit/a30faf1a30) Skip ANCM v2 in-proc chunked tests (#111)
* [`[d35bcea0a5]`](https://github.com/aspnet/AspNetCore/commit/d35bcea0a5) Move HubException and add serialization ctor (#2049)
* [`[0cb45afdaa]`](https://github.com/aspnet/AspNetCore/commit/0cb45afdaa) Script missed this one
* [`[353f8554a9]`](https://github.com/aspnet/AspNetCore/commit/353f8554a9) This version got missed in updating
* [`[6fd09af374]`](https://github.com/aspnet/AspNetCore/commit/6fd09af374) Improve logging of request drain timeout (#2480)
* [`[3a45136cc4]`](https://github.com/aspnet/AspNetCore/commit/3a45136cc4) make IConnectionInherentKeepAliveFeature a boolean feature (#2496)
* [`[a426334018]`](https://github.com/aspnet/AspNetCore/commit/a426334018) Expose IList instead of List
* [`[a5d9930802]`](https://github.com/aspnet/AspNetCore/commit/a5d9930802) API review changes (#2043)
* [`[4d151a599e]`](https://github.com/aspnet/AspNetCore/commit/4d151a599e) Dynamically expand timeout when waiting for Angular CLI to be ready. Fixes #1611
* [`[78f7dccfab]`](https://github.com/aspnet/AspNetCore/commit/78f7dccfab) Performance fix
* [`[927b08f893]`](https://github.com/aspnet/AspNetCore/commit/927b08f893) Cache property access (#2030)
* [`[4f4dfe1d23]`](https://github.com/aspnet/AspNetCore/commit/4f4dfe1d23) Move RedisLog to Internal namespace (#2038)
* [`[b5d5f11ef8]`](https://github.com/aspnet/AspNetCore/commit/b5d5f11ef8) Rename excludedIds to excludedConnectionIds (#2037)
* [`[7745fd748a]`](https://github.com/aspnet/AspNetCore/commit/7745fd748a) Extension methods for IHubClients methods (#2016)
* [`[0da06fb5d2]`](https://github.com/aspnet/AspNetCore/commit/0da06fb5d2) Microsoft.AspNetCore.SignalR.Redis API review (#2036)
* [`[b3a9011698]`](https://github.com/aspnet/AspNetCore/commit/b3a9011698) API review changes for Microsoft.AspNetCore.SignalR (#2033)
* [`[6eac7049ba]`](https://github.com/aspnet/AspNetCore/commit/6eac7049ba) Update text and binary formatter helpers to be shared (#2035)
* [`[62f14054eb]`](https://github.com/aspnet/AspNetCore/commit/62f14054eb) Capture and log prematurely closed connections
* [`[fbb13c4c1f]`](https://github.com/aspnet/AspNetCore/commit/fbb13c4c1f) Improve response status logging
* [`[725bb33949]`](https://github.com/aspnet/AspNetCore/commit/725bb33949) Lazy initialize HttpConnectionContext.Items (#2027)
* [`[585bcc3ee0]`](https://github.com/aspnet/AspNetCore/commit/585bcc3ee0) How about this?
* [`[c835288e84]`](https://github.com/aspnet/AspNetCore/commit/c835288e84) Suppress web socket closing without handshake
* [`[89922a399f]`](https://github.com/aspnet/AspNetCore/commit/89922a399f) Capture server logs in tests
* [`[ddc905c219]`](https://github.com/aspnet/AspNetCore/commit/ddc905c219) Add VerifyNoErrorsScope (#1972)
* [`[b9e7113c01]`](https://github.com/aspnet/AspNetCore/commit/b9e7113c01) Move types out of .Core namespace and make method virtual (#2024)
* [`[377ed1b834]`](https://github.com/aspnet/AspNetCore/commit/377ed1b834) JsonHubProtocol and MessagePackHubProtocol version fields now private (#2023)
* [`[cc5ae02b7d]`](https://github.com/aspnet/AspNetCore/commit/cc5ae02b7d) Fix binding & validating dictionaries of non-simple types in jQuery requests - #7423 - retry failed inner bindings with alternate syntax in `ModelStateDictionary`   - use property syntax if first attempt tried index syntax and visa versa - instantiate `ShortFormDictionaryValidationStrategy` with full `ModelState` keys   - can now provide exact `ModelState` keys that `ModelStateDictionary` used in inner bindings - normalize model names without a leading period in `JQueryKeyValuePairNormalizer`
* [`[5a77c8be25]`](https://github.com/aspnet/AspNetCore/commit/5a77c8be25)  API review Microsoft.AspNetCore.SignalR.Internal (#2022)
* [`[4fe41dc6d0]`](https://github.com/aspnet/AspNetCore/commit/4fe41dc6d0) Increase timeout of test (#2021)
* [`[d6395a52bc]`](https://github.com/aspnet/AspNetCore/commit/d6395a52bc) Send delete request after poll ends (#2020)
* [`[0f8485cafc]`](https://github.com/aspnet/AspNetCore/commit/0f8485cafc) Renamed class to match the file (#2019)
* [`[e30a02cee5]`](https://github.com/aspnet/AspNetCore/commit/e30a02cee5)  Less StringValue struct copies for header checks (#2488)
* [`[d0c949f2d1]`](https://github.com/aspnet/AspNetCore/commit/d0c949f2d1) Update artifacts.props
* [`[3f0a6ebc0d]`](https://github.com/aspnet/AspNetCore/commit/3f0a6ebc0d) API Review Dependency Injection (#2015)
* [`[c7f7f36210]`](https://github.com/aspnet/AspNetCore/commit/c7f7f36210) API Review for Http.Connections (#2010)
* [`[95835d6c37]`](https://github.com/aspnet/AspNetCore/commit/95835d6c37) Continue generating RelatedAssemblyPart on assembly if GenerateAssemblyInfo=false
* [`[898b8cec84]`](https://github.com/aspnet/AspNetCore/commit/898b8cec84) Prepare for RazorAssemblyAttribute -> RazorTargetAssemblyAttribute rename
* [`[1e26571ba6]`](https://github.com/aspnet/AspNetCore/commit/1e26571ba6) [Fixes #7635] Provide a way to configure clients in WebApplicationFactory
* [`[22510e1377]`](https://github.com/aspnet/AspNetCore/commit/22510e1377) [Fixes #7587] No easy way to change ASPNETCORE_ENVIRONMENT
* [`[d5e044f693]`](https://github.com/aspnet/AspNetCore/commit/d5e044f693) [Fixes #7373] Assigning to the context's Result property, when implementing IPageFilter, causes an exception
* [`[faf2f3f065]`](https://github.com/aspnet/AspNetCore/commit/faf2f3f065) Attempt to workaround issues with File.Move on NFS file shares (aspnet/Home#2941)
* [`[d0137a996c]`](https://github.com/aspnet/AspNetCore/commit/d0137a996c) Internalize Microsoft.AspNetCore.Http.Connections.Client.Internal (#2014)
* [`[021356bf27]`](https://github.com/aspnet/AspNetCore/commit/021356bf27) Internalize classes in Http.Connections (#2013)
* [`[2d51d23697]`](https://github.com/aspnet/AspNetCore/commit/2d51d23697) Add file logging to functional tests
* [`[623ab63091]`](https://github.com/aspnet/AspNetCore/commit/623ab63091) HubConnectionTests.Helper Header (#2011)
* [`[e854535a8c]`](https://github.com/aspnet/AspNetCore/commit/e854535a8c) Push symbols to new myget symbols feed
* [`[a9c7c322cb]`](https://github.com/aspnet/AspNetCore/commit/a9c7c322cb) Add "webapp" alias to RazorPages template.json (#467)
* [`[d995b0418a]`](https://github.com/aspnet/AspNetCore/commit/d995b0418a) Allow BindPropertyAttribute to be specified on controller classes
* [`[f3e599649b]`](https://github.com/aspnet/AspNetCore/commit/f3e599649b) Use token instead of ssh
* [`[c7486c5f3c]`](https://github.com/aspnet/AspNetCore/commit/c7486c5f3c) Skip broken tests (#181)
* [`[64019efb0f]`](https://github.com/aspnet/AspNetCore/commit/64019efb0f) 2.1.0-preview3-26413-02 (#1068)
* [`[499d39b364]`](https://github.com/aspnet/AspNetCore/commit/499d39b364) rename MsgPack assembly only (#2005)
* [`[39f7420c4d]`](https://github.com/aspnet/AspNetCore/commit/39f7420c4d) Fixed routing test
* [`[43e6ab750a]`](https://github.com/aspnet/AspNetCore/commit/43e6ab750a) Fix #1927 by using Synchronous Callbacks everywhere. (#2003)
* [`[0919914e56]`](https://github.com/aspnet/AspNetCore/commit/0919914e56) Internalize more classes (#2004)
* [`[6130eb0ec5]`](https://github.com/aspnet/AspNetCore/commit/6130eb0ec5) Is 1888 fixed
* [`[5d52701cd2]`](https://github.com/aspnet/AspNetCore/commit/5d52701cd2) Add Error razor page to Spa templates (#464)
* [`[b67b5586f2]`](https://github.com/aspnet/AspNetCore/commit/b67b5586f2) corefx 2.1.0-preview3-26413-01 (#1064)
* [`[c35030267c]`](https://github.com/aspnet/AspNetCore/commit/c35030267c) Update usage of TestSink
* [`[a8c0970cde]`](https://github.com/aspnet/AspNetCore/commit/a8c0970cde) Check for non-null RequestServices (#1378)
* [`[2e761415e4]`](https://github.com/aspnet/AspNetCore/commit/2e761415e4) Implement IDisposable for derived types for WebApplicationFactory<T> (#7637)
* [`[3e69fdc4ad]`](https://github.com/aspnet/AspNetCore/commit/3e69fdc4ad) Delegate disposable to the IConnectionFactory (#1999)
* [`[f824751bb9]`](https://github.com/aspnet/AspNetCore/commit/f824751bb9) Added Razor class library project template [Fixes #323] Add a Razor class library project template
* [`[abe139ee16]`](https://github.com/aspnet/AspNetCore/commit/abe139ee16) Make the protocol and messages public (#1994)
* [`[4a568e90d2]`](https://github.com/aspnet/AspNetCore/commit/4a568e90d2) API review changes (#1992)
* [`[70c63fe9e8]`](https://github.com/aspnet/AspNetCore/commit/70c63fe9e8) Http.Connections.Client API Review changes (#1987)
* [`[d57da6b71f]`](https://github.com/aspnet/AspNetCore/commit/d57da6b71f) Collapse AsSpan().Slice(..) into AsSpan(..) (#2491)
* [`[0ee4a86564]`](https://github.com/aspnet/AspNetCore/commit/0ee4a86564) Collapse AsSpan().Slice(..) into AsSpan(..) (#1991)
* [`[16c6a65bf2]`](https://github.com/aspnet/AspNetCore/commit/16c6a65bf2) polyfill UInt8Array.forEach for IE (#1981)
* [`[0053124ca4]`](https://github.com/aspnet/AspNetCore/commit/0053124ca4) Make Proxies Internal (#1982)
* [`[df4d901ae7]`](https://github.com/aspnet/AspNetCore/commit/df4d901ae7) Fix 5 param On extension method (#1984)
* [`[10f3b6863e]`](https://github.com/aspnet/AspNetCore/commit/10f3b6863e)  Avoid nullref in KestrelEventSource (#2483)
* [`[c4b9e061ca]`](https://github.com/aspnet/AspNetCore/commit/c4b9e061ca) Update usage of TestSink
* [`[4188d2fe68]`](https://github.com/aspnet/AspNetCore/commit/4188d2fe68) sttimer changes to V2 (#773)
* [`[9c83280770]`](https://github.com/aspnet/AspNetCore/commit/9c83280770) Fixing couple issues (#763)
* [`[24328b8e88]`](https://github.com/aspnet/AspNetCore/commit/24328b8e88) fix #1281 by adding support for DELETE endpoint on server (#1925)
* [`[0992db9fd2]`](https://github.com/aspnet/AspNetCore/commit/0992db9fd2) fix #1914 by switching RedisProtocol to MsgPack (#1968)
* [`[c734b9910a]`](https://github.com/aspnet/AspNetCore/commit/c734b9910a) fix #1951 by transpiling to ES5 (#1970)
* [`[74f13328ed]`](https://github.com/aspnet/AspNetCore/commit/74f13328ed) Adding Utf8Json dependency (#1060)
* [`[4e1ba2a6c7]`](https://github.com/aspnet/AspNetCore/commit/4e1ba2a6c7) Delay process exit in ConsoleLifetime #1329
* [`[18a15435e9]`](https://github.com/aspnet/AspNetCore/commit/18a15435e9) Specify branch name when calling PublishToBlobFeed
* [`[ee12c4fcf2]`](https://github.com/aspnet/AspNetCore/commit/ee12c4fcf2) Downgrade HTTPs handshake failures to debug #1853
* [`[c6fa9793eb]`](https://github.com/aspnet/AspNetCore/commit/c6fa9793eb) Make Protocols internal
* [`[1fc282acb8]`](https://github.com/aspnet/AspNetCore/commit/1fc282acb8) Move Benchmark Apps to new folder and use .All package when Benchmarks runs our scenarios (#1965)
* [`[4184b2406d]`](https://github.com/aspnet/AspNetCore/commit/4184b2406d) Updated to make routing always use UrlEncoder.Default and not depend on DI to get it. [Fixes #513] RedirectToAction with Non-English Characters in Parameters and Authentication Causes Error
* [`[d4773e831c]`](https://github.com/aspnet/AspNetCore/commit/d4773e831c) Set default transport and application buffer sizes (#1964)
* [`[7563ccae20]`](https://github.com/aspnet/AspNetCore/commit/7563ccae20) Always use TaskCreationOptions.RunContinuationsAsynchronously (#1966)
* [`[1ae901de3d]`](https://github.com/aspnet/AspNetCore/commit/1ae901de3d) Fix incorrect test for long poll and web sockets requests (#1971)
* [`[ca44b4adfc]`](https://github.com/aspnet/AspNetCore/commit/ca44b4adfc) Moved kestrel specific features into transport abstractions (#2482)
* [`[e34b4e8335]`](https://github.com/aspnet/AspNetCore/commit/e34b4e8335) Use DependencyContext.CompileLibraries to determine dependency graph (#7626)
* [`[f6b2880369]`](https://github.com/aspnet/AspNetCore/commit/f6b2880369) Flow the ConnectionContext to the SNI callback (#2478)
* [`[f7d5f3e64e]`](https://github.com/aspnet/AspNetCore/commit/f7d5f3e64e) Enable trace for test app (#178)
* [`[08f9990c39]`](https://github.com/aspnet/AspNetCore/commit/08f9990c39) Ensure there's a redis connection earlier
* [`[9365fcd053]`](https://github.com/aspnet/AspNetCore/commit/9365fcd053) Don't publish the refs directory when the app does not have any Razor files
* [`[b8c3273cae]`](https://github.com/aspnet/AspNetCore/commit/b8c3273cae) Dont always copy handlers (#1945)
* [`[c9ab30e150]`](https://github.com/aspnet/AspNetCore/commit/c9ab30e150) Enable detailed errors for redis tests (#1962)
* [`[c3ac7629d1]`](https://github.com/aspnet/AspNetCore/commit/c3ac7629d1) WebAPI launchUrl; MVC _LoginPartial; F# AllowedHosts (#463)
* [`[ee6e8c15ce]`](https://github.com/aspnet/AspNetCore/commit/ee6e8c15ce) increase jasmine timeout and add timestamps to logs (#1959)
* [`[4ff09370a9]`](https://github.com/aspnet/AspNetCore/commit/4ff09370a9) Delete Startup.cs (#35)
* [`[e411cbf7e2]`](https://github.com/aspnet/AspNetCore/commit/e411cbf7e2) Moving PlatformBenchmarks from aspnet/benchmarks (#2457)
* [`[6d9df1ef33]`](https://github.com/aspnet/AspNetCore/commit/6d9df1ef33) Noop Razor Sdk for F# projects
* [`[a5b8be2ad3]`](https://github.com/aspnet/AspNetCore/commit/a5b8be2ad3) Update UpdateDependencies script
* [`[0b5cb8a8b8]`](https://github.com/aspnet/AspNetCore/commit/0b5cb8a8b8) Reload HostFilteringOptions on change
* [`[5c34364d73]`](https://github.com/aspnet/AspNetCore/commit/5c34364d73) Move ANCM Request Handler pdb to correct location
* [`[8cc851ff9b]`](https://github.com/aspnet/AspNetCore/commit/8cc851ff9b) Clean up timer code with custom awaitable (#1935)
* [`[cb5bba36fc]`](https://github.com/aspnet/AspNetCore/commit/cb5bba36fc) Get off the event loop before dispatch (#1952)
* [`[62272ad56a]`](https://github.com/aspnet/AspNetCore/commit/62272ad56a) Round off file result's LastModifiedDate to whole seconds for correct comparison with http header dates [Fixes #7572] PhysicalFileResult does not respond 304 Not Modified
* [`[182209cb63]`](https://github.com/aspnet/AspNetCore/commit/182209cb63) Add ANCMV1 package (#1050)
* [`[83821a028d]`](https://github.com/aspnet/AspNetCore/commit/83821a028d) Rename HubEndPointTestUtils folder (#1943)
* [`[13f7981010]`](https://github.com/aspnet/AspNetCore/commit/13f7981010) Rename Callback to Configure in UseConnections (#1939)
* [`[e2169ceda6]`](https://github.com/aspnet/AspNetCore/commit/e2169ceda6) Connect to Redis asynchronously (#1922)
* [`[71be5bf637]`](https://github.com/aspnet/AspNetCore/commit/71be5bf637) fix logging browser tests (#1940)
* [`[49acd16712]`](https://github.com/aspnet/AspNetCore/commit/49acd16712) Updating external dependencies
* [`[46efcd9332]`](https://github.com/aspnet/AspNetCore/commit/46efcd9332) Move srwWrapper to right location
* [`[5c91dbe062]`](https://github.com/aspnet/AspNetCore/commit/5c91dbe062) Get tests working
* [`[b978df455c]`](https://github.com/aspnet/AspNetCore/commit/b978df455c) Create a separate nuget package for ANCMV1
* [`[df9efa0770]`](https://github.com/aspnet/AspNetCore/commit/df9efa0770) Code changes to get ANCM current working on github
* [`[b594130020]`](https://github.com/aspnet/AspNetCore/commit/b594130020) Adds source code from VSTS
* [`[157e7f4fdd]`](https://github.com/aspnet/AspNetCore/commit/157e7f4fdd) Creates two separate projects for ANCM V1 and V2.
* [`[5fa2892561]`](https://github.com/aspnet/AspNetCore/commit/5fa2892561) Change the HubSample to reconnect to the server (#1933)
* [`[bec259f976]`](https://github.com/aspnet/AspNetCore/commit/bec259f976) #364 - Expose HTTP_503_RESPONSE_VERBOSITY option (#447)
* [`[da32f45f58]`](https://github.com/aspnet/AspNetCore/commit/da32f45f58) Do not set sslPort if HTTPS not configured (#458)
* [`[2657a17a63]`](https://github.com/aspnet/AspNetCore/commit/2657a17a63) Use an older version of microsoft/dotnet which still has libunwind.so in it
* [`[d63e8c5558]`](https://github.com/aspnet/AspNetCore/commit/d63e8c5558) CPP
* [`[5504374125]`](https://github.com/aspnet/AspNetCore/commit/5504374125) Preserve directive node diagnostics in document node
* [`[14cc048102]`](https://github.com/aspnet/AspNetCore/commit/14cc048102) Fix npm command
* [`[8e261175d2]`](https://github.com/aspnet/AspNetCore/commit/8e261175d2) Generate a .csv file containing tag information
* [`[c5db8370d0]`](https://github.com/aspnet/AspNetCore/commit/c5db8370d0) chmod +x .sh scripts
* [`[78e4d4383c]`](https://github.com/aspnet/AspNetCore/commit/78e4d4383c) Updating external dependencies to '20180406-05-1567334' (release/2.1) (#1044)
* [`[ee2e46a614]`](https://github.com/aspnet/AspNetCore/commit/ee2e46a614) What about now?
* [`[6b18dea711]`](https://github.com/aspnet/AspNetCore/commit/6b18dea711) Replace Constants.CompletedTask with Task.CompletedTask (#235)
* [`[61f7c82d49]`](https://github.com/aspnet/AspNetCore/commit/61f7c82d49) Replace Helpers.CompletedTask and Helpers.CanceledTask (#446)
* [`[8a3516284e]`](https://github.com/aspnet/AspNetCore/commit/8a3516284e) Add GetMessageBytes to IHubProtocol (#1915)
* [`[31dfe91962]`](https://github.com/aspnet/AspNetCore/commit/31dfe91962) Support async access token factory (#1911)
* [`[6bc2ebb4c5]`](https://github.com/aspnet/AspNetCore/commit/6bc2ebb4c5) Use invariant culture and ordinal comparisons (#1928)
* [`[32bbc58bef]`](https://github.com/aspnet/AspNetCore/commit/32bbc58bef) Replace messagepack dependency (#1046)
* [`[b030ab7e49]`](https://github.com/aspnet/AspNetCore/commit/b030ab7e49) Update Connections.Abstractions.csproj (#2473)
* [`[f4313170f8]`](https://github.com/aspnet/AspNetCore/commit/f4313170f8) Split HandshakeProtocol into another class (#1921)
* [`[6d050140e5]`](https://github.com/aspnet/AspNetCore/commit/6d050140e5) Swtich to MessagePack-CSharp (#1879)
* [`[e32b51d6e6]`](https://github.com/aspnet/AspNetCore/commit/e32b51d6e6) ENdpoint
* [`[ecd665c471]`](https://github.com/aspnet/AspNetCore/commit/ecd665c471) Crank 2: Let's Get Crankier (#1888)
* [`[7afb3b6b12]`](https://github.com/aspnet/AspNetCore/commit/7afb3b6b12) Adds Gtest. (#762)
* [`[3db924003e]`](https://github.com/aspnet/AspNetCore/commit/3db924003e) Use VirtualRazorProjectSystem for Razor tests
* [`[7a14be006d]`](https://github.com/aspnet/AspNetCore/commit/7a14be006d) Fast reads
* [`[c4196fabf3]`](https://github.com/aspnet/AspNetCore/commit/c4196fabf3) Fix npm command
* [`[0feb83b637]`](https://github.com/aspnet/AspNetCore/commit/0feb83b637) Dont format some things
* [`[ec31ff0c28]`](https://github.com/aspnet/AspNetCore/commit/ec31ff0c28) Throw if multiple Body bound parameters are discovered
* [`[dca31cc6f6]`](https://github.com/aspnet/AspNetCore/commit/dca31cc6f6) Perf
* [`[01089da84d]`](https://github.com/aspnet/AspNetCore/commit/01089da84d) Use in for ReadOnlySequence (#1900)
* [`[962ea25637]`](https://github.com/aspnet/AspNetCore/commit/962ea25637) Update deps (#1919)
* [`[7ed3ccb768]`](https://github.com/aspnet/AspNetCore/commit/7ed3ccb768) Update to core-setup 2.0.7-20180406 packages
* [`[406d8f9a81]`](https://github.com/aspnet/AspNetCore/commit/406d8f9a81) readonly readonly structs (#1908)
* [`[bd78785f8d]`](https://github.com/aspnet/AspNetCore/commit/bd78785f8d)  Minor DefaultHubLifetimeManager improvements (#1904)
* [`[9fd713c73a]`](https://github.com/aspnet/AspNetCore/commit/9fd713c73a) Make MemoryBufferWriter a Stream (#1907)
* [`[27d18578d0]`](https://github.com/aspnet/AspNetCore/commit/27d18578d0) Use expression body properties and implicit arrays where possible (#1906)
* [`[0f663cadc4]`](https://github.com/aspnet/AspNetCore/commit/0f663cadc4) readonly all the things (#1901)
* [`[767f2900f9]`](https://github.com/aspnet/AspNetCore/commit/767f2900f9) Add support for creating a bounded channel in helper
* [`[0d9c3d8898]`](https://github.com/aspnet/AspNetCore/commit/0d9c3d8898) Buffer messages so we get a single outgoing request (#1898)
* [`[c1049b722d]`](https://github.com/aspnet/AspNetCore/commit/c1049b722d) The grand unification of ConnectionContext (#1895)
* [`[e3da7feab4]`](https://github.com/aspnet/AspNetCore/commit/e3da7feab4) Clean up client ITransport interface (#1893)
* [`[86083c0302]`](https://github.com/aspnet/AspNetCore/commit/86083c0302) Removing native support for IObservable<T> (#1890)
* [`[05ebd10258]`](https://github.com/aspnet/AspNetCore/commit/05ebd10258) Make baseUrl work again (#1889)
* [`[acc0b7ad0d]`](https://github.com/aspnet/AspNetCore/commit/acc0b7ad0d) Serialize NegotiateResponse with IBufferWriter (#1881)
* [`[699d17fdeb]`](https://github.com/aspnet/AspNetCore/commit/699d17fdeb) Don't generate crossgen symbols if the framework is not crossgen-ed
* [`[f632330d7f]`](https://github.com/aspnet/AspNetCore/commit/f632330d7f) Allocate pipe writer stream per connection (#1885)
* [`[50ce20f0f9]`](https://github.com/aspnet/AspNetCore/commit/50ce20f0f9) Generate an arm32 shared framework without crossgen (#1037)
* [`[e51676fb47]`](https://github.com/aspnet/AspNetCore/commit/e51676fb47) Policheck errors
* [`[6c79085b10]`](https://github.com/aspnet/AspNetCore/commit/6c79085b10) Use PackageVersion to define version of the LineupPackage
* [`[b6ce0b5188]`](https://github.com/aspnet/AspNetCore/commit/b6ce0b5188) Update submodules
* [`[e3d90bdf6a]`](https://github.com/aspnet/AspNetCore/commit/e3d90bdf6a) Fix graceful closing of pipes (#1882)
* [`[5e019bd707]`](https://github.com/aspnet/AspNetCore/commit/5e019bd707) Add Microsoft.AspNetCore.All
* [`[d48a33cdab]`](https://github.com/aspnet/AspNetCore/commit/d48a33cdab) Update EFCore submodule
* [`[4ddf8664c0]`](https://github.com/aspnet/AspNetCore/commit/4ddf8664c0) Don't throw from Observer's OnNext (#1872)
* [`[36edadabb4]`](https://github.com/aspnet/AspNetCore/commit/36edadabb4) Lock when sending data to connection (#1876)
* [`[921986d561]`](https://github.com/aspnet/AspNetCore/commit/921986d561) Fix AccessTokenFactory not being called with each request (#1880)
* [`[b0c4e9d0f7]`](https://github.com/aspnet/AspNetCore/commit/b0c4e9d0f7) 0 byte read in WebSockets (#1878)
* [`[4cea9d3f2f]`](https://github.com/aspnet/AspNetCore/commit/4cea9d3f2f) Update Polly.Extensions.Http-Signed dependency
* [`[a29b8ae396]`](https://github.com/aspnet/AspNetCore/commit/a29b8ae396) fix #1874 by adding RedisProtocolBenchmark (#1875)
* [`[4cd24a2b08]`](https://github.com/aspnet/AspNetCore/commit/4cd24a2b08) Add experimental flag to un-special-case data-
* [`[d1c0ab587c]`](https://github.com/aspnet/AspNetCore/commit/d1c0ab587c) Add support for type parameters to class nodes
* [`[5356456766]`](https://github.com/aspnet/AspNetCore/commit/5356456766) Simplify test TFMs #82
* [`[19b2fea0d8]`](https://github.com/aspnet/AspNetCore/commit/19b2fea0d8) Preserialize for all formats when sending through Redis (#1843)
* [`[9f7e295af8]`](https://github.com/aspnet/AspNetCore/commit/9f7e295af8) Add task to generate the repo to repo graph (#1036)
* [`[47c7c1ad8f]`](https://github.com/aspnet/AspNetCore/commit/47c7c1ad8f) Disable global loading of RequestHandler for in-process (#732)
* [`[4236f0e51c]`](https://github.com/aspnet/AspNetCore/commit/4236f0e51c) Fix AllowedHosts configuration (#452)
* [`[35b6d81f77]`](https://github.com/aspnet/AspNetCore/commit/35b6d81f77) Don't dispose on cancellation (#1859)
* [`[c78df3e261]`](https://github.com/aspnet/AspNetCore/commit/c78df3e261) Added Microsoft.AspNetCore.SignalR.Protocols.Json (#1035)
* [`[61c3d0c403]`](https://github.com/aspnet/AspNetCore/commit/61c3d0c403) Added Microsoft.AspNetCore.SignalR.Protocols.Json (#1861)
* [`[e9db9e64c7]`](https://github.com/aspnet/AspNetCore/commit/e9db9e64c7) Add streaming benchmarks (#1854)
* [`[f7fc2647de]`](https://github.com/aspnet/AspNetCore/commit/f7fc2647de) var all the things (#1855)
* [`[e51852d0fc]`](https://github.com/aspnet/AspNetCore/commit/e51852d0fc) Use Anchor tag to normalize urls(#1828)
* [`[fccc9d1b50]`](https://github.com/aspnet/AspNetCore/commit/fccc9d1b50) fix #1815 by disposing linked cts (#1849)
* [`[6b76d1355e]`](https://github.com/aspnet/AspNetCore/commit/6b76d1355e) Add SendAsyncGroup to broadcast benchmarks (#1852)
* [`[8a368b5610]`](https://github.com/aspnet/AspNetCore/commit/8a368b5610) Add supportedAuthentication for NoAuth in templates which have NoAuth (#443)
* [`[ae42d7599d]`](https://github.com/aspnet/AspNetCore/commit/ae42d7599d) Show error if page directive is not at the top of file
* [`[32b4d5cc6c]`](https://github.com/aspnet/AspNetCore/commit/32b4d5cc6c) Set X-Requested-With on all requests (#1848)
* [`[80f87e7730]`](https://github.com/aspnet/AspNetCore/commit/80f87e7730) Add Handshake timeout to C# Client (#1840)
* [`[d9c823d3b0]`](https://github.com/aspnet/AspNetCore/commit/d9c823d3b0) Renable auth tests with new HttpClient #439, ServerTests/#82
* [`[2ee0d6e337]`](https://github.com/aspnet/AspNetCore/commit/2ee0d6e337) Delay loading the dev cert #2422
* [`[9f530d6621]`](https://github.com/aspnet/AspNetCore/commit/9f530d6621) Chunk writes to file in tests (#759)
* [`[9ea2c50068]`](https://github.com/aspnet/AspNetCore/commit/9ea2c50068) Add SNI support #2357
* [`[f44af6b812]`](https://github.com/aspnet/AspNetCore/commit/f44af6b812) Reenable IISExpress out of process tests; add ANCM in process tests. (#106)
* [`[f5aeef7319]`](https://github.com/aspnet/AspNetCore/commit/f5aeef7319) Update NetCoreApp to preview2-26403-06
* [`[313772ef03]`](https://github.com/aspnet/AspNetCore/commit/313772ef03) fix #1727 by adding polyfills for IE (#1841)
* [`[45c9ad4712]`](https://github.com/aspnet/AspNetCore/commit/45c9ad4712) Update NetCoreApp to preview2-26403-06
* [`[b1007744b0]`](https://github.com/aspnet/AspNetCore/commit/b1007744b0) Added PipeOptions.CurrentUserOnly option to the named pipe streams
* [`[afa56e3012]`](https://github.com/aspnet/AspNetCore/commit/afa56e3012) MsgPack perf (#1845)
* [`[99ae47be09]`](https://github.com/aspnet/AspNetCore/commit/99ae47be09) Add ability to log message content (#1792)
* [`[7c2d9e87e9]`](https://github.com/aspnet/AspNetCore/commit/7c2d9e87e9) Clean up pipe pair on transport start failure (#1836)
* [`[ba0131a731]`](https://github.com/aspnet/AspNetCore/commit/ba0131a731) Rename TransportTypes to HttpTransportTypes (#1839)
* [`[5e38303377]`](https://github.com/aspnet/AspNetCore/commit/5e38303377) Use xhr.onreadystatechange instead of xhr.onload (#1838)
* [`[9c9d732da6]`](https://github.com/aspnet/AspNetCore/commit/9c9d732da6) Upgraded dependencies
* [`[09418f1e39]`](https://github.com/aspnet/AspNetCore/commit/09418f1e39) Re-add dotnet-core myget feed
* [`[ed55571572]`](https://github.com/aspnet/AspNetCore/commit/ed55571572) Fix path to tool for CI (#438)
* [`[769dd4684a]`](https://github.com/aspnet/AspNetCore/commit/769dd4684a) Add NewtonsoftJsonPackageVersion back
* [`[ab55bae128]`](https://github.com/aspnet/AspNetCore/commit/ab55bae128) Add dotnet-ef to dependencies.props (#435)
* [`[0a5a963bb0]`](https://github.com/aspnet/AspNetCore/commit/0a5a963bb0) Use dotnet-ef package (#433)
* [`[612db42772]`](https://github.com/aspnet/AspNetCore/commit/612db42772) Re-enable SSL tests cross plat Home/#2477
* [`[c222a398db]`](https://github.com/aspnet/AspNetCore/commit/c222a398db) Fix TLS versions for Mac
* [`[623c27ab01]`](https://github.com/aspnet/AspNetCore/commit/623c27ab01) Dispose SocketAsyncEventArgs when we dispose the Socket (#2459)
* [`[221c95e0af]`](https://github.com/aspnet/AspNetCore/commit/221c95e0af) Couple logging additions (#1827)
* [`[a92da1b8f4]`](https://github.com/aspnet/AspNetCore/commit/a92da1b8f4) Fix CopyToAsyncDoesNotCopyBlocks test (#2458)
* [`[26957e090d]`](https://github.com/aspnet/AspNetCore/commit/26957e090d) Reaction to *Memory changes (#420)
* [`[6a1367ff70]`](https://github.com/aspnet/AspNetCore/commit/6a1367ff70) Reaction to *Memory changes (#1824)
* [`[ba2b883db0]`](https://github.com/aspnet/AspNetCore/commit/ba2b883db0) Reaction to *Memory changes (#2446)
* [`[7450163495]`](https://github.com/aspnet/AspNetCore/commit/7450163495) Reaction to *Memory changes (#1029)
* [`[f52359d202]`](https://github.com/aspnet/AspNetCore/commit/f52359d202) Update AJAX CDN links (#430)
* [`[d1b745f249]`](https://github.com/aspnet/AspNetCore/commit/d1b745f249) Use Razor.Sdk package to verify templates
* [`[6b183c5ac0]`](https://github.com/aspnet/AspNetCore/commit/6b183c5ac0) Use 4K as the minimum segment size (#2452)
* [`[2872a236ec]`](https://github.com/aspnet/AspNetCore/commit/2872a236ec) Updating external dependencies to '20180330-03-1543000' (#1024)
* [`[1b5a2f25e4]`](https://github.com/aspnet/AspNetCore/commit/1b5a2f25e4) Versions
* [`[9930499ee1]`](https://github.com/aspnet/AspNetCore/commit/9930499ee1) Work around HttpClient TLS regression
* [`[2466764b65]`](https://github.com/aspnet/AspNetCore/commit/2466764b65) update Kestrel submodule
* [`[3460d44848]`](https://github.com/aspnet/AspNetCore/commit/3460d44848) Fix non-serializable tests (#1820)
* [`[5d1bd0b70d]`](https://github.com/aspnet/AspNetCore/commit/5d1bd0b70d) update SignalR submodule
* [`[fbdb3c558f]`](https://github.com/aspnet/AspNetCore/commit/fbdb3c558f) Mark dotnet-aspnet-codegenerator as noship (#1022)
* [`[6e957e436a]`](https://github.com/aspnet/AspNetCore/commit/6e957e436a) Support inprocess hosting in IISExpressDeployer via switching the HostingModel property. (#1368)
* [`[5ce672dfe6]`](https://github.com/aspnet/AspNetCore/commit/5ce672dfe6) ThreadStatic MemoryBufferWriter (#1821)
* [`[6640f14e35]`](https://github.com/aspnet/AspNetCore/commit/6640f14e35) Detailed errors enabled for functional tests (#1822)
* [`[852a5b31be]`](https://github.com/aspnet/AspNetCore/commit/852a5b31be) Fix bad rebase
* [`[07a1907918]`](https://github.com/aspnet/AspNetCore/commit/07a1907918) Introduce ViewDataAttribute
* [`[6d4a632b96]`](https://github.com/aspnet/AspNetCore/commit/6d4a632b96) Fix race condition in test code waiting for dotnet-watch to restart
* [`[e9d58154ec]`](https://github.com/aspnet/AspNetCore/commit/e9d58154ec) Added TCP client sample to HubSample (#1805)
* [`[0ed396db0b]`](https://github.com/aspnet/AspNetCore/commit/0ed396db0b) Enable tests on 2.1 for Win7
* [`[c515cece8e]`](https://github.com/aspnet/AspNetCore/commit/c515cece8e) Use ModelMetadataProvider to infer BindingSource on application model
* [`[bbc9f56ece]`](https://github.com/aspnet/AspNetCore/commit/bbc9f56ece) update artifacts.props in dev (#1025)
* [`[ef30e2e2df]`](https://github.com/aspnet/AspNetCore/commit/ef30e2e2df) Clean up the SSE client side transport (#1816)
* [`[bb7cb14a1c]`](https://github.com/aspnet/AspNetCore/commit/bb7cb14a1c) Clean up the logging style for HttpConnectionManager (#1819)
* [`[82bda4a9c8]`](https://github.com/aspnet/AspNetCore/commit/82bda4a9c8) Added micro benchmarks for SSE parsing and Writing (#1818)
* [`[a37fa83aee]`](https://github.com/aspnet/AspNetCore/commit/a37fa83aee)  Fixed a parser bug found when trying out the array pool (#2450)
* [`[ca161e9bc8]`](https://github.com/aspnet/AspNetCore/commit/ca161e9bc8) Improve writing single characters with UTF8 text writer (#1814)
* [`[e6e45cea05]`](https://github.com/aspnet/AspNetCore/commit/e6e45cea05) Change how HttpConnection sets headers (#1806)
* [`[04a22f23dd]`](https://github.com/aspnet/AspNetCore/commit/04a22f23dd) Deserializing ISO formatted strings in method arguments (#1812)
* [`[dc86690f04]`](https://github.com/aspnet/AspNetCore/commit/dc86690f04) Change default handshake timeout (#1808)
* [`[3a2a571c11]`](https://github.com/aspnet/AspNetCore/commit/3a2a571c11) Update to preview2-26330-05 (#1023)
* [`[7382198356]`](https://github.com/aspnet/AspNetCore/commit/7382198356) Copy connection middleware when using ListenLocalHost (#2447)
* [`[903a9ea6a0]`](https://github.com/aspnet/AspNetCore/commit/903a9ea6a0) Use IBufferWriter in IHubProtocol (#1791)
* [`[ba7b43a391]`](https://github.com/aspnet/AspNetCore/commit/ba7b43a391) Reaction to *Memory changes
* [`[0293e53e11]`](https://github.com/aspnet/AspNetCore/commit/0293e53e11) Handle uninitialized connections in disposal (#1786) (#1794)
* [`[9428f49b8e]`](https://github.com/aspnet/AspNetCore/commit/9428f49b8e) update deps
* [`[eb7dc14c39]`](https://github.com/aspnet/AspNetCore/commit/eb7dc14c39) Handle uninitialized connections in disposal (#1786)
* [`[67cb8a0e11]`](https://github.com/aspnet/AspNetCore/commit/67cb8a0e11) Add IConnection to Connections.Abstractions (#2444)
* [`[1f41b26145]`](https://github.com/aspnet/AspNetCore/commit/1f41b26145) Skip broken test
* [`[6b3a27e73c]`](https://github.com/aspnet/AspNetCore/commit/6b3a27e73c) Bedrock Renames (#1777)
* [`[8ea2de1dc2]`](https://github.com/aspnet/AspNetCore/commit/8ea2de1dc2) Check native HRESULTs (#742)
* [`[ac9addabcc]`](https://github.com/aspnet/AspNetCore/commit/ac9addabcc) Update jquery-validation-unobtrusive (#421)
* [`[30f0883319]`](https://github.com/aspnet/AspNetCore/commit/30f0883319) Target a lower TFM
* [`[133dd964ab]`](https://github.com/aspnet/AspNetCore/commit/133dd964ab) Introduce ViewDataAttribute
* [`[1186ab688b]`](https://github.com/aspnet/AspNetCore/commit/1186ab688b) noship .RH
* [`[0362905a70]`](https://github.com/aspnet/AspNetCore/commit/0362905a70) Re-enable ConnectionCanSendAndReceiveMessages + logging (#1778)
* [`[a49d7a64be]`](https://github.com/aspnet/AspNetCore/commit/a49d7a64be) Add new Polly HTTP dependency
* [`[61f260e386]`](https://github.com/aspnet/AspNetCore/commit/61f260e386) Make Microsoft.AspNetCore.Mvc depend on Microsoft.AspNetCore.Mvc.Analyzers
* [`[6f03496448]`](https://github.com/aspnet/AspNetCore/commit/6f03496448) Make Microsoft.AspNetCore.Mvc depend on Microsoft.AspNetCore.Mvc.Analyzers
* [`[313133131f]`](https://github.com/aspnet/AspNetCore/commit/313133131f) Check for Websockets in Fallback functional tests (#1772)
* [`[44b667b3e6]`](https://github.com/aspnet/AspNetCore/commit/44b667b3e6) Add detailed error option (#1763)
* [`[173594db1f]`](https://github.com/aspnet/AspNetCore/commit/173594db1f) Add new Polly HTTP dependency
* [`[3f40f042bc]`](https://github.com/aspnet/AspNetCore/commit/3f40f042bc) out of process fix (#738)
* [`[adbbbcf4de]`](https://github.com/aspnet/AspNetCore/commit/adbbbcf4de) Disable regressed negotiate test #439
* [`[b5a2fcb96a]`](https://github.com/aspnet/AspNetCore/commit/b5a2fcb96a) Dispose the http client in DisposeAsync (#1780)
* [`[a26e6f5a30]`](https://github.com/aspnet/AspNetCore/commit/a26e6f5a30) Make shutdown logic for SSE and LongPolling more similar to WebSockets (#1779)
* [`[21d0475cf2]`](https://github.com/aspnet/AspNetCore/commit/21d0475cf2) Add Microsoft.AspNetCore.Analyzers.Experimental package
* [`[f20bf9ea02]`](https://github.com/aspnet/AspNetCore/commit/f20bf9ea02) Fix #7503 change to model name for IValidableObject
* [`[7a1096a72b]`](https://github.com/aspnet/AspNetCore/commit/7a1096a72b) Fix #7503 change to model name for IValidableObject
* [`[96f29c5696]`](https://github.com/aspnet/AspNetCore/commit/96f29c5696) Use latest compat version in MvcSandbox
* [`[7b3491e11e]`](https://github.com/aspnet/AspNetCore/commit/7b3491e11e) Prepare to 0 byte flush change (#2442)
* [`[51fb15d6cf]`](https://github.com/aspnet/AspNetCore/commit/51fb15d6cf) Client logging fixes and improvements (#1773)
* [`[46f27cdd0b]`](https://github.com/aspnet/AspNetCore/commit/46f27cdd0b) Fix internal HubConnection state when handshake fails (#1774)
* [`[365e255c9b]`](https://github.com/aspnet/AspNetCore/commit/365e255c9b) Add authentication UI packages to the LZMA
* [`[df6471f462]`](https://github.com/aspnet/AspNetCore/commit/df6471f462) Add startup filter to detect overriden server (#740)
* [`[476d337989]`](https://github.com/aspnet/AspNetCore/commit/476d337989) Move Cpp Client to main repo (#1703)
* [`[2f9ce959ea]`](https://github.com/aspnet/AspNetCore/commit/2f9ce959ea) Target net461 for all tests (#420)
* [`[cb7942abe4]`](https://github.com/aspnet/AspNetCore/commit/cb7942abe4) Add no-https option for all templates (#413)
* [`[aca30fe8a2]`](https://github.com/aspnet/AspNetCore/commit/aca30fe8a2) --no-https option for RazorPagesWeb-CSharp template (#362)
* [`[a2a920dde5]`](https://github.com/aspnet/AspNetCore/commit/a2a920dde5) Normalize the tool assembly path before using it as the base for pipe name
* [`[5ae68a012c]`](https://github.com/aspnet/AspNetCore/commit/5ae68a012c) Re-enable F# template tests
* [`[199c70b72e]`](https://github.com/aspnet/AspNetCore/commit/199c70b72e) Reenable ReadAndWriteEchoTwice test (#739)
* [`[2a64c1953d]`](https://github.com/aspnet/AspNetCore/commit/2a64c1953d) Skip broken tests
* [`[a4d0bf2e3a]`](https://github.com/aspnet/AspNetCore/commit/a4d0bf2e3a) collect log messages during browser tests (#1670)
* [`[7a53e07623]`](https://github.com/aspnet/AspNetCore/commit/7a53e07623) Parse data as it comes in off the wire in the .NET client and server (#1766)
* [`[988972e1e5]`](https://github.com/aspnet/AspNetCore/commit/988972e1e5) Disable regressed negotiate test #439
* [`[d360886b78]`](https://github.com/aspnet/AspNetCore/commit/d360886b78) Fix #7558 infer [FromRoute] with parameter in ANY route
* [`[cddf46c0cd]`](https://github.com/aspnet/AspNetCore/commit/cddf46c0cd) Make HubConnection write messages directly to the PipeWriter (#1762)
* [`[eaaaeb1ba3]`](https://github.com/aspnet/AspNetCore/commit/eaaaeb1ba3) Upgrade deps (#1761)
* [`[7f86b92f7e]`](https://github.com/aspnet/AspNetCore/commit/7f86b92f7e) Handshake and negotiation optimization (#1731)
* [`[03938dfd95]`](https://github.com/aspnet/AspNetCore/commit/03938dfd95) Handle Mutex creation exceptions
* [`[d5dafae2cc]`](https://github.com/aspnet/AspNetCore/commit/d5dafae2cc) Always flush in WebSocketsTransport (#1756)
* [`[289d3592fa]`](https://github.com/aspnet/AspNetCore/commit/289d3592fa) Update to SQLitePCLRaw 1.1.10
* [`[8c84518ecc]`](https://github.com/aspnet/AspNetCore/commit/8c84518ecc) Message writing optimization (#1683)
* [`[890c8566d6]`](https://github.com/aspnet/AspNetCore/commit/890c8566d6) Fix WebSocketsSupportedConditionAttribute version check (#1751)
* [`[c06de96bd3]`](https://github.com/aspnet/AspNetCore/commit/c06de96bd3) Do not canonicalize short paths (#736)
* [`[5b0af04b29]`](https://github.com/aspnet/AspNetCore/commit/5b0af04b29) Fix RPM generation when store folder is empty, and add restore source for dotnetfeed
* [`[19b9dca268]`](https://github.com/aspnet/AspNetCore/commit/19b9dca268) Change IHubProtocol interface to support partial parsing (#1745)
* [`[f8e315d03d]`](https://github.com/aspnet/AspNetCore/commit/f8e315d03d) CompiledPageRouteModelProvider should de-dup descriptors
* [`[adb254f4bb]`](https://github.com/aspnet/AspNetCore/commit/adb254f4bb) Add the 2.0.6 manifest to Microsoft.AspNetCore.All
* [`[5b85e8309e]`](https://github.com/aspnet/AspNetCore/commit/5b85e8309e) Adding File Header (#1741)
* [`[d2564cf4e6]`](https://github.com/aspnet/AspNetCore/commit/d2564cf4e6) Upgrade deps
* [`[5cb9b887d4]`](https://github.com/aspnet/AspNetCore/commit/5cb9b887d4) Upgraded deps
* [`[7b0f50aa53]`](https://github.com/aspnet/AspNetCore/commit/7b0f50aa53) Expand environment variables processPath and arguments, reject invalid processPaths. (#715)
* [`[c93c168df3]`](https://github.com/aspnet/AspNetCore/commit/c93c168df3) Add mapping service for action results
* [`[62881a2cc4]`](https://github.com/aspnet/AspNetCore/commit/62881a2cc4) Disable APICheck on precompilation to workaround failure
* [`[dd27854c42]`](https://github.com/aspnet/AspNetCore/commit/dd27854c42) Add .App metapackage to the LZMA
* [`[c217e7b690]`](https://github.com/aspnet/AspNetCore/commit/c217e7b690)  Add deps file RH injection  (#731)
* [`[61ffc55bc1]`](https://github.com/aspnet/AspNetCore/commit/61ffc55bc1) Add ANCM version to generate list of deps versions
* [`[26815a688c]`](https://github.com/aspnet/AspNetCore/commit/26815a688c) Update universe for DockerSecrets rename (#1004)
* [`[bc91191876]`](https://github.com/aspnet/AspNetCore/commit/bc91191876) More benchmark command fixes
* [`[df317cffca]`](https://github.com/aspnet/AspNetCore/commit/df317cffca) Fixing benchmarks
* [`[ad724f6b0a]`](https://github.com/aspnet/AspNetCore/commit/ad724f6b0a) Use x64 binaries when project's targeting AnyCPU (#255)
* [`[927af3125e]`](https://github.com/aspnet/AspNetCore/commit/927af3125e) Use RazorCompiledItemMetadataAttribute to calculate route
* [`[f25f411b68]`](https://github.com/aspnet/AspNetCore/commit/f25f411b68) Add HostFiltering configuration to templates
* [`[62fec52a9f]`](https://github.com/aspnet/AspNetCore/commit/62fec52a9f) Add a framework specific reference to Microsoft.DiaSymReader.Native
* [`[3fe479ab83]`](https://github.com/aspnet/AspNetCore/commit/3fe479ab83) Add MicrosoftDiaSymReaderNativePackageVersion
* [`[428e470e83]`](https://github.com/aspnet/AspNetCore/commit/428e470e83) Fix UpdateDependencies script for maestro
* [`[3d88d912e6]`](https://github.com/aspnet/AspNetCore/commit/3d88d912e6) Updating external dependencies to '20180325-03-1519352' (#998)
* [`[895ccb6b10]`](https://github.com/aspnet/AspNetCore/commit/895ccb6b10) Add MicrosoftDiaSymReaderNativePackageVersion
* [`[db1bdc7ede]`](https://github.com/aspnet/AspNetCore/commit/db1bdc7ede) Upgraded dependencies
* [`[d1215d8fa1]`](https://github.com/aspnet/AspNetCore/commit/d1215d8fa1) Skip checking thumbprint of file in osx
* [`[b7e2678592]`](https://github.com/aspnet/AspNetCore/commit/b7e2678592) Add new SignalR scenarios (#1730)
* [`[d6c296ba8c]`](https://github.com/aspnet/AspNetCore/commit/d6c296ba8c) Updating external dependencies to '20180325-03-1519352' (#998)
* [`[203ebb64ed]`](https://github.com/aspnet/AspNetCore/commit/203ebb64ed) Updated dependencies.props
* [`[d94db644e3]`](https://github.com/aspnet/AspNetCore/commit/d94db644e3) Backport: separate list of dependency versions and dependency items, and stop issuing KRB4002 on duplicates
* [`[ade5ae534d]`](https://github.com/aspnet/AspNetCore/commit/ade5ae534d) Set DebugType=full for .NET Framework projects
* [`[0c084fa28a]`](https://github.com/aspnet/AspNetCore/commit/0c084fa28a) [Fixes #7518] NullReferenceException thrown when Controller method uses Guid parameter default value
* [`[be04ccac6e]`](https://github.com/aspnet/AspNetCore/commit/be04ccac6e) Move DuplexPipe into Kestrel.Core as internal (#2428)
* [`[b78e70fadb]`](https://github.com/aspnet/AspNetCore/commit/b78e70fadb) Use more pooled Utf8BufferTextReaders (#1728)
* [`[cc52beec17]`](https://github.com/aspnet/AspNetCore/commit/cc52beec17) Fallback for TS client
* [`[79b51ad642]`](https://github.com/aspnet/AspNetCore/commit/79b51ad642) Added logging of .NET client HTTP requests (#1723)
* [`[804eeede11]`](https://github.com/aspnet/AspNetCore/commit/804eeede11) Use the correct application part factory by default
* [`[05145c2751]`](https://github.com/aspnet/AspNetCore/commit/05145c2751) Fix UpdateDependencies script for maestro
* [`[e80d0b000a]`](https://github.com/aspnet/AspNetCore/commit/e80d0b000a) Make BufferedReadString public and add doc (#1011)
* [`[eb5b94e3c4]`](https://github.com/aspnet/AspNetCore/commit/eb5b94e3c4) Make consistent variable names for RestoreSourcePropsPath
* [`[b8285b8356]`](https://github.com/aspnet/AspNetCore/commit/b8285b8356) Don't create the span on netstandard (#1721)
* [`[3f6051c9d5]`](https://github.com/aspnet/AspNetCore/commit/3f6051c9d5) Make PreserveCompilationContext=true
* [`[1e11b5fa95]`](https://github.com/aspnet/AspNetCore/commit/1e11b5fa95) Make PreserveCompilationContext=true
* [`[da255ff9db]`](https://github.com/aspnet/AspNetCore/commit/da255ff9db) Make `TestProject.GetProjectDirectory` more thorough when finding project directory.
* [`[e1cb3f25ac]`](https://github.com/aspnet/AspNetCore/commit/e1cb3f25ac) Switch to AddDefaultIdentity
* [`[a1de323ff4]`](https://github.com/aspnet/AspNetCore/commit/a1de323ff4) Make LibuvTransport(Factory) pubternal (#2426)
* [`[cc58605db6]`](https://github.com/aspnet/AspNetCore/commit/cc58605db6) Update to Newtonsoft.Json 11.0.2
* [`[0716789523]`](https://github.com/aspnet/AspNetCore/commit/0716789523) move to test folder
* [`[f292383090]`](https://github.com/aspnet/AspNetCore/commit/f292383090) use iisintegration
* [`[ddc0e4fb3a]`](https://github.com/aspnet/AspNetCore/commit/ddc0e4fb3a) Run benchmarks on .NET Core 2.1 (#1722)
* [`[65204ec6f2]`](https://github.com/aspnet/AspNetCore/commit/65204ec6f2) Small changes (#1714)
* [`[733a3b3c2d]`](https://github.com/aspnet/AspNetCore/commit/733a3b3c2d) Upgrade the dependencies (#1712)
* [`[5f64ecfd4d]`](https://github.com/aspnet/AspNetCore/commit/5f64ecfd4d) Add conditional test attribute for WebSockets (#1709) (#1710)
* [`[4f5bc7046e]`](https://github.com/aspnet/AspNetCore/commit/4f5bc7046e) Add conditional test attribute for WebSockets (#1709)
* [`[83966930d3]`](https://github.com/aspnet/AspNetCore/commit/83966930d3) Skip WebApiTemplate_Works_NetCore test temporarily (#401) (#403)
* [`[1fe30aabbe]`](https://github.com/aspnet/AspNetCore/commit/1fe30aabbe) Skip WebApiTemplate_Works_NetCore test temporarily (#401)
* [`[cb05ce4e0b]`](https://github.com/aspnet/AspNetCore/commit/cb05ce4e0b) Progress towards deleting Sockets.Abstractions (#1705)
* [`[6701339835]`](https://github.com/aspnet/AspNetCore/commit/6701339835) Expose DefaultConnectionContext POCO (#2421)
* [`[f1c8dc408f]`](https://github.com/aspnet/AspNetCore/commit/f1c8dc408f) updated the solution
* [`[c181d1db96]`](https://github.com/aspnet/AspNetCore/commit/c181d1db96) Graceful close handshake
* [`[7bc54b99e0]`](https://github.com/aspnet/AspNetCore/commit/7bc54b99e0) Use tool assembly path for computing default pipe name
* [`[e94d77c47f]`](https://github.com/aspnet/AspNetCore/commit/e94d77c47f) Add model attribute for PartialTagHelper.
* [`[731f05df38]`](https://github.com/aspnet/AspNetCore/commit/731f05df38) call exit to force shutdown in case of timeout (#726)
* [`[c2a8f7bd2c]`](https://github.com/aspnet/AspNetCore/commit/c2a8f7bd2c) Upgrade Azure Active Directory Integration module
* [`[26578f5079]`](https://github.com/aspnet/AspNetCore/commit/26578f5079) Reenable API check
* [`[1ff5bdca79]`](https://github.com/aspnet/AspNetCore/commit/1ff5bdca79) Set model prefix for [ApiController]
* [`[0e7f12bfb3]`](https://github.com/aspnet/AspNetCore/commit/0e7f12bfb3) Add HostFiltering to the default web host
* [`[14429721d9]`](https://github.com/aspnet/AspNetCore/commit/14429721d9) Make handler selector more flexible
* [`[414b3d958a]`](https://github.com/aspnet/AspNetCore/commit/414b3d958a) Update the AAAD integration submodule
* [`[191e10e5a7]`](https://github.com/aspnet/AspNetCore/commit/191e10e5a7) Add the Azure Active Directory integration package
* [`[63fd1e1a4d]`](https://github.com/aspnet/AspNetCore/commit/63fd1e1a4d) Re-enable api check
* [`[adc7184d98]`](https://github.com/aspnet/AspNetCore/commit/adc7184d98) Register missed directives in RazorPageGenerator
* [`[a9667c3fbd]`](https://github.com/aspnet/AspNetCore/commit/a9667c3fbd) issue template (#1701)
* [`[f49270d9d6]`](https://github.com/aspnet/AspNetCore/commit/f49270d9d6) Add Azure AD package + tests
* [`[8492092f41]`](https://github.com/aspnet/AspNetCore/commit/8492092f41) Upgrade dependencies
* [`[71a6927318]`](https://github.com/aspnet/AspNetCore/commit/71a6927318) Fix feed sources and package dependency
* [`[1d6c09ab31]`](https://github.com/aspnet/AspNetCore/commit/1d6c09ab31) Make the use of Assembly.CodeBase more robust
* [`[72210e4078]`](https://github.com/aspnet/AspNetCore/commit/72210e4078) Add AuthenticationProperties.Parameters (#1008)
* [`[967b0dd0a4]`](https://github.com/aspnet/AspNetCore/commit/967b0dd0a4) Fixed dependencies
* [`[2e63e5afe3]`](https://github.com/aspnet/AspNetCore/commit/2e63e5afe3) The rename games part 1 of many (#1696)
* [`[af636fc8d4]`](https://github.com/aspnet/AspNetCore/commit/af636fc8d4) Upgraded deps
* [`[abdcb47b8f]`](https://github.com/aspnet/AspNetCore/commit/abdcb47b8f) Renames from API review (#2413)
* [`[77200410d6]`](https://github.com/aspnet/AspNetCore/commit/77200410d6) Updated Razor views
* [`[06c93669d6]`](https://github.com/aspnet/AspNetCore/commit/06c93669d6) Allow overwriting parameters on challenge requests
* [`[4acda9dd9b]`](https://github.com/aspnet/AspNetCore/commit/4acda9dd9b) Set userBrowserLink to false for VS host file (#395)
* [`[ed801f0e88]`](https://github.com/aspnet/AspNetCore/commit/ed801f0e88) Do not return 200 for exceptions
* [`[a47e1051e8]`](https://github.com/aspnet/AspNetCore/commit/a47e1051e8) Add protocol version to handshake (#1666)
* [`[1686a71046]`](https://github.com/aspnet/AspNetCore/commit/1686a71046) Return HRESULT
* [`[6d642ea5ce]`](https://github.com/aspnet/AspNetCore/commit/6d642ea5ce) Move Typescript client folder (#1692)
* [`[f1a3775247]`](https://github.com/aspnet/AspNetCore/commit/f1a3775247) Copy HttpContext properties for long polling transport  (#1684)
* [`[c569d163c4]`](https://github.com/aspnet/AspNetCore/commit/c569d163c4) Filter osx from symbols packages and include npm artifacts in prodcon
* [`[5aae1f91a8]`](https://github.com/aspnet/AspNetCore/commit/5aae1f91a8) Include symbols in published output
* [`[e5822232bb]`](https://github.com/aspnet/AspNetCore/commit/e5822232bb) Update to .NET Core 2.0.7-servicing-26322-01
* [`[0a450d2f53]`](https://github.com/aspnet/AspNetCore/commit/0a450d2f53) Add a version to the Razor about dialog entry
* [`[500279ea98]`](https://github.com/aspnet/AspNetCore/commit/500279ea98) Add missing source
* [`[8590bb9367]`](https://github.com/aspnet/AspNetCore/commit/8590bb9367) Updating baselines
* [`[9e61d6bd98]`](https://github.com/aspnet/AspNetCore/commit/9e61d6bd98) Update application parts implementation
* [`[0fbd2bb45e]`](https://github.com/aspnet/AspNetCore/commit/0fbd2bb45e) Add Azure AD B2C integration package
* [`[af05248042]`](https://github.com/aspnet/AspNetCore/commit/af05248042) [Fixes #4] Adds an Azure Active Directory B2C package * Adds extension methods to configure Azure Active Directory B2C   authentication for Web applications and APIs. * Adds all the supporting controllers/pages to support handling UI   flows. * Adds a sample using B2C to authenticate in a web application.
* [`[e2e5a226c2]`](https://github.com/aspnet/AspNetCore/commit/e2e5a226c2) Better fix
* [`[f6f5e575fb]`](https://github.com/aspnet/AspNetCore/commit/f6f5e575fb) Test more things
* [`[205fe9daf1]`](https://github.com/aspnet/AspNetCore/commit/205fe9daf1) Do not return 200 for exceptions
* [`[b5c46f35b3]`](https://github.com/aspnet/AspNetCore/commit/b5c46f35b3) Check for actual start in SSE (#1681)
* [`[631c2cdd3e]`](https://github.com/aspnet/AspNetCore/commit/631c2cdd3e) add SystemNetWebSocketsWebSocketProtocolPackageVersion
* [`[0f622ec53d]`](https://github.com/aspnet/AspNetCore/commit/0f622ec53d) ANCM stress app
* [`[7eb13646d5]`](https://github.com/aspnet/AspNetCore/commit/7eb13646d5) Add AAD Integration repo
* [`[b24e3b2e78]`](https://github.com/aspnet/AspNetCore/commit/b24e3b2e78) Use applicationUrl instead of ASPNETCORE_URLS (#390)
* [`[af96c91584]`](https://github.com/aspnet/AspNetCore/commit/af96c91584) Add support for running test sites on IIS from VS (#714)
* [`[ccb6793126]`](https://github.com/aspnet/AspNetCore/commit/ccb6793126) Introduce LifecycleProperty
* [`[6eb4b0ecfb]`](https://github.com/aspnet/AspNetCore/commit/6eb4b0ecfb) Prepare the 2.0.7 patch
* [`[b111c91cb0]`](https://github.com/aspnet/AspNetCore/commit/b111c91cb0) Don't copy the array for incoming msgpack reads (#1686)
* [`[899a298534]`](https://github.com/aspnet/AspNetCore/commit/899a298534) Fix package metadata to match default settings for aspnetcore (#389)
* [`[8947b81507]`](https://github.com/aspnet/AspNetCore/commit/8947b81507) Branch for preview2
* [`[d61d723cba]`](https://github.com/aspnet/AspNetCore/commit/d61d723cba) Update package metadata to include commit hash (#713)
* [`[3f84eee116]`](https://github.com/aspnet/AspNetCore/commit/3f84eee116) Detect availability of web sockets on client and server (#1682)
* [`[8ee5007a5d]`](https://github.com/aspnet/AspNetCore/commit/8ee5007a5d) Fix native tests running (#710)
* [`[689f114932]`](https://github.com/aspnet/AspNetCore/commit/689f114932) Add Managed to native project dependencies (#708)
* [`[d6176ac7de]`](https://github.com/aspnet/AspNetCore/commit/d6176ac7de) ApplicationPartFactory: The works
* [`[1bac12716d]`](https://github.com/aspnet/AspNetCore/commit/1bac12716d) Updating baselines
* [`[1aac4f4332]`](https://github.com/aspnet/AspNetCore/commit/1aac4f4332) Mark dotnet-aspnet-codegenerator as ship (#982)
* [`[ffeebfc8b9]`](https://github.com/aspnet/AspNetCore/commit/ffeebfc8b9) support shutdown timeout for inprocess application (#703)
* [`[6c54d51390]`](https://github.com/aspnet/AspNetCore/commit/6c54d51390) Ensure repos have a NuGetPackageVerifier file (#980)
* [`[a286e62c3d]`](https://github.com/aspnet/AspNetCore/commit/a286e62c3d) Update Templating to include changes from release/2.0 (#981)
* [`[a7178a66bd]`](https://github.com/aspnet/AspNetCore/commit/a7178a66bd) Show error if page directive is not at the top of file
* [`[71c2ddd155]`](https://github.com/aspnet/AspNetCore/commit/71c2ddd155) Fix #1575 by removing use of Map (#1671)
* [`[6053a34cf3]`](https://github.com/aspnet/AspNetCore/commit/6053a34cf3) Don't expose HubConnectionContext on the Hub (#1674)
* [`[e5cffe685b]`](https://github.com/aspnet/AspNetCore/commit/e5cffe685b) Do not rely on the implicit StringValues to array converter.
* [`[e889175c0e]`](https://github.com/aspnet/AspNetCore/commit/e889175c0e) Properly wait for process exit for docker helper and log errors (#1667)
* [`[6583e5fb47]`](https://github.com/aspnet/AspNetCore/commit/6583e5fb47) Improved allocations and throughput for broadcast scenarios (#1660)
* [`[1ddea573bb]`](https://github.com/aspnet/AspNetCore/commit/1ddea573bb) Update to Newtonsoft.Json 11.0.1 (#979)
* [`[5748898fc4]`](https://github.com/aspnet/AspNetCore/commit/5748898fc4) Make the RequestServicesContainerMiddleware thinner (#1360) (#1362)
* [`[8631f287d9]`](https://github.com/aspnet/AspNetCore/commit/8631f287d9) Add a few more Razor Sdk fixes
* [`[03efe5a4a7]`](https://github.com/aspnet/AspNetCore/commit/03efe5a4a7) Update Templating submodule
* [`[22423271c9]`](https://github.com/aspnet/AspNetCore/commit/22423271c9) Make the RequestServicesContainerMiddleware thinner (#1360)
* [`[dfc550a9ab]`](https://github.com/aspnet/AspNetCore/commit/dfc550a9ab) Fix the release channel for CLI blobs
* [`[72d706526e]`](https://github.com/aspnet/AspNetCore/commit/72d706526e) Upgrade Microsoft.NET.Test.Sdk to 15.6.1 (#972)
* [`[5baa53393f]`](https://github.com/aspnet/AspNetCore/commit/5baa53393f) fixing fowarding handler for AsyncCompletion (#669)
* [`[431a8e195a]`](https://github.com/aspnet/AspNetCore/commit/431a8e195a) [Fixes #2144] Incorrect target element of nested tag helper
* [`[fde11611f8]`](https://github.com/aspnet/AspNetCore/commit/fde11611f8) Fix the latest version pointer file in the blob store
* [`[586c4ff780]`](https://github.com/aspnet/AspNetCore/commit/586c4ff780) Move layout and partial script to Shared dir (#368)
* [`[24f07ce791]`](https://github.com/aspnet/AspNetCore/commit/24f07ce791) Fix LongPolling retry after poll timeout (#1654)
* [`[69f52cc3b6]`](https://github.com/aspnet/AspNetCore/commit/69f52cc3b6) Removing Microsoft.AspNetCore.SpaTemplates project and friends
* [`[b3625b8173]`](https://github.com/aspnet/AspNetCore/commit/b3625b8173) Make the RequestServicesContainerMiddleware thinner (#1360)
* [`[81fb221d9e]`](https://github.com/aspnet/AspNetCore/commit/81fb221d9e) Embed OIDC metadata and mock out the backchannel #1686
* [`[f786df9dc9]`](https://github.com/aspnet/AspNetCore/commit/f786df9dc9) Use partial tag helper (#375)
* [`[edaf72c7fc]`](https://github.com/aspnet/AspNetCore/commit/edaf72c7fc) Add update migrations script (#376)
* [`[5f3908cb54]`](https://github.com/aspnet/AspNetCore/commit/5f3908cb54) Stop expressly testing on netcoreapp2.0
* [`[f1d8ca3045]`](https://github.com/aspnet/AspNetCore/commit/f1d8ca3045) Add CommitHash to file info (#700)
* [`[885679c8bd]`](https://github.com/aspnet/AspNetCore/commit/885679c8bd) Made HubEndPoint derive from EndPoint (#1658)
* [`[473e578efc]`](https://github.com/aspnet/AspNetCore/commit/473e578efc) Fix CORS on TS Client (#1652)
* [`[4f10560087]`](https://github.com/aspnet/AspNetCore/commit/4f10560087) Rename negotiate to handshake, add handshake response, add close frame (#1591)
* [`[2bc3466e3d]`](https://github.com/aspnet/AspNetCore/commit/2bc3466e3d) Do not write generated files to disk if the input has parser errors
* [`[ca674ed419]`](https://github.com/aspnet/AspNetCore/commit/ca674ed419) Update artifacts.props
* [`[71fd4ffd8a]`](https://github.com/aspnet/AspNetCore/commit/71fd4ffd8a) fix #1542 by removing browser field (#1625)
* [`[5fa658c800]`](https://github.com/aspnet/AspNetCore/commit/5fa658c800) Never run continuation inline in SocketAwaitable.OnCompleted (#2407)
* [`[9dc7c65205]`](https://github.com/aspnet/AspNetCore/commit/9dc7c65205) Fix: Missing Html intellisense after directives
* [`[fa8fcc9a62]`](https://github.com/aspnet/AspNetCore/commit/fa8fcc9a62) Made wwwroot 'copyOnly' to avoid modifications in it's files
* [`[6444acedfd]`](https://github.com/aspnet/AspNetCore/commit/6444acedfd) Fix BOM test paths for Unix (#377)
* [`[79e744f691]`](https://github.com/aspnet/AspNetCore/commit/79e744f691) Handle unreadable import items in design time
* [`[2bb9a8aaf9]`](https://github.com/aspnet/AspNetCore/commit/2bb9a8aaf9) Adding handlerSettings configuration to aspnetcore schema for future use (#689)
* [`[d1bf120c54]`](https://github.com/aspnet/AspNetCore/commit/d1bf120c54) Make 2.1 MVC the default for uninitialized projects
* [`[130a751dfa]`](https://github.com/aspnet/AspNetCore/commit/130a751dfa) Add an experimental Language Version
* [`[be53b64fc1]`](https://github.com/aspnet/AspNetCore/commit/be53b64fc1) Add an experimental Language Version
* [`[6e4a968e12]`](https://github.com/aspnet/AspNetCore/commit/6e4a968e12) Fix #2149 give generated files distinct extension
* [`[ed18a8f975]`](https://github.com/aspnet/AspNetCore/commit/ed18a8f975) Seal ActionResultOfT (#7507)
* [`[7ff56dadf4]`](https://github.com/aspnet/AspNetCore/commit/7ff56dadf4) CodeGen RouteTemplate as a RazorCompiledItemAttribute
* [`[e2b6975bff]`](https://github.com/aspnet/AspNetCore/commit/e2b6975bff) Marked PageArgumentBinder type as Obsolete
* [`[09b5ff7b72]`](https://github.com/aspnet/AspNetCore/commit/09b5ff7b72) Use ParameterInfo for getting metadata of a parameter to show the correct information in ApiExplorer [Fixes #7435] 2.1-Preview 1: IsBindingRequired and IsRequired still false with RequiredAttribute on controller parameter.
* [`[35716ebf2c]`](https://github.com/aspnet/AspNetCore/commit/35716ebf2c) Make dotnet-ef a global tool
* [`[f6f89554c9]`](https://github.com/aspnet/AspNetCore/commit/f6f89554c9) Fix trimming line if CR not directly before LF (#1006)
* [`[fe7587cdb5]`](https://github.com/aspnet/AspNetCore/commit/fe7587cdb5) Add new HostFiltering package
* [`[4875856974]`](https://github.com/aspnet/AspNetCore/commit/4875856974) Fix #4604 for good
* [`[cf7c8629ff]`](https://github.com/aspnet/AspNetCore/commit/cf7c8629ff) Use ActivatorUtlities.CreateFactory instead of CreateInstance (#1643)
* [`[d4d5a08bc2]`](https://github.com/aspnet/AspNetCore/commit/d4d5a08bc2) The payload property was never used (#1641)
* [`[c5e2e3499a]`](https://github.com/aspnet/AspNetCore/commit/c5e2e3499a) The payload property was never used (#1639)
* [`[7df5c87815]`](https://github.com/aspnet/AspNetCore/commit/7df5c87815) Add copyright headers to new files
* [`[b792fcb4ef]`](https://github.com/aspnet/AspNetCore/commit/b792fcb4ef) Reduce the per message read allocations (#1635)
* [`[a9807e220d]`](https://github.com/aspnet/AspNetCore/commit/a9807e220d) Update git submodules
* [`[8b8c7107a8]`](https://github.com/aspnet/AspNetCore/commit/8b8c7107a8) Update client-ts versions (#1624)
* [`[881703e4c0]`](https://github.com/aspnet/AspNetCore/commit/881703e4c0) Upgrade Microsoft.NET.Test.Sdk to 15.6.1 (#1627)
* [`[cf4874997e]`](https://github.com/aspnet/AspNetCore/commit/cf4874997e) Heap allocate HTTP_DATA_CHUNK if the size of the response is too large.  (#683)
* [`[9337a63cf5]`](https://github.com/aspnet/AspNetCore/commit/9337a63cf5) Fix dependency
* [`[db0dc0f960]`](https://github.com/aspnet/AspNetCore/commit/db0dc0f960) Ignore writeasync failures when sending to multiple connections (#1589)
* [`[cfaf14a79a]`](https://github.com/aspnet/AspNetCore/commit/cfaf14a79a) Update Antiforgery submodule
* [`[5cb31f6082]`](https://github.com/aspnet/AspNetCore/commit/5cb31f6082) Hardcode extension .PrecompiledViews
* [`[0e38ee3e63]`](https://github.com/aspnet/AspNetCore/commit/0e38ee3e63) Create connectionIds using RNGCrypto (#1606)
* [`[079a56be1a]`](https://github.com/aspnet/AspNetCore/commit/079a56be1a) Small optimizations (#1617)
* [`[c640f422e0]`](https://github.com/aspnet/AspNetCore/commit/c640f422e0) Pascal case formatted log parameter names (#1615)
* [`[b0ec797681]`](https://github.com/aspnet/AspNetCore/commit/b0ec797681) Re-Enable ANCM OutOfProcess tests  (#678)
* [`[d8e363d99c]`](https://github.com/aspnet/AspNetCore/commit/d8e363d99c) Added parameter validation to RazorTagHelper and RazorGenerate tasks
* [`[a313aead2a]`](https://github.com/aspnet/AspNetCore/commit/a313aead2a) Update supported installer platforms
* [`[9839e6b07b]`](https://github.com/aspnet/AspNetCore/commit/9839e6b07b) Perf in MessageParsers (#1616)
* [`[5a6f44c6eb]`](https://github.com/aspnet/AspNetCore/commit/5a6f44c6eb) Update BasicMiddleware submodule
* [`[fa825fe247]`](https://github.com/aspnet/AspNetCore/commit/fa825fe247) Add new HostFiltering package
* [`[1f470164d9]`](https://github.com/aspnet/AspNetCore/commit/1f470164d9) Update artifacts.props
* [`[5e74b36c53]`](https://github.com/aspnet/AspNetCore/commit/5e74b36c53) Verify read/write buffers, use offset parameter when reading. (#652)
* [`[227c6b8133]`](https://github.com/aspnet/AspNetCore/commit/227c6b8133) Use the array unpacker instead of the Stream unpacker (#1619)
* [`[8ff9ce70c9]`](https://github.com/aspnet/AspNetCore/commit/8ff9ce70c9) Fixes spelling (#679)
* [`[2527face16]`](https://github.com/aspnet/AspNetCore/commit/2527face16) Query EndPoints once during reset (#2398)
* [`[acf7584d13]`](https://github.com/aspnet/AspNetCore/commit/acf7584d13) Reenable API Check
* [`[b0e5483a5c]`](https://github.com/aspnet/AspNetCore/commit/b0e5483a5c) Update .gitattributes to workaround npm changing line endings (#1610)
* [`[7addc9d681]`](https://github.com/aspnet/AspNetCore/commit/7addc9d681) Use --ci when running CI scripts
* [`[2f3e0384bf]`](https://github.com/aspnet/AspNetCore/commit/2f3e0384bf) Fix managed test run
* [`[8e54e792fb]`](https://github.com/aspnet/AspNetCore/commit/8e54e792fb) do shutdown check before processing request (#677)
* [`[4e7d1a5a32]`](https://github.com/aspnet/AspNetCore/commit/4e7d1a5a32) Rename PartialTagHelper `asp-for` to `for`.
* [`[5f149cfa9c]`](https://github.com/aspnet/AspNetCore/commit/5f149cfa9c) Skip F# net framework test (#363)
* [`[c6369bfba1]`](https://github.com/aspnet/AspNetCore/commit/c6369bfba1) Move MicrosoftDotNetArchivePackageVersion to pinned version section
* [`[b74582e101]`](https://github.com/aspnet/AspNetCore/commit/b74582e101) Ensure PreserveCompilationContext is set if we're targeting precompilation tool
* [`[8588b77160]`](https://github.com/aspnet/AspNetCore/commit/8588b77160) Re-adding Concurrent read/write tests. Fix flakiness. (#650)
* [`[5f69a01cc5]`](https://github.com/aspnet/AspNetCore/commit/5f69a01cc5) RazorSdk - Attribute code generation fixes
* [`[d27844dfef]`](https://github.com/aspnet/AspNetCore/commit/d27844dfef) ConnectionMetadata is now ConnectionItems (#1604)
* [`[d31512528d]`](https://github.com/aspnet/AspNetCore/commit/d31512528d) Items is now a first class property on ConnectionContext (#2395)
* [`[a041b368bb]`](https://github.com/aspnet/AspNetCore/commit/a041b368bb) Add missing TestAssets projects to Hosting.sln (#1352)
* [`[2b68db873a]`](https://github.com/aspnet/AspNetCore/commit/2b68db873a) add AddRedis overload that takes connection string (#1588)
* [`[6a8ede0770]`](https://github.com/aspnet/AspNetCore/commit/6a8ede0770) Further making Microsoft.AspNetCore.Sockets "not a thing" (#1599)
* [`[f9ad346be8]`](https://github.com/aspnet/AspNetCore/commit/f9ad346be8) Fix RazorDirectiveCompletionProvider MEF dependency.
* [`[9d064b24c7]`](https://github.com/aspnet/AspNetCore/commit/9d064b24c7) enable debug print in aspnetcore.dll (#663)
* [`[9901f0f3e4]`](https://github.com/aspnet/AspNetCore/commit/9901f0f3e4) Default to the managed socket transport (#2392)
* [`[a3886057d5]`](https://github.com/aspnet/AspNetCore/commit/a3886057d5) Add benchmark application to our repo (#1579)
* [`[c5efbc0b15]`](https://github.com/aspnet/AspNetCore/commit/c5efbc0b15) Update BenchmarkDotNet (#958)
* [`[6de76c5e69]`](https://github.com/aspnet/AspNetCore/commit/6de76c5e69) Respect the buffer size arguments on options (#230)
* [`[dc0567690d]`](https://github.com/aspnet/AspNetCore/commit/dc0567690d) Use features from Protocol.Abstractions (#1594)
* [`[04eef791bc]`](https://github.com/aspnet/AspNetCore/commit/04eef791bc) Added transfer format to Protocol.Abstractions (#2391)
* [`[e65e58daf3]`](https://github.com/aspnet/AspNetCore/commit/e65e58daf3) Reduce Sockets mainloop Send/Receive statemachine size (#2376)
* [`[572627e88c]`](https://github.com/aspnet/AspNetCore/commit/572627e88c) Handle posting to the libuv thread after StopAsync (#2388)
* [`[4fe4757b4a]`](https://github.com/aspnet/AspNetCore/commit/4fe4757b4a) fix package-lock.json files (#1592)
* [`[027a6588f9]`](https://github.com/aspnet/AspNetCore/commit/027a6588f9) Backport scripts from dev used to generate tags on repos
* [`[f6108928d8]`](https://github.com/aspnet/AspNetCore/commit/f6108928d8) Pass ReadOnlySequence via in (#2389)
* [`[27440da725]`](https://github.com/aspnet/AspNetCore/commit/27440da725) Add additional restore sources to PackageArchive.targets
* [`[a6d03bd407]`](https://github.com/aspnet/AspNetCore/commit/a6d03bd407) Workaround MonoDevelop.Core.FilePath tests failing to run due to strong name issues.
* [`[bfdb48717f]`](https://github.com/aspnet/AspNetCore/commit/bfdb48717f) Host header format validation
* [`[a16c3614d4]`](https://github.com/aspnet/AspNetCore/commit/a16c3614d4) Update submodule urls
* [`[810c4bcb0a]`](https://github.com/aspnet/AspNetCore/commit/810c4bcb0a) Fix two AVs with InProcess (#656)
* [`[d246c6f201]`](https://github.com/aspnet/AspNetCore/commit/d246c6f201) add port info to event log (#660)
* [`[7a511d6a94]`](https://github.com/aspnet/AspNetCore/commit/7a511d6a94) websocket handler changes  (#661)
* [`[1d602d1205]`](https://github.com/aspnet/AspNetCore/commit/1d602d1205) Add host project system for VS4Mac.
* [`[62956530ae]`](https://github.com/aspnet/AspNetCore/commit/62956530ae) Rename StreamAsync to StreamAsChannelAsync (#1587)
* [`[bcea8330c4]`](https://github.com/aspnet/AspNetCore/commit/bcea8330c4) Clean up some left overs (#2385)
* [`[425724ce28]`](https://github.com/aspnet/AspNetCore/commit/425724ce28) Avoid generating RelatedAssemblyAttribute when RazorSdk isn't in play
* [`[f0788926a0]`](https://github.com/aspnet/AspNetCore/commit/f0788926a0) Add additional APIs required by Razor Sdk
* [`[1ce0e6ecdf]`](https://github.com/aspnet/AspNetCore/commit/1ce0e6ecdf) Add lzma repo task
* [`[7db6925ffc]`](https://github.com/aspnet/AspNetCore/commit/7db6925ffc) Split sqllite and sql server migrations (#348)
* [`[bee77ebf91]`](https://github.com/aspnet/AspNetCore/commit/bee77ebf91) Rename VirtualScheme => PolicyScheme (#1665)
* [`[4103d47f09]`](https://github.com/aspnet/AspNetCore/commit/4103d47f09) Rename ns Microsoft.AspNetCore.Authroization.Test to Microsoft.AspNetCore.Authorization.Test (#1693)
* [`[4b5bd5a066]`](https://github.com/aspnet/AspNetCore/commit/4b5bd5a066) Force HTTP/1.1 for POSTs to work around High Sierra HttpClient issue.
* [`[2d8f3d95fe]`](https://github.com/aspnet/AspNetCore/commit/2d8f3d95fe) Feature/clean up proto abstractions (#2383)
* [`[adb760210d]`](https://github.com/aspnet/AspNetCore/commit/adb760210d) Minimal reaction to proto abstractions changes (#1583)
* [`[5de21c8da3]`](https://github.com/aspnet/AspNetCore/commit/5de21c8da3) Update MonoDevelop.Addins package to 1.3.8.
* [`[9fc6b8fcf5]`](https://github.com/aspnet/AspNetCore/commit/9fc6b8fcf5) Clean up mac completion broker.
* [`[a3f0260ee8]`](https://github.com/aspnet/AspNetCore/commit/a3f0260ee8) Upload to Azure in parallel (#952)
* [`[dbc5e38d04]`](https://github.com/aspnet/AspNetCore/commit/dbc5e38d04) Match launchSettings variable to sourceName in template.json (#354)
* [`[0141d6e4a3]`](https://github.com/aspnet/AspNetCore/commit/0141d6e4a3) Fix #1580 by correcting README sample (#1581)
* [`[0879dbd082]`](https://github.com/aspnet/AspNetCore/commit/0879dbd082) Convert ValuesController return types to ActionResult<T> (#351)
* [`[a0b1b15101]`](https://github.com/aspnet/AspNetCore/commit/a0b1b15101) [Fixes #7412] AspNetCore 2.1 breaks integration with 3rd party validation libraries
* [`[ddd0b4c260]`](https://github.com/aspnet/AspNetCore/commit/ddd0b4c260) Clean up protocol abstractions (#2381)
* [`[a952313f1c]`](https://github.com/aspnet/AspNetCore/commit/a952313f1c) Added JQueryQueryStringValueProviderFactory and JQueryQueryStringValueProvider [Fixes #6372] jQuery ajax request with complex data does not work with .net core 1.1 model bindings
* [`[fcd4484542]`](https://github.com/aspnet/AspNetCore/commit/fcd4484542) Fix TagHelperDescriptor.Kind serialization
* [`[e8f798fb5a]`](https://github.com/aspnet/AspNetCore/commit/e8f798fb5a) Upgrade dependencies
* [`[974eb28b8b]`](https://github.com/aspnet/AspNetCore/commit/974eb28b8b) Hub method reflection caching and invocation benchmarks (#1574)
* [`[d816c6ef60]`](https://github.com/aspnet/AspNetCore/commit/d816c6ef60) Add additional properties to HttpOptions (#1557)
* [`[4acdebc5be]`](https://github.com/aspnet/AspNetCore/commit/4acdebc5be) Temporary workaround issue with Sdk mismatch (#7472)
* [`[12c3cf028c]`](https://github.com/aspnet/AspNetCore/commit/12c3cf028c) Assign language and template type to 3 C# item templates (#343)
* [`[91160a155a]`](https://github.com/aspnet/AspNetCore/commit/91160a155a) Force http/1.1 to work around High Sierra failures
* [`[b0a40d8bc7]`](https://github.com/aspnet/AspNetCore/commit/b0a40d8bc7) Rename Microsoft.EntityFrameworkCore.Attributes to Microsoft.EntityFrameworkCore.Abstractions
* [`[02abb69cb2]`](https://github.com/aspnet/AspNetCore/commit/02abb69cb2) fix missing reference/dereference handler (#651)
* [`[13aa0ae513]`](https://github.com/aspnet/AspNetCore/commit/13aa0ae513) Force HTTP/1.1
* [`[20997d1fc0]`](https://github.com/aspnet/AspNetCore/commit/20997d1fc0) Upgrade deps
* [`[0b81658850]`](https://github.com/aspnet/AspNetCore/commit/0b81658850) Add SignalR Marker Service (#1573)
* [`[d6178f2482]`](https://github.com/aspnet/AspNetCore/commit/d6178f2482) Fixed streaming hub method with ValueTask (#1572)
* [`[71bff00c0d]`](https://github.com/aspnet/AspNetCore/commit/71bff00c0d) Use LibuvThread inspired IO Queue in Socket transport (#2368)
* [`[a686b8ed36]`](https://github.com/aspnet/AspNetCore/commit/a686b8ed36) UpdateRepos.ps1 get latest of branch
* [`[483fba5972]`](https://github.com/aspnet/AspNetCore/commit/483fba5972) Generate application part attributes
* [`[d987b48672]`](https://github.com/aspnet/AspNetCore/commit/d987b48672) Expect websockets to be disabled on Win7. (#649)
* [`[0b07894ea7]`](https://github.com/aspnet/AspNetCore/commit/0b07894ea7) fix srwlock initialize (#647)
* [`[d941a4be09]`](https://github.com/aspnet/AspNetCore/commit/d941a4be09) Workaround automatic Http2 upgrade in POSTs (#1571)
* [`[1318a83511]`](https://github.com/aspnet/AspNetCore/commit/1318a83511) Fixed the NextIs method to put back the symbol, when at the end of the file
* [`[faccd90aa5]`](https://github.com/aspnet/AspNetCore/commit/faccd90aa5) Added unit-tests to validate new methods
* [`[cb49b98b6f]`](https://github.com/aspnet/AspNetCore/commit/cb49b98b6f) Follow windows conventions for file versions (#646)
* [`[989a6c699f]`](https://github.com/aspnet/AspNetCore/commit/989a6c699f) Don't add the tag helper provider by default
* [`[f52771d0e9]`](https://github.com/aspnet/AspNetCore/commit/f52771d0e9) Fix MicrosoftExtensionsBuffersTestingSources package version variable
* [`[8e74412a4c]`](https://github.com/aspnet/AspNetCore/commit/8e74412a4c) Update to new corefx (#946)
* [`[4a4efe0f39]`](https://github.com/aspnet/AspNetCore/commit/4a4efe0f39) Update to new corefx (#1561)
* [`[77c5d2a971]`](https://github.com/aspnet/AspNetCore/commit/77c5d2a971) Update to new corefx (#642)
* [`[fc80c15a65]`](https://github.com/aspnet/AspNetCore/commit/fc80c15a65) Update to new corefx (#2369)
* [`[6885fb15d0]`](https://github.com/aspnet/AspNetCore/commit/6885fb15d0) Updated the test TagHelperBlockRewriteTest class
* [`[8dca8f030c]`](https://github.com/aspnet/AspNetCore/commit/8dca8f030c) moving recycle and shutdown to applicationinfo (#639)
* [`[ce2a5adb10]`](https://github.com/aspnet/AspNetCore/commit/ce2a5adb10) Use 10.0.15063.0 for Windows SDK
* [`[99aa25e4d8]`](https://github.com/aspnet/AspNetCore/commit/99aa25e4d8) Add Missing File Header (#1560)
* [`[adbd964efd]`](https://github.com/aspnet/AspNetCore/commit/adbd964efd) Transport Fallback (#1455)
* [`[4eea754dc3]`](https://github.com/aspnet/AspNetCore/commit/4eea754dc3) Don't create std log file for out of process when logs are disabled (#640)
* [`[98e270ea6a]`](https://github.com/aspnet/AspNetCore/commit/98e270ea6a) Exclude utility project from test discovery (#1556)
* [`[b6dc00229d]`](https://github.com/aspnet/AspNetCore/commit/b6dc00229d) Convert TestHost ResponseStream to use Pipes.
* [`[a41bf6228f]`](https://github.com/aspnet/AspNetCore/commit/a41bf6228f) Client sends user agent with version based on assembly version (#1551)
* [`[c46f164c26]`](https://github.com/aspnet/AspNetCore/commit/c46f164c26) Fix shared fx symbols name
* [`[42fbba3520]`](https://github.com/aspnet/AspNetCore/commit/42fbba3520) More detailed request timeout exceptions #2245
* [`[419ae06935]`](https://github.com/aspnet/AspNetCore/commit/419ae06935) fixing double locking issue (#637)
* [`[dbd557c965]`](https://github.com/aspnet/AspNetCore/commit/dbd557c965) Exclude the upgrade feature if the OS does not support it #427
* [`[f32addd408]`](https://github.com/aspnet/AspNetCore/commit/f32addd408) Update RecycleApplication function (#634)
* [`[4288ae2117]`](https://github.com/aspnet/AspNetCore/commit/4288ae2117) Update to Ubuntu 16.04
* [`[d6ba2ee966]`](https://github.com/aspnet/AspNetCore/commit/d6ba2ee966) Add wireframe for ConfigureApplicationPart
* [`[fd64d416d2]`](https://github.com/aspnet/AspNetCore/commit/fd64d416d2) Add pipeline files for dotnet-ci (#143)
* [`[1c44e8febf]`](https://github.com/aspnet/AspNetCore/commit/1c44e8febf) Fix streaming hub methods combined with async (#1544)
* [`[0e28f34c1a]`](https://github.com/aspnet/AspNetCore/commit/0e28f34c1a) Add general logging event to be used by the RequestHandler (#633)
* [`[5af246b554]`](https://github.com/aspnet/AspNetCore/commit/5af246b554) Ignore constructors when discovering actions
* [`[1b9313287b]`](https://github.com/aspnet/AspNetCore/commit/1b9313287b) Restrict HubProtocol on Server + HubOptions<THub> (#1492)
* [`[53360e0165]`](https://github.com/aspnet/AspNetCore/commit/53360e0165) Disable SynchronousReadAndWriteTest (#630)
* [`[c833e7b994]`](https://github.com/aspnet/AspNetCore/commit/c833e7b994) change the logic on handling configuration change and adds shutdown logic (#610)
* [`[68f58a8dd5]`](https://github.com/aspnet/AspNetCore/commit/68f58a8dd5) Fixes for NPM packages in preview1 (#1540)
* [`[7f8b23847e]`](https://github.com/aspnet/AspNetCore/commit/7f8b23847e) Add Microsoft.AspNet.WebApi.Client to .App and .All metapackages
* [`[c88f949c39]`](https://github.com/aspnet/AspNetCore/commit/c88f949c39) Be explicit about PipeScheduler.Inline (#2367)
* [`[e552b5861a]`](https://github.com/aspnet/AspNetCore/commit/e552b5861a) Switch default implementation of Pbkdf2 on Linux/macOS to Rfc2898DeriveBytes (#301)
* [`[1df139eb6d]`](https://github.com/aspnet/AspNetCore/commit/1df139eb6d) Clone tickets for sliding refresh #1607
* [`[846432c9ac]`](https://github.com/aspnet/AspNetCore/commit/846432c9ac) Improve unexpected server error message to client (#1532)
* [`[b86df651af]`](https://github.com/aspnet/AspNetCore/commit/b86df651af) Fix Http2ConnectionTests flakiness (#2364)
* [`[27e6c699e5]`](https://github.com/aspnet/AspNetCore/commit/27e6c699e5) Don't print normal output as error
* [`[eb3e6cfab5]`](https://github.com/aspnet/AspNetCore/commit/eb3e6cfab5) Realign all package versions (#941)
* [`[00da533f10]`](https://github.com/aspnet/AspNetCore/commit/00da533f10) NPM troubleshooting documentation (#1529)
* [`[42dcd0ba28]`](https://github.com/aspnet/AspNetCore/commit/42dcd0ba28) UrlHelperFactory.GetUrlHelper throws NullReferenceException when passed a null action context.
* [`[3517ecda2f]`](https://github.com/aspnet/AspNetCore/commit/3517ecda2f) Ensure DebugType = embedded and DebugType = none work
* [`[f061d328d9]`](https://github.com/aspnet/AspNetCore/commit/f061d328d9) Do not use `FormattedModelValue` in password editor template - #7418 - add quirk switch to reverse this if necessary
* [`[4e8a9d2493]`](https://github.com/aspnet/AspNetCore/commit/4e8a9d2493) Move reading and writing of Pipelines to a single loop; Cancel Read every time we write. (#582)
* [`[978938b7c3]`](https://github.com/aspnet/AspNetCore/commit/978938b7c3) Initial commit
* [`[3d20362df6]`](https://github.com/aspnet/AspNetCore/commit/3d20362df6) Add .gitignore and .gitattributes
* [`[cbffeb33ea]`](https://github.com/aspnet/AspNetCore/commit/cbffeb33ea) fixing a stress issue (#619)
* [`[0f6ba66e46]`](https://github.com/aspnet/AspNetCore/commit/0f6ba66e46) Add InMemoryTransportBenchmark (#2354)
* [`[c444f65c5d]`](https://github.com/aspnet/AspNetCore/commit/c444f65c5d) Import capabilities to support solution explorer nesting
* [`[8d1c85ab74]`](https://github.com/aspnet/AspNetCore/commit/8d1c85ab74) Add overload for AddModelError without ModelMetadata (#7407)
* [`[f954e9548b]`](https://github.com/aspnet/AspNetCore/commit/f954e9548b) Upgrade dependency versions
* [`[7b8c85f7dd]`](https://github.com/aspnet/AspNetCore/commit/7b8c85f7dd) Use dotnet-deb-tool 2.0.0 from the aspnetcore-dev myget feed
* [`[e71bfb99e8]`](https://github.com/aspnet/AspNetCore/commit/e71bfb99e8) Upgrade dependency versions
* [`[9839799645]`](https://github.com/aspnet/AspNetCore/commit/9839799645) Add CookiePolicy logging #1588
* [`[d476886803]`](https://github.com/aspnet/AspNetCore/commit/d476886803) Upgrade dependency versions
* [`[5bd650bdd1]`](https://github.com/aspnet/AspNetCore/commit/5bd650bdd1) Pack should pack symbol nupkg
* [`[17dd3e85cb]`](https://github.com/aspnet/AspNetCore/commit/17dd3e85cb) fix missing event log descriptions (#622)
* [`[00485d9f1b]`](https://github.com/aspnet/AspNetCore/commit/00485d9f1b) Fix #2099 - make AssemblyExtension public
* [`[0276bb199e]`](https://github.com/aspnet/AspNetCore/commit/0276bb199e) Produce an Alpine Linux version of the ASP.NET Core shared framework (#931)
* [`[3e0360a891]`](https://github.com/aspnet/AspNetCore/commit/3e0360a891) Fix #2041 - Add static constructor to DocumentWriter
* [`[af9974178b]`](https://github.com/aspnet/AspNetCore/commit/af9974178b) Added test (#1517)
* [`[300453396a]`](https://github.com/aspnet/AspNetCore/commit/300453396a) Pass StringValues via in (#2295)
* [`[92c511b2b4]`](https://github.com/aspnet/AspNetCore/commit/92c511b2b4) Fix #2099 - make AssemblyExtension public
* [`[3ffcc9bdb5]`](https://github.com/aspnet/AspNetCore/commit/3ffcc9bdb5) Add EFCore.Analyzers package
* [`[0c7ff81a9f]`](https://github.com/aspnet/AspNetCore/commit/0c7ff81a9f) Handle FileNotFoundException when it is thrown while attempting to send a file (#233)
* [`[ee6db5a7fd]`](https://github.com/aspnet/AspNetCore/commit/ee6db5a7fd) Switch to use forwarding instead of virtual handler (#27)
* [`[569c31bc62]`](https://github.com/aspnet/AspNetCore/commit/569c31bc62) Add some more logging (#1510)
* [`[9c74991ad6]`](https://github.com/aspnet/AspNetCore/commit/9c74991ad6) set the RID for tests in netfx (#1516)
* [`[e05c2abd94]`](https://github.com/aspnet/AspNetCore/commit/e05c2abd94) Fix #2041 - Add static constructor to DocumentWriter
* [`[2a5c27c789]`](https://github.com/aspnet/AspNetCore/commit/2a5c27c789) Add new package artifacts (#930)
* [`[d6784b5f16]`](https://github.com/aspnet/AspNetCore/commit/d6784b5f16) Report faults on Razor project system exceptions
* [`[437b34b746]`](https://github.com/aspnet/AspNetCore/commit/437b34b746) Reac to pipes in corefx (#926)
* [`[2dac2e34fa]`](https://github.com/aspnet/AspNetCore/commit/2dac2e34fa) Reac to pipes in corefx (#618)
* [`[8908eec6e7]`](https://github.com/aspnet/AspNetCore/commit/8908eec6e7) Pipelines in corefx (#1501)
* [`[fcbe74fbf1]`](https://github.com/aspnet/AspNetCore/commit/fcbe74fbf1) fix coding guideline issue. Use BOOL instead of bool (#620)
* [`[62df770c39]`](https://github.com/aspnet/AspNetCore/commit/62df770c39) PreserveCompilationContext needs to be set only if a project has any Razor files
* [`[6c7041b9f2]`](https://github.com/aspnet/AspNetCore/commit/6c7041b9f2) Update Secuirty submodule for WsFederation
* [`[21acbf06e8]`](https://github.com/aspnet/AspNetCore/commit/21acbf06e8) Update google auth endpoint to v2 #1307
* [`[13b25ec518]`](https://github.com/aspnet/AspNetCore/commit/13b25ec518) Reduce detailed payload logs to trace (#1515)
* [`[2a41837df4]`](https://github.com/aspnet/AspNetCore/commit/2a41837df4) Add new WsFederation package (#927)
* [`[c4eb501343]`](https://github.com/aspnet/AspNetCore/commit/c4eb501343) Emit warnings after off is called (#1513)
* [`[cc8acdff57]`](https://github.com/aspnet/AspNetCore/commit/cc8acdff57) Update facebook API version to 2.12 #1306
* [`[251d57942b]`](https://github.com/aspnet/AspNetCore/commit/251d57942b) Clean up error message when Razor compiler is not referenced
* [`[63f0322810]`](https://github.com/aspnet/AspNetCore/commit/63f0322810) Allow whitespace and backslash in path
* [`[f51ddf68a6]`](https://github.com/aspnet/AspNetCore/commit/f51ddf68a6) Add RazorGenerate items to UpToDateCheckInput
* [`[5cc4f315cb]`](https://github.com/aspnet/AspNetCore/commit/5cc4f315cb) Fix install text (#1506)
* [`[1790d6bdf0]`](https://github.com/aspnet/AspNetCore/commit/1790d6bdf0) Serialize once per format to increase perf in broadcasting scenarios (#1498)
* [`[d9778252d0]`](https://github.com/aspnet/AspNetCore/commit/d9778252d0) Sort header and query values
* [`[71b90a31a9]`](https://github.com/aspnet/AspNetCore/commit/71b90a31a9) websocket enabled check (#612)
* [`[a69d2fedaf]`](https://github.com/aspnet/AspNetCore/commit/a69d2fedaf) Update the TS Client Poll Timeout (#1499)
* [`[e35d0bc43f]`](https://github.com/aspnet/AspNetCore/commit/e35d0bc43f) Add more fine grained logging to RazorViewCompiler
* [`[d67a604b84]`](https://github.com/aspnet/AspNetCore/commit/d67a604b84) Add pretty title
* [`[a1aaf6f44e]`](https://github.com/aspnet/AspNetCore/commit/a1aaf6f44e) Create CrossRepoBreakingChanges.md
* [`[4dc2c17f04]`](https://github.com/aspnet/AspNetCore/commit/4dc2c17f04) Add script for setting and pushing tags (#919)
* [`[8594d2b897]`](https://github.com/aspnet/AspNetCore/commit/8594d2b897) Use Threadpool for pipe scheduler (#1497)
* [`[b60e4cfea6]`](https://github.com/aspnet/AspNetCore/commit/b60e4cfea6) Removing remnants from the days of OPTIONS (#1495)
* [`[4a49d6dd75]`](https://github.com/aspnet/AspNetCore/commit/4a49d6dd75) Restore "Force conformance tests to run on the CI (#228)" (#229)
* [`[aa21a6be6e]`](https://github.com/aspnet/AspNetCore/commit/aa21a6be6e) Use File.Open overload that overwrites file entirely in DiscoverCommand (#2110)
* [`[83bf2375b3]`](https://github.com/aspnet/AspNetCore/commit/83bf2375b3) #2035 Do not await OnCompleted handlers before sending the Response (#2324)
* [`[0e4731e480]`](https://github.com/aspnet/AspNetCore/commit/0e4731e480) Expose Transport and Application Max Buffer Sizes (#1473)
* [`[06945ba81e]`](https://github.com/aspnet/AspNetCore/commit/06945ba81e) Include exceptions when displaying test logs (#2346)
* [`[c4304ea723]`](https://github.com/aspnet/AspNetCore/commit/c4304ea723) Add dotnet-aspnet-codegenerator to artifacts.props
* [`[0134e56909]`](https://github.com/aspnet/AspNetCore/commit/0134e56909) Include exceptions when displaying test logs (#2344)
* [`[b538ceba93]`](https://github.com/aspnet/AspNetCore/commit/b538ceba93) Change final code documents to not contain non-existent imports.
* [`[de7e2a2573]`](https://github.com/aspnet/AspNetCore/commit/de7e2a2573) Use enum for method rather than string compares (#2294)
* [`[f7da0edcb2]`](https://github.com/aspnet/AspNetCore/commit/f7da0edcb2) Skip ConnectionCanSendAndReceiveMessages
* [`[39951e892e]`](https://github.com/aspnet/AspNetCore/commit/39951e892e) Don't throw in HttpRequestStream.Flush (#2342)
* [`[6728e756b7]`](https://github.com/aspnet/AspNetCore/commit/6728e756b7) Sanitize and centralize exception throws (#2293)
* [`[6a2d41cc9f]`](https://github.com/aspnet/AspNetCore/commit/6a2d41cc9f) Fix #924 by introducing HubDispatcher abstraction (#1479)
* [`[64c86634a8]`](https://github.com/aspnet/AspNetCore/commit/64c86634a8) Added a test to verify incremental TagHelper discovery
* [`[1796abcbcd]`](https://github.com/aspnet/AspNetCore/commit/1796abcbcd) Updated the test TagHelperBlockRewriteTest class
* [`[6252ffd86a]`](https://github.com/aspnet/AspNetCore/commit/6252ffd86a) Flatten exception handling (#2313)
* [`[c57784447e]`](https://github.com/aspnet/AspNetCore/commit/c57784447e) Speed up TryGetAsciiString (#1973)
* [`[c0f88ebdc1]`](https://github.com/aspnet/AspNetCore/commit/c0f88ebdc1) Faster IFeatureCollection.Get<TFeature> (#2290)
* [`[32baa655b9]`](https://github.com/aspnet/AspNetCore/commit/32baa655b9) Do over the websocket transport (#1481)
* [`[c29531f2eb]`](https://github.com/aspnet/AspNetCore/commit/c29531f2eb) Delimit key values for query strings
* [`[68b3df8fe9]`](https://github.com/aspnet/AspNetCore/commit/68b3df8fe9) Don't ship global CLI tool packages to nuget.org or put into LZMA (#906)
* [`[8cac91b15e]`](https://github.com/aspnet/AspNetCore/commit/8cac91b15e) Update jQuery (#307)
* [`[e9ccf1a11d]`](https://github.com/aspnet/AspNetCore/commit/e9ccf1a11d) Update AzureIntegration submodule
* [`[c5c4ff4b9c]`](https://github.com/aspnet/AspNetCore/commit/c5c4ff4b9c) Add SDK feed override (#157)
* [`[590c621c6f]`](https://github.com/aspnet/AspNetCore/commit/590c621c6f) Update README to reflect that dotnet-watch et. al. are bundled in the CLI
* [`[fd38a67f80]`](https://github.com/aspnet/AspNetCore/commit/fd38a67f80) Drop Pipelines.Testing dependency that we don't use (#915)
* [`[dc62b9ba38]`](https://github.com/aspnet/AspNetCore/commit/dc62b9ba38) adding mof file for freb log (#603)
* [`[d996f6b7fc]`](https://github.com/aspnet/AspNetCore/commit/d996f6b7fc) Drop Pipelines.Testing dependency that we don't use (#2343)
* [`[70dcbf6ed6]`](https://github.com/aspnet/AspNetCore/commit/70dcbf6ed6) Add UnprotectKeysWithAnyCertificate
* [`[09adc4a847]`](https://github.com/aspnet/AspNetCore/commit/09adc4a847) Add timeout back to hanging test (#1480)
* [`[3f96f6e232]`](https://github.com/aspnet/AspNetCore/commit/3f96f6e232) Add new Http.Polly package to universe
* [`[12f7a0367d]`](https://github.com/aspnet/AspNetCore/commit/12f7a0367d) Fail script when push to repo fails
* [`[4f3e044928]`](https://github.com/aspnet/AspNetCore/commit/4f3e044928) HtmlHelper.DisplayTextFor should use DisplayAttribute of enums - #7033
* [`[6f9e7728ca]`](https://github.com/aspnet/AspNetCore/commit/6f9e7728ca) Use FeatureBranchVersionSuffix when generating VersionSuffix
* [`[782b563a58]`](https://github.com/aspnet/AspNetCore/commit/782b563a58) fixing empty logfile name in event log (#602)
* [`[6d7269dafb]`](https://github.com/aspnet/AspNetCore/commit/6d7269dafb) Return HTTP 404 if FileNotFoundException is thrown when attempting to send a file (#232)
* [`[21b1febf2b]`](https://github.com/aspnet/AspNetCore/commit/21b1febf2b) Adds environment variable feature for inprocess (#583)
* [`[540e8437da]`](https://github.com/aspnet/AspNetCore/commit/540e8437da) Enable PreserveCompilationContext by default
* [`[33e60ae363]`](https://github.com/aspnet/AspNetCore/commit/33e60ae363) Separate VS/DesignTime properties from general SDK properties
* [`[8938f6c8c2]`](https://github.com/aspnet/AspNetCore/commit/8938f6c8c2) Change the default extension for Razor views to .Views.dll
* [`[1f6e2c8029]`](https://github.com/aspnet/AspNetCore/commit/1f6e2c8029) grant the config setting on 502.5 page setting (#600)
* [`[e3d3b088ae]`](https://github.com/aspnet/AspNetCore/commit/e3d3b088ae) adding logging for outprocess start and application recycle (#573)
* [`[c5e83c61f8]`](https://github.com/aspnet/AspNetCore/commit/c5e83c61f8) Changed AddDefaultImports to take strings instead of project items.
* [`[873cfa9adf]`](https://github.com/aspnet/AspNetCore/commit/873cfa9adf) In SpaProxy, don't fail if there are non-forwardable headers. Fixes #1543.
* [`[7debea272c]`](https://github.com/aspnet/AspNetCore/commit/7debea272c) Update Angular template content to match @angular/cli@1.7.0
* [`[3fc69dc71f]`](https://github.com/aspnet/AspNetCore/commit/3fc69dc71f) Updated Streams to override Memory and Span overloads (#2333)
* [`[ff496ca580]`](https://github.com/aspnet/AspNetCore/commit/ff496ca580) Fix absolute paths to dotnet (#597)
* [`[9a9a2cf66a]`](https://github.com/aspnet/AspNetCore/commit/9a9a2cf66a) Make content files work better in class library projects referencing Razor Sdk
* [`[b3a33efeae]`](https://github.com/aspnet/AspNetCore/commit/b3a33efeae) Update MsgPack-Cli version
* [`[d9122fbdf7]`](https://github.com/aspnet/AspNetCore/commit/d9122fbdf7) update SignalR and MsgPack-Cli version (#909)
* [`[c8d4cf689f]`](https://github.com/aspnet/AspNetCore/commit/c8d4cf689f) Tackling some low hanging performance fruit (#1470)
* [`[f868fd8558]`](https://github.com/aspnet/AspNetCore/commit/f868fd8558) Rename cumulatvie runtimestores for publishing
* [`[3ca7c0365a]`](https://github.com/aspnet/AspNetCore/commit/3ca7c0365a) Force conformance tests to run on the CI (#228)
* [`[c395db12e6]`](https://github.com/aspnet/AspNetCore/commit/c395db12e6) Fix path searching for where.exe and request handler parsing (#595)
* [`[2a7d2ea12e]`](https://github.com/aspnet/AspNetCore/commit/2a7d2ea12e) Produce timestamped cumulative runtime store archives to enable ingestion of timestamped packages
* [`[0b777dad3f]`](https://github.com/aspnet/AspNetCore/commit/0b777dad3f) Decouple tooling from MVC assemblies
* [`[5008c7803c]`](https://github.com/aspnet/AspNetCore/commit/5008c7803c) Add a project system
* [`[59a1cf9293]`](https://github.com/aspnet/AspNetCore/commit/59a1cf9293) Add support for method parameters to Razor IR
* [`[fcf6ea03a9]`](https://github.com/aspnet/AspNetCore/commit/fcf6ea03a9) Add IDE extensibility for project engine
* [`[b644ecfeaa]`](https://github.com/aspnet/AspNetCore/commit/b644ecfeaa) Relayer interaction between extensions and engine
* [`[13824c418e]`](https://github.com/aspnet/AspNetCore/commit/13824c418e) Catch 15.7 up with dev
* [`[049caf0c10]`](https://github.com/aspnet/AspNetCore/commit/049caf0c10) Use RTM `Microsoft.AspNet.WebApi.Client` package - aspnet/Mvc#7212
* [`[0891903596]`](https://github.com/aspnet/AspNetCore/commit/0891903596) Use RTM `Microsoft.AspNet.WebApi.Client` package - aspnet/Mvc#7212
* [`[a2ac9c573e]`](https://github.com/aspnet/AspNetCore/commit/a2ac9c573e) Added try finally to semaphore release (#1469)
* [`[1f8591184e]`](https://github.com/aspnet/AspNetCore/commit/1f8591184e) Use ReferenceEquals not MulticastDelegate.equals (#2330)
* [`[de7faec246]`](https://github.com/aspnet/AspNetCore/commit/de7faec246) Pass the array segment offset to WriteAsync (#1467)
* [`[a513386f68]`](https://github.com/aspnet/AspNetCore/commit/a513386f68) Somehow the token didn't get passed into the reader (#1465)
* [`[43106f688a]`](https://github.com/aspnet/AspNetCore/commit/43106f688a) Re-enable "Move to RazorProjectEngine."
* [`[1fe383b973]`](https://github.com/aspnet/AspNetCore/commit/1fe383b973) Duplicate logic for Experimental
* [`[b48aeaf323]`](https://github.com/aspnet/AspNetCore/commit/b48aeaf323) Add Polly.Signed to lineup (#882)
* [`[10ae07774e]`](https://github.com/aspnet/AspNetCore/commit/10ae07774e) Fix experimental projects
* [`[eea8c1a146]`](https://github.com/aspnet/AspNetCore/commit/eea8c1a146) Support decrypting keys with X509Certificate that is not in the X509Store
* [`[06e225dc9f]`](https://github.com/aspnet/AspNetCore/commit/06e225dc9f) Better error for when you forget to clone submodules
* [`[ab472117ef]`](https://github.com/aspnet/AspNetCore/commit/ab472117ef) Update AspNetCoreRuntime package properties (#155)
* [`[1bd37cabf0]`](https://github.com/aspnet/AspNetCore/commit/1bd37cabf0) Make it possible to run the Browser Functional Tests from the command line (#1448)
* [`[1c451a7ff4]`](https://github.com/aspnet/AspNetCore/commit/1c451a7ff4) Update the remarks section for ViewData (#7371)
* [`[251ea37b49]`](https://github.com/aspnet/AspNetCore/commit/251ea37b49) Update Controller.cs
* [`[1f94925afa]`](https://github.com/aspnet/AspNetCore/commit/1f94925afa) Add note about required NPM version (#1462)
* [`[9ec207399d]`](https://github.com/aspnet/AspNetCore/commit/9ec207399d) bug fix: unused parameter in the constructor
* [`[87c3ca4752]`](https://github.com/aspnet/AspNetCore/commit/87c3ca4752) Send stderr logs to anonymous pipe instead of file when logging is disabled. (#549)
* [`[177e22ef41]`](https://github.com/aspnet/AspNetCore/commit/177e22ef41) Publish the Windows Server hosting bundle in prodcon output (#897)
* [`[dd5a84bd0e]`](https://github.com/aspnet/AspNetCore/commit/dd5a84bd0e) Add MVC razor extensions to the MvcSandbox
* [`[608330dc86]`](https://github.com/aspnet/AspNetCore/commit/608330dc86) Move to RazorProjectEngine.
* [`[00b0329059]`](https://github.com/aspnet/AspNetCore/commit/00b0329059) No more ExperimentalProjectVersionPrefix
* [`[50641534ad]`](https://github.com/aspnet/AspNetCore/commit/50641534ad) Publish corefxlab packages to the transport feed
* [`[e27009528f]`](https://github.com/aspnet/AspNetCore/commit/e27009528f) Add reference to MVC.Razor.Extensions
* [`[c293267421]`](https://github.com/aspnet/AspNetCore/commit/c293267421) Fixed unnecessary invocation of TagHelper target
* [`[a13a0aa8c4]`](https://github.com/aspnet/AspNetCore/commit/a13a0aa8c4) WebSdk transitions (#2078)
* [`[47e6d71215]`](https://github.com/aspnet/AspNetCore/commit/47e6d71215) test
* [`[d78e7ea80d]`](https://github.com/aspnet/AspNetCore/commit/d78e7ea80d) Fixed race in sockets transport (#2279) (#2322)
* [`[56ead8118a]`](https://github.com/aspnet/AspNetCore/commit/56ead8118a) Decouple Razor tools from MVC
* [`[334c3bd6c9]`](https://github.com/aspnet/AspNetCore/commit/334c3bd6c9) Use correct directory for packing sharedfx files
* [`[66714b5fc0]`](https://github.com/aspnet/AspNetCore/commit/66714b5fc0) Use ExperimentalPackageVersion
* [`[16bcd8871e]`](https://github.com/aspnet/AspNetCore/commit/16bcd8871e) WebSdk transitions
* [`[29920b7723]`](https://github.com/aspnet/AspNetCore/commit/29920b7723) Disable first time run experience (#153)
* [`[f1e63e0f9e]`](https://github.com/aspnet/AspNetCore/commit/f1e63e0f9e) Use ExperimentalPackageVersion
* [`[188aa81949]`](https://github.com/aspnet/AspNetCore/commit/188aa81949) Add spec for requirements of the LZMA [ci skip]
* [`[501c180b5f]`](https://github.com/aspnet/AspNetCore/commit/501c180b5f) Use properties in package props to redirect imports
* [`[961ed8992c]`](https://github.com/aspnet/AspNetCore/commit/961ed8992c) Add SITE_EXTENSION_SDK_VERSION override (#151)
* [`[14332c5daf]`](https://github.com/aspnet/AspNetCore/commit/14332c5daf) Allows Content-Length for 304 Not Modified response (#2321)
* [`[4ca45d951f]`](https://github.com/aspnet/AspNetCore/commit/4ca45d951f) Increment index by 1 as indexOf is inclusive when searching for dotnet.exe (#589)
* [`[81eca88270]`](https://github.com/aspnet/AspNetCore/commit/81eca88270) Enable KeyVault hosting startup (#149)
* [`[06e40252a0]`](https://github.com/aspnet/AspNetCore/commit/06e40252a0) Add support for top level validation to Razor Pages
* [`[fec15b8246]`](https://github.com/aspnet/AspNetCore/commit/fec15b8246) Split dependency versions into pinned vs automatically updated/overridden (#879)
* [`[02200d4c11]`](https://github.com/aspnet/AspNetCore/commit/02200d4c11) Integrate new WebSDK
* [`[a6165304b3]`](https://github.com/aspnet/AspNetCore/commit/a6165304b3) Add ExperimentalPackageVersion
* [`[133eff3119]`](https://github.com/aspnet/AspNetCore/commit/133eff3119) Move to RazorProjectEngine.
* [`[8770751a97]`](https://github.com/aspnet/AspNetCore/commit/8770751a97) Update the remarks section for ViewData
* [`[551158c239]`](https://github.com/aspnet/AspNetCore/commit/551158c239) Fixed exception during deserialization of a message with Redis (#1426)
* [`[9aa67caa59]`](https://github.com/aspnet/AspNetCore/commit/9aa67caa59) Put aspnetcore-runtime installers into a subfolder in dotnetcli (#886)
* [`[37db7a2367]`](https://github.com/aspnet/AspNetCore/commit/37db7a2367) Enable KeyVault hosting startup (#149)
* [`[5e97b02de6]`](https://github.com/aspnet/AspNetCore/commit/5e97b02de6) Mark Microsoft.AspNetCore.AspNetCoreModule as not-shipping
* [`[82579b6333]`](https://github.com/aspnet/AspNetCore/commit/82579b6333) Get rid of RazorConfiguration.DesignTime
* [`[5e1220377e]`](https://github.com/aspnet/AspNetCore/commit/5e1220377e) Mark Microsoft.AspNetCore.AspNetCoreModule as shipping
* [`[d9b32ee323]`](https://github.com/aspnet/AspNetCore/commit/d9b32ee323) Logging invocations with errors would throw inside logger (#1445)
* [`[d20d47924c]`](https://github.com/aspnet/AspNetCore/commit/d20d47924c) Add HostString.MatchesAny #2863
* [`[5483ea80f3]`](https://github.com/aspnet/AspNetCore/commit/5483ea80f3) Rebase fixes
* [`[b7c61128af]`](https://github.com/aspnet/AspNetCore/commit/b7c61128af) Resolve portable pdbs from symbols packages
* [`[6c4f043136]`](https://github.com/aspnet/AspNetCore/commit/6c4f043136) Include SignalR packages in .App/.All
* [`[3f3ac47d2e]`](https://github.com/aspnet/AspNetCore/commit/3f3ac47d2e) Update readme with generic rpm installer name
* [`[e21df792fb]`](https://github.com/aspnet/AspNetCore/commit/e21df792fb) Rename generic rpm installers
* [`[6abf11a3bb]`](https://github.com/aspnet/AspNetCore/commit/6abf11a3bb) Prepare output paths (#860)
* [`[ad4b73ebe9]`](https://github.com/aspnet/AspNetCore/commit/ad4b73ebe9) Fix property name in universe (#857)
* [`[bb5bf073c2]`](https://github.com/aspnet/AspNetCore/commit/bb5bf073c2) Update to final versions
* [`[6c22f25818]`](https://github.com/aspnet/AspNetCore/commit/6c22f25818) Client pipelines (#1435)
* [`[23c1fed2e4]`](https://github.com/aspnet/AspNetCore/commit/23c1fed2e4) Resolve portable pdbs from symbols packages
* [`[f4585bdbfd]`](https://github.com/aspnet/AspNetCore/commit/f4585bdbfd) Re-enable templates tests on CI (#874)
* [`[456121af8b]`](https://github.com/aspnet/AspNetCore/commit/456121af8b) Fix #320 - skip the certificate error page in Edge
* [`[c733156596]`](https://github.com/aspnet/AspNetCore/commit/c733156596) SDK changes needed to decouple Razor from MVC
* [`[183f476492]`](https://github.com/aspnet/AspNetCore/commit/183f476492) Add site extension store and additonal deps environmetn variables (#146)
* [`[4c08acd8a4]`](https://github.com/aspnet/AspNetCore/commit/4c08acd8a4) Don't allocate all the memory up front when receiving incoming sends (#1433)
* [`[94155b0e89]`](https://github.com/aspnet/AspNetCore/commit/94155b0e89) Use protocol.abstractions primitives instead of socket abstractions (#1432)
* [`[01f4bf01cc]`](https://github.com/aspnet/AspNetCore/commit/01f4bf01cc) Disambiguate between protocol abstractions and sockets (this is temporary)
* [`[f65e89294d]`](https://github.com/aspnet/AspNetCore/commit/f65e89294d) Add Plaintext sample (#2312)
* [`[342c4c44f6]`](https://github.com/aspnet/AspNetCore/commit/342c4c44f6) Change namespace to avoid conflict
* [`[e3f197cef0]`](https://github.com/aspnet/AspNetCore/commit/e3f197cef0) Use protocol.abstractions primitives instead of socket abstractions (#1429)
* [`[2156030460]`](https://github.com/aspnet/AspNetCore/commit/2156030460) Clean up some of protocol abstractions (#2311)
* [`[2ed78d5762]`](https://github.com/aspnet/AspNetCore/commit/2ed78d5762) Don't expose Channel from HubConnectionContext (#1428)
* [`[28439d1441]`](https://github.com/aspnet/AspNetCore/commit/28439d1441) Initial changes to move to pipelines (#1424)
* [`[3375fc8b99]`](https://github.com/aspnet/AspNetCore/commit/3375fc8b99) Change RazorProjectEngine to operate on RazorProjectItems.
* [`[a7676ddaf4]`](https://github.com/aspnet/AspNetCore/commit/a7676ddaf4) Include SignalR packages in .App/.All
* [`[e81e124586]`](https://github.com/aspnet/AspNetCore/commit/e81e124586) Fix whitespaces
* [`[1f3a26051d]`](https://github.com/aspnet/AspNetCore/commit/1f3a26051d) Fix duplicated namespace on startup
* [`[6bb798d2b7]`](https://github.com/aspnet/AspNetCore/commit/6bb798d2b7) Add minimumsamesitepolicy.None in the cookie policy options on the templates
* [`[67cf534bda]`](https://github.com/aspnet/AspNetCore/commit/67cf534bda) Fix B2C templates
* [`[8d5fa7da7d]`](https://github.com/aspnet/AspNetCore/commit/8d5fa7da7d) Update readme with generic rpm installer name
* [`[a5cba06ef8]`](https://github.com/aspnet/AspNetCore/commit/a5cba06ef8) Rename generic rpm installers
* [`[84bc74ea9f]`](https://github.com/aspnet/AspNetCore/commit/84bc74ea9f) Move to RazorProjectFileSystem.
* [`[1a77aecf68]`](https://github.com/aspnet/AspNetCore/commit/1a77aecf68) Align NETStandard.Library version variable with Universe
* [`[a64672d6e9]`](https://github.com/aspnet/AspNetCore/commit/a64672d6e9) Ensure publish directory is cleaned when /t:Clean is executed [ci skip]
* [`[0608de37dc]`](https://github.com/aspnet/AspNetCore/commit/0608de37dc) Upgrade dependencies to 2.1.0-preview1-28258
* [`[5dd590e75e]`](https://github.com/aspnet/AspNetCore/commit/5dd590e75e) Add clearer exception message to HttpResponseStream ODE (#2305)
* [`[e537cdd319]`](https://github.com/aspnet/AspNetCore/commit/e537cdd319) Prepare for Razor Sdk to be imported by Web Sdk
* [`[184520f501]`](https://github.com/aspnet/AspNetCore/commit/184520f501) Adding AngleSharp for testing purposes
* [`[06f1340f2a]`](https://github.com/aspnet/AspNetCore/commit/06f1340f2a) [2.1] Update initial identity migration (#313)
* [`[4040cb9638]`](https://github.com/aspnet/AspNetCore/commit/4040cb9638) Create all directories and make it by default (#862)
* [`[508d7ab9e1]`](https://github.com/aspnet/AspNetCore/commit/508d7ab9e1) Prepare output paths (#860)
* [`[bf5f40b1ed]`](https://github.com/aspnet/AspNetCore/commit/bf5f40b1ed) In Websocket proxy, don't forward User-Agent. Fixes #1469.
* [`[3d118de0d5]`](https://github.com/aspnet/AspNetCore/commit/3d118de0d5) Pass properties to super in derived classes. Fixes #289
* [`[6b44610079]`](https://github.com/aspnet/AspNetCore/commit/6b44610079) Align class event handler creation with React docs
* [`[c000f6af2d]`](https://github.com/aspnet/AspNetCore/commit/c000f6af2d) Update Angular template to match @angular/cli@1.6.8 output
* [`[331bf3515d]`](https://github.com/aspnet/AspNetCore/commit/331bf3515d) Add TSLint rule file and fix all violations (#1381)
* [`[72255f5338]`](https://github.com/aspnet/AspNetCore/commit/72255f5338) Fix property name in universe (#857)
* [`[0b2f053ad8]`](https://github.com/aspnet/AspNetCore/commit/0b2f053ad8) Fix #785 - publish nuget packages and the shared runtime at the same time
* [`[0435b6dc6e]`](https://github.com/aspnet/AspNetCore/commit/0435b6dc6e) add headers and revamp msgpack tests (#1382)
* [`[e12c666ed7]`](https://github.com/aspnet/AspNetCore/commit/e12c666ed7) Upgrade Remotion.Linq dependency to RTM
* [`[7b9da556fb]`](https://github.com/aspnet/AspNetCore/commit/7b9da556fb) Add `HttpRequestRewindExtensions` - aspnet/Home#2684 - makes the `BufferingHelper` methods used in MVC and WebHooks `public`
* [`[d27e66a8fc]`](https://github.com/aspnet/AspNetCore/commit/d27e66a8fc) Initialize ViewContext for TagHelperComponentTagHelper (#7326)
* [`[6d757988c9]`](https://github.com/aspnet/AspNetCore/commit/6d757988c9) Integrate new Sdk
* [`[0a7edd665e]`](https://github.com/aspnet/AspNetCore/commit/0a7edd665e) Added another integration test
* [`[7490b4413c]`](https://github.com/aspnet/AspNetCore/commit/7490b4413c) Change GenerateMPACK ItemGroup names to be non-plural.
* [`[83c31f611f]`](https://github.com/aspnet/AspNetCore/commit/83c31f611f) Update GenerateMPACK to capture PDBs.
* [`[9162ab3436]`](https://github.com/aspnet/AspNetCore/commit/9162ab3436) Default to using program files if where.exe doesn't find dotnet.exe (#578)
* [`[e133377d72]`](https://github.com/aspnet/AspNetCore/commit/e133377d72) Upgrade dependencies
* [`[c062d637fe]`](https://github.com/aspnet/AspNetCore/commit/c062d637fe) Add new contructor in SelectListItem.cs
* [`[57ce00d9ad]`](https://github.com/aspnet/AspNetCore/commit/57ce00d9ad) Fix conflicts / rebase (#1412)
* [`[bfb86b71df]`](https://github.com/aspnet/AspNetCore/commit/bfb86b71df) Fixing support for Protobuf in SocialWeather (#1362)
* [`[816ecf5cda]`](https://github.com/aspnet/AspNetCore/commit/816ecf5cda) Reduce the amount of argument checking by flattening the call graph. (#995)
* [`[0ec2bd4e76]`](https://github.com/aspnet/AspNetCore/commit/0ec2bd4e76) Add .App to LZMA
* [`[0f9d1f13ed]`](https://github.com/aspnet/AspNetCore/commit/0f9d1f13ed) Publish symbol packages to transport feed
* [`[594f03e935]`](https://github.com/aspnet/AspNetCore/commit/594f03e935) fix version in version.props (#1398)
* [`[a0c47c0c66]`](https://github.com/aspnet/AspNetCore/commit/a0c47c0c66) Increase ServerFixture startup timeout (#1409)
* [`[672a5f3c76]`](https://github.com/aspnet/AspNetCore/commit/672a5f3c76) Allow null value in query string KVP per RFC 3986 (#994)
* [`[711436b7a1]`](https://github.com/aspnet/AspNetCore/commit/711436b7a1) Notify which package is missing
* [`[84beb5985f]`](https://github.com/aspnet/AspNetCore/commit/84beb5985f) Add support for relative paths
* [`[450900d14c]`](https://github.com/aspnet/AspNetCore/commit/450900d14c) Added protected ctor to AuthenticationSchemeProvider (#990)
* [`[32659f2f00]`](https://github.com/aspnet/AspNetCore/commit/32659f2f00) Add SiteExtension readme (#142)
* [`[0df6bfb839]`](https://github.com/aspnet/AspNetCore/commit/0df6bfb839) Change the casing of Sdk to match other Sdks
* [`[f35d96b0db]`](https://github.com/aspnet/AspNetCore/commit/f35d96b0db) Include Microsoft.AspNetCore.App in the LZMA
* [`[e353005562]`](https://github.com/aspnet/AspNetCore/commit/e353005562) Use correct ArgumentNullException parameter name (#436)
* [`[e035d0ed96]`](https://github.com/aspnet/AspNetCore/commit/e035d0ed96) Fail fast on .NET Full Framework and log exceptions in hostfxr utility (#533)
* [`[870f023aa9]`](https://github.com/aspnet/AspNetCore/commit/870f023aa9) Add prelimianry support for extensions to Razor (#2012)
* [`[5b28c06d64]`](https://github.com/aspnet/AspNetCore/commit/5b28c06d64) Add prelimianry support for extensions to Razor (#2012)
* [`[6d21d9c04b]`](https://github.com/aspnet/AspNetCore/commit/6d21d9c04b) Raise IdentityModel dependencies to 5.2.0. Add new WsFed dependencies.
* [`[216e9f62c4]`](https://github.com/aspnet/AspNetCore/commit/216e9f62c4) Fix kestrel urls in launchSettings.json
* [`[a4427f5263]`](https://github.com/aspnet/AspNetCore/commit/a4427f5263) Fix kestrel urls in launchSettings.json
* [`[93b10d9060]`](https://github.com/aspnet/AspNetCore/commit/93b10d9060) Shorten logger to prevent longpath
* [`[ea9a74ee3c]`](https://github.com/aspnet/AspNetCore/commit/ea9a74ee3c) Change RazorTextViewConnectionListener to not depend on a primary workspace.
* [`[4f82c3e230]`](https://github.com/aspnet/AspNetCore/commit/4f82c3e230) Add new WsFederation package and dependencies
* [`[60cbedf5ee]`](https://github.com/aspnet/AspNetCore/commit/60cbedf5ee) Don't throw in Nginx deployer dispose (#1327)
* [`[8461158306]`](https://github.com/aspnet/AspNetCore/commit/8461158306) Use consistent file casing for Razor Sdk
* [`[fd62b194ca]`](https://github.com/aspnet/AspNetCore/commit/fd62b194ca) Update project .gitignore. Closes #280
* [`[eb5abc6ac5]`](https://github.com/aspnet/AspNetCore/commit/eb5abc6ac5) Add CPS dependencies
* [`[35779abd9a]`](https://github.com/aspnet/AspNetCore/commit/35779abd9a) Rename Microsoft.AspNetCore.Razor.Sdk to Microsoft.NET.Sdk.Razor
* [`[9ff2d2f87d]`](https://github.com/aspnet/AspNetCore/commit/9ff2d2f87d) Add CPS dependencies
* [`[8079ab8b58]`](https://github.com/aspnet/AspNetCore/commit/8079ab8b58) Adding host configurations for F# templates (#281)
* [`[ebeb7b93f9]`](https://github.com/aspnet/AspNetCore/commit/ebeb7b93f9) Add empty TypeScript starter template file. Closes #279
* [`[e0e4b007ec]`](https://github.com/aspnet/AspNetCore/commit/e0e4b007ec) Use http method names from HttpAbstractions
* [`[4eea2f6992]`](https://github.com/aspnet/AspNetCore/commit/4eea2f6992) Change DefaultTagHelperFactsService to not expect a primary workspace.
* [`[58411b4cc4]`](https://github.com/aspnet/AspNetCore/commit/58411b4cc4) Use header names from HttpAbstractions
* [`[d452ff44b3]`](https://github.com/aspnet/AspNetCore/commit/d452ff44b3) Include portable symbols in nupkgs (#2009)
* [`[1ea32bd569]`](https://github.com/aspnet/AspNetCore/commit/1ea32bd569) [Fixes #283] Updates vs-2017.3.host.json to include the HTTP port
* [`[2eef8fdff2]`](https://github.com/aspnet/AspNetCore/commit/2eef8fdff2) Add retries to help with test flakiness
* [`[64f9474eb1]`](https://github.com/aspnet/AspNetCore/commit/64f9474eb1) Change RazorCodeDocumentProvider to not be per-workspace.
* [`[b61dc35ee6]`](https://github.com/aspnet/AspNetCore/commit/b61dc35ee6) fix #1199 by suppressing ODE in received callback (#1395)
* [`[fff1c01aa0]`](https://github.com/aspnet/AspNetCore/commit/fff1c01aa0) Add Mac implementation of VisualStudioWorkspaceAccessor new APIs.
* [`[6d2460ae7f]`](https://github.com/aspnet/AspNetCore/commit/6d2460ae7f) Update DefaultRazorEditorFactoryService to be per-workspace.
* [`[5e454a36fa]`](https://github.com/aspnet/AspNetCore/commit/5e454a36fa) Change TextBufferProjectService to not be per-workspace.
* [`[c0b8be58ba]`](https://github.com/aspnet/AspNetCore/commit/c0b8be58ba) Add scheme forwarding (authN policies) (#1625)
* [`[f58ea8133b]`](https://github.com/aspnet/AspNetCore/commit/f58ea8133b) fix #1387 by removing our hacky EventSource typings (#1393)
* [`[818d4256aa]`](https://github.com/aspnet/AspNetCore/commit/818d4256aa) Fix #1999
* [`[94cfac8ec6]`](https://github.com/aspnet/AspNetCore/commit/94cfac8ec6) Use Microsoft.AspNetCore.App in templates
* [`[3ad022d5a9]`](https://github.com/aspnet/AspNetCore/commit/3ad022d5a9) Include SpaServices.Extensions in .App and .All metapackages
* [`[e4e837fa24]`](https://github.com/aspnet/AspNetCore/commit/e4e837fa24) Flatten dependencies of Microsoft.AspNetCore.All metapackage
* [`[2233481d34]`](https://github.com/aspnet/AspNetCore/commit/2233481d34) Ensure all packages are included in ArtifactInfo
* [`[2d5ab4d741]`](https://github.com/aspnet/AspNetCore/commit/2d5ab4d741) Add note about using latest tsc version to README (#1390)
* [`[9119433ab7]`](https://github.com/aspnet/AspNetCore/commit/9119433ab7) Add the middleware name to the exception message UseMiddlewareNoInvokeMethod (#993)
* [`[dea3eb7856]`](https://github.com/aspnet/AspNetCore/commit/dea3eb7856) Not instantiating the RequestHeaders and not relying on TypedHeaders to parse AcceptCharset
* [`[930664de6e]`](https://github.com/aspnet/AspNetCore/commit/930664de6e) Add INFO level logging (#7314)
* [`[6b095cf533]`](https://github.com/aspnet/AspNetCore/commit/6b095cf533) Allow overriding the hosting service provider  (#1325)
* [`[f8d61a4c52]`](https://github.com/aspnet/AspNetCore/commit/f8d61a4c52) Dispose the host if Initialize fails (#1324)
* [`[8cecca07a2]`](https://github.com/aspnet/AspNetCore/commit/8cecca07a2) Fix race in Restart during Close task (#1263)
* [`[cf951a16db]`](https://github.com/aspnet/AspNetCore/commit/cf951a16db) Workaround flakiness in compiling the ChatSample (#1384)
* [`[1f810fd535]`](https://github.com/aspnet/AspNetCore/commit/1f810fd535) Upgrading dependencies (#1383)
* [`[9607b25d4d]`](https://github.com/aspnet/AspNetCore/commit/9607b25d4d) Ignoring broken test
* [`[e8d69911fd]`](https://github.com/aspnet/AspNetCore/commit/e8d69911fd) Adding Http2 headers to HeaderNames class (#992)
* [`[e3131d0d5d]`](https://github.com/aspnet/AspNetCore/commit/e3131d0d5d) Use PackageVersion to set the name of the debian installers, not Version
* [`[20613b6fd2]`](https://github.com/aspnet/AspNetCore/commit/20613b6fd2) Re-add ExperimentalVersions (#831)
* [`[99010aaea4]`](https://github.com/aspnet/AspNetCore/commit/99010aaea4) Change EditorSettingsManager to not be per-workspace.
* [`[0afcf7ed76]`](https://github.com/aspnet/AspNetCore/commit/0afcf7ed76) Produce timestamped cumulative runtime store archives to enable ingestion of timestamped packages
* [`[05174814f6]`](https://github.com/aspnet/AspNetCore/commit/05174814f6) Ensure the LZMA includes CLI global tools .nupkg, nupkg.sha512, and .nuspec files (#829)
* [`[ba0abd2285]`](https://github.com/aspnet/AspNetCore/commit/ba0abd2285) Add missing bootstrap and js min files to RazorPages template (#269)
* [`[fe2628a68f]`](https://github.com/aspnet/AspNetCore/commit/fe2628a68f) Mark Logging.Analyzers as shipoob so it gets signed
* [`[723e2d854d]`](https://github.com/aspnet/AspNetCore/commit/723e2d854d) Update publish to include more metadata in the manifest (#826)
* [`[18575e8879]`](https://github.com/aspnet/AspNetCore/commit/18575e8879) Run more checks on Universe PRs
* [`[0215740183]`](https://github.com/aspnet/AspNetCore/commit/0215740183) [Fixes #5859] Consider allowing binding header values to types other than string and string collections
* [`[f3e7b801bc]`](https://github.com/aspnet/AspNetCore/commit/f3e7b801bc) Clarify version alignment of client and server in README (#1371)
* [`[e214d5cdfa]`](https://github.com/aspnet/AspNetCore/commit/e214d5cdfa) Reduce LongPolling timeout to accommodate Cloudflare's timeout (#1368)
* [`[b677a9e43f]`](https://github.com/aspnet/AspNetCore/commit/b677a9e43f) Skip only on non-windows
* [`[13388ca6ae]`](https://github.com/aspnet/AspNetCore/commit/13388ca6ae) Make testapps run without deployment
* [`[818bb50e43]`](https://github.com/aspnet/AspNetCore/commit/818bb50e43) Update metapackages
* [`[80f943caef]`](https://github.com/aspnet/AspNetCore/commit/80f943caef) Flow RazorLanguageVersion to RazorEngine.
* [`[471f0672d0]`](https://github.com/aspnet/AspNetCore/commit/471f0672d0) Use even newer version
* [`[48df8feaee]`](https://github.com/aspnet/AspNetCore/commit/48df8feaee) Allow ignoring Repos in UpdateSubmodules
* [`[80cbcfd075]`](https://github.com/aspnet/AspNetCore/commit/80cbcfd075) Update rest of versions
* [`[8ea181f088]`](https://github.com/aspnet/AspNetCore/commit/8ea181f088) Use the OnWriterCompleted and OnReaderCompleted events directly. (#2280)
* [`[e8816350ef]`](https://github.com/aspnet/AspNetCore/commit/e8816350ef) Add namespace for SignedOut.cshtml.cs (#266)
* [`[9137604ea3]`](https://github.com/aspnet/AspNetCore/commit/9137604ea3) Add ShipInstaller=dotnetcli to non-package blobs
* [`[f99426db15]`](https://github.com/aspnet/AspNetCore/commit/f99426db15) Fixup experimental version
* [`[011cf720e6]`](https://github.com/aspnet/AspNetCore/commit/011cf720e6) Add IServerVariablesFeature
* [`[6e122c45b4]`](https://github.com/aspnet/AspNetCore/commit/6e122c45b4) Mark cookie as non-essential. Home#2393
* [`[50b396cec6]`](https://github.com/aspnet/AspNetCore/commit/50b396cec6) Fixed race in sockets transport (#2279)
* [`[b37880c985]`](https://github.com/aspnet/AspNetCore/commit/b37880c985) Downgrade version of analyzers
* [`[dbff416be6]`](https://github.com/aspnet/AspNetCore/commit/dbff416be6) Add support for running conventions on controller properties, Razor Page parameter and properties
* [`[cb55973c27]`](https://github.com/aspnet/AspNetCore/commit/cb55973c27) Dispose the host if Initialize fails (#1318)
* [`[5d4fd2a592]`](https://github.com/aspnet/AspNetCore/commit/5d4fd2a592) Add project capability in 2.1 M.A.App for inproc hosting (#796)
* [`[2625b389b8]`](https://github.com/aspnet/AspNetCore/commit/2625b389b8) fix #1155 by renaming signalRTokenHeader to access_token (#1343) (#1359)
* [`[9f64c69a2a]`](https://github.com/aspnet/AspNetCore/commit/9f64c69a2a) Disambiguates IFormFile name docs (#935)
* [`[84bc0fa4c9]`](https://github.com/aspnet/AspNetCore/commit/84bc0fa4c9) Change ForegroundDispatcher to be a MEF service.
* [`[f319632c1f]`](https://github.com/aspnet/AspNetCore/commit/f319632c1f) Testing package fixes
* [`[c15cd757cf]`](https://github.com/aspnet/AspNetCore/commit/c15cd757cf) Set ASPNETCORE_URLS
* [`[8280c1b73f]`](https://github.com/aspnet/AspNetCore/commit/8280c1b73f) Update Kestrel HTTPS developer certificate error message
* [`[6d15dcf1ca]`](https://github.com/aspnet/AspNetCore/commit/6d15dcf1ca) Use TryAdd for ISessionStore service #2755
* [`[9e89e28f49]`](https://github.com/aspnet/AspNetCore/commit/9e89e28f49) Update runtime publishing to the release/2.1 channel
* [`[6ba5e8cadf]`](https://github.com/aspnet/AspNetCore/commit/6ba5e8cadf) Include metadata when publishing to blob (#804)
* [`[272aa16322]`](https://github.com/aspnet/AspNetCore/commit/272aa16322) Update JwtBearer sample error handling #1613
* [`[bd72b1bac9]`](https://github.com/aspnet/AspNetCore/commit/bd72b1bac9) Don't import the SDK when cross-targeting
* [`[a710688426]`](https://github.com/aspnet/AspNetCore/commit/a710688426) Include messages with Assert.True/False
* [`[0ec3dedc88]`](https://github.com/aspnet/AspNetCore/commit/0ec3dedc88) Fixes null ref in DatabaseErrorPageMiddleware.
* [`[2181fdc943]`](https://github.com/aspnet/AspNetCore/commit/2181fdc943) Invoke where.exe to find dotnet.exe (#559)
* [`[ad6f4046c8]`](https://github.com/aspnet/AspNetCore/commit/ad6f4046c8) Add EFCore.DocumentDb package (noship)
* [`[6590992c96]`](https://github.com/aspnet/AspNetCore/commit/6590992c96) fix #1155 by renaming signalRTokenHeader to access_token (#1343)
* [`[ab8328abca]`](https://github.com/aspnet/AspNetCore/commit/ab8328abca) Raise the CookiePolicy consent cookie lifetime to one year #1589
* [`[4203540cb0]`](https://github.com/aspnet/AspNetCore/commit/4203540cb0) Fix SocialWeather sample (#1313)
* [`[1cc4098d3a]`](https://github.com/aspnet/AspNetCore/commit/1cc4098d3a) Defensively stop redis container before starting (#1356)
* [`[baa665db81]`](https://github.com/aspnet/AspNetCore/commit/baa665db81) Include global CLI tool packages in the LZMA (#809)
* [`[7127bb5dbb]`](https://github.com/aspnet/AspNetCore/commit/7127bb5dbb) Add DeclaredModelType to Razor pages * This allows razor pages to override their model type with a model that   extends the declared model type through the page application model.
* [`[1e725e6f71]`](https://github.com/aspnet/AspNetCore/commit/1e725e6f71) Add Razor.Sdk package
* [`[33d391349a]`](https://github.com/aspnet/AspNetCore/commit/33d391349a) Add some docs for using the packages from browsers (#1355)
* [`[2326783a04]`](https://github.com/aspnet/AspNetCore/commit/2326783a04) Have definitive values for TheoryData
* [`[04bf7eec0f]`](https://github.com/aspnet/AspNetCore/commit/04bf7eec0f) Introduce a Razor SDK package
* [`[771a7e35a4]`](https://github.com/aspnet/AspNetCore/commit/771a7e35a4) Add MVC support for RazorProjectEngine.
* [`[354905dc00]`](https://github.com/aspnet/AspNetCore/commit/354905dc00) Set NodeJS 8 as a required toolset
* [`[b2373e157e]`](https://github.com/aspnet/AspNetCore/commit/b2373e157e) Support Webpack configs authored in TypeScript. Covers #1301
* [`[b30020a655]`](https://github.com/aspnet/AspNetCore/commit/b30020a655) PartialTagHelper should not fallback to the current page's model if asp-for expression exists
* [`[6162476e0a]`](https://github.com/aspnet/AspNetCore/commit/6162476e0a) Add aspnet/WebHooks to Universe
* [`[96a3a03de8]`](https://github.com/aspnet/AspNetCore/commit/96a3a03de8) Fix incorrect content-type (#1347)
* [`[a74ef9dfd9]`](https://github.com/aspnet/AspNetCore/commit/a74ef9dfd9) Error message for [ApiController] without attribute route needs to be better Fixes #7277
* [`[f71cbd39b5]`](https://github.com/aspnet/AspNetCore/commit/f71cbd39b5) Update to Preview2
* [`[a01fa1c5b6]`](https://github.com/aspnet/AspNetCore/commit/a01fa1c5b6) Flow RazorLanguageVersion to RazorEngine.
* [`[76cc53c2be]`](https://github.com/aspnet/AspNetCore/commit/76cc53c2be) Pick up templating changes
* [`[6274733565]`](https://github.com/aspnet/AspNetCore/commit/6274733565) TypeScript annotation fixes
* [`[30a68dec49]`](https://github.com/aspnet/AspNetCore/commit/30a68dec49) Fix flakiness in address-in-use test (#2267)
* [`[5f6f288056]`](https://github.com/aspnet/AspNetCore/commit/5f6f288056) Added support for Thenables
* [`[06348dded7]`](https://github.com/aspnet/AspNetCore/commit/06348dded7) Change request timeout validation to 1 second. (#546)
* [`[7c07beb494]`](https://github.com/aspnet/AspNetCore/commit/7c07beb494) adding support to pass Env param to webpack
* [`[e7ffb8bb71]`](https://github.com/aspnet/AspNetCore/commit/e7ffb8bb71) Returning provided promise in `addTask`
* [`[3e6f7f3e45]`](https://github.com/aspnet/AspNetCore/commit/3e6f7f3e45) Loosen aspnet-webpack peerDependency requirement back to cover what it allowed before (so it's not a breaking change)
* [`[4fd4fd9f41]`](https://github.com/aspnet/AspNetCore/commit/4fd4fd9f41) Mark HTTP/2 as not supported with an AppContext switch override.
* [`[d61a4ca89f]`](https://github.com/aspnet/AspNetCore/commit/d61a4ca89f) some fix for handling configuration change and recycling (#539)
* [`[b0bc3d111a]`](https://github.com/aspnet/AspNetCore/commit/b0bc3d111a) Fix misnamed variables
* [`[1669e39735]`](https://github.com/aspnet/AspNetCore/commit/1669e39735) Add firewall exclusions for test executables (#244)
* [`[857c0632a0]`](https://github.com/aspnet/AspNetCore/commit/857c0632a0) Use variable for CLI tool reference
* [`[b1ccc31ccf]`](https://github.com/aspnet/AspNetCore/commit/b1ccc31ccf) Update SPA template identifiers to end with ".2.1". Fixes #230
* [`[a5ab5b2abc]`](https://github.com/aspnet/AspNetCore/commit/a5ab5b2abc) Change submodule branches
* [`[da8675306b]`](https://github.com/aspnet/AspNetCore/commit/da8675306b) Do not include debug symbols in the secret manager vsix
* [`[67c76287ed]`](https://github.com/aspnet/AspNetCore/commit/67c76287ed) Return stream method error to client (#1331)
* [`[88e14a0bfe]`](https://github.com/aspnet/AspNetCore/commit/88e14a0bfe) Add constructor for the SelectListItem class
* [`[6ab9e94703]`](https://github.com/aspnet/AspNetCore/commit/6ab9e94703) Upgrade dependencies
* [`[6bc49ad6ca]`](https://github.com/aspnet/AspNetCore/commit/6bc49ad6ca) update to use corefx package (#222)
* [`[4f3e0966d9]`](https://github.com/aspnet/AspNetCore/commit/4f3e0966d9) Enabling antiforgery tests, which were disabled because of the #7040 issue
* [`[40e906f23a]`](https://github.com/aspnet/AspNetCore/commit/40e906f23a) Expose IHttpConnectionFeature properties (#1338)
* [`[2269a31983]`](https://github.com/aspnet/AspNetCore/commit/2269a31983) [Fixes #245] Update Identity to use the default layout from the application. Added /Areas/Identity/Pages/_ViewStart.cshtml and set the layout to the applications layout.
* [`[17a407bba2]`](https://github.com/aspnet/AspNetCore/commit/17a407bba2) [Fixes #7271] Support covariant casting of ViewDataDictionary<T> On HtmlHelper<T> we now support contextualizing an instance of HtmlHelper<TBase> with a ViewDataDictionary<TDerived> in ViewContext.ViewData.
* [`[13b3d51b80]`](https://github.com/aspnet/AspNetCore/commit/13b3d51b80) Exclude native assets from Microsoft.NETCore.App
* [`[1c0cf15b11]`](https://github.com/aspnet/AspNetCore/commit/1c0cf15b11) Add messages to Asserts (#2259)
* [`[78f4c7342b]`](https://github.com/aspnet/AspNetCore/commit/78f4c7342b) Update jQuery (#250)
* [`[641e17ca5b]`](https://github.com/aspnet/AspNetCore/commit/641e17ca5b) Update submodules
* [`[522f98de21]`](https://github.com/aspnet/AspNetCore/commit/522f98de21) Update branches
* [`[beefdd5f46]`](https://github.com/aspnet/AspNetCore/commit/beefdd5f46) Exclude native assets from Microsoft.NETCore.App
* [`[3d167c1e6c]`](https://github.com/aspnet/AspNetCore/commit/3d167c1e6c) Run http request on separate thread. (#545)
* [`[cf9075d3fc]`](https://github.com/aspnet/AspNetCore/commit/cf9075d3fc) Mirror System.Net.WebSockets.WebSocketProtocol (#789)
* [`[10f0f7b2ee]`](https://github.com/aspnet/AspNetCore/commit/10f0f7b2ee) Add project capability for inproc hosting (#532)
* [`[ee1c5c440c]`](https://github.com/aspnet/AspNetCore/commit/ee1c5c440c) Fix HeartbeatTests flakiness (#2268)
* [`[763393efc4]`](https://github.com/aspnet/AspNetCore/commit/763393efc4) Added a test verifying that the cache headers are not set after the response has started.
* [`[59f2cf8e66]`](https://github.com/aspnet/AspNetCore/commit/59f2cf8e66) Add contracts for RazorProjectEngine.
* [`[2d87bdf565]`](https://github.com/aspnet/AspNetCore/commit/2d87bdf565) Add support for MvcPrecompilation settings (#1956)
* [`[4fa975a416]`](https://github.com/aspnet/AspNetCore/commit/4fa975a416) Writing header cache values only when the response hasn't yet started
* [`[ec442c3d80]`](https://github.com/aspnet/AspNetCore/commit/ec442c3d80) set HasRuntimeOutput for test projects (#221)
* [`[b088eaa91f]`](https://github.com/aspnet/AspNetCore/commit/b088eaa91f) Rename JwtBearer to AccessToken in C# Client (#1333)
* [`[e64954c9c7]`](https://github.com/aspnet/AspNetCore/commit/e64954c9c7) Undo compatibility error messages
* [`[6138087de6]`](https://github.com/aspnet/AspNetCore/commit/6138087de6) Updated the DefaultAntiforgery to set the the cache headers only if they aren't set yet.
* [`[d159cb9b00]`](https://github.com/aspnet/AspNetCore/commit/d159cb9b00) Add application DbContext
* [`[ebdb3c650a]`](https://github.com/aspnet/AspNetCore/commit/ebdb3c650a) Smooth rough ApiBehavior edges
* [`[a449345436]`](https://github.com/aspnet/AspNetCore/commit/a449345436) Clean up logging (#1308)
* [`[1d6b02c1f5]`](https://github.com/aspnet/AspNetCore/commit/1d6b02c1f5) [Fixes #7239] Add support for loading additional parts. * Support loading parts through an assembly metadata attribute with a   key of Microsoft.AspNetCore.Mvc.AdditionalReference and a value that   describes the additional assembly to add to the list of parts and   whether or not it should be added by default. The additional reference   can only contain the file name of the assembly and it must be located   side by side with the assembly where the additional reference is   defined. * Add an AdditionalAssemblyPart application parts to represent parts   that are not part of the original application per se, like precompiled   views. * Update the ViewsFeatureProvider to search for razor views in the   application part directly instead of trying to load the precompiled   views assembly part.
* [`[24307dd301]`](https://github.com/aspnet/AspNetCore/commit/24307dd301) update deps
* [`[6b4673bbdc]`](https://github.com/aspnet/AspNetCore/commit/6b4673bbdc) Fixes bitness alignment issue for 32bit (#527)
* [`[22c09387cb]`](https://github.com/aspnet/AspNetCore/commit/22c09387cb) Update runtime store generation to respect DotNetAssetRootUrl
* [`[c0eabc39e3]`](https://github.com/aspnet/AspNetCore/commit/c0eabc39e3) Fix xform sample
* [`[f33892ebc4]`](https://github.com/aspnet/AspNetCore/commit/f33892ebc4) Add Microsoft.AspNetCore.Mvc.Analyzer
* [`[c6c77dd4d3]`](https://github.com/aspnet/AspNetCore/commit/c6c77dd4d3) Introduce Mvc analyzers
* [`[d7d502a04c]`](https://github.com/aspnet/AspNetCore/commit/d7d502a04c) Free stdout after app closes (#535)
* [`[e9058ff347]`](https://github.com/aspnet/AspNetCore/commit/e9058ff347) Update Scaffolding submodule to include aspnet/Scaffolding#676
* [`[5bd5ba9626]`](https://github.com/aspnet/AspNetCore/commit/5bd5ba9626) Mirror System.Data.SqlClient
* [`[d85ed094aa]`](https://github.com/aspnet/AspNetCore/commit/d85ed094aa) gracefully shutdown the filewatcher thread (#530)
* [`[f0f65317fb]`](https://github.com/aspnet/AspNetCore/commit/f0f65317fb) Add EntityFramework.Proxies package
* [`[b9db1ac7c8]`](https://github.com/aspnet/AspNetCore/commit/b9db1ac7c8) update deps
* [`[61d42825d7]`](https://github.com/aspnet/AspNetCore/commit/61d42825d7) Update deps
* [`[87288822a3]`](https://github.com/aspnet/AspNetCore/commit/87288822a3) Fix infinite loop in sample (#1324)
* [`[ae0207b578]`](https://github.com/aspnet/AspNetCore/commit/ae0207b578) Updated ResponseCaching to include https://github.com/aspnet/ResponseCaching/pull/154
* [`[95508a0058]`](https://github.com/aspnet/AspNetCore/commit/95508a0058) Fix rebase error
* [`[2599ecca46]`](https://github.com/aspnet/AspNetCore/commit/2599ecca46) Fix Antares specific behaviors in site extensions (#136)
* [`[d38764a8f0]`](https://github.com/aspnet/AspNetCore/commit/d38764a8f0) Rename InvokeAsync to SendAsync on the server (#1312)
* [`[df31235288]`](https://github.com/aspnet/AspNetCore/commit/df31235288) Ensure the required 2.0.x runtime is installed
* [`[5232d2352b]`](https://github.com/aspnet/AspNetCore/commit/5232d2352b) Use unique names for commonly used properties
* [`[2f44dbd572]`](https://github.com/aspnet/AspNetCore/commit/2f44dbd572) Update FileSystem submodule to include aspnet/FileSystem#315
* [`[2204989660]`](https://github.com/aspnet/AspNetCore/commit/2204989660) Always load hostfxr parameters if the app isn't loaded (#529)
* [`[523ee741f9]`](https://github.com/aspnet/AspNetCore/commit/523ee741f9) Update to .NET Core 2.0.6-servicing-26118-01 and System.Data.SqlClient 4.4.3-servicing-26117-02
* [`[3e2c3a7ab5]`](https://github.com/aspnet/AspNetCore/commit/3e2c3a7ab5) Update templating module to include aspnet/Templating#231
* [`[fa9d64bd8f]`](https://github.com/aspnet/AspNetCore/commit/fa9d64bd8f) Update BasicMiddleware and Kestrel submodules
* [`[829aea2f65]`](https://github.com/aspnet/AspNetCore/commit/829aea2f65) Add doc for common questions about working with git-submodules [ci skip]
* [`[3a0fa2de36]`](https://github.com/aspnet/AspNetCore/commit/3a0fa2de36) Update to handle changes from Web SDK
* [`[d69061552f]`](https://github.com/aspnet/AspNetCore/commit/d69061552f) Update deps
* [`[233e67d0e0]`](https://github.com/aspnet/AspNetCore/commit/233e67d0e0) Prepare for Web SDK changes
* [`[d4ed8a7b77]`](https://github.com/aspnet/AspNetCore/commit/d4ed8a7b77) Prefer BeforeTargets/AfterTargets over evaluation
* [`[a177c557c5]`](https://github.com/aspnet/AspNetCore/commit/a177c557c5) [2.0.x PATCH] Add app.config to net 4.x templates (#231)
* [`[526dfdb332]`](https://github.com/aspnet/AspNetCore/commit/526dfdb332) Switch back to libuv as the default transport (#2257)
* [`[fb4d7fe5d9]`](https://github.com/aspnet/AspNetCore/commit/fb4d7fe5d9) Update FileSystem submodule and apply the result of the cascading versions
* [`[dfe0697f06]`](https://github.com/aspnet/AspNetCore/commit/dfe0697f06) EventId starts at 1 for logging (#1318)
* [`[767a857635]`](https://github.com/aspnet/AspNetCore/commit/767a857635) Set CompatibilityVersion for templates (#240)
* [`[040ea2e6b4]`](https://github.com/aspnet/AspNetCore/commit/040ea2e6b4) Fix MockLibuv.OnPostTask (#2260)
* [`[0bfe043f6d]`](https://github.com/aspnet/AspNetCore/commit/0bfe043f6d) Add yaml files (#241)
* [`[9f5d51656a]`](https://github.com/aspnet/AspNetCore/commit/9f5d51656a) Fix check for use of compile items
* [`[f2d6cfa821]`](https://github.com/aspnet/AspNetCore/commit/f2d6cfa821) Update checksums
* [`[e16134d4d2]`](https://github.com/aspnet/AspNetCore/commit/e16134d4d2) update deps
* [`[f0ae0ce528]`](https://github.com/aspnet/AspNetCore/commit/f0ae0ce528) Add PageConvention overloads for areas
* [`[82eed8fdf9]`](https://github.com/aspnet/AspNetCore/commit/82eed8fdf9) update deps
* [`[d1cfc51c9d]`](https://github.com/aspnet/AspNetCore/commit/d1cfc51c9d) Add a property so the web sdk can know that the Razor compiler is available.
* [`[ab7ec622ef]`](https://github.com/aspnet/AspNetCore/commit/ab7ec622ef) Make paths absolute for in-process, fix relative path check (#513)
* [`[49a3b6bcae]`](https://github.com/aspnet/AspNetCore/commit/49a3b6bcae) Use ZipArchive task instead of powershell.
* [`[c78b8a7c1c]`](https://github.com/aspnet/AspNetCore/commit/c78b8a7c1c) Update SQLite submodule
* [`[6751e3b7ca]`](https://github.com/aspnet/AspNetCore/commit/6751e3b7ca) Discover assembly parts for Microsoft.AspnetCore.All
* [`[0584fe3ecf]`](https://github.com/aspnet/AspNetCore/commit/0584fe3ecf) Make RazorCompileOnPublish the default
* [`[627696677c]`](https://github.com/aspnet/AspNetCore/commit/627696677c) Split up Razor SDK logic (#1934)
* [`[eb107092d9]`](https://github.com/aspnet/AspNetCore/commit/eb107092d9) Upgrade dependencies
* [`[f8192fd63c]`](https://github.com/aspnet/AspNetCore/commit/f8192fd63c) Workaround corefx/26390 (#295)
* [`[e53e74c6a6]`](https://github.com/aspnet/AspNetCore/commit/e53e74c6a6) Fix broken link in readme [ci skip]
* [`[a5d6f9b36f]`](https://github.com/aspnet/AspNetCore/commit/a5d6f9b36f) Rename submodule branches to release/2.0
* [`[7835809ff2]`](https://github.com/aspnet/AspNetCore/commit/7835809ff2) Add Razor.Design to MVC package
* [`[444b67b141]`](https://github.com/aspnet/AspNetCore/commit/444b67b141) Update deps
* [`[968e033e4b]`](https://github.com/aspnet/AspNetCore/commit/968e033e4b) Make Block and Span cache Length.
* [`[92111ea515]`](https://github.com/aspnet/AspNetCore/commit/92111ea515) Make Block and Span cache Length.
* [`[c88f7be1ab]`](https://github.com/aspnet/AspNetCore/commit/c88f7be1ab) Include the VSIX and MPack files in the bill of materials
* [`[cf371a4e74]`](https://github.com/aspnet/AspNetCore/commit/cf371a4e74) Disable heartbeat warning when debugger is attached (#2258)
* [`[7b65bdb6ef]`](https://github.com/aspnet/AspNetCore/commit/7b65bdb6ef) Panwang/addinglog (#508)
* [`[e8af1141cb]`](https://github.com/aspnet/AspNetCore/commit/e8af1141cb) Attempt to fix Razor CI flakiness
* [`[f4d27e67bb]`](https://github.com/aspnet/AspNetCore/commit/f4d27e67bb) Improve server shutdown logic (#2247)
* [`[5d2f598c80]`](https://github.com/aspnet/AspNetCore/commit/5d2f598c80) Update initial migrations
* [`[8c1623695a]`](https://github.com/aspnet/AspNetCore/commit/8c1623695a) Update deps
* [`[a3df6a7bf9]`](https://github.com/aspnet/AspNetCore/commit/a3df6a7bf9) Add dynamic scheme sample
* [`[ad24f6b22d]`](https://github.com/aspnet/AspNetCore/commit/ad24f6b22d) Roll corefx packages back to 26112-01 (#783)
* [`[ba1eb281d1]`](https://github.com/aspnet/AspNetCore/commit/ba1eb281d1) Stop logging username/token
* [`[68aa609650]`](https://github.com/aspnet/AspNetCore/commit/68aa609650) Setting ContentType in the HTTP responses (#1149)
* [`[e30b8ee360]`](https://github.com/aspnet/AspNetCore/commit/e30b8ee360) Update runtime to catch up to SDK (#781)
* [`[5839baaa2e]`](https://github.com/aspnet/AspNetCore/commit/5839baaa2e) Update roslyn dependencies
* [`[ab3134e373]`](https://github.com/aspnet/AspNetCore/commit/ab3134e373) Support conflict resolution when multiple precompiled views have the same path
* [`[b5554a8038]`](https://github.com/aspnet/AspNetCore/commit/b5554a8038) Make Razor SDK support refs and views on publish
* [`[d686acad87]`](https://github.com/aspnet/AspNetCore/commit/d686acad87) Avoid use of AssemblyQualifiedName in tests
* [`[c3dedd9feb]`](https://github.com/aspnet/AspNetCore/commit/c3dedd9feb) update deps
* [`[d1984aa44b]`](https://github.com/aspnet/AspNetCore/commit/d1984aa44b) Add hook for precompilation
* [`[14cea3c1b9]`](https://github.com/aspnet/AspNetCore/commit/14cea3c1b9) Move properties
* [`[f0c3843a5b]`](https://github.com/aspnet/AspNetCore/commit/f0c3843a5b) Implment support for publish
* [`[f025a27f04]`](https://github.com/aspnet/AspNetCore/commit/f025a27f04) Unify how AdhocWorkspace is constructed.
* [`[e6bb551018]`](https://github.com/aspnet/AspNetCore/commit/e6bb551018) Adds support for loading the developer certificate from a pfx file * If we can't find a developer certificate on the certificate store   we will look for a developer certificate on the file system if a   password has been specified for the Development certificate. * We will look at ${APPDATA}/ASP.NET/https/<<AppName>>.pfx for windows   and fallback to ${HOME}/.aspnet/https/<<AppName>>.pfx * In case the password wasn't specified through configuration, the file   is not found on the file system or can't be loaded, we won't   do anything.
* [`[946b64143e]`](https://github.com/aspnet/AspNetCore/commit/946b64143e) Allow override routes on Pages
* [`[ecb323b5dc]`](https://github.com/aspnet/AspNetCore/commit/ecb323b5dc) Use FilePath if RelativePhysicalPath on RazorProjectItem is null
* [`[66c13ae5e5]`](https://github.com/aspnet/AspNetCore/commit/66c13ae5e5)  Use weak comparison for If-None-Match header (#7237)
* [`[d4adf14819]`](https://github.com/aspnet/AspNetCore/commit/d4adf14819) Update exclusions for nuget package verifier
* [`[e5de4e672c]`](https://github.com/aspnet/AspNetCore/commit/e5de4e672c) Marked Antiforgery cookie as essential Related to https://github.com/aspnet/Home/issues/2408 : Determine if the antiforgery cookie is considered essential
* [`[386c3f4664]`](https://github.com/aspnet/AspNetCore/commit/386c3f4664) Update EF Core submodule
* [`[a862959566]`](https://github.com/aspnet/AspNetCore/commit/a862959566) Support stream cancellation on TS client (#1275)
* [`[230e4a02ef]`](https://github.com/aspnet/AspNetCore/commit/230e4a02ef) Split compilation and tests into separate phases (#779)
* [`[91fb3eb41e]`](https://github.com/aspnet/AspNetCore/commit/91fb3eb41e) Changed CookieTempDataProvider's cookie SameSite to Lax [Fixes #7190] Can not retrieve cookie-based TempData after Google authentication with account selection in Google Chrome
* [`[d342ebf8c8]`](https://github.com/aspnet/AspNetCore/commit/d342ebf8c8) Use compatibility switch for auth filters
* [`[c922b0b90d]`](https://github.com/aspnet/AspNetCore/commit/c922b0b90d) Improving logging - model binding Related to issue #6498: When enabling "Trace" logging for MVC loggers, I should be buried in log messages
* [`[946ba04333]`](https://github.com/aspnet/AspNetCore/commit/946ba04333) mark System.Threading.Channels non-private and update SignalR (#778)
* [`[4791eccc4f]`](https://github.com/aspnet/AspNetCore/commit/4791eccc4f) Update references to the 2.0.5 runtime store
* [`[5f501710aa]`](https://github.com/aspnet/AspNetCore/commit/5f501710aa)  Make Razor targets noop with no razor files
* [`[0311f9b415]`](https://github.com/aspnet/AspNetCore/commit/0311f9b415) Throw InvalidDataException instead of FormatException in NegotationProtocol (#1246)
* [`[b20e35e76a]`](https://github.com/aspnet/AspNetCore/commit/b20e35e76a) Set RelativePhysicalPath in FileProviderRazorProjectItem
* [`[57697baedb]`](https://github.com/aspnet/AspNetCore/commit/57697baedb) Tolerate leading "~/" or "/" (#509)
* [`[1c4d23f79d]`](https://github.com/aspnet/AspNetCore/commit/1c4d23f79d) Add TFM compatibility check to 2.1 metapackage
* [`[9438a453b0]`](https://github.com/aspnet/AspNetCore/commit/9438a453b0) Do not serve response body for HEAD requests (#7230)
* [`[4bbd0bc530]`](https://github.com/aspnet/AspNetCore/commit/4bbd0bc530) fix artifacts, external deps and update SignalR (#775)
* [`[bef015de51]`](https://github.com/aspnet/AspNetCore/commit/bef015de51) Update aspnet/Routing submodule
* [`[e3679cb3c1]`](https://github.com/aspnet/AspNetCore/commit/e3679cb3c1) SocketsSample Send to Connection (#1285)
* [`[a036fa6bf4]`](https://github.com/aspnet/AspNetCore/commit/a036fa6bf4) Add support for cleaning certificates on the machine to the dev-certs tool
* [`[30b520df3e]`](https://github.com/aspnet/AspNetCore/commit/30b520df3e) Be verbose about missing items
* [`[5214c9382b]`](https://github.com/aspnet/AspNetCore/commit/5214c9382b) Run some verification checks on PRs and add early errors for bad PackageArtifact config (#771)
* [`[74229e57db]`](https://github.com/aspnet/AspNetCore/commit/74229e57db) Fix FunctionalTests on fresh system
* [`[2aae8774f6]`](https://github.com/aspnet/AspNetCore/commit/2aae8774f6) [Fixes 7139] Add format filter mapping for xml formatters
* [`[00c6b53b06]`](https://github.com/aspnet/AspNetCore/commit/00c6b53b06) [Fixes #7115] Update property type check in SaveTempDataPropertyFilterBase to match TempDataSerializer requirements
* [`[d2c27104dd]`](https://github.com/aspnet/AspNetCore/commit/d2c27104dd) Throwing AntiforgeryValidationException for failure to deserializing tokens
* [`[d786cebb72]`](https://github.com/aspnet/AspNetCore/commit/d786cebb72) Add SignalR to the meta-package (#768)
* [`[144984e599]`](https://github.com/aspnet/AspNetCore/commit/144984e599) Split MsgPack into separate assembly (#1274)
* [`[bda4d15fbd]`](https://github.com/aspnet/AspNetCore/commit/bda4d15fbd) Fix download link to RPM package [ci skip]
* [`[50fe88195e]`](https://github.com/aspnet/AspNetCore/commit/50fe88195e) Updating SocketsSample with new IHubClients and IHubCallerClients APIs (#1282)
* [`[871debe753]`](https://github.com/aspnet/AspNetCore/commit/871debe753) Use platform assemblies paths instead of app paths for crossgen
* [`[83b7d0b052]`](https://github.com/aspnet/AspNetCore/commit/83b7d0b052) Update EF Core and Kestrel submodules
* [`[8707d71f1e]`](https://github.com/aspnet/AspNetCore/commit/8707d71f1e) Set overwrite to true on creating AspNetCoreModule nupkg (#514)
* [`[95d743e2c6]`](https://github.com/aspnet/AspNetCore/commit/95d743e2c6) Renable compatibility switch functional tests
* [`[2d38720211]`](https://github.com/aspnet/AspNetCore/commit/2d38720211) Don't call PushToBlobFeed in the repo context
* [`[420500e2a9]`](https://github.com/aspnet/AspNetCore/commit/420500e2a9) #2102 Always start the response before draining the request.
* [`[9a8dd6ef12]`](https://github.com/aspnet/AspNetCore/commit/9a8dd6ef12) Allow Content-Length 0 for Websocket-Connection (#2217)
* [`[8d6b86c76a]`](https://github.com/aspnet/AspNetCore/commit/8d6b86c76a) Add `RazorLanguage.CoreContentType`.
* [`[eabde9fe9e]`](https://github.com/aspnet/AspNetCore/commit/eabde9fe9e) Add CookiePolicy and consent UI
* [`[913cefdea2]`](https://github.com/aspnet/AspNetCore/commit/913cefdea2) Fix a bug blocking recompilation
* [`[a6fe3a67a3]`](https://github.com/aspnet/AspNetCore/commit/a6fe3a67a3) Add Razor compilation to MvcSandbox
* [`[6bd421d197]`](https://github.com/aspnet/AspNetCore/commit/6bd421d197) Fixing BackSlashExpander class name
* [`[afc75a8296]`](https://github.com/aspnet/AspNetCore/commit/afc75a8296) Move `IHttpRequestStreamReaderFactory` from `.Internal` to `.Infrastructure` - #7044 - move `IHttpResponseStreamWriterFactory` too - add breaking change records e.g. for changes to `BodyModelBinder[Provider]` constructors   - these changes relate to previously-"internal" constructors and one property
* [`[c9ac2e6c29]`](https://github.com/aspnet/AspNetCore/commit/c9ac2e6c29) Add `DisplayMetadata.NullDisplayTextProvider` and similar properties - #6730 - `DisplayFormatStringProvider`, `EditFormatStringProvider`
* [`[91b852136b]`](https://github.com/aspnet/AspNetCore/commit/91b852136b) Update publish step to support pushing all assets to the transport feed
* [`[6358e0d3ef]`](https://github.com/aspnet/AspNetCore/commit/6358e0d3ef) Update README and list of installers to publish
* [`[0f39f91a08]`](https://github.com/aspnet/AspNetCore/commit/0f39f91a08) Copy all outputs to artifacts directory after publish
* [`[75e3ed952b]`](https://github.com/aspnet/AspNetCore/commit/75e3ed952b) Update functional tests
* [`[fbb73bccd0]`](https://github.com/aspnet/AspNetCore/commit/fbb73bccd0) Update our version of the RazorCoreCompile
* [`[595d05965a]`](https://github.com/aspnet/AspNetCore/commit/595d05965a) Rename some things
* [`[b7415502bf]`](https://github.com/aspnet/AspNetCore/commit/b7415502bf) Add RelativePhysicalPath
* [`[a54852fe6e]`](https://github.com/aspnet/AspNetCore/commit/a54852fe6e) Add targets to deploy all known installers to an azure blob feed
* [`[89b532c985]`](https://github.com/aspnet/AspNetCore/commit/89b532c985) Invoke Users (#1257)
* [`[5a93dffb06]`](https://github.com/aspnet/AspNetCore/commit/5a93dffb06) Distro agnostic installers
* [`[32a29980d8]`](https://github.com/aspnet/AspNetCore/commit/32a29980d8) Update config to pull runtime store from the public CLI feed
* [`[d58d0f917f]`](https://github.com/aspnet/AspNetCore/commit/d58d0f917f) Add support for recompilation
* [`[8ebe0a2d29]`](https://github.com/aspnet/AspNetCore/commit/8ebe0a2d29) Derive Web API templates from ControllerBase (#220)
* [`[96060d8b63]`](https://github.com/aspnet/AspNetCore/commit/96060d8b63) Generate cumulative archives for all platforms
* [`[b68d9cf01f]`](https://github.com/aspnet/AspNetCore/commit/b68d9cf01f) Always deserialize to DefaultRazorDiagnostic
* [`[ee6256d941]`](https://github.com/aspnet/AspNetCore/commit/ee6256d941) Update sample to use aspnetcore.dll and aspnetcorerh.dll (#512)
* [`[73bd09dc1c]`](https://github.com/aspnet/AspNetCore/commit/73bd09dc1c) Add CombineAuthorizeFilters option
* [`[acd6f7b064]`](https://github.com/aspnet/AspNetCore/commit/acd6f7b064) Generate full pdb when running in net461
* [`[cabc9874c5]`](https://github.com/aspnet/AspNetCore/commit/cabc9874c5) Generate deps for hosting startup in external dependencies
* [`[867438a4ae]`](https://github.com/aspnet/AspNetCore/commit/867438a4ae) LZMA woes
* [`[07d014ab32]`](https://github.com/aspnet/AspNetCore/commit/07d014ab32) January patch fixes
* [`[4ed1ade289]`](https://github.com/aspnet/AspNetCore/commit/4ed1ade289) Trim common manifest
* [`[95c663a289]`](https://github.com/aspnet/AspNetCore/commit/95c663a289) Handle malformed origin Uri (#139)
* [`[405d6f97bf]`](https://github.com/aspnet/AspNetCore/commit/405d6f97bf) Rename Microsoft.AspNetCore.AspNetCoreModule.RequestHandler to .Server.IIS
* [`[48ed4a6997]`](https://github.com/aspnet/AspNetCore/commit/48ed4a6997) Package aspnetcorerh in Microsoft.AspNetCore.Server.IIS
* [`[dde7671c06]`](https://github.com/aspnet/AspNetCore/commit/dde7671c06) OIDC: Use IdentityModel redirect form generator #1448
* [`[226b24060f]`](https://github.com/aspnet/AspNetCore/commit/226b24060f) Update deps
* [`[2e73bab2a4]`](https://github.com/aspnet/AspNetCore/commit/2e73bab2a4) Move option for JSON errors to MvcJsonOptions
* [`[16324c3126]`](https://github.com/aspnet/AspNetCore/commit/16324c3126) Add an Identifier by default
* [`[9f5b1aa18a]`](https://github.com/aspnet/AspNetCore/commit/9f5b1aa18a) Update README to indicate dotnet-install is for prerelease versions of the CLI [ci skip]
* [`[61dbe32e1e]`](https://github.com/aspnet/AspNetCore/commit/61dbe32e1e) Fixup missed variable rename
* [`[d602f9d770]`](https://github.com/aspnet/AspNetCore/commit/d602f9d770) Add relative path to source document
* [`[cedbbd8394]`](https://github.com/aspnet/AspNetCore/commit/cedbbd8394) Use latest `Microsoft.AspNet.WebApi.Client` package - aspnet/Mvc#5822 - see also PR aspnet/Mvc#7200
* [`[7bbfd2dcad]`](https://github.com/aspnet/AspNetCore/commit/7bbfd2dcad) Rename intermediate sharedfx archive to avoid conflicts with final file (#755)
* [`[9fd60ff864]`](https://github.com/aspnet/AspNetCore/commit/9fd60ff864) Marked CookieTempDataProvider's cookie as non-essential [Fixes #7160] Determine if the temp data cookie is considered essential
* [`[f2d2db0033]`](https://github.com/aspnet/AspNetCore/commit/f2d2db0033) Makes schema in root folder (#510)
* [`[594c62947e]`](https://github.com/aspnet/AspNetCore/commit/594c62947e) Adds aspnetcore_schemas to zip (#509)
* [`[8b34b7f2ae]`](https://github.com/aspnet/AspNetCore/commit/8b34b7f2ae) Invoke Multiple Groups (#1254)
* [`[1f855f7b06]`](https://github.com/aspnet/AspNetCore/commit/1f855f7b06) Implement ITrackingConsentFeature.CreateConsentCookie() #1590
* [`[e1f9a65083]`](https://github.com/aspnet/AspNetCore/commit/e1f9a65083) MultipleClients -> Clients (#1269)
* [`[ce69341265]`](https://github.com/aspnet/AspNetCore/commit/ce69341265) Add ITrackingConsentFeature.CreateConsentCookie
* [`[da3a49a9b0]`](https://github.com/aspnet/AspNetCore/commit/da3a49a9b0) Add HttpsPort settings to Empty F# template (#219)
* [`[12806465d8]`](https://github.com/aspnet/AspNetCore/commit/12806465d8) Crossgen SharedFx
* [`[ebd358ec05]`](https://github.com/aspnet/AspNetCore/commit/ebd358ec05) Update AzureServicesAppAuthentication (#727)
* [`[ad2149f5f0]`](https://github.com/aspnet/AspNetCore/commit/ad2149f5f0) Change ApplicationProtocol to ReadOnlyMemory<byte> #2182
* [`[40d027fca3]`](https://github.com/aspnet/AspNetCore/commit/40d027fca3) File results - logging
* [`[589b3978a8]`](https://github.com/aspnet/AspNetCore/commit/589b3978a8) Make M.A.AspNetCoreModule a conditional dependency
* [`[4c8a7de748]`](https://github.com/aspnet/AspNetCore/commit/4c8a7de748) Switch SystemThreadingTasksExtensionsPackageVersion to preview1
* [`[bef789cd1d]`](https://github.com/aspnet/AspNetCore/commit/bef789cd1d) Update SystemThreadingTasksExtensionsPackageVersion (#752)
* [`[de3355454c]`](https://github.com/aspnet/AspNetCore/commit/de3355454c) Make M.A.AspNetCoreModule a conditional dependency (#218)
* [`[f269f6b729]`](https://github.com/aspnet/AspNetCore/commit/f269f6b729) Make M.A.AspNetCoreModule a package dependency only on windows (#102)
* [`[d3fac039fb]`](https://github.com/aspnet/AspNetCore/commit/d3fac039fb) Make the ANCM a conditional dependency  (#838)
* [`[bd3195ff43]`](https://github.com/aspnet/AspNetCore/commit/bd3195ff43) Fix dependencies.props
* [`[7ab7e83988]`](https://github.com/aspnet/AspNetCore/commit/7ab7e83988) Update Kestrel dependency
* [`[2d3a01d48d]`](https://github.com/aspnet/AspNetCore/commit/2d3a01d48d) Change ApplicationProtocol to ReadOnlyMemory<byte> #2182
* [`[98e74b9a69]`](https://github.com/aspnet/AspNetCore/commit/98e74b9a69) Added TagHelperSerializationBenchmark
* [`[988d1b3c34]`](https://github.com/aspnet/AspNetCore/commit/988d1b3c34) Use common BDN runner and config
* [`[f4ea4033a3]`](https://github.com/aspnet/AspNetCore/commit/f4ea4033a3) Disabling tests while investigating ANCM responding with 400 status code. (#837)
* [`[c0761df411]`](https://github.com/aspnet/AspNetCore/commit/c0761df411) Disables Functional tests due to status code 400 issues (#505)
* [`[6a928fbe73]`](https://github.com/aspnet/AspNetCore/commit/6a928fbe73)  Disabling tests due to 400 status code issues (#101)
* [`[8502900c18]`](https://github.com/aspnet/AspNetCore/commit/8502900c18) Add Dispatcher packages descriptions (#507)
* [`[d81da5675f]`](https://github.com/aspnet/AspNetCore/commit/d81da5675f) Update IISIntegration submodule
* [`[7c939212a2]`](https://github.com/aspnet/AspNetCore/commit/7c939212a2) Add RequestHandler as an artifact (#737)
* [`[c3bc6fed9c]`](https://github.com/aspnet/AspNetCore/commit/c3bc6fed9c) Adds RequestHandler dll and hostfxr changes from ANCM (#497)
* [`[575c006aff]`](https://github.com/aspnet/AspNetCore/commit/575c006aff) Produce a zip with ANCM binaries
* [`[997544077a]`](https://github.com/aspnet/AspNetCore/commit/997544077a) Use common BDN runner and config (#7186)
* [`[22da82ff8a]`](https://github.com/aspnet/AspNetCore/commit/22da82ff8a) Sync remaining Angular-CSharp changes from OOB release into dev branch
* [`[0d9f17211f]`](https://github.com/aspnet/AspNetCore/commit/0d9f17211f) Fix @angular/platform-server version in package-lock.json
* [`[c637130f88]`](https://github.com/aspnet/AspNetCore/commit/c637130f88) In React and ReactRedux templates, switch from npm-shrinkwrap.json to package-lock.json
* [`[27878265bc]`](https://github.com/aspnet/AspNetCore/commit/27878265bc) Update Angular template to Angular CLI 1.6.3, plus switch it from npm-shrinkwrap.json to package-lock.json
* [`[c66d5240d1]`](https://github.com/aspnet/AspNetCore/commit/c66d5240d1) Recreate cache of endpoints when data source updated (#503)
* [`[0eca36ed26]`](https://github.com/aspnet/AspNetCore/commit/0eca36ed26) Fix ChatSample to send array correctly (#1261)
* [`[d5d159eb5f]`](https://github.com/aspnet/AspNetCore/commit/d5d159eb5f) Lock around heartbeat handler (#1264)
* [`[5d8670243c]`](https://github.com/aspnet/AspNetCore/commit/5d8670243c) Use location of aspnetcore.dll rather than the activating process.  (#500)
* [`[bf61ce2b8f]`](https://github.com/aspnet/AspNetCore/commit/bf61ce2b8f) Document compatiblity switch for input formatter exceptions
* [`[d49d432898]`](https://github.com/aspnet/AspNetCore/commit/d49d432898) Fix tag helper discovery in our tool
* [`[7d64990a69]`](https://github.com/aspnet/AspNetCore/commit/7d64990a69) Ensure RazorPages in an area are not route-able through root based paths when root directory and area root directory overlap
* [`[64259fe51c]`](https://github.com/aspnet/AspNetCore/commit/64259fe51c) Add skips for dotnet/standard#567
* [`[f6c1d6483b]`](https://github.com/aspnet/AspNetCore/commit/f6c1d6483b) Update IIS Integration submodule
* [`[e13ceb690b]`](https://github.com/aspnet/AspNetCore/commit/e13ceb690b) Detect remote denails for Twitter accounts
* [`[51820e3e25]`](https://github.com/aspnet/AspNetCore/commit/51820e3e25) Use DebugType specified in DependencyContext to determine pdb type
* [`[186e5733c0]`](https://github.com/aspnet/AspNetCore/commit/186e5733c0) Add metadata to Razor (#1894)
* [`[404105bd19]`](https://github.com/aspnet/AspNetCore/commit/404105bd19) Add Identity.External claims sample
* [`[aad7a245a2]`](https://github.com/aspnet/AspNetCore/commit/aad7a245a2) Fix loglevel for invalid range headers
* [`[276c1e4360]`](https://github.com/aspnet/AspNetCore/commit/276c1e4360) Improve logging - output formatter selection
* [`[49bdcfb150]`](https://github.com/aspnet/AspNetCore/commit/49bdcfb150) Updated Razor Pages areas for compatibility switches
* [`[3ae601e4df]`](https://github.com/aspnet/AspNetCore/commit/3ae601e4df) Prevent type name collisions when file hierarchy + namespace is identical (#1881)
* [`[15d2f5a898]`](https://github.com/aspnet/AspNetCore/commit/15d2f5a898) Allow explicit configuration of StaticFileOptions in new SPA APIs. Fixes #1424.
* [`[814441c933]`](https://github.com/aspnet/AspNetCore/commit/814441c933) Allow configuration of SPA startup timeout. Part of #1447
* [`[b8424b0e8b]`](https://github.com/aspnet/AspNetCore/commit/b8424b0e8b) Add property to skip installing the aspnetcore shared framework
* [`[57c8b71b4d]`](https://github.com/aspnet/AspNetCore/commit/57c8b71b4d) [Fixes #6547] Re-introduce HttpMethodActionConstraint dictionary perf improvement
* [`[407f55841b]`](https://github.com/aspnet/AspNetCore/commit/407f55841b) Disables tests (#499)
* [`[52a06e93bc]`](https://github.com/aspnet/AspNetCore/commit/52a06e93bc) Added test for DefaultRazorSyntaxFactsService
* [`[28de4aea87]`](https://github.com/aspnet/AspNetCore/commit/28de4aea87) Makes ANCM an internal dependency (#735)
* [`[b70191fb82]`](https://github.com/aspnet/AspNetCore/commit/b70191fb82) Specify configuration for functional tests
* [`[84e7faf9be]`](https://github.com/aspnet/AspNetCore/commit/84e7faf9be) Updated logging in RangeHelper.cs
* [`[3f31706743]`](https://github.com/aspnet/AspNetCore/commit/3f31706743) Resolve internal package reference issue
* [`[d59b0ef38c]`](https://github.com/aspnet/AspNetCore/commit/d59b0ef38c) Adds universe manifest and signing info
* [`[03b092888e]`](https://github.com/aspnet/AspNetCore/commit/03b092888e) Add Microsoft.VisualStudio.ComponentGroup.NativeDesktop.Win81 to required workloads
* [`[3d17a40c0d]`](https://github.com/aspnet/AspNetCore/commit/3d17a40c0d) Removing other test projects
* [`[483a8c61a3]`](https://github.com/aspnet/AspNetCore/commit/483a8c61a3) Adds package native projects
* [`[82e32240a4]`](https://github.com/aspnet/AspNetCore/commit/82e32240a4) Update the Enum Invalid Value setting for compat
* [`[5325c65b88]`](https://github.com/aspnet/AspNetCore/commit/5325c65b88) Replace identity code with built-in version on the templates
* [`[514381f16f]`](https://github.com/aspnet/AspNetCore/commit/514381f16f) Add Razor.Design as a dependency of MVC
* [`[0344969e50]`](https://github.com/aspnet/AspNetCore/commit/0344969e50) Update Universe to ship global CLI tool packages (#733)
* [`[e348158499]`](https://github.com/aspnet/AspNetCore/commit/e348158499) Change site extension target to match CI folder layout
* [`[261b27b700]`](https://github.com/aspnet/AspNetCore/commit/261b27b700) Port CLI tools to be dotnet global tools
* [`[8c94d27d6a]`](https://github.com/aspnet/AspNetCore/commit/8c94d27d6a) [Fixes #181] Go back to server selected listening ports.
* [`[e849dc91fb]`](https://github.com/aspnet/AspNetCore/commit/e849dc91fb) Disable sign request generation and update AzureIntegration
* [`[886a985726]`](https://github.com/aspnet/AspNetCore/commit/886a985726) Target netcoreapp2.1
* [`[69f87610ce]`](https://github.com/aspnet/AspNetCore/commit/69f87610ce) Produce the Windows sharedfx as win-x64/x64 for consistency with Microsoft.NETCore.App (#731)
* [`[f8692d14e4]`](https://github.com/aspnet/AspNetCore/commit/f8692d14e4) Add logging to RangeHelper.cs
* [`[ee72ea73da]`](https://github.com/aspnet/AspNetCore/commit/ee72ea73da) Add exclusions for NPV for non-ASP.NET assemblies
* [`[948af4ce6f]`](https://github.com/aspnet/AspNetCore/commit/948af4ce6f) Add descriptions for Razor infrastructure
* [`[87db08e030]`](https://github.com/aspnet/AspNetCore/commit/87db08e030) Add missing baselines
* [`[747420e5aa]`](https://github.com/aspnet/AspNetCore/commit/747420e5aa) Compatibility switches (#7142)
* [`[b2e2719e43]`](https://github.com/aspnet/AspNetCore/commit/b2e2719e43) Make AspNetCoreSettings actually work
* [`[54c8bc82db]`](https://github.com/aspnet/AspNetCore/commit/54c8bc82db) Fix #1874 (#1879)
* [`[f8b4f4c620]`](https://github.com/aspnet/AspNetCore/commit/f8b4f4c620) Add consent to CookiePolicy #1561
* [`[50391c0341]`](https://github.com/aspnet/AspNetCore/commit/50391c0341) Ensure PackageVersion is set when computing sharedfx output path
* [`[ac702f6818]`](https://github.com/aspnet/AspNetCore/commit/ac702f6818) Add the cookie IsEssential flag and feature
* [`[44f1787cec]`](https://github.com/aspnet/AspNetCore/commit/44f1787cec)  Consolidate dotnet-hosting and aspnetcore-shared installers (#728)
* [`[c8e93a6108]`](https://github.com/aspnet/AspNetCore/commit/c8e93a6108) Use localhost dev cert in sample (#2235)
* [`[464e08b4f4]`](https://github.com/aspnet/AspNetCore/commit/464e08b4f4) Force http in tests
* [`[f08311f337]`](https://github.com/aspnet/AspNetCore/commit/f08311f337) Use new common benchmark config (#1251)
* [`[80af17fc4b]`](https://github.com/aspnet/AspNetCore/commit/80af17fc4b) Moved TagHelperParseTreeRewriter out of LegacyRazorDiagnostic
* [`[9aaaefbb1b]`](https://github.com/aspnet/AspNetCore/commit/9aaaefbb1b) Initialize RequestCookieCollection case insensitive (#981)
* [`[350c4ec4f6]`](https://github.com/aspnet/AspNetCore/commit/350c4ec4f6) Introduce IAlwaysRunResultFilter \ IAsyncAlwaysRunResultFilter (#7120)
* [`[36ff269fef]`](https://github.com/aspnet/AspNetCore/commit/36ff269fef) Use the Muxer path if available
* [`[e7cc0d33af]`](https://github.com/aspnet/AspNetCore/commit/e7cc0d33af) Use common BDN config (#2233)
* [`[63aceea121]`](https://github.com/aspnet/AspNetCore/commit/63aceea121) Change TagHelperBlockRewriter's error usage to use RazorDiagnosticFactory.
* [`[bd03c16ee7]`](https://github.com/aspnet/AspNetCore/commit/bd03c16ee7) Ensure test apps use the same SDK as Razor
* [`[14fc427068]`](https://github.com/aspnet/AspNetCore/commit/14fc427068) Make RazorCodeGen track file renames \ deletes
* [`[bc6c9baafa]`](https://github.com/aspnet/AspNetCore/commit/bc6c9baafa) Re-Add Microsoft.AspNetCore.Identity.UI
* [`[ca34ac2a35]`](https://github.com/aspnet/AspNetCore/commit/ca34ac2a35) Restore and pack in different steps
* [`[738617266e]`](https://github.com/aspnet/AspNetCore/commit/738617266e) Invoke Multiple Connections (#1242)
* [`[ef81eae0e2]`](https://github.com/aspnet/AspNetCore/commit/ef81eae0e2) Add Microsoft.AspNetCore.Identity.UI package
* [`[ee9b080875]`](https://github.com/aspnet/AspNetCore/commit/ee9b080875) Allow untrusted certs in tests
* [`[0125769f8a]`](https://github.com/aspnet/AspNetCore/commit/0125769f8a) Use SiteExtension.Sdk in Microsoft.AspNetCore.AzureAppServices.SiteExtension (#128)
* [`[dfaf37cbba]`](https://github.com/aspnet/AspNetCore/commit/dfaf37cbba) Implement config support #1290 #1879 #2016 #2166 #2167 #2188
* [`[db3c3ba589]`](https://github.com/aspnet/AspNetCore/commit/db3c3ba589) Ensure HeaderDictionary store is initialized consistently (#979)
* [`[455cf2e0c3]`](https://github.com/aspnet/AspNetCore/commit/455cf2e0c3) Add the Razor.Design dependency to MVC
* [`[1bd99f6b67]`](https://github.com/aspnet/AspNetCore/commit/1bd99f6b67) Initial typescript tidy up (#1239)
* [`[4b53f4bc53]`](https://github.com/aspnet/AspNetCore/commit/4b53f4bc53) Adds ANCM to IISIntegration (#492)
* [`[a020288200]`](https://github.com/aspnet/AspNetCore/commit/a020288200) Fix P2P references from extensions
* [`[82a68d73de]`](https://github.com/aspnet/AspNetCore/commit/82a68d73de) Include the VSIX and MPack files in the bill of materials
* [`[3c20e7c45b]`](https://github.com/aspnet/AspNetCore/commit/3c20e7c45b) Update the artifact type for the JSON manifest file
* [`[2f785cdd41]`](https://github.com/aspnet/AspNetCore/commit/2f785cdd41) Upgrade deps (#488)
* [`[2cf020103a]`](https://github.com/aspnet/AspNetCore/commit/2cf020103a) Update to new corefx packages (#486)
* [`[57fc6833fe]`](https://github.com/aspnet/AspNetCore/commit/57fc6833fe) Mark the SecretManager VSIX as IsProductComponent=true
* [`[294e6e8739]`](https://github.com/aspnet/AspNetCore/commit/294e6e8739) Avoid double-slashes when consuming dotnet-core assets from a custom blob store
* [`[2c27272e4d]`](https://github.com/aspnet/AspNetCore/commit/2c27272e4d) Adding a basic test for RazorGenerate
* [`[8570f1e0c0]`](https://github.com/aspnet/AspNetCore/commit/8570f1e0c0) Move site extensions out from src (#131)
* [`[fadeb7394a]`](https://github.com/aspnet/AspNetCore/commit/fadeb7394a) Add more bash magic to our script to avoid issues with unset and unbound variables
* [`[b3be0ebb91]`](https://github.com/aspnet/AspNetCore/commit/b3be0ebb91) Moved TokenizerBackerParser out of LegacyRazorDiagnostic
* [`[a609297ebb]`](https://github.com/aspnet/AspNetCore/commit/a609297ebb) Fix quote escaping issues in bash
* [`[ee8d0f30eb]`](https://github.com/aspnet/AspNetCore/commit/ee8d0f30eb) Add AzureIntegration.targets (#722)
* [`[38fa399c90]`](https://github.com/aspnet/AspNetCore/commit/38fa399c90) Add missing arguments to run.sh
* [`[7d4fb5dcab]`](https://github.com/aspnet/AspNetCore/commit/7d4fb5dcab) Moved HtmlMarkupParser out of LegacyRazorDiagnostic
* [`[0e20ea5178]`](https://github.com/aspnet/AspNetCore/commit/0e20ea5178) Include LineIndex and CharacterIndex when comparing SourceLocation
* [`[808f539297]`](https://github.com/aspnet/AspNetCore/commit/808f539297) Moved CSharpCodeParser out of LegacyRazorDiagnostic
* [`[926dae0d88]`](https://github.com/aspnet/AspNetCore/commit/926dae0d88) Move DefaultTagHelperTargetExtension errors to use RazorDiagnosticFactory.
* [`[dfa085afaf]`](https://github.com/aspnet/AspNetCore/commit/dfa085afaf) Add support for areas to Razor Pages
* [`[b900a82bc3]`](https://github.com/aspnet/AspNetCore/commit/b900a82bc3) Refocus Razor runtime assemblies
* [`[3bb71255d4]`](https://github.com/aspnet/AspNetCore/commit/3bb71255d4) clean up HttpConnectionTests (#1208)
* [`[00a6dc983a]`](https://github.com/aspnet/AspNetCore/commit/00a6dc983a) Fix #1170 by removing invocationId from non-blocking calls (#1218)
* [`[150bb3faf4]`](https://github.com/aspnet/AspNetCore/commit/150bb3faf4) Add BindingAddress to HttpAbstractions (#977)
* [`[c8bd72be36]`](https://github.com/aspnet/AspNetCore/commit/c8bd72be36) Others in Group (#1230)
* [`[d64005e205]`](https://github.com/aspnet/AspNetCore/commit/d64005e205) Add a list of important properties.
* [`[06c2cf31d4]`](https://github.com/aspnet/AspNetCore/commit/06c2cf31d4) Hardcode Debug in test
* [`[5425c69df6]`](https://github.com/aspnet/AspNetCore/commit/5425c69df6) Use path.combine instead
* [`[c8cabde1f1]`](https://github.com/aspnet/AspNetCore/commit/c8cabde1f1) Improve logging - individual filters
* [`[8490becc40]`](https://github.com/aspnet/AspNetCore/commit/8490becc40) Update pacakge dependencies  (#718)
* [`[aa4de988b0]`](https://github.com/aspnet/AspNetCore/commit/aa4de988b0) Use current Visual Studio image
* [`[18ce7f07ac]`](https://github.com/aspnet/AspNetCore/commit/18ce7f07ac) Moved CSharpTokenizer errors out of legacy diagnostic
* [`[463e11b739]`](https://github.com/aspnet/AspNetCore/commit/463e11b739) Make SyntaxTree mutations not leak.
* [`[05e1271b3c]`](https://github.com/aspnet/AspNetCore/commit/05e1271b3c) Goodbye Slim :(
* [`[d93a3c4a37]`](https://github.com/aspnet/AspNetCore/commit/d93a3c4a37) Add community projects section
* [`[1a842e92ec]`](https://github.com/aspnet/AspNetCore/commit/1a842e92ec) Fix dotnet myget npm registry link (#1223)
* [`[eb2668e74e]`](https://github.com/aspnet/AspNetCore/commit/eb2668e74e) AllExcept for Groups - GroupExcept (#1204)
* [`[8fcb046345]`](https://github.com/aspnet/AspNetCore/commit/8fcb046345) Moved the test infrastructure to depend on RazorDiagnostic instead of RazorError
* [`[d38e73c5d0]`](https://github.com/aspnet/AspNetCore/commit/d38e73c5d0) Update MonoDevelop.Sdk to 1.0.1
* [`[7234850c9a]`](https://github.com/aspnet/AspNetCore/commit/7234850c9a) Update MonoDevelop.Sdk to 1.0.1.
* [`[03878f671c]`](https://github.com/aspnet/AspNetCore/commit/03878f671c) Fix NERCorePlatforms package version
* [`[61e9e01574]`](https://github.com/aspnet/AspNetCore/commit/61e9e01574) Fix wrong package versions
* [`[9453dba8cb]`](https://github.com/aspnet/AspNetCore/commit/9453dba8cb) Update pacakge deps (#716)
* [`[2584f260ac]`](https://github.com/aspnet/AspNetCore/commit/2584f260ac) Add Microsoft.EntityFrameworkCore.Attributes [ci skip]
* [`[9f02935074]`](https://github.com/aspnet/AspNetCore/commit/9f02935074) Call Listen after Bind in tests (#2221)
* [`[085838e83a]`](https://github.com/aspnet/AspNetCore/commit/085838e83a) Make ErrorSink and Tokenizer depend on RazorDiagnostic instead of RazorError
* [`[6bbd063e26]`](https://github.com/aspnet/AspNetCore/commit/6bbd063e26) Use DefaultRazorDiagnostic in DefaultDirectiveSyntaxTreePass
* [`[d2c1138429]`](https://github.com/aspnet/AspNetCore/commit/d2c1138429) fix #1171 by teaching HttpConnection to be restartable in TypeScript (#1211)
* [`[4164821e4c]`](https://github.com/aspnet/AspNetCore/commit/4164821e4c) Add VS agnostic non-OOP DefaultTagHelperResolver.
* [`[4c4a7b3c6c]`](https://github.com/aspnet/AspNetCore/commit/4c4a7b3c6c) Improve logging - filter pipeline execution Related to issue #6498: When enabling "Trace" logging for MVC loggers, I should be buried in log messages
* [`[5d9f04cf34]`](https://github.com/aspnet/AspNetCore/commit/5d9f04cf34) Run `[RequireHttps]` filter early in pipeline
* [`[e7749b9ccc]`](https://github.com/aspnet/AspNetCore/commit/e7749b9ccc) return ReturnUrl when ExternalLogin fails (#186)
* [`[1aff9d0031]`](https://github.com/aspnet/AspNetCore/commit/1aff9d0031) Make RazorEditorFactoryService VS agnostic.
* [`[f7636fdfc0]`](https://github.com/aspnet/AspNetCore/commit/f7636fdfc0) Add TextBufferProjectService Mac implementation.
* [`[e73a289b3d]`](https://github.com/aspnet/AspNetCore/commit/e73a289b3d) Inclue RepositoryRoot
* [`[55dee97e99]`](https://github.com/aspnet/AspNetCore/commit/55dee97e99) Add Microsoft.AspNetCore.Razor.Design
* [`[6a10d620e4]`](https://github.com/aspnet/AspNetCore/commit/6a10d620e4) Updated the file content
* [`[eb74ea32f1]`](https://github.com/aspnet/AspNetCore/commit/eb74ea32f1) Add app.config to net 4.x templates (#191)
* [`[6eaf1219f6]`](https://github.com/aspnet/AspNetCore/commit/6eaf1219f6) Use nameof() when returning Views (#196)
* [`[804ab764c2]`](https://github.com/aspnet/AspNetCore/commit/804ab764c2) Re-enable the version consistency check
* [`[31ef3c49df]`](https://github.com/aspnet/AspNetCore/commit/31ef3c49df) Makes MapHub and MapEndpoint consistent with other ASP.NET Core APIs using PathString. #1188
* [`[1e1630068f]`](https://github.com/aspnet/AspNetCore/commit/1e1630068f) Make DefaultTagHelperResolver use the correct GetTagHelpersAsync.
* [`[7654f73c54]`](https://github.com/aspnet/AspNetCore/commit/7654f73c54) Assert foreground thread before dispatching events
* [`[2aaed28054]`](https://github.com/aspnet/AspNetCore/commit/2aaed28054) Rename dotnet-developercertificates to dotnet-dev-certs (#371)
* [`[b73c50be41]`](https://github.com/aspnet/AspNetCore/commit/b73c50be41) Add Mac implementation of FileChangeTracker.
* [`[0686383c90]`](https://github.com/aspnet/AspNetCore/commit/0686383c90) Add PathSchemeSelection sample
* [`[42943ce58c]`](https://github.com/aspnet/AspNetCore/commit/42943ce58c) Set DotNetAdditionalRestoreSources on all ExternalDependency items
* [`[1f3f010f87]`](https://github.com/aspnet/AspNetCore/commit/1f3f010f87) Upgrade CLI tools to .NET Core 2.1
* [`[b89a0655b6]`](https://github.com/aspnet/AspNetCore/commit/b89a0655b6) Add Microsoft.AspNetCore.Razor.Design
* [`[7e26af908e]`](https://github.com/aspnet/AspNetCore/commit/7e26af908e) [Fixes #6514] Add default ctor overload to AuthorizeFilter
* [`[821daa5ad0]`](https://github.com/aspnet/AspNetCore/commit/821daa5ad0) [Fixes #7085] ApplicationModelConventionExtensions should make a copy of collections when iterating them
* [`[358506f7bb]`](https://github.com/aspnet/AspNetCore/commit/358506f7bb) Changed the aspnet/Razor phare to be a link
* [`[13e4025dac]`](https://github.com/aspnet/AspNetCore/commit/13e4025dac) Using nameof() instead of hard-coded string. (#188)
* [`[588d9cdb11]`](https://github.com/aspnet/AspNetCore/commit/588d9cdb11) Use Utf8Parser instead of custom code (#1200)
* [`[26ea920fa6]`](https://github.com/aspnet/AspNetCore/commit/26ea920fa6) Set LoginProvider when ExternalLoginConfirmation fails (#187)
* [`[66ab939cff]`](https://github.com/aspnet/AspNetCore/commit/66ab939cff) Making HttpConnection restartable (C#) (#1147)
* [`[f2069e5ae5]`](https://github.com/aspnet/AspNetCore/commit/f2069e5ae5) Fixed the link to the replacement feature.
* [`[4f8db67cdd]`](https://github.com/aspnet/AspNetCore/commit/4f8db67cdd) Updated the readme.md file with obsolete details
* [`[f8a38b9d3d]`](https://github.com/aspnet/AspNetCore/commit/f8a38b9d3d) Update BenchmarkDotNet (#704)
* [`[8ded472fe9]`](https://github.com/aspnet/AspNetCore/commit/8ded472fe9) Add status code support to SpaPrerenderingExtensions
* [`[f208b27bd7]`](https://github.com/aspnet/AspNetCore/commit/f208b27bd7) Moved TextBufferProjectService from Mef to ILanguageService
* [`[75e102f97a]`](https://github.com/aspnet/AspNetCore/commit/75e102f97a) Support for Others and Caller Client Subsets(#1192)
* [`[6b8223b544]`](https://github.com/aspnet/AspNetCore/commit/6b8223b544) Moved RazorTextBufferProvider from Mef to ILanguageService
* [`[fb68a31ad5]`](https://github.com/aspnet/AspNetCore/commit/fb68a31ad5) Moved RazorCodeDocumentProvider from Mef to ILanguageService
* [`[2b54b2fc91]`](https://github.com/aspnet/AspNetCore/commit/2b54b2fc91) Upgrade deps (#2215)
* [`[14892d4fbc]`](https://github.com/aspnet/AspNetCore/commit/14892d4fbc) Created PULL_REQUEST_TEMPLATE.md
* [`[471bd8a170]`](https://github.com/aspnet/AspNetCore/commit/471bd8a170) Upgrade deps (#488)
* [`[c925897dde]`](https://github.com/aspnet/AspNetCore/commit/c925897dde) Create .github/ISSUE_TEMPLATE.md
* [`[c0b9ae5e55]`](https://github.com/aspnet/AspNetCore/commit/c0b9ae5e55) Update deps (#1201)
* [`[8a1c210c69]`](https://github.com/aspnet/AspNetCore/commit/8a1c210c69) Add Microsoft.AspNetCore.AzureKeyVault.HostingStartup (#697)
* [`[f4236a1dde]`](https://github.com/aspnet/AspNetCore/commit/f4236a1dde) Split KeyVault hosting startup into separate separate package (#126)
* [`[42050eed56]`](https://github.com/aspnet/AspNetCore/commit/42050eed56) Add Internal.AspNetCore.SiteExtension.Sdk external dependency (#701)
* [`[de47a6f50e]`](https://github.com/aspnet/AspNetCore/commit/de47a6f50e) Upgrade package references (#1195)
* [`[a1d91fcada]`](https://github.com/aspnet/AspNetCore/commit/a1d91fcada) Update to new corefx packages (#486)
* [`[ce07904b1a]`](https://github.com/aspnet/AspNetCore/commit/ce07904b1a) Upgrade corefx packages and shared runtime (#702)
* [`[65cdddf5d9]`](https://github.com/aspnet/AspNetCore/commit/65cdddf5d9) Make DefaultVisualStudioDocumentTrackerFactory VS agnostic.
* [`[37eed518f8]`](https://github.com/aspnet/AspNetCore/commit/37eed518f8) Make VisualStudioRazorParserFactory VisualStudio agnostic.
* [`[4d2e642b94]`](https://github.com/aspnet/AspNetCore/commit/4d2e642b94) Add launchSettings.json by default to our templates * Adds launchSettings.json to all of our templates. * Provides an alternative flag to exclude it. * Adds HTTPS support in launchSettings.json. * Re-adds HTTPS redirect and HSTS middleware for C# templates. * Improves some infrastructure aspects:     * Prefix all our test projects with AspNet.Template to allow easy       killing of orphaned processes.     * Setup an HTTPS certificate automatically for use with tests in the       same way our tooling does it on customers machines.     * Switch from OS selected ports to randomly selected ports. This is       required as we need to know the port to use for HTTPS.     * Allow disabling browser automation through an environment variable.     * Setup Firefox to allow untrusted certificates when using Selenium.     * Allow running Selenium tests on firefox by setting an environment       variable.
* [`[7246e58189]`](https://github.com/aspnet/AspNetCore/commit/7246e58189) Skip WebSockets on win7 and 2008 (#1194)
* [`[d1881c74c9]`](https://github.com/aspnet/AspNetCore/commit/d1881c74c9) Rename props to avoid reserved names
* [`[35d4ad0f30]`](https://github.com/aspnet/AspNetCore/commit/35d4ad0f30) Always produce shared framework zips
* [`[88e66f2b21]`](https://github.com/aspnet/AspNetCore/commit/88e66f2b21) Prepare the 2.0.5 patch and add task to ensure repo versions cascade
* [`[0ade3698b4]`](https://github.com/aspnet/AspNetCore/commit/0ade3698b4) Identify the difference between skipped and shipped repositories
* [`[7cea779b7a]`](https://github.com/aspnet/AspNetCore/commit/7cea779b7a) Update JsonHelper to escape HTML.
* [`[3bc3ca2a41]`](https://github.com/aspnet/AspNetCore/commit/3bc3ca2a41) Add 2.0.3 manifests to all metapackage
* [`[554c3310e3]`](https://github.com/aspnet/AspNetCore/commit/554c3310e3) Updates for 2.0.5 installers
* [`[f708c463d9]`](https://github.com/aspnet/AspNetCore/commit/f708c463d9) Export RazorDocumentManager using roslyn services
* [`[16c23b846e]`](https://github.com/aspnet/AspNetCore/commit/16c23b846e) Split showing and generating recovery codes
* [`[e4ecd070eb]`](https://github.com/aspnet/AspNetCore/commit/e4ecd070eb) Use AuthenticatorUrl generated on the server in EnableAuthenticator pages * Update prerelease package versions * Install the right CLI version
* [`[bc95a4a6c1]`](https://github.com/aspnet/AspNetCore/commit/bc95a4a6c1) Add missing @ (#184)
* [`[a8330067c4]`](https://github.com/aspnet/AspNetCore/commit/a8330067c4) Implement #1157 by adding client timeout for C# client (#1165)
* [`[ed9e34caab]`](https://github.com/aspnet/AspNetCore/commit/ed9e34caab) Set ErrorViewModel in ConfirmEmail (#180)
* [`[88e05f71a5]`](https://github.com/aspnet/AspNetCore/commit/88e05f71a5) Add no-cache header to error pages (#182)
* [`[fabe0fbe3c]`](https://github.com/aspnet/AspNetCore/commit/fabe0fbe3c) Catch any error in UpdateRepos
* [`[911264eb04]`](https://github.com/aspnet/AspNetCore/commit/911264eb04) Clean up shared framework generation.
* [`[7cd1b6a5d0]`](https://github.com/aspnet/AspNetCore/commit/7cd1b6a5d0) Make BraceSmartIndenterFactory VisualStudio agnostic.
* [`[d5bb73a98c]`](https://github.com/aspnet/AspNetCore/commit/d5bb73a98c) [Fixes #6197] AddXmlSerializerFormatters with no namespace
* [`[b07d405cc2]`](https://github.com/aspnet/AspNetCore/commit/b07d405cc2) Update the templating submodule
* [`[05d02e7cab]`](https://github.com/aspnet/AspNetCore/commit/05d02e7cab) [Fixes #6533] Log when XML formatters fail to create a serializer
* [`[ba496bf1af]`](https://github.com/aspnet/AspNetCore/commit/ba496bf1af) Add a way for tooling to determine if a span corresponds to a TagHelper.
* [`[db38da7edb]`](https://github.com/aspnet/AspNetCore/commit/db38da7edb) Fix Xml formatters to taking in MvcOptions to take affect of options mutation Related to issue [Fixes #6858] Changes to MvcOption's settings (SuppressInputFormatterBuffering & AllowBindingUndefinedValueToEnumType) are not taking affect
* [`[c94685e470]`](https://github.com/aspnet/AspNetCore/commit/c94685e470) Use aspnetcore-dev
* [`[835325f5ee]`](https://github.com/aspnet/AspNetCore/commit/835325f5ee) Clean up Universe
* [`[15c3bca8e6]`](https://github.com/aspnet/AspNetCore/commit/15c3bca8e6) Change log names in testing and assembly logs are from (#1182)
* [`[6e152e24e1]`](https://github.com/aspnet/AspNetCore/commit/6e152e24e1) forgot a copyright header (#1183)
* [`[9f1e6607dd]`](https://github.com/aspnet/AspNetCore/commit/9f1e6607dd) Changes OS bitness check to Environment rather than System.Runtime.InteropServices.RuntimeInformation (#1286)
* [`[6be80e7bed]`](https://github.com/aspnet/AspNetCore/commit/6be80e7bed) Use windows VS error reporter instead of the no-op default
* [`[f5dcdfd8de]`](https://github.com/aspnet/AspNetCore/commit/f5dcdfd8de) Encode ForgotPassword email link (#179)
* [`[e0daa126e2]`](https://github.com/aspnet/AspNetCore/commit/e0daa126e2) Produce aspnetcore shared framework
* [`[7ec0e9fb23]`](https://github.com/aspnet/AspNetCore/commit/7ec0e9fb23) Make GenerateMPack target more resilient.
* [`[a0f4101453]`](https://github.com/aspnet/AspNetCore/commit/a0f4101453) Add Mac implementation of ErrorReporter.
* [`[f4bb309994]`](https://github.com/aspnet/AspNetCore/commit/f4bb309994) Implement #1162 by adding client timeout for JavaScript (#1163)
* [`[ae9c3cf04d]`](https://github.com/aspnet/AspNetCore/commit/ae9c3cf04d) expand ping test expectations to avoid flakiness (#1181)
* [`[bc8b2c86fd]`](https://github.com/aspnet/AspNetCore/commit/bc8b2c86fd) Add Mac implementation of VisualStudioForegroundDispatcher.
* [`[e6a2f6811c]`](https://github.com/aspnet/AspNetCore/commit/e6a2f6811c) LinepuePackageRestoreSource to aspnetcore-dev
* [`[f67670927f]`](https://github.com/aspnet/AspNetCore/commit/f67670927f) Add Mac implementation of VisualStudioWorkspaceAccessor.
* [`[6ca98f4dc9]`](https://github.com/aspnet/AspNetCore/commit/6ca98f4dc9) Removing some unreferenced external dependencies (#691)
* [`[74512dc3b2]`](https://github.com/aspnet/AspNetCore/commit/74512dc3b2) Change HMR install to devDependencies
* [`[cd1d57f97b]`](https://github.com/aspnet/AspNetCore/commit/cd1d57f97b) Add MonoDevelop.Core and MonoDevelop.Ide addin dependencies.
* [`[8ebcde0463]`](https://github.com/aspnet/AspNetCore/commit/8ebcde0463) Add MonoDevelop.Sdk package to the mirror.
* [`[668f8e3b4b]`](https://github.com/aspnet/AspNetCore/commit/668f8e3b4b) Lazily allocate protocol-specific connection objects (#2190)
* [`[e09ea40551]`](https://github.com/aspnet/AspNetCore/commit/e09ea40551) [Fixes #6591] TempData should support nullable types
* [`[d87770a56c]`](https://github.com/aspnet/AspNetCore/commit/d87770a56c) Use aspnetcore-dev
* [`[c1d2024864]`](https://github.com/aspnet/AspNetCore/commit/c1d2024864) Implement #1156 by having the server send Ping messages (#1161)
* [`[629f87181a]`](https://github.com/aspnet/AspNetCore/commit/629f87181a) [Fixes #6858] Changes to MvcOption's settings (SuppressInputFormatterBuffering & AllowBindingUndefinedValueToEnumType) are not taking affect
* [`[269cff5bf5]`](https://github.com/aspnet/AspNetCore/commit/269cff5bf5) Change parameter name to htmlMessage (#178)
* [`[78c8bdbbef]`](https://github.com/aspnet/AspNetCore/commit/78c8bdbbef) Exclude Microsoft.AspNetCore.Runtime.SiteExtension from pack (#125)
* [`[7c9a985382]`](https://github.com/aspnet/AspNetCore/commit/7c9a985382) Also use DotNetAdditionalRestoreSources when restoring external dependencies
* [`[3cf18e3e19]`](https://github.com/aspnet/AspNetCore/commit/3cf18e3e19) Also use DotNetAdditionalRestoreSources when restoring external dependencies
* [`[b8a1c04ffb]`](https://github.com/aspnet/AspNetCore/commit/b8a1c04ffb) Make the HttpParser a singleton  (#2203)
* [`[e4671392ec]`](https://github.com/aspnet/AspNetCore/commit/e4671392ec) Fix #1140 by plumbing WebSocketOptions up to HttpOptions (#1174)
* [`[8abbaa46cc]`](https://github.com/aspnet/AspNetCore/commit/8abbaa46cc) Added imports tracking to TagHelper project system - #1744
* [`[3a76af803a]`](https://github.com/aspnet/AspNetCore/commit/3a76af803a) Rename the parameter used to specify additional sources to avoid conflating with DotNetRestoreSources used in projects
* [`[400ef9e3b1]`](https://github.com/aspnet/AspNetCore/commit/400ef9e3b1) Update ANCM version
* [`[0bb3f18049]`](https://github.com/aspnet/AspNetCore/commit/0bb3f18049) Add support for BadRequest in RazorPages (#7097)
* [`[3005337a9c]`](https://github.com/aspnet/AspNetCore/commit/3005337a9c) fix #625 by implementing HubMethodNameAttribute (#1173)
* [`[c07d699f0f]`](https://github.com/aspnet/AspNetCore/commit/c07d699f0f) Add AspNetCore runtime site extension (#118)
* [`[1cfc3d715c]`](https://github.com/aspnet/AspNetCore/commit/1cfc3d715c) Add Microsoft.Extensions.ApplicationModelDetection (#645)
* [`[6b2a702ff4]`](https://github.com/aspnet/AspNetCore/commit/6b2a702ff4) Handle line ending differences in a few tests - #6205 - combine `TagHelpers_SupportsPathNavigation()` and `TagHelpers_SupportsRelativeNavigation()` into one
* [`[7c2c5f2bef]`](https://github.com/aspnet/AspNetCore/commit/7c2c5f2bef) EnableApiCheck for Kestrel.Https (#2198)
* [`[e6c716444d]`](https://github.com/aspnet/AspNetCore/commit/e6c716444d) Add a <partial /> tag helper
* [`[f121d9c688]`](https://github.com/aspnet/AspNetCore/commit/f121d9c688) Split out version specification from ExternalDependency initialization
* [`[5819301f7e]`](https://github.com/aspnet/AspNetCore/commit/5819301f7e) Change Web API to API (#169)
* [`[db511a036d]`](https://github.com/aspnet/AspNetCore/commit/db511a036d) Update produced packages to 2.1.0-preview-* (#1172)
* [`[1db6eb0823]`](https://github.com/aspnet/AspNetCore/commit/1db6eb0823) Add support for automatically installing new versions of the 2.1 runtime (#676)
* [`[db6c04818e]`](https://github.com/aspnet/AspNetCore/commit/db6c04818e) Add application model detection package  (#119)
* [`[f7c3546b98]`](https://github.com/aspnet/AspNetCore/commit/f7c3546b98) LZMA update for 2.0.4
* [`[940c71eaf8]`](https://github.com/aspnet/AspNetCore/commit/940c71eaf8) Correct spelling in summary (#975)
* [`[740b81e989]`](https://github.com/aspnet/AspNetCore/commit/740b81e989) Update ANCM Version (#682)
* [`[2e14ec8f9b]`](https://github.com/aspnet/AspNetCore/commit/2e14ec8f9b) Update AspNetCoreModuleX64Location and X86.  (#264)
* [`[6414cf0f23]`](https://github.com/aspnet/AspNetCore/commit/6414cf0f23) Use sources.props
* [`[8d7e9b737a]`](https://github.com/aspnet/AspNetCore/commit/8d7e9b737a) Update Internal.AspNetCore.Sdk
* [`[5e9e3a8574]`](https://github.com/aspnet/AspNetCore/commit/5e9e3a8574) Make sure to add whitespace after the status code even if the reasonphrase is empty (#2184)
* [`[e81746c3b6]`](https://github.com/aspnet/AspNetCore/commit/e81746c3b6) Reference Task.Extensions directly
* [`[1219e97e27]`](https://github.com/aspnet/AspNetCore/commit/1219e97e27) Avoid LOH
* [`[531c7cfba1]`](https://github.com/aspnet/AspNetCore/commit/531c7cfba1) More micro benchmarks (#1158)
* [`[33dfcf9759]`](https://github.com/aspnet/AspNetCore/commit/33dfcf9759) Add more VS packages to the mirror
* [`[12e6e99d92]`](https://github.com/aspnet/AspNetCore/commit/12e6e99d92) Add support for restore sources and package version props url
* [`[98de3aa50d]`](https://github.com/aspnet/AspNetCore/commit/98de3aa50d) Suppress API check due to reflection load errors (#2185)
* [`[5274867cb7]`](https://github.com/aspnet/AspNetCore/commit/5274867cb7) Update VS editor package versions.
* [`[182714c324]`](https://github.com/aspnet/AspNetCore/commit/182714c324) Move away from WPF text view connection listener.
* [`[df1d0bbcd4]`](https://github.com/aspnet/AspNetCore/commit/df1d0bbcd4) Change text buffer code document provider to follow our public API MEF rules.
* [`[345eb29c62]`](https://github.com/aspnet/AspNetCore/commit/345eb29c62) Update code doc provider to only rely on VSRazorParser.
* [`[ce68427050]`](https://github.com/aspnet/AspNetCore/commit/ce68427050) Use ALPN support in SSLStream on .NET Core >= 2.1 (#2179)
* [`[9e82629c1f]`](https://github.com/aspnet/AspNetCore/commit/9e82629c1f) Add AureliaPlugin to the vendor bundle
* [`[3a4c81dcc9]`](https://github.com/aspnet/AspNetCore/commit/3a4c81dcc9) Change order of UseBrowserLink method invocation
* [`[af23185c06]`](https://github.com/aspnet/AspNetCore/commit/af23185c06) Change order of UseBrowserLink method invocation
* [`[a68c7241b5]`](https://github.com/aspnet/AspNetCore/commit/a68c7241b5) Invoke a simpler UseMvc overload in Razor Pages templates
* [`[529ef02290]`](https://github.com/aspnet/AspNetCore/commit/529ef02290) Invoke a simpler UseMvc overload in Razor Pages templates
* [`[5d7e31d16f]`](https://github.com/aspnet/AspNetCore/commit/5d7e31d16f) Minor simplifications to Vue fetchdata logic
* [`[5e752169d6]`](https://github.com/aspnet/AspNetCore/commit/5e752169d6) Vue.js template: Use async/await
* [`[02bbcb68f1]`](https://github.com/aspnet/AspNetCore/commit/02bbcb68f1) fixed docs on SocketNodeInstance
* [`[40603f1566]`](https://github.com/aspnet/AspNetCore/commit/40603f1566) In Angular template, make nav button collapsing work (without importing all bootstrap.js scripts)
* [`[98f29207a2]`](https://github.com/aspnet/AspNetCore/commit/98f29207a2) Support running "dotnet restore" directly in template source folders
* [`[c517ad3f65]`](https://github.com/aspnet/AspNetCore/commit/c517ad3f65) For Angular template, update to @angular/cli 1.5.4 equivalent output
* [`[887e22ec07]`](https://github.com/aspnet/AspNetCore/commit/887e22ec07) Eclipse S.T.Tasks.Extension version referenced by S.T.Channels
* [`[76de77746d]`](https://github.com/aspnet/AspNetCore/commit/76de77746d) Eclipse CoreFx package versions to prevent package downgrade warnings
* [`[076e5fe6af]`](https://github.com/aspnet/AspNetCore/commit/076e5fe6af) Fixup name of SystemServiceProcessServiceControllerPackageVersion
* [`[e539a4421a]`](https://github.com/aspnet/AspNetCore/commit/e539a4421a) Replace hardcoded string with constant
* [`[0a76ad7017]`](https://github.com/aspnet/AspNetCore/commit/0a76ad7017) Added TagHelper discovery to Razor project systen
* [`[90120f6a3b]`](https://github.com/aspnet/AspNetCore/commit/90120f6a3b) Added necessary infrastructure for Tag helper project system imports tracking
* [`[4b48a46521]`](https://github.com/aspnet/AspNetCore/commit/4b48a46521) Fix property name in PackageArchive targets
* [`[711a618310]`](https://github.com/aspnet/AspNetCore/commit/711a618310) Adds test for proposal in #7014
* [`[3a132e4af5]`](https://github.com/aspnet/AspNetCore/commit/3a132e4af5) Open up private methods in ValidationVisitor - Allows for other validation libraries to customize validation behaviour
* [`[959e7027b0]`](https://github.com/aspnet/AspNetCore/commit/959e7027b0) Add ValidateComplexTypesIfChildValidationFails to ValidationVisitor - Allows more granular control of when model-level validation should run.
* [`[dfd15c8679]`](https://github.com/aspnet/AspNetCore/commit/dfd15c8679) Only produce one version of the runtime store, templates packages, and installers (#665)
* [`[4394b57143]`](https://github.com/aspnet/AspNetCore/commit/4394b57143) JWT C# Sample
* [`[a4dd0cd9d7]`](https://github.com/aspnet/AspNetCore/commit/a4dd0cd9d7) JWT JS Sample
* [`[18a65496b7]`](https://github.com/aspnet/AspNetCore/commit/18a65496b7) Adding support for JWT in the TS client
* [`[0bafb304c2]`](https://github.com/aspnet/AspNetCore/commit/0bafb304c2) Adding support for JWT in the C# client
* [`[5841ab1065]`](https://github.com/aspnet/AspNetCore/commit/5841ab1065) Set minimum VS version to 15.0.26730.03
* [`[ee5535203e]`](https://github.com/aspnet/AspNetCore/commit/ee5535203e) Fixed rfc3339 formats to work with all localizations (#7066)
* [`[54e96bd404]`](https://github.com/aspnet/AspNetCore/commit/54e96bd404) Tolerate leading "~/" or "/" (#499)
* [`[4ecabacc76]`](https://github.com/aspnet/AspNetCore/commit/4ecabacc76) Create an initial implementation of the secret manager for VS (#355)
* [`[fadd6f89fd]`](https://github.com/aspnet/AspNetCore/commit/fadd6f89fd) Start Redis first in tests (#1146)
* [`[6277bf8b3a]`](https://github.com/aspnet/AspNetCore/commit/6277bf8b3a) Add more external dependencies to dependencies.props
* [`[aff78a04af]`](https://github.com/aspnet/AspNetCore/commit/aff78a04af) Update property name to match naming scheme
* [`[e03c6a7908]`](https://github.com/aspnet/AspNetCore/commit/e03c6a7908) Cross-compile Windows Services hosting package
* [`[afd80750e3]`](https://github.com/aspnet/AspNetCore/commit/afd80750e3) Update ServiceController version for netstandard support
* [`[76cb441a8e]`](https://github.com/aspnet/AspNetCore/commit/76cb441a8e) On test completion, kill the ASP.NET process tree (otherwise orphan processes are left behind)
* [`[1b0258ab8f]`](https://github.com/aspnet/AspNetCore/commit/1b0258ab8f) Move AddEntryToTree to shared source (#496)
* [`[19e943e6b9]`](https://github.com/aspnet/AspNetCore/commit/19e943e6b9) Update base key
* [`[a1d75df47d]`](https://github.com/aspnet/AspNetCore/commit/a1d75df47d) Use new Memory<byte> APIs on SocketAsyncEventArgs (#2173)
* [`[9dc9381ae4]`](https://github.com/aspnet/AspNetCore/commit/9dc9381ae4) Re-order execution in CacheTagHelper to avoid setting the result too early
* [`[21b15803ae]`](https://github.com/aspnet/AspNetCore/commit/21b15803ae) In tests, restore NPM dependencies using yarn if installed
* [`[62a8eafe51]`](https://github.com/aspnet/AspNetCore/commit/62a8eafe51) Distribute SPA templates over multiple test classes so they can run in parallel
* [`[7961894771]`](https://github.com/aspnet/AspNetCore/commit/7961894771) Re-enable test parallelization. Fixes #63.
* [`[4af7a47aac]`](https://github.com/aspnet/AspNetCore/commit/4af7a47aac) Change code document provider to work in old Razor.
* [`[1247466f5e]`](https://github.com/aspnet/AspNetCore/commit/1247466f5e) Upgrade dependencies
* [`[93cbf4dbef]`](https://github.com/aspnet/AspNetCore/commit/93cbf4dbef) Change negotiate to POST (#1122)
* [`[046553cfe4]`](https://github.com/aspnet/AspNetCore/commit/046553cfe4) Avoiding serializing to MemoryStream
* [`[67fc879c54]`](https://github.com/aspnet/AspNetCore/commit/67fc879c54) Null out send buffer less (#2164)
* [`[2dc3e36421]`](https://github.com/aspnet/AspNetCore/commit/2dc3e36421) Fix F# Program.fs
* [`[75274c76d5]`](https://github.com/aspnet/AspNetCore/commit/75274c76d5) Give redis docker image time to download (#1131)
* [`[2623b50695]`](https://github.com/aspnet/AspNetCore/commit/2623b50695) Update info on SPA template home components
* [`[9b1509a52b]`](https://github.com/aspnet/AspNetCore/commit/9b1509a52b) Handle @angular/cli not accept requests immediately on startup
* [`[a76a891865]`](https://github.com/aspnet/AspNetCore/commit/a76a891865) Workarounds to make SPA template tests work
* [`[849a0843c9]`](https://github.com/aspnet/AspNetCore/commit/849a0843c9) Fixes for constructing IWebDriver
* [`[f028839b5d]`](https://github.com/aspnet/AspNetCore/commit/f028839b5d) Workaround for publishing issue
* [`[2dda2dd99d]`](https://github.com/aspnet/AspNetCore/commit/2dda2dd99d) Stop tests from hanging if the ASP.NET process fails to exit
* [`[b01f1a9f6a]`](https://github.com/aspnet/AspNetCore/commit/b01f1a9f6a) Add support for looking up AspNetCoreSettings.props file beyond repo root
* [`[4f7aab7720]`](https://github.com/aspnet/AspNetCore/commit/4f7aab7720) Prevent Razor Core from running in non-core scenarios.
* [`[89d1862f21]`](https://github.com/aspnet/AspNetCore/commit/89d1862f21)  #2139 Add ListenLocalhost and ListenAnyIP
* [`[5fffd464cd]`](https://github.com/aspnet/AspNetCore/commit/5fffd464cd) Support input type "week" (#7045)
* [`[85ea220c4e]`](https://github.com/aspnet/AspNetCore/commit/85ea220c4e) Fixes dotnet.exe string as runtime now reads it (#246)
* [`[a6458bb149]`](https://github.com/aspnet/AspNetCore/commit/a6458bb149) Updating IdentityModel to preview2 (#652)
* [`[30acb48dfc]`](https://github.com/aspnet/AspNetCore/commit/30acb48dfc) Add blank lines
* [`[cb3124be17]`](https://github.com/aspnet/AspNetCore/commit/cb3124be17) First pass at Keep Alive (#1119)
* [`[379160707f]`](https://github.com/aspnet/AspNetCore/commit/379160707f) Switching to new base64 APIs (#1127)
* [`[476333771c]`](https://github.com/aspnet/AspNetCore/commit/476333771c) #955 Print available scheme names in exception message for invalid scheme (#961)
* [`[5bd38028f4]`](https://github.com/aspnet/AspNetCore/commit/5bd38028f4) Upgrade dependencies.props
* [`[1d9585b69d]`](https://github.com/aspnet/AspNetCore/commit/1d9585b69d) Replace Angular, React, ReactRedux templates with new CLI based ones
* [`[68c4620a55]`](https://github.com/aspnet/AspNetCore/commit/68c4620a55) Consider React dev server ready when it starts listening, not when (and if) it compiles successfully
* [`[296435e40c]`](https://github.com/aspnet/AspNetCore/commit/296435e40c) When capturing prerendering template, avoid problems with HTTP compression
* [`[e279bcdcb4]`](https://github.com/aspnet/AspNetCore/commit/e279bcdcb4) Put Microsoft.AspNetCore.Mvc.Testing in the shipping category
* [`[8fc5804903]`](https://github.com/aspnet/AspNetCore/commit/8fc5804903) Added Microsoft.AspNetCore.DeveloperCertificates.XPlat package
* [`[6c4427cde5]`](https://github.com/aspnet/AspNetCore/commit/6c4427cde5) Added a package for generating HTTPS Certificates on CLI first run scenarios
* [`[65906d3610]`](https://github.com/aspnet/AspNetCore/commit/65906d3610) Unify git submodules to point to the 'release/2.0.0' branch (#649)
* [`[9a2e3ceab6]`](https://github.com/aspnet/AspNetCore/commit/9a2e3ceab6) Added public api changes for TagHelper project system
* [`[945710907b]`](https://github.com/aspnet/AspNetCore/commit/945710907b) Fixing js end-to-end test after introducing streaminvocation (#1120)
* [`[848e3c5cda]`](https://github.com/aspnet/AspNetCore/commit/848e3c5cda) Fix parsing error on raw urls without path. (#406)
* [`[3a8f512fa7]`](https://github.com/aspnet/AspNetCore/commit/3a8f512fa7) Couple more reaction changes for Hosting (#1126)
* [`[6cf78ceb1b]`](https://github.com/aspnet/AspNetCore/commit/6cf78ceb1b) Move TagHelperCompletionService to VS.Editor.Razor and export it.
* [`[458111ad03]`](https://github.com/aspnet/AspNetCore/commit/458111ad03) Move TagHelperFactsService and export it.
* [`[5b6db93383]`](https://github.com/aspnet/AspNetCore/commit/5b6db93383) fixed minor copy and paste error in mockconnection handler (#2163)
* [`[e2bcefc3d0]`](https://github.com/aspnet/AspNetCore/commit/e2bcefc3d0) Move TreeEnumerator to shared source (#494)
* [`[49537878d3]`](https://github.com/aspnet/AspNetCore/commit/49537878d3) Account for other TFMs
* [`[0b8b099e82]`](https://github.com/aspnet/AspNetCore/commit/0b8b099e82) Adds contentRoot to ANCM path (#1272)
* [`[520876e55d]`](https://github.com/aspnet/AspNetCore/commit/520876e55d) Re-add some Legacy ITagHelperResolver infrastructure.
* [`[8f6f79bc47]`](https://github.com/aspnet/AspNetCore/commit/8f6f79bc47) Add script to list repo versions
* [`[44e5874029]`](https://github.com/aspnet/AspNetCore/commit/44e5874029) Move RazorSyntaxFactsService to VS.Editor.Razor and export it.
* [`[de23788019]`](https://github.com/aspnet/AspNetCore/commit/de23788019) Move indentation service to VS.Editor.Razor and export it.
* [`[44a47182b2]`](https://github.com/aspnet/AspNetCore/commit/44a47182b2) Add EditorSettingsManager as an exported MEF component.
* [`[d7785d6187]`](https://github.com/aspnet/AspNetCore/commit/d7785d6187) Add tag repos script
* [`[afb36d9667]`](https://github.com/aspnet/AspNetCore/commit/afb36d9667) Files put in contentFiles are not actually in contentFiles (#1269)
* [`[7235918051]`](https://github.com/aspnet/AspNetCore/commit/7235918051) Update templating to latest commit
* [`[726da0f11f]`](https://github.com/aspnet/AspNetCore/commit/726da0f11f) Fix HttpsPolicy dependency for full framework (#151)
* [`[f27a5a674e]`](https://github.com/aspnet/AspNetCore/commit/f27a5a674e) Updates ANCM path to look in content files (#1268)
* [`[bcd433e6d4]`](https://github.com/aspnet/AspNetCore/commit/bcd433e6d4) Updates ANCM to latest version (#648)
* [`[cfd974337d]`](https://github.com/aspnet/AspNetCore/commit/cfd974337d) Improved request error handling.
* [`[18f308fb05]`](https://github.com/aspnet/AspNetCore/commit/18f308fb05) Updating spec with StreamInvocation, removing StreamCompletion
* [`[ff43390ed2]`](https://github.com/aspnet/AspNetCore/commit/ff43390ed2) [Redis] Add functional test support (#1051)
* [`[cd3f58bed7]`](https://github.com/aspnet/AspNetCore/commit/cd3f58bed7) #1263 Delay IServer and Startup.Configure until StartAsync
* [`[9789e09cfb]`](https://github.com/aspnet/AspNetCore/commit/9789e09cfb) Adding EventSource/EventCounters to Sockets (#1083)
* [`[eb966ab7b1]`](https://github.com/aspnet/AspNetCore/commit/eb966ab7b1) Updating package versions
* [`[065e9bb57a]`](https://github.com/aspnet/AspNetCore/commit/065e9bb57a) Update "temporary" OpenSSL wrapper to support 1.1, and add HTTP/2 sample with docker (#2149)
* [`[c12c938d4a]`](https://github.com/aspnet/AspNetCore/commit/c12c938d4a) Copy aspnetcore.dll to contentfiles and re-add old nuget locations. (#245)
* [`[b8c3d26975]`](https://github.com/aspnet/AspNetCore/commit/b8c3d26975) Migrate to new pipe APIs (#454)
* [`[73a37363e1]`](https://github.com/aspnet/AspNetCore/commit/73a37363e1) Migrate to new pipe APIs  (#2124)
* [`[8f9ea25c63]`](https://github.com/aspnet/AspNetCore/commit/8f9ea25c63) Add Microsoft.AspNetCore.Routing.UrlMatchingTree.Sources package
* [`[2d1aaeb036]`](https://github.com/aspnet/AspNetCore/commit/2d1aaeb036) Set log level. (#829)
* [`[b7dc2757c7]`](https://github.com/aspnet/AspNetCore/commit/b7dc2757c7) More runtime setup packages to mirror
* [`[fac246e67c]`](https://github.com/aspnet/AspNetCore/commit/fac246e67c) Add support for PB_SkipTests and PB_SignType variables (#646)
* [`[6294d38805]`](https://github.com/aspnet/AspNetCore/commit/6294d38805) Disabling tests while investigating file location issues (#831)
* [`[c14ef1a7a6]`](https://github.com/aspnet/AspNetCore/commit/c14ef1a7a6) Disabling tests until file path issues are resolved. (#97)
* [`[7f8ba171f4]`](https://github.com/aspnet/AspNetCore/commit/7f8ba171f4) Move UrlMatchingTree to shared source (#492)
* [`[f21d107766]`](https://github.com/aspnet/AspNetCore/commit/f21d107766) Use different ports in ServerFixture for testing (#1112)
* [`[ff12b9b20c]`](https://github.com/aspnet/AspNetCore/commit/ff12b9b20c) Replacing StreamCompletion with StreamInvocation
* [`[eac0e2d03b]`](https://github.com/aspnet/AspNetCore/commit/eac0e2d03b) Add support for detecting when the user cancels the trust prompt and a mode to check for the validity and trust of existing certificates
* [`[aeabbdcada]`](https://github.com/aspnet/AspNetCore/commit/aeabbdcada) Stop create-react-app from opening an extra browser tab (pointed to the wrong port)
* [`[96d7f85327]`](https://github.com/aspnet/AspNetCore/commit/96d7f85327) Add UseReactDevelopmentServer() middleware. Factor out common code.
* [`[30333e250a]`](https://github.com/aspnet/AspNetCore/commit/30333e250a) AddSpaStaticFiles/UseSpaStaticFiles APIs to clean up the React template (or other cases where SPA files are outside wwwroot)
* [`[82e096c9a5]`](https://github.com/aspnet/AspNetCore/commit/82e096c9a5) Adds windows auth support (#241)
* [`[552163ab77]`](https://github.com/aspnet/AspNetCore/commit/552163ab77) Adds windows Auth support (#471)
* [`[02850d48dd]`](https://github.com/aspnet/AspNetCore/commit/02850d48dd) Add a missing tick to README.md
* [`[2ef19ab810]`](https://github.com/aspnet/AspNetCore/commit/2ef19ab810) More packages to restore
* [`[b0740dcb2b]`](https://github.com/aspnet/AspNetCore/commit/b0740dcb2b) Add more packages required by the 2.1 runtime
* [`[a24bed01d7]`](https://github.com/aspnet/AspNetCore/commit/a24bed01d7) Identify the difference between skipped and shipped repositories
* [`[3c727be270]`](https://github.com/aspnet/AspNetCore/commit/3c727be270) Fix path check for ANCM (#1262)
* [`[40bd6e560e]`](https://github.com/aspnet/AspNetCore/commit/40bd6e560e) Adds HostingModel as an extra DeploymentParameter (#1261)
* [`[9ab00e0e0f]`](https://github.com/aspnet/AspNetCore/commit/9ab00e0e0f) Also add NS.Library 2.0.1
* [`[a828818ca8]`](https://github.com/aspnet/AspNetCore/commit/a828818ca8) Mirror packages required to target netcoreapp2.1
* [`[a78b9c7490]`](https://github.com/aspnet/AspNetCore/commit/a78b9c7490) Support the Extensions.Abstractions from Hosting.Abstractions (#1259)
* [`[1a21fd49b1]`](https://github.com/aspnet/AspNetCore/commit/1a21fd49b1) Changing the Closed Event to be a Task (#1080)
* [`[0051c81c96]`](https://github.com/aspnet/AspNetCore/commit/0051c81c96) Upgrade dependencies
* [`[08002e961b]`](https://github.com/aspnet/AspNetCore/commit/08002e961b) In WebpackDevMiddleware.ts, support loading Webpack config files with __esModule. Fixes #1378
* [`[53b4697269]`](https://github.com/aspnet/AspNetCore/commit/53b4697269) Show cause of connection failure in test (#2155)
* [`[c61e9b3e84]`](https://github.com/aspnet/AspNetCore/commit/c61e9b3e84) Preparing to update to 2.2 SDK
* [`[a01e23250f]`](https://github.com/aspnet/AspNetCore/commit/a01e23250f) Preparing to update to 2.2 SDK
* [`[39fbf4d139]`](https://github.com/aspnet/AspNetCore/commit/39fbf4d139) Add Microsoft.DotNet.PlatformAbstractions to the list of external dependencies
* [`[cf84583492]`](https://github.com/aspnet/AspNetCore/commit/cf84583492) Update the templating package IDs in artifacts.props
* [`[14888f46bc]`](https://github.com/aspnet/AspNetCore/commit/14888f46bc) Update DependencyModel to 2.1.0-preview2-25711-01
* [`[ee5178160e]`](https://github.com/aspnet/AspNetCore/commit/ee5178160e) Account for .Sources packages when computing the repo graph
* [`[05fd382b93]`](https://github.com/aspnet/AspNetCore/commit/05fd382b93)  #1256 Check HasStarted for StatusCode and ReasonPhrase
* [`[64596d538b]`](https://github.com/aspnet/AspNetCore/commit/64596d538b) TestServer: Copy the feature collection to mitigate multi-threading
* [`[1e556e0b46]`](https://github.com/aspnet/AspNetCore/commit/1e556e0b46)  #1253 TestServer: mark response headers IsReadOnly on start
* [`[0c77224f46]`](https://github.com/aspnet/AspNetCore/commit/0c77224f46) Allow prerendering middleware to pass through non-prerendered responses (important when using dev middleware)
* [`[a83ec3a053]`](https://github.com/aspnet/AspNetCore/commit/a83ec3a053) ArgumentNullException -> ArgumentException
* [`[bb07119b4a]`](https://github.com/aspnet/AspNetCore/commit/bb07119b4a) Handle "month" input type (#7022)
* [`[a5293eeca5]`](https://github.com/aspnet/AspNetCore/commit/a5293eeca5) Add Microsoft.AspNetCore.SpaServices.Extensions
* [`[c8b337ebaa]`](https://github.com/aspnet/AspNetCore/commit/c8b337ebaa) Add new Microsoft.AspNetCore.SpaServices.Extensions package to host new runtime functionality needed for updated templates until 2.1 ships
* [`[bcaee8df4e]`](https://github.com/aspnet/AspNetCore/commit/bcaee8df4e) Disable broken Anti-forgery tests
* [`[a7c9e8ab25]`](https://github.com/aspnet/AspNetCore/commit/a7c9e8ab25) Test: Do not set response headers after the response has started
* [`[277d7f2c81]`](https://github.com/aspnet/AspNetCore/commit/277d7f2c81) Update ANCM (#635)
* [`[bb34616a88]`](https://github.com/aspnet/AspNetCore/commit/bb34616a88) Test: fix status code order
* [`[7ebdee8667]`](https://github.com/aspnet/AspNetCore/commit/7ebdee8667) Update thet list of external dependencies
* [`[618d3dabee]`](https://github.com/aspnet/AspNetCore/commit/618d3dabee) Modifies ANCM DLL location based on folder rather than name. (#240)
* [`[9607e545a1]`](https://github.com/aspnet/AspNetCore/commit/9607e545a1) Include message for ShouldContinue
* [`[7d712f58aa]`](https://github.com/aspnet/AspNetCore/commit/7d712f58aa) Put Libuv.FunctionalTests into a separate test group
* [`[fe5924cc22]`](https://github.com/aspnet/AspNetCore/commit/fe5924cc22) Add Force parameter to UpdateRepos
* [`[993cd9f73d]`](https://github.com/aspnet/AspNetCore/commit/993cd9f73d) Trigger graceful shutdown on stopping webhost service
* [`[14c1a20578]`](https://github.com/aspnet/AspNetCore/commit/14c1a20578) Update routing to include aspnet/Routing#490
* [`[6c8af17e3a]`](https://github.com/aspnet/AspNetCore/commit/6c8af17e3a) Add placeholder package descriptions to fix NuGetPackageVerifier errors (#490)
* [`[bd18430428]`](https://github.com/aspnet/AspNetCore/commit/bd18430428) Added StartupWithIStartupFilter (#236)
* [`[325f1724ad]`](https://github.com/aspnet/AspNetCore/commit/325f1724ad) Make UpdateRepos add dependencies.props to commits
* [`[41abe63c10]`](https://github.com/aspnet/AspNetCore/commit/41abe63c10) Open ssl pfx (#2150)
* [`[238da2742d]`](https://github.com/aspnet/AspNetCore/commit/238da2742d) Use SocketAsyncEventArgs to improve perf (#2147)
* [`[b9ed1e073a]`](https://github.com/aspnet/AspNetCore/commit/b9ed1e073a) Require Microsoft.VisualStudio.Component.VC.Tools.x86.x64 to be installed before compiling ANCM (#238)
* [`[70c8133fce]`](https://github.com/aspnet/AspNetCore/commit/70c8133fce) allow paths that contain '.' (#125)
* [`[fd83b300b8]`](https://github.com/aspnet/AspNetCore/commit/fd83b300b8) Port TreeMatcher (#488)
* [`[801ad07560]`](https://github.com/aspnet/AspNetCore/commit/801ad07560) Add TextBuffer snapshot restriction back to VisualStudioRazorParser.
* [`[3e3772eecd]`](https://github.com/aspnet/AspNetCore/commit/3e3772eecd) Implement read-only HeaderDictionary (#958)
* [`[f287c46bad]`](https://github.com/aspnet/AspNetCore/commit/f287c46bad) Fix exception message for AuthenticationScheme (#960)
* [`[399dcca4f2]`](https://github.com/aspnet/AspNetCore/commit/399dcca4f2) Make Foreground dispatchable methods noop if parser is disposed.
* [`[18feba377f]`](https://github.com/aspnet/AspNetCore/commit/18feba377f) Rename Microsoft.DotNet.Web.ProjectTemplates.2.0.nuspec -> Microsoft.DotNet.Web.ProjectTemplates.nuspec
* [`[09161305bb]`](https://github.com/aspnet/AspNetCore/commit/09161305bb) Reorganize repo branch and project folder structure
* [`[834fd5a5d0]`](https://github.com/aspnet/AspNetCore/commit/834fd5a5d0) Only use release VS.
* [`[d9825d1547]`](https://github.com/aspnet/AspNetCore/commit/d9825d1547) Better JSON deserialization errors. Implements #4607, #4862
* [`[a2972ebf1c]`](https://github.com/aspnet/AspNetCore/commit/a2972ebf1c) Dispatch DocumentStructureChanged event on foreground thread.
* [`[72e1cb1385]`](https://github.com/aspnet/AspNetCore/commit/72e1cb1385) Add VirtualSchemes
* [`[13312109ff]`](https://github.com/aspnet/AspNetCore/commit/13312109ff) Test: Added a new MiddleWare to test the Gracefulshutdown message (#233)
* [`[639d49713e]`](https://github.com/aspnet/AspNetCore/commit/639d49713e) Fix UpdateRepos.ps1
* [`[7002dbf20a]`](https://github.com/aspnet/AspNetCore/commit/7002dbf20a) Added Name and Documentation to DirectiveTokenDescriptor
* [`[1ffcf2c009]`](https://github.com/aspnet/AspNetCore/commit/1ffcf2c009) Reorganize repo branch and project folder structure
* [`[c315b27ad9]`](https://github.com/aspnet/AspNetCore/commit/c315b27ad9) Fix the uninitialized g_hWinHttpModule global variable to avoid empty error messages (#225)
* [`[e2dcbea4ec]`](https://github.com/aspnet/AspNetCore/commit/e2dcbea4ec) #907 Clarify the encoding requirements for Response.Redirect. (#956)
* [`[a64b36c484]`](https://github.com/aspnet/AspNetCore/commit/a64b36c484) Fix #602 - improve the error message when a shipping package has an undefined external dependency
* [`[06475270ec]`](https://github.com/aspnet/AspNetCore/commit/06475270ec) Actually throwing exceptions from SendAsync (#1084)
* [`[08186bb198]`](https://github.com/aspnet/AspNetCore/commit/08186bb198) Use ipv4 when binding to ANCM port (#470)
* [`[1927f65e97]`](https://github.com/aspnet/AspNetCore/commit/1927f65e97) Change LogLevel from Information to Debug (see #1517)
* [`[936f82874a]`](https://github.com/aspnet/AspNetCore/commit/936f82874a) Release pins before disposal (#412)
* [`[9371e7b50a]`](https://github.com/aspnet/AspNetCore/commit/9371e7b50a) [Redis] Reorder some code to make it less spaghetti (#1081)
* [`[49cf523651]`](https://github.com/aspnet/AspNetCore/commit/49cf523651) Add location information to ANCM package (#230)
* [`[3fadca6a1b]`](https://github.com/aspnet/AspNetCore/commit/3fadca6a1b) Add IConstraintFactory (#487)
* [`[f0becd0586]`](https://github.com/aspnet/AspNetCore/commit/f0becd0586) Fix regex syntax
* [`[adf599e7c2]`](https://github.com/aspnet/AspNetCore/commit/adf599e7c2) Fail the submodule script if the VCS roots are not configured to match submodules
* [`[60faa8db90]`](https://github.com/aspnet/AspNetCore/commit/60faa8db90) Add missing parameters to updater scripts
* [`[ab4c519dd5]`](https://github.com/aspnet/AspNetCore/commit/ab4c519dd5) Infer multipart/form-data for FromFile parameters
* [`[13757936ad]`](https://github.com/aspnet/AspNetCore/commit/13757936ad) Adding roundtripping test for GUID property
* [`[7e97adc1c0]`](https://github.com/aspnet/AspNetCore/commit/7e97adc1c0) Add arguments to configure the git username and email to the updater scripts
* [`[dde1a75b80]`](https://github.com/aspnet/AspNetCore/commit/dde1a75b80) Updating spec
* [`[cc42b0eaef]`](https://github.com/aspnet/AspNetCore/commit/cc42b0eaef) Fixing a bug where cancellation could result in HubException
* [`[8c446fc02d]`](https://github.com/aspnet/AspNetCore/commit/8c446fc02d) [Redis] Save a few bytes for acks (#1070)
* [`[1d2e0fedb0]`](https://github.com/aspnet/AspNetCore/commit/1d2e0fedb0) Enabling byte[]
* [`[4d6383727a]`](https://github.com/aspnet/AspNetCore/commit/4d6383727a) Updating jasmine
* [`[52862b23d7]`](https://github.com/aspnet/AspNetCore/commit/52862b23d7) Updating msgpack5 to the latest version
* [`[a42c8a33b8]`](https://github.com/aspnet/AspNetCore/commit/a42c8a33b8) Return FINISH_REQUEST on request failure (#469)
* [`[cccfe3dd57]`](https://github.com/aspnet/AspNetCore/commit/cccfe3dd57) Use submodules for source dependencies (#621)
* [`[06bff32f4e]`](https://github.com/aspnet/AspNetCore/commit/06bff32f4e) Fix missed reorder of HttpsRedirection calls in spa templates (#140)
* [`[82ccf4f06e]`](https://github.com/aspnet/AspNetCore/commit/82ccf4f06e)  #816 Allow directly constructing an HttpContext for TestServer
* [`[36fe9b40ef]`](https://github.com/aspnet/AspNetCore/commit/36fe9b40ef) Adds Hsts and HttpsRedirection to spa templates (#137)
* [`[2419867dfc]`](https://github.com/aspnet/AspNetCore/commit/2419867dfc) Handle errors in Redis subscription callbacks (#1069)
* [`[3cc35da562]`](https://github.com/aspnet/AspNetCore/commit/3cc35da562) Add a switch to protect from unintended pushes
* [`[c998d74e1d]`](https://github.com/aspnet/AspNetCore/commit/c998d74e1d) Set XmlRepository whem setting encryptor in DataProtection light-up (#117)
* [`[0c34523e8b]`](https://github.com/aspnet/AspNetCore/commit/0c34523e8b) Log exception after critical accept loop error (#2140)
* [`[fc613303ed]`](https://github.com/aspnet/AspNetCore/commit/fc613303ed) Add an overload that takes the application base path explicitly
* [`[9a0064285d]`](https://github.com/aspnet/AspNetCore/commit/9a0064285d) KeyVault HostingStartup (#114)
* [`[158e9d572b]`](https://github.com/aspnet/AspNetCore/commit/158e9d572b) Upgrade selenium dependencies to support Windows Fall Creator Update
* [`[88cb3df0eb]`](https://github.com/aspnet/AspNetCore/commit/88cb3df0eb) Added support for multiple values (arrays) in default claim action (#1501)
* [`[38ce406c6e]`](https://github.com/aspnet/AspNetCore/commit/38ce406c6e) Make tests not fail just because a same-named env var was already present
* [`[02331040a1]`](https://github.com/aspnet/AspNetCore/commit/02331040a1) Dispose of the existing native context before creating a new one.
* [`[b0de6da24f]`](https://github.com/aspnet/AspNetCore/commit/b0de6da24f) Update the Scaffolding and Templating submodules
* [`[0573454c70]`](https://github.com/aspnet/AspNetCore/commit/0573454c70) Add ValueStopwatch package to artifacts.props
* [`[5f164857fa]`](https://github.com/aspnet/AspNetCore/commit/5f164857fa) Add RIDs to sample test project to fix standalone publish
* [`[83bb07d5a4]`](https://github.com/aspnet/AspNetCore/commit/83bb07d5a4) Fix parameter name (#1066)
* [`[18f770e937]`](https://github.com/aspnet/AspNetCore/commit/18f770e937) Late parameter binding (#1049)
* [`[6652182b58]`](https://github.com/aspnet/AspNetCore/commit/6652182b58) Add script to update each Repo
* [`[9d3a55a1f4]`](https://github.com/aspnet/AspNetCore/commit/9d3a55a1f4) Update bootstrapper
* [`[2cd59f86c4]`](https://github.com/aspnet/AspNetCore/commit/2cd59f86c4) client disconnect change (#223)
* [`[99fc843cc5]`](https://github.com/aspnet/AspNetCore/commit/99fc843cc5) Re-enable skipped tests
* [`[6c7551d9c7]`](https://github.com/aspnet/AspNetCore/commit/6c7551d9c7) Require the Microsoft.VisualStudio.Component.VSSDK workload to be installed
* [`[e892ed8bbd]`](https://github.com/aspnet/AspNetCore/commit/e892ed8bbd) Add a way to prevent specific hosting startup from runnning (#1243)
* [`[88db534e42]`](https://github.com/aspnet/AspNetCore/commit/88db534e42) UseExceptionHandler throws if ExceptionHandlingPath not set (#417)
* [`[1e360cbb36]`](https://github.com/aspnet/AspNetCore/commit/1e360cbb36) #1244 Disable restore on publish for integration tests
* [`[de2aef61ba]`](https://github.com/aspnet/AspNetCore/commit/de2aef61ba) Make controllers with ApiControllerAttribute visible in ApiExplorer
* [`[4e641df9b1]`](https://github.com/aspnet/AspNetCore/commit/4e641df9b1) Update roslyn VSIX package versions to match what is in aspnet/Razor
* [`[9d4c3adda1]`](https://github.com/aspnet/AspNetCore/commit/9d4c3adda1) Update modules/Templating to fix workaround dotnet/templating#1302
* [`[8d5a61f6ec]`](https://github.com/aspnet/AspNetCore/commit/8d5a61f6ec) Initial commit with readme, gitignore, license, and contributing.
* [`[60d604580c]`](https://github.com/aspnet/AspNetCore/commit/60d604580c) Add identity fix
* [`[e453fafad5]`](https://github.com/aspnet/AspNetCore/commit/e453fafad5) Reorganize tests (#117)
* [`[c567a690bc]`](https://github.com/aspnet/AspNetCore/commit/c567a690bc) [Fixes #6902] Added an overload for StatusCode that takes in System.Net.HttpStatusCode
* [`[bb413c6ac3]`](https://github.com/aspnet/AspNetCore/commit/bb413c6ac3) Rename a bunch of old stuff
* [`[81ddda7b96]`](https://github.com/aspnet/AspNetCore/commit/81ddda7b96) Add MetadataCollection
* [`[812fa9599a]`](https://github.com/aspnet/AspNetCore/commit/812fa9599a) Reorganize some folders
* [`[ddcc409353]`](https://github.com/aspnet/AspNetCore/commit/ddcc409353) Move some files in/out of abstractions
* [`[734df3f88f]`](https://github.com/aspnet/AspNetCore/commit/734df3f88f) Use TeamCity to select commits
* [`[eeb49c2af7]`](https://github.com/aspnet/AspNetCore/commit/eeb49c2af7) Pass setsockopt fd as int (#2136)
* [`[b2c73f13e2]`](https://github.com/aspnet/AspNetCore/commit/b2c73f13e2) Add AppAuthentication package (#617)
* [`[521b9bdd5e]`](https://github.com/aspnet/AspNetCore/commit/521b9bdd5e) Add missing import
* [`[1df37f8060]`](https://github.com/aspnet/AspNetCore/commit/1df37f8060) Fix spelling mistake in constant name
* [`[4172d62aa5]`](https://github.com/aspnet/AspNetCore/commit/4172d62aa5) Add missing @ symbol to AccessDenied.cshtml
* [`[d612072d1a]`](https://github.com/aspnet/AspNetCore/commit/d612072d1a) Fix a broken MVC test
* [`[736b49294d]`](https://github.com/aspnet/AspNetCore/commit/736b49294d) Add Template abstraction
* [`[1c0aeb08bb]`](https://github.com/aspnet/AspNetCore/commit/1c0aeb08bb) Add RuntimeStore config to music store
* [`[2d661396df]`](https://github.com/aspnet/AspNetCore/commit/2d661396df) Port TemplateBinder to dispatcher
* [`[eebc7db2ca]`](https://github.com/aspnet/AspNetCore/commit/eebc7db2ca) Use RoutePatternMatcher logic in TemplateMatcher (#484)
* [`[8c4bdbcf6b]`](https://github.com/aspnet/AspNetCore/commit/8c4bdbcf6b) Add "zero config" HTTPS support using local development certificate. (#2093)
* [`[c3ba875d12]`](https://github.com/aspnet/AspNetCore/commit/c3ba875d12) Better handle Socket transport accept errors (#2133)
* [`[9c5d38a786]`](https://github.com/aspnet/AspNetCore/commit/9c5d38a786) Expose VirtualDirectory to In Process mode (#210)
* [`[94c895a1bd]`](https://github.com/aspnet/AspNetCore/commit/94c895a1bd) Parse Path and PathBase from Virtual Directory. (#457)
* [`[332b108f41]`](https://github.com/aspnet/AspNetCore/commit/332b108f41) Changes PostCompletion to handle OnAsyncCompletion after managed request has completed.  (#212)
* [`[7d205d1093]`](https://github.com/aspnet/AspNetCore/commit/7d205d1093) add event names to Logging messages (#2132)
* [`[6ac0137a9f]`](https://github.com/aspnet/AspNetCore/commit/6ac0137a9f) Make AtDirectiveCompletionPoint resilient to null owners.
* [`[eec6b4f2f5]`](https://github.com/aspnet/AspNetCore/commit/eec6b4f2f5) Removing Connected event from TestConnection (#1055)
* [`[30e7422407]`](https://github.com/aspnet/AspNetCore/commit/30e7422407) Enable reconnect for Redis connection by default (#1037)
* [`[537a735d30]`](https://github.com/aspnet/AspNetCore/commit/537a735d30) Fix target dependencies
* [`[386483b9ef]`](https://github.com/aspnet/AspNetCore/commit/386483b9ef) Create timestamp free cumulative archives
* [`[fb8aff12f1]`](https://github.com/aspnet/AspNetCore/commit/fb8aff12f1) Add EditorSettings management to workspaces.
* [`[4da6565d5b]`](https://github.com/aspnet/AspNetCore/commit/4da6565d5b) Update modules/Scaffolding to ce3c4802 to fix aspnet/Scaffolding#645
* [`[1768a081ba]`](https://github.com/aspnet/AspNetCore/commit/1768a081ba) Updating default pattern(#1046)
* [`[bfb2c86cda]`](https://github.com/aspnet/AspNetCore/commit/bfb2c86cda) moving export methods to a standalone file (#211)
* [`[204cf7a1dc]`](https://github.com/aspnet/AspNetCore/commit/204cf7a1dc) This brings support for the final syntax of "ref readonly" and some bug fixes. (#2121)
* [`[c845a331bb]`](https://github.com/aspnet/AspNetCore/commit/c845a331bb) adding forwarding end freb event (#209)
* [`[e91af13a7d]`](https://github.com/aspnet/AspNetCore/commit/e91af13a7d) Generate the PackageVersionProps file and put it in the lineup package
* [`[212d97e511]`](https://github.com/aspnet/AspNetCore/commit/212d97e511) Manage VisualStudioRazorParser lifetime.
* [`[bf23f16c22]`](https://github.com/aspnet/AspNetCore/commit/bf23f16c22) Add SQLitePCLRaw.bundle_sqlcipher
* [`[058d70190a]`](https://github.com/aspnet/AspNetCore/commit/058d70190a) Metapackage false
* [`[31217a7577]`](https://github.com/aspnet/AspNetCore/commit/31217a7577) Add SpaServices.Extensions to artifacts.props
* [`[485278bf0d]`](https://github.com/aspnet/AspNetCore/commit/485278bf0d) Add RoutePatternMatcher to Dispatcher (#482)
* [`[30010a103b]`](https://github.com/aspnet/AspNetCore/commit/30010a103b) Fix for #2085 - "The Detaskening" (#2123)
* [`[e7e84035c0]`](https://github.com/aspnet/AspNetCore/commit/e7e84035c0) Adding StreamCompletion message to the HubProtocol spec (#1041)
* [`[57d2382c46]`](https://github.com/aspnet/AspNetCore/commit/57d2382c46) Http Post section revision (#1042)
* [`[caff492cdc]`](https://github.com/aspnet/AspNetCore/commit/caff492cdc) Removing sending OPTIONS request if WebSocket transport requested (#1036)
* [`[fff3e1ebd0]`](https://github.com/aspnet/AspNetCore/commit/fff3e1ebd0) Validate benchmarks (#2126)
* [`[e583a17ef8]`](https://github.com/aspnet/AspNetCore/commit/e583a17ef8) Clean up how IHttpContextAccessor is added
* [`[5ffb082acb]`](https://github.com/aspnet/AspNetCore/commit/5ffb082acb) Add Missing Await in Test (#1045)
* [`[448a2afed8]`](https://github.com/aspnet/AspNetCore/commit/448a2afed8) fix the AV in recycle process, issue #192.  (#201)
* [`[bd517f891f]`](https://github.com/aspnet/AspNetCore/commit/bd517f891f) Support conversions from RouteTemplate -> RoutePattern
* [`[9cc5d13a40]`](https://github.com/aspnet/AspNetCore/commit/9cc5d13a40) [Redis] Adding same group to connection multiple times should NOP (#1040)
* [`[b6d01fda46]`](https://github.com/aspnet/AspNetCore/commit/b6d01fda46) Target 15.6 for the VSIX in dev
* [`[df78db934d]`](https://github.com/aspnet/AspNetCore/commit/df78db934d) Port IRouteConstraint to the dispatcher project
* [`[fdc5f21428]`](https://github.com/aspnet/AspNetCore/commit/fdc5f21428) Port PathTokenizer (#478)
* [`[bc4a514d9e]`](https://github.com/aspnet/AspNetCore/commit/bc4a514d9e) Better message for integration tests
* [`[6bddb258cd]`](https://github.com/aspnet/AspNetCore/commit/6bddb258cd) Adding StreamCompletion message (TS)
* [`[8d1d6d0300]`](https://github.com/aspnet/AspNetCore/commit/8d1d6d0300) Adding StreamCompletion message (C#)
* [`[9b9bb4dde7]`](https://github.com/aspnet/AspNetCore/commit/9b9bb4dde7) Exclude net461 tests on mac/linux (#113)
* [`[e46ba481c8]`](https://github.com/aspnet/AspNetCore/commit/e46ba481c8) Throw JsonSerializationException from converters (#116)
* [`[86d6e51ba2]`](https://github.com/aspnet/AspNetCore/commit/86d6e51ba2) Fix rpm packages and hosting tar.gz
* [`[08a64048da]`](https://github.com/aspnet/AspNetCore/commit/08a64048da) Redesign public API for templates
* [`[a903a74db1]`](https://github.com/aspnet/AspNetCore/commit/a903a74db1) Adding roundtripping test for CancelInvocation message (#1031)
* [`[04d4da2987]`](https://github.com/aspnet/AspNetCore/commit/04d4da2987)  Replace Received Event with OnReceived (#1006)
* [`[3fbfba63f8]`](https://github.com/aspnet/AspNetCore/commit/3fbfba63f8) HTTP/2: implement 100-continue (#2106)
* [`[c563f371c7]`](https://github.com/aspnet/AspNetCore/commit/c563f371c7) Add HealthChecks to artifacts.props (#611)
* [`[a30befae0f]`](https://github.com/aspnet/AspNetCore/commit/a30befae0f) Add abstractions for Health Checks and a simple middleware and service to run them (#408)
* [`[c57aa3b2a8]`](https://github.com/aspnet/AspNetCore/commit/c57aa3b2a8) Treat more exceptions from Socket.ReceiveAsync as aborted connections (#2122)
* [`[bb308ff72e]`](https://github.com/aspnet/AspNetCore/commit/bb308ff72e) LoggerDefine for Redis (#1002)
* [`[65fcbdb8c8]`](https://github.com/aspnet/AspNetCore/commit/65fcbdb8c8) Installer generation updates
* [`[b3ac9f4bf8]`](https://github.com/aspnet/AspNetCore/commit/b3ac9f4bf8) Not very important code optimization (#1030)
* [`[fc8c29c5d6]`](https://github.com/aspnet/AspNetCore/commit/fc8c29c5d6) Make the outputpath for the installers
* [`[d5df2acd45]`](https://github.com/aspnet/AspNetCore/commit/d5df2acd45) Put installers into artifacts/installers/ and the lzma into artifacts/lzma/
* [`[a3c1b6d033]`](https://github.com/aspnet/AspNetCore/commit/a3c1b6d033) Avoid allocation of a new char array on every request in RouteCollection class
* [`[eb67f8bcef]`](https://github.com/aspnet/AspNetCore/commit/eb67f8bcef) Update package reference versions in more 1.x templates (#72)
* [`[68014a7acd]`](https://github.com/aspnet/AspNetCore/commit/68014a7acd) Changes async calls to use OnAsyncComplete event pattern (#184)
* [`[4bb84cf6d0]`](https://github.com/aspnet/AspNetCore/commit/4bb84cf6d0) Ensure the deb/rpm installers use the same dotnet-core version
* [`[7117147a09]`](https://github.com/aspnet/AspNetCore/commit/7117147a09) adding FREB and more ETW log (#185)
* [`[1f6db0e3ad]`](https://github.com/aspnet/AspNetCore/commit/1f6db0e3ad) Add Microsoft.NETCore.Platforms to the list of external dependencies
* [`[af286c81bb]`](https://github.com/aspnet/AspNetCore/commit/af286c81bb) Groups collection without lock
* [`[3a5cd6dd25]`](https://github.com/aspnet/AspNetCore/commit/3a5cd6dd25) Port TemplateParser to Dispatcher project (#473)
* [`[2836d53a2d]`](https://github.com/aspnet/AspNetCore/commit/2836d53a2d) Add Microsoft.AspNetCore.DeveloperCertificates.Tools to the artifacts.props
* [`[ff0f112d7b]`](https://github.com/aspnet/AspNetCore/commit/ff0f112d7b) Add HTTPS developer certificate management tool
* [`[927f8ed3d2]`](https://github.com/aspnet/AspNetCore/commit/927f8ed3d2) Add empty baselines for dispatcher
* [`[4f3fdaebee]`](https://github.com/aspnet/AspNetCore/commit/4f3fdaebee) #1208 Default timeout for IHost.StopAsync. Create Host with DI.
* [`[8946a68923]`](https://github.com/aspnet/AspNetCore/commit/8946a68923) Infer binding sources for ApiController parameters
* [`[bdfbc3fea6]`](https://github.com/aspnet/AspNetCore/commit/bdfbc3fea6) Adds endings to new dependencies
* [`[600cf9d444]`](https://github.com/aspnet/AspNetCore/commit/600cf9d444)  Adds ANCM external dependencies (#608)
* [`[a80061f42b]`](https://github.com/aspnet/AspNetCore/commit/a80061f42b) Move Identity to an Area for 2.1
* [`[a709158e8a]`](https://github.com/aspnet/AspNetCore/commit/a709158e8a) Summary of changes\n\t- Improved logging to browser console\n\nAddresses #802
* [`[748afb1f65]`](https://github.com/aspnet/AspNetCore/commit/748afb1f65) #270 Fix hang in SendFile tests
* [`[c255c7f276]`](https://github.com/aspnet/AspNetCore/commit/c255c7f276) Put ApplicationInsights.HostingStartup back into metapackage (#606)
* [`[fe031e5655]`](https://github.com/aspnet/AspNetCore/commit/fe031e5655) Move core installer download to its own target
* [`[733ac1efab]`](https://github.com/aspnet/AspNetCore/commit/733ac1efab) Handle EPIPE like ECONNRESET on Linux (#2112)
* [`[3cae26c6a2]`](https://github.com/aspnet/AspNetCore/commit/3cae26c6a2) Set RepositoryRoot
* [`[ebbf5a730e]`](https://github.com/aspnet/AspNetCore/commit/ebbf5a730e) Adds Microsoft.AspNetCore.HttpsPolicy to packages. (#583)
* [`[38be05d442]`](https://github.com/aspnet/AspNetCore/commit/38be05d442) Update the 1.x templates for the latest patch
* [`[91d4be47b9]`](https://github.com/aspnet/AspNetCore/commit/91d4be47b9) Produce separate reference package for runtime store generation
* [`[9dfffd14bb]`](https://github.com/aspnet/AspNetCore/commit/9dfffd14bb) HTTP/2: support trailers.
* [`[5541615008]`](https://github.com/aspnet/AspNetCore/commit/5541615008) Automate dependency version selection
* [`[87b3cc6879]`](https://github.com/aspnet/AspNetCore/commit/87b3cc6879) Update EF
* [`[31c16af40b]`](https://github.com/aspnet/AspNetCore/commit/31c16af40b) Add smart indentation for brace completion.
* [`[5fab5a4775]`](https://github.com/aspnet/AspNetCore/commit/5fab5a4775) Ship Kestrel.Transport.Sockets
* [`[bdbe922b22]`](https://github.com/aspnet/AspNetCore/commit/bdbe922b22) Add logging (#467)
* [`[701184a962]`](https://github.com/aspnet/AspNetCore/commit/701184a962) Microsoft.AspNetCore.BenchmarkRunner.Sources (#597)
* [`[66a3c9496a]`](https://github.com/aspnet/AspNetCore/commit/66a3c9496a) Set SO_REUSEADDR on managed listen sockets on Unix (#2111)
* [`[deed6c9780]`](https://github.com/aspnet/AspNetCore/commit/deed6c9780) HTTP/2: add exception error messages and log them.
* [`[75a7552360]`](https://github.com/aspnet/AspNetCore/commit/75a7552360) Add Referer to GetTypedHeaders (#949)
* [`[824539f47a]`](https://github.com/aspnet/AspNetCore/commit/824539f47a) #1349 Don't throw for partial cookies
* [`[c2a0010eda]`](https://github.com/aspnet/AspNetCore/commit/c2a0010eda) Fix the metapackage generation
* [`[01b4530fa7]`](https://github.com/aspnet/AspNetCore/commit/01b4530fa7) Add Content-Security-Policy (#950)
* [`[84157041bc]`](https://github.com/aspnet/AspNetCore/commit/84157041bc) Update properties fore restore on CI
* [`[a48a3be6d7]`](https://github.com/aspnet/AspNetCore/commit/a48a3be6d7) Explicitly specify metapackage version
* [`[9aeefd3fd5]`](https://github.com/aspnet/AspNetCore/commit/9aeefd3fd5) Fix compile error
* [`[c8068b7d1c]`](https://github.com/aspnet/AspNetCore/commit/c8068b7d1c) Use submodules for source dependencies
* [`[7f96eab775]`](https://github.com/aspnet/AspNetCore/commit/7f96eab775) #381 handle known headers with no value.
* [`[fdb4184dbf]`](https://github.com/aspnet/AspNetCore/commit/fdb4184dbf) Sockets transport (#2100)
* [`[00dc9831dd]`](https://github.com/aspnet/AspNetCore/commit/00dc9831dd) AzureIntegration#38 Make the SiteExtension a shipping package (#593)
* [`[f1efb29b18]`](https://github.com/aspnet/AspNetCore/commit/f1efb29b18) Use ContractResolver instead of forcing to lower case (#112)
* [`[de34990241]`](https://github.com/aspnet/AspNetCore/commit/de34990241) Short Circuit message to local connection in Redis (#1009)
* [`[bd07f8b683]`](https://github.com/aspnet/AspNetCore/commit/bd07f8b683) #1353 use a compliant Expires header value for expiration.
* [`[509210bcac]`](https://github.com/aspnet/AspNetCore/commit/509210bcac) Fix syntax errors in bootstrapper script
* [`[8701baf73d]`](https://github.com/aspnet/AspNetCore/commit/8701baf73d) Add negotiate timeout option to hub options (#1003)
* [`[de535422d7]`](https://github.com/aspnet/AspNetCore/commit/de535422d7) Optional error and complete functions for observables (#1000)
* [`[02cd997e32]`](https://github.com/aspnet/AspNetCore/commit/02cd997e32) Add Validate(scheme) and use for RemoteSignInScheme not self validation
* [`[d46d2ce193]`](https://github.com/aspnet/AspNetCore/commit/d46d2ce193) HTTP/2: validate request headers prior to starting new stream.
* [`[f4e9ddad22]`](https://github.com/aspnet/AspNetCore/commit/f4e9ddad22) Link syntax tree Span nodes
* [`[e3d2b48b89]`](https://github.com/aspnet/AspNetCore/commit/e3d2b48b89) Fix [ForegroundFact].
* [`[d0cab06f08]`](https://github.com/aspnet/AspNetCore/commit/d0cab06f08) Only add sources that exist
* [`[7ba167fcd8]`](https://github.com/aspnet/AspNetCore/commit/7ba167fcd8) Add 'default response' to API Response Type
* [`[633cb68149]`](https://github.com/aspnet/AspNetCore/commit/633cb68149) Populate WebHost configuration with command line arguments if provided
* [`[5e4e386a84]`](https://github.com/aspnet/AspNetCore/commit/5e4e386a84) List more external dependencies
* [`[be7c5c7752]`](https://github.com/aspnet/AspNetCore/commit/be7c5c7752) Mirror everything that isn't on nuget.org
* [`[bda1eb2ab9]`](https://github.com/aspnet/AspNetCore/commit/bda1eb2ab9) Update restore source for aspnet testing utility packages
* [`[c76125af0e]`](https://github.com/aspnet/AspNetCore/commit/c76125af0e) Add previously-built aspnetcore artifacts as external dependencies
* [`[869d762641]`](https://github.com/aspnet/AspNetCore/commit/869d762641) Copy symbol packages to artifacts/symbols
* [`[badaa7393b]`](https://github.com/aspnet/AspNetCore/commit/badaa7393b) Add header names for CORS (#951)
* [`[e34a5f8fb8]`](https://github.com/aspnet/AspNetCore/commit/e34a5f8fb8) Add MaxAge to OpenIdConnectOptions  - max_age parameter added to the authentication request if MaxAge is not null  - throws exception if MaxAge is set to a negative value  - Fractions of seconds are ignored  - See https://openid.net/specs/openid-connect-core-1_0.html#AuthRequest for expected behavior
* [`[de2e0967c3]`](https://github.com/aspnet/AspNetCore/commit/de2e0967c3) Adding CancelInvocation message (#979)
* [`[71116396cf]`](https://github.com/aspnet/AspNetCore/commit/71116396cf) Add Microsoft.AspNetCore.Certificates.Generation.Sources to artifacts.props
* [`[665f166d67]`](https://github.com/aspnet/AspNetCore/commit/665f166d67) fix issue with incorrect user detection when Invoking for User (#747)
* [`[3c5d283689]`](https://github.com/aspnet/AspNetCore/commit/3c5d283689) Fix the VarInt example for the 2GiB
* [`[2ce4719690]`](https://github.com/aspnet/AspNetCore/commit/2ce4719690) new toolset compiler - 2.6.0-beta1-62126-01 (#2090)
* [`[60f520de34]`](https://github.com/aspnet/AspNetCore/commit/60f520de34) Removing Microsoft.AspNetCore.Server.IIS package (#582)
* [`[7609f4dca7]`](https://github.com/aspnet/AspNetCore/commit/7609f4dca7) Add HttpClientFactory to repos
* [`[722c47a674]`](https://github.com/aspnet/AspNetCore/commit/722c47a674) Add Microsoft.Extensions.Http to artifacts
* [`[c53c133bcb]`](https://github.com/aspnet/AspNetCore/commit/c53c133bcb) Compose store symbols to the correct location
* [`[2f8951e244]`](https://github.com/aspnet/AspNetCore/commit/2f8951e244) Productize HttpMethodEndpointSelector (#463)
* [`[c4400d22d4]`](https://github.com/aspnet/AspNetCore/commit/c4400d22d4) Port fix for URL helper redirect (#6916)
* [`[d0a8b5f78f]`](https://github.com/aspnet/AspNetCore/commit/d0a8b5f78f) Port fix for URL helper redirect (#6917)
* [`[72514f3943]`](https://github.com/aspnet/AspNetCore/commit/72514f3943) Removing the connected event (#989)
* [`[746f578c3c]`](https://github.com/aspnet/AspNetCore/commit/746f578c3c) Panwang/inproc (#174)
* [`[fea4095833]`](https://github.com/aspnet/AspNetCore/commit/fea4095833) Match BlockKindInternal values with BlockKind
* [`[9fbb2f1141]`](https://github.com/aspnet/AspNetCore/commit/9fbb2f1141) Simplify collection initialization (#6897)
* [`[950db6587c]`](https://github.com/aspnet/AspNetCore/commit/950db6587c) Require attribute routing with [ApiController]
* [`[11ce1395e5]`](https://github.com/aspnet/AspNetCore/commit/11ce1395e5) HPACK fixes and improvements.
* [`[156ddfc4e8]`](https://github.com/aspnet/AspNetCore/commit/156ddfc4e8) Fix EOF handling of TlsStream.ReadAsync (#2094)
* [`[ba1c210f03]`](https://github.com/aspnet/AspNetCore/commit/ba1c210f03) Fixing JS end-to-end tests
* [`[8fbac32ed8]`](https://github.com/aspnet/AspNetCore/commit/8fbac32ed8) Only attempt to publish npm when npm artifacts exist
* [`[2b6989bc09]`](https://github.com/aspnet/AspNetCore/commit/2b6989bc09) Add /t:Push
* [`[4d091430fc]`](https://github.com/aspnet/AspNetCore/commit/4d091430fc) Update AspNetCoreModule to latest version
* [`[0c1352dd27]`](https://github.com/aspnet/AspNetCore/commit/0c1352dd27) Update metapackage via artifact dependencies
* [`[1887c7bb62]`](https://github.com/aspnet/AspNetCore/commit/1887c7bb62) Changing version to final
* [`[f7ff445501]`](https://github.com/aspnet/AspNetCore/commit/f7ff445501) Casing of NuGet.config
* [`[955cd09ddc]`](https://github.com/aspnet/AspNetCore/commit/955cd09ddc) Add mirror dependencies
* [`[ea7bc30dd3]`](https://github.com/aspnet/AspNetCore/commit/ea7bc30dd3) Avoid AV if schema change doesn't exist. (#177)
* [`[f41dc2aef9]`](https://github.com/aspnet/AspNetCore/commit/f41dc2aef9) Only handle indentation for open curly brace instead of all metacode
* [`[37c12d5a64]`](https://github.com/aspnet/AspNetCore/commit/37c12d5a64) Add sources
* [`[bfbc04f758]`](https://github.com/aspnet/AspNetCore/commit/bfbc04f758) Use AddHttpContextAccessor method added in aspnet/HttpAbstractions#947
* [`[c5f89a8b57]`](https://github.com/aspnet/AspNetCore/commit/c5f89a8b57) Added Conflict result helper to ControllerBase - Added ConflictObjectResult and ConflictResult types. - Conflict(), Conflict(object error), Conflict(ModelState modelState) added to ControllerBase.cs.
* [`[826e89a2d1]`](https://github.com/aspnet/AspNetCore/commit/826e89a2d1) Use HttpMethods helpers
* [`[f6fa111333]`](https://github.com/aspnet/AspNetCore/commit/f6fa111333) Another attempt
* [`[d961ada80b]`](https://github.com/aspnet/AspNetCore/commit/d961ada80b) Removing DotNetCliToolReference from IIS sample csproj (#437)
* [`[9dc69fe361]`](https://github.com/aspnet/AspNetCore/commit/9dc69fe361) Adds support for ANCM in process (#425)
* [`[786f825a3d]`](https://github.com/aspnet/AspNetCore/commit/786f825a3d) Change powershell zip procedure to work on earlier versions.
* [`[e3ce1f52d4]`](https://github.com/aspnet/AspNetCore/commit/e3ce1f52d4) Added Conflict result helper to ControllerBase - Added ConflictObjectResult and ConflictResult types. - Conflict(), Conflict(object error), Conflict(ModelState modelState) added to ControllerBase.cs.
* [`[c93cfd0375]`](https://github.com/aspnet/AspNetCore/commit/c93cfd0375) Add Microsoft.AspNetCore.Server.IIS to package artifacts (#572)
* [`[aa0d5ec659]`](https://github.com/aspnet/AspNetCore/commit/aa0d5ec659) Updating HubProtocol spec to account for using VarInt to encode length prefix
* [`[c3c8919523]`](https://github.com/aspnet/AspNetCore/commit/c3c8919523) Mirror Microsoft.NETCore.App 2.0.2 and its dependencies
* [`[372be2f638]`](https://github.com/aspnet/AspNetCore/commit/372be2f638) Generate and set DotNetRestoreSourcePropsPath
* [`[a63932a492]`](https://github.com/aspnet/AspNetCore/commit/a63932a492) Add option to suppress writing startup messages
* [`[be5d4ec11e]`](https://github.com/aspnet/AspNetCore/commit/be5d4ec11e) Undo a breaking change
* [`[0959c941b4]`](https://github.com/aspnet/AspNetCore/commit/0959c941b4) Cleaned up OAuth handler's exception messages (#1462)
* [`[1b1137b880]`](https://github.com/aspnet/AspNetCore/commit/1b1137b880) HTTP/2: connection error when receiving frames disallowed by stream states.
* [`[d6a3c3f83e]`](https://github.com/aspnet/AspNetCore/commit/d6a3c3f83e) Add helper to register IHttpContextAccessor (#947)
* [`[afdda7cbee]`](https://github.com/aspnet/AspNetCore/commit/afdda7cbee) Update fsproj for FSharpWebSite. Fixes #6554
* [`[2fcfc6be7c]`](https://github.com/aspnet/AspNetCore/commit/2fcfc6be7c) Add EnableRangeProcessing (#6895)
* [`[f49cbd1b25]`](https://github.com/aspnet/AspNetCore/commit/f49cbd1b25) Selectors initialization and DispatcherBase logging (#451)
* [`[059264ba34]`](https://github.com/aspnet/AspNetCore/commit/059264ba34) Fix RazorAddin project.
* [`[9bf6fe233f]`](https://github.com/aspnet/AspNetCore/commit/9bf6fe233f) Add Mono.Addins to lineup.
* [`[70df19c8a2]`](https://github.com/aspnet/AspNetCore/commit/70df19c8a2) Fixing MsgPack serializing byte[] as string Part 1
* [`[bc2502cf4c]`](https://github.com/aspnet/AspNetCore/commit/bc2502cf4c) Import dependencies.props last to ensure TargetFramework is set first
* [`[fb142f0b24]`](https://github.com/aspnet/AspNetCore/commit/fb142f0b24) Import dependencies.props last to ensure TargetFramework is set first
* [`[63e0af2ee8]`](https://github.com/aspnet/AspNetCore/commit/63e0af2ee8) Import dependencies.props last to ensure TargetFramework is set first
* [`[bb9840a552]`](https://github.com/aspnet/AspNetCore/commit/bb9840a552) HTTP/2: do not ACK PING frames received with ACK set.
* [`[7ccd7ce108]`](https://github.com/aspnet/AspNetCore/commit/7ccd7ce108) Add VisualStudio.Mac assemblies.
* [`[fca4f23895]`](https://github.com/aspnet/AspNetCore/commit/fca4f23895) Add Microsoft.MonoDevelop.RazorAddin.
* [`[6c8286eed7]`](https://github.com/aspnet/AspNetCore/commit/6c8286eed7) Split LanguageServices.Razor.
* [`[abb41302e9]`](https://github.com/aspnet/AspNetCore/commit/abb41302e9) Add a dispatcher by default (#462)
* [`[bd8e9ecc31]`](https://github.com/aspnet/AspNetCore/commit/bd8e9ecc31) Added RazorParserFeatureFlags and added support for minimized bool tag helper bound attributes  - Fixes #1678, #431
* [`[b0d91c17f1]`](https://github.com/aspnet/AspNetCore/commit/b0d91c17f1) Add Strict-Transport-Security header name (#944)
* [`[d2e49a726c]`](https://github.com/aspnet/AspNetCore/commit/d2e49a726c) Generate the package version props file
* [`[6045eff343]`](https://github.com/aspnet/AspNetCore/commit/6045eff343) Push NPM packages
* [`[4ecafc0afd]`](https://github.com/aspnet/AspNetCore/commit/4ecafc0afd) Update AspNetCoreModule to 1.0.0-pre-10134
* [`[e7c5ce6bb9]`](https://github.com/aspnet/AspNetCore/commit/e7c5ce6bb9) Push lineup packages and put symbols in a separate directory
* [`[be6b099f6c]`](https://github.com/aspnet/AspNetCore/commit/be6b099f6c) #189 Reduce noise for load and commit logs.
* [`[586d3c99c7]`](https://github.com/aspnet/AspNetCore/commit/586d3c99c7) Fix bug in DependsOnTargets and /t:Push
* [`[edcf6857d1]`](https://github.com/aspnet/AspNetCore/commit/edcf6857d1) Add x64 service hub json.
* [`[9aebb2d823]`](https://github.com/aspnet/AspNetCore/commit/9aebb2d823) Don't clear cloned sources when SkipClone=true
* [`[2e7f1355e5]`](https://github.com/aspnet/AspNetCore/commit/2e7f1355e5) Add property to skip cloning
* [`[e841229782]`](https://github.com/aspnet/AspNetCore/commit/e841229782) Verify and mirror external dependencies and self-consistent package versions (#566)
* [`[a2303c732f]`](https://github.com/aspnet/AspNetCore/commit/a2303c732f) Move tests to seperate app (#107)
* [`[bd750ad76d]`](https://github.com/aspnet/AspNetCore/commit/bd750ad76d) Making endpoints and addresses easier
* [`[602ca479b8]`](https://github.com/aspnet/AspNetCore/commit/602ca479b8) Checking if window.document defined before trying to resolve url
* [`[4f4fb174ea]`](https://github.com/aspnet/AspNetCore/commit/4f4fb174ea) Replacing 8-byte-long length prefix with varint
* [`[4a6c74f4f9]`](https://github.com/aspnet/AspNetCore/commit/4a6c74f4f9) Added ability to set prompt parameter in OpenIdConnectOptions (#1401)
* [`[44d08dcb2b]`](https://github.com/aspnet/AspNetCore/commit/44d08dcb2b) Add integration test
* [`[5fed462123]`](https://github.com/aspnet/AspNetCore/commit/5fed462123) Add tree dispatcher
* [`[144ee21696]`](https://github.com/aspnet/AspNetCore/commit/144ee21696) #1188 Add AuthenticationProperties to HandleRequestResult and RemoteFailureContext
* [`[321639b0eb]`](https://github.com/aspnet/AspNetCore/commit/321639b0eb) Add AuthenticationProperties to AuthenticateResult for failures.
* [`[551c1ebc0b]`](https://github.com/aspnet/AspNetCore/commit/551c1ebc0b) Configure enabled protocols per endpoint and add HTTP/2 w/ prior knowledge support (#2067).
* [`[f3bb4080b0]`](https://github.com/aspnet/AspNetCore/commit/f3bb4080b0) Use CustomAfterMicrosoftCommonTargets in dotnet-user-secrets
* [`[eeebefee1b]`](https://github.com/aspnet/AspNetCore/commit/eeebefee1b) Add data source
* [`[1158ffb3f0]`](https://github.com/aspnet/AspNetCore/commit/1158ffb3f0) Fix paths for task that only runs in CI
* [`[e17cdae046]`](https://github.com/aspnet/AspNetCore/commit/e17cdae046) Added overloads from 0-n arguments (#949)
* [`[bd8b4d86df]`](https://github.com/aspnet/AspNetCore/commit/bd8b4d86df) Port fix for #6875: Only set Content-Length when serving body (#6888)
* [`[231cbffe1a]`](https://github.com/aspnet/AspNetCore/commit/231cbffe1a) Create shared package folder for IIS Integration In-process. (#397)
* [`[000f9cb192]`](https://github.com/aspnet/AspNetCore/commit/000f9cb192) Initial support for websocket subprotocols (#933)
* [`[eb9417b577]`](https://github.com/aspnet/AspNetCore/commit/eb9417b577) Re-enable API Check
* [`[eeac99985a]`](https://github.com/aspnet/AspNetCore/commit/eeac99985a) Only set Content-Length when serving body (#6886)
* [`[49237c7651]`](https://github.com/aspnet/AspNetCore/commit/49237c7651) Add API check baselines for 2.0
* [`[562e0234d6]`](https://github.com/aspnet/AspNetCore/commit/562e0234d6) Add MVC 2.0 baselines
* [`[835ba2218a]`](https://github.com/aspnet/AspNetCore/commit/835ba2218a) Update API check baselines to 2.0
* [`[26255cc29c]`](https://github.com/aspnet/AspNetCore/commit/26255cc29c) Check for null before sending to a specific connection id (#935)
* [`[0267695656]`](https://github.com/aspnet/AspNetCore/commit/0267695656) Exceptions thrown during writing should close the connection
* [`[7685e17e80]`](https://github.com/aspnet/AspNetCore/commit/7685e17e80) Add Addresses and link generation
* [`[65cd41dbf5]`](https://github.com/aspnet/AspNetCore/commit/65cd41dbf5) Block POST requests for websocket connections (#934)
* [`[6687f4eefc]`](https://github.com/aspnet/AspNetCore/commit/6687f4eefc) Update API check baselines to 2.0
* [`[5abcfe7e3d]`](https://github.com/aspnet/AspNetCore/commit/5abcfe7e3d) Update API check baselines to 2.0
* [`[1686878035]`](https://github.com/aspnet/AspNetCore/commit/1686878035) Adding JS tests that send and receive structural objects
* [`[343ce0f01b]`](https://github.com/aspnet/AspNetCore/commit/343ce0f01b) HTTP/2: close connection with PROTOCOL_ERROR when a stream depends on itself.
* [`[8204f17234]`](https://github.com/aspnet/AspNetCore/commit/8204f17234) Add latest runtime packages
* [`[d1cca77852]`](https://github.com/aspnet/AspNetCore/commit/d1cca77852) Update API Check baselines to 2.0.0
* [`[13fdbac48f]`](https://github.com/aspnet/AspNetCore/commit/13fdbac48f)  #942 Add the SignedOutCallbackRedirect event for OIDC
* [`[83c3ac62fb]`](https://github.com/aspnet/AspNetCore/commit/83c3ac62fb) Updated formatters to wrap exceptions in InputFormatException for invalid input
* [`[475712d613]`](https://github.com/aspnet/AspNetCore/commit/475712d613) Update API Check baselines
* [`[f24d71136a]`](https://github.com/aspnet/AspNetCore/commit/f24d71136a) Add breaking changes file
* [`[a8eda83222]`](https://github.com/aspnet/AspNetCore/commit/a8eda83222) Add MVC 2.0 baselines
* [`[464fc8a15f]`](https://github.com/aspnet/AspNetCore/commit/464fc8a15f) Update Default.cshtml
* [`[41f26dc69d]`](https://github.com/aspnet/AspNetCore/commit/41f26dc69d) Add endpoint disambiguation
* [`[38712609bb]`](https://github.com/aspnet/AspNetCore/commit/38712609bb) Design extensibility for executors
* [`[5d1603c37f]`](https://github.com/aspnet/AspNetCore/commit/5d1603c37f) Replace ProblemDetailsAttribute with ApiControllerAttribute
* [`[97fab8711a]`](https://github.com/aspnet/AspNetCore/commit/97fab8711a) Add UnprocessableEntityResult, UnprocessableEntityObjectResult and ControllerBase.UnprocessableEntity methods (#6851)
* [`[197ef139d6]`](https://github.com/aspnet/AspNetCore/commit/197ef139d6) Provide a way within the Page/PageModel to run code before any handler runs
* [`[27a3a89b60]`](https://github.com/aspnet/AspNetCore/commit/27a3a89b60) Simplifying ApplicationLifetime.ExecuteHandlers() (#1228)
* [`[236ef5d1d1]`](https://github.com/aspnet/AspNetCore/commit/236ef5d1d1) Support validation and BindBehavior on top-level action parameters and bound properties. Fixes #6790
* [`[4db78685dc]`](https://github.com/aspnet/AspNetCore/commit/4db78685dc) camelCasing objects serialized by JsonHubProtocol
* [`[6ed3f6d1aa]`](https://github.com/aspnet/AspNetCore/commit/6ed3f6d1aa) Enabling hub connection with customized hub protocols
* [`[786980bc3f]`](https://github.com/aspnet/AspNetCore/commit/786980bc3f) add names to EventIds used by logger extensions (#927)
* [`[0fae663b9a]`](https://github.com/aspnet/AspNetCore/commit/0fae663b9a) Update WebApplicationTestFixture.cs
* [`[126901a08f]`](https://github.com/aspnet/AspNetCore/commit/126901a08f) Adding default ctors for HubProtocols
* [`[ba25dee141]`](https://github.com/aspnet/AspNetCore/commit/ba25dee141) Enabling customizing serialization settings in MessagePack protocol
* [`[a96fb68690]`](https://github.com/aspnet/AspNetCore/commit/a96fb68690) Fixed FileExtensionsAttributeAdapter to trim(whitespaces, dot character) and lowercase the extensions
* [`[e3533885a8]`](https://github.com/aspnet/AspNetCore/commit/e3533885a8) HTTP/2: close connection with PROTOCOL_ERROR when receiving a frame with an even stream ID.
* [`[a4887f4caf]`](https://github.com/aspnet/AspNetCore/commit/a4887f4caf) HTTP/2: close connection with PROTOCOL_ERROR when receiving GOAWAY frame with non-zero stream ID.
* [`[fc56552b2a]`](https://github.com/aspnet/AspNetCore/commit/fc56552b2a) HTTP/2: close connection on PING frame with non-zero stream ID.
* [`[555a881cb7]`](https://github.com/aspnet/AspNetCore/commit/555a881cb7) HTTP/2: close connection with PROTOCOL_ERROR when an unknown frame type is interleaved with headers.
* [`[e2af346733]`](https://github.com/aspnet/AspNetCore/commit/e2af346733) HTTP/2: close the connection with PROTOCOL_ERROR when a PUSH_PROMISE frame is received.
* [`[7f214492b8]`](https://github.com/aspnet/AspNetCore/commit/7f214492b8) Introduce a filter to send bad request results with details when ModelState is invalid (#6849)
* [`[ed827c0012]`](https://github.com/aspnet/AspNetCore/commit/ed827c0012) Fix bug in test data
* [`[d652b86852]`](https://github.com/aspnet/AspNetCore/commit/d652b86852) Split RVD in twain
* [`[cad2fb7c9f]`](https://github.com/aspnet/AspNetCore/commit/cad2fb7c9f) Rider directory added to gitignore.
* [`[f71e31a1cd]`](https://github.com/aspnet/AspNetCore/commit/f71e31a1cd) Fix the double buffer rent/free (#921)
* [`[6af6dde460]`](https://github.com/aspnet/AspNetCore/commit/6af6dde460) Fix unexpected failures in CopyPackagesToSplitFolders when files exists
* [`[20d4d70cc7]`](https://github.com/aspnet/AspNetCore/commit/20d4d70cc7) lowercasing event names
* [`[f87c9d9fb5]`](https://github.com/aspnet/AspNetCore/commit/f87c9d9fb5) Increase the minimum download timeout
* [`[34e10f7b2c]`](https://github.com/aspnet/AspNetCore/commit/34e10f7b2c) Add additional repositories that are being patched
* [`[5ca089e33e]`](https://github.com/aspnet/AspNetCore/commit/5ca089e33e) Enabling multiple callbacks for HubConnection.onClose
* [`[2e540341db]`](https://github.com/aspnet/AspNetCore/commit/2e540341db) Adds in-process mode to ANCM. (#152)
* [`[8b112a9548]`](https://github.com/aspnet/AspNetCore/commit/8b112a9548) Fix bug in external version verification causing Private=true to apply to all versions of that external dependency
* [`[e3c7e23cc4]`](https://github.com/aspnet/AspNetCore/commit/e3c7e23cc4) Logging#543 Reorder request disposal due to logging.
* [`[4e9a7be7dd]`](https://github.com/aspnet/AspNetCore/commit/4e9a7be7dd) SignalR Core Logging (#889)
* [`[8922f69532]`](https://github.com/aspnet/AspNetCore/commit/8922f69532) Mirror external dependencies
* [`[951dc99d5b]`](https://github.com/aspnet/AspNetCore/commit/951dc99d5b) Verify external dependencies (#561)
* [`[72598ad07c]`](https://github.com/aspnet/AspNetCore/commit/72598ad07c) Update env checked to see if TeamCity cloned the source
* [`[22ef9c3feb]`](https://github.com/aspnet/AspNetCore/commit/22ef9c3feb) Don't clone repositories when TC is configured to clone them
* [`[1468bb7afd]`](https://github.com/aspnet/AspNetCore/commit/1468bb7afd) Update the list of packages patching in 2.0.x
* [`[a94e4df01a]`](https://github.com/aspnet/AspNetCore/commit/a94e4df01a) Update the list of packages patching in 2.0.x
* [`[e0ab3ddcca]`](https://github.com/aspnet/AspNetCore/commit/e0ab3ddcca) Update the list of packages patching in 2.0.x
* [`[cb7540bd40]`](https://github.com/aspnet/AspNetCore/commit/cb7540bd40) Add aspnet/Security to the 2.0.x patch
* [`[95c10050c9]`](https://github.com/aspnet/AspNetCore/commit/95c10050c9) Stop using obsolete version of AddScheme in test
* [`[648bb1e810]`](https://github.com/aspnet/AspNetCore/commit/648bb1e810) Obsolete old AddSchemes
* [`[9687079723]`](https://github.com/aspnet/AspNetCore/commit/9687079723) Check if HTTP/2 frame writer has already been aborted.
* [`[9944c0fd43]`](https://github.com/aspnet/AspNetCore/commit/9944c0fd43) Fix reading DATA frames with maximum length.
* [`[c8f9364e3e]`](https://github.com/aspnet/AspNetCore/commit/c8f9364e3e) Expose connection features to HTTP/2 connections.
* [`[f7968714a9]`](https://github.com/aspnet/AspNetCore/commit/f7968714a9) Increase minimum required version of visual studio to 15.3.0 (#6856)
* [`[a7fb243501]`](https://github.com/aspnet/AspNetCore/commit/a7fb243501) Added typed HubContext
* [`[cf141cf119]`](https://github.com/aspnet/AspNetCore/commit/cf141cf119) Create new template engine when version changes
* [`[d2b202377f]`](https://github.com/aspnet/AspNetCore/commit/d2b202377f) Add Microsoft.VisualStudio.Text.Data and UI to the universe lineup.
* [`[1e1e89b457]`](https://github.com/aspnet/AspNetCore/commit/1e1e89b457) logging/#543 Clear HttpContext.User when the user is disposed.
* [`[1367a5d385]`](https://github.com/aspnet/AspNetCore/commit/1367a5d385) Make all handlers public
* [`[ac36121f26]`](https://github.com/aspnet/AspNetCore/commit/ac36121f26) Update README
* [`[127d23a022]`](https://github.com/aspnet/AspNetCore/commit/127d23a022) Parse LanguageVersion correctly
* [`[f23ff9452c]`](https://github.com/aspnet/AspNetCore/commit/f23ff9452c) [Design] Create Template engine from project snapshot
* [`[bee9fcb0d8]`](https://github.com/aspnet/AspNetCore/commit/bee9fcb0d8) Adding support for multiple callbacks per client side method
* [`[cca1480f3a]`](https://github.com/aspnet/AspNetCore/commit/cca1480f3a) Switch from feature/x to rel/x branches
* [`[f0a5af2ba7]`](https://github.com/aspnet/AspNetCore/commit/f0a5af2ba7) Revisit the unwrapping code in ControllerActionInvoker Fixes #6679
* [`[241880eadc]`](https://github.com/aspnet/AspNetCore/commit/241880eadc) Minor improvements (#1403)
* [`[96bd2769d0]`](https://github.com/aspnet/AspNetCore/commit/96bd2769d0) Improvements to the testing package.
* [`[6e6a24cbb4]`](https://github.com/aspnet/AspNetCore/commit/6e6a24cbb4) Add a background listener for notifications
* [`[48d97bf271]`](https://github.com/aspnet/AspNetCore/commit/48d97bf271) Turned Stream into StreamAsync (#902)
* [`[177fa71634]`](https://github.com/aspnet/AspNetCore/commit/177fa71634) Copy packages to ship/noship and verify coherent versions (#560)
* [`[72eb546329]`](https://github.com/aspnet/AspNetCore/commit/72eb546329) Added attribute adapter for DataAnnotation's FileExtensionsAttribute
* [`[fd9cb08790]`](https://github.com/aspnet/AspNetCore/commit/fd9cb08790) Add Switch.Microsoft.AspNetCore.Mvc.UseDateTimeTypeForDateTimeOffset quirks mode - patch recipients can use switch to undo the #6648 fix
* [`[6041c6b966]`](https://github.com/aspnet/AspNetCore/commit/6041c6b966) Auto-select `type="text"` for `DateTimeOffset` values - cherry-picked from 7e4a8fe in dev - #6648 - a different take on #4871 - `DateTime` can also round-trip `DateTimeKind.UTC` with `[DataType("datetimeoffset")]` or `[UIHint("datetimeoffset")]` - since they're now handled differently by default, add more `DateTime` tests - expand tests involving `Html5DateRenderingMode.CurrentCulture`
* [`[91eb4cd54c]`](https://github.com/aspnet/AspNetCore/commit/91eb4cd54c) Fix flakiness in KeepAliveTimeoutTests.ConnectionKeptAliveBetweenRequests (#1684).
* [`[1470ee0658]`](https://github.com/aspnet/AspNetCore/commit/1470ee0658) Updating toolset compiler (#2052)
* [`[9f5e4eb483]`](https://github.com/aspnet/AspNetCore/commit/9f5e4eb483) Allow "page" route parameter to be used in Mvc controllers
* [`[37e122a0c6]`](https://github.com/aspnet/AspNetCore/commit/37e122a0c6) Added overloads without the HostingContext (#1220)
* [`[47287c508e]`](https://github.com/aspnet/AspNetCore/commit/47287c508e) Added new extension methods to configure all MVC localization services [Fixes #5436] Must call `AddViewLocalization()` to use `IStringLocalizer<T>` in an application
* [`[23b7d8f62a]`](https://github.com/aspnet/AspNetCore/commit/23b7d8f62a) Added RequestFormLimits filter. [Fixes #5128] Overriding Request Form max upload limit
* [`[46dadbb186]`](https://github.com/aspnet/AspNetCore/commit/46dadbb186) Make RegistryPolicyResolver an interface to fix 3d party DI (#275)
* [`[83adfd2484]`](https://github.com/aspnet/AspNetCore/commit/83adfd2484) Find commit hashes from the TeamCity environment variables
* [`[712c992ca8]`](https://github.com/aspnet/AspNetCore/commit/712c992ca8) Add BackgroundService, a base class for long running HostedServices (#1215)
* [`[a93e4be82f]`](https://github.com/aspnet/AspNetCore/commit/a93e4be82f) Added Cancellation support (#897)
* [`[e114911d77]`](https://github.com/aspnet/AspNetCore/commit/e114911d77) Introduce [ApiController]
* [`[8697f2b271]`](https://github.com/aspnet/AspNetCore/commit/8697f2b271) Update package feeds and dependencies for 2.0.1  (#6843)
* [`[9b53da7333]`](https://github.com/aspnet/AspNetCore/commit/9b53da7333) Update package feeds and dependencies for 2.0.1  (#203)
* [`[77cac3b6be]`](https://github.com/aspnet/AspNetCore/commit/77cac3b6be) Update package feeds and dependencies for 2.0.1  (#1284)
* [`[c09575dbd0]`](https://github.com/aspnet/AspNetCore/commit/c09575dbd0) Fix #4914 patternize filter overrides
* [`[500668619f]`](https://github.com/aspnet/AspNetCore/commit/500668619f) Detect duplicate startups in HostingStartupAssemblies (#1183)
* [`[b3aa691549]`](https://github.com/aspnet/AspNetCore/commit/b3aa691549) Add EnableRangeProcessingSwitch for FileContentResult and Fil… (#6839)
* [`[20b07a0dff]`](https://github.com/aspnet/AspNetCore/commit/20b07a0dff) Adding README to npm module
* [`[134096d9cb]`](https://github.com/aspnet/AspNetCore/commit/134096d9cb) Relayer implementation
* [`[997be52987]`](https://github.com/aspnet/AspNetCore/commit/997be52987) Add repos that should be patched due to cascading versions
* [`[479e37d7cc]`](https://github.com/aspnet/AspNetCore/commit/479e37d7cc) Include Identity in the list of repos that are being patched
* [`[a0547c7b9f]`](https://github.com/aspnet/AspNetCore/commit/a0547c7b9f) Generate a file that contains all of the dependencies and their versions
* [`[c13cef6a74]`](https://github.com/aspnet/AspNetCore/commit/c13cef6a74) Injecting IViewLocalizer into Razor Page causing IndexOutOfRangeException
* [`[982ac32fea]`](https://github.com/aspnet/AspNetCore/commit/982ac32fea) Prepending relative urls with '/'
* [`[4220c516bc]`](https://github.com/aspnet/AspNetCore/commit/4220c516bc) Ensure PackageReference versions are consistent with artifacts that will be produced
* [`[d1d934e990]`](https://github.com/aspnet/AspNetCore/commit/d1d934e990) Add Microsoft.AspNetCore.DataProtection.AzureKeyVault package (#234)
* [`[d22bb2c908]`](https://github.com/aspnet/AspNetCore/commit/d22bb2c908) Add logger extensions with event ids (#405)
* [`[b9d9418f6d]`](https://github.com/aspnet/AspNetCore/commit/b9d9418f6d) Block SignInScheme = self
* [`[e42f6980b6]`](https://github.com/aspnet/AspNetCore/commit/e42f6980b6) Add Hub<T> Functional Tests (#891)
* [`[4841444d60]`](https://github.com/aspnet/AspNetCore/commit/4841444d60) Packages produced from dev branch should be alpha2 now
* [`[a43fb2271e]`](https://github.com/aspnet/AspNetCore/commit/a43fb2271e) Use artifact info to correctly analyze the packages produced from a repository
* [`[b40578b89b]`](https://github.com/aspnet/AspNetCore/commit/b40578b89b) Moving versions to alpha2
* [`[e05faf2347]`](https://github.com/aspnet/AspNetCore/commit/e05faf2347) Fix #1684 - CompletionProvider null ref
* [`[9a67ac5341]`](https://github.com/aspnet/AspNetCore/commit/9a67ac5341) Make sure socket closed is logged
* [`[776c2604f8]`](https://github.com/aspnet/AspNetCore/commit/776c2604f8) Introduce opinionated API defaults.
* [`[d28b413390]`](https://github.com/aspnet/AspNetCore/commit/d28b413390) Add tracing to KeepAliveTimeoutTests.ConnectionKeptAliveBetweenRequests to investigate test failures.
* [`[35a7146351]`](https://github.com/aspnet/AspNetCore/commit/35a7146351) Add Microsoft.Extensions.Hosting (#233)
* [`[b01072eb47]`](https://github.com/aspnet/AspNetCore/commit/b01072eb47) Use RouteTemplate and TemplateMatcher (#443)
* [`[52757943ac]`](https://github.com/aspnet/AspNetCore/commit/52757943ac) Backport improvements from dev branch to repo tasks
* [`[7bc3db1b29]`](https://github.com/aspnet/AspNetCore/commit/7bc3db1b29) Fix some markdown glitches. (#879)
* [`[9eb27fa53f]`](https://github.com/aspnet/AspNetCore/commit/9eb27fa53f) Stub out a task to validate cascading version effects (#557)
* [`[ae9da9290e]`](https://github.com/aspnet/AspNetCore/commit/ae9da9290e) #1163 Implement the generic host
* [`[1fef45db67]`](https://github.com/aspnet/AspNetCore/commit/1fef45db67) Start preparing list of repositories that need patching (#556)
* [`[037c1ec47d]`](https://github.com/aspnet/AspNetCore/commit/037c1ec47d) Make @inherit + Razor Pages + _ViewImports work
* [`[a267e86e1f]`](https://github.com/aspnet/AspNetCore/commit/a267e86e1f) Adding the 'final' suffix to version
* [`[35601f95b3]`](https://github.com/aspnet/AspNetCore/commit/35601f95b3) Added a model binder for handling Enum types. [Fixes #6329] Why don't we check for Enum.IsDefined on action parameters of enum type
* [`[db2d9ee56f]`](https://github.com/aspnet/AspNetCore/commit/db2d9ee56f) Additional fixes for #4604
* [`[9db92dc6a7]`](https://github.com/aspnet/AspNetCore/commit/9db92dc6a7) JsonResultExecuter logs type of result. - MvcJsonLoggerExtensions.JsonResultExecuting logs result type instead of value - Nulls handled more elegantly. - Two tests added to JsonResultExecutorTests.cs. - #4604
* [`[da7bc24eec]`](https://github.com/aspnet/AspNetCore/commit/da7bc24eec) Add request parsing regression tests.
* [`[0120dae36b]`](https://github.com/aspnet/AspNetCore/commit/0120dae36b) Jhkim/updatetest (#155)
* [`[db397d812b]`](https://github.com/aspnet/AspNetCore/commit/db397d812b) TagHelperOutput extension methods for class value manipulation (#6565)
* [`[d226b20756]`](https://github.com/aspnet/AspNetCore/commit/d226b20756) Rename With/GetTransportType to With/GetTransport
* [`[72568acff0]`](https://github.com/aspnet/AspNetCore/commit/72568acff0) Appending version to browser javascript file names
* [`[1453f419a8]`](https://github.com/aspnet/AspNetCore/commit/1453f419a8) MessagePack Serialization fixes
* [`[4f18d99d02]`](https://github.com/aspnet/AspNetCore/commit/4f18d99d02) Added RedirectToAction overload with no arguments
* [`[5eae687ddd]`](https://github.com/aspnet/AspNetCore/commit/5eae687ddd) Updated EnableCorsAttribute and UseCors extension to not have to supply a policy name.
* [`[06f6de6c11]`](https://github.com/aspnet/AspNetCore/commit/06f6de6c11) Changed RequestSizeLimitAttribute to create an authorization filter rather than a resource filter. [Fixes #6777] RequestSizeLimit is ignored
* [`[2d4b2239a9]`](https://github.com/aspnet/AspNetCore/commit/2d4b2239a9) Reduce C# client logging and add HubProtocol log (#857)
* [`[c5f59e06c3]`](https://github.com/aspnet/AspNetCore/commit/c5f59e06c3) Added new test scenarios for websocket (#153)
* [`[135e1c248d]`](https://github.com/aspnet/AspNetCore/commit/135e1c248d) Use PackageLineup to manage PackageReference versions
* [`[7cca8618ea]`](https://github.com/aspnet/AspNetCore/commit/7cca8618ea) Change notifications for the project manager
* [`[de38922601]`](https://github.com/aspnet/AspNetCore/commit/de38922601) Allow BindPropertyAttribute to be applied on PageModel
* [`[1f596e127b]`](https://github.com/aspnet/AspNetCore/commit/1f596e127b) When the CI system supplies a .deps dir, use that as the lineups/packages resource source
* [`[abd669849d]`](https://github.com/aspnet/AspNetCore/commit/abd669849d) Making MsgPack work in IE10
* [`[54c71c4c10]`](https://github.com/aspnet/AspNetCore/commit/54c71c4c10) Replacing Cache-Control header with nonce
* [`[67b2b27ac9]`](https://github.com/aspnet/AspNetCore/commit/67b2b27ac9) Enabling passing relative Url when creating connections
* [`[bb79a9760c]`](https://github.com/aspnet/AspNetCore/commit/bb79a9760c) Enabling creating HubConnection without HttpConnection
* [`[a732b106f5]`](https://github.com/aspnet/AspNetCore/commit/a732b106f5) Fix websocket close handshake issue and race condition when websocket client disconnect without close handshake (#151)
* [`[393ab6a4f0]`](https://github.com/aspnet/AspNetCore/commit/393ab6a4f0) Add extension method to get HttpContext on HubConnectionContext (#849)
* [`[509ddc6ced]`](https://github.com/aspnet/AspNetCore/commit/509ddc6ced) Adds ANCM in-process flag. (#144)
* [`[a9b47f6722]`](https://github.com/aspnet/AspNetCore/commit/a9b47f6722) Startup experience (#442)
* [`[63397653fa]`](https://github.com/aspnet/AspNetCore/commit/63397653fa) Make DefaultApiDescriptionProvider understand ActionResult<T>
* [`[6bf165f22f]`](https://github.com/aspnet/AspNetCore/commit/6bf165f22f) Update default Razor search paths to include ~/[PagesRoot]/Shared Fixes #6604
* [`[c39c1aaa38]`](https://github.com/aspnet/AspNetCore/commit/c39c1aaa38) Move 2.1 templates to netcoreapp2.0 until we use an SDK that supports netcoreapp2.1
* [`[8c0dd1d2cc]`](https://github.com/aspnet/AspNetCore/commit/8c0dd1d2cc) Fix for CI agents having extra template package already installed
* [`[fea0db3814]`](https://github.com/aspnet/AspNetCore/commit/fea0db3814) Renamed private fields according to coding guidelinesù
* [`[b38f0dbc7a]`](https://github.com/aspnet/AspNetCore/commit/b38f0dbc7a) Change tests to use 2.0 templates until SDK is updated
* [`[56fdcad4d5]`](https://github.com/aspnet/AspNetCore/commit/56fdcad4d5) Also uninstall the 2.0 template package when reinstalling for tests
* [`[148e4af837]`](https://github.com/aspnet/AspNetCore/commit/148e4af837) Make template package uninstallation detection report errors properly
* [`[cb500fe3b8]`](https://github.com/aspnet/AspNetCore/commit/cb500fe3b8) Account for non-installed templates when preparing test run
* [`[ee009982dc]`](https://github.com/aspnet/AspNetCore/commit/ee009982dc) Add KeyVault encryption to DataProtection (#273)
* [`[5eeee55b13]`](https://github.com/aspnet/AspNetCore/commit/5eeee55b13) Add missing content files for Microsoft.DotNet.Web.ProjectTemplates.2.1
* [`[75f955a60a]`](https://github.com/aspnet/AspNetCore/commit/75f955a60a) Fix Coherence 2.0.x refs
* [`[df699bf7b2]`](https://github.com/aspnet/AspNetCore/commit/df699bf7b2) Update all SPA projects to use 2.1.x dependencies
* [`[28ed6ea7d8]`](https://github.com/aspnet/AspNetCore/commit/28ed6ea7d8) Simplify template dependency configuration
* [`[a6c2a458da]`](https://github.com/aspnet/AspNetCore/commit/a6c2a458da) Change 2.1 template dependencies to easily-updatable external value
* [`[98d6e2a1b6]`](https://github.com/aspnet/AspNetCore/commit/98d6e2a1b6) Add new Microsoft.DotNet.Web.ProjectTemplates.2.1 package, taking contents from dotnet/templating
* [`[692faf10ac]`](https://github.com/aspnet/AspNetCore/commit/692faf10ac) Correct all the 2.0 projects to reference 2.0 dependencies, not 2.1.0-*
* [`[39b3be4515]`](https://github.com/aspnet/AspNetCore/commit/39b3be4515) Add Microsoft.DotNet.Web.Client.ItemTemplates package copied from dotnet/templating repo
* [`[cd93041f76]`](https://github.com/aspnet/AspNetCore/commit/cd93041f76) Simplify substitution logic by removing need for string parsing
* [`[1e465e9643]`](https://github.com/aspnet/AspNetCore/commit/1e465e9643) Improve timeout logic
* [`[a8b7904b00]`](https://github.com/aspnet/AspNetCore/commit/a8b7904b00) Fix logger category of FileStreamResultExecutor
* [`[6cf4cbd736]`](https://github.com/aspnet/AspNetCore/commit/6cf4cbd736) Minor clarification to SPA test code
* [`[66d8e8198d]`](https://github.com/aspnet/AspNetCore/commit/66d8e8198d) Re-enable TestKeepAliveTimeout.
* [`[62bbe943e8]`](https://github.com/aspnet/AspNetCore/commit/62bbe943e8) Make sure long polling transport can survive http client timeout
* [`[3beb310866]`](https://github.com/aspnet/AspNetCore/commit/3beb310866) Avoid saving TempData in case of unhandled exceptions. [Fixes #6598] BUG? Accessing TempData prevent response to have content on error.
* [`[5ee4c8ec4d]`](https://github.com/aspnet/AspNetCore/commit/5ee4c8ec4d) Add [ForegroundTheory]
* [`[717f1e6f7d]`](https://github.com/aspnet/AspNetCore/commit/717f1e6f7d) Normalize paths in RazorViewEngine prior to invoking page factory Fixes #6672
* [`[9e614b6cc7]`](https://github.com/aspnet/AspNetCore/commit/9e614b6cc7) Initializing HubOptions.JsonSerializationSettings to default settings
* [`[b4c61b6c2d]`](https://github.com/aspnet/AspNetCore/commit/b4c61b6c2d) Client side method names should be case insensitive
* [`[09317b83a8]`](https://github.com/aspnet/AspNetCore/commit/09317b83a8) SPA templates have now moved to the aspnet/templating repo
* [`[a7cc243942]`](https://github.com/aspnet/AspNetCore/commit/a7cc243942) Introduce ProblemDescription
* [`[151cf44607]`](https://github.com/aspnet/AspNetCore/commit/151cf44607) Introduce ActionResult<T>
* [`[f0ade24cf7]`](https://github.com/aspnet/AspNetCore/commit/f0ade24cf7) Updating to new toolset compiler. (#2043)
* [`[00dc95098f]`](https://github.com/aspnet/AspNetCore/commit/00dc95098f) Update our diagnostics window
* [`[bac68ba3c2]`](https://github.com/aspnet/AspNetCore/commit/bac68ba3c2) Injecting IViewLocalizer into Razor Page causing IndexOutOfRangeException
* [`[67f255adca]`](https://github.com/aspnet/AspNetCore/commit/67f255adca) Change completion provider to be lazy if not Razor.
* [`[ca844afe5a]`](https://github.com/aspnet/AspNetCore/commit/ca844afe5a) Add a subsystem for detecting versions
* [`[2cc72d72cd]`](https://github.com/aspnet/AspNetCore/commit/2cc72d72cd) Logging traffic at Trace level
* [`[9174ca79fa]`](https://github.com/aspnet/AspNetCore/commit/9174ca79fa) Test both dev and published apps
* [`[0f51c56c3f]`](https://github.com/aspnet/AspNetCore/commit/0f51c56c3f) Combine ExpandoObjectAdapter and DictionaryAdapter (#106)
* [`[7e4a8fe479]`](https://github.com/aspnet/AspNetCore/commit/7e4a8fe479) Auto-select `type="text"` for `DateTimeOffset` values - #6648 - a different take on #4871 - `DateTime` can also round-trip `DateTimeKind.UTC` with `[DataType("datetimeoffset")]` or `[UIHint("datetimeoffset")]` - since they're now handled differently by default, add more `DateTime` tests - expand tests involving `Html5DateRenderingMode.CurrentCulture`
* [`[6c4c13a454]`](https://github.com/aspnet/AspNetCore/commit/6c4c13a454) Add back Identity service packages to the meta package
* [`[65e09f1cc6]`](https://github.com/aspnet/AspNetCore/commit/65e09f1cc6) Relax timeouts (#103)
* [`[8b30efbe75]`](https://github.com/aspnet/AspNetCore/commit/8b30efbe75) Use chained configuration
* [`[ceff4bd7da]`](https://github.com/aspnet/AspNetCore/commit/ceff4bd7da) Exceptions from user's event handlers should be caught and logged
* [`[0155cf2c73]`](https://github.com/aspnet/AspNetCore/commit/0155cf2c73) Fix inherits directive description.
* [`[61260ddf1c]`](https://github.com/aspnet/AspNetCore/commit/61260ddf1c) Add basic Razor directive completion.
* [`[9f88d16cc4]`](https://github.com/aspnet/AspNetCore/commit/9f88d16cc4) Only run browser automation tests if host OS supports it
* [`[eece782496]`](https://github.com/aspnet/AspNetCore/commit/eece782496) Make template nuspecs consistent. Include SPA template packages projects in solution.
* [`[039de8cd13]`](https://github.com/aspnet/AspNetCore/commit/039de8cd13) Copy SPA template packages from aspnet/javascriptservices repo
* [`[68889167bd]`](https://github.com/aspnet/AspNetCore/commit/68889167bd) Rename version.xml => version.props
* [`[d3ae3abe2a]`](https://github.com/aspnet/AspNetCore/commit/d3ae3abe2a) Use PackageLineup to manage PackageReference versions
* [`[6b2ccdead8]`](https://github.com/aspnet/AspNetCore/commit/6b2ccdead8) Add sample to "select" an address and generate a URL (#434)
* [`[fbacee2621]`](https://github.com/aspnet/AspNetCore/commit/fbacee2621) Report package versions to TeamCity
* [`[0840b4a1b1]`](https://github.com/aspnet/AspNetCore/commit/0840b4a1b1) Disable FTP tests
* [`[ac2fe035c2]`](https://github.com/aspnet/AspNetCore/commit/ac2fe035c2) EF rename
* [`[cd10d7e122]`](https://github.com/aspnet/AspNetCore/commit/cd10d7e122) Fixing csproj
* [`[daec40f2ba]`](https://github.com/aspnet/AspNetCore/commit/daec40f2ba) Add support for cross-publishing
* [`[305ab1fa4c]`](https://github.com/aspnet/AspNetCore/commit/305ab1fa4c) 1.0, 1.1 template tests (#100)
* [`[0dde7b1a27]`](https://github.com/aspnet/AspNetCore/commit/0dde7b1a27) Patch 2.0.1
* [`[29ad3d1dd6]`](https://github.com/aspnet/AspNetCore/commit/29ad3d1dd6) Adding third-party-notices.txt for msgpack5
* [`[ec18f7a1cb]`](https://github.com/aspnet/AspNetCore/commit/ec18f7a1cb) Close the ClientSample app when connection closed (#805)
* [`[7418785a5e]`](https://github.com/aspnet/AspNetCore/commit/7418785a5e) Fix WebSocket race in E2E test (#809)
* [`[8ec2848646]`](https://github.com/aspnet/AspNetCore/commit/8ec2848646) AllExcept for Dynamic and Typed Hubs (#796)
* [`[32d5391ff0]`](https://github.com/aspnet/AspNetCore/commit/32d5391ff0) Moved GetDesiredIndentation to a new service
* [`[f31e5ad42a]`](https://github.com/aspnet/AspNetCore/commit/f31e5ad42a) Updating signalr-client module version
* [`[ebd0baa458]`](https://github.com/aspnet/AspNetCore/commit/ebd0baa458) Add dispatcher packages
* [`[7dcbf25069]`](https://github.com/aspnet/AspNetCore/commit/7dcbf25069) Headers for TS files (#798)
* [`[5dceaa8149]`](https://github.com/aspnet/AspNetCore/commit/5dceaa8149) Adding Microsoft.AspNetCore.SignalR.Client
* [`[36acebf9fb]`](https://github.com/aspnet/AspNetCore/commit/36acebf9fb) Renaming Microsoft.AspNetCore.SignalR.Client to Microsoft.AspNetCore.SignalR.Client.Core
* [`[521eed1438]`](https://github.com/aspnet/AspNetCore/commit/521eed1438) Renaming Microsoft.AspNetCore.SignalR.Http to Microsoft.AspNetCore.SignalR
* [`[fa1f7f0b13]`](https://github.com/aspnet/AspNetCore/commit/fa1f7f0b13) Renaming Microsoft.AspNetCore.SignalR to Microsoft.AspNetCore.SignalR.Core
* [`[f6f8c15f2e]`](https://github.com/aspnet/AspNetCore/commit/f6f8c15f2e) Suppress API Check for the MVC 1.X shim
* [`[257d202a14]`](https://github.com/aspnet/AspNetCore/commit/257d202a14) Make AddMvcCore docs scarier
* [`[7db480b23e]`](https://github.com/aspnet/AspNetCore/commit/7db480b23e) Changing the way users can enable logging
* [`[370bc7d7c5]`](https://github.com/aspnet/AspNetCore/commit/370bc7d7c5) Use PackageLineup to manage PackageReference versions
* [`[a0269fb0ad]`](https://github.com/aspnet/AspNetCore/commit/a0269fb0ad) Use PackageLineup to manage PackageReference versions
* [`[ae925049bb]`](https://github.com/aspnet/AspNetCore/commit/ae925049bb) Add an example
* [`[d8431067a5]`](https://github.com/aspnet/AspNetCore/commit/d8431067a5) Add TaskSchedulers to the dispatcher abstraction
* [`[c94c110de3]`](https://github.com/aspnet/AspNetCore/commit/c94c110de3) Move dispatcher to workspaces.
* [`[16c267d95e]`](https://github.com/aspnet/AspNetCore/commit/16c267d95e) House Cleaning - Spelling and grammar :shower:
* [`[b8d2d24b67]`](https://github.com/aspnet/AspNetCore/commit/b8d2d24b67) Log connection resets as trace not error (#799)
* [`[6b8449f491]`](https://github.com/aspnet/AspNetCore/commit/6b8449f491) Sortable log files with stdoutLogFile (#131)
* [`[378c93e7d6]`](https://github.com/aspnet/AspNetCore/commit/378c93e7d6) Also inject EntityFramework package versions dynamically
* [`[1e8a22dae3]`](https://github.com/aspnet/AspNetCore/commit/1e8a22dae3) NameValueHeaderValue Escaping/Unescaping quoted-strings and helpers (#913)
* [`[18dee25eb9]`](https://github.com/aspnet/AspNetCore/commit/18dee25eb9) In tests, use dynamic port binding to avoid need for any coordination across simultaneous tests
* [`[5cb11b9bf4]`](https://github.com/aspnet/AspNetCore/commit/5cb11b9bf4) Implmement a project system for Razor
* [`[b811e69d00]`](https://github.com/aspnet/AspNetCore/commit/b811e69d00) Use PackageLineup to manage PackageReference versions
* [`[9d14573df1]`](https://github.com/aspnet/AspNetCore/commit/9d14573df1) Add NuGet.Frameworks to the universe lineup
* [`[12e9430d89]`](https://github.com/aspnet/AspNetCore/commit/12e9430d89) Sets the default cookie secure policy to None
* [`[b82200851f]`](https://github.com/aspnet/AspNetCore/commit/b82200851f) Do not re-discover runtime compiled RazorPage files for precompiled Razor Pages.
* [`[a53bf093a7]`](https://github.com/aspnet/AspNetCore/commit/a53bf093a7) Use PackageLineup to manage PackageReference versions
* [`[b2f9ad1b67]`](https://github.com/aspnet/AspNetCore/commit/b2f9ad1b67) Changed CookieTempDataProvider's CookieSecurePolicy from SameAsRequest to None
* [`[28172a3a3e]`](https://github.com/aspnet/AspNetCore/commit/28172a3a3e) Use PackageLineup to manage PackageReference versions
* [`[4b68a48f1d]`](https://github.com/aspnet/AspNetCore/commit/4b68a48f1d) Fix: Broken intellisense for extensible directives
* [`[dbb9262d68]`](https://github.com/aspnet/AspNetCore/commit/dbb9262d68) Test that we are running on specific runtime and using right version of store assemblies (#99)
* [`[b048577881]`](https://github.com/aspnet/AspNetCore/commit/b048577881) Add System.Net.Http to the universe lineup
* [`[b12683a35d]`](https://github.com/aspnet/AspNetCore/commit/b12683a35d) Mark trailing whitespace after type name in directives as markup
* [`[e5825641ce]`](https://github.com/aspnet/AspNetCore/commit/e5825641ce) Use PackageLineup to manage PackageReference versions
* [`[9c78b5a8be]`](https://github.com/aspnet/AspNetCore/commit/9c78b5a8be) Use PackageLineup to manage PackageReference versions
* [`[e7743cbb78]`](https://github.com/aspnet/AspNetCore/commit/e7743cbb78) Shorter LibuvThread locks (#2034)
* [`[e155b81434]`](https://github.com/aspnet/AspNetCore/commit/e155b81434) Use PackageLineup to manage PackageReference versions
* [`[e87f13d267]`](https://github.com/aspnet/AspNetCore/commit/e87f13d267) Use PackageLineup to manage PackageReference versions
* [`[82ba6b51ef]`](https://github.com/aspnet/AspNetCore/commit/82ba6b51ef) Use PackageLineup to manage PackageReference versions
* [`[1297798546]`](https://github.com/aspnet/AspNetCore/commit/1297798546) Use PackageLineup to manage PackageReference versions
* [`[e67d85d30c]`](https://github.com/aspnet/AspNetCore/commit/e67d85d30c) Use PackageLineup to manage PackageReference versions
* [`[4601db9bf6]`](https://github.com/aspnet/AspNetCore/commit/4601db9bf6) Log requests into test logs, override directory targets (#98)
* [`[e97e6546c2]`](https://github.com/aspnet/AspNetCore/commit/e97e6546c2) Add structured syntax suffixes and facets to MediaTypeHeaderValue (#921)
* [`[5ca9f8928f]`](https://github.com/aspnet/AspNetCore/commit/5ca9f8928f) Use PackageLineup to manage PackageReference versions
* [`[482a4e646e]`](https://github.com/aspnet/AspNetCore/commit/482a4e646e) Rename 'template_feed' to 'src' for consistency with other repos
* [`[11377e08f6]`](https://github.com/aspnet/AspNetCore/commit/11377e08f6) Use PackageLineup to manage PackageReference versions
* [`[479eb49ca9]`](https://github.com/aspnet/AspNetCore/commit/479eb49ca9) Use PackageLineup to manage PackageReference versions
* [`[51ac8d53f4]`](https://github.com/aspnet/AspNetCore/commit/51ac8d53f4) Fix site name
* [`[1e0fe87c20]`](https://github.com/aspnet/AspNetCore/commit/1e0fe87c20) Use PackageLineup to manage PackageReference versions
* [`[9b45e7f118]`](https://github.com/aspnet/AspNetCore/commit/9b45e7f118) Use PackageLineup to manage PackageReference versions
* [`[590d42dc88]`](https://github.com/aspnet/AspNetCore/commit/590d42dc88) Add Microsoft.Win32.Registry to the universe lineup
* [`[b53a6f9a25]`](https://github.com/aspnet/AspNetCore/commit/b53a6f9a25) Install site extension on top of existing dotnet (#97)
* [`[cfc05104e4]`](https://github.com/aspnet/AspNetCore/commit/cfc05104e4) Updated to use WebEncoders utility's Base64Url encode/decode functionality
* [`[bf685de16b]`](https://github.com/aspnet/AspNetCore/commit/bf685de16b) Using WebEncoders' Base64Url encode/decode functionality
* [`[03d40f712c]`](https://github.com/aspnet/AspNetCore/commit/03d40f712c) Initial state from previous aspnet/templates repo
* [`[f3d121cacf]`](https://github.com/aspnet/AspNetCore/commit/f3d121cacf) Mark whitespace between tag helper directive and its value as Markup
* [`[2a36aa141d]`](https://github.com/aspnet/AspNetCore/commit/2a36aa141d) Making the client and tests work on IE
* [`[ff2bf5ad75]`](https://github.com/aspnet/AspNetCore/commit/ff2bf5ad75) Creating ES5 version of the TS client
* [`[f63354713f]`](https://github.com/aspnet/AspNetCore/commit/f63354713f) Use PackageLineup to manage PackageReference versions
* [`[c0d47adb11]`](https://github.com/aspnet/AspNetCore/commit/c0d47adb11) Allow spaces in path (#779)
* [`[ac0ce9c8ee]`](https://github.com/aspnet/AspNetCore/commit/ac0ce9c8ee) Use PackageLineup to manage PackageReference versions (#162)
* [`[6907261453]`](https://github.com/aspnet/AspNetCore/commit/6907261453) Unset the UserAgent Header in the TS client (#781)
* [`[9e72cb0783]`](https://github.com/aspnet/AspNetCore/commit/9e72cb0783) Use PackageLineup to manage PackageReference versions
* [`[0516de2b28]`](https://github.com/aspnet/AspNetCore/commit/0516de2b28) Add Microsoft.Azure.Management.Fluent to the universe lineup (#550)
* [`[5e3a7922fe]`](https://github.com/aspnet/AspNetCore/commit/5e3a7922fe) Add module load location check (#94)
* [`[97b9ff3b33]`](https://github.com/aspnet/AspNetCore/commit/97b9ff3b33) Use PackageLineup to manage PackageReference versions
* [`[4917e69ad6]`](https://github.com/aspnet/AspNetCore/commit/4917e69ad6) Fixed spelling mistake
* [`[b60e598277]`](https://github.com/aspnet/AspNetCore/commit/b60e598277) Setting the User-Agent header (#759)
* [`[9d8556e7c4]`](https://github.com/aspnet/AspNetCore/commit/9d8556e7c4) Added FrameConnection.OnConnectionClosed back (#2028)
* [`[09be7c416a]`](https://github.com/aspnet/AspNetCore/commit/09be7c416a) Use preparsed version, rather than reparsing (#2021)
* [`[088f7e32ae]`](https://github.com/aspnet/AspNetCore/commit/088f7e32ae) Reset StatusCode & ReasonPhrase directly (#2025)
* [`[4735154ecd]`](https://github.com/aspnet/AspNetCore/commit/4735154ecd) Install .NET Core 1.1.2
* [`[1d4e7dcd08]`](https://github.com/aspnet/AspNetCore/commit/1d4e7dcd08) Avoid conflicts between PinVersion and lineups
* [`[ccc97c67ab]`](https://github.com/aspnet/AspNetCore/commit/ccc97c67ab) Making msgpack5 a prod dependency
* [`[1b5bd4afac]`](https://github.com/aspnet/AspNetCore/commit/1b5bd4afac) Added ParentIsTagHelper property to AttributeCompletionContext
* [`[471722eba1]`](https://github.com/aspnet/AspNetCore/commit/471722eba1) Use PackageLineup to manage PackageReference versions
* [`[347e4158fb]`](https://github.com/aspnet/AspNetCore/commit/347e4158fb) Skipped flakey tests.
* [`[ceba681e02]`](https://github.com/aspnet/AspNetCore/commit/ceba681e02) Add Microsoft.NETCore.App and NETStandard.Library to the lineup (#549)
* [`[a200cd46b1]`](https://github.com/aspnet/AspNetCore/commit/a200cd46b1) Use ForceAsyncAwaiter to make sure we're not on the app SyncContext (#758)
* [`[ca6c76c358]`](https://github.com/aspnet/AspNetCore/commit/ca6c76c358) Add a test where [Ignore..] gets overridden
* [`[c9c21d2ce9]`](https://github.com/aspnet/AspNetCore/commit/c9c21d2ce9) Fix tool reference update
* [`[8cc1cdc62f]`](https://github.com/aspnet/AspNetCore/commit/8cc1cdc62f) Install and use multiple runtimes/sdks (#93)
* [`[83f3605cfb]`](https://github.com/aspnet/AspNetCore/commit/83f3605cfb) Minification - part 1 (#762)
* [`[c7fabda615]`](https://github.com/aspnet/AspNetCore/commit/c7fabda615) Use installdotnet target and clear all nuget packages to force offline (#92)
* [`[04fe1204a9]`](https://github.com/aspnet/AspNetCore/commit/04fe1204a9) Rename app.module.(server|browser).ts to app.(server|browser).module.ts. Fixes #1228.
* [`[29fd1b3b33]`](https://github.com/aspnet/AspNetCore/commit/29fd1b3b33) Update README to show 2.0.0 as the latest packages
* [`[e2030fb1fa]`](https://github.com/aspnet/AspNetCore/commit/e2030fb1fa) Handle publicPath=/ in HMR. Fixes #1191.
* [`[7b2a4ff465]`](https://github.com/aspnet/AspNetCore/commit/7b2a4ff465) Allow "page" route parameter to be used in Mvc controllers
* [`[9793b6b8d5]`](https://github.com/aspnet/AspNetCore/commit/9793b6b8d5) Add another package required for Razor
* [`[9b1cbedffc]`](https://github.com/aspnet/AspNetCore/commit/9b1cbedffc) WebSocketClient.ConnectAsync throws when the provided CancellationToken is cancelled.
* [`[3d6a8615de]`](https://github.com/aspnet/AspNetCore/commit/3d6a8615de) Support DynamicObject types (#99)
* [`[59fe94b8e4]`](https://github.com/aspnet/AspNetCore/commit/59fe94b8e4) Setting up 2.0.1 branch
* [`[ce68ec23c0]`](https://github.com/aspnet/AspNetCore/commit/ce68ec23c0) Using WebEncoders' Base64Url encode/decode functionality
* [`[87189875ff]`](https://github.com/aspnet/AspNetCore/commit/87189875ff) Increase timeout in Server_ClientDisconnects_CallCanceled to mitigate test flakiness.
* [`[d15129110e]`](https://github.com/aspnet/AspNetCore/commit/d15129110e) Ensure .NET Core 1.0.5 is installed
* [`[7ca8255d6f]`](https://github.com/aspnet/AspNetCore/commit/7ca8255d6f) Add a default VS foregrounddispatcher
* [`[a9a86fa3bf]`](https://github.com/aspnet/AspNetCore/commit/a9a86fa3bf) Add foreground dispatcher
* [`[cddc5f8a75]`](https://github.com/aspnet/AspNetCore/commit/cddc5f8a75) Adapting TS-client to work with non-level-2 xhr
* [`[b187c1adc4]`](https://github.com/aspnet/AspNetCore/commit/b187c1adc4) Add fallback when resolving application name
* [`[d87e0f7fbd]`](https://github.com/aspnet/AspNetCore/commit/d87e0f7fbd) Fixes #1632 - track textviews in the document tracker
* [`[8b4fc0cef6]`](https://github.com/aspnet/AspNetCore/commit/8b4fc0cef6) Take control of VisualStudioRazorParser reparse test mechanics.
* [`[a145734d43]`](https://github.com/aspnet/AspNetCore/commit/a145734d43) Fix flakiness in ConnectionClosedWhenResponseDoesNotSatisfyMinimumDataRate (#1955).
* [`[4094e8b8f3]`](https://github.com/aspnet/AspNetCore/commit/4094e8b8f3) Use PackageReference instead of project.json in the VSIX project (#1642)
* [`[a702713cd4]`](https://github.com/aspnet/AspNetCore/commit/a702713cd4) SignalR C# Client logging (#752)
* [`[b8a936f2c1]`](https://github.com/aspnet/AspNetCore/commit/b8a936f2c1) Use IApplicationLifetime instead of IHostedService (#757)
* [`[c922eee1d6]`](https://github.com/aspnet/AspNetCore/commit/c922eee1d6) Fix artifacts dir for test
* [`[fa6fde2b20]`](https://github.com/aspnet/AspNetCore/commit/fa6fde2b20) Moved TagHelper directive validation and parsing from TagHelperBinder to CSharpCodeParser
* [`[9b6420dbfc]`](https://github.com/aspnet/AspNetCore/commit/9b6420dbfc) Include currently selected attribute in TagHelper completion results
* [`[28920c7691]`](https://github.com/aspnet/AspNetCore/commit/28920c7691) Simplify .gitignore
* [`[224c9898c0]`](https://github.com/aspnet/AspNetCore/commit/224c9898c0) Turn template test into theory (#90)
* [`[c62a3b491c]`](https://github.com/aspnet/AspNetCore/commit/c62a3b491c) Fix templates directory structure to produce correct nupkg output
* [`[e4c1b888ca]`](https://github.com/aspnet/AspNetCore/commit/e4c1b888ca) Adding loggers to TS client
* [`[978f5cebc0]`](https://github.com/aspnet/AspNetCore/commit/978f5cebc0) Starting HubOptions (#743)
* [`[1811c328c5]`](https://github.com/aspnet/AspNetCore/commit/1811c328c5) Add packages required for Razor to the lineup (#548)
* [`[0291686b20]`](https://github.com/aspnet/AspNetCore/commit/0291686b20) Reorganize templates into dir structure matching 'dotnet new' templates
* [`[964b671288]`](https://github.com/aspnet/AspNetCore/commit/964b671288) [Fixes #1012] Make it possible to override services when using UseStartup.
* [`[d72175a846]`](https://github.com/aspnet/AspNetCore/commit/d72175a846) Make StopAsync multi-thread safe (#377).
* [`[24154ec4c2]`](https://github.com/aspnet/AspNetCore/commit/24154ec4c2) Create a VisualStudio parser to handle the editing loop.
* [`[fa852d7d67]`](https://github.com/aspnet/AspNetCore/commit/fa852d7d67) Update hub route in client sample (#756)
* [`[d4b64af0e6]`](https://github.com/aspnet/AspNetCore/commit/d4b64af0e6) Use DictionaryKeyResolver for ExpandoObjectAdapter (#100)
* [`[419cedd4f7]`](https://github.com/aspnet/AspNetCore/commit/419cedd4f7) Updating spec for record separator, binary over text
* [`[cdbb13de66]`](https://github.com/aspnet/AspNetCore/commit/cdbb13de66) Putting signalr-client in @aspnet scope
* [`[6e42c8d0e4]`](https://github.com/aspnet/AspNetCore/commit/6e42c8d0e4) Made section 1.X compatibility only apply at design time.
* [`[7c52be5e42]`](https://github.com/aspnet/AspNetCore/commit/7c52be5e42) Stop generating .template.config files dynamically. Convert them to plain files on disk.
* [`[d469cc3151]`](https://github.com/aspnet/AspNetCore/commit/d469cc3151) Clients Subset - AllExcept (#700)
* [`[5104e8c806]`](https://github.com/aspnet/AspNetCore/commit/5104e8c806) Make 2.0 codegen compatible with 1.0 projects until multi-targeting is complete.
* [`[900e9ca835]`](https://github.com/aspnet/AspNetCore/commit/900e9ca835) Add deprecation notice to Yeoman package
* [`[cd9ad38a99]`](https://github.com/aspnet/AspNetCore/commit/cd9ad38a99) Run tests against 'dotnet new' output instead of Yeoman output
* [`[dc9ed60465]`](https://github.com/aspnet/AspNetCore/commit/dc9ed60465) Create the connection logging scope in ConnectionHandler (#2013)
* [`[d6ae8829b6]`](https://github.com/aspnet/AspNetCore/commit/d6ae8829b6) In HMR, don't rely on default JsonSerializer settings. Fixes #688
* [`[11a9b6498d]`](https://github.com/aspnet/AspNetCore/commit/11a9b6498d) Don't alloc IEnumerable in Reset for ITlsConnectionFeature (#2009)
* [`[a94ac6f37e]`](https://github.com/aspnet/AspNetCore/commit/a94ac6f37e) For Redux dev tools, use newer __REDUX_DEVTOOLS_EXTENSION__ API. Fixes #1196
* [`[a40adab38d]`](https://github.com/aspnet/AspNetCore/commit/a40adab38d) In non-ASP.NET apps, default project path to current working directory. Fixes #1100.
* [`[a7e715c88f]`](https://github.com/aspnet/AspNetCore/commit/a7e715c88f) Small grammatical fix to README.md
* [`[79d8a9d3d2]`](https://github.com/aspnet/AspNetCore/commit/79d8a9d3d2) Changing module type to commonjs
* [`[2e6687031d]`](https://github.com/aspnet/AspNetCore/commit/2e6687031d) Added initial connection middleware pipeline (#2003)
* [`[27b0f60f09]`](https://github.com/aspnet/AspNetCore/commit/27b0f60f09) ForbidAsync now uses correct Schemes method (#918)
* [`[900a5c7c4c]`](https://github.com/aspnet/AspNetCore/commit/900a5c7c4c) Add support for ResponseCache in Razor Pages
* [`[345190e6a9]`](https://github.com/aspnet/AspNetCore/commit/345190e6a9) Add timeout to Negotiate (#736)
* [`[bf63704547]`](https://github.com/aspnet/AspNetCore/commit/bf63704547) Renamed solutions
* [`[95f37a0edb]`](https://github.com/aspnet/AspNetCore/commit/95f37a0edb) Install store from artifact dependency
* [`[a4053acd06]`](https://github.com/aspnet/AspNetCore/commit/a4053acd06) Give Client a chance to receive Close Frame from Server (#730)
* [`[e349329dc7]`](https://github.com/aspnet/AspNetCore/commit/e349329dc7) Changing length prefixing to separator for JSON TS
* [`[5ad5f36f88]`](https://github.com/aspnet/AspNetCore/commit/5ad5f36f88) Changing length prefixing to separator for JSON C#
* [`[312e0da556]`](https://github.com/aspnet/AspNetCore/commit/312e0da556) Fix case sensitivity on Startup classes and methods (#1166)
* [`[c74d0e7458]`](https://github.com/aspnet/AspNetCore/commit/c74d0e7458) Adds .Value to logger calls to avoid calling .ToUriComponents on a bad header. (#1169)
* [`[b12451025f]`](https://github.com/aspnet/AspNetCore/commit/b12451025f) Exit OnConnected early if Negotiate fails (#733)
* [`[89548bb39a]`](https://github.com/aspnet/AspNetCore/commit/89548bb39a) Expand the list of external dependencies to include almost everything referenced from an ASP.NET Core project
* [`[fd66472b39]`](https://github.com/aspnet/AspNetCore/commit/fd66472b39) Get Kestrel.Performance working again
* [`[14f122fb9f]`](https://github.com/aspnet/AspNetCore/commit/14f122fb9f) Measure Writing in FrameWritingBenchmark
* [`[a7f021702f]`](https://github.com/aspnet/AspNetCore/commit/a7f021702f) Add more corefx packages to the universe lineup (#543)
* [`[a2c0410e39]`](https://github.com/aspnet/AspNetCore/commit/a2c0410e39) Use PackageLineup to manage package versions
* [`[442ee80039]`](https://github.com/aspnet/AspNetCore/commit/442ee80039) Less awaits for Reponse Write(Async)
* [`[45732a5dd3]`](https://github.com/aspnet/AspNetCore/commit/45732a5dd3) Fix: Nested tag helpers do not work when tag helper prefix is set
* [`[b00c9b4e05]`](https://github.com/aspnet/AspNetCore/commit/b00c9b4e05) Pinning versions for 2.0.0
* [`[3e8da43279]`](https://github.com/aspnet/AspNetCore/commit/3e8da43279) Pinning versions for 2.0.0
* [`[128683be0e]`](https://github.com/aspnet/AspNetCore/commit/128683be0e) Pinning versions for 2.0.0
* [`[5d6330e6b1]`](https://github.com/aspnet/AspNetCore/commit/5d6330e6b1) Pinning versions for 2.0.0
* [`[b613f44ccd]`](https://github.com/aspnet/AspNetCore/commit/b613f44ccd) Add packages to README
* [`[dc8d1d0788]`](https://github.com/aspnet/AspNetCore/commit/dc8d1d0788) Do not block on async calls
* [`[a359da0c44]`](https://github.com/aspnet/AspNetCore/commit/a359da0c44) Length prefixing base64 encoded messages
* [`[ec09268698]`](https://github.com/aspnet/AspNetCore/commit/ec09268698) Add using for presence in chat sample (#727)
* [`[5b4cc95583]`](https://github.com/aspnet/AspNetCore/commit/5b4cc95583) Removing unnecessary dependency
* [`[87db7cceb6]`](https://github.com/aspnet/AspNetCore/commit/87db7cceb6) Stop producing Microsoft.AspNetCore.Server.Kestrel.Tls as a package
* [`[26f1d4baa3]`](https://github.com/aspnet/AspNetCore/commit/26f1d4baa3) Use PackageLineup
* [`[db805eb3e3]`](https://github.com/aspnet/AspNetCore/commit/db805eb3e3) Fix ModelExpression's in section directive blocks.
* [`[0fafd19ec9]`](https://github.com/aspnet/AspNetCore/commit/0fafd19ec9) Initial HTTP/2 support.
* [`[c429467993]`](https://github.com/aspnet/AspNetCore/commit/c429467993) Add System.Buffers and System.Numerics.Vectors to the lineup
* [`[dc66815c35]`](https://github.com/aspnet/AspNetCore/commit/dc66815c35) Add external packages require for aspnet/Common (#541)
* [`[f3745608af]`](https://github.com/aspnet/AspNetCore/commit/f3745608af) Switch to v3 NuGet feed
* [`[8d2a9e5929]`](https://github.com/aspnet/AspNetCore/commit/8d2a9e5929) Support tuples for type directive tokens
* [`[488eb44467]`](https://github.com/aspnet/AspNetCore/commit/488eb44467) Fix obsolete warning message (#1363)
* [`[28a4bb4d5f]`](https://github.com/aspnet/AspNetCore/commit/28a4bb4d5f) Clone over https if we cannot determine the repository's clone url
* [`[418f58f31d]`](https://github.com/aspnet/AspNetCore/commit/418f58f31d) Clone repositories over https
* [`[655a693e4a]`](https://github.com/aspnet/AspNetCore/commit/655a693e4a) Make ViewComponentTagHelper use extension intermediate nodes
* [`[0c82d94a54]`](https://github.com/aspnet/AspNetCore/commit/0c82d94a54) #772 Signout FormPost test (#1358)
* [`[4898c0d3df]`](https://github.com/aspnet/AspNetCore/commit/4898c0d3df) Integrating MsgPack support in TS client
* [`[9eabce1b02]`](https://github.com/aspnet/AspNetCore/commit/9eabce1b02) Enabling tests which would have prevented a bug
* [`[e8a673248a]`](https://github.com/aspnet/AspNetCore/commit/e8a673248a) Conditional WebSockets testing (#714)
* [`[4504ae56d5]`](https://github.com/aspnet/AspNetCore/commit/4504ae56d5) Update protocol spec for Message Pack (#703)
* [`[594f55947f]`](https://github.com/aspnet/AspNetCore/commit/594f55947f) Keep ResponseCookie options on delete. (#905)
* [`[b393200fd3]`](https://github.com/aspnet/AspNetCore/commit/b393200fd3) SSE StopAsync should ignore exception (handled elsewhere) (#708)
* [`[364fc1a55d]`](https://github.com/aspnet/AspNetCore/commit/364fc1a55d) Allow nullable types with generic arguments in directives
* [`[f5710de3e5]`](https://github.com/aspnet/AspNetCore/commit/f5710de3e5) Produce a lineup package containing all packages produced
* [`[456957bf57]`](https://github.com/aspnet/AspNetCore/commit/456957bf57) Use dictionary for deployment parameters (#1126)
* [`[396f413b38]`](https://github.com/aspnet/AspNetCore/commit/396f413b38) Rename testing metapackage (#218)
* [`[653272600f]`](https://github.com/aspnet/AspNetCore/commit/653272600f) Add site extension generation code (#217)
* [`[8cda36157f]`](https://github.com/aspnet/AspNetCore/commit/8cda36157f) Change Read to ReadAsync (#702)
* [`[c125022050]`](https://github.com/aspnet/AspNetCore/commit/c125022050) #772 Fill in OIDC test gaps
* [`[b5e81bd4a0]`](https://github.com/aspnet/AspNetCore/commit/b5e81bd4a0) Use linux specific runtime identifier when gathering installer prerequisites
* [`[e2cec0b305]`](https://github.com/aspnet/AspNetCore/commit/e2cec0b305) Adding MsgPack hub protocol to TS client
* [`[e089852d59]`](https://github.com/aspnet/AspNetCore/commit/e089852d59) Turning messages to arrays
* [`[be9fec5d30]`](https://github.com/aspnet/AspNetCore/commit/be9fec5d30) Adding result kind to completion message
* [`[5ec8a7134e]`](https://github.com/aspnet/AspNetCore/commit/5ec8a7134e) Adds FormFeature quoted boundary test
* [`[32ef3eb355]`](https://github.com/aspnet/AspNetCore/commit/32ef3eb355) Hub<T> (#689)
* [`[eb5c23ea8e]`](https://github.com/aspnet/AspNetCore/commit/eb5c23ea8e) Parse LanguageVersion correctly
* [`[3a1d4c5dd6]`](https://github.com/aspnet/AspNetCore/commit/3a1d4c5dd6) Introducing HubProtocolReaderWriter
* [`[ad4784dbd2]`](https://github.com/aspnet/AspNetCore/commit/ad4784dbd2) Centralizing serializing hub messages
* [`[a0e490e549]`](https://github.com/aspnet/AspNetCore/commit/a0e490e549) Enabling binary protocols over text transports
* [`[f9ee7911a5]`](https://github.com/aspnet/AspNetCore/commit/f9ee7911a5) Use CloseOutputAsync to close client transport WebSocket (#695)
* [`[e9e7baf3f1]`](https://github.com/aspnet/AspNetCore/commit/e9e7baf3f1) Rename store zip and lzma filename
* [`[07f96a444e]`](https://github.com/aspnet/AspNetCore/commit/07f96a444e) Always log startup exceptions
* [`[a49db63f06]`](https://github.com/aspnet/AspNetCore/commit/a49db63f06) Increment M.H.Server.IntegrationTesting version
* [`[dbcac41be7]`](https://github.com/aspnet/AspNetCore/commit/dbcac41be7) Get the correct version of Mvc for multitargeting
* [`[5161ebaf8a]`](https://github.com/aspnet/AspNetCore/commit/5161ebaf8a) Enables the Razor Document Tracker
* [`[4fcad1548e]`](https://github.com/aspnet/AspNetCore/commit/4fcad1548e) Added support for multitargeting
* [`[93b37e14db]`](https://github.com/aspnet/AspNetCore/commit/93b37e14db) fix websocket connection issue and some memory leak, and add debug print (#129)
* [`[cbad7fad7a]`](https://github.com/aspnet/AspNetCore/commit/cbad7fad7a) Add API baseline for Microsoft.AspNetCore
* [`[5d802a7988]`](https://github.com/aspnet/AspNetCore/commit/5d802a7988) Add sample for refresh tokens
* [`[d797543cfc]`](https://github.com/aspnet/AspNetCore/commit/d797543cfc) Update obsolete error (#1346)
* [`[127784e058]`](https://github.com/aspnet/AspNetCore/commit/127784e058) Fix clean machine/testing for Mvc.Extensions.
* [`[5ed1a35ce0]`](https://github.com/aspnet/AspNetCore/commit/5ed1a35ce0) Fix problems with AoT when using Angular Material. Fixes #1168
* [`[aa980fc67c]`](https://github.com/aspnet/AspNetCore/commit/aa980fc67c) Roslyn-ize our tooling contracts.
* [`[ca7f72e3f0]`](https://github.com/aspnet/AspNetCore/commit/ca7f72e3f0) Move PinVersions into RepoTasks (#535)
* [`[31733e973f]`](https://github.com/aspnet/AspNetCore/commit/31733e973f) Set IncrementalVersion=true
* [`[5f1450c9ba]`](https://github.com/aspnet/AspNetCore/commit/5f1450c9ba) Make aspnet-angular compatible with AoT compilation
* [`[c83605baff]`](https://github.com/aspnet/AspNetCore/commit/c83605baff) Add aspnet-angular NPM package containing HttpWithStateTransfer utility
* [`[fc12d722b8]`](https://github.com/aspnet/AspNetCore/commit/fc12d722b8) fix(webpack): fix middleware to specifically serialize options as non-camecased
* [`[372e597f34]`](https://github.com/aspnet/AspNetCore/commit/372e597f34) Added Timeout to HttpClient to always be longer than the InvocationTimeoutMilliseconds.
* [`[41cb9ea31c]`](https://github.com/aspnet/AspNetCore/commit/41cb9ea31c) Fix hosting startup tests (#81).
* [`[6584a8b5fd]`](https://github.com/aspnet/AspNetCore/commit/6584a8b5fd) Shorten folder names
* [`[a8802b2d2c]`](https://github.com/aspnet/AspNetCore/commit/a8802b2d2c) Fix versions in the test project so restore works
* [`[169ef12cd8]`](https://github.com/aspnet/AspNetCore/commit/169ef12cd8) Change Microsoft.DotNet.Web.Spa.ProjectTemplates to use non-prerelease version number in NuGet package
* [`[c2e4d4f261]`](https://github.com/aspnet/AspNetCore/commit/c2e4d4f261) Re-enable the "dotnet restore" postAction, like the stock templates
* [`[d058fe5a39]`](https://github.com/aspnet/AspNetCore/commit/d058fe5a39) Fix StackOverflowException caused when creating the watcher on directories from a network share
* [`[c473800042]`](https://github.com/aspnet/AspNetCore/commit/c473800042) Installer generation updates
* [`[322c72144e]`](https://github.com/aspnet/AspNetCore/commit/322c72144e) Fix syntax error in old versions of bash
* [`[f0cc2f1061]`](https://github.com/aspnet/AspNetCore/commit/f0cc2f1061) Use wget and fallback to curl
* [`[8096b4aca4]`](https://github.com/aspnet/AspNetCore/commit/8096b4aca4) Choose port automatically
* [`[b512181608]`](https://github.com/aspnet/AspNetCore/commit/b512181608) Prevent deleting the .r/ folder on CI
* [`[643efbe660]`](https://github.com/aspnet/AspNetCore/commit/643efbe660) Change version on Binding redirects
* [`[0e38a9fdd8]`](https://github.com/aspnet/AspNetCore/commit/0e38a9fdd8) Fix VersionPrefix
* [`[2ef26486dd]`](https://github.com/aspnet/AspNetCore/commit/2ef26486dd) Add global filters with the right scope
* [`[644f34e90d]`](https://github.com/aspnet/AspNetCore/commit/644f34e90d) AuthZ PolicyEvalutor should take resource
* [`[a5b55edb93]`](https://github.com/aspnet/AspNetCore/commit/a5b55edb93) Fix filter order (#6577)
* [`[36e24b7a31]`](https://github.com/aspnet/AspNetCore/commit/36e24b7a31) Fix AuthZ Regression (#6574)
* [`[ae815475b8]`](https://github.com/aspnet/AspNetCore/commit/ae815475b8) Support for binary protocols on the server side
* [`[35c8da94bf]`](https://github.com/aspnet/AspNetCore/commit/35c8da94bf) Temporarily disable package downgrade warnings (#1576)
* [`[c02d701e6e]`](https://github.com/aspnet/AspNetCore/commit/c02d701e6e) Update Roslyn to 2.3.1 (#1574)
* [`[161b6e7b94]`](https://github.com/aspnet/AspNetCore/commit/161b6e7b94) Update Roslyn to 2.3.1 (#6571)
* [`[ecb26d9bbc]`](https://github.com/aspnet/AspNetCore/commit/ecb26d9bbc) Reenable a connection adapter test on TeamCity (#1961)
* [`[e65e647867]`](https://github.com/aspnet/AspNetCore/commit/e65e647867) Add empty baselines to suppress api check
* [`[819ee5faaf]`](https://github.com/aspnet/AspNetCore/commit/819ee5faaf) Add M.Dotnet.Watcher.Tools and M.E.Caching.SqlConfig.Tools to lzma
* [`[8fc2cd98b6]`](https://github.com/aspnet/AspNetCore/commit/8fc2cd98b6) Add timeout to Event Queue drain (#619)
* [`[98b9a4bf7f]`](https://github.com/aspnet/AspNetCore/commit/98b9a4bf7f) Don't run the precompilation tool when publishing with a RID
* [`[184ab74e68]`](https://github.com/aspnet/AspNetCore/commit/184ab74e68) Don't render view attributes when in design time.
* [`[006b4651da]`](https://github.com/aspnet/AspNetCore/commit/006b4651da) Change product code to work with editor expectations.
* [`[6c7859bfba]`](https://github.com/aspnet/AspNetCore/commit/6c7859bfba) Generate full pdbs for desktop packages
* [`[dfd63fe2cb]`](https://github.com/aspnet/AspNetCore/commit/dfd63fe2cb) Rename property to JsonNetVersion (#197)
* [`[266736764c]`](https://github.com/aspnet/AspNetCore/commit/266736764c) Rename to DiagnosticSourceVersion (#1143)
* [`[3010eaaee2]`](https://github.com/aspnet/AspNetCore/commit/3010eaaee2) Add logging scope (#670)
* [`[4b9a10363c]`](https://github.com/aspnet/AspNetCore/commit/4b9a10363c) Explicitly call Restore on AspNetCore.csproj before calling pack on it.
* [`[b41d8656d5]`](https://github.com/aspnet/AspNetCore/commit/b41d8656d5) Adds new date string in HttpRuleParser
* [`[843d9820e2]`](https://github.com/aspnet/AspNetCore/commit/843d9820e2) Add breakingchanges.netcore.json for Microsoft.AspNetCore.Mvc.Razor
* [`[68ba94218a]`](https://github.com/aspnet/AspNetCore/commit/68ba94218a) IsNullOrWhiteSpace => IsNullOrEmpty
* [`[8dfc6a00e5]`](https://github.com/aspnet/AspNetCore/commit/8dfc6a00e5) Use installed shared framework version during deps file generation
* [`[f0e572075b]`](https://github.com/aspnet/AspNetCore/commit/f0e572075b) Fix FlushAsync when a ConnectionAdapter is configured (#1957)
* [`[4d35489e85]`](https://github.com/aspnet/AspNetCore/commit/4d35489e85) Use dotnet pack to pack AspNetCore file
* [`[0e96c2e20d]`](https://github.com/aspnet/AspNetCore/commit/0e96c2e20d) Nano server tests: Make the dotnet cli folder name unique
* [`[59d3fb433b]`](https://github.com/aspnet/AspNetCore/commit/59d3fb433b) Fix #1555
* [`[459f453cd4]`](https://github.com/aspnet/AspNetCore/commit/459f453cd4) Pin runtime version for generated deps files
* [`[fcd9f0c3ff]`](https://github.com/aspnet/AspNetCore/commit/fcd9f0c3ff) Update Owin to latest (#1323)
* [`[8ba29b578d]`](https://github.com/aspnet/AspNetCore/commit/8ba29b578d) Dynamic Hub Change Part 2 (#644)
* [`[c9f506d4ea]`](https://github.com/aspnet/AspNetCore/commit/c9f506d4ea) Fix #6542 - correct namespace of [TempData]
* [`[0ebd33a25c]`](https://github.com/aspnet/AspNetCore/commit/0ebd33a25c) Plumbing TransferMode on the client side
* [`[1810925b13]`](https://github.com/aspnet/AspNetCore/commit/1810925b13) Add _ViewStart and _ViewImports to embedded view test
* [`[998547839e]`](https://github.com/aspnet/AspNetCore/commit/998547839e) Ensure IPageApplicationModelProviders are invoked in the sequence of their Order
* [`[90a6d8fdf7]`](https://github.com/aspnet/AspNetCore/commit/90a6d8fdf7) Shortening log path
* [`[abd2ce9cf2]`](https://github.com/aspnet/AspNetCore/commit/abd2ce9cf2) Disable TeamCity flow logger for now. It's a little too messy and needs refinement
* [`[6c1388567d]`](https://github.com/aspnet/AspNetCore/commit/6c1388567d) Fix teamcity block logger
* [`[d3ab458c6c]`](https://github.com/aspnet/AspNetCore/commit/d3ab458c6c) Add flow logger to help with console output parallelism
* [`[cd11f71428]`](https://github.com/aspnet/AspNetCore/commit/cd11f71428) Pin CLI tool references for all projects in a solution
* [`[36d3d97b99]`](https://github.com/aspnet/AspNetCore/commit/36d3d97b99) #1319 Add DisplayName overloads
* [`[2df19040c5]`](https://github.com/aspnet/AspNetCore/commit/2df19040c5) Update StackExchange.Redis to latest (#662)
* [`[806ba70a6a]`](https://github.com/aspnet/AspNetCore/commit/806ba70a6a) Update StackExchange.Redis to latest (#260)
* [`[2a69b50a64]`](https://github.com/aspnet/AspNetCore/commit/2a69b50a64) Change Razor.Test.Common to not act like an executable.
* [`[80d8e8a7cd]`](https://github.com/aspnet/AspNetCore/commit/80d8e8a7cd) Adding RuntimeFrameworkVersion to the RepoTasks.csproj
* [`[76aa9b26fc]`](https://github.com/aspnet/AspNetCore/commit/76aa9b26fc) Use async main in dotnet-watch
* [`[5753784ac4]`](https://github.com/aspnet/AspNetCore/commit/5753784ac4) #391 Add back the DisplayName setting
* [`[36ecbd9efd]`](https://github.com/aspnet/AspNetCore/commit/36ecbd9efd) Accounting for ReadAsync throwing OperationCanceledException
* [`[97fd4f432b]`](https://github.com/aspnet/AspNetCore/commit/97fd4f432b) Float the version of NS.Library to workaround issues in mirror
* [`[9528dd7432]`](https://github.com/aspnet/AspNetCore/commit/9528dd7432) Enable TS strict mode in all templates and generally clean up TS references
* [`[021c604244]`](https://github.com/aspnet/AspNetCore/commit/021c604244) Update WindowsAzure.Storage to latest (#258)
* [`[28292086ec]`](https://github.com/aspnet/AspNetCore/commit/28292086ec) Add Roslyn feed to work around missing RTM packages.
* [`[f8d43853f8]`](https://github.com/aspnet/AspNetCore/commit/f8d43853f8) Re-introduce RazorEditorParser.
* [`[095230cb85]`](https://github.com/aspnet/AspNetCore/commit/095230cb85) Update Newtonsoft.Json to 10.0.1 (#1958)
* [`[bcefbae00c]`](https://github.com/aspnet/AspNetCore/commit/bcefbae00c) Complete logging for Socket.* packages (#655)
* [`[bf0e2bca5e]`](https://github.com/aspnet/AspNetCore/commit/bf0e2bca5e) Update ApplicationInsights version
* [`[7b07fb66eb]`](https://github.com/aspnet/AspNetCore/commit/7b07fb66eb) Update all templates to aspnet-webpack@2.0.1
* [`[cdb04c74f9]`](https://github.com/aspnet/AspNetCore/commit/cdb04c74f9) Update aspnet-webpack to 2.0.1, automatically disabling the middleware if we detect the process doesn't have sufficient disk permissions
* [`[c812f9d885]`](https://github.com/aspnet/AspNetCore/commit/c812f9d885) Update to RoslynDev 2.6.0-* packages
* [`[5ea7030b69]`](https://github.com/aspnet/AspNetCore/commit/5ea7030b69) Reload AI configuration file on change (#76)
* [`[7ebbdad974]`](https://github.com/aspnet/AspNetCore/commit/7ebbdad974) Add support for connection scopes if logging is enabled (#1953)
* [`[dbf57b9268]`](https://github.com/aspnet/AspNetCore/commit/dbf57b9268) Update to Roslyn 2.3.0
* [`[308d64277e]`](https://github.com/aspnet/AspNetCore/commit/308d64277e) Update to Roslyn 2.3.0
* [`[576e3debf1]`](https://github.com/aspnet/AspNetCore/commit/576e3debf1) Complete the lstat patching for #1101
* [`[68d84099a0]`](https://github.com/aspnet/AspNetCore/commit/68d84099a0) Use the repository name as the directory to clone to.
* [`[6c39e227b8]`](https://github.com/aspnet/AspNetCore/commit/6c39e227b8) Check for the existence of a git repository before invoking git commands
* [`[fcda85727a]`](https://github.com/aspnet/AspNetCore/commit/fcda85727a) Check for the existence of a git repository before invoking git commands
* [`[98525da02b]`](https://github.com/aspnet/AspNetCore/commit/98525da02b) Use the right set of env variables for determining commit hash
* [`[86756d11dd]`](https://github.com/aspnet/AspNetCore/commit/86756d11dd) Moving typings to the TS client folder
* [`[e65ecebac6]`](https://github.com/aspnet/AspNetCore/commit/e65ecebac6) Make templates work with nonempty baseUrls (e.g., IIS virtual directories)
* [`[4903e12373]`](https://github.com/aspnet/AspNetCore/commit/4903e12373) Publish aspnet-webpack-react as 3.0.0 since it's no longer beta
* [`[56c806b34e]`](https://github.com/aspnet/AspNetCore/commit/56c806b34e) Update aspnet-prerendering to 3.0.1, fixing the default "fetch" base URL to match the real application root URL
* [`[1d2b560dfa]`](https://github.com/aspnet/AspNetCore/commit/1d2b560dfa) Update no-timestamp versions
* [`[fd1758fdfc]`](https://github.com/aspnet/AspNetCore/commit/fd1758fdfc) Make StopAsync multi-thread safe (#1666).
* [`[b0dc76a6ae]`](https://github.com/aspnet/AspNetCore/commit/b0dc76a6ae) Fix flakiness in RejectsRequestWithContentLengthAndUpgrade (#1742).
* [`[748b35109c]`](https://github.com/aspnet/AspNetCore/commit/748b35109c) de-exeify HostingStartup to fix downgrade errors
* [`[cec12fdd7d]`](https://github.com/aspnet/AspNetCore/commit/cec12fdd7d) de-exeify HostingStartup to fix downgrade errors
* [`[8acba88160]`](https://github.com/aspnet/AspNetCore/commit/8acba88160) Update aspnet-webpack to 2.0.0, now supporting HMR when apps are running in virtual directories
* [`[44f86eb8a1]`](https://github.com/aspnet/AspNetCore/commit/44f86eb8a1) Fix webpack HMR proxying logic for apps running on non-root URLs (e.g., full IIS virtual directories)
* [`[e4350945c5]`](https://github.com/aspnet/AspNetCore/commit/e4350945c5) Attach the correlation id to the request scope if logging is on (#1138)
* [`[22ff88ab79]`](https://github.com/aspnet/AspNetCore/commit/22ff88ab79) On Windows, patch Node's lstat to work around permissions error. Fixes #1101
* [`[c43da19ff1]`](https://github.com/aspnet/AspNetCore/commit/c43da19ff1) Do not add the configuration for CacheTagHelperOptions to the container multiple times
* [`[0c07e1e725]`](https://github.com/aspnet/AspNetCore/commit/0c07e1e725) [Fixes #6522] Commit cache entries only when the content gets successfully generated
* [`[a41ef82f19]`](https://github.com/aspnet/AspNetCore/commit/a41ef82f19) Exiting SSE transport receive loop when transport is stopping
* [`[5fe09f9df4]`](https://github.com/aspnet/AspNetCore/commit/5fe09f9df4) Upgrade Roslyn to 2.3.0-beta4-* (#6523)
* [`[aebb841e41]`](https://github.com/aspnet/AspNetCore/commit/aebb841e41) Upgrade Roslyn to 2.3.0-beta4-* (#1533)
* [`[8d4e04cfb4]`](https://github.com/aspnet/AspNetCore/commit/8d4e04cfb4) Fix duplicate test warnings.
* [`[ca08b0e06b]`](https://github.com/aspnet/AspNetCore/commit/ca08b0e06b) Add breakingchanges.json for tag helpers
* [`[667c2c4acc]`](https://github.com/aspnet/AspNetCore/commit/667c2c4acc) Join environment vars
* [`[f125329ed7]`](https://github.com/aspnet/AspNetCore/commit/f125329ed7) Use private instance of MemoryCache and impose size limit
* [`[6e70b1bcca]`](https://github.com/aspnet/AspNetCore/commit/6e70b1bcca) Fix flakiness in MaxRequestBufferSizeTests.LargeUpload (#1850).
* [`[3d76fdf086]`](https://github.com/aspnet/AspNetCore/commit/3d76fdf086) Private cache for cache tag helper and distributed cache tag helper
* [`[002c8b9bc9]`](https://github.com/aspnet/AspNetCore/commit/002c8b9bc9) Adding shutdown http message to support the scenario that ctrl signal is not allowed (#118)
* [`[9f60b42476]`](https://github.com/aspnet/AspNetCore/commit/9f60b42476) Change version suffix for Testing package
* [`[c8bbbe764a]`](https://github.com/aspnet/AspNetCore/commit/c8bbbe764a) #395 Add baseline and breaking change files
* [`[0f7c123081]`](https://github.com/aspnet/AspNetCore/commit/0f7c123081) Fix AuthenticationOptions.DefaultScheme's invalid XML summary
* [`[1d5dfcc6b4]`](https://github.com/aspnet/AspNetCore/commit/1d5dfcc6b4) Update our VSIX version to 15.5
* [`[eca4bfe6c3]`](https://github.com/aspnet/AspNetCore/commit/eca4bfe6c3) Add response minimum data rate feature.
* [`[492f820cf7]`](https://github.com/aspnet/AspNetCore/commit/492f820cf7) Missed caching API updates
* [`[99ff9d44a3]`](https://github.com/aspnet/AspNetCore/commit/99ff9d44a3) Update repo to utilize ApiCheck.
* [`[81363a4e5f]`](https://github.com/aspnet/AspNetCore/commit/81363a4e5f) Use clone uris and commit hash that the CI specifies
* [`[ec72c255f6]`](https://github.com/aspnet/AspNetCore/commit/ec72c255f6) Make HttpsConnectionAdapter pubternal
* [`[f80f7cefa5]`](https://github.com/aspnet/AspNetCore/commit/f80f7cefa5) Fix #6480
* [`[5ab63adf2e]`](https://github.com/aspnet/AspNetCore/commit/5ab63adf2e) Specify scheme for tests
* [`[4c3e0b6721]`](https://github.com/aspnet/AspNetCore/commit/4c3e0b6721) Specify scheme
* [`[df325deaf3]`](https://github.com/aspnet/AspNetCore/commit/df325deaf3) Add AddAuthentication(defaultScheme) overload
* [`[9c0a8a5c96]`](https://github.com/aspnet/AspNetCore/commit/9c0a8a5c96) Rename properties on taghelper nodes
* [`[a3c157cb61]`](https://github.com/aspnet/AspNetCore/commit/a3c157cb61) Validate certificate EKU when it is provided
* [`[2e2dc67978]`](https://github.com/aspnet/AspNetCore/commit/2e2dc67978) #390 Add back AutomaticAuthentication for opt-out.
* [`[f1c4aa14d3]`](https://github.com/aspnet/AspNetCore/commit/f1c4aa14d3) Simplify CacheTagHelper.ProcessAsync (#6506)
* [`[ff40124594]`](https://github.com/aspnet/AspNetCore/commit/ff40124594) Convert most of CodeWriter into extensions
* [`[bd8a2c8a62]`](https://github.com/aspnet/AspNetCore/commit/bd8a2c8a62) Add XML docs for the public HTTPs APIs shipping in 2.0 (#1942)
* [`[4492d3eab7]`](https://github.com/aspnet/AspNetCore/commit/4492d3eab7) In Angular template, rename boot.client.ts to boot.browser.ts for consistency
* [`[efdfbf5dbb]`](https://github.com/aspnet/AspNetCore/commit/efdfbf5dbb) In Yeoman templates, stop restoring using Yarn, since it doesn't respect npm-shrinkwrap.json
* [`[58145d33e3]`](https://github.com/aspnet/AspNetCore/commit/58145d33e3) Update ReactRedux template dependencies
* [`[2135c30d66]`](https://github.com/aspnet/AspNetCore/commit/2135c30d66) Update React template dependencies
* [`[5191531813]`](https://github.com/aspnet/AspNetCore/commit/5191531813) Add AoT compilation to Angular template
* [`[03018f32b7]`](https://github.com/aspnet/AspNetCore/commit/03018f32b7) Update Angular template dependencies
* [`[e632d2bb69]`](https://github.com/aspnet/AspNetCore/commit/e632d2bb69) In domain-task/fetch, only apply HTTPS cert validation workaround for HTTPS requests (not HTTP)
* [`[267b3fab0a]`](https://github.com/aspnet/AspNetCore/commit/267b3fab0a) Made IntermediateNodeWalker.Ancestors indexable
* [`[8bc4d7bb2d]`](https://github.com/aspnet/AspNetCore/commit/8bc4d7bb2d) Rect to Razor rename
* [`[d6e892b30c]`](https://github.com/aspnet/AspNetCore/commit/d6e892b30c) Adjusted verbosity of some property names and made TagHelperIntermediateNode.TagHelpers and IList
* [`[02160a04d9]`](https://github.com/aspnet/AspNetCore/commit/02160a04d9) Make ViewComponentTagHelperMetadata static.
* [`[6fdd4d653c]`](https://github.com/aspnet/AspNetCore/commit/6fdd4d653c) Made InvalidNonWhitespaceHtmlCharacters internal
* [`[45fad171a6]`](https://github.com/aspnet/AspNetCore/commit/45fad171a6) Reduce public surface area of some APIs.
* [`[d891fae4a9]`](https://github.com/aspnet/AspNetCore/commit/d891fae4a9) Rename ThrowForMissingEngineDependency.
* [`[bba508c7c6]`](https://github.com/aspnet/AspNetCore/commit/bba508c7c6) Change TagHelperDescriptor APIs to use IReadOnlyList.
* [`[c34a99e188]`](https://github.com/aspnet/AspNetCore/commit/c34a99e188) Update the TagHelperBinding API to use IReadOnlyList.
* [`[295b32ff21]`](https://github.com/aspnet/AspNetCore/commit/295b32ff21) Downgrade special version to alpha1
* [`[cb40da4e0f]`](https://github.com/aspnet/AspNetCore/commit/cb40da4e0f) Rename ParseOnlyLeadingDirectives.
* [`[b68290ddb7]`](https://github.com/aspnet/AspNetCore/commit/b68290ddb7) Make `RazorParserOptions` creation more like RazorEngine
* [`[87a5435036]`](https://github.com/aspnet/AspNetCore/commit/87a5435036) Make `RazorParserOptions.DesignTime` getter only.
* [`[288da1a405]`](https://github.com/aspnet/AspNetCore/commit/288da1a405) RedirectToPage(page, handler) does not work (#6503)
* [`[23da476176]`](https://github.com/aspnet/AspNetCore/commit/23da476176) Switch to IOptionsMonitor (#1295)
* [`[17f97397e6]`](https://github.com/aspnet/AspNetCore/commit/17f97397e6) TreatWarningsAsErrors
* [`[595f783857]`](https://github.com/aspnet/AspNetCore/commit/595f783857) Features everywhere (#639)
* [`[11c5293862]`](https://github.com/aspnet/AspNetCore/commit/11c5293862) Unnest IntermediateToken.TokenKind
* [`[afa61e7080]`](https://github.com/aspnet/AspNetCore/commit/afa61e7080) Rename LineMapping => SourceMapping.
* [`[4ba0358987]`](https://github.com/aspnet/AspNetCore/commit/4ba0358987) In AngularSpa template, log any FetchData errors but don't stop prerendering completely
* [`[721e3c45fd]`](https://github.com/aspnet/AspNetCore/commit/721e3c45fd) Update ReactReduxSpa NPM shrinkwrap file
* [`[27f59c6971]`](https://github.com/aspnet/AspNetCore/commit/27f59c6971) Make domain-task/fetch disable HTTPS cert validation when making relative requests to own server as workaround for #1089
* [`[de21ce1637]`](https://github.com/aspnet/AspNetCore/commit/de21ce1637) Expose IGroupManager on IHubContext (#638)
* [`[2597e52e53]`](https://github.com/aspnet/AspNetCore/commit/2597e52e53) Rename HubConnection Extension Methods from Invoke to InvokeAsync (#637)
* [`[cfaa4b69d7]`](https://github.com/aspnet/AspNetCore/commit/cfaa4b69d7) Dynamic Hub Work Part 1 (#636)
* [`[7454c53047]`](https://github.com/aspnet/AspNetCore/commit/7454c53047) Rely on Razors MalformedDirective identification for @page.
* [`[a78202e937]`](https://github.com/aspnet/AspNetCore/commit/a78202e937) Have `@page` understand malformed directives.
* [`[ed6badbabe]`](https://github.com/aspnet/AspNetCore/commit/ed6badbabe) Set X-Requested-With header and add HttpError (#623)
* [`[13b867a90e]`](https://github.com/aspnet/AspNetCore/commit/13b867a90e) #366 Add flag to disable synchronous IO
* [`[7408bcd025]`](https://github.com/aspnet/AspNetCore/commit/7408bcd025) Rewrite of code rendering context
* [`[658f4621b1]`](https://github.com/aspnet/AspNetCore/commit/658f4621b1) #1208 Clean up JWT and OIDC issuer handling
* [`[1a1e4c309f]`](https://github.com/aspnet/AspNetCore/commit/1a1e4c309f) #167 Add cancellation tokens and defualt timeouts for Load/CommitAsync.
* [`[8dfba25d59]`](https://github.com/aspnet/AspNetCore/commit/8dfba25d59) Streamline collections
* [`[98eb31194c]`](https://github.com/aspnet/AspNetCore/commit/98eb31194c) Guard against null
* [`[85402d4bd6]`](https://github.com/aspnet/AspNetCore/commit/85402d4bd6) Add CancellationToken to ISession Load/CommitAsync
* [`[ef43b100a6]`](https://github.com/aspnet/AspNetCore/commit/ef43b100a6) Fix a null reference exception and add some null checks
* [`[a23307e2b1]`](https://github.com/aspnet/AspNetCore/commit/a23307e2b1) Check for properties that can't befound
* [`[bb1d80be2a]`](https://github.com/aspnet/AspNetCore/commit/bb1d80be2a) Create common manifest file
* [`[66b939725e]`](https://github.com/aspnet/AspNetCore/commit/66b939725e) https://github.com/aspnet/Security/issues/1265. Check Auth failures and log them.
* [`[354facf4ad]`](https://github.com/aspnet/AspNetCore/commit/354facf4ad) Use localization middleware (#801)
* [`[f21f5039b2]`](https://github.com/aspnet/AspNetCore/commit/f21f5039b2) Replace ConnectionContext with HubConnectionContext (#629)
* [`[d36838ed88]`](https://github.com/aspnet/AspNetCore/commit/d36838ed88) Handle imported @page directives.
* [`[c50f55d1de]`](https://github.com/aspnet/AspNetCore/commit/c50f55d1de) Add a default sliding expiration of 30 seconds on Memory and Distributed Cache Tag Helpers.
* [`[8a9bf9c71a]`](https://github.com/aspnet/AspNetCore/commit/8a9bf9c71a) Rewrite of code rendering context
* [`[35889cba81]`](https://github.com/aspnet/AspNetCore/commit/35889cba81) Add properties to the body node that it needs
* [`[ddef61485b]`](https://github.com/aspnet/AspNetCore/commit/ddef61485b) DiagnosticSource to 4.4.1
* [`[654d6bee4a]`](https://github.com/aspnet/AspNetCore/commit/654d6bee4a) DiagnosticSource to 4.4.1
* [`[057a853de7]`](https://github.com/aspnet/AspNetCore/commit/057a853de7) DiagnosticSource to 4.4.1
* [`[81544958b8]`](https://github.com/aspnet/AspNetCore/commit/81544958b8) DiagnosticSource to 4.4.1
* [`[13e76c24d3]`](https://github.com/aspnet/AspNetCore/commit/13e76c24d3) Dispose CancellationTokenSource created in CacheTagHelper (#6293)
* [`[728b96344d]`](https://github.com/aspnet/AspNetCore/commit/728b96344d) [Fixes #6274] Fix and re-enable skiped test
* [`[eeee3ef731]`](https://github.com/aspnet/AspNetCore/commit/eeee3ef731) Add SignOut overload + Use new auth api (#6476)
* [`[2a57171ea8]`](https://github.com/aspnet/AspNetCore/commit/2a57171ea8) Use new auth API
* [`[cc283f7b4c]`](https://github.com/aspnet/AspNetCore/commit/cc283f7b4c) Use new Auth API (#811)
* [`[dbc5bf9a48]`](https://github.com/aspnet/AspNetCore/commit/dbc5bf9a48) Switch to new auth API
* [`[8090216dbe]`](https://github.com/aspnet/AspNetCore/commit/8090216dbe) Make RequiredAttributeDescriptor IEquatable.
* [`[00d17dea79]`](https://github.com/aspnet/AspNetCore/commit/00d17dea79) Domain socket handles (#1922)
* [`[e9ffcdb414]`](https://github.com/aspnet/AspNetCore/commit/e9ffcdb414) Add feature to optionally disallow synchronous IO (#1919)
* [`[4654997201]`](https://github.com/aspnet/AspNetCore/commit/4654997201) Add AllowedChildTagDescriptor.
* [`[a7cc63d6e1]`](https://github.com/aspnet/AspNetCore/commit/a7cc63d6e1) Simplification of IntermediateNode
* [`[d917504c14]`](https://github.com/aspnet/AspNetCore/commit/d917504c14) [Fixes #6468] Clean up the productionized testing infrastructure
* [`[6e1fa2b2c3]`](https://github.com/aspnet/AspNetCore/commit/6e1fa2b2c3) Use ASP.NET Core CI NuGet feed to enable access to preview3 packages
* [`[94fc84a9b4]`](https://github.com/aspnet/AspNetCore/commit/94fc84a9b4) Add simpler prerendering API. Fixes #607
* [`[513d288a5d]`](https://github.com/aspnet/AspNetCore/commit/513d288a5d) Use GetRandomFileName instead of GetTempFileName. Fixes #1060
* [`[429a432dd3]`](https://github.com/aspnet/AspNetCore/commit/429a432dd3) Check for null during node process disposal. Fixes #1061
* [`[6e45de2205]`](https://github.com/aspnet/AspNetCore/commit/6e45de2205) Improved systemd activation tests (#1930)
* [`[0f4295f90e]`](https://github.com/aspnet/AspNetCore/commit/0f4295f90e) Make parsers stateless (#628)
* [`[15008b0b7f]`](https://github.com/aspnet/AspNetCore/commit/15008b0b7f) Add WaitForShutdown to WebHostExtensions
* [`[10b195bcce]`](https://github.com/aspnet/AspNetCore/commit/10b195bcce) Move DefaultConnectionContext out of Sockets.Abstractions (#627)
* [`[b0a70aeef7]`](https://github.com/aspnet/AspNetCore/commit/b0a70aeef7) Add synchronous Start back to IWebHost (#1125)
* [`[112cbc0bb6]`](https://github.com/aspnet/AspNetCore/commit/112cbc0bb6) Check for warnrings in tests taht compile
* [`[7aeb228063]`](https://github.com/aspnet/AspNetCore/commit/7aeb228063) Redesign tag helper codegen
* [`[2a6f0e4dc9]`](https://github.com/aspnet/AspNetCore/commit/2a6f0e4dc9) Productionize the csharp rendering context APIs.
* [`[7162fe2371]`](https://github.com/aspnet/AspNetCore/commit/7162fe2371) Clarify installer error message
* [`[bce7d84906]`](https://github.com/aspnet/AspNetCore/commit/bce7d84906) Fix cart count when the same album is added to the cart multiple times (#765)
* [`[bc4328de16]`](https://github.com/aspnet/AspNetCore/commit/bc4328de16) Add entry to breakingchanges.json
* [`[948982ebff]`](https://github.com/aspnet/AspNetCore/commit/948982ebff) Create custom collection for model binder providers
* [`[edfe5399c3]`](https://github.com/aspnet/AspNetCore/commit/edfe5399c3) Add some details about view compilation options (#156)
* [`[81c2b57dda]`](https://github.com/aspnet/AspNetCore/commit/81c2b57dda) Increase default request min rate to 240 bytes/second (#1929).
* [`[bc86ea4e47]`](https://github.com/aspnet/AspNetCore/commit/bc86ea4e47) Move convention extensions from RazorPagesOptions to PageConventionCollectionsExtensions Fixes #6462
* [`[68ba9a9445]`](https://github.com/aspnet/AspNetCore/commit/68ba9a9445) Avoid torn reads from _frame.MinReadBodyDataRate in FrameConnection.Tick().
* [`[660b7df0e2]`](https://github.com/aspnet/AspNetCore/commit/660b7df0e2) Upgrade Roslyn to 2.3.0-beta3-*
* [`[4db7f2eb6d]`](https://github.com/aspnet/AspNetCore/commit/4db7f2eb6d) Update to Roslyn 2.3.0-beta3 version
* [`[f76a390a4e]`](https://github.com/aspnet/AspNetCore/commit/f76a390a4e) Fall back to linear search for prefix matches - #6469
* [`[f2061ed716]`](https://github.com/aspnet/AspNetCore/commit/f2061ed716) Rename request body min rate APIs (#1901).
* [`[eb1f72c369]`](https://github.com/aspnet/AspNetCore/commit/eb1f72c369) Installer generation updates
* [`[64ed5bb4ff]`](https://github.com/aspnet/AspNetCore/commit/64ed5bb4ff) Use new SelfContained property
* [`[7c7bb627b9]`](https://github.com/aspnet/AspNetCore/commit/7c7bb627b9) Moved typename and propertyname to extension methods
* [`[293ac81fe1]`](https://github.com/aspnet/AspNetCore/commit/293ac81fe1) Use ordinal comparisons in `ExpressionTextCache` - #6349 - C# field and property names are case-sensitive   - it's not important (where this cache is used) that HTML field names are case-insenstive
* [`[d7533529f9]`](https://github.com/aspnet/AspNetCore/commit/d7533529f9) Fix restore warnings for Microsoft.NETCore.App
* [`[17f6b17a6d]`](https://github.com/aspnet/AspNetCore/commit/17f6b17a6d) Add RequestSizeLimitAttribute (#6453)
* [`[413c1c919f]`](https://github.com/aspnet/AspNetCore/commit/413c1c919f) Update to StreamRpc 1.1.92
* [`[bcf790b9d5]`](https://github.com/aspnet/AspNetCore/commit/bcf790b9d5) Added convenience properties to TagHelperIntermediateNode
* [`[cb246ae45b]`](https://github.com/aspnet/AspNetCore/commit/cb246ae45b) Use specified signed runtime store archives when available for installers
* [`[3ba8c2d3f0]`](https://github.com/aspnet/AspNetCore/commit/3ba8c2d3f0) Add ListenHandleTests (#1923)
* [`[bbd7f03114]`](https://github.com/aspnet/AspNetCore/commit/bbd7f03114) Update PackagePublisher version
* [`[417e6b81ea]`](https://github.com/aspnet/AspNetCore/commit/417e6b81ea) Cross-compile hosting startups (#68)
* [`[a247a3d8e6]`](https://github.com/aspnet/AspNetCore/commit/a247a3d8e6) Attempting to fix systemd activation with minimal changes (#1925)
* [`[ff433f72b8]`](https://github.com/aspnet/AspNetCore/commit/ff433f72b8) Run DesignTimeDirectivePass later in the phase
* [`[bb9b206342]`](https://github.com/aspnet/AspNetCore/commit/bb9b206342) Update Moq to 4.7.49
* [`[08c04f8912]`](https://github.com/aspnet/AspNetCore/commit/08c04f8912) Fix NuGet downgrade warnings from CoreFxLab packages
* [`[9b9495cd5f]`](https://github.com/aspnet/AspNetCore/commit/9b9495cd5f) Update Moq to 4.7.49
* [`[f8ccf05715]`](https://github.com/aspnet/AspNetCore/commit/f8ccf05715) Updated runtime store tests and friends
* [`[579aca0121]`](https://github.com/aspnet/AspNetCore/commit/579aca0121) Define semantics for pagemodels Fixes #6210
* [`[d68de2b5ea]`](https://github.com/aspnet/AspNetCore/commit/d68de2b5ea) Make Client Side Event Handlers Async (#610)
* [`[d6f5e16f38]`](https://github.com/aspnet/AspNetCore/commit/d6f5e16f38) Support non blocking send on client (#603)
* [`[05cc4123a7]`](https://github.com/aspnet/AspNetCore/commit/05cc4123a7) Add duplicate directive error for th prefix.
* [`[b2bc4e6207]`](https://github.com/aspnet/AspNetCore/commit/b2bc4e6207) Added a (Uri,HttpMessageHandler) ctor for HttpConnection (#609)
* [`[a90f4118ad]`](https://github.com/aspnet/AspNetCore/commit/a90f4118ad) Do not include type names in `ModelState` error messages - #6076 - add resources and accessors specifically for the element / parameter cases - avoid `metadata.GetDisplayName()` where possible - fill in the `ValidationContext` that `ValidatorObjectAdapter` uses   - e.g. `Validate_NestedComplexType_IValidatableObject_Invalid()` test fails without this
* [`[dc29e98032]`](https://github.com/aspnet/AspNetCore/commit/dc29e98032) Support Authorize attribute on EndPoints (#606)
* [`[8df3032540]`](https://github.com/aspnet/AspNetCore/commit/8df3032540) Add support for specifying filters on page models.
* [`[fc56105d83]`](https://github.com/aspnet/AspNetCore/commit/fc56105d83) Fixed external login scenarios tests
* [`[f3ed8129f3]`](https://github.com/aspnet/AspNetCore/commit/f3ed8129f3) Ensure Microsoft.AspNetCore.All is only compatible with netcoreapp2.0 (#180)
* [`[163836fe1f]`](https://github.com/aspnet/AspNetCore/commit/163836fe1f) #800 Re-enable API check (#878)
* [`[e70ce98213]`](https://github.com/aspnet/AspNetCore/commit/e70ce98213) Add docs about limitation of this option
* [`[7166dfecd7]`](https://github.com/aspnet/AspNetCore/commit/7166dfecd7) Add generic overloads on FilterCollection
* [`[cf7d2b4c40]`](https://github.com/aspnet/AspNetCore/commit/cf7d2b4c40) Pin Roslyn compiler version (#597)
* [`[59e032dbcb]`](https://github.com/aspnet/AspNetCore/commit/59e032dbcb) Adding negotiation to TS client
* [`[f8d91b54d4]`](https://github.com/aspnet/AspNetCore/commit/f8d91b54d4) MsgPack end-to-end
* [`[a2b856794e]`](https://github.com/aspnet/AspNetCore/commit/a2b856794e) [Fixes #804] Re-enable tests disabled by cookie path changes
* [`[71949129ea]`](https://github.com/aspnet/AspNetCore/commit/71949129ea) Enabling length prefixing, parsing multiple messages
* [`[3504337918]`](https://github.com/aspnet/AspNetCore/commit/3504337918) Adding MsgPack HubProtocol
* [`[9b4be69e9d]`](https://github.com/aspnet/AspNetCore/commit/9b4be69e9d) Do not enforce timeouts when the debugger is attached
* [`[42f43e6cdf]`](https://github.com/aspnet/AspNetCore/commit/42f43e6cdf) Upgrade TargetFramework in TestServer from 4.5 to 4.6.1 (#190)
* [`[81fa36f029]`](https://github.com/aspnet/AspNetCore/commit/81fa36f029) Add a test that always publishes in Debug
* [`[5155456653]`](https://github.com/aspnet/AspNetCore/commit/5155456653) Handle graceful shutdown from ANCM
* [`[80383606d3]`](https://github.com/aspnet/AspNetCore/commit/80383606d3) AuthZ: Eliminate extra ToArray()
* [`[13ef35fa79]`](https://github.com/aspnet/AspNetCore/commit/13ef35fa79) Changed the handlers to be Func<object[], Task> (#578)
* [`[e36da30072]`](https://github.com/aspnet/AspNetCore/commit/e36da30072) Ignore failed send after close (WebSockets) (#593)
* [`[9370ffce3c]`](https://github.com/aspnet/AspNetCore/commit/9370ffce3c) Updating Moq to 4.7.49
* [`[9acfc8d221]`](https://github.com/aspnet/AspNetCore/commit/9acfc8d221) Watch _ViewImports outside the pages root for changes
* [`[d278d6eedf]`](https://github.com/aspnet/AspNetCore/commit/d278d6eedf) Updating Moq to 4.7.49
* [`[d1813a7cd7]`](https://github.com/aspnet/AspNetCore/commit/d1813a7cd7) Normalize paths returned by view location expanders
* [`[c67e790b3b]`](https://github.com/aspnet/AspNetCore/commit/c67e790b3b) Update inject directive to utilize DirectiveUsage.
* [`[c2c95ec175]`](https://github.com/aspnet/AspNetCore/commit/c2c95ec175) Add file scoped multiple occurring extensible directives.
* [`[3536cf5aad]`](https://github.com/aspnet/AspNetCore/commit/3536cf5aad) Fix #5183 - update docs of CreateWriter
* [`[0ad9c7d4eb]`](https://github.com/aspnet/AspNetCore/commit/0ad9c7d4eb) Making Pages Binding Consistent
* [`[d73ecf8b36]`](https://github.com/aspnet/AspNetCore/commit/d73ecf8b36) Suppress warnings for auto generated code
* [`[09ac126ecf]`](https://github.com/aspnet/AspNetCore/commit/09ac126ecf) Make single line single file scoped directives automatically import.
* [`[3fcd909d90]`](https://github.com/aspnet/AspNetCore/commit/3fcd909d90) Temporarily disable systemd activation test (#1918)
* [`[f4a86f5511]`](https://github.com/aspnet/AspNetCore/commit/f4a86f5511) Add DiagnosticSource to RazorView (#6386)
* [`[7febdbaa20]`](https://github.com/aspnet/AspNetCore/commit/7febdbaa20) #539 Implement request body size limit
* [`[7b15720a05]`](https://github.com/aspnet/AspNetCore/commit/7b15720a05) # This is a combination of 2 commits. # This is the 1st commit message:
* [`[c13ba3ef0a]`](https://github.com/aspnet/AspNetCore/commit/c13ba3ef0a) #339 Don't send chunked responses for HEAD requests
* [`[2d90ae47f9]`](https://github.com/aspnet/AspNetCore/commit/2d90ae47f9) Lazily initialize annotations for intermediate nodes.
* [`[e5da44a82f]`](https://github.com/aspnet/AspNetCore/commit/e5da44a82f) Generate full pdbs for views on desktop and re-enable runtime error tests (#6442)
* [`[8352ec7626]`](https://github.com/aspnet/AspNetCore/commit/8352ec7626) Add npm-shrinkwrap.json files for all templates
* [`[bebb82eb69]`](https://github.com/aspnet/AspNetCore/commit/bebb82eb69) Implement longer-term fix for #1066 (see description)
* [`[117c1a6cbd]`](https://github.com/aspnet/AspNetCore/commit/117c1a6cbd) Implement workaround for #1066
* [`[0f264e18e9]`](https://github.com/aspnet/AspNetCore/commit/0f264e18e9) Fix TS Client tests (#586)
* [`[03e555a24e]`](https://github.com/aspnet/AspNetCore/commit/03e555a24e) Fix packing issue
* [`[052db40567]`](https://github.com/aspnet/AspNetCore/commit/052db40567) Fix documentation and target files issues
* [`[35152d5933]`](https://github.com/aspnet/AspNetCore/commit/35152d5933) [Fixes #6233] Productionize and harden our functional testing infrastructure
* [`[6f762fe478]`](https://github.com/aspnet/AspNetCore/commit/6f762fe478) Update RPM installation directory
* [`[9602787463]`](https://github.com/aspnet/AspNetCore/commit/9602787463) Fix broken SSE transport
* [`[622da80b43]`](https://github.com/aspnet/AspNetCore/commit/622da80b43) Update PackagePublisher version (#113)
* [`[ef273b4796]`](https://github.com/aspnet/AspNetCore/commit/ef273b4796) Add authorization per hub method (#577)
* [`[a84ba8820f]`](https://github.com/aspnet/AspNetCore/commit/a84ba8820f) Use Channel<byte[]> as the abstraction (#579)
* [`[5fa9fc9458]`](https://github.com/aspnet/AspNetCore/commit/5fa9fc9458) Updated breaking changes file
* [`[05c6cbe466]`](https://github.com/aspnet/AspNetCore/commit/05c6cbe466) Fix documentation for JwtBearerOptions.Events (#1249)
* [`[513f6ac816]`](https://github.com/aspnet/AspNetCore/commit/513f6ac816) Avoid having to return anything in StartupBase.ConfigureServices (#957)
* [`[aa5a348385]`](https://github.com/aspnet/AspNetCore/commit/aa5a348385) _ViewStart.cshtml not picked up when added to the root of the app
* [`[53f5a77490]`](https://github.com/aspnet/AspNetCore/commit/53f5a77490) Use preview2-final NuGet feed until it ships to NuGet.org
* [`[5fd9b93324]`](https://github.com/aspnet/AspNetCore/commit/5fd9b93324) Switch to a specific version of .NET Core 2.0 Preview 2, because "latest" is 2.1 and breaks. Fixes #1058
* [`[55bd0c05cb]`](https://github.com/aspnet/AspNetCore/commit/55bd0c05cb) Update SpaServices NuGet package installation requirement
* [`[0dfffd45c2]`](https://github.com/aspnet/AspNetCore/commit/0dfffd45c2) RazorPages page directives missing quotes should alert user
* [`[9d138affa2]`](https://github.com/aspnet/AspNetCore/commit/9d138affa2) Suppress JsonPatchDocument validation (#6429)
* [`[6bbcbc1261]`](https://github.com/aspnet/AspNetCore/commit/6bbcbc1261) Move seen directives to the parser context.
* [`[7a04e35da5]`](https://github.com/aspnet/AspNetCore/commit/7a04e35da5) Update built-in directives to use DirectiveUsage.
* [`[2453689804]`](https://github.com/aspnet/AspNetCore/commit/2453689804) Add file scoped extensible directives.
* [`[ab8cb5e2c9]`](https://github.com/aspnet/AspNetCore/commit/ab8cb5e2c9) Preapre for StackTrace.Sources changes
* [`[acb96ec971]`](https://github.com/aspnet/AspNetCore/commit/acb96ec971) Preapre for StackTrace.Sources changes
* [`[c83f606b22]`](https://github.com/aspnet/AspNetCore/commit/c83f606b22) Add a StressTest target (#1914)
* [`[a34e4055cd]`](https://github.com/aspnet/AspNetCore/commit/a34e4055cd) Reduce pipelines dependency to just extensions
* [`[e3b3e20738]`](https://github.com/aspnet/AspNetCore/commit/e3b3e20738) Move some stuff to .Extensions
* [`[7a234ca513]`](https://github.com/aspnet/AspNetCore/commit/7a234ca513) Rename UsingStatement>UsingDirective
* [`[a580c8fdf1]`](https://github.com/aspnet/AspNetCore/commit/a580c8fdf1) Get rid of AccessModifiers
* [`[a40ca857c5]`](https://github.com/aspnet/AspNetCore/commit/a40ca857c5) Rename HtmlAttributeValueStyle>AttributeStructure
* [`[b36bbac60a]`](https://github.com/aspnet/AspNetCore/commit/b36bbac60a) Clean up .Legacy
* [`[4811807329]`](https://github.com/aspnet/AspNetCore/commit/4811807329) Moved CSharpCodeWriter out of legacy
* [`[ea2f1033d3]`](https://github.com/aspnet/AspNetCore/commit/ea2f1033d3) Make Transport.Abstractions pubternal (#1911)
* [`[21e26ad4aa]`](https://github.com/aspnet/AspNetCore/commit/21e26ad4aa) Rename RazorIRNode
* [`[d14b453c33]`](https://github.com/aspnet/AspNetCore/commit/d14b453c33) Allow publishing rid specific desktop applications
* [`[fc502c7645]`](https://github.com/aspnet/AspNetCore/commit/fc502c7645) Set license to Apache 2.0
* [`[d2469e078a]`](https://github.com/aspnet/AspNetCore/commit/d2469e078a) Move Source down to ExtensionIRNode
* [`[8649e1a4be]`](https://github.com/aspnet/AspNetCore/commit/8649e1a4be) Add Tag Helper descriptors to the Tag Helper node
* [`[8d095d3af6]`](https://github.com/aspnet/AspNetCore/commit/8d095d3af6) Unwrap inner exceptions for AggregateExceptions
* [`[5834660081]`](https://github.com/aspnet/AspNetCore/commit/5834660081) Fix issues with adding desktop reference.
* [`[062d7561ae]`](https://github.com/aspnet/AspNetCore/commit/062d7561ae) Make section an extension node
* [`[be46b5a922]`](https://github.com/aspnet/AspNetCore/commit/be46b5a922) Use better asserts for cookies
* [`[5bcba9677e]`](https://github.com/aspnet/AspNetCore/commit/5bcba9677e) Re-enable desktop tests
* [`[0dd29b3050]`](https://github.com/aspnet/AspNetCore/commit/0dd29b3050) Always close websocket on server (#567)
* [`[9b89aca3c3]`](https://github.com/aspnet/AspNetCore/commit/9b89aca3c3) Use IsPackable instead of ExcludeFromPack
* [`[c89f0a1e43]`](https://github.com/aspnet/AspNetCore/commit/c89f0a1e43) Allow AddPageRoute to route to pages root. (#6412)
* [`[e0e74462ba]`](https://github.com/aspnet/AspNetCore/commit/e0e74462ba) Fix warnings in tests from adding assembly references that don't exist
* [`[fe4cc976b9]`](https://github.com/aspnet/AspNetCore/commit/fe4cc976b9) Use MuxerPath to determine location to dotnet.exe
* [`[e1e7c9b810]`](https://github.com/aspnet/AspNetCore/commit/e1e7c9b810) Wait until the writer is complete to reset RequestBodyPipe (#1902)
* [`[12f89f66a6]`](https://github.com/aspnet/AspNetCore/commit/12f89f66a6) Improve PathString <-> string logic
* [`[6d85e752e1]`](https://github.com/aspnet/AspNetCore/commit/6d85e752e1) Throwing HttpInvocationException instead of generic Exception
* [`[d007a3fbba]`](https://github.com/aspnet/AspNetCore/commit/d007a3fbba) In aspnet-prerendering, fix type definitions to satisfy TypeScript 2.4.0. Fixes #1034
* [`[fcd3cf9dd7]`](https://github.com/aspnet/AspNetCore/commit/fcd3cf9dd7) In aspnet-prerendering, simply type imports/exports by changing PrerenderingInterfaces to a regular module (not a .d.ts file)
* [`[132c8c7a7e]`](https://github.com/aspnet/AspNetCore/commit/132c8c7a7e) Implement consistent error story for directives.
* [`[dd4e163173]`](https://github.com/aspnet/AspNetCore/commit/dd4e163173) Change GenerateChecksum to SuppressChecksum
* [`[7afd279a6d]`](https://github.com/aspnet/AspNetCore/commit/7afd279a6d) Don't pause and resume read timing on upgrade requests (#1904).
* [`[e88ad84a72]`](https://github.com/aspnet/AspNetCore/commit/e88ad84a72) Create a scoped service provider for the call to Configure (#1106)
* [`[900f38b0c2]`](https://github.com/aspnet/AspNetCore/commit/900f38b0c2) Copy precompiled pdb to publish directory
* [`[7ac4bf14f2]`](https://github.com/aspnet/AspNetCore/commit/7ac4bf14f2) Use file globbing to resolve manifests
* [`[48bca777fe]`](https://github.com/aspnet/AspNetCore/commit/48bca777fe) Added "private": true to package.json
* [`[d169b96d2d]`](https://github.com/aspnet/AspNetCore/commit/d169b96d2d) Decouple IConnection.ts and HubConnection.ts from http (#566)
* [`[f4f6501b8d]`](https://github.com/aspnet/AspNetCore/commit/f4f6501b8d) Updating libuv dependency to 1.10.0
* [`[879f0b7f40]`](https://github.com/aspnet/AspNetCore/commit/879f0b7f40) [Fixes #1133] Limit the path on the nonce and correlation id cookies
* [`[efbc953868]`](https://github.com/aspnet/AspNetCore/commit/efbc953868) Update debian_config.json package name
* [`[615c6c17e2]`](https://github.com/aspnet/AspNetCore/commit/615c6c17e2) Updated AppInsights version to 2.1.0-beta6
* [`[0298868c00]`](https://github.com/aspnet/AspNetCore/commit/0298868c00) Reorganize and add more logging to Sockets.Http (#549)
* [`[29643cbc5e]`](https://github.com/aspnet/AspNetCore/commit/29643cbc5e) Fixed version of netstandard.library
* [`[835fb60380]`](https://github.com/aspnet/AspNetCore/commit/835fb60380) Fixed version of netstandard.library
* [`[39aa81abcc]`](https://github.com/aspnet/AspNetCore/commit/39aa81abcc) Fixed version of netstandard.library
* [`[e13965c252]`](https://github.com/aspnet/AspNetCore/commit/e13965c252) Fixed version of netstandard.library
* [`[483d06734a]`](https://github.com/aspnet/AspNetCore/commit/483d06734a) Fixed version of netstandard.library
* [`[89e96e8bf8]`](https://github.com/aspnet/AspNetCore/commit/89e96e8bf8) Fixed version of netstandard.library
* [`[ed7e07a057]`](https://github.com/aspnet/AspNetCore/commit/ed7e07a057) Updated to use latest netstandard.library
* [`[e762adc018]`](https://github.com/aspnet/AspNetCore/commit/e762adc018) Updated Hub protocol
* [`[53c94b9450]`](https://github.com/aspnet/AspNetCore/commit/53c94b9450) Updated the spec
* [`[40bef1bc78]`](https://github.com/aspnet/AspNetCore/commit/40bef1bc78) Simplify delegate invoking (#565)
* [`[0c6460ab64]`](https://github.com/aspnet/AspNetCore/commit/0c6460ab64) Changed WebApiCompatShim projects to use PackageTargetFallback
* [`[3ef23ece23]`](https://github.com/aspnet/AspNetCore/commit/3ef23ece23) Changed all references of PackageTargetFallback to AssetTargetFallback (#1035)
* [`[5eea3f50c5]`](https://github.com/aspnet/AspNetCore/commit/5eea3f50c5) Changed all references of PackageTargetFallback to AssetTargetFallback (#1441)
* [`[8832014516]`](https://github.com/aspnet/AspNetCore/commit/8832014516) PackageTarget->AssetTarget
* [`[0b844b2ccf]`](https://github.com/aspnet/AspNetCore/commit/0b844b2ccf) Changed all references of PackageTargetFallback to AssetTargetFallback
* [`[9519473769]`](https://github.com/aspnet/AspNetCore/commit/9519473769) Changed all references of PackageTargetFallback to AssetTargetFallback
* [`[6134a11c28]`](https://github.com/aspnet/AspNetCore/commit/6134a11c28) Changed all references of PackageTargetFallback to AssetTargetFallback
* [`[df5c6730f7]`](https://github.com/aspnet/AspNetCore/commit/df5c6730f7) Add new default schemes + tests (#870)
* [`[4b1f5f24da]`](https://github.com/aspnet/AspNetCore/commit/4b1f5f24da) Add netcoreapp2.0 runtime targets.
* [`[22d52f2a3c]`](https://github.com/aspnet/AspNetCore/commit/22d52f2a3c) Split the functions/section/inherits directives
* [`[200ce72312]`](https://github.com/aspnet/AspNetCore/commit/200ce72312) Rename PostLogoutRedirectUri to avoid spec confusion
* [`[5d1a523682]`](https://github.com/aspnet/AspNetCore/commit/5d1a523682) Make ILoggerFactory an optional service on any DI-injected services
* [`[bcb359e355]`](https://github.com/aspnet/AspNetCore/commit/bcb359e355) Update System.Threading.Tasks.Dataflow dependency to latest corefx version
* [`[abf05e2856]`](https://github.com/aspnet/AspNetCore/commit/abf05e2856) Docker: add warning when FileSystemXmlRepository saves a key to non-volume mounted folder
* [`[27ac5da6d5]`](https://github.com/aspnet/AspNetCore/commit/27ac5da6d5) Add indexer null-check for preallocated tag helper attributes
* [`[78877b6ba2]`](https://github.com/aspnet/AspNetCore/commit/78877b6ba2) Add "--no-restore" parameter to "dotnet run" (#1104)
* [`[e3287ae672]`](https://github.com/aspnet/AspNetCore/commit/e3287ae672) Add diagnostics to the IR.
* [`[a38d3bdc4b]`](https://github.com/aspnet/AspNetCore/commit/a38d3bdc4b) Change NETStandard.Library.NETFramework reference to preview2-25405-01 for consistency with stock Web templates
* [`[ae21379736]`](https://github.com/aspnet/AspNetCore/commit/ae21379736) Fixed 205 status code
* [`[cee4cf7544]`](https://github.com/aspnet/AspNetCore/commit/cee4cf7544) Antares blocks some windows APIs. We have use socket instead of calli… (#109)
* [`[007e3b6b51]`](https://github.com/aspnet/AspNetCore/commit/007e3b6b51) Add "--no-restore" parameter to "dotnet publish" (#1101)
* [`[6860806213]`](https://github.com/aspnet/AspNetCore/commit/6860806213) Make usage of FileName and FilePath consistent
* [`[f5253459ec]`](https://github.com/aspnet/AspNetCore/commit/f5253459ec) Change nuget pacakge version to include -pre-
* [`[9797d4bc5f]`](https://github.com/aspnet/AspNetCore/commit/9797d4bc5f) Reenable API check
* [`[3cabb6aeb1]`](https://github.com/aspnet/AspNetCore/commit/3cabb6aeb1) Don't over-discover Hub methods (#511)
* [`[6ce71c24e5]`](https://github.com/aspnet/AspNetCore/commit/6ce71c24e5) Add RazorIRNodeReference for manipulating nodes
* [`[512195247a]`](https://github.com/aspnet/AspNetCore/commit/512195247a) Update DiaSymReader path update
* [`[b059bcc426]`](https://github.com/aspnet/AspNetCore/commit/b059bcc426) Obsolete AuthenticationManager (#866)
* [`[8277b2cc27]`](https://github.com/aspnet/AspNetCore/commit/8277b2cc27) Enable skipped test (#551)
* [`[a97c08843c]`](https://github.com/aspnet/AspNetCore/commit/a97c08843c) Complete IPipeWriter in OutputProducer.Abort() (#1894)
* [`[d879518a18]`](https://github.com/aspnet/AspNetCore/commit/d879518a18) Always complete RequestBodyPipe.Reader (#1893)
* [`[c27b07ef3f]`](https://github.com/aspnet/AspNetCore/commit/c27b07ef3f) Use C# 7 features
* [`[a3bcc0d863]`](https://github.com/aspnet/AspNetCore/commit/a3bcc0d863) Update debugger detection to support Node v8.1+, and stop aborting if debugger messages are unrecognised.
* [`[5e7bb0f5c5]`](https://github.com/aspnet/AspNetCore/commit/5e7bb0f5c5) Don't log OperationCanceledException every time an HMR client disconnects
* [`[8396be24c8]`](https://github.com/aspnet/AspNetCore/commit/8396be24c8) Fix VS2017.3 warning about not specifying TypeScriptToolsVersion
* [`[728b18431d]`](https://github.com/aspnet/AspNetCore/commit/728b18431d) In dotnet new templates, only show "npm install" instruction when executing in CLI
* [`[1c4b0fcdf3]`](https://github.com/aspnet/AspNetCore/commit/1c4b0fcdf3) Code clean up
* [`[a224b1a833]`](https://github.com/aspnet/AspNetCore/commit/a224b1a833) Re-enable desktop tests
* [`[d92d8cddeb]`](https://github.com/aspnet/AspNetCore/commit/d92d8cddeb) Modify ControllerBase.RedirectToPageResult to call the correct overload
* [`[f099232ca4]`](https://github.com/aspnet/AspNetCore/commit/f099232ca4) Moved scope writer logic to BasicWriter
* [`[27b73d737b]`](https://github.com/aspnet/AspNetCore/commit/27b73d737b) Set correct value style for literal tag helper bound attributes
* [`[12917ef0e9]`](https://github.com/aspnet/AspNetCore/commit/12917ef0e9) Re-layer the .NET Client into Http and non-Http (#544)
* [`[f34e87042c]`](https://github.com/aspnet/AspNetCore/commit/f34e87042c) extend timeout and more logging (#183)
* [`[e714153782]`](https://github.com/aspnet/AspNetCore/commit/e714153782) Update to PackagePublisher 1.0.2-*
* [`[503ba669d0]`](https://github.com/aspnet/AspNetCore/commit/503ba669d0) Get rid of Parent from IR node
* [`[b171431f5d]`](https://github.com/aspnet/AspNetCore/commit/b171431f5d) Fix Downgrade to NETStandard.Library 1.6.1 Warnings
* [`[14944a2791]`](https://github.com/aspnet/AspNetCore/commit/14944a2791) Add collection types for IR children
* [`[118fefb7e2]`](https://github.com/aspnet/AspNetCore/commit/118fefb7e2) Rename incorrect casing
* [`[17800b6055]`](https://github.com/aspnet/AspNetCore/commit/17800b6055) Fix #1355 Make extension nodes check for their extensions
* [`[bdea0f07ef]`](https://github.com/aspnet/AspNetCore/commit/bdea0f07ef) Fix SocketSample group send (#539)
* [`[27979d835f]`](https://github.com/aspnet/AspNetCore/commit/27979d835f) Clean up GroupManager (#542)
* [`[e05c697c58]`](https://github.com/aspnet/AspNetCore/commit/e05c697c58) Fix #1356 verify diagnostics in integration tests
* [`[4d18334573]`](https://github.com/aspnet/AspNetCore/commit/4d18334573) Target .NET Standard 2.0
* [`[fcc04f8c3d]`](https://github.com/aspnet/AspNetCore/commit/fcc04f8c3d) Add request body minimum data rate feature (#1874).
* [`[8bba757703]`](https://github.com/aspnet/AspNetCore/commit/8bba757703) Don't ignore whitespace at the start of '<text>' tag
* [`[b686298133]`](https://github.com/aspnet/AspNetCore/commit/b686298133) Don't throw for OnStarting or OnCompleted calls. (#864)
* [`[fc54fef0bf]`](https://github.com/aspnet/AspNetCore/commit/fc54fef0bf) Fix nuget output path (#107)
* [`[6c69cb8f36]`](https://github.com/aspnet/AspNetCore/commit/6c69cb8f36) Make SHA256 algorithm creation FIPS compliant.
* [`[bdf115a5ff]`](https://github.com/aspnet/AspNetCore/commit/bdf115a5ff) Make SHA256 algorithm creation FIPS compliant.
* [`[05dd8c7386]`](https://github.com/aspnet/AspNetCore/commit/05dd8c7386) Add the npm 5 lockfile to source
* [`[bf6d2227db]`](https://github.com/aspnet/AspNetCore/commit/bf6d2227db) In dotnet new templates, display instruction to run "npm install" manually
* [`[bcaa3af92e]`](https://github.com/aspnet/AspNetCore/commit/bcaa3af92e) Re-add bootstrap import
* [`[f3b7103c83]`](https://github.com/aspnet/AspNetCore/commit/f3b7103c83) In AngularSpa template, redefine app.module.shared as a real NgModule. Fixes #986.
* [`[0dd24068ca]`](https://github.com/aspnet/AspNetCore/commit/0dd24068ca) Update VS template name localisation IDs and texts as instructed
* [`[0526852e05]`](https://github.com/aspnet/AspNetCore/commit/0526852e05) Pin templates' .NET reference version numbers on Coherence 25571 in same way as stock Web templates do. This also fixes net461 support.
* [`[523517f60c]`](https://github.com/aspnet/AspNetCore/commit/523517f60c) Add support for timing out poll requests (#538)
* [`[d58bcba814]`](https://github.com/aspnet/AspNetCore/commit/d58bcba814) Re-enable symbols generation on x86
* [`[0e3f19e3bf]`](https://github.com/aspnet/AspNetCore/commit/0e3f19e3bf) Skip symbol zips when no symbols are produced
* [`[8766528470]`](https://github.com/aspnet/AspNetCore/commit/8766528470) Update shared framework version to 2.0.0-preview2-25407-01
* [`[49206c14f0]`](https://github.com/aspnet/AspNetCore/commit/49206c14f0) Sort
* [`[7fbca28188]`](https://github.com/aspnet/AspNetCore/commit/7fbca28188) Fix downgrade warning
* [`[448e6787e2]`](https://github.com/aspnet/AspNetCore/commit/448e6787e2) Fix auth enabled check
* [`[a6d2c04195]`](https://github.com/aspnet/AspNetCore/commit/a6d2c04195) [Fixes #1379] Rename CSharpStatement to CSharpCode
* [`[1124eb5016]`](https://github.com/aspnet/AspNetCore/commit/1124eb5016) Perform case insensitive lookups for precompiled views
* [`[60c8a3471d]`](https://github.com/aspnet/AspNetCore/commit/60c8a3471d) Enable localisation for template names/descriptions in VS
* [`[d1df3671d8]`](https://github.com/aspnet/AspNetCore/commit/d1df3671d8) Add Auth Test that was accidentally deleted (#541)
* [`[8f883e8e13]`](https://github.com/aspnet/AspNetCore/commit/8f883e8e13) Use RazorViewAttribute \ RazorPageAttribute for view discovery
* [`[2845e9b7d4]`](https://github.com/aspnet/AspNetCore/commit/2845e9b7d4) Add configuration package reference because Logging dropped it (#6375)
* [`[95c5049dd0]`](https://github.com/aspnet/AspNetCore/commit/95c5049dd0) Add DisplayName and Description for directives
* [`[45dec0dca4]`](https://github.com/aspnet/AspNetCore/commit/45dec0dca4) Fix #1407 null refs in VCTH tests
* [`[f96c48c08d]`](https://github.com/aspnet/AspNetCore/commit/f96c48c08d) Add a request body size limit (#1877)
* [`[9dedc98094]`](https://github.com/aspnet/AspNetCore/commit/9dedc98094) Deprecate the IAuthenticationHandler property (#863)
* [`[ccef6b261b]`](https://github.com/aspnet/AspNetCore/commit/ccef6b261b) Lift Microsoft.Extensions.WebEncoders to target .NET Standard 2.0
* [`[50f1d8f9fe]`](https://github.com/aspnet/AspNetCore/commit/50f1d8f9fe) Added IHubProtocol to ts client (#537)
* [`[5127a74d3f]`](https://github.com/aspnet/AspNetCore/commit/5127a74d3f) Clean up dependencies.props
* [`[2aaceaa9f8]`](https://github.com/aspnet/AspNetCore/commit/2aaceaa9f8) Move core packages to netstandard2.0
* [`[0bbe42a912]`](https://github.com/aspnet/AspNetCore/commit/0bbe42a912) Unbreak the chat sample
* [`[1fad901843]`](https://github.com/aspnet/AspNetCore/commit/1fad901843) Fix inherited hub auth and added tests (#535)
* [`[a754e91f37]`](https://github.com/aspnet/AspNetCore/commit/a754e91f37) Update sample test app to netstandard2.0
* [`[35ec06975d]`](https://github.com/aspnet/AspNetCore/commit/35ec06975d) Use file globbing to resolve manifests
* [`[0362488242]`](https://github.com/aspnet/AspNetCore/commit/0362488242) Lift sample test app to .NET Standard 2.0
* [`[89057003b3]`](https://github.com/aspnet/AspNetCore/commit/89057003b3) Check IHttpMaxRequestBodySizeFeature.IsReadOnly (#379)
* [`[289a87f7c8]`](https://github.com/aspnet/AspNetCore/commit/289a87f7c8) Manually construct the precompilation nupkg.
* [`[a14a0ab039]`](https://github.com/aspnet/AspNetCore/commit/a14a0ab039) Adding structured negotiate
* [`[74fef5f722]`](https://github.com/aspnet/AspNetCore/commit/74fef5f722) Moved VCTH types to Razor.Extensions
* [`[4c4be7ed6f]`](https://github.com/aspnet/AspNetCore/commit/4c4be7ed6f) Add support for Hub Authorize Attribute (#532)
* [`[fd7abb31e8]`](https://github.com/aspnet/AspNetCore/commit/fd7abb31e8) Lift M.ANC.Sockets.Common to .NET Standard 2.0
* [`[2176af7edd]`](https://github.com/aspnet/AspNetCore/commit/2176af7edd) Add IHttpMaxRequestBodySizeFeature.IsReadOnly (#858)
* [`[028bd68bf5]`](https://github.com/aspnet/AspNetCore/commit/028bd68bf5) Removing unneeded queryString from TS client
* [`[3448b6a74e]`](https://github.com/aspnet/AspNetCore/commit/3448b6a74e) Re-enable net461 functional tests.
* [`[d9531031a8]`](https://github.com/aspnet/AspNetCore/commit/d9531031a8) Updated to netstandard2.0
* [`[265c980c2b]`](https://github.com/aspnet/AspNetCore/commit/265c980c2b) Manually construct the precompilation nupkg.
* [`[b19146dcc5]`](https://github.com/aspnet/AspNetCore/commit/b19146dcc5) Update shared framework version to 2.0.0-preview2-25406-03 (#145)
* [`[6664efb6d9]`](https://github.com/aspnet/AspNetCore/commit/6664efb6d9) Fixes #1296 - ItemCollection should be ICollection
* [`[b328ce48ad]`](https://github.com/aspnet/AspNetCore/commit/b328ce48ad) Updated Readme
* [`[59a8f5f3b5]`](https://github.com/aspnet/AspNetCore/commit/59a8f5f3b5) Simplify the JSON and protobuf protocols (#524)
* [`[59ec6e0c50]`](https://github.com/aspnet/AspNetCore/commit/59ec6e0c50) Updated refereces of 'rel/2.0.0-preview2' to 'dev'
* [`[af91b58bd3]`](https://github.com/aspnet/AspNetCore/commit/af91b58bd3) Enabled a way to buffer request body in formatters
* [`[07e975a0ed]`](https://github.com/aspnet/AspNetCore/commit/07e975a0ed) Return a shared contract resolver
* [`[d4a83886dd]`](https://github.com/aspnet/AspNetCore/commit/d4a83886dd) Override with shared framework version
* [`[d0d9298f6d]`](https://github.com/aspnet/AspNetCore/commit/d0d9298f6d) Put runtime version into dependencies.props and rename.
* [`[cde593c0e0]`](https://github.com/aspnet/AspNetCore/commit/cde593c0e0) Allow overriding RuntimeFrameworkVersion used for deps generation.
* [`[cb389fe9b0]`](https://github.com/aspnet/AspNetCore/commit/cb389fe9b0) Display info for dotnet used to create runtime store and deps files
* [`[b9e397ed3b]`](https://github.com/aspnet/AspNetCore/commit/b9e397ed3b) Temporarily workaround TryGetPageDirective returning null instead of empty string.
* [`[c261b37fda]`](https://github.com/aspnet/AspNetCore/commit/c261b37fda) #371 Conditionally register auth scheme base on ANCM variable
* [`[d5c1c63d19]`](https://github.com/aspnet/AspNetCore/commit/d5c1c63d19) Generate assembly attributes as part of code generation
* [`[20c04d099e]`](https://github.com/aspnet/AspNetCore/commit/20c04d099e) Update to use Razor parser to parse page directive
* [`[ae3dfcdb32]`](https://github.com/aspnet/AspNetCore/commit/ae3dfcdb32) Remote ConfigureDefaultOptions
* [`[c3ffde286b]`](https://github.com/aspnet/AspNetCore/commit/c3ffde286b) Clear MaxRequestBodySize
* [`[f1901516c6]`](https://github.com/aspnet/AspNetCore/commit/f1901516c6) #519 Expose a connection limit option
* [`[b796bc0f39]`](https://github.com/aspnet/AspNetCore/commit/b796bc0f39) Add Page filters
* [`[e2c6eab554]`](https://github.com/aspnet/AspNetCore/commit/e2c6eab554) Update Roslyn dependency for C# 7.1
* [`[8f299c5b11]`](https://github.com/aspnet/AspNetCore/commit/8f299c5b11) Update Roslyn Version to support C# 7.1
* [`[fcb8669c98]`](https://github.com/aspnet/AspNetCore/commit/fcb8669c98) Use project.json for the VSIX project
* [`[cad9f2f671]`](https://github.com/aspnet/AspNetCore/commit/cad9f2f671) Use RX in streaming sample
* [`[43eb9574a1]`](https://github.com/aspnet/AspNetCore/commit/43eb9574a1) Fix invalid format string (#181)
* [`[ac3cbb5f8d]`](https://github.com/aspnet/AspNetCore/commit/ac3cbb5f8d) Generated api check baselines for AzureStorage
* [`[5870fce035]`](https://github.com/aspnet/AspNetCore/commit/5870fce035) Add configure delegate for CookieOptions
* [`[db9ae62632]`](https://github.com/aspnet/AspNetCore/commit/db9ae62632) IInitializeOptions => IPostConfigureOptions
* [`[9698f539f0]`](https://github.com/aspnet/AspNetCore/commit/9698f539f0) Add IHttpMaxRequestBodySizeFeature (#852)
* [`[3932c68d18]`](https://github.com/aspnet/AspNetCore/commit/3932c68d18) Move KestrelServerOptionsSetup to Kestrel
* [`[c6e228d176]`](https://github.com/aspnet/AspNetCore/commit/c6e228d176)  #1875 Add Configuration support and tests.
* [`[5e2bb55be0]`](https://github.com/aspnet/AspNetCore/commit/5e2bb55be0) Change Certificates.Configuration to a Sources package
* [`[fe83e69b1a]`](https://github.com/aspnet/AspNetCore/commit/fe83e69b1a) Add a startup filter which initializes the key ring before the server starts
* [`[285b973a5c]`](https://github.com/aspnet/AspNetCore/commit/285b973a5c) Use IHostingEnvironment to determine application identifier
* [`[2625e2a768]`](https://github.com/aspnet/AspNetCore/commit/2625e2a768) Consolidate runtime store dependencies into one package
* [`[de5b3560d5]`](https://github.com/aspnet/AspNetCore/commit/de5b3560d5) Skip symbol generation during runtime store creation
* [`[22ebf68f74]`](https://github.com/aspnet/AspNetCore/commit/22ebf68f74) Enable Api check and added breakingchanges json
* [`[a55b818a07]`](https://github.com/aspnet/AspNetCore/commit/a55b818a07) Bind AuthenticationOptions to config + PathString type converter (#851)
* [`[ec36c3d491]`](https://github.com/aspnet/AspNetCore/commit/ec36c3d491) Bind AuthenticationOptions to config + PathString type converter (#851)
* [`[fc1dbbbcfd]`](https://github.com/aspnet/AspNetCore/commit/fc1dbbbcfd) Adds a missing ToList() in assert code.
* [`[4e91e4e36f]`](https://github.com/aspnet/AspNetCore/commit/4e91e4e36f) Correct short-circuit log message for result filters (#6350)
* [`[d10a6293bd]`](https://github.com/aspnet/AspNetCore/commit/d10a6293bd) Discover hub methods at startup time (#503)
* [`[1f32a8322e]`](https://github.com/aspnet/AspNetCore/commit/1f32a8322e) Make invalid namespace tokens support IntelliSense.
* [`[2e8c154fcb]`](https://github.com/aspnet/AspNetCore/commit/2e8c154fcb) Make namespace tokens tolerant to EOF and invalid states.
* [`[a0d9b08f58]`](https://github.com/aspnet/AspNetCore/commit/a0d9b08f58) Set Content-Length and increase BufferSize (#6347)
* [`[e31fc1e57d]`](https://github.com/aspnet/AspNetCore/commit/e31fc1e57d) Closing transports with error if hubs cannot be created
* [`[2dbe4b79c4]`](https://github.com/aspnet/AspNetCore/commit/2dbe4b79c4) Fix functional tests to properly dispose of their app deployer.
* [`[b899775185]`](https://github.com/aspnet/AspNetCore/commit/b899775185) Add configurable SameSite cookie option
* [`[4a308f1e9d]`](https://github.com/aspnet/AspNetCore/commit/4a308f1e9d) Make SimpleAppDesktopOnly look like other testapp projects.
* [`[263dd0e4fe]`](https://github.com/aspnet/AspNetCore/commit/263dd0e4fe) Fix #324 by adding streaming support to the server (#461)
* [`[249c39e803]`](https://github.com/aspnet/AspNetCore/commit/249c39e803) Temporarily skip NanoServer's IIS tests
* [`[27c6ad410e]`](https://github.com/aspnet/AspNetCore/commit/27c6ad410e) Skip desktop testing to work around corefx issue.
* [`[6e88ea9429]`](https://github.com/aspnet/AspNetCore/commit/6e88ea9429) Add support for pre-compiling desktop applications.
* [`[3a4cae72bd]`](https://github.com/aspnet/AspNetCore/commit/3a4cae72bd) Use Strict SameSite mode for temp data cookies
* [`[44ccbee9ba]`](https://github.com/aspnet/AspNetCore/commit/44ccbee9ba) Moving CertificateLoader from MetaPackages to Hosting.
* [`[b04be188c0]`](https://github.com/aspnet/AspNetCore/commit/b04be188c0) #81 Move CertificateLoader to Hosting
* [`[0688cd3ef7]`](https://github.com/aspnet/AspNetCore/commit/0688cd3ef7) Log errors if directives do not start at beginning of line.
* [`[3b53f04518]`](https://github.com/aspnet/AspNetCore/commit/3b53f04518) Change ParserContext to take a RazorSourceDocument.
* [`[e3366c7640]`](https://github.com/aspnet/AspNetCore/commit/e3366c7640) Cross-compile netcoreapp2.0 and net461
* [`[a334e88597]`](https://github.com/aspnet/AspNetCore/commit/a334e88597) Decrease connections used in ConnectionCountingReturnsToZero for slow test agents (#1872)
* [`[1b6993fb91]`](https://github.com/aspnet/AspNetCore/commit/1b6993fb91) Database Error Page: Prep for removal of ILogger-based interception.
* [`[402b337178]`](https://github.com/aspnet/AspNetCore/commit/402b337178) Temporary workaround for GenerateResource task error on VS.
* [`[1dc8a67aca]`](https://github.com/aspnet/AspNetCore/commit/1dc8a67aca) Correct content TFM path
* [`[1b97a7fff6]`](https://github.com/aspnet/AspNetCore/commit/1b97a7fff6) #58 Retarget Xdt and SiteExtension to net461
* [`[a66cca5e22]`](https://github.com/aspnet/AspNetCore/commit/a66cca5e22) Add net461 test targets
* [`[0177ab8424]`](https://github.com/aspnet/AspNetCore/commit/0177ab8424) Change SelfHostDepoyer to use net461
* [`[eb4be67863]`](https://github.com/aspnet/AspNetCore/commit/eb4be67863) Add temporary NPV exception
* [`[39fd6974f7]`](https://github.com/aspnet/AspNetCore/commit/39fd6974f7) Updated to use the latest shared runtime
* [`[e65a67bb5c]`](https://github.com/aspnet/AspNetCore/commit/e65a67bb5c) Updated to use the latest shared runtime
* [`[4056e86382]`](https://github.com/aspnet/AspNetCore/commit/4056e86382) Updated to use the latest shared runtime
* [`[baddfe50ba]`](https://github.com/aspnet/AspNetCore/commit/baddfe50ba) Updated to use the latest shared runtime
* [`[df75fd2188]`](https://github.com/aspnet/AspNetCore/commit/df75fd2188) Updated to use the latest shared runtime
* [`[0a6b11d160]`](https://github.com/aspnet/AspNetCore/commit/0a6b11d160) Updated to use the latest shared runtime
* [`[402f979c1c]`](https://github.com/aspnet/AspNetCore/commit/402f979c1c) Updated to use the latest shared runtime
* [`[087183ea18]`](https://github.com/aspnet/AspNetCore/commit/087183ea18) Updated to use the latest shared runtime
* [`[bdd09062ff]`](https://github.com/aspnet/AspNetCore/commit/bdd09062ff) Updated to use the latest shared runtime
* [`[762d52133c]`](https://github.com/aspnet/AspNetCore/commit/762d52133c) Change Base64 to Base64Encoder (#492)
* [`[8273d0aa27]`](https://github.com/aspnet/AspNetCore/commit/8273d0aa27) Rename ApplicationInsights test project (#60)
* [`[b862d35b10]`](https://github.com/aspnet/AspNetCore/commit/b862d35b10) Update Targets (#486)
* [`[4b18cf52ae]`](https://github.com/aspnet/AspNetCore/commit/4b18cf52ae) Add ConfigureAspNetCoreDefaults
* [`[a99d1d96cc]`](https://github.com/aspnet/AspNetCore/commit/a99d1d96cc) Add new identity packages back
* [`[597a0c9a11]`](https://github.com/aspnet/AspNetCore/commit/597a0c9a11) Add support for friendly routes in pages
* [`[1939384685]`](https://github.com/aspnet/AspNetCore/commit/1939384685) Add Microsoft.AspNetCore.Identity.Service.AzureKeyVault package
* [`[461d8a77db]`](https://github.com/aspnet/AspNetCore/commit/461d8a77db) Updated to use the latest shared runtime
* [`[176be2749d]`](https://github.com/aspnet/AspNetCore/commit/176be2749d) Updated to use the latest shared runtime
* [`[87d063b2b5]`](https://github.com/aspnet/AspNetCore/commit/87d063b2b5) Updated to use the latest shared runtime
* [`[9dd8f1c4b9]`](https://github.com/aspnet/AspNetCore/commit/9dd8f1c4b9) Updated to use the latest shared runtime
* [`[0276c4b0a0]`](https://github.com/aspnet/AspNetCore/commit/0276c4b0a0) Updated to use the latest shared runtime
* [`[6a17e4899c]`](https://github.com/aspnet/AspNetCore/commit/6a17e4899c) Updated to use the latest shared runtime
* [`[fcb96242a7]`](https://github.com/aspnet/AspNetCore/commit/fcb96242a7) Updated to use the latest shared runtime
* [`[758006d17f]`](https://github.com/aspnet/AspNetCore/commit/758006d17f) Updated to use the latest shared runtime
* [`[db88056e77]`](https://github.com/aspnet/AspNetCore/commit/db88056e77) Updated to use the latest shared runtime
* [`[a2c22afd7e]`](https://github.com/aspnet/AspNetCore/commit/a2c22afd7e) Updated to use the latest shared runtime
* [`[c7ba8137a8]`](https://github.com/aspnet/AspNetCore/commit/c7ba8137a8) Updated to use the latest shared runtime
* [`[46dd25fcac]`](https://github.com/aspnet/AspNetCore/commit/46dd25fcac) Updated to use the latest shared runtime
* [`[57647bff2e]`](https://github.com/aspnet/AspNetCore/commit/57647bff2e) Updated to use the latest shared runtime
* [`[85d712251d]`](https://github.com/aspnet/AspNetCore/commit/85d712251d) Updated to use the latest shared runtime
* [`[bd921bf96d]`](https://github.com/aspnet/AspNetCore/commit/bd921bf96d) Updated to use the latest shared runtime
* [`[9ef496fe5b]`](https://github.com/aspnet/AspNetCore/commit/9ef496fe5b) Updated to use the latest shared runtime
* [`[6d3ce16da9]`](https://github.com/aspnet/AspNetCore/commit/6d3ce16da9) Updated to use the latest shared runtime
* [`[0ab3f1e94f]`](https://github.com/aspnet/AspNetCore/commit/0ab3f1e94f) Updated to use the latest shared runtime
* [`[688e518991]`](https://github.com/aspnet/AspNetCore/commit/688e518991) Add result filters to pages
* [`[84e007a2a7]`](https://github.com/aspnet/AspNetCore/commit/84e007a2a7) Move exception and result filters in base
* [`[dcccea3004]`](https://github.com/aspnet/AspNetCore/commit/dcccea3004) Add Checksum computation to RazorSourceDocument.
* [`[c343628926]`](https://github.com/aspnet/AspNetCore/commit/c343628926) Implement max connection limits
* [`[c523839078]`](https://github.com/aspnet/AspNetCore/commit/c523839078) Update default settings for SameSite
* [`[8c822a8e77]`](https://github.com/aspnet/AspNetCore/commit/8c822a8e77) Move away from `Assembly.Load` to Assembly.LoadFile
* [`[1619166911]`](https://github.com/aspnet/AspNetCore/commit/1619166911) Update manifest names
* [`[c3f7613725]`](https://github.com/aspnet/AspNetCore/commit/c3f7613725) Make RazorReferenceManage public
* [`[3b488c470a]`](https://github.com/aspnet/AspNetCore/commit/3b488c470a) Make IHostedServiceAsync
* [`[cb9f44ddf6]`](https://github.com/aspnet/AspNetCore/commit/cb9f44ddf6) Fixing WebSocketsTransport to handle exceptions correctly
* [`[348cdf9da9]`](https://github.com/aspnet/AspNetCore/commit/348cdf9da9) Fix sln
* [`[fbf7e1fb72]`](https://github.com/aspnet/AspNetCore/commit/fbf7e1fb72) Add auth reference
* [`[ad6b029443]`](https://github.com/aspnet/AspNetCore/commit/ad6b029443) Temporarily disable MVC functional tests on net461
* [`[d387e6b560]`](https://github.com/aspnet/AspNetCore/commit/d387e6b560) Fix package reference
* [`[e3cae98a05]`](https://github.com/aspnet/AspNetCore/commit/e3cae98a05) Add new packages
* [`[b1f92fb6bc]`](https://github.com/aspnet/AspNetCore/commit/b1f92fb6bc) Forbid + obsolete context.Authentication
* [`[7bd98f5cf9]`](https://github.com/aspnet/AspNetCore/commit/7bd98f5cf9) Update TFM to netstandard2.0 (#53)
* [`[009759c7f6]`](https://github.com/aspnet/AspNetCore/commit/009759c7f6) Fix broken microbenchmarks (#1861).
* [`[d917311883]`](https://github.com/aspnet/AspNetCore/commit/d917311883) Make ViewComponentTagHelper's bound attribute display names nicer.
* [`[cdddaefa81]`](https://github.com/aspnet/AspNetCore/commit/cdddaefa81) Fixed a bug in VCTH pass and added an integration test
* [`[bb5eb96625]`](https://github.com/aspnet/AspNetCore/commit/bb5eb96625) Load the precompilation type from the loaded assembly
* [`[03404cd3df]`](https://github.com/aspnet/AspNetCore/commit/03404cd3df) Return to NetStandard
* [`[ab64769c59]`](https://github.com/aspnet/AspNetCore/commit/ab64769c59) Fix compilation failure
* [`[452578e4a8]`](https://github.com/aspnet/AspNetCore/commit/452578e4a8) Revisit the architecture of CompilerCache
* [`[75fd215b1a]`](https://github.com/aspnet/AspNetCore/commit/75fd215b1a) Change Microsoft.DotNet.Web.Spa.ProjectTemplates to use 1.0.0-preview-* version numbers since the first release will be 1.0.0
* [`[bee4c6ff11]`](https://github.com/aspnet/AspNetCore/commit/bee4c6ff11) Stop "dotnet new" from stripping out important parts of .csproj files
* [`[cc859306a3]`](https://github.com/aspnet/AspNetCore/commit/cc859306a3) Make template package version numbers more descriptive
* [`[30392a1811]`](https://github.com/aspnet/AspNetCore/commit/30392a1811) Retarget to netstandard2.0 and net461
* [`[3963a6aa52]`](https://github.com/aspnet/AspNetCore/commit/3963a6aa52) #125 Add HostingStartup packages to .All
* [`[c1dd95be2a]`](https://github.com/aspnet/AspNetCore/commit/c1dd95be2a) Add a test for #6294
* [`[b9a9ec9305]`](https://github.com/aspnet/AspNetCore/commit/b9a9ec9305) Add support for a default SSL certificate in development When the ssl certificate specified is 'localhost' and no certificate has been explicitly specified in the certificates section, fallback to a certificate with 'CN=localhost' (ASP.NET Core SSL developer certificate) in the current user store and if not found, an ssl certificate with 'CN=localhost' on the current machine (IIS Express developer certificate)
* [`[2992f8e38a]`](https://github.com/aspnet/AspNetCore/commit/2992f8e38a) Separate PageContext and ViewContext
* [`[3f36fa5986]`](https://github.com/aspnet/AspNetCore/commit/3f36fa5986) Fix sample
* [`[9428d1778d]`](https://github.com/aspnet/AspNetCore/commit/9428d1778d) Upgrade corefx packages to 4.4.0
* [`[d25dbd572c]`](https://github.com/aspnet/AspNetCore/commit/d25dbd572c) Target NETStandard2.0
* [`[b706a75e03]`](https://github.com/aspnet/AspNetCore/commit/b706a75e03) Target .NET Standard 2.0
* [`[c592282646]`](https://github.com/aspnet/AspNetCore/commit/c592282646) Fix Node debugging by catching warning
* [`[a322fea940]`](https://github.com/aspnet/AspNetCore/commit/a322fea940) Add data received logs to SSE and LongPolling in TS client (#484)
* [`[1165a1de33]`](https://github.com/aspnet/AspNetCore/commit/1165a1de33) Updates to generated resource files
* [`[9a6cb89b8d]`](https://github.com/aspnet/AspNetCore/commit/9a6cb89b8d) Adjusted example error message to reflect the situation that causes the error.
* [`[a18f59ab88]`](https://github.com/aspnet/AspNetCore/commit/a18f59ab88) Changed expected exception message to the one defined in Resources.resx.
* [`[f457c7b9d8]`](https://github.com/aspnet/AspNetCore/commit/f457c7b9d8) Changed expected parameter p2 to non-optional as it is non-optional in the template string.
* [`[b86e9f9254]`](https://github.com/aspnet/AspNetCore/commit/b86e9f9254) Change template description to be consistent with others in 2.0
* [`[d55ebfeee0]`](https://github.com/aspnet/AspNetCore/commit/d55ebfeee0) Split http and non-http layers (#487)
* [`[970dc6c457]`](https://github.com/aspnet/AspNetCore/commit/970dc6c457) Add --silent to npm install command in CI. Fixes #972 (at least, to the extent that fixing it is reasonably possible)
* [`[6baa2faf09]`](https://github.com/aspnet/AspNetCore/commit/6baa2faf09) Split out built-in templates into new package Microsoft.DotNet.Web.Spa.ProjectTemplates
* [`[aaea92906f]`](https://github.com/aspnet/AspNetCore/commit/aaea92906f) Add explicit decimal data types
* [`[bce531f61a]`](https://github.com/aspnet/AspNetCore/commit/bce531f61a) add features: flowing authentication info, hosting environment variable support; fix client disconnect and app_offline issues (#102)
* [`[03bdb40f8a]`](https://github.com/aspnet/AspNetCore/commit/03bdb40f8a) Add UseShutdownTimeout Extension (#1086)
* [`[ec2faf5594]`](https://github.com/aspnet/AspNetCore/commit/ec2faf5594) Target netstandard2.0
* [`[efb097ce60]`](https://github.com/aspnet/AspNetCore/commit/efb097ce60) Target .NET Standard 2.0 and add net461 testing
* [`[a6d97d35e3]`](https://github.com/aspnet/AspNetCore/commit/a6d97d35e3) Add back support for AddTagHelpersAsServices
* [`[e681c23d5c]`](https://github.com/aspnet/AspNetCore/commit/e681c23d5c) Add ITagHelperComponentManager (#6302)
* [`[39f1f5c933]`](https://github.com/aspnet/AspNetCore/commit/39f1f5c933) Move Pages filter creation to application model provider
* [`[7ac6842d18]`](https://github.com/aspnet/AspNetCore/commit/7ac6842d18) #1075 Suppress exceptions from failing to load HostingStartup assemblies
* [`[e48eef8347]`](https://github.com/aspnet/AspNetCore/commit/e48eef8347) Add privateassets=all to NS.Library.NETFramework reference
* [`[4ab7a19dc2]`](https://github.com/aspnet/AspNetCore/commit/4ab7a19dc2) Target netstandard2.0.
* [`[769da5fd87]`](https://github.com/aspnet/AspNetCore/commit/769da5fd87) Add SameSitePolicy to CookiePolicyMiddleware
* [`[e1c90b3601]`](https://github.com/aspnet/AspNetCore/commit/e1c90b3601) Change "dotnet new" config choices to reference netcoreapp2.0 (not that it makes a difference when it's the only choice)
* [`[b9e62cd4c9]`](https://github.com/aspnet/AspNetCore/commit/b9e62cd4c9) Fix "dotnet new" postAction issues (and disable the "npm install" action)
* [`[9d9a52119e]`](https://github.com/aspnet/AspNetCore/commit/9d9a52119e) Progress towards splitting the layers (#473)
* [`[ad9cfbb176]`](https://github.com/aspnet/AspNetCore/commit/ad9cfbb176) Make quotes consistent
* [`[941ae9a34d]`](https://github.com/aspnet/AspNetCore/commit/941ae9a34d) Add postActions to "dotnet new" templates
* [`[083f55e337]`](https://github.com/aspnet/AspNetCore/commit/083f55e337) Delete pranav's test logs :)
* [`[c2262b7234]`](https://github.com/aspnet/AspNetCore/commit/c2262b7234) Update TFM to netstandard2.0 (#112)
* [`[a05ad22173]`](https://github.com/aspnet/AspNetCore/commit/a05ad22173) Target NETStandard2.0
* [`[8f3d04870f]`](https://github.com/aspnet/AspNetCore/commit/8f3d04870f) Target .NET Standard 2.0
* [`[2ce2d8b6c5]`](https://github.com/aspnet/AspNetCore/commit/2ce2d8b6c5) #758 Convert the header parsers to use StringSegment
* [`[d6a653145d]`](https://github.com/aspnet/AspNetCore/commit/d6a653145d) Target NETStandard 2.0
* [`[df36d02311]`](https://github.com/aspnet/AspNetCore/commit/df36d02311) Retarget to netstandard2.0
* [`[e8123db21e]`](https://github.com/aspnet/AspNetCore/commit/e8123db21e) Add SameSite attribute to SetCookie header
* [`[c5f771d96d]`](https://github.com/aspnet/AspNetCore/commit/c5f771d96d) Use factory pattern for caching in ControllerActionInvoker
* [`[197eb43d8a]`](https://github.com/aspnet/AspNetCore/commit/197eb43d8a) Read request body concurrent to app execution.
* [`[e68a1b294f]`](https://github.com/aspnet/AspNetCore/commit/e68a1b294f) Fix long polling graceful shutdown (#476)
* [`[3645ae6cf2]`](https://github.com/aspnet/AspNetCore/commit/3645ae6cf2) Generate Documentation files
* [`[323dae4ce9]`](https://github.com/aspnet/AspNetCore/commit/323dae4ce9) Handle case where scanning happens after dispose. (#475)
* [`[87c4da41e8]`](https://github.com/aspnet/AspNetCore/commit/87c4da41e8) Disabling hosting startup - VS injects a bad version of AppInsights because it doesn't check the shared framework version in use. Since we constantly are on the bleeding edge, we get out of sync frequently. This change disables them from running.
* [`[390582dcf1]`](https://github.com/aspnet/AspNetCore/commit/390582dcf1) Target .NET Standard 2.0 (#1849)
* [`[240a88f7af]`](https://github.com/aspnet/AspNetCore/commit/240a88f7af) Make the http end points more resty (#470)
* [`[b6f558d60b]`](https://github.com/aspnet/AspNetCore/commit/b6f558d60b) Fix flaxy test (#1079)
* [`[c7bac3133f]`](https://github.com/aspnet/AspNetCore/commit/c7bac3133f) Chain hosting timeout to StopAsync cancellation token (#1078)
* [`[62cd07d0a6]`](https://github.com/aspnet/AspNetCore/commit/62cd07d0a6) Target NETStandard2.0 and add WindowsServices back
* [`[e3114dc6a4]`](https://github.com/aspnet/AspNetCore/commit/e3114dc6a4) Temporarily change tfm to netstandard1.3 Ideally we want to target netstandard2.0 but this conversion is blocked on the issue: https://github.com/dotnet/sdk/issues/1219
* [`[9bc9f0ef05]`](https://github.com/aspnet/AspNetCore/commit/9bc9f0ef05) Rename HtmlCase => HtmlConventions.
* [`[6b1117caa9]`](https://github.com/aspnet/AspNetCore/commit/6b1117caa9) Make this type internal
* [`[9aff0a67c1]`](https://github.com/aspnet/AspNetCore/commit/9aff0a67c1) Range support for FileResult(#6150)
* [`[315221c758]`](https://github.com/aspnet/AspNetCore/commit/315221c758) Re-enable some skipped tests
* [`[4bb9721d39]`](https://github.com/aspnet/AspNetCore/commit/4bb9721d39) Adding strongly typed Invoke and On overloads
* [`[2a88d6efcf]`](https://github.com/aspnet/AspNetCore/commit/2a88d6efcf) Fix aspnet/Mvc#6296 sanitize class and namespace
* [`[d5483f3b64]`](https://github.com/aspnet/AspNetCore/commit/d5483f3b64) Add workaround for 'publish' tests failing since 2.0 update
* [`[e1a0931ca0]`](https://github.com/aspnet/AspNetCore/commit/e1a0931ca0) Add reference to NodeServices and SpaServices
* [`[9e59ed4bc8]`](https://github.com/aspnet/AspNetCore/commit/9e59ed4bc8) Put back <IsPackable>false</IsPackable> on template csproj files
* [`[ac3ab36b3d]`](https://github.com/aspnet/AspNetCore/commit/ac3ab36b3d) Add JavaScriptServices to Universe
* [`[42b88c15f2]`](https://github.com/aspnet/AspNetCore/commit/42b88c15f2) Make all templates as consistent as possible with stock MVC Core 2.0 one
* [`[74239f08c0]`](https://github.com/aspnet/AspNetCore/commit/74239f08c0) Update TFM to netstandard2.0
* [`[8580226a4b]`](https://github.com/aspnet/AspNetCore/commit/8580226a4b) #51 Add AzureSiteExtension tag and package type
* [`[4c98b7f8f3]`](https://github.com/aspnet/AspNetCore/commit/4c98b7f8f3) Make ViewComponentTagHelper's display name nicer.
* [`[6e87b0f5eb]`](https://github.com/aspnet/AspNetCore/commit/6e87b0f5eb) Target netstandard2.0 TFM
* [`[ece5e748ad]`](https://github.com/aspnet/AspNetCore/commit/ece5e748ad) Minor documentation fix for SerializableError
* [`[03f3975360]`](https://github.com/aspnet/AspNetCore/commit/03f3975360) Allow directive string tokens to be colorized.
* [`[e391ac7a3c]`](https://github.com/aspnet/AspNetCore/commit/e391ac7a3c) Split options into ParserOptions and CodeGenerationOptions
* [`[85e59efa21]`](https://github.com/aspnet/AspNetCore/commit/85e59efa21) Rename Angular2Spa to AngularSpa, plus rephrase "Angular 2" as "Angular" in many places
* [`[811ea019a5]`](https://github.com/aspnet/AspNetCore/commit/811ea019a5) Fixes #1245 - Make TemplateCodeExtension public
* [`[88cc1c14d0]`](https://github.com/aspnet/AspNetCore/commit/88cc1c14d0) Added a new environment variable value UsePrivateAspNetCoreFile for ANCMTestFlags and fixing test issues (#101)
* [`[178a05cc33]`](https://github.com/aspnet/AspNetCore/commit/178a05cc33) Added missing Framework symbol
* [`[33b275a7d3]`](https://github.com/aspnet/AspNetCore/commit/33b275a7d3) Update ReactReduxSpa to latest versions of all dependencies, and pin to exact versions
* [`[c9d235d425]`](https://github.com/aspnet/AspNetCore/commit/c9d235d425) Update ReactSpa to latest versions of dependencies, and pin to exact versions. Simplify some instructions.
* [`[1f5a27e20a]`](https://github.com/aspnet/AspNetCore/commit/1f5a27e20a) Switch to Options Initializer
* [`[c4414c362f]`](https://github.com/aspnet/AspNetCore/commit/c4414c362f) ServerTests => Auth 2.0
* [`[8ed21d56c8]`](https://github.com/aspnet/AspNetCore/commit/8ed21d56c8) IIS => Auth 2.0
* [`[bff13c7f43]`](https://github.com/aspnet/AspNetCore/commit/bff13c7f43) HttpSysServer => Auth 2.0
* [`[07470d41b1]`](https://github.com/aspnet/AspNetCore/commit/07470d41b1) Ignore empty header values #722
* [`[7f0319f5dd]`](https://github.com/aspnet/AspNetCore/commit/7f0319f5dd) Throw InvalidOperationException from IHttpUpgradeFeature.UpgradeAsync when request is not upgradable
* [`[7bd13061b5]`](https://github.com/aspnet/AspNetCore/commit/7bd13061b5) Set the chunk generator of non-string tag helper attributes to ExpressionChunkGenerator
* [`[10f88aeafc]`](https://github.com/aspnet/AspNetCore/commit/10f88aeafc) Fix duplicate ID test warning.
* [`[b8ea008151]`](https://github.com/aspnet/AspNetCore/commit/b8ea008151) Make extensible directive type token rendering allow value types.
* [`[19f895b9ad]`](https://github.com/aspnet/AspNetCore/commit/19f895b9ad) Validate line mappings for integration tests in Razor.Extensions.
* [`[e658ee6375]`](https://github.com/aspnet/AspNetCore/commit/e658ee6375) Simplifications in ReactSpa and ReactReduxSpa
* [`[785e7d48a2]`](https://github.com/aspnet/AspNetCore/commit/785e7d48a2) Implemented react-router v4 to ReactRedux template
* [`[c791ceee49]`](https://github.com/aspnet/AspNetCore/commit/c791ceee49) Updatged package.json and webpack vendor config
* [`[d2c56d19d0]`](https://github.com/aspnet/AspNetCore/commit/d2c56d19d0) Implemented react-router-dom v4
* [`[7a11cf97fd]`](https://github.com/aspnet/AspNetCore/commit/7a11cf97fd) Updated react-router to react-router-dom 4.0.0
* [`[82dca64b8a]`](https://github.com/aspnet/AspNetCore/commit/82dca64b8a) When generating test project, do include test files
* [`[4e847f4545]`](https://github.com/aspnet/AspNetCore/commit/4e847f4545) Reference icon in vs-2017.3.host.json files
* [`[ca9c6387d0]`](https://github.com/aspnet/AspNetCore/commit/ca9c6387d0) Add template icons
* [`[d7a3289164]`](https://github.com/aspnet/AspNetCore/commit/d7a3289164) Outputs vs-2017.3.host.json file
* [`[5ade33b870]`](https://github.com/aspnet/AspNetCore/commit/5ade33b870) Update to Angular 4 (but leave directory name as Angular2Spa until finished)
* [`[d22f689fd2]`](https://github.com/aspnet/AspNetCore/commit/d22f689fd2) Add support to use System.Memory as a package instead of internilized source (#1821)
* [`[b96a486650]`](https://github.com/aspnet/AspNetCore/commit/b96a486650) Compile CodeGeneration tests
* [`[ad294fb4ba]`](https://github.com/aspnet/AspNetCore/commit/ad294fb4ba) Add a new THProvider api
* [`[a18b96cbf3]`](https://github.com/aspnet/AspNetCore/commit/a18b96cbf3) Suppress unneeded dlls from Razor VSIX
* [`[51c142ae91]`](https://github.com/aspnet/AspNetCore/commit/51c142ae91) Modify GetProperties overload (#6276)
* [`[dfd938e4f7]`](https://github.com/aspnet/AspNetCore/commit/dfd938e4f7) Fixed � in summary (#838)
* [`[9fe7c77d30]`](https://github.com/aspnet/AspNetCore/commit/9fe7c77d30) Move TagHelperBinding out of Legacy.
* [`[8616cf5dd0]`](https://github.com/aspnet/AspNetCore/commit/8616cf5dd0) Reduce catch all element completion usage.
* [`[289ecd475d]`](https://github.com/aspnet/AspNetCore/commit/289ecd475d) Added ANCMtestFlags environment variable (#98)
* [`[4d905a4110]`](https://github.com/aspnet/AspNetCore/commit/4d905a4110) Make our executor methods virtual
* [`[b5636ea871]`](https://github.com/aspnet/AspNetCore/commit/b5636ea871) Clarify contribution instructions. Fixes #934.
* [`[f70e17c138]`](https://github.com/aspnet/AspNetCore/commit/f70e17c138) Upgrade test framework versions
* [`[225c482c37]`](https://github.com/aspnet/AspNetCore/commit/225c482c37) Upgrade test framework versions
* [`[5662717983]`](https://github.com/aspnet/AspNetCore/commit/5662717983) Add null check in WriteLiteral
* [`[8b455ecae7]`](https://github.com/aspnet/AspNetCore/commit/8b455ecae7) Fixing `dotnet ef database update` Currently it is impossible to create database for the chat sample - `dotnet ef` commands fail with: "No parameterless constructor was found on 'ApplicationDbContext'. Either add a parameterless constructor to 'Application DbContext' or add an implementation of 'IDbContextFactory<ApplicationDbContext>' in the same assembly as 'ApplicationDbC ontext'." - adding IDbContextFactory implementation to fix this
* [`[5761ddd284]`](https://github.com/aspnet/AspNetCore/commit/5761ddd284) Upgrade test framework versions
* [`[1d9dcdf7ae]`](https://github.com/aspnet/AspNetCore/commit/1d9dcdf7ae) Install NuGet.CommandLine 3.5.0 to acquire nuget.exe
* [`[df9c3f9660]`](https://github.com/aspnet/AspNetCore/commit/df9c3f9660) Upgrade test framework versions
* [`[cd6befdef1]`](https://github.com/aspnet/AspNetCore/commit/cd6befdef1) Assign unique event Ids in the logger (#6270)
* [`[9ab09dbe48]`](https://github.com/aspnet/AspNetCore/commit/9ab09dbe48) Change Exception to UvException where possible (#1833)
* [`[41f1922502]`](https://github.com/aspnet/AspNetCore/commit/41f1922502) Simplify LibuvConnection.OnRead() (#1828)
* [`[04863032a2]`](https://github.com/aspnet/AspNetCore/commit/04863032a2) Increase the size of the WebSockets buffer to 4K. (#448)
* [`[5d162d79e8]`](https://github.com/aspnet/AspNetCore/commit/5d162d79e8) Upgrade test framework versions
* [`[b63b86215b]`](https://github.com/aspnet/AspNetCore/commit/b63b86215b) Upgrade test framework versions
* [`[2167e4151e]`](https://github.com/aspnet/AspNetCore/commit/2167e4151e) Fix #1311 add a base class for features
* [`[72fe4cc952]`](https://github.com/aspnet/AspNetCore/commit/72fe4cc952) Fix #1330 - make TagHelpers static class internal
* [`[2ec2b98f83]`](https://github.com/aspnet/AspNetCore/commit/2ec2b98f83) Fix #1312 - make ExecuteCore protected
* [`[2b9c69bed8]`](https://github.com/aspnet/AspNetCore/commit/2b9c69bed8) Fixes #1308 and #1315
* [`[1e148819af]`](https://github.com/aspnet/AspNetCore/commit/1e148819af) Upgrade test framework versions
* [`[75c73a31e1]`](https://github.com/aspnet/AspNetCore/commit/75c73a31e1) Upgrade test framework versions
* [`[8cf7d248e7]`](https://github.com/aspnet/AspNetCore/commit/8cf7d248e7) [Issue #1318] Renamed RuntimeTarget to CodeTarget
* [`[da1296244b]`](https://github.com/aspnet/AspNetCore/commit/da1296244b) [Issue #1316] Seal RazorTemplateEngineOptions
* [`[7e447c33ea]`](https://github.com/aspnet/AspNetCore/commit/7e447c33ea) [Issue #1317] Rename HasAnyErrors to HasErrors in tag helper descriptor api
* [`[8fbe301dc0]`](https://github.com/aspnet/AspNetCore/commit/8fbe301dc0) [Issue #1319] Make TagHelperRenderingContext internal
* [`[2274aaeead]`](https://github.com/aspnet/AspNetCore/commit/2274aaeead) [Issue #1320] Make preallocated IR nodes internal
* [`[86d045c667]`](https://github.com/aspnet/AspNetCore/commit/86d045c667) Fix #1305 move instrumentation to MVC
* [`[cb1d0f3956]`](https://github.com/aspnet/AspNetCore/commit/cb1d0f3956) Prevent infinite loop in PipelineExtensions.PeekAsyncAwaited() (#1827).
* [`[682d630fa2]`](https://github.com/aspnet/AspNetCore/commit/682d630fa2) Upgrade test framework versions and fix issues with tests
* [`[72bb0750f4]`](https://github.com/aspnet/AspNetCore/commit/72bb0750f4) Upgrade test framework versions
* [`[d916cfeadd]`](https://github.com/aspnet/AspNetCore/commit/d916cfeadd) Temporarily skipping error page middleware test
* [`[60fff08745]`](https://github.com/aspnet/AspNetCore/commit/60fff08745) Fix NormalizeRanges test
* [`[b9dabd24be]`](https://github.com/aspnet/AspNetCore/commit/b9dabd24be) Fix #1309 make CSharpDocument abstract
* [`[b758a86a38]`](https://github.com/aspnet/AspNetCore/commit/b758a86a38) Modify ViewComponent_CannotFindComponent error message (#6263)
* [`[8ecf6874e8]`](https://github.com/aspnet/AspNetCore/commit/8ecf6874e8) Upgrade test framework versions
* [`[c3ca9cf334]`](https://github.com/aspnet/AspNetCore/commit/c3ca9cf334) Upgrade test framework versions
* [`[ab98c5d837]`](https://github.com/aspnet/AspNetCore/commit/ab98c5d837) Fix #1322 #1328 #1310 #1325
* [`[0e3d091fb7]`](https://github.com/aspnet/AspNetCore/commit/0e3d091fb7) Upgrade test framework versions
* [`[906af6de30]`](https://github.com/aspnet/AspNetCore/commit/906af6de30) Update API check exceptions
* [`[5e462aa87a]`](https://github.com/aspnet/AspNetCore/commit/5e462aa87a) Added log messages related to repository information
* [`[9d58c8836b]`](https://github.com/aspnet/AspNetCore/commit/9d58c8836b) Switched from av-ts to vue-property-decorator and vue-class-component
* [`[06e3a08ac0]`](https://github.com/aspnet/AspNetCore/commit/06e3a08ac0) Multi-server
* [`[7300413d0c]`](https://github.com/aspnet/AspNetCore/commit/7300413d0c) Storing user lists per server
* [`[5d32407f24]`](https://github.com/aspnet/AspNetCore/commit/5d32407f24) More structural way of storing users
* [`[785c1251dd]`](https://github.com/aspnet/AspNetCore/commit/785c1251dd) Add auth link
* [`[d3e37f20ce]`](https://github.com/aspnet/AspNetCore/commit/d3e37f20ce) Add some new IR nodes
* [`[ae02eb436a]`](https://github.com/aspnet/AspNetCore/commit/ae02eb436a) Update auth links
* [`[11f23f7ce2]`](https://github.com/aspnet/AspNetCore/commit/11f23f7ce2) disable npm optional dependencies (#447)
* [`[2afe2e1627]`](https://github.com/aspnet/AspNetCore/commit/2afe2e1627) Rename RazorMethodDeclaration -> MethodDeclaration
* [`[3969c23316]`](https://github.com/aspnet/AspNetCore/commit/3969c23316) Adds a tracking system for Razor documents
* [`[d016950e50]`](https://github.com/aspnet/AspNetCore/commit/d016950e50) Add Aurelia and Vue to framework list
* [`[42a4e9a143]`](https://github.com/aspnet/AspNetCore/commit/42a4e9a143) Make uses of ObjectMethodExecutor internal
* [`[4bc1a76e22]`](https://github.com/aspnet/AspNetCore/commit/4bc1a76e22) Moved TagHelperBinder from pass to a phase
* [`[37f15bdd85]`](https://github.com/aspnet/AspNetCore/commit/37f15bdd85) Create Frame in FrameConnection.
* [`[eb3c47b6ca]`](https://github.com/aspnet/AspNetCore/commit/eb3c47b6ca) Add annotations
* [`[51fb1b787a]`](https://github.com/aspnet/AspNetCore/commit/51fb1b787a) Add TagHelperFactsServiceTest to validate root with parent expecting descriptor.
* [`[b9518e3684]`](https://github.com/aspnet/AspNetCore/commit/b9518e3684) Invert the dependency between connection adapters and Frame (#1822)
* [`[cf23aedb55]`](https://github.com/aspnet/AspNetCore/commit/cf23aedb55) Use EnvironmentName instead of magic string (#1065)
* [`[f5107596a5]`](https://github.com/aspnet/AspNetCore/commit/f5107596a5) Add Id to ConnectionInfo (#828)
* [`[08965550ad]`](https://github.com/aspnet/AspNetCore/commit/08965550ad) Re-enable error page runtime test.
* [`[014a786b45]`](https://github.com/aspnet/AspNetCore/commit/014a786b45) Replace IModelBindingMessageProvider with new highly-virtual base class (#6241)
* [`[9a931554d5]`](https://github.com/aspnet/AspNetCore/commit/9a931554d5) Replace RuntimeEnvironment (#1066)
* [`[991c1d8517]`](https://github.com/aspnet/AspNetCore/commit/991c1d8517) Implement new Hub Protocol (Part Deux) (#390)
* [`[774aebaa01]`](https://github.com/aspnet/AspNetCore/commit/774aebaa01) Rename TagHelperDescriptorProvider => TagHelperBinder.
* [`[d1d9bceff5]`](https://github.com/aspnet/AspNetCore/commit/d1d9bceff5) #833 Change non-standard header name 'ContentMD5' to 'Content-MD5'
* [`[a33e0cef24]`](https://github.com/aspnet/AspNetCore/commit/a33e0cef24) Upgrade StackExchange.Redis.StrongName to version 1.2.3 (#442)
* [`[47ee65f318]`](https://github.com/aspnet/AspNetCore/commit/47ee65f318) Upgrade StackExchange.Redis.StrongName to version 1.2.3 (#231)
* [`[d73b490b69]`](https://github.com/aspnet/AspNetCore/commit/d73b490b69) Fixing SocialWeather sample
* [`[a570139b08]`](https://github.com/aspnet/AspNetCore/commit/a570139b08) Fix #1059 and #1060
* [`[debc3dd433]`](https://github.com/aspnet/AspNetCore/commit/debc3dd433) Functional test to show FSharpAsync works end-to-end (#6240)
* [`[d268571db6]`](https://github.com/aspnet/AspNetCore/commit/d268571db6) Disable lightup logger if user adds AI logger (#46)
* [`[1da4e07fff]`](https://github.com/aspnet/AspNetCore/commit/1da4e07fff) Use common ObjectMethodExecutor (#440)
* [`[906f1d8f3e]`](https://github.com/aspnet/AspNetCore/commit/906f1d8f3e) Fix command on macOS
* [`[f6e6b2cce9]`](https://github.com/aspnet/AspNetCore/commit/f6e6b2cce9) Fix generation of deps files on macOS and Linux
* [`[f0a26a7f08]`](https://github.com/aspnet/AspNetCore/commit/f0a26a7f08) Migration2
* [`[a1977cac50]`](https://github.com/aspnet/AspNetCore/commit/a1977cac50) Migration
* [`[8b411493e9]`](https://github.com/aspnet/AspNetCore/commit/8b411493e9) Migration
* [`[3b644e8100]`](https://github.com/aspnet/AspNetCore/commit/3b644e8100) Migration
* [`[1f3b20e177]`](https://github.com/aspnet/AspNetCore/commit/1f3b20e177) Migration
* [`[e2cb8e8ac8]`](https://github.com/aspnet/AspNetCore/commit/e2cb8e8ac8) A new and exciting implementation of action selection
* [`[1a0331eaaa]`](https://github.com/aspnet/AspNetCore/commit/1a0331eaaa) Restore template to avoid deps trimming issue
* [`[9b80f2a635]`](https://github.com/aspnet/AspNetCore/commit/9b80f2a635) Migration
* [`[c053b8cd9d]`](https://github.com/aspnet/AspNetCore/commit/c053b8cd9d) Fixing Win7 tests
* [`[13ea876ca1]`](https://github.com/aspnet/AspNetCore/commit/13ea876ca1) Register IApplicationDiscriminator service
* [`[e780d31ce3]`](https://github.com/aspnet/AspNetCore/commit/e780d31ce3) Updated store tests to work on linux an osx too
* [`[ec0ce4b638]`](https://github.com/aspnet/AspNetCore/commit/ec0ce4b638) Change TFM to netcoreapp2.0 (#78)
* [`[378136f794]`](https://github.com/aspnet/AspNetCore/commit/378136f794) Change TFM to netcoreapp2.0 (#78)
* [`[6e2fdda162]`](https://github.com/aspnet/AspNetCore/commit/6e2fdda162) Simplify connection lifetime control flow (#1776)
* [`[9168442704]`](https://github.com/aspnet/AspNetCore/commit/9168442704) Migration
* [`[31001de66a]`](https://github.com/aspnet/AspNetCore/commit/31001de66a) Migrate to netcoreapp2.0
* [`[a9c165e666]`](https://github.com/aspnet/AspNetCore/commit/a9c165e666) netcoreapp2.0 (#1810)
* [`[caaae2003e]`](https://github.com/aspnet/AspNetCore/commit/caaae2003e) Fix deps trimming (#107)
* [`[d488a989a6]`](https://github.com/aspnet/AspNetCore/commit/d488a989a6) Added smoke tests to create and use package cache
* [`[214de568a9]`](https://github.com/aspnet/AspNetCore/commit/214de568a9) Add Mcrosoft.Extensions.Configuration.AzureKeyVault to the .All metapackage
* [`[1705888721]`](https://github.com/aspnet/AspNetCore/commit/1705888721) Add a test for #153 - already fixed
* [`[1795fc26c1]`](https://github.com/aspnet/AspNetCore/commit/1795fc26c1) Add AttributeCompletion API.
* [`[c71f6e7c3f]`](https://github.com/aspnet/AspNetCore/commit/c71f6e7c3f) [Fixes #1058] Added a test to verify nested enum behavior
* [`[539a13717e]`](https://github.com/aspnet/AspNetCore/commit/539a13717e) Migrate to netcoreapp2.0
* [`[b854e200cd]`](https://github.com/aspnet/AspNetCore/commit/b854e200cd) Updated repo.targets to run only Nano functional tests when RUN_TESTS_ON_NANO is set to 'true'
* [`[a80594d706]`](https://github.com/aspnet/AspNetCore/commit/a80594d706) Add FSharpWebSite plus simple functional test against it (#6231)
* [`[6986ab3a0f]`](https://github.com/aspnet/AspNetCore/commit/6986ab3a0f) Change TFM to netcoreapp2.0
* [`[31eba3812f]`](https://github.com/aspnet/AspNetCore/commit/31eba3812f) clean-up after netcoreapp2.0 (#174)
* [`[1be9dc10ab]`](https://github.com/aspnet/AspNetCore/commit/1be9dc10ab) netcoreapp2.0 (#121)
* [`[e38dc4be38]`](https://github.com/aspnet/AspNetCore/commit/e38dc4be38) Change TFM to netcoreapp2.0
* [`[eff3bf5a09]`](https://github.com/aspnet/AspNetCore/commit/eff3bf5a09) Migrate to netcoreapp2.0
* [`[ce021a888e]`](https://github.com/aspnet/AspNetCore/commit/ce021a888e) Change TFM to netcoreapp2.0
* [`[9cd4bca6f5]`](https://github.com/aspnet/AspNetCore/commit/9cd4bca6f5) netcoreapp2.0 (#162)
* [`[f2260d572f]`](https://github.com/aspnet/AspNetCore/commit/f2260d572f) Templates: update React's component's State and Property type
* [`[5f8417779d]`](https://github.com/aspnet/AspNetCore/commit/5f8417779d) netcoreapp2.0 (#109)
* [`[30306fc4f4]`](https://github.com/aspnet/AspNetCore/commit/30306fc4f4) Change TFM to netcoreapp2.0
* [`[319f95db5e]`](https://github.com/aspnet/AspNetCore/commit/319f95db5e) netcoreapp20 (#173)
* [`[d84abf1fe6]`](https://github.com/aspnet/AspNetCore/commit/d84abf1fe6) Migrate to netcoreapp2.0 (#1202)
* [`[1c5e417606]`](https://github.com/aspnet/AspNetCore/commit/1c5e417606) Change TFM to netcoreapp2.0 (#6234)
* [`[905114e960]`](https://github.com/aspnet/AspNetCore/commit/905114e960) Migration
* [`[6965881ae1]`](https://github.com/aspnet/AspNetCore/commit/6965881ae1) netcoreapp2.0 (#47)
* [`[f357587c43]`](https://github.com/aspnet/AspNetCore/commit/f357587c43) netcoreapp2.0 (#47)
* [`[7f64811ccd]`](https://github.com/aspnet/AspNetCore/commit/7f64811ccd) Change targets (#437)
* [`[c9486eac0b]`](https://github.com/aspnet/AspNetCore/commit/c9486eac0b) Add blog link
* [`[d41f47f5bc]`](https://github.com/aspnet/AspNetCore/commit/d41f47f5bc) Make statusCode optional on RenderToStringResult. Fixes #917 and #918
* [`[6acc8899ad]`](https://github.com/aspnet/AspNetCore/commit/6acc8899ad) netcoreapp2.0 (#788)
* [`[41e434df8f]`](https://github.com/aspnet/AspNetCore/commit/41e434df8f) Dups
* [`[15ceec0b3f]`](https://github.com/aspnet/AspNetCore/commit/15ceec0b3f) Have templates declare dependency on SpaServices 1.1.1
* [`[decb13b33b]`](https://github.com/aspnet/AspNetCore/commit/decb13b33b) Make versions consistent across all .NET projects
* [`[02b31d05a2]`](https://github.com/aspnet/AspNetCore/commit/02b31d05a2) Stick closer to established style guides. Up buffer size to match websocket buffer size from original proxy code.
* [`[54884459bd]`](https://github.com/aspnet/AspNetCore/commit/54884459bd) Allow proxy middleware to abort long running connections.
* [`[018a3e65ff]`](https://github.com/aspnet/AspNetCore/commit/018a3e65ff) Put back "name" in AureliaSpa package.json because this is auto-replaced during template evaluation
* [`[e3a8c13c22]`](https://github.com/aspnet/AspNetCore/commit/e3a8c13c22) Make Aurelia webpack config as consistent as possible with the other templates
* [`[a658915842]`](https://github.com/aspnet/AspNetCore/commit/a658915842) Updated repo.targets to run only E2ETests when nano node is run
* [`[9072e0ba26]`](https://github.com/aspnet/AspNetCore/commit/9072e0ba26) Added a ConnectionAbortedException to Transport.Abstractions (#1806)
* [`[e15d1be616]`](https://github.com/aspnet/AspNetCore/commit/e15d1be616) Introduce SourceChange in place of TextChange
* [`[91bef13d31]`](https://github.com/aspnet/AspNetCore/commit/91bef13d31) Migration
* [`[ab81d51594]`](https://github.com/aspnet/AspNetCore/commit/ab81d51594) netcoreapp2.0
* [`[012d9990ef]`](https://github.com/aspnet/AspNetCore/commit/012d9990ef) Show fwlink on HTTPS certificate errors (#83).
* [`[670ad82d5b]`](https://github.com/aspnet/AspNetCore/commit/670ad82d5b) Updated targets dependency
* [`[11f7285881]`](https://github.com/aspnet/AspNetCore/commit/11f7285881) Run only nano tess based on condition
* [`[fef32e2faa]`](https://github.com/aspnet/AspNetCore/commit/fef32e2faa) Enable running Nano tests
* [`[9b32921a77]`](https://github.com/aspnet/AspNetCore/commit/9b32921a77) Missed rename updates
* [`[c0f86d5687]`](https://github.com/aspnet/AspNetCore/commit/c0f86d5687) Use ItemDefinitionGroup to simplify the list of packages.
* [`[ebdc68ac10]`](https://github.com/aspnet/AspNetCore/commit/ebdc68ac10) Exclude SQLitePCl.bundle_green targets when reference included via the Microsoft.AspNetCore.All metapackage
* [`[634c9c180c]`](https://github.com/aspnet/AspNetCore/commit/634c9c180c) Fix HTTPS functional tests on macOS (#96).
* [`[fbd3d9438a]`](https://github.com/aspnet/AspNetCore/commit/fbd3d9438a) Store sample app's certificate passwords in user secrets.
* [`[a23a255e2e]`](https://github.com/aspnet/AspNetCore/commit/a23a255e2e) Fix whitespace.
* [`[6ab84e0f27]`](https://github.com/aspnet/AspNetCore/commit/6ab84e0f27) Move System.Data.SqlClient version from csproj to dependencies.props (#786)
* [`[db517803c8]`](https://github.com/aspnet/AspNetCore/commit/db517803c8) Move System.Data.SqlClient version from csproj to dependencies.props (#293)
* [`[d74040786c]`](https://github.com/aspnet/AspNetCore/commit/d74040786c) #1053 Prevent IISExpressDeployer.Dispose nullref if the process failed to start
* [`[1ca8374028]`](https://github.com/aspnet/AspNetCore/commit/1ca8374028) Fix UseAzureAppServices_RegisterLogger test
* [`[1018f41f15]`](https://github.com/aspnet/AspNetCore/commit/1018f41f15) Missed some obsolete logging calls
* [`[f0c85abbaf]`](https://github.com/aspnet/AspNetCore/commit/f0c85abbaf) Correct RangeHelper documentation
* [`[dc44c1f123]`](https://github.com/aspnet/AspNetCore/commit/dc44c1f123) Use win7-x64/x86 rids for runtime store
* [`[95eb1cdae7]`](https://github.com/aspnet/AspNetCore/commit/95eb1cdae7) Force 2.0.0 dependencies for ApplicationInsights (#36)
* [`[3c358e9028]`](https://github.com/aspnet/AspNetCore/commit/3c358e9028) Replace ConfigureLogging(Action<ILoggerFactory>) with ConfigureLogging(Action<LoggerFactory>) extension
* [`[720a47765d]`](https://github.com/aspnet/AspNetCore/commit/720a47765d) Re-enable baseline check for ViewFeatures\r\nFixes #6186
* [`[b3b986bfa9]`](https://github.com/aspnet/AspNetCore/commit/b3b986bfa9) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[88461902cd]`](https://github.com/aspnet/AspNetCore/commit/88461902cd) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[350aba7279]`](https://github.com/aspnet/AspNetCore/commit/350aba7279) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[e7b403adee]`](https://github.com/aspnet/AspNetCore/commit/e7b403adee) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[856908eafa]`](https://github.com/aspnet/AspNetCore/commit/856908eafa) Skip ApplicationInsightsLoggingTest.ScriptInjected (#42)
* [`[a4510bd2c3]`](https://github.com/aspnet/AspNetCore/commit/a4510bd2c3) Skip ApplicationInsightsLoggingTest.ScriptInjected (#42)
* [`[605aeddc22]`](https://github.com/aspnet/AspNetCore/commit/605aeddc22) Support more certificate loading scenarios (#69).
* [`[cf2d6ce697]`](https://github.com/aspnet/AspNetCore/commit/cf2d6ce697) Redis presence manager
* [`[7713124bd8]`](https://github.com/aspnet/AspNetCore/commit/7713124bd8) Making PresenceHubLifetimeManager a wrapper
* [`[7f3baf5ce6]`](https://github.com/aspnet/AspNetCore/commit/7f3baf5ce6) Splitting PresenceManager
* [`[19b390c5ab]`](https://github.com/aspnet/AspNetCore/commit/19b390c5ab) Redis based scaleout presence
* [`[632c8abf77]`](https://github.com/aspnet/AspNetCore/commit/632c8abf77) Single server presence
* [`[963fcd41ed]`](https://github.com/aspnet/AspNetCore/commit/963fcd41ed) Add functionality to track online users
* [`[a5a9b6adab]`](https://github.com/aspnet/AspNetCore/commit/a5a9b6adab) Use RuntimeFrameworkVersion instead for directory name (#82)
* [`[35b5d92652]`](https://github.com/aspnet/AspNetCore/commit/35b5d92652) Fix EBUSY errors on uv_loop_close  (#1798)
* [`[0e509b4bbb]`](https://github.com/aspnet/AspNetCore/commit/0e509b4bbb) Add incomplete directive integration tests.
* [`[6155cc2c52]`](https://github.com/aspnet/AspNetCore/commit/6155cc2c52) #32 Set the SiteExtension package metadata
* [`[659c008ea8]`](https://github.com/aspnet/AspNetCore/commit/659c008ea8) fix LZMA archive directory structure (#88)
* [`[2f7fd9897e]`](https://github.com/aspnet/AspNetCore/commit/2f7fd9897e) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[152379a55d]`](https://github.com/aspnet/AspNetCore/commit/152379a55d) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[87fcdc4b0e]`](https://github.com/aspnet/AspNetCore/commit/87fcdc4b0e) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[0c7628437d]`](https://github.com/aspnet/AspNetCore/commit/0c7628437d) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[13df2a8877]`](https://github.com/aspnet/AspNetCore/commit/13df2a8877) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[c0f4a211e4]`](https://github.com/aspnet/AspNetCore/commit/c0f4a211e4) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[1f1f0994d6]`](https://github.com/aspnet/AspNetCore/commit/1f1f0994d6) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[0e83bce219]`](https://github.com/aspnet/AspNetCore/commit/0e83bce219) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[e711985920]`](https://github.com/aspnet/AspNetCore/commit/e711985920) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[e835438042]`](https://github.com/aspnet/AspNetCore/commit/e835438042) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[561a22e367]`](https://github.com/aspnet/AspNetCore/commit/561a22e367) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[0f114f9df9]`](https://github.com/aspnet/AspNetCore/commit/0f114f9df9) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[4628a2ff4e]`](https://github.com/aspnet/AspNetCore/commit/4628a2ff4e) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[f9cd44d780]`](https://github.com/aspnet/AspNetCore/commit/f9cd44d780) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[169694053b]`](https://github.com/aspnet/AspNetCore/commit/169694053b) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[e950934314]`](https://github.com/aspnet/AspNetCore/commit/e950934314) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[aa4bef0f54]`](https://github.com/aspnet/AspNetCore/commit/aa4bef0f54) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[d277144cb3]`](https://github.com/aspnet/AspNetCore/commit/d277144cb3) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[d39aa567ae]`](https://github.com/aspnet/AspNetCore/commit/d39aa567ae) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[e70ee8ab6e]`](https://github.com/aspnet/AspNetCore/commit/e70ee8ab6e) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[cbde9c0c8a]`](https://github.com/aspnet/AspNetCore/commit/cbde9c0c8a) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[d9a9f248b4]`](https://github.com/aspnet/AspNetCore/commit/d9a9f248b4) Use the bundled NETStandard.Library package in netstandard targeting libraries
* [`[08ec9a7e49]`](https://github.com/aspnet/AspNetCore/commit/08ec9a7e49) Use RuntimeFrameworkVersion instead for directory name (#82)
* [`[dc66eabbff]`](https://github.com/aspnet/AspNetCore/commit/dc66eabbff) Fail if baseline longer than generated
* [`[4dc7946cd8]`](https://github.com/aspnet/AspNetCore/commit/4dc7946cd8) Implement new request trace identifier format
* [`[749e282102]`](https://github.com/aspnet/AspNetCore/commit/749e282102) Prepare for OnReader/WriterCallbacks changes (#1791)
* [`[86beea4269]`](https://github.com/aspnet/AspNetCore/commit/86beea4269) Fix @namespace directive to handle incomplete directives.
* [`[232b73a151]`](https://github.com/aspnet/AspNetCore/commit/232b73a151) Fix aspnet/Mvc#6218
* [`[207e0f0b59]`](https://github.com/aspnet/AspNetCore/commit/207e0f0b59) Change `GetImports` to allow querying of information on non-existent files.
* [`[c176bdbab0]`](https://github.com/aspnet/AspNetCore/commit/c176bdbab0) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[18acd972df]`](https://github.com/aspnet/AspNetCore/commit/18acd972df) Add more packages
* [`[186c411f43]`](https://github.com/aspnet/AspNetCore/commit/186c411f43) Clean up (#427)
* [`[f23ba913db]`](https://github.com/aspnet/AspNetCore/commit/f23ba913db) Skip dotnet-watch functional tests while we investigate CI hangs
* [`[db868af8d8]`](https://github.com/aspnet/AspNetCore/commit/db868af8d8) Added stricter SSE message type parsing (#410)
* [`[88f43ffc1a]`](https://github.com/aspnet/AspNetCore/commit/88f43ffc1a) Fix race conditions between CTRL+C and RunAsync in dotnet-watch
* [`[9185deecda]`](https://github.com/aspnet/AspNetCore/commit/9185deecda) Avoid port conflicts in AddressRegistrationTests (#1721).
* [`[dfd1da68ec]`](https://github.com/aspnet/AspNetCore/commit/dfd1da68ec) Application insights logger lightup (#31)
* [`[a6c4df69eb]`](https://github.com/aspnet/AspNetCore/commit/a6c4df69eb) Wrong target for dependency
* [`[97a333fb66]`](https://github.com/aspnet/AspNetCore/commit/97a333fb66) sed differences on OSX and Linux
* [`[97bf16f852]`](https://github.com/aspnet/AspNetCore/commit/97bf16f852) Hack a no timestamp version of the runtime store and deps file
* [`[485cf19ab6]`](https://github.com/aspnet/AspNetCore/commit/485cf19ab6) Hack a no timestamp version of the runtime store and deps file
* [`[8f65367947]`](https://github.com/aspnet/AspNetCore/commit/8f65367947) Set actual additional deps path.
* [`[5b62024fc8]`](https://github.com/aspnet/AspNetCore/commit/5b62024fc8) * Properly handle FINs and resets in the SocketConnection (#1782)
* [`[79ea2bb9b3]`](https://github.com/aspnet/AspNetCore/commit/79ea2bb9b3) Quick fix for SslStream ODEs in HttpsAdaptedConnection.PrepareRequest (#1786)
* [`[8102d6a038]`](https://github.com/aspnet/AspNetCore/commit/8102d6a038) Add configuration to logging in WebHost
* [`[70716bdff5]`](https://github.com/aspnet/AspNetCore/commit/70716bdff5) use actual set of packages (#78)
* [`[77d9b16ad2]`](https://github.com/aspnet/AspNetCore/commit/77d9b16ad2) restore restoring of the archive project
* [`[d19ed0070c]`](https://github.com/aspnet/AspNetCore/commit/d19ed0070c) Move Long Polling and SSE send logic to a common place (#424)
* [`[ac508e9ef3]`](https://github.com/aspnet/AspNetCore/commit/ac508e9ef3) just package the archive separately
* [`[db31459551]`](https://github.com/aspnet/AspNetCore/commit/db31459551) fix timestamps
* [`[add3d93101]`](https://github.com/aspnet/AspNetCore/commit/add3d93101) :arrow_up: RuntimeFrameworkVersion to 1.0.5
* [`[3a248e22c8]`](https://github.com/aspnet/AspNetCore/commit/3a248e22c8) Upgrade System.Data.SqlClient to 4.4.0-* (#287)
* [`[6c6950b40c]`](https://github.com/aspnet/AspNetCore/commit/6c6950b40c) ensure we overwrite the ZIP when we rearchive it
* [`[a67bbab6b3]`](https://github.com/aspnet/AspNetCore/commit/a67bbab6b3) Changing the RID back from win-x64 to win7-x64 to workaround SQL issue
* [`[fc45d79606]`](https://github.com/aspnet/AspNetCore/commit/fc45d79606) Changing the RID back from win-x64 to win7-x64 to workaround SQL issue
* [`[547e415ca4]`](https://github.com/aspnet/AspNetCore/commit/547e415ca4) Changing the RID back from win-x64 to win7-x64 to workaround SQL issue
* [`[b59c8b8420]`](https://github.com/aspnet/AspNetCore/commit/b59c8b8420) Changing the RID back from win-x64 to win7-x64 to workaround SQL issue
* [`[f9e9511435]`](https://github.com/aspnet/AspNetCore/commit/f9e9511435) Upgrade System.Data.SqlClient to 4.4.0-* (#785)
* [`[a8d18ed7c6]`](https://github.com/aspnet/AspNetCore/commit/a8d18ed7c6) Changing the RID back from win-x64 to win7-x64 to workaround SQL issue
* [`[795b4d36e7]`](https://github.com/aspnet/AspNetCore/commit/795b4d36e7) AddUserSecrets is optional
* [`[c56d76693e]`](https://github.com/aspnet/AspNetCore/commit/c56d76693e) Rename file
* [`[291cc1e84b]`](https://github.com/aspnet/AspNetCore/commit/291cc1e84b) Updated runtime identifier
* [`[cb4aff5890]`](https://github.com/aspnet/AspNetCore/commit/cb4aff5890) updated runtime identifiers
* [`[d1a8a15b87]`](https://github.com/aspnet/AspNetCore/commit/d1a8a15b87) Updated runtime identifiers
* [`[4039af267d]`](https://github.com/aspnet/AspNetCore/commit/4039af267d) fix drop share reference
* [`[d940c1eb75]`](https://github.com/aspnet/AspNetCore/commit/d940c1eb75) Updated runtime identifiers
* [`[ccad1b62b4]`](https://github.com/aspnet/AspNetCore/commit/ccad1b62b4) Updated runtime identifier names
* [`[82f99a1424]`](https://github.com/aspnet/AspNetCore/commit/82f99a1424) Work around for a Firefox bug
* [`[8bece90c83]`](https://github.com/aspnet/AspNetCore/commit/8bece90c83) Fix asp-page-handler to generate form tags correctly.
* [`[8a41339680]`](https://github.com/aspnet/AspNetCore/commit/8a41339680) Long path woes
* [`[39b2990b62]`](https://github.com/aspnet/AspNetCore/commit/39b2990b62) Preserving user's queryString
* [`[58e7c1b1fe]`](https://github.com/aspnet/AspNetCore/commit/58e7c1b1fe) Allowing passing ITransport to start
* [`[b1b3a816cc]`](https://github.com/aspnet/AspNetCore/commit/b1b3a816cc) Rename View() to Page()
* [`[4ccb09c444]`](https://github.com/aspnet/AspNetCore/commit/4ccb09c444) Package Fallback Folder archive generation (#70)
* [`[ba2bca4a96]`](https://github.com/aspnet/AspNetCore/commit/ba2bca4a96) Run IHostingStartup's before materializing IConfiguration (#1052)
* [`[979107493e]`](https://github.com/aspnet/AspNetCore/commit/979107493e) Treat all SQL exceptions the same in DatabaseErrorPageMiddlewareTest
* [`[c2f15fcac3]`](https://github.com/aspnet/AspNetCore/commit/c2f15fcac3) Move user-facing strings into resource files
* [`[cb4d44cb8e]`](https://github.com/aspnet/AspNetCore/commit/cb4d44cb8e) Fix MSB4011 warnings
* [`[bd9c6600e8]`](https://github.com/aspnet/AspNetCore/commit/bd9c6600e8) Fix reference to Microsoft.AspNetCore.FunctionalTests.csproj in solution file.
* [`[21de306963]`](https://github.com/aspnet/AspNetCore/commit/21de306963) Bind Kestrel options to config by default (#30).
* [`[344862fbc3]`](https://github.com/aspnet/AspNetCore/commit/344862fbc3) Change string token parsing to not flow errored tokens.
* [`[3ae799c9c8]`](https://github.com/aspnet/AspNetCore/commit/3ae799c9c8) Zip store and deps together
* [`[490f94d425]`](https://github.com/aspnet/AspNetCore/commit/490f94d425) Add placeholder `DefineSection` method.
* [`[74b318b3e4]`](https://github.com/aspnet/AspNetCore/commit/74b318b3e4) Support binary messages in SSE parser (#418)
* [`[1160784d08]`](https://github.com/aspnet/AspNetCore/commit/1160784d08) Add Microsoft.Extensions.Hosting.Abstractions
* [`[7787e963dd]`](https://github.com/aspnet/AspNetCore/commit/7787e963dd) Enable validate scopes in dependency injection (#783)
* [`[ab0bf52f3b]`](https://github.com/aspnet/AspNetCore/commit/ab0bf52f3b) Rebase fix
* [`[285d62b312]`](https://github.com/aspnet/AspNetCore/commit/285d62b312) Move IHostedService to new Microsoft.Extensions.Hosting.Abstractions package.
* [`[735337f586]`](https://github.com/aspnet/AspNetCore/commit/735337f586) Add functional tests
* [`[0d66125fda]`](https://github.com/aspnet/AspNetCore/commit/0d66125fda) WebHost static API updates
* [`[9464003bda]`](https://github.com/aspnet/AspNetCore/commit/9464003bda) Add wait in ListenerPrimaryTests to avoid race condition with List.Add
* [`[a9ce780cef]`](https://github.com/aspnet/AspNetCore/commit/a9ce780cef) Updating package version to preview2
* [`[91e989e628]`](https://github.com/aspnet/AspNetCore/commit/91e989e628) Updating package version to preview2
* [`[4331c021b1]`](https://github.com/aspnet/AspNetCore/commit/4331c021b1) Clean up before AddManifestToNupkg
* [`[552ddd1011]`](https://github.com/aspnet/AspNetCore/commit/552ddd1011) Updating package version to preview2
* [`[981d057395]`](https://github.com/aspnet/AspNetCore/commit/981d057395) Updating package version to preview2
* [`[3006d315cc]`](https://github.com/aspnet/AspNetCore/commit/3006d315cc) Updating package version to preview2
* [`[dc24aa7abd]`](https://github.com/aspnet/AspNetCore/commit/dc24aa7abd) Updating package version to preview2
* [`[19e3b1afe6]`](https://github.com/aspnet/AspNetCore/commit/19e3b1afe6) Updating package version to preview2
* [`[998767043a]`](https://github.com/aspnet/AspNetCore/commit/998767043a) Updating package version to preview2
* [`[da4599c066]`](https://github.com/aspnet/AspNetCore/commit/da4599c066) Updating package version to preview2
* [`[3f9e0a09de]`](https://github.com/aspnet/AspNetCore/commit/3f9e0a09de) Updating package version to preview2
* [`[e918c59113]`](https://github.com/aspnet/AspNetCore/commit/e918c59113) Updating package version to preview2
* [`[80662c5d06]`](https://github.com/aspnet/AspNetCore/commit/80662c5d06) Updating package version to preview2
* [`[099f8f1a47]`](https://github.com/aspnet/AspNetCore/commit/099f8f1a47) Updating package version to preview2
* [`[d0e7b6b7cd]`](https://github.com/aspnet/AspNetCore/commit/d0e7b6b7cd) Updating package version to preview2
* [`[eba8d8a94f]`](https://github.com/aspnet/AspNetCore/commit/eba8d8a94f) Updating package version to preview2
* [`[22f92e4aac]`](https://github.com/aspnet/AspNetCore/commit/22f92e4aac) Updating package version to preview2
* [`[08132f809e]`](https://github.com/aspnet/AspNetCore/commit/08132f809e) Updating package version to preview2
* [`[36a11404ac]`](https://github.com/aspnet/AspNetCore/commit/36a11404ac) Updating package version to preview2
* [`[4063f64c00]`](https://github.com/aspnet/AspNetCore/commit/4063f64c00) Updating package version to preview2
* [`[f86cd6b9b4]`](https://github.com/aspnet/AspNetCore/commit/f86cd6b9b4) Updating package version to preview2
* [`[060fcca779]`](https://github.com/aspnet/AspNetCore/commit/060fcca779) Updating package version to preview2
* [`[febaba8367]`](https://github.com/aspnet/AspNetCore/commit/febaba8367) Updating package version to preview2
* [`[e66b8e3879]`](https://github.com/aspnet/AspNetCore/commit/e66b8e3879) Updating package version to preview2
* [`[b86626fc21]`](https://github.com/aspnet/AspNetCore/commit/b86626fc21) Updating package version to preview2
* [`[ef21413f9c]`](https://github.com/aspnet/AspNetCore/commit/ef21413f9c) Updating package version to preview2
* [`[e1a29f1b61]`](https://github.com/aspnet/AspNetCore/commit/e1a29f1b61) Trim by all manifests
* [`[63337549b1]`](https://github.com/aspnet/AspNetCore/commit/63337549b1) fix namespace reference for LoggedTest
* [`[5aea7292cd]`](https://github.com/aspnet/AspNetCore/commit/5aea7292cd) prevent websocket deadlock (#419)
* [`[f165914b40]`](https://github.com/aspnet/AspNetCore/commit/f165914b40) Update how `FormTagHelper` handles `get` method attributes.
* [`[eb1301f28d]`](https://github.com/aspnet/AspNetCore/commit/eb1301f28d) Skip HostName binding test when network is unreachable
* [`[4dad47eeab]`](https://github.com/aspnet/AspNetCore/commit/4dad47eeab) Ignore assembly version when activating DataProtection types from string name (#223)
* [`[c73bd7e63e]`](https://github.com/aspnet/AspNetCore/commit/c73bd7e63e) Increase timeout in EF tests
* [`[8358de0bd2]`](https://github.com/aspnet/AspNetCore/commit/8358de0bd2) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[8270a002b3]`](https://github.com/aspnet/AspNetCore/commit/8270a002b3) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[5b976a9fa3]`](https://github.com/aspnet/AspNetCore/commit/5b976a9fa3) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[ce4e94c1ac]`](https://github.com/aspnet/AspNetCore/commit/ce4e94c1ac) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[9e13f0fdb0]`](https://github.com/aspnet/AspNetCore/commit/9e13f0fdb0) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[0cc0a46b74]`](https://github.com/aspnet/AspNetCore/commit/0cc0a46b74) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[ccc15bf81f]`](https://github.com/aspnet/AspNetCore/commit/ccc15bf81f) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[2004897188]`](https://github.com/aspnet/AspNetCore/commit/2004897188) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[0c9a7379f2]`](https://github.com/aspnet/AspNetCore/commit/0c9a7379f2) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[d3d88481e2]`](https://github.com/aspnet/AspNetCore/commit/d3d88481e2) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[38dd87032d]`](https://github.com/aspnet/AspNetCore/commit/38dd87032d) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[07665c99e8]`](https://github.com/aspnet/AspNetCore/commit/07665c99e8) Add JavaScriptSnippetTagHelperComponent (#27)
* [`[42b988ad88]`](https://github.com/aspnet/AspNetCore/commit/42b988ad88) ./ paths relative on page.
* [`[98b1945d65]`](https://github.com/aspnet/AspNetCore/commit/98b1945d65) Set TargetManifestFiles in PropertyGroup
* [`[85f37c0198]`](https://github.com/aspnet/AspNetCore/commit/85f37c0198) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[db319f455c]`](https://github.com/aspnet/AspNetCore/commit/db319f455c) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[691cd146ce]`](https://github.com/aspnet/AspNetCore/commit/691cd146ce) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[04fe7fd31b]`](https://github.com/aspnet/AspNetCore/commit/04fe7fd31b) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[720cf1cf0e]`](https://github.com/aspnet/AspNetCore/commit/720cf1cf0e) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[d81af19645]`](https://github.com/aspnet/AspNetCore/commit/d81af19645) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[e61f7a591c]`](https://github.com/aspnet/AspNetCore/commit/e61f7a591c) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[142a13164e]`](https://github.com/aspnet/AspNetCore/commit/142a13164e) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[8f0bb46484]`](https://github.com/aspnet/AspNetCore/commit/8f0bb46484) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[2c2992b465]`](https://github.com/aspnet/AspNetCore/commit/2c2992b465) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[84b549abe0]`](https://github.com/aspnet/AspNetCore/commit/84b549abe0) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[ee3fc37413]`](https://github.com/aspnet/AspNetCore/commit/ee3fc37413) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[c68e8035d9]`](https://github.com/aspnet/AspNetCore/commit/c68e8035d9) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[5fe4807c1e]`](https://github.com/aspnet/AspNetCore/commit/5fe4807c1e) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[0786f18c3e]`](https://github.com/aspnet/AspNetCore/commit/0786f18c3e) Use Bundled NETStandard.Library \ NETCoreApp versions instead of explicitly specifying one
* [`[8377d226f1]`](https://github.com/aspnet/AspNetCore/commit/8377d226f1) Execute IHostingStart instances in the primary assembly (#1033)
* [`[566a587126]`](https://github.com/aspnet/AspNetCore/commit/566a587126) Added ApplicationSchedulingMode to KestrelServerOptions (#1759)
* [`[649ee4d28d]`](https://github.com/aspnet/AspNetCore/commit/649ee4d28d) Add support for page handler to URL generating APIs.
* [`[ef0333ac6a]`](https://github.com/aspnet/AspNetCore/commit/ef0333ac6a) Add Antiforgery to the FormTagHelper pre-check for processing.
* [`[27148c05f6]`](https://github.com/aspnet/AspNetCore/commit/27148c05f6) Update our Roslyn dependencies to 15.3
* [`[5c8a161ace]`](https://github.com/aspnet/AspNetCore/commit/5c8a161ace) Change `FormTagHelper` to apply to all form tags.
* [`[2c5132251b]`](https://github.com/aspnet/AspNetCore/commit/2c5132251b) Updated to support IISExpress and add new test cases for the additional environment variables (#93)
* [`[f26c31c116]`](https://github.com/aspnet/AspNetCore/commit/f26c31c116) Fix scope id test failures on mac and linux (#1754)
* [`[39047638cc]`](https://github.com/aspnet/AspNetCore/commit/39047638cc) Add debug logging in address binding when IPv6Any fails
* [`[089ff49643]`](https://github.com/aspnet/AspNetCore/commit/089ff49643) Put hostname address registration into separate test
* [`[c22f8f5c59]`](https://github.com/aspnet/AspNetCore/commit/c22f8f5c59) Fix potential race in  LibuvThread.StopAsync (#1756)
* [`[c77f7b7c77]`](https://github.com/aspnet/AspNetCore/commit/c77f7b7c77) Add Microsoft.AspNetCore to Microsoft.AspNetCore.All
* [`[ccdaa5a729]`](https://github.com/aspnet/AspNetCore/commit/ccdaa5a729) Make /Pages the default root for pages.
* [`[280a849060]`](https://github.com/aspnet/AspNetCore/commit/280a849060) Move the target files to the correct location in .nupkg
* [`[d2816d14ab]`](https://github.com/aspnet/AspNetCore/commit/d2816d14ab) Make WebHost internal
* [`[0f28da1234]`](https://github.com/aspnet/AspNetCore/commit/0f28da1234) Use correct version of M.A.Diagnostics.Identity.Service
* [`[04fd762943]`](https://github.com/aspnet/AspNetCore/commit/04fd762943) Rename form-action -> handler
* [`[c6fcd743db]`](https://github.com/aspnet/AspNetCore/commit/c6fcd743db) Add more package to package cache.
* [`[3a4a3ca291]`](https://github.com/aspnet/AspNetCore/commit/3a4a3ca291) WebHost static API updates
* [`[1018a20c61]`](https://github.com/aspnet/AspNetCore/commit/1018a20c61) more logging (#417)
* [`[a98581670e]`](https://github.com/aspnet/AspNetCore/commit/a98581670e) Schedule connection adapter reads on configured thread pool (#1741)
* [`[3085f016e4]`](https://github.com/aspnet/AspNetCore/commit/3085f016e4) Fix GetToken()
* [`[df9e48b1f0]`](https://github.com/aspnet/AspNetCore/commit/df9e48b1f0) Add cancellation support for write async (#1736)
* [`[c959795a64]`](https://github.com/aspnet/AspNetCore/commit/c959795a64) Creating one IAuthenticatedEncryptor per IKey
* [`[1e61428f8e]`](https://github.com/aspnet/AspNetCore/commit/1e61428f8e) Lift packages to target .NET Core 2.0
* [`[cacee2a837]`](https://github.com/aspnet/AspNetCore/commit/cacee2a837) Break fix: Undo part of 141b637 - affected test using a test factory for `HttpResponseStreamWriter`s
* [`[71d2abed06]`](https://github.com/aspnet/AspNetCore/commit/71d2abed06) More clean up of LibuvConnection (#1743)
* [`[58cc0bc3f9]`](https://github.com/aspnet/AspNetCore/commit/58cc0bc3f9) Fix the configuration key name for PreferHostingUrls (#1034)
* [`[5472763fc2]`](https://github.com/aspnet/AspNetCore/commit/5472763fc2) Added feature to control http body behavior (#821)
* [`[650a3ccc26]`](https://github.com/aspnet/AspNetCore/commit/650a3ccc26) Pass exception to Complete (#1739)
* [`[da5c304f5d]`](https://github.com/aspnet/AspNetCore/commit/da5c304f5d) Temporarily deativate API Check
* [`[ca017eced2]`](https://github.com/aspnet/AspNetCore/commit/ca017eced2) Add page to AnchorTagHelper and FormTagHelper
* [`[f568d3c2bc]`](https://github.com/aspnet/AspNetCore/commit/f568d3c2bc) Support finding "sibling" pages when using RedirecToPage
* [`[297196baa0]`](https://github.com/aspnet/AspNetCore/commit/297196baa0) Design updates to handler methods and binding
* [`[908b4c8d62]`](https://github.com/aspnet/AspNetCore/commit/908b4c8d62) FormAction from QueryString
* [`[a749939be4]`](https://github.com/aspnet/AspNetCore/commit/a749939be4) Clean up libuv connection (#1726)
* [`[8eac7c2d6c]`](https://github.com/aspnet/AspNetCore/commit/8eac7c2d6c) [Fixes #6117] Added RedirectToPage overloads to Controller
* [`[7dff704c34]`](https://github.com/aspnet/AspNetCore/commit/7dff704c34) Unskipped Nano server's standalone tests
* [`[83faaebdb6]`](https://github.com/aspnet/AspNetCore/commit/83faaebdb6) Upgrade Roslyn dependency to 2.0.0.
* [`[1696e2aebf]`](https://github.com/aspnet/AspNetCore/commit/1696e2aebf) Upgrade Razor's Roslyn dependency to 2.0.0.
* [`[9daa61084e]`](https://github.com/aspnet/AspNetCore/commit/9daa61084e) Make DataStoreErrorLogger._log static
* [`[31635abf6b]`](https://github.com/aspnet/AspNetCore/commit/31635abf6b) Resolve warnings about duplicate imports of Microsoft.Common.targets
* [`[025870e8b9]`](https://github.com/aspnet/AspNetCore/commit/025870e8b9) Fix #6159 - Fix deep copy for ControllerModel and ActionModel
* [`[e606844509]`](https://github.com/aspnet/AspNetCore/commit/e606844509) Unskipped standalone functional tests
* [`[51f77ea7f3]`](https://github.com/aspnet/AspNetCore/commit/51f77ea7f3) Workaround: On xplat machines, provided executable permission to published standalone application executable
* [`[f4d84f50cd]`](https://github.com/aspnet/AspNetCore/commit/f4d84f50cd) Upgrading Moq to 4.7.1
* [`[2388cca5ac]`](https://github.com/aspnet/AspNetCore/commit/2388cca5ac) Workaround for issue https://github.com/aspnet/Routing/issues/390
* [`[4f20655850]`](https://github.com/aspnet/AspNetCore/commit/4f20655850) Set DisplayName for auth
* [`[c25aadf599]`](https://github.com/aspnet/AspNetCore/commit/c25aadf599) Enable page directive to handle malformed text.
* [`[ea3becb3ca]`](https://github.com/aspnet/AspNetCore/commit/ea3becb3ca) Reenable APICheck
* [`[9fe480f735]`](https://github.com/aspnet/AspNetCore/commit/9fe480f735) Add LazyReferenceMetadataFeature
* [`[ee9feedc27]`](https://github.com/aspnet/AspNetCore/commit/ee9feedc27) Improve implementation of IHttpUpgradeFeature
* [`[4566cf9fdb]`](https://github.com/aspnet/AspNetCore/commit/4566cf9fdb) Add DisplayName to scheme
* [`[e3180baea5]`](https://github.com/aspnet/AspNetCore/commit/e3180baea5) Re-enable Entity Framework tests
* [`[f31b45d84a]`](https://github.com/aspnet/AspNetCore/commit/f31b45d84a) Enable TagHelper directives to handle malformed text.
* [`[681b798a2e]`](https://github.com/aspnet/AspNetCore/commit/681b798a2e) RedirectToPage doesn't trim /Index from URL
* [`[e2e350ec6c]`](https://github.com/aspnet/AspNetCore/commit/e2e350ec6c) [Fixes #763] Investigate System.Security.Claims references required to make compilation work
* [`[e450dd707e]`](https://github.com/aspnet/AspNetCore/commit/e450dd707e) Deleted obsolete razor views and models
* [`[4c8b548b30]`](https://github.com/aspnet/AspNetCore/commit/4c8b548b30) Change *.HostingStartups to target netcoreapp2.0 so we get .deps.json for free. (#24)
* [`[d1494224f4]`](https://github.com/aspnet/AspNetCore/commit/d1494224f4) Make the tests that use the Heartbeat more deterministic. (#1724)
* [`[fc51c4ffa6]`](https://github.com/aspnet/AspNetCore/commit/fc51c4ffa6) Add inject
* [`[62abf9431f]`](https://github.com/aspnet/AspNetCore/commit/62abf9431f) Add using to sample
* [`[27e90edc1c]`](https://github.com/aspnet/AspNetCore/commit/27e90edc1c) SignalR => Auth 2.0
* [`[a053ca4758]`](https://github.com/aspnet/AspNetCore/commit/a053ca4758) Move shutdown logic from transport to core (#1707)
* [`[d40dbb81ea]`](https://github.com/aspnet/AspNetCore/commit/d40dbb81ea) Fixed broken tests that leak UvWriteReq
* [`[d938fef626]`](https://github.com/aspnet/AspNetCore/commit/d938fef626) MvcPrecompilation => Auth 2.0
* [`[4bf518b09b]`](https://github.com/aspnet/AspNetCore/commit/4bf518b09b) Fix #6140 - Allow linking between controller and page
* [`[76a4299b52]`](https://github.com/aspnet/AspNetCore/commit/76a4299b52) #326 Fix API set target
* [`[42d82a507d]`](https://github.com/aspnet/AspNetCore/commit/42d82a507d) Make all UvRequest objects normal GC handles (#1698)
* [`[025efe1d6e]`](https://github.com/aspnet/AspNetCore/commit/025efe1d6e) Fix usings to use Auth 2.0
* [`[c9bfd2296d]`](https://github.com/aspnet/AspNetCore/commit/c9bfd2296d) Parity between Controller and Page/PageModel
* [`[bb73898ca2]`](https://github.com/aspnet/AspNetCore/commit/bb73898ca2) Disable api check
* [`[da30688fa9]`](https://github.com/aspnet/AspNetCore/commit/da30688fa9) Disable api checks for now
* [`[99aa3bd35d]`](https://github.com/aspnet/AspNetCore/commit/99aa3bd35d) Auth 2.0
* [`[4237a93ee8]`](https://github.com/aspnet/AspNetCore/commit/4237a93ee8) MusicStore => Auth 2.0
* [`[3e8cd1e7c9]`](https://github.com/aspnet/AspNetCore/commit/3e8cd1e7c9) MVC => Auth 2.0
* [`[7f4aa60a45]`](https://github.com/aspnet/AspNetCore/commit/7f4aa60a45) Add support for precompiling RazorPages
* [`[16eae43d38]`](https://github.com/aspnet/AspNetCore/commit/16eae43d38) Missed repository update
* [`[e4ba1d01ce]`](https://github.com/aspnet/AspNetCore/commit/e4ba1d01ce) Ensure that KeepAliveTimeoutTests do not run with sync context (#1718)
* [`[d65e77e4f7]`](https://github.com/aspnet/AspNetCore/commit/d65e77e4f7) Updated dependency model version to 2.0.0-*
* [`[c202608f19]`](https://github.com/aspnet/AspNetCore/commit/c202608f19) Platform specific path separator
* [`[a8eb5bee70]`](https://github.com/aspnet/AspNetCore/commit/a8eb5bee70) Implement view search for pages
* [`[8c8f6c708b]`](https://github.com/aspnet/AspNetCore/commit/8c8f6c708b) Server-Sent Events Transport + Parser (#401)
* [`[4319593e7f]`](https://github.com/aspnet/AspNetCore/commit/4319593e7f) Updated dependency model version to 2.0.0-*
* [`[a4a194e273]`](https://github.com/aspnet/AspNetCore/commit/a4a194e273) Make ViewComponentTagHelper discovery resilient to null.
* [`[2d15ba8917]`](https://github.com/aspnet/AspNetCore/commit/2d15ba8917) Add manifests to .All MetaPackage
* [`[2d278009b2]`](https://github.com/aspnet/AspNetCore/commit/2d278009b2) clean up client sample (#392)
* [`[d4d0e28f0e]`](https://github.com/aspnet/AspNetCore/commit/d4d0e28f0e) Updated ViewCompilation project to netcoreapp2.0
* [`[d8b1724454]`](https://github.com/aspnet/AspNetCore/commit/d8b1724454) improve logging of Autobahn tests (#166)
* [`[e691e1cff8]`](https://github.com/aspnet/AspNetCore/commit/e691e1cff8) Removing legacy raw format for `send` Fixes issues #383 and #127
* [`[0ce85e2ea2]`](https://github.com/aspnet/AspNetCore/commit/0ce85e2ea2) #263 Add Caching_SetTtlAndStatusCode_Cached test diagnostics
* [`[88890595d1]`](https://github.com/aspnet/AspNetCore/commit/88890595d1) Define a constant to workaround corefxlab classes asses modifier issue
* [`[a0743650ef]`](https://github.com/aspnet/AspNetCore/commit/a0743650ef) Don't use hardcoded ports in PreferHostingUrls tests (#1701).
* [`[801a7c7652]`](https://github.com/aspnet/AspNetCore/commit/801a7c7652) Add copyright header to TransportSocketOptions.cs.
* [`[87c513b0d8]`](https://github.com/aspnet/AspNetCore/commit/87c513b0d8) Add target to set default target manifest
* [`[d508c027ba]`](https://github.com/aspnet/AspNetCore/commit/d508c027ba) Add GetToken overload to HttpContext as well
* [`[c56b64fc41]`](https://github.com/aspnet/AspNetCore/commit/c56b64fc41) Add factory methods
* [`[e4af3f7e35]`](https://github.com/aspnet/AspNetCore/commit/e4af3f7e35) Expose a UseTransportThread property on KestrelServerOptions (#1695)
* [`[de6da7c757]`](https://github.com/aspnet/AspNetCore/commit/de6da7c757) Add ConfigureAwait(false) to test helpers (#1699)
* [`[8ed55107e7]`](https://github.com/aspnet/AspNetCore/commit/8ed55107e7) Add support for page precompilation
* [`[775847a1fa]`](https://github.com/aspnet/AspNetCore/commit/775847a1fa) Disable SqlServer specific tests on netcoreapp2.0 on win7/2008
* [`[31cc1e5018]`](https://github.com/aspnet/AspNetCore/commit/31cc1e5018) Fix extra space
* [`[6a403d231e]`](https://github.com/aspnet/AspNetCore/commit/6a403d231e) Clean up IThreadPool interface (#1696)
* [`[c18724a275]`](https://github.com/aspnet/AspNetCore/commit/c18724a275) Updated to use 0.4.0 version of IntegrationTesting package
* [`[04c86c65b6]`](https://github.com/aspnet/AspNetCore/commit/04c86c65b6) Nuget pack requires a version attribute
* [`[4b4b375909]`](https://github.com/aspnet/AspNetCore/commit/4b4b375909) Add GetToken overload using default scheme
* [`[385e2523a9]`](https://github.com/aspnet/AspNetCore/commit/385e2523a9) Re-enable ViewComponentTagHelpers for tooling.
* [`[b19a46f3c2]`](https://github.com/aspnet/AspNetCore/commit/b19a46f3c2) Write complete version number
* [`[49628bca2e]`](https://github.com/aspnet/AspNetCore/commit/49628bca2e) Use case invariant lookups for DependencyModel to workaround CLI version differences
* [`[8fa95d66d4]`](https://github.com/aspnet/AspNetCore/commit/8fa95d66d4) Add support for suppressing inbound and outbound routing
* [`[fd7707e7d2]`](https://github.com/aspnet/AspNetCore/commit/fd7707e7d2) Upgraded IntegrationTesting package to 0.4.0
* [`[7aa7b3e0a9]`](https://github.com/aspnet/AspNetCore/commit/7aa7b3e0a9) Track connections until request processing completes
* [`[c08c57f764]`](https://github.com/aspnet/AspNetCore/commit/c08c57f764) Reject HTTP/1.1 requests that do not have a correct Host header
* [`[52be2b750e]`](https://github.com/aspnet/AspNetCore/commit/52be2b750e)   #21 Initial site extension and packaging
* [`[f9e19ed522]`](https://github.com/aspnet/AspNetCore/commit/f9e19ed522) DefaultAuthentication => DefaultAuthenticate
* [`[3eae7cc393]`](https://github.com/aspnet/AspNetCore/commit/3eae7cc393) Add AggregateExceptionTest (#6135)
* [`[ee1fd61e64]`](https://github.com/aspnet/AspNetCore/commit/ee1fd61e64) Uncap version max for vsix manifest.
* [`[6f7cb763a2]`](https://github.com/aspnet/AspNetCore/commit/6f7cb763a2) Update TModel code generation.
* [`[d273c6cd4c]`](https://github.com/aspnet/AspNetCore/commit/d273c6cd4c) Ensure output hint descriptors don't schema check.
* [`[6e22dbcdc6]`](https://github.com/aspnet/AspNetCore/commit/6e22dbcdc6) Missed rename in commit
* [`[0b17f14d68]`](https://github.com/aspnet/AspNetCore/commit/0b17f14d68) Moved AddTagHelperHtmlAttribute from renderer to writer
* [`[cf44f103c1]`](https://github.com/aspnet/AspNetCore/commit/cf44f103c1) Prefix TagHelpers with tag helper prefix in completion list.
* [`[da403d4d16]`](https://github.com/aspnet/AspNetCore/commit/da403d4d16) Long path woes
* [`[a9a8f45158]`](https://github.com/aspnet/AspNetCore/commit/a9a8f45158) change autobahn tests to use dynamic port (#167)
* [`[b8aa060f32]`](https://github.com/aspnet/AspNetCore/commit/b8aa060f32) Target 1.0.4 RuntimeFrameworkVersion in the tool
* [`[9e37272f06]`](https://github.com/aspnet/AspNetCore/commit/9e37272f06) Clean up the logic in DoReceive
* [`[229d817d83]`](https://github.com/aspnet/AspNetCore/commit/229d817d83) Unskipped standalone Windows OS functional tests
* [`[46a5ca972f]`](https://github.com/aspnet/AspNetCore/commit/46a5ca972f) Allow catch-all THDs to apply to all completions.
* [`[b52430674f]`](https://github.com/aspnet/AspNetCore/commit/b52430674f) Unskipped standalone functional tests
* [`[efa0a48fb1]`](https://github.com/aspnet/AspNetCore/commit/efa0a48fb1) Add initial Socket transport for Kestrel (#1659)
* [`[0723d46ec4]`](https://github.com/aspnet/AspNetCore/commit/0723d46ec4) Honor PreferHostingUrls #1575
* [`[4d6bdba554]`](https://github.com/aspnet/AspNetCore/commit/4d6bdba554) Add nuspec and version.txt to artifacts
* [`[404960ce1a]`](https://github.com/aspnet/AspNetCore/commit/404960ce1a) Use name suggested in Coherence-Signed#439
* [`[3045cff3c5]`](https://github.com/aspnet/AspNetCore/commit/3045cff3c5) Fix adapted output pipe options (#1682)
* [`[cd486226d6]`](https://github.com/aspnet/AspNetCore/commit/cd486226d6) [Fixes #1195] Add a way to parse just until the first directive
* [`[0822dd74ac]`](https://github.com/aspnet/AspNetCore/commit/0822dd74ac) Updated NuGetPackageVerifier.json to add exclusion for Microsoft.AspNetCore.Server.IntegrationTesting
* [`[f1a59d030e]`](https://github.com/aspnet/AspNetCore/commit/f1a59d030e) Supply runtime identifier on publishing standalone apps
* [`[c0e3519bc3]`](https://github.com/aspnet/AspNetCore/commit/c0e3519bc3) Set an order on @inject to run behind @namespace
* [`[d8a95c731b]`](https://github.com/aspnet/AspNetCore/commit/d8a95c731b) Move RazorViewEngineOptionsSetup to internal namespace (#6125)
* [`[1d3747c071]`](https://github.com/aspnet/AspNetCore/commit/1d3747c071) Skipped standalone tests temporarily
* [`[37df30929c]`](https://github.com/aspnet/AspNetCore/commit/37df30929c) Update Aurelia SPA template
* [`[6036f27f52]`](https://github.com/aspnet/AspNetCore/commit/6036f27f52) Fix deadlocks in startup and shutdown
* [`[676f4ba3e4]`](https://github.com/aspnet/AspNetCore/commit/676f4ba3e4) Converted test projects to run on netcoreapp2.0
* [`[cc1b5f4d5b]`](https://github.com/aspnet/AspNetCore/commit/cc1b5f4d5b) Converted test projects to run on netcoreapp2.0
* [`[3b31e977b2]`](https://github.com/aspnet/AspNetCore/commit/3b31e977b2) Fix ability to generate baselines.
* [`[688731983c]`](https://github.com/aspnet/AspNetCore/commit/688731983c) Add dependencies.props to Solution Items.
* [`[f2f643ad15]`](https://github.com/aspnet/AspNetCore/commit/f2f643ad15) Updated XML documentation for HttpResponse.Body (#816)
* [`[e25a2eced8]`](https://github.com/aspnet/AspNetCore/commit/e25a2eced8) port dotnet/corefx#17444 to WebSockets (#162)
* [`[8b6d933711]`](https://github.com/aspnet/AspNetCore/commit/8b6d933711) Add ConfigureAwaits to prevent test deadlocks
* [`[4e8872b94d]`](https://github.com/aspnet/AspNetCore/commit/4e8872b94d) Implement IServer.StopAsync
* [`[e043fa871e]`](https://github.com/aspnet/AspNetCore/commit/e043fa871e) Make IServer Start and Stop async
* [`[62f74d5be0]`](https://github.com/aspnet/AspNetCore/commit/62f74d5be0)  #947 Add IServer.StopAsyc, IWebHost.StopAsync, and make Start async
* [`[e08e63a033]`](https://github.com/aspnet/AspNetCore/commit/e08e63a033) Updated to use 1.0.2 version of PackagePublisher
* [`[ca481dab85]`](https://github.com/aspnet/AspNetCore/commit/ca481dab85) Add non-blocking invocations to the spec (#382)
* [`[11ab602b2f]`](https://github.com/aspnet/AspNetCore/commit/11ab602b2f) Make timeout logic transport agnostic (#1649)
* [`[f6cf5293a0]`](https://github.com/aspnet/AspNetCore/commit/f6cf5293a0) Add challenge/forbid overloads for MVC
* [`[dfbf6d43ff]`](https://github.com/aspnet/AspNetCore/commit/dfbf6d43ff) Temporarily skipping ReferenceAssemblies_ReturnsLoadableReferenceAssemblies
* [`[a1cfd22a32]`](https://github.com/aspnet/AspNetCore/commit/a1cfd22a32) Add element completion API for TagHelpers.
* [`[710864eff7]`](https://github.com/aspnet/AspNetCore/commit/710864eff7) Skip NtlmAuthenticationTests.NtlmAuthentication test
* [`[3474bdf776]`](https://github.com/aspnet/AspNetCore/commit/3474bdf776) RedirectToPage from a form-action handler includes the formaction
* [`[db159190bd]`](https://github.com/aspnet/AspNetCore/commit/db159190bd) Don't fail tests if port 5000 is in use (#1650)
* [`[106b34867d]`](https://github.com/aspnet/AspNetCore/commit/106b34867d) Temporarily skipping ErrorPageMiddleware functional test to unblock mirror
* [`[59a3aade9b]`](https://github.com/aspnet/AspNetCore/commit/59a3aade9b) Fix [TempData] for PageModel's
* [`[db66b1e553]`](https://github.com/aspnet/AspNetCore/commit/db66b1e553) TransportFactory should not try creating WebSocket transport on Win7/2008R2
* [`[09ccfd8f94]`](https://github.com/aspnet/AspNetCore/commit/09ccfd8f94) Use the 0.4.0 version of Microsoft.AspNetCore.IntegrationTesting
* [`[734c735fb5]`](https://github.com/aspnet/AspNetCore/commit/734c735fb5) Simplify console output and fix color output on CMD
* [`[a181dc558a]`](https://github.com/aspnet/AspNetCore/commit/a181dc558a) SignalR Hub Protocol (#372)
* [`[e5cac9fb7f]`](https://github.com/aspnet/AspNetCore/commit/e5cac9fb7f) Implement @namespace
* [`[9993fd96da]`](https://github.com/aspnet/AspNetCore/commit/9993fd96da) Use policy names in EndPointOptions (#340)
* [`[b4b4a19549]`](https://github.com/aspnet/AspNetCore/commit/b4b4a19549) Fix #1194 - DirectiveIRNode doesn't have source
* [`[e2267f54a6]`](https://github.com/aspnet/AspNetCore/commit/e2267f54a6) Add support for naming a page (#1204)
* [`[69b019ebd8]`](https://github.com/aspnet/AspNetCore/commit/69b019ebd8) Third party rule name changed
* [`[be88d2918e]`](https://github.com/aspnet/AspNetCore/commit/be88d2918e) Disable API Check
* [`[04719dee82]`](https://github.com/aspnet/AspNetCore/commit/04719dee82) Adding transport factory
* [`[569a4e3d13]`](https://github.com/aspnet/AspNetCore/commit/569a4e3d13) Add benchmarks to solution
* [`[1fbdb30186]`](https://github.com/aspnet/AspNetCore/commit/1fbdb30186) Normalize newlines in default imports
* [`[ca66e89899]`](https://github.com/aspnet/AspNetCore/commit/ca66e89899) Add a basic attribute routing test
* [`[6c79e84d1b]`](https://github.com/aspnet/AspNetCore/commit/6c79e84d1b) Add BenchmarkDotNet boilerplate
* [`[8c58086030]`](https://github.com/aspnet/AspNetCore/commit/8c58086030) Make TreeRouter restore RouteData snapshots consistently. Fixes #394.
* [`[c0205cfc4e]`](https://github.com/aspnet/AspNetCore/commit/c0205cfc4e) Fix watchOptions in webpack.config.js being ignored by WebpackDevMiddleware (#806)
* [`[b28f85236f]`](https://github.com/aspnet/AspNetCore/commit/b28f85236f) Console type needs exe
* [`[ee1cfdf41e]`](https://github.com/aspnet/AspNetCore/commit/ee1cfdf41e) [Fixes #] DeveloperExceptionPage throws when SourceFileContent is null in an ICompilationException
* [`[99278c4691]`](https://github.com/aspnet/AspNetCore/commit/99278c4691) Workaround for "Explicit RID still required for .NET Framework test projects"
* [`[303636db13]`](https://github.com/aspnet/AspNetCore/commit/303636db13) Updates to generated .cs files
* [`[207f40f92d]`](https://github.com/aspnet/AspNetCore/commit/207f40f92d) Move test infrastructure
* [`[d29e4d4cf0]`](https://github.com/aspnet/AspNetCore/commit/d29e4d4cf0) Specialized struct generics rather than interface (#1640)
* [`[0546dc21f4]`](https://github.com/aspnet/AspNetCore/commit/0546dc21f4) Disable response buffering via the IHttpBufferingFeature (#379)
* [`[1a8ac88da7]`](https://github.com/aspnet/AspNetCore/commit/1a8ac88da7) Add PreserveMethod (#6075)
* [`[1262a6d4b2]`](https://github.com/aspnet/AspNetCore/commit/1262a6d4b2) Adding CodeGeneration benchmark
* [`[acf3e759d1]`](https://github.com/aspnet/AspNetCore/commit/acf3e759d1) Add BenchmarkDotNet boilerplate
* [`[4c183b4d00]`](https://github.com/aspnet/AspNetCore/commit/4c183b4d00) Quickly fail the UFT-8 validation if the first byte is already invalid
* [`[1faaefef30]`](https://github.com/aspnet/AspNetCore/commit/1faaefef30) Fix Libuv.Tests directory name (#1646)
* [`[0618bae3bd]`](https://github.com/aspnet/AspNetCore/commit/0618bae3bd) Rename Microsoft.AspNetCore.Razor.Evolution => Microsoft.AspNetCore.Razor.Language.
* [`[90acd055fe]`](https://github.com/aspnet/AspNetCore/commit/90acd055fe) Make [FromBody] treat empty request bodies as invalid (#4750)
* [`[2863cca8ca]`](https://github.com/aspnet/AspNetCore/commit/2863cca8ca) FrameFeatureCollection benchmark (#1643)
* [`[fb22629da6]`](https://github.com/aspnet/AspNetCore/commit/fb22629da6) Use Span.IndexOf rather than Contains (#1638)
* [`[ce3c71b5b3]`](https://github.com/aspnet/AspNetCore/commit/ce3c71b5b3) Set PreferHostingUrls when IIS adding override address
* [`[d92c55dbfc]`](https://github.com/aspnet/AspNetCore/commit/d92c55dbfc) Fix spelling nit
* [`[58284bde5c]`](https://github.com/aspnet/AspNetCore/commit/58284bde5c) Don't dispose WriteReqPool and PipeFactory too soon (#1633)
* [`[0fd885e5eb]`](https://github.com/aspnet/AspNetCore/commit/0fd885e5eb) Signal the reader after aborting the connection (#1636)
* [`[53b0eea2ec]`](https://github.com/aspnet/AspNetCore/commit/53b0eea2ec) Use writable buffer writer (#1564)
* [`[033c8adc3a]`](https://github.com/aspnet/AspNetCore/commit/033c8adc3a) Add RangeHelper
* [`[fe60c2426c]`](https://github.com/aspnet/AspNetCore/commit/fe60c2426c) Moved HtmlContentIRNode from renderer to writer
* [`[e1533c2203]`](https://github.com/aspnet/AspNetCore/commit/e1533c2203) Use 2.0.0 version of Internal.AspNetCore.Sdk
* [`[ea3b7b0a76]`](https://github.com/aspnet/AspNetCore/commit/ea3b7b0a76) Add vscode artifacts to .gitignore.
* [`[1e7972bd8f]`](https://github.com/aspnet/AspNetCore/commit/1e7972bd8f) Add convenience methods for redirecting from a Razor Page back to itself
* [`[239b691ff5]`](https://github.com/aspnet/AspNetCore/commit/239b691ff5) A few HttpParser changes (#1624)
* [`[841ceb24b6]`](https://github.com/aspnet/AspNetCore/commit/841ceb24b6) Fixing start/stop race in the TS client
* [`[5dc476182c]`](https://github.com/aspnet/AspNetCore/commit/5dc476182c) Reference bootstrap JS in KnockoutSpa/ReactSpa/VueSpa. Fixes #846
* [`[687ff27beb]`](https://github.com/aspnet/AspNetCore/commit/687ff27beb) redisable functional tests on mac (#354)
* [`[f253dbc0c0]`](https://github.com/aspnet/AspNetCore/commit/f253dbc0c0) Split transport-specific tests and general tests into distinct test projects (#1588).
* [`[25842d5f74]`](https://github.com/aspnet/AspNetCore/commit/25842d5f74) Add more packages to cache #21
* [`[26bd01337d]`](https://github.com/aspnet/AspNetCore/commit/26bd01337d) Re-write UvStreamHandleTests.ReadStopIsIdempotent without Moq.
* [`[96d97f65e9]`](https://github.com/aspnet/AspNetCore/commit/96d97f65e9) Allow null parent tag when calling `GetTagHelpersGivenParent`.
* [`[c85a0ff7ef]`](https://github.com/aspnet/AspNetCore/commit/c85a0ff7ef) Use dependencies when available
* [`[af3cf497a6]`](https://github.com/aspnet/AspNetCore/commit/af3cf497a6) Update TagHelperMatchingConventions to disallow opt-out prefix.
* [`[2464d81167]`](https://github.com/aspnet/AspNetCore/commit/2464d81167) fix repo.targets test project reference
* [`[a594d0eeb8]`](https://github.com/aspnet/AspNetCore/commit/a594d0eeb8) Workaround for "Explicit RID still required for .NET Framework test projects"
* [`[ad1d0cc67d]`](https://github.com/aspnet/AspNetCore/commit/ad1d0cc67d) Pass configuration section to LoggerFactory
* [`[0da88e0dda]`](https://github.com/aspnet/AspNetCore/commit/0da88e0dda) Avoid double escaping in PathString
* [`[6c7d099548]`](https://github.com/aspnet/AspNetCore/commit/6c7d099548) Fix directory name
* [`[eb918fc4b2]`](https://github.com/aspnet/AspNetCore/commit/eb918fc4b2) Use osx.10.12-x64 RID on macOS
* [`[0228fd2770]`](https://github.com/aspnet/AspNetCore/commit/0228fd2770) Moved ExecuteTagHelpersIRNode from renderer to writer
* [`[ad79cdd123]`](https://github.com/aspnet/AspNetCore/commit/ad79cdd123) fix hangs due to uncleared TCS in IntegrationTesting (#1008)
* [`[4032de064e]`](https://github.com/aspnet/AspNetCore/commit/4032de064e) Removing _PageStart.cshtml
* [`[c6e4609096]`](https://github.com/aspnet/AspNetCore/commit/c6e4609096) Getting rid of _PageImports
* [`[89de0e52d7]`](https://github.com/aspnet/AspNetCore/commit/89de0e52d7) Generate package cache for each RID
* [`[3b016e6832]`](https://github.com/aspnet/AspNetCore/commit/3b016e6832) Use 4.3.0 version of System.Threading.Tasks.Extensions
* [`[c6c267507a]`](https://github.com/aspnet/AspNetCore/commit/c6c267507a) Temporarity skip AzureIntegration packages due to rename
* [`[ff3ff939c3]`](https://github.com/aspnet/AspNetCore/commit/ff3ff939c3) Update WindowsAzure.Storage version (#217)
* [`[697745c490]`](https://github.com/aspnet/AspNetCore/commit/697745c490) [Fixes #218] Set IXmlRepository using ConfigureOptions
* [`[0cb7ae7fbf]`](https://github.com/aspnet/AspNetCore/commit/0cb7ae7fbf) Add support for namespace tokens in extensible directives
* [`[dd02ba577f]`](https://github.com/aspnet/AspNetCore/commit/dd02ba577f) Use corefxlab and corefx by source (#1612)
* [`[aa5eb9eb83]`](https://github.com/aspnet/AspNetCore/commit/aa5eb9eb83) #18 rename lightup packages to *.HostingStartup
* [`[9e8d4db7d8]`](https://github.com/aspnet/AspNetCore/commit/9e8d4db7d8) Move TempDataPropertyProvider into filter
* [`[7d50f34b85]`](https://github.com/aspnet/AspNetCore/commit/7d50f34b85) Show unexpected error logs in assertion failures.
* [`[bab4332a47]`](https://github.com/aspnet/AspNetCore/commit/bab4332a47) Add benchmark that drains the buffer without going through the pipe (#1611)
* [`[b40d8b4248]`](https://github.com/aspnet/AspNetCore/commit/b40d8b4248) Fix naming of IConnectionInformation.OutputReaderScheduler (#1608)
* [`[3424e20c67]`](https://github.com/aspnet/AspNetCore/commit/3424e20c67) Re-enable skipped test
* [`[6fea6454f0]`](https://github.com/aspnet/AspNetCore/commit/6fea6454f0) Moved CreateTagHelperIRNode from renderer to writer
* [`[1a05359d12]`](https://github.com/aspnet/AspNetCore/commit/1a05359d12) Reset writer scope for tag helpers inside template
* [`[fa378842af]`](https://github.com/aspnet/AspNetCore/commit/fa378842af) Use NuGetPackageRoot instead of NuGetPackageFolders
* [`[dda9cf3259]`](https://github.com/aspnet/AspNetCore/commit/dda9cf3259) Do not generate C# line pragmas without a file path.
* [`[925ad75cdf]`](https://github.com/aspnet/AspNetCore/commit/925ad75cdf) Add convenience methods for redirecting to another Razor Page
* [`[c7e2e1880e]`](https://github.com/aspnet/AspNetCore/commit/c7e2e1880e) Make FileSystemRazorProject internal (#1152)
* [`[ebb2ce8fc9]`](https://github.com/aspnet/AspNetCore/commit/ebb2ce8fc9) Converting transport type from string to enum
* [`[2d19a82678]`](https://github.com/aspnet/AspNetCore/commit/2d19a82678) Update more resource designer files
* [`[7ceea5323a]`](https://github.com/aspnet/AspNetCore/commit/7ceea5323a) Rename namespaces/directories/classes in Kestrel.Core and Transport.Libuv (#1582).
* [`[68554f8106]`](https://github.com/aspnet/AspNetCore/commit/68554f8106) Updated the ir lowering phase to lazily add namespaces.
* [`[9e12230eef]`](https://github.com/aspnet/AspNetCore/commit/9e12230eef) Add RazorPage test without model
* [`[794508fbf2]`](https://github.com/aspnet/AspNetCore/commit/794508fbf2) Only publish ForTesting folder when needed
* [`[7944be712f]`](https://github.com/aspnet/AspNetCore/commit/7944be712f) Allow starting connection only once
* [`[52085a78cc]`](https://github.com/aspnet/AspNetCore/commit/52085a78cc) Change special version to preview1
* [`[3b8e1a5380]`](https://github.com/aspnet/AspNetCore/commit/3b8e1a5380) Added a close timeout to the web socket transport
* [`[dbb682799e]`](https://github.com/aspnet/AspNetCore/commit/dbb682799e) Update generated designer files
* [`[87e6da6e4c]`](https://github.com/aspnet/AspNetCore/commit/87e6da6e4c) Handle exceptions and Cancellation in DisposeAsync (#366)
* [`[4dbf6f23c3]`](https://github.com/aspnet/AspNetCore/commit/4dbf6f23c3) Moved TagHelperIRNode, InitializeTagHelperStructureIRNode from renderer to writer
* [`[d37b1548f8]`](https://github.com/aspnet/AspNetCore/commit/d37b1548f8) Update to new resx format
* [`[7d8bd29724]`](https://github.com/aspnet/AspNetCore/commit/7d8bd29724) Moved DeclareTagHelperFields from renderer to writer
* [`[8da2dddd49]`](https://github.com/aspnet/AspNetCore/commit/8da2dddd49) Fix issue where multiple calls to dispose don't wait properly (#360)
* [`[cb5c483a1d]`](https://github.com/aspnet/AspNetCore/commit/cb5c483a1d) Add line mappings for using directives.
* [`[6bd0344880]`](https://github.com/aspnet/AspNetCore/commit/6bd0344880) Add Microsoft.AspNetCore.Server.Kestrel.Transport.Abstractions project (#1582).
* [`[f285b18f08]`](https://github.com/aspnet/AspNetCore/commit/f285b18f08) Ensure no data is written to a connection after uv_shutdown (#1600)
* [`[13ee32b7ab]`](https://github.com/aspnet/AspNetCore/commit/13ee32b7ab) Fetch corefx lab sources and compile them into kestrel (#1581)
* [`[0e15ff3e95]`](https://github.com/aspnet/AspNetCore/commit/0e15ff3e95) Re-add marker IR tokens to represent CSharp in an expression.
* [`[6a5f7dec10]`](https://github.com/aspnet/AspNetCore/commit/6a5f7dec10) Investigate System.Reflection.TypeExtensions added to unbreak tests
* [`[11de3fd384]`](https://github.com/aspnet/AspNetCore/commit/11de3fd384) Fix issue with remote deployer wait
* [`[4c0afbad86]`](https://github.com/aspnet/AspNetCore/commit/4c0afbad86) Generate line mappings for empty expressions.
* [`[fe3d45fad1]`](https://github.com/aspnet/AspNetCore/commit/fe3d45fad1) Adding AllowAnonymousToPage & AllowAnonymousToFolder
* [`[83958886cc]`](https://github.com/aspnet/AspNetCore/commit/83958886cc) Implement IHttpRequestIdentifierFeature on Frame
* [`[da1e4130d2]`](https://github.com/aspnet/AspNetCore/commit/da1e4130d2) Moved from Renderer to Writer
* [`[2cabd589ac]`](https://github.com/aspnet/AspNetCore/commit/2cabd589ac) Add more `ExpressionHelper` tests - #5792
* [`[a74cda4402]`](https://github.com/aspnet/AspNetCore/commit/a74cda4402) Setting TokenKind for RazorIRToken
* [`[468c090272]`](https://github.com/aspnet/AspNetCore/commit/468c090272) Update vsix metadata
* [`[915e984f32]`](https://github.com/aspnet/AspNetCore/commit/915e984f32) increase timeout for remote deployer (#1001)
* [`[d9faf17f5c]`](https://github.com/aspnet/AspNetCore/commit/d9faf17f5c) * Fixing a racey test * Fixing a misplaced test file
* [`[e25bfa8919]`](https://github.com/aspnet/AspNetCore/commit/e25bfa8919) Skipping model validation tests temporarily to unblock mirror - A fix was already checked in https://github.com/dotnet/corefx/commit/f3d0e4d0dd7ee4b27100e0994a7576f87cc225ed but this did not make into the netcoreapp2.0 shared runtime
* [`[975cfcb8ce]`](https://github.com/aspnet/AspNetCore/commit/975cfcb8ce) #16 Create a lightup package for Application Insights
* [`[13925be91e]`](https://github.com/aspnet/AspNetCore/commit/13925be91e) Initial Auth 2.0 checkin
* [`[385531f11a]`](https://github.com/aspnet/AspNetCore/commit/385531f11a) Workaround issues preventing tests from running in Visual Studio.
* [`[7904c7756d]`](https://github.com/aspnet/AspNetCore/commit/7904c7756d) Add a simple action selection benchmark
* [`[7d4ccd9c58]`](https://github.com/aspnet/AspNetCore/commit/7d4ccd9c58) Add benchmark project and boilerplate
* [`[6b9d54265f]`](https://github.com/aspnet/AspNetCore/commit/6b9d54265f) Call ProduceEnd() before consuming request body if response has already started (#1530).
* [`[0ab49f4977]`](https://github.com/aspnet/AspNetCore/commit/0ab49f4977) Fix benchmarks on netcoreapp2.0
* [`[b4cec03f65]`](https://github.com/aspnet/AspNetCore/commit/b4cec03f65) Update libuv package (#1577)
* [`[3d29b7854b]`](https://github.com/aspnet/AspNetCore/commit/3d29b7854b) Bugfix issue #355: Don't handle Invocation when no InvocationHandler … (#356)
* [`[209729332c]`](https://github.com/aspnet/AspNetCore/commit/209729332c) Add GetImportItems to RazorTemplateEngine Fixes #1109
* [`[1bf9b057d4]`](https://github.com/aspnet/AspNetCore/commit/1bf9b057d4) Converted test projects to run on netcoreapp2.0
* [`[4f351bd37c]`](https://github.com/aspnet/AspNetCore/commit/4f351bd37c) Add support for media type suffixes (#5273, #6032)
* [`[b0bd5475cd]`](https://github.com/aspnet/AspNetCore/commit/b0bd5475cd) More decoupling (#1572)
* [`[b4b671556a]`](https://github.com/aspnet/AspNetCore/commit/b4b671556a) fix nginx deployer (#998)
* [`[7774ed50fa]`](https://github.com/aspnet/AspNetCore/commit/7774ed50fa) additional checks and logging for iisx shutdown (#997)
* [`[4cdc970055]`](https://github.com/aspnet/AspNetCore/commit/4cdc970055) Server addresses configuration enhancements
* [`[f15c99c980]`](https://github.com/aspnet/AspNetCore/commit/f15c99c980) more logging and more resiliant port selection (#996)
* [`[1be31ae2ce]`](https://github.com/aspnet/AspNetCore/commit/1be31ae2ce) Throw if UseUrls specifies HTTPS or path base (#1519).
* [`[dd9eab551d]`](https://github.com/aspnet/AspNetCore/commit/dd9eab551d) Workaround tooling issue with runtime only TagHelpers.
* [`[6b6a8347cc]`](https://github.com/aspnet/AspNetCore/commit/6b6a8347cc) Add Connection as a primary request header
* [`[fdea42624d]`](https://github.com/aspnet/AspNetCore/commit/fdea42624d) Fix UrlResolutionTagHelper tag helper inclusion.
* [`[959324b337]`](https://github.com/aspnet/AspNetCore/commit/959324b337) Add EditorBrowsable attribute
* [`[60a87829f8]`](https://github.com/aspnet/AspNetCore/commit/60a87829f8) Fix type name
* [`[7890fdbf94]`](https://github.com/aspnet/AspNetCore/commit/7890fdbf94) Add Activity tracking to HostingApplication (#964)
* [`[22c7c90b5a]`](https://github.com/aspnet/AspNetCore/commit/22c7c90b5a) Add `TagHelperFactsService`.
* [`[c1500da2a8]`](https://github.com/aspnet/AspNetCore/commit/c1500da2a8) Don't render directive token from imports in design time
* [`[1672820e4e]`](https://github.com/aspnet/AspNetCore/commit/1672820e4e) Add functional test covering an `IList<T>` property - #5656
* [`[582ffe2e10]`](https://github.com/aspnet/AspNetCore/commit/582ffe2e10) Add HeadTagHelper and BodyTagHelper
* [`[792b71dbcb]`](https://github.com/aspnet/AspNetCore/commit/792b71dbcb) Add VS Code settings (#1556)
* [`[e7f563843c]`](https://github.com/aspnet/AspNetCore/commit/e7f563843c) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[bd6520cc50]`](https://github.com/aspnet/AspNetCore/commit/bd6520cc50) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[0b5113c76e]`](https://github.com/aspnet/AspNetCore/commit/0b5113c76e) Suppress compilation errors for TModel in imports
* [`[e0c3738779]`](https://github.com/aspnet/AspNetCore/commit/e0c3738779) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[bfd1d48506]`](https://github.com/aspnet/AspNetCore/commit/bfd1d48506) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[f73dc5cebe]`](https://github.com/aspnet/AspNetCore/commit/f73dc5cebe) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[1d1b255170]`](https://github.com/aspnet/AspNetCore/commit/1d1b255170) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[f87e0234e2]`](https://github.com/aspnet/AspNetCore/commit/f87e0234e2) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[eb25f5d6ff]`](https://github.com/aspnet/AspNetCore/commit/eb25f5d6ff) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[305ccf9cc5]`](https://github.com/aspnet/AspNetCore/commit/305ccf9cc5) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[ba5156d3e1]`](https://github.com/aspnet/AspNetCore/commit/ba5156d3e1) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[afef0e3e2a]`](https://github.com/aspnet/AspNetCore/commit/afef0e3e2a) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[c4f2581988]`](https://github.com/aspnet/AspNetCore/commit/c4f2581988) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[99ff496e71]`](https://github.com/aspnet/AspNetCore/commit/99ff496e71) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[5f161fb51f]`](https://github.com/aspnet/AspNetCore/commit/5f161fb51f) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[a06a765cf4]`](https://github.com/aspnet/AspNetCore/commit/a06a765cf4) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[7dd9d69fe1]`](https://github.com/aspnet/AspNetCore/commit/7dd9d69fe1) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[a0bb843dd5]`](https://github.com/aspnet/AspNetCore/commit/a0bb843dd5) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[db7095bc90]`](https://github.com/aspnet/AspNetCore/commit/db7095bc90) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[2e3c35b863]`](https://github.com/aspnet/AspNetCore/commit/2e3c35b863) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[68647d1733]`](https://github.com/aspnet/AspNetCore/commit/68647d1733) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[e4e62b3156]`](https://github.com/aspnet/AspNetCore/commit/e4e62b3156) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[7fa3babfb4]`](https://github.com/aspnet/AspNetCore/commit/7fa3babfb4) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[679a0e60f7]`](https://github.com/aspnet/AspNetCore/commit/679a0e60f7) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[af84fadf8c]`](https://github.com/aspnet/AspNetCore/commit/af84fadf8c) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[023f612406]`](https://github.com/aspnet/AspNetCore/commit/023f612406) Updating to 2.0.0 Internal.AspNetCore.Sdk
* [`[eda5028cf4]`](https://github.com/aspnet/AspNetCore/commit/eda5028cf4) Add TagHelperComponentTagHelper
* [`[5cb1846dd2]`](https://github.com/aspnet/AspNetCore/commit/5cb1846dd2) Fix and reorganise WebpackDevMiddleware.ts following PR
* [`[1f03b1e633]`](https://github.com/aspnet/AspNetCore/commit/1f03b1e633) Tiny shortcut to reduce string checking in non-debug scenarios
* [`[0c09c68b77]`](https://github.com/aspnet/AspNetCore/commit/0c09c68b77) Support V8 Inspector Integration for Node.js
* [`[ce40973859]`](https://github.com/aspnet/AspNetCore/commit/ce40973859) Add option to configure Webpack Hot Middleware client
* [`[347524a116]`](https://github.com/aspnet/AspNetCore/commit/347524a116) Add status code response capabilities to PrerenderTagHelper and RenderToStringResult. Client can now send status codes back based on client routes.
* [`[6ed6b8e3d2]`](https://github.com/aspnet/AspNetCore/commit/6ed6b8e3d2) Set AutoCompleteOnClose=false on JsonTextWriter. Fixes #822
* [`[c18f0780c1]`](https://github.com/aspnet/AspNetCore/commit/c18f0780c1) [Fixes #5413] JsonOutputFormatter adds all closing brackets when exceptions are thrown
* [`[56c2d76e03]`](https://github.com/aspnet/AspNetCore/commit/56c2d76e03) Upgrade Json.Net version to 10.0.1
* [`[200d8debc0]`](https://github.com/aspnet/AspNetCore/commit/200d8debc0) Use the SDK version of GetOSPlatform
* [`[b22326323a]`](https://github.com/aspnet/AspNetCore/commit/b22326323a) Add properties to Page and PageModel
* [`[c1487bf93d]`](https://github.com/aspnet/AspNetCore/commit/c1487bf93d) Fix some style nits
* [`[8165609f4e]`](https://github.com/aspnet/AspNetCore/commit/8165609f4e) Logging optimization.2 14 (#944)
* [`[b2bd3e0841]`](https://github.com/aspnet/AspNetCore/commit/b2bd3e0841) Upgraded Json.NET version to 10.0.1
* [`[9c5b33dd8a]`](https://github.com/aspnet/AspNetCore/commit/9c5b33dd8a) Upgraded Json.Net version to 10.0.1
* [`[f79904404e]`](https://github.com/aspnet/AspNetCore/commit/f79904404e) Log status of port before starting server with SelfHostDeployer (#993)
* [`[dcf51f706c]`](https://github.com/aspnet/AspNetCore/commit/dcf51f706c) Upgraded Json.NET version to 10.0.1
* [`[2b8a937828]`](https://github.com/aspnet/AspNetCore/commit/2b8a937828) Upgraded Json.NET version to 10.0.1
* [`[ab6e74f4b4]`](https://github.com/aspnet/AspNetCore/commit/ab6e74f4b4) Upgraded Json.NET version to 10.0.1
* [`[a2914ab483]`](https://github.com/aspnet/AspNetCore/commit/a2914ab483) Replace console logger with ITestOutputHelper (#64)
* [`[d6322872ed]`](https://github.com/aspnet/AspNetCore/commit/d6322872ed) #348 Implement IISHostingStartup
* [`[737a9a58ad]`](https://github.com/aspnet/AspNetCore/commit/737a9a58ad) Fix breaks in Razor Tests
* [`[af7798a9be]`](https://github.com/aspnet/AspNetCore/commit/af7798a9be) Fix a type error in the tag helper comparison
* [`[8d1cc43f8e]`](https://github.com/aspnet/AspNetCore/commit/8d1cc43f8e) Get rid of extra dependencies
* [`[bc9b9876e5]`](https://github.com/aspnet/AspNetCore/commit/bc9b9876e5) Add a service for initializing tooling
* [`[58317b18ce]`](https://github.com/aspnet/AspNetCore/commit/58317b18ce) Fixing NRE when CacheTagHelper throws and exception (#5989)
* [`[575fe68b2b]`](https://github.com/aspnet/AspNetCore/commit/575fe68b2b) Order enum values by DisplayAttribute.Order
* [`[2bdbbbf41d]`](https://github.com/aspnet/AspNetCore/commit/2bdbbbf41d) UseMiddleware resolves InvokeAsync in addition to Invoke
* [`[71d09dc15c]`](https://github.com/aspnet/AspNetCore/commit/71d09dc15c) Using PackagePublisher tool to publish packages as it does retries
* [`[6436538068]`](https://github.com/aspnet/AspNetCore/commit/6436538068) Rename `IHtmlHelper.TextBox()` parameter (for consistency) - #5394
* [`[db7348e776]`](https://github.com/aspnet/AspNetCore/commit/db7348e776) Fix flakiness in WhenAppWritesLessThanContentLengthButRequestIsAbortedErrorNotLogged.
* [`[09667e86ab]`](https://github.com/aspnet/AspNetCore/commit/09667e86ab) Port ObjectMethodExecutor race fix
* [`[6922cbb903]`](https://github.com/aspnet/AspNetCore/commit/6922cbb903) Use FrameworkSkipCondition
* [`[7228c15e28]`](https://github.com/aspnet/AspNetCore/commit/7228c15e28) Use FrameworkSkipCondition
* [`[0e8b790a08]`](https://github.com/aspnet/AspNetCore/commit/0e8b790a08) Disable API Check for these command-line tools
* [`[6130003193]`](https://github.com/aspnet/AspNetCore/commit/6130003193) Convert to netcoreapp2.0 (#338)
* [`[5928d0d54b]`](https://github.com/aspnet/AspNetCore/commit/5928d0d54b) Don't generate CSharpStatementIRNode for null or whitespace
* [`[47f1db20e0]`](https://github.com/aspnet/AspNetCore/commit/47f1db20e0) Fix races on port acquisition in AddressRegistrationTests (#1520).
* [`[1683018d71]`](https://github.com/aspnet/AspNetCore/commit/1683018d71) Add a static 'register' method to MVC's extensions
* [`[565dd30957]`](https://github.com/aspnet/AspNetCore/commit/565dd30957) Make the parser options configurable
* [`[fe6517dcdd]`](https://github.com/aspnet/AspNetCore/commit/fe6517dcdd) Add ITagHelperComponent
* [`[b4640f8bb8]`](https://github.com/aspnet/AspNetCore/commit/b4640f8bb8) Use AspNetCore.Mvc.RazorPages
* [`[2df3639535]`](https://github.com/aspnet/AspNetCore/commit/2df3639535) Add System.Reflection.TypeExtensions to workaround test failures
* [`[9ffc745e76]`](https://github.com/aspnet/AspNetCore/commit/9ffc745e76) Add Mvc.Razor.Extensions to VSIX
* [`[0fa79818e1]`](https://github.com/aspnet/AspNetCore/commit/0fa79818e1) Add DisplayName to RequiredAttributeDescriptor.
* [`[7a50fdda48]`](https://github.com/aspnet/AspNetCore/commit/7a50fdda48) Converted sample and test project to run on netcoreapp2.0
* [`[0f28c49c5e]`](https://github.com/aspnet/AspNetCore/commit/0f28c49c5e) Fix the invalid usages of Span<T> (#1549)
* [`[e7101f248a]`](https://github.com/aspnet/AspNetCore/commit/e7101f248a) Support model binding to Razor Pages properties on page and PageModel classes
* [`[d5cbdb8ac6]`](https://github.com/aspnet/AspNetCore/commit/d5cbdb8ac6) Update WebHost.cs (#986)
* [`[3e6303b6c1]`](https://github.com/aspnet/AspNetCore/commit/3e6303b6c1) Fix flakiness in connection reset logging tests.
* [`[54831fed35]`](https://github.com/aspnet/AspNetCore/commit/54831fed35) Simplified if condition
* [`[77da34c7b3]`](https://github.com/aspnet/AspNetCore/commit/77da34c7b3) Converted sample and test projects to netcoreapp2.0
* [`[33a3be4a16]`](https://github.com/aspnet/AspNetCore/commit/33a3be4a16) Converted sample and test project to run on netcoreapp2.0
* [`[6ac219c710]`](https://github.com/aspnet/AspNetCore/commit/6ac219c710) updated
* [`[095e45953f]`](https://github.com/aspnet/AspNetCore/commit/095e45953f) Add System.Net.Http 4.3.1 dependency to work around HttpClient issues
* [`[70e4ec9a06]`](https://github.com/aspnet/AspNetCore/commit/70e4ec9a06) Introducing the IConnection interface Unifying events
* [`[14d3f2bc9b]`](https://github.com/aspnet/AspNetCore/commit/14d3f2bc9b) Allow overridden methods on hubs (#334)
* [`[adcc6e8d7b]`](https://github.com/aspnet/AspNetCore/commit/adcc6e8d7b) Renaming FunctionalTests project in repo.props
* [`[cdadfd48d0]`](https://github.com/aspnet/AspNetCore/commit/cdadfd48d0) Try renaming functional tests as a potential mitigation for long path issues
* [`[e3e4176124]`](https://github.com/aspnet/AspNetCore/commit/e3e4176124) Try renaming functional tests as a potential mitigation for long path issues.
* [`[ae34e14358]`](https://github.com/aspnet/AspNetCore/commit/ae34e14358) Don't generate line mappings for imports
* [`[1b5beea573]`](https://github.com/aspnet/AspNetCore/commit/1b5beea573) Temporarily skipping failing NTLM tests
* [`[28bf0b445b]`](https://github.com/aspnet/AspNetCore/commit/28bf0b445b) add some very simple, fairly stupid, benchmarks (#322)
* [`[32bed162a8]`](https://github.com/aspnet/AspNetCore/commit/32bed162a8) Always log the hosting startup assemblies (#982)
* [`[ddb1bfeb20]`](https://github.com/aspnet/AspNetCore/commit/ddb1bfeb20) Add support for executing IHostingStartup in specified assemblies (#961)
* [`[705c36921a]`](https://github.com/aspnet/AspNetCore/commit/705c36921a) Use alternate workaround for #6005
* [`[ff99c4c865]`](https://github.com/aspnet/AspNetCore/commit/ff99c4c865) Fix benchmarks (broken) (#1515)
* [`[1ef45e64b8]`](https://github.com/aspnet/AspNetCore/commit/1ef45e64b8) Update to net46
* [`[8cc72b7871]`](https://github.com/aspnet/AspNetCore/commit/8cc72b7871) Update to net46
* [`[4d5f726e67]`](https://github.com/aspnet/AspNetCore/commit/4d5f726e67) Update to net46
* [`[6278dbeac5]`](https://github.com/aspnet/AspNetCore/commit/6278dbeac5) Don't filter by assembly name if null is provided
* [`[c07759996f]`](https://github.com/aspnet/AspNetCore/commit/c07759996f) Fix absolute path handling.
* [`[72febdac64]`](https://github.com/aspnet/AspNetCore/commit/72febdac64) Move Razor.Host to Razor
* [`[f31c302e5c]`](https://github.com/aspnet/AspNetCore/commit/f31c302e5c) Converted test project to run on netcoreapp2.0
* [`[eb0ab115d8]`](https://github.com/aspnet/AspNetCore/commit/eb0ab115d8) capture wstest log output (#156)
* [`[d2be921ca4]`](https://github.com/aspnet/AspNetCore/commit/d2be921ca4) Converted test project to run on netcoreapp2.0
* [`[cab6eea663]`](https://github.com/aspnet/AspNetCore/commit/cab6eea663) Set file path from RazorSourceDocument in syntax tree
* [`[49daa416ba]`](https://github.com/aspnet/AspNetCore/commit/49daa416ba) Use StringComparer.Ordinal
* [`[60f456dc7e]`](https://github.com/aspnet/AspNetCore/commit/60f456dc7e) Retarget test app
* [`[32bc9a57c9]`](https://github.com/aspnet/AspNetCore/commit/32bc9a57c9) #317 Dispose WindowsIdentity
* [`[c328e22699]`](https://github.com/aspnet/AspNetCore/commit/c328e22699) #306 Consistently use WindowsPrincipal
* [`[d103bdb1ba]`](https://github.com/aspnet/AspNetCore/commit/d103bdb1ba) #287 Do not include an auth display name
* [`[f246dd3502]`](https://github.com/aspnet/AspNetCore/commit/f246dd3502) Upgrade test projects to .NET Core 2.0
* [`[e955c4b9aa]`](https://github.com/aspnet/AspNetCore/commit/e955c4b9aa) Handling exceptions thrown when invoking a hub method (#332)
* [`[fffb823e99]`](https://github.com/aspnet/AspNetCore/commit/fffb823e99) Dispose socket in test after synchronous connect
* [`[5642f09a83]`](https://github.com/aspnet/AspNetCore/commit/5642f09a83) Fixing TS client tests folder name Mirroring disk folder structure for TS client in VS and adding missing files
* [`[75a4d006aa]`](https://github.com/aspnet/AspNetCore/commit/75a4d006aa) Disable API Check in projects with untracked breaking changes
* [`[6fbbd5d148]`](https://github.com/aspnet/AspNetCore/commit/6fbbd5d148) Disable API Check in projects with untracked breaking changes
* [`[1152c468be]`](https://github.com/aspnet/AspNetCore/commit/1152c468be) Disable API Check in projects with untracked breaking changes
* [`[c9f12a23f8]`](https://github.com/aspnet/AspNetCore/commit/c9f12a23f8) Disable API Check in projects with untracked breaking changes
* [`[387e2d8ad1]`](https://github.com/aspnet/AspNetCore/commit/387e2d8ad1) Disable API Check in projects with untracked breaking changes
* [`[55507de7dd]`](https://github.com/aspnet/AspNetCore/commit/55507de7dd) Disable API Check in a project with untracked breaking changes
* [`[51e84a623c]`](https://github.com/aspnet/AspNetCore/commit/51e84a623c) Fix runtime failures
* [`[18785dbed6]`](https://github.com/aspnet/AspNetCore/commit/18785dbed6) Add System.Reflection.TypeExtensions to fix net46 tests
* [`[b8eae7a697]`](https://github.com/aspnet/AspNetCore/commit/b8eae7a697) Add reference to System.Security.Claims
* [`[c65734667a]`](https://github.com/aspnet/AspNetCore/commit/c65734667a) Optimize calls into StreamSocketOuput to WriteFast further (#1538)
* [`[90acbd1e62]`](https://github.com/aspnet/AspNetCore/commit/90acbd1e62) Fix compilation error
* [`[751a0e2e7e]`](https://github.com/aspnet/AspNetCore/commit/751a0e2e7e) Better checks for connection reset in RequestTests.ConnectionReset* tests (#1517)
* [`[72587baac3]`](https://github.com/aspnet/AspNetCore/commit/72587baac3) Check that MaxRequestBufferSize is greater than or equal to MaxRequestHeadersTotalSize (#1491).
* [`[11d265bddd]`](https://github.com/aspnet/AspNetCore/commit/11d265bddd) Avoid entry point assembly being loaded twice during assembly parts discovery.
* [`[6c131ea240]`](https://github.com/aspnet/AspNetCore/commit/6c131ea240) Verify scopeids are connectable using Socket before testing Kestrel (#1536)
* [`[2f89b1d40b]`](https://github.com/aspnet/AspNetCore/commit/2f89b1d40b) Update tfm in shutdown test
* [`[bac161fdd6]`](https://github.com/aspnet/AspNetCore/commit/bac161fdd6) Converted test projects to run on netcoreapp2.0
* [`[c6a35e7b26]`](https://github.com/aspnet/AspNetCore/commit/c6a35e7b26) Added HasIndexer property to BoundAttributeDescriptor
* [`[2ab3d42630]`](https://github.com/aspnet/AspNetCore/commit/2ab3d42630) Removing site.js (#330)
* [`[55d6362325]`](https://github.com/aspnet/AspNetCore/commit/55d6362325) [Fixes #1094] Use custom JsonConverters for serializing/deserializing TagHelperResolutionResult
* [`[f99a0d6b8e]`](https://github.com/aspnet/AspNetCore/commit/f99a0d6b8e) Pin DotNetCliToolReferences
* [`[67f1571cfe]`](https://github.com/aspnet/AspNetCore/commit/67f1571cfe) Update to net46
* [`[8f9f6bcb6f]`](https://github.com/aspnet/AspNetCore/commit/8f9f6bcb6f) Adding Auth to endpoints
* [`[10782d59a2]`](https://github.com/aspnet/AspNetCore/commit/10782d59a2) Dev gate (#326)
* [`[24ed93288e]`](https://github.com/aspnet/AspNetCore/commit/24ed93288e) Use for rather than foreach on List (#1523)
* [`[f546f16356]`](https://github.com/aspnet/AspNetCore/commit/f546f16356) Forgot to WriteFast in SocketOutput (#1527)
* [`[cf576559b6]`](https://github.com/aspnet/AspNetCore/commit/cf576559b6) Fix write after close (#1526)
* [`[5f547d8e32]`](https://github.com/aspnet/AspNetCore/commit/5f547d8e32) Add intentation support
* [`[f3744efc5c]`](https://github.com/aspnet/AspNetCore/commit/f3744efc5c) Use Version 8.0.3 of Json.Net
* [`[d5e003fa4c]`](https://github.com/aspnet/AspNetCore/commit/d5e003fa4c) Fix `RazorLanguageService`.
* [`[3b40ba52ca]`](https://github.com/aspnet/AspNetCore/commit/3b40ba52ca) Check if request is aborted before verifying response bytes written (#1498).
* [`[53ac097ce4]`](https://github.com/aspnet/AspNetCore/commit/53ac097ce4) Add TagHelperFactsService
* [`[8923b0da70]`](https://github.com/aspnet/AspNetCore/commit/8923b0da70) Use correct config for response buffer limit (#1516)
* [`[63ce7f6160]`](https://github.com/aspnet/AspNetCore/commit/63ce7f6160) Supported transports (#294)
* [`[4a71b1d57d]`](https://github.com/aspnet/AspNetCore/commit/4a71b1d57d) [Fixes #980] Generate parser error for unquoted string token directives
* [`[9659c73e05]`](https://github.com/aspnet/AspNetCore/commit/9659c73e05) Fix the client raw sample to use user input (#321)
* [`[ca6f988bd9]`](https://github.com/aspnet/AspNetCore/commit/ca6f988bd9) Add GetTagHelperSpans
* [`[66deaf0b3f]`](https://github.com/aspnet/AspNetCore/commit/66deaf0b3f) Make test of @page/@model whitespace
* [`[913354f688]`](https://github.com/aspnet/AspNetCore/commit/913354f688) Unifying errors in parsers
* [`[33c94c1a47]`](https://github.com/aspnet/AspNetCore/commit/33c94c1a47) Replacing onError with onClosed Unifying errors in transports
* [`[e6cb639cc0]`](https://github.com/aspnet/AspNetCore/commit/e6cb639cc0) Add handler functional test
* [`[ab3dce85fc]`](https://github.com/aspnet/AspNetCore/commit/ab3dce85fc) tidy up status codes and transport conflicts (#306)
* [`[fdd08ceab2]`](https://github.com/aspnet/AspNetCore/commit/fdd08ceab2) Adding RazorSyntaxFactsService
* [`[39819d6708]`](https://github.com/aspnet/AspNetCore/commit/39819d6708) Added fast path for single memory ReadableBuffer (#1512)
* [`[2ed456fd68]`](https://github.com/aspnet/AspNetCore/commit/2ed456fd68) Faster Write implementation using cpblk (#1511)
* [`[8a6a22c767]`](https://github.com/aspnet/AspNetCore/commit/8a6a22c767) Fix one of Taylor's broken comparers
* [`[bbd08f0cc9]`](https://github.com/aspnet/AspNetCore/commit/bbd08f0cc9) Add TagHelper directive and match info to CodeDocument
* [`[feb5f395d2]`](https://github.com/aspnet/AspNetCore/commit/feb5f395d2) Make TagHelperDescriptor and friends IEquatable
* [`[b6aa6b8099]`](https://github.com/aspnet/AspNetCore/commit/b6aa6b8099) Make AcceptedCharacters non-legacy
* [`[acbbdf0b2c]`](https://github.com/aspnet/AspNetCore/commit/acbbdf0b2c) Rename BlockType -> BlockKind
* [`[0aee9152bd]`](https://github.com/aspnet/AspNetCore/commit/0aee9152bd) Make AcceptedCharacters public
* [`[6a0641f716]`](https://github.com/aspnet/AspNetCore/commit/6a0641f716) Try latest corefx packages (#319)
* [`[f6e5e74d95]`](https://github.com/aspnet/AspNetCore/commit/f6e5e74d95) Update packages (#1509)
* [`[1094cc0670]`](https://github.com/aspnet/AspNetCore/commit/1094cc0670) Use StreamSocketOutput for writing benchmarks (#1507)
* [`[5b814a55ac]`](https://github.com/aspnet/AspNetCore/commit/5b814a55ac) Speed up WritableBuffer.WriteXxx (#1504)
* [`[01a10c3505]`](https://github.com/aspnet/AspNetCore/commit/01a10c3505) Downgrade corefxlab
* [`[07cbf7faa9]`](https://github.com/aspnet/AspNetCore/commit/07cbf7faa9) Use pipelines for SocketOutput - Changed socket output to be based on pipelines - Changed connection filter glue to be based on pipelines - Codegen that used `MemoryPoolIterator` for output now uses `WritableBuffer` - Made `UvWriteReq` async/await friendly with `LibuvAwaitable<T>` - Deleted MemoryPool and friends
* [`[b283740530]`](https://github.com/aspnet/AspNetCore/commit/b283740530) Adding .editorconfig
* [`[43a290d2c4]`](https://github.com/aspnet/AspNetCore/commit/43a290d2c4) Updated readme with instructions on verifying cross repo changes
* [`[a61220d907]`](https://github.com/aspnet/AspNetCore/commit/a61220d907) suppress some Autobahn test failures (#153)
* [`[95de690acd]`](https://github.com/aspnet/AspNetCore/commit/95de690acd) Log error when selfhostdeployer is unable to start the process
* [`[fcb4b6ddbc]`](https://github.com/aspnet/AspNetCore/commit/fcb4b6ddbc) Skip xplat standalone tests temporarily
* [`[8f9ff1abd9]`](https://github.com/aspnet/AspNetCore/commit/8f9ff1abd9) Clean up TagHelperDescriptor APIs.
* [`[1197657e5b]`](https://github.com/aspnet/AspNetCore/commit/1197657e5b) TempData property attribute
* [`[ce28117b8b]`](https://github.com/aspnet/AspNetCore/commit/ce28117b8b) Normalize line endings in RazorEngine tests
* [`[23375c911b]`](https://github.com/aspnet/AspNetCore/commit/23375c911b) Fixes a race where wrong task could be awaited in channel completion
* [`[90b48347a5]`](https://github.com/aspnet/AspNetCore/commit/90b48347a5) Port the legacy RazorEditorParser
* [`[0911f9023b]`](https://github.com/aspnet/AspNetCore/commit/0911f9023b) add additional test for 0-byte sends (#308)
* [`[74889c8f99]`](https://github.com/aspnet/AspNetCore/commit/74889c8f99) Modified MvcRazorHost tests to use new Razor
* [`[1732ac5760]`](https://github.com/aspnet/AspNetCore/commit/1732ac5760) add support for binary format in /poll (#303)
* [`[c89ba8c1ec]`](https://github.com/aspnet/AspNetCore/commit/c89ba8c1ec) Consolidate dependency versions to one file
* [`[1d61e9059f]`](https://github.com/aspnet/AspNetCore/commit/1d61e9059f) :arrow_up: update ResponseCompression to latest dev version
* [`[0133153bc9]`](https://github.com/aspnet/AspNetCore/commit/0133153bc9) use new protocol for '/send' (#297)
* [`[cd246adb6f]`](https://github.com/aspnet/AspNetCore/commit/cd246adb6f) Update spec for behavior on poll reconnect (#305)
* [`[1ce7fc7245]`](https://github.com/aspnet/AspNetCore/commit/1ce7fc7245) Use TryAdd to add services
* [`[8f4ca32f48]`](https://github.com/aspnet/AspNetCore/commit/8f4ca32f48) Fix #5807 - Race condition in Invoker
* [`[6f7717a381]`](https://github.com/aspnet/AspNetCore/commit/6f7717a381) Unify dependency versions to one file
* [`[43a41398ac]`](https://github.com/aspnet/AspNetCore/commit/43a41398ac) Unify dependency versions to one file
* [`[77e763a516]`](https://github.com/aspnet/AspNetCore/commit/77e763a516) port aspnet/WebSockets#149 (#301)
* [`[890a81562f]`](https://github.com/aspnet/AspNetCore/commit/890a81562f) Unify dependency versions
* [`[832cbdcee8]`](https://github.com/aspnet/AspNetCore/commit/832cbdcee8) Unify dependency versions to one file
* [`[73d58b7a13]`](https://github.com/aspnet/AspNetCore/commit/73d58b7a13) Unify dependency versions to one file
* [`[ce6c832465]`](https://github.com/aspnet/AspNetCore/commit/ce6c832465) Unify dependency version to one file
* [`[9a4a810aa8]`](https://github.com/aspnet/AspNetCore/commit/9a4a810aa8) Fix race conditions in test event listener
* [`[5bcf919faa]`](https://github.com/aspnet/AspNetCore/commit/5bcf919faa) Account for repositories with no packaes to publish
* [`[1db9776b24]`](https://github.com/aspnet/AspNetCore/commit/1db9776b24) Fix publishing packages to the volatile feed
* [`[310ccc31d0]`](https://github.com/aspnet/AspNetCore/commit/310ccc31d0) Include default imports when ImportsFileName is null
* [`[bee1a55cff]`](https://github.com/aspnet/AspNetCore/commit/bee1a55cff) Use RazorPagesOptions.RootDirectory when looking for page hierarchies. Fixes #5915
* [`[d8143e2603]`](https://github.com/aspnet/AspNetCore/commit/d8143e2603) Update Yeoman package README
* [`[d4c0d4b81e]`](https://github.com/aspnet/AspNetCore/commit/d4c0d4b81e) Adds an EventSource named 'Microsoft-AspNetCore-Server-Kestrel' with the following event and properties:
* [`[9021999c32]`](https://github.com/aspnet/AspNetCore/commit/9021999c32) Fix deployer for Win7 and Win2008
* [`[de25357c28]`](https://github.com/aspnet/AspNetCore/commit/de25357c28) Do not throw if a library does not have a runtime component
* [`[82d87df166]`](https://github.com/aspnet/AspNetCore/commit/82d87df166) Fix warning as error
* [`[2ffaa88830]`](https://github.com/aspnet/AspNetCore/commit/2ffaa88830) Using NullLogger types from Logging.Abstractions
* [`[4569750d86]`](https://github.com/aspnet/AspNetCore/commit/4569750d86) Using NullLogger types from Logging.Abstractions (#389)
* [`[461b08b6f7]`](https://github.com/aspnet/AspNetCore/commit/461b08b6f7) Using NullLogger types from Logging.Abstractions (#178)
* [`[a48c0cacca]`](https://github.com/aspnet/AspNetCore/commit/a48c0cacca) Using NullLogger types from Logging.Abstractions (#115)
* [`[cb150de808]`](https://github.com/aspnet/AspNetCore/commit/cb150de808) port dotnet/corefx#17049 (#151)
* [`[64f84811bd]`](https://github.com/aspnet/AspNetCore/commit/64f84811bd) Fix incorrect debug asserts
* [`[fcbb43cc03]`](https://github.com/aspnet/AspNetCore/commit/fcbb43cc03) use new CoreFxLab buffer read/write primitives (#276)
* [`[365ae19c8b]`](https://github.com/aspnet/AspNetCore/commit/365ae19c8b) Add InvalidTagHelperIndexerAssignment to RazorPageBase
* [`[577b765a8a]`](https://github.com/aspnet/AspNetCore/commit/577b765a8a) Update TransportProtocols.md (#295)
* [`[2f2d3a6f24]`](https://github.com/aspnet/AspNetCore/commit/2f2d3a6f24) Fixing Receive/Close race
* [`[e8ad3b4160]`](https://github.com/aspnet/AspNetCore/commit/e8ad3b4160) Adding detailed logging to the client
* [`[df0d4cbfa8]`](https://github.com/aspnet/AspNetCore/commit/df0d4cbfa8) Using NullLogger types from Logging.Abstractions
* [`[e44d875df4]`](https://github.com/aspnet/AspNetCore/commit/e44d875df4) Adding AuthorizePage & AuthorizeFolder without requiring a policy
* [`[f7fd5114b3]`](https://github.com/aspnet/AspNetCore/commit/f7fd5114b3) Introduce MvcRazorTemplateEngine
* [`[9b553ca1c0]`](https://github.com/aspnet/AspNetCore/commit/9b553ca1c0) make all tests allow 'non-strict' conformance (#149)
* [`[b94912bcb1]`](https://github.com/aspnet/AspNetCore/commit/b94912bcb1) InitializeHeaders only at start of parsing/Fix remaining (#1488)
* [`[1bfa9c4b4b]`](https://github.com/aspnet/AspNetCore/commit/1bfa9c4b4b) Make it possible to detect that a process is running inside dotnet-watch by setting 'DOTNET_WATCH=1'
* [`[3077b8a8c0]`](https://github.com/aspnet/AspNetCore/commit/3077b8a8c0) Modifies babel config to allow for webpack tree shaking
* [`[2fc88fe9c1]`](https://github.com/aspnet/AspNetCore/commit/2fc88fe9c1) Add support for base path in FindHiearchicalItems
* [`[7d7ecf3a1b]`](https://github.com/aspnet/AspNetCore/commit/7d7ecf3a1b) Make precompilation tests use project reference instead of package reference
* [`[35986c778f]`](https://github.com/aspnet/AspNetCore/commit/35986c778f) Back up to .NET 4.5.2 - do not have .NET 4.6.1 reference assemblies on all CI machines - have corrected System.XML casing issue mentioned in 7637f2ea
* [`[32dd435c6e]`](https://github.com/aspnet/AspNetCore/commit/32dd435c6e) Add an opt-out DisableTelemetry option in the OpenID Connect middleware (#1140)
* [`[7d43bfc709]`](https://github.com/aspnet/AspNetCore/commit/7d43bfc709) Add RazorSourceDocument.Create(string template) Add document and fix casing of RazorSourceDocument.FileName Fixes #1063
* [`[e4623bb186]`](https://github.com/aspnet/AspNetCore/commit/e4623bb186) Add Vue template to Yeoman generator
* [`[c6a089880c]`](https://github.com/aspnet/AspNetCore/commit/c6a089880c) Add VueSpa.csproj to .sln
* [`[119b274c19]`](https://github.com/aspnet/AspNetCore/commit/119b274c19) Add server-side rendering (via bundleRenderer, as this is what the Vue docs recommend, and apparently the only way it does encapsulation)
* [`[360688f78b]`](https://github.com/aspnet/AspNetCore/commit/360688f78b) Add Vue template
* [`[9de5519c8b]`](https://github.com/aspnet/AspNetCore/commit/9de5519c8b) Update of wrong variable name
* [`[1b02cd2baf]`](https://github.com/aspnet/AspNetCore/commit/1b02cd2baf) Implement `OwinEnvironment` `IEnumerable.GetEnumerator()` (#789)
* [`[5644310811]`](https://github.com/aspnet/AspNetCore/commit/5644310811) Clean up benchmarks (#1487)
* [`[49f09d5a25]`](https://github.com/aspnet/AspNetCore/commit/49f09d5a25) Log rejected request targets.
* [`[b612da4e6c]`](https://github.com/aspnet/AspNetCore/commit/b612da4e6c) Avoid an unnecessary closure allocation in ListenerSecondary (#1485)
* [`[a26f96237b]`](https://github.com/aspnet/AspNetCore/commit/a26f96237b) Specify StringComparison when calling string.StartsWith (#1484)
* [`[374d84c4ad]`](https://github.com/aspnet/AspNetCore/commit/374d84c4ad) Because VS keeps adding it
* [`[dcdd8cfa9a]`](https://github.com/aspnet/AspNetCore/commit/dcdd8cfa9a) Removing our own copy of NullLoggerFactory Moving TaskQueue to the Internal folder as it is in the Internal namespace
* [`[3c8ee39f1d]`](https://github.com/aspnet/AspNetCore/commit/3c8ee39f1d) Fxi writing perf test (#1478)
* [`[c97dd446eb]`](https://github.com/aspnet/AspNetCore/commit/c97dd446eb) Simplify console output and fix color output on CMD
* [`[0a1ac6a70a]`](https://github.com/aspnet/AspNetCore/commit/0a1ac6a70a) Added missing import in boot.ts in Aurelia template
* [`[8d27d9d583]`](https://github.com/aspnet/AspNetCore/commit/8d27d9d583) Updates Aurelia project url (#741)
* [`[5e6ab1ee3e]`](https://github.com/aspnet/AspNetCore/commit/5e6ab1ee3e) No mono
* [`[94d47a3917]`](https://github.com/aspnet/AspNetCore/commit/94d47a3917) No mono
* [`[90922646bf]`](https://github.com/aspnet/AspNetCore/commit/90922646bf) Enable UnloadProjectsOnCompletion to prevent OOM (#480)
* [`[a2d088bc3c]`](https://github.com/aspnet/AspNetCore/commit/a2d088bc3c) Increasing the timeout of host start (#279)
* [`[49b328d4c2]`](https://github.com/aspnet/AspNetCore/commit/49b328d4c2) Handle absolute, asterisk, and authority-form request targets
* [`[e07c451b2c]`](https://github.com/aspnet/AspNetCore/commit/e07c451b2c) Adding win81 RIDs to match CI Servers' RIDs
* [`[7f3f6957be]`](https://github.com/aspnet/AspNetCore/commit/7f3f6957be) Set path in DefaultPageFactory (#5911)
* [`[5ff734bb71]`](https://github.com/aspnet/AspNetCore/commit/5ff734bb71) [Fixes #53] Enable skipped Standalone tests
* [`[1330b7792d]`](https://github.com/aspnet/AspNetCore/commit/1330b7792d) Add editor references to LanguageServices
* [`[bf2a6140f0]`](https://github.com/aspnet/AspNetCore/commit/bf2a6140f0) Add back a constructor
* [`[a418a175a9]`](https://github.com/aspnet/AspNetCore/commit/a418a175a9) Add TagName to TagHelperContext
* [`[9f0edefd16]`](https://github.com/aspnet/AspNetCore/commit/9f0edefd16) fix #273 by grouping websocket tests (#278)
* [`[3f911fd518]`](https://github.com/aspnet/AspNetCore/commit/3f911fd518) Account for missing ArtifactsDir
* [`[21de1b6221]`](https://github.com/aspnet/AspNetCore/commit/21de1b6221) No mono (#755)
* [`[addbac24aa]`](https://github.com/aspnet/AspNetCore/commit/addbac24aa) Account for missing trailing slash in package path when restoring vsix
* [`[37b0df7406]`](https://github.com/aspnet/AspNetCore/commit/37b0df7406) port change from AutobahnTester in SignalR (#148)
* [`[a00ec445ef]`](https://github.com/aspnet/AspNetCore/commit/a00ec445ef) Moving TS client to a dedicated subfolder (#274)
* [`[02df601715]`](https://github.com/aspnet/AspNetCore/commit/02df601715) Dispatching raising events to separate threads
* [`[3cd8c8c14d]`](https://github.com/aspnet/AspNetCore/commit/3cd8c8c14d) [Fixes #5932] Add constructor taking the BinderType to ModelBinderAttribute
* [`[331c9a4e49]`](https://github.com/aspnet/AspNetCore/commit/331c9a4e49) Fixed NanoServer tests
* [`[0846e13b06]`](https://github.com/aspnet/AspNetCore/commit/0846e13b06) RemoteWindowsDeployer: Changing current working directory to the app output folder
* [`[941d396942]`](https://github.com/aspnet/AspNetCore/commit/941d396942) Speed up ParseRequestLine (#1463)
* [`[49d058a997]`](https://github.com/aspnet/AspNetCore/commit/49d058a997) No mono (#1472)
* [`[a034b2ed04]`](https://github.com/aspnet/AspNetCore/commit/a034b2ed04) Collate diagnositcs from Imports
* [`[a93839e1b2]`](https://github.com/aspnet/AspNetCore/commit/a93839e1b2) Adding TaskQueue
* [`[63e3c9428a]`](https://github.com/aspnet/AspNetCore/commit/63e3c9428a) You can't have two benchmarks as the baseline.
* [`[3a1f3d14f9]`](https://github.com/aspnet/AspNetCore/commit/3a1f3d14f9) Add absolute-uri benchmark and change plaintext, live aspnet, and unicode benchmarks to use origin-form
* [`[62c3c15a1f]`](https://github.com/aspnet/AspNetCore/commit/62c3c15a1f) Fixing a race DisposeAsync is called when StartAsync hasn't finished
* [`[bb973decb8]`](https://github.com/aspnet/AspNetCore/commit/bb973decb8) Unify header rejection messages.
* [`[015dafc25f]`](https://github.com/aspnet/AspNetCore/commit/015dafc25f) [Feature] String should be an acceptable value for a checkbox if it can be parsed as a boolean (#5845)
* [`[e9250323e0]`](https://github.com/aspnet/AspNetCore/commit/e9250323e0) update GeneratedCodeTests
* [`[d3a09ca9e8]`](https://github.com/aspnet/AspNetCore/commit/d3a09ca9e8) Correct ListAdapter tests Modifying a ReadOnlyCollection will always fail
* [`[42d0d40b36]`](https://github.com/aspnet/AspNetCore/commit/42d0d40b36) [Fixes #61] Move must keep object reference
* [`[0bca84a268]`](https://github.com/aspnet/AspNetCore/commit/0bca84a268) Add HttpUtilities to CodeGenerator
* [`[84b038498a]`](https://github.com/aspnet/AspNetCore/commit/84b038498a) Use an exact match from the first repository that finds a package.
* [`[e25eb418bb]`](https://github.com/aspnet/AspNetCore/commit/e25eb418bb) Change non-printable char representation in log messages from <0xXX> to \xXX.
* [`[1f0bb14546]`](https://github.com/aspnet/AspNetCore/commit/1f0bb14546) Clean up left over code from port to pipelines (#1465)
* [`[bca4474dd2]`](https://github.com/aspnet/AspNetCore/commit/bca4474dd2) Use the same name for the props file when loading it from the deps directory
* [`[4e84690938]`](https://github.com/aspnet/AspNetCore/commit/4e84690938) Make publishing to the volatile feed work.
* [`[13519b6079]`](https://github.com/aspnet/AspNetCore/commit/13519b6079) Fix CopyTo implementation in benchmark. (#1462)
* [`[d9d280d1ef]`](https://github.com/aspnet/AspNetCore/commit/d9d280d1ef) Make CookieTempDataProvider the default ITempDataProvider (#5892)
* [`[5743d740b4]`](https://github.com/aspnet/AspNetCore/commit/5743d740b4) Convert HTTP parsing FrameTests to IHttpParser tests (#1416).
* [`[2be05e24c8]`](https://github.com/aspnet/AspNetCore/commit/2be05e24c8) Removing [Fin]
* [`[e2f8c226ef]`](https://github.com/aspnet/AspNetCore/commit/e2f8c226ef) Simplify TakeSingleHeader and Vectorize (#1457)
* [`[f374d92712]`](https://github.com/aspnet/AspNetCore/commit/f374d92712) WebSockets transport now creates correct url (#268)
* [`[78dfd278c1]`](https://github.com/aspnet/AspNetCore/commit/78dfd278c1) Integrating new transport protocols (#257)
* [`[02a4342908]`](https://github.com/aspnet/AspNetCore/commit/02a4342908) Made changes to TakeSingleHeader (#1453)
* [`[06134bc6e0]`](https://github.com/aspnet/AspNetCore/commit/06134bc6e0) Add IPv6 loopback address by default #1434
* [`[9a27405718]`](https://github.com/aspnet/AspNetCore/commit/9a27405718) Add LanguageServices test project
* [`[dee8d8694f]`](https://github.com/aspnet/AspNetCore/commit/dee8d8694f) Prevent LOH allocations when constructing large Razor Source Documents. (#1049)
* [`[4a20c849cb]`](https://github.com/aspnet/AspNetCore/commit/4a20c849cb) Add functional test for Page.View() (#5896)
* [`[cefca39510]`](https://github.com/aspnet/AspNetCore/commit/cefca39510) Fix broken padding in design time
* [`[7bca31d079]`](https://github.com/aspnet/AspNetCore/commit/7bca31d079) Add convenience extension methods for IPageApplicationModelConvention
* [`[a1f4928ed5]`](https://github.com/aspnet/AspNetCore/commit/a1f4928ed5) Clean up Header qvalue parsing
* [`[5c96a7cdef]`](https://github.com/aspnet/AspNetCore/commit/5c96a7cdef) Use an alternate workaround for #5873 - use specific workaround for Microsoft/vstest#428   - generating an executable for a test project is a bit too weird - also work around dotnet/sdk#926   - generating an executable covered this as well
* [`[966cd4a68d]`](https://github.com/aspnet/AspNetCore/commit/966cd4a68d) Introducing BasicWriter and TagHelperWriter
* [`[11c7eb5665]`](https://github.com/aspnet/AspNetCore/commit/11c7eb5665) Verify all request rejections are logged (#1295).
* [`[7d94abd606]`](https://github.com/aspnet/AspNetCore/commit/7d94abd606) Enable default server address test
* [`[0404bcc58c]`](https://github.com/aspnet/AspNetCore/commit/0404bcc58c) Add more microbenchmarks.
* [`[537b06f025]`](https://github.com/aspnet/AspNetCore/commit/537b06f025) Interleave multispan and single span code path (#1442)
* [`[0ce111d9f1]`](https://github.com/aspnet/AspNetCore/commit/0ce111d9f1) Fix write size in benchmark (#1449)
* [`[080494fc78]`](https://github.com/aspnet/AspNetCore/commit/080494fc78) Fix TaskCache type collision
* [`[acf97b6102]`](https://github.com/aspnet/AspNetCore/commit/acf97b6102) Unpin CoreFxLab package versions
* [`[da763b4873]`](https://github.com/aspnet/AspNetCore/commit/da763b4873) Use ascii decoding routine that disallows null chars (#1445)
* [`[544a09dc83]`](https://github.com/aspnet/AspNetCore/commit/544a09dc83) Workaround rogue System.IO.Pipelines on nuget.org
* [`[20f75605ca]`](https://github.com/aspnet/AspNetCore/commit/20f75605ca) Workaround rogue System.IO.Pipelines on nuget.org
* [`[00c38fca59]`](https://github.com/aspnet/AspNetCore/commit/00c38fca59) Add ModelState to Page
* [`[145d27f9b3]`](https://github.com/aspnet/AspNetCore/commit/145d27f9b3) Add a PagesOption type that allows configuring the root for Page file discovery
* [`[83edc38e72]`](https://github.com/aspnet/AspNetCore/commit/83edc38e72) Use TechEmpower request as baseline for request parsing benchmarks.
* [`[7730d33482]`](https://github.com/aspnet/AspNetCore/commit/7730d33482) Introducing DocumentWriter
* [`[ac60f13312]`](https://github.com/aspnet/AspNetCore/commit/ac60f13312) Modify RequestProcessingAsync to call single parse method (#1427)
* [`[7cc5c537a4]`](https://github.com/aspnet/AspNetCore/commit/7cc5c537a4) Added a new benchmark
* [`[c598f1918d]`](https://github.com/aspnet/AspNetCore/commit/c598f1918d) Collect commit files from artifacts directory
* [`[85e28ae478]`](https://github.com/aspnet/AspNetCore/commit/85e28ae478) Trim quotes from template (#5838)
* [`[7cadb58e12]`](https://github.com/aspnet/AspNetCore/commit/7cadb58e12) Add convenience extension methods for IPageApplicationModelConvention
* [`[1e0f2b3951]`](https://github.com/aspnet/AspNetCore/commit/1e0f2b3951) Fix systemd activation tests (#1429)
* [`[7f4f4108db]`](https://github.com/aspnet/AspNetCore/commit/7f4f4108db) Fixed tests to copy remoteDeploymentConfig.json
* [`[aac4eebd79]`](https://github.com/aspnet/AspNetCore/commit/aac4eebd79) Direct address configuration #297
* [`[ac5fd3f29f]`](https://github.com/aspnet/AspNetCore/commit/ac5fd3f29f) PR feetback
* [`[8929b40527]`](https://github.com/aspnet/AspNetCore/commit/8929b40527) Single span optimizations (#1421)
* [`[40ee51846c]`](https://github.com/aspnet/AspNetCore/commit/40ee51846c) Add allocations column (#1422)
* [`[ca31627a5e]`](https://github.com/aspnet/AspNetCore/commit/ca31627a5e) Parser clean up (#1419)
* [`[00aa36db13]`](https://github.com/aspnet/AspNetCore/commit/00aa36db13) Delete makefile.shade
* [`[ba69cd5df4]`](https://github.com/aspnet/AspNetCore/commit/ba69cd5df4) Add VerifyAll target shim
* [`[f2a00da811]`](https://github.com/aspnet/AspNetCore/commit/f2a00da811) Loop over bytes inside states of parser state machine (#1417)
* [`[b89415d9b2]`](https://github.com/aspnet/AspNetCore/commit/b89415d9b2) knownmethods optimizations
* [`[485f9595e2]`](https://github.com/aspnet/AspNetCore/commit/485f9595e2) EndPoint options and injection
* [`[cb6059c143]`](https://github.com/aspnet/AspNetCore/commit/cb6059c143) Make the IHttpParser per frame and add a reset (#1415)
* [`[d3694f085a]`](https://github.com/aspnet/AspNetCore/commit/d3694f085a) Add IHttpParser interface (#1414)
* [`[60c45c382b]`](https://github.com/aspnet/AspNetCore/commit/60c45c382b) #896 Have TestHost populate features before calling IHttpContextFactory.Create
* [`[f7c2e5bffc]`](https://github.com/aspnet/AspNetCore/commit/f7c2e5bffc) [Fixes #5844] Using ExtensionIRNode for Inject directive
* [`[684a77430c]`](https://github.com/aspnet/AspNetCore/commit/684a77430c) Add CI feed to NuGet.config
* [`[3058c050bb]`](https://github.com/aspnet/AspNetCore/commit/3058c050bb) Unify dependency versions across all non-template projects
* [`[d422e61c3e]`](https://github.com/aspnet/AspNetCore/commit/d422e61c3e) Make CSharpRenderingContext and friends public
* [`[9a4009ff8b]`](https://github.com/aspnet/AspNetCore/commit/9a4009ff8b) Added link to the NDC video.
* [`[c56de066d3]`](https://github.com/aspnet/AspNetCore/commit/c56de066d3) Optimized parsing GET verb and version (#1399)
* [`[9c676187f6]`](https://github.com/aspnet/AspNetCore/commit/9c676187f6) Update in-memory tests to used named database.
* [`[c3b33a2676]`](https://github.com/aspnet/AspNetCore/commit/c3b33a2676) Add Url + ILoggerFactory ctor for HubConnection (#253)
* [`[3a8b8c81ab]`](https://github.com/aspnet/AspNetCore/commit/3a8b8c81ab) Update in-memory tests to used named database.
* [`[15adff9433]`](https://github.com/aspnet/AspNetCore/commit/15adff9433) Only format non-negative int64 #760
* [`[568aaff9c4]`](https://github.com/aspnet/AspNetCore/commit/568aaff9c4) Improve HTTP parsing tests (#1393).
* [`[f5ac8c4ebd]`](https://github.com/aspnet/AspNetCore/commit/f5ac8c4ebd) Don't require framework when running CodeGenerator.
* [`[0abac4a20d]`](https://github.com/aspnet/AspNetCore/commit/0abac4a20d) Fix null ref in DisposeAsync on ConnectionState
* [`[fde0f6b2fc]`](https://github.com/aspnet/AspNetCore/commit/fde0f6b2fc) Add an option to Kestrel to disable threadpool dispatching
* [`[a79bc75671]`](https://github.com/aspnet/AspNetCore/commit/a79bc75671) Migrate to csproj (#703)
* [`[3772c7c343]`](https://github.com/aspnet/AspNetCore/commit/3772c7c343) Downgrade versions of new packages to 1.0.0
* [`[a95743c5f6]`](https://github.com/aspnet/AspNetCore/commit/a95743c5f6) Add functional test to verify generated code is up to date (#1369).
* [`[c6705d8693]`](https://github.com/aspnet/AspNetCore/commit/c6705d8693) Convert TakeStartLine and TakeMessageHeaders to be state machines (#1401)
* [`[e2e0c8dadf]`](https://github.com/aspnet/AspNetCore/commit/e2e0c8dadf) Add install instructions to README.md
* [`[cc29517ef3]`](https://github.com/aspnet/AspNetCore/commit/cc29517ef3) Add https client ceritificate mapping test (#74)
* [`[b312a84ff4]`](https://github.com/aspnet/AspNetCore/commit/b312a84ff4) Fixed solution file
* [`[57e5d1200a]`](https://github.com/aspnet/AspNetCore/commit/57e5d1200a) Use sake-dev instead of a specific commit
* [`[6dfbab0b6c]`](https://github.com/aspnet/AspNetCore/commit/6dfbab0b6c) More graceful error when running parallel git target
* [`[76fa731a6d]`](https://github.com/aspnet/AspNetCore/commit/76fa731a6d) Add .editorconfig
* [`[8140b8cdfe]`](https://github.com/aspnet/AspNetCore/commit/8140b8cdfe) Use Spans to parse the start line and headers (#1394)
* [`[913d9ef465]`](https://github.com/aspnet/AspNetCore/commit/913d9ef465) Quick fix for attribute documentation
* [`[04395b8bfa]`](https://github.com/aspnet/AspNetCore/commit/04395b8bfa) Update VSIX version
* [`[550283957a]`](https://github.com/aspnet/AspNetCore/commit/550283957a) Tolerate null returns from OOP methods
* [`[f177648c88]`](https://github.com/aspnet/AspNetCore/commit/f177648c88) Add activity log for TagHelper exceptions
* [`[498c1c570d]`](https://github.com/aspnet/AspNetCore/commit/498c1c570d) Update error message
* [`[9950325269]`](https://github.com/aspnet/AspNetCore/commit/9950325269) Update view compilation error message
* [`[615d8e71d6]`](https://github.com/aspnet/AspNetCore/commit/615d8e71d6) ifdef all the Razor Info window code
* [`[39b536b402]`](https://github.com/aspnet/AspNetCore/commit/39b536b402) Don't treat canceled reads as end of input
* [`[94d21e03f5]`](https://github.com/aspnet/AspNetCore/commit/94d21e03f5) Fixing support for XML docs in OOP
* [`[990e2a8dc4]`](https://github.com/aspnet/AspNetCore/commit/990e2a8dc4) Use pass through connection adapter instead of ssl for max buffer size tests (#1391)
* [`[a38db81b71]`](https://github.com/aspnet/AspNetCore/commit/a38db81b71) Templates that were waiting for awesome-typescript-loader 3.0.0 to ship no longer need to wait - it has shipped
* [`[08c550655a]`](https://github.com/aspnet/AspNetCore/commit/08c550655a) use new Base64 codec in Text and SSE Formatters (#231)
* [`[539903c7cf]`](https://github.com/aspnet/AspNetCore/commit/539903c7cf) Replace makefile.shade with a PowerShell script
* [`[7d3bcd2bf8]`](https://github.com/aspnet/AspNetCore/commit/7d3bcd2bf8) Avoid unobserved exceptions
* [`[ac096c217b]`](https://github.com/aspnet/AspNetCore/commit/ac096c217b) Add Identity Service to Universe
* [`[9767dbd5c1]`](https://github.com/aspnet/AspNetCore/commit/9767dbd5c1) fix #209 by converting to byte[] (#229)
* [`[a6d611aecd]`](https://github.com/aspnet/AspNetCore/commit/a6d611aecd) Introduce RazorCompilation
* [`[701612c859]`](https://github.com/aspnet/AspNetCore/commit/701612c859) fix #204 by implementing SSE formatter (#210)
* [`[e11e6b3be7]`](https://github.com/aspnet/AspNetCore/commit/e11e6b3be7) Add TempData property and some functional tests
* [`[627ea78e72]`](https://github.com/aspnet/AspNetCore/commit/627ea78e72) Replace image resizing sample with chartist sample
* [`[ba549502e1]`](https://github.com/aspnet/AspNetCore/commit/ba549502e1) Use the IThreadPool as the ReaderScheduler (#1372)
* [`[cb5b8a45f1]`](https://github.com/aspnet/AspNetCore/commit/cb5b8a45f1) [Fixes #959] Generate LineMapping for Using statements with source  - Also generate/test IR baselines with all code generation tests
* [`[19331f9532]`](https://github.com/aspnet/AspNetCore/commit/19331f9532) Adding some basic functional tests
* [`[f84362cc76]`](https://github.com/aspnet/AspNetCore/commit/f84362cc76) one last try to get this test de-flaked (#227)
* [`[80b9673693]`](https://github.com/aspnet/AspNetCore/commit/80b9673693) Temporary add delay to connection test to make it pass (#1384)
* [`[755ba7613e]`](https://github.com/aspnet/AspNetCore/commit/755ba7613e) Fix #215 and restore tests (#218)
* [`[9709139a27]`](https://github.com/aspnet/AspNetCore/commit/9709139a27) Fixing a bug where pending invocations were not terminated correctly
* [`[12c6a4b917]`](https://github.com/aspnet/AspNetCore/commit/12c6a4b917) Adding IConnection interface
* [`[7a4746868a]`](https://github.com/aspnet/AspNetCore/commit/7a4746868a) Removing Dispose from Transport, Connection and HubConnection Converting StopAsync to DisposeAsync
* [`[4fd71e3a6b]`](https://github.com/aspnet/AspNetCore/commit/4fd71e3a6b) Fix 'No data found for...' errors in CI test runs.
* [`[cc7f835e1d]`](https://github.com/aspnet/AspNetCore/commit/cc7f835e1d) Creating npm package for ts client
* [`[fd82d0214e]`](https://github.com/aspnet/AspNetCore/commit/fd82d0214e) Fix Theorys that should have been Facts.
* [`[3162946139]`](https://github.com/aspnet/AspNetCore/commit/3162946139) In ReactReduxSpa, configure store before matching routes. Fixes #663
* [`[36e4dbe941]`](https://github.com/aspnet/AspNetCore/commit/36e4dbe941) Adding a functional test project for Razor Pages
* [`[ef60779d31]`](https://github.com/aspnet/AspNetCore/commit/ef60779d31) Add Gitter badge (#1371)
* [`[c76ae277a3]`](https://github.com/aspnet/AspNetCore/commit/c76ae277a3) Add baselines for codegen tests
* [`[1ae0b21630]`](https://github.com/aspnet/AspNetCore/commit/1ae0b21630) Replace CSharpIRToken with RazorIRToken
* [`[2e4b1f4d18]`](https://github.com/aspnet/AspNetCore/commit/2e4b1f4d18) Fix compilation error.
* [`[ed9068cef4]`](https://github.com/aspnet/AspNetCore/commit/ed9068cef4) Replace RazorError with RazorDiagnostics in public API
* [`[824ef2c937]`](https://github.com/aspnet/AspNetCore/commit/824ef2c937) Input Pipeline migration (#1277)
* [`[7a2f89b5de]`](https://github.com/aspnet/AspNetCore/commit/7a2f89b5de) Add assembly name filtering to GetTagHelpers calls.
* [`[927e75870d]`](https://github.com/aspnet/AspNetCore/commit/927e75870d) Add BindingSourceMetadataProvider
* [`[965ae5490f]`](https://github.com/aspnet/AspNetCore/commit/965ae5490f) Introducing RazorIRToken
* [`[de6bfa480f]`](https://github.com/aspnet/AspNetCore/commit/de6bfa480f) Only show C# projects in Razor info window.
* [`[290c11ef3a]`](https://github.com/aspnet/AspNetCore/commit/290c11ef3a) Set ToolsVersion=15.0
* [`[8c17375be0]`](https://github.com/aspnet/AspNetCore/commit/8c17375be0) Surface TagHelper resolution errors.
* [`[bfe1f06938]`](https://github.com/aspnet/AspNetCore/commit/bfe1f06938) Fix AddressRegistrationTests.RegisterAddresses_IPv6ScopeId_Success (#1363).
* [`[6f33ebc1f5]`](https://github.com/aspnet/AspNetCore/commit/6f33ebc1f5) ObjectMethodExecutor
* [`[a13aa4de10]`](https://github.com/aspnet/AspNetCore/commit/a13aa4de10) Using webSockets transport as the default transport
* [`[d5ec0859e5]`](https://github.com/aspnet/AspNetCore/commit/d5ec0859e5) Disabled logging fast-path (#937)
* [`[075771a12d]`](https://github.com/aspnet/AspNetCore/commit/075771a12d) Re-enable netcoreapp1.1 tests (part 2)
* [`[f3a0ee5bdb]`](https://github.com/aspnet/AspNetCore/commit/f3a0ee5bdb) Add `RazorLanguageServiceException` to capture unexpected exceptions.
* [`[366dbde378]`](https://github.com/aspnet/AspNetCore/commit/366dbde378) Add culture constructor to RouteValueProvider
* [`[239e2202e1]`](https://github.com/aspnet/AspNetCore/commit/239e2202e1) ActionContextAccessor netstandard behave like net451 (#5810)
* [`[cfa4689d47]`](https://github.com/aspnet/AspNetCore/commit/cfa4689d47) Re-enable netcoreapp1.1 tests
* [`[f56d1b9441]`](https://github.com/aspnet/AspNetCore/commit/f56d1b9441) Updating VS version
* [`[ec7df544ed]`](https://github.com/aspnet/AspNetCore/commit/ec7df544ed) Use latest LTS packages
* [`[607445fc2b]`](https://github.com/aspnet/AspNetCore/commit/607445fc2b) Workaround for broken System.Memory package
* [`[ce4a8f0276]`](https://github.com/aspnet/AspNetCore/commit/ce4a8f0276) Disabling tests broken by new pipelines
* [`[76b998a8dc]`](https://github.com/aspnet/AspNetCore/commit/76b998a8dc) Skip .NET Framework-only tests on xplat
* [`[e35ee53ee5]`](https://github.com/aspnet/AspNetCore/commit/e35ee53ee5) DefaultRazorIRLoweringPhase is too agressive
* [`[1167fec0ba]`](https://github.com/aspnet/AspNetCore/commit/1167fec0ba) Skip functional tests on Linux/macOS
* [`[fd8827e7a9]`](https://github.com/aspnet/AspNetCore/commit/fd8827e7a9) Fix dependency version and solution project type
* [`[7a1a6dd1d6]`](https://github.com/aspnet/AspNetCore/commit/7a1a6dd1d6) Part 2 of RuntimeTarget
* [`[068c29a748]`](https://github.com/aspnet/AspNetCore/commit/068c29a748) Add repo folders to gitignore
* [`[c4ea355ddf]`](https://github.com/aspnet/AspNetCore/commit/c4ea355ddf) Allow for an alternate application name to be used as part of deployment. (#945)
* [`[4b2245eeb9]`](https://github.com/aspnet/AspNetCore/commit/4b2245eeb9) [Fixes #924] Correct RightShiftAssign operator
* [`[0097e40e46]`](https://github.com/aspnet/AspNetCore/commit/0097e40e46) Downgrade to stable packages
* [`[f684fcb574]`](https://github.com/aspnet/AspNetCore/commit/f684fcb574) Downgrade to stable packages
* [`[708630fd23]`](https://github.com/aspnet/AspNetCore/commit/708630fd23) Downgrade to stable packages
* [`[2a5c4320d2]`](https://github.com/aspnet/AspNetCore/commit/2a5c4320d2) increase retry count in autobahn tests
* [`[29647fda33]`](https://github.com/aspnet/AspNetCore/commit/29647fda33) [Fixes #5801] Move call to validate constructor in ComplexTypeModelBinder into CreateModel
* [`[7298fb23a5]`](https://github.com/aspnet/AspNetCore/commit/7298fb23a5) Downgrade to stable packages
* [`[95b73eae15]`](https://github.com/aspnet/AspNetCore/commit/95b73eae15) Downgrade to stable packages
* [`[2797101f64]`](https://github.com/aspnet/AspNetCore/commit/2797101f64) Downgrade to stable packages
* [`[75a0b9889a]`](https://github.com/aspnet/AspNetCore/commit/75a0b9889a) Downgrade to stable packages
* [`[c9d0ba6f45]`](https://github.com/aspnet/AspNetCore/commit/c9d0ba6f45) Downgrade to stable packages
* [`[b2c30da48d]`](https://github.com/aspnet/AspNetCore/commit/b2c30da48d) Downgrade to stable packages
* [`[ec73ffbdf6]`](https://github.com/aspnet/AspNetCore/commit/ec73ffbdf6) Downgrade to stable packages
* [`[28ec5017dc]`](https://github.com/aspnet/AspNetCore/commit/28ec5017dc) Downgrade to stable packages
* [`[395eeb125e]`](https://github.com/aspnet/AspNetCore/commit/395eeb125e) Downgrade to stable packages
* [`[a3e847e6cc]`](https://github.com/aspnet/AspNetCore/commit/a3e847e6cc) De-statificying HubConnection Wiring and raising events correctly
* [`[d4fbdd055a]`](https://github.com/aspnet/AspNetCore/commit/d4fbdd055a) Raising Received event
* [`[4f6306f352]`](https://github.com/aspnet/AspNetCore/commit/4f6306f352) Adding rasing Connected and Closed events
* [`[966470d269]`](https://github.com/aspnet/AspNetCore/commit/966470d269) Adding connection state
* [`[3ba95b98af]`](https://github.com/aspnet/AspNetCore/commit/3ba95b98af) Converting static ConnectAsync to instance StartAsync
* [`[70d97dd7b8]`](https://github.com/aspnet/AspNetCore/commit/70d97dd7b8) finish binary protocol formatter/parser (#203)
* [`[cb7692d16e]`](https://github.com/aspnet/AspNetCore/commit/cb7692d16e) WebSockets Transport (#185)
* [`[dc60a2e9c5]`](https://github.com/aspnet/AspNetCore/commit/dc60a2e9c5) Downgrade to stable packages
* [`[01d2c102fc]`](https://github.com/aspnet/AspNetCore/commit/01d2c102fc) Downgrade to stable packages
* [`[d57d729d13]`](https://github.com/aspnet/AspNetCore/commit/d57d729d13) Enable configuring the default service provider (#943)
* [`[55f31a8279]`](https://github.com/aspnet/AspNetCore/commit/55f31a8279) Use .NET 4.5.2 target framework when deploying test sites - follow-up to 8ae481c - sites are also built for .NET 4.5.2 in desktop runs
* [`[2773777ed1]`](https://github.com/aspnet/AspNetCore/commit/2773777ed1) Use .NET 4.5.2 target framework when deploying test sites - follow-up to 0527786 - sites are also built for .NET 4.5.2 in desktop runs
* [`[c8053845a4]`](https://github.com/aspnet/AspNetCore/commit/c8053845a4) Downgrade to stable packages
* [`[9847f40654]`](https://github.com/aspnet/AspNetCore/commit/9847f40654) Downgrade to stable packages
* [`[8764af8a36]`](https://github.com/aspnet/AspNetCore/commit/8764af8a36) Downgrade to stable packages
* [`[27d9b78fd2]`](https://github.com/aspnet/AspNetCore/commit/27d9b78fd2) Downgrade to stable packages
* [`[95cf0f48ff]`](https://github.com/aspnet/AspNetCore/commit/95cf0f48ff) Downgrade to stable packages
* [`[279855d947]`](https://github.com/aspnet/AspNetCore/commit/279855d947) Downgrade to stable packages
* [`[8051f3671b]`](https://github.com/aspnet/AspNetCore/commit/8051f3671b) Downgrade to stable packages
* [`[b9bba9cbb1]`](https://github.com/aspnet/AspNetCore/commit/b9bba9cbb1) Downgrade to stable packages
* [`[52c684ec13]`](https://github.com/aspnet/AspNetCore/commit/52c684ec13) Downgrade to stable packages
* [`[89a63f5885]`](https://github.com/aspnet/AspNetCore/commit/89a63f5885) Downgrade to stable packages
* [`[0c714cf61b]`](https://github.com/aspnet/AspNetCore/commit/0c714cf61b) Downgrade to stable packages
* [`[df21a82516]`](https://github.com/aspnet/AspNetCore/commit/df21a82516) Downgrade to stable packages
* [`[a728e1da41]`](https://github.com/aspnet/AspNetCore/commit/a728e1da41) Text Protocol Formatter (#187)
* [`[fc580eb0e9]`](https://github.com/aspnet/AspNetCore/commit/fc580eb0e9) Updated copy license for test
* [`[b4e3ccf67f]`](https://github.com/aspnet/AspNetCore/commit/b4e3ccf67f) added test cases to Dev branch (#72)
* [`[eb820106e2]`](https://github.com/aspnet/AspNetCore/commit/eb820106e2) Generate the class name from relative path
* [`[2697ad9a37]`](https://github.com/aspnet/AspNetCore/commit/2697ad9a37) Faster RequestServices (#941)
* [`[44048331e9]`](https://github.com/aspnet/AspNetCore/commit/44048331e9) Make `ViewComponent.View()` overloads respect explicitly passed in model even when `null`
* [`[0dbf62196c]`](https://github.com/aspnet/AspNetCore/commit/0dbf62196c) Introduces RuntimeTarget and abstraction for APIs
* [`[82cbda4a9a]`](https://github.com/aspnet/AspNetCore/commit/82cbda4a9a) Making `OrTimeout` common (#193)
* [`[3c2fd50e8f]`](https://github.com/aspnet/AspNetCore/commit/3c2fd50e8f) Add fields to dotnet new NuSpec file
* [`[531c11df2a]`](https://github.com/aspnet/AspNetCore/commit/531c11df2a) Fix 5594 - ExceptionHandled + Result is broken
* [`[5a67ca35be]`](https://github.com/aspnet/AspNetCore/commit/5a67ca35be) Add 'primaryOutputs' to dotnet new template.json files (and reorder JSON properties alphabetically)
* [`[1bf283877e]`](https://github.com/aspnet/AspNetCore/commit/1bf283877e) More updates to "dotnet new" template to produce correct template.json values
* [`[1115a0aff5]`](https://github.com/aspnet/AspNetCore/commit/1115a0aff5) Fix package.json files in Angular2Spa and AureliaSpa to have replaceable name (not hardcoded as Angular2Spa, etc.). Other templates were already set up like this.
* [`[a5c7a7e491]`](https://github.com/aspnet/AspNetCore/commit/a5c7a7e491) Bring tests from fa710e6  (rel/1.0.3) into dev - relates to #5595 which was a 1.0.x-only problem
* [`[3611adb894]`](https://github.com/aspnet/AspNetCore/commit/3611adb894) Fix mispaired solution configurations
* [`[4bddb5ff1b]`](https://github.com/aspnet/AspNetCore/commit/4bddb5ff1b) Small follow up to 8ee3d45 - rename `containsIndexers` to `doNotCache` in `ExpressionHelper`
* [`[fc93c47789]`](https://github.com/aspnet/AspNetCore/commit/fc93c47789) Use Monitor.TryEnter/Exit in the Scan loop (#189)
* [`[8ee3d45ef1]`](https://github.com/aspnet/AspNetCore/commit/8ee3d45ef1) Do not cache expressions containing method calls - #5655 - also make `ExpressionTextCache` more robust for defence-in-depth
* [`[d72cd469bd]`](https://github.com/aspnet/AspNetCore/commit/d72cd469bd) Add CodeAnalysis.Razor to the vsix
* [`[1652bf554f]`](https://github.com/aspnet/AspNetCore/commit/1652bf554f) Workaround APICheck errors
* [`[bc3a741eee]`](https://github.com/aspnet/AspNetCore/commit/bc3a741eee) Use DocumentClassifierPassBase Workaround issue with the model directive disappearing
* [`[8b03e9ef73]`](https://github.com/aspnet/AspNetCore/commit/8b03e9ef73) Make PageStart work Move more API to RazorPageBase
* [`[1151cde469]`](https://github.com/aspnet/AspNetCore/commit/1151cde469) Delete makefile.shade
* [`[00fe95253a]`](https://github.com/aspnet/AspNetCore/commit/00fe95253a) Delete makefile.shade
* [`[b5779b41bf]`](https://github.com/aspnet/AspNetCore/commit/b5779b41bf) Re-add necessary target framework fallbacks
* [`[ea778b9b6d]`](https://github.com/aspnet/AspNetCore/commit/ea778b9b6d) Implement a simple base for document classifiers
* [`[eaadfb70eb]`](https://github.com/aspnet/AspNetCore/commit/eaadfb70eb) Create NoVSIX solution configurations
* [`[21be33023c]`](https://github.com/aspnet/AspNetCore/commit/21be33023c) Implement APM methods in streams (#1335).
* [`[3651264ebf]`](https://github.com/aspnet/AspNetCore/commit/3651264ebf) Add missing runtime identifiers
* [`[0c8df245de]`](https://github.com/aspnet/AspNetCore/commit/0c8df245de) Hiding Channels (#183)
* [`[481ca0a8e0]`](https://github.com/aspnet/AspNetCore/commit/481ca0a8e0) Replace 'loader' with 'use' in various Webpack configs. Fixes 'loader option has been deprecated' warnings.
* [`[28483e2cf3]`](https://github.com/aspnet/AspNetCore/commit/28483e2cf3) In ReactReduxSpa, pin @types/react-router-redux to known-good version 4.0.30, because 4.0.40 is broken. Fixes #651
* [`[e8dd8089d4]`](https://github.com/aspnet/AspNetCore/commit/e8dd8089d4) In Angular2Spa, fix HMR with 2.4.6 and relax version dependency to allow arbitrary 2.x again. Fixes #643
* [`[66148dacf3]`](https://github.com/aspnet/AspNetCore/commit/66148dacf3) Move angular2-template-loader dependency version to ^0.6.2 now that the bug in 0.6.1 is fixed. Fixes #649.
* [`[ba91f403dd]`](https://github.com/aspnet/AspNetCore/commit/ba91f403dd) Don't attempt to repack for x86 on xplat
* [`[ee6e7419f1]`](https://github.com/aspnet/AspNetCore/commit/ee6e7419f1) Install the shared runtime
* [`[412c41118b]`](https://github.com/aspnet/AspNetCore/commit/412c41118b) Set references to PrivateAssets=None
* [`[7190412979]`](https://github.com/aspnet/AspNetCore/commit/7190412979) Tigger caching header finalization on write #92
* [`[02675da467]`](https://github.com/aspnet/AspNetCore/commit/02675da467) Handle single line directives properly
* [`[8b764c57e4]`](https://github.com/aspnet/AspNetCore/commit/8b764c57e4) Parse string directive tokens correctly
* [`[1b01da7a05]`](https://github.com/aspnet/AspNetCore/commit/1b01da7a05) Check hostingLog enabled (#933)
* [`[9264f3aa2d]`](https://github.com/aspnet/AspNetCore/commit/9264f3aa2d) Add TryUpdateModelAsync to pages
* [`[2eba53de1b]`](https://github.com/aspnet/AspNetCore/commit/2eba53de1b) Add support for optional directives
* [`[314aa366e1]`](https://github.com/aspnet/AspNetCore/commit/314aa366e1) Add TempData property support for Pages
* [`[690ef186a3]`](https://github.com/aspnet/AspNetCore/commit/690ef186a3) Add PageActionDescriptorChangeProvider to allow reloading on page changes
* [`[2ff80ffb49]`](https://github.com/aspnet/AspNetCore/commit/2ff80ffb49) Porting DefaultPageHandlerMethodSelector and ExecutorFactory
* [`[64d4b1da0c]`](https://github.com/aspnet/AspNetCore/commit/64d4b1da0c) Add an option to disable publishing "refs" assemblies if compilation of views is enabled
* [`[624909763b]`](https://github.com/aspnet/AspNetCore/commit/624909763b) Make _PageImports work Add support for generating the Model property
* [`[0559bbb9af]`](https://github.com/aspnet/AspNetCore/commit/0559bbb9af) Temporarily pin to Angular 2.4.5 and angular2-template-loader 0.6.0 because of bugs in their patch releases (#643, #649)
* [`[01366e5855]`](https://github.com/aspnet/AspNetCore/commit/01366e5855) Update to Mvc 1.1.1
* [`[8dd1b9aa96]`](https://github.com/aspnet/AspNetCore/commit/8dd1b9aa96) Fix packaging issues
* [`[e9e0cf7325]`](https://github.com/aspnet/AspNetCore/commit/e9e0cf7325) Prevent ODE when ReadStart/Stop() is queued after disposal
* [`[5124adf450]`](https://github.com/aspnet/AspNetCore/commit/5124adf450) Better report Kestrel crashing errors
* [`[9f3dfd9819]`](https://github.com/aspnet/AspNetCore/commit/9f3dfd9819) Make RazorPages work E2E
* [`[fea5d5cfdc]`](https://github.com/aspnet/AspNetCore/commit/fea5d5cfdc) Truncate SystemClock to Seconds Precision (#1110)
* [`[bad8bc945a]`](https://github.com/aspnet/AspNetCore/commit/bad8bc945a) Convert from project.json to csproj
* [`[c349929cc1]`](https://github.com/aspnet/AspNetCore/commit/c349929cc1) Port old Razor tests to new Razor
* [`[8d5abd433f]`](https://github.com/aspnet/AspNetCore/commit/8d5abd433f) Add support for PageStarts
* [`[adf18d4810]`](https://github.com/aspnet/AspNetCore/commit/adf18d4810) Make LineMapping public
* [`[d43f05189a]`](https://github.com/aspnet/AspNetCore/commit/d43f05189a) Overwrite headers when serving response from cache #101
* [`[c95c2a5a6d]`](https://github.com/aspnet/AspNetCore/commit/c95c2a5a6d) [Fixes #5686] Extend `ModelMetadata` to reduce ugliness
* [`[a801a49377]`](https://github.com/aspnet/AspNetCore/commit/a801a49377) Add an API to RazorProject to navigate hierarchical files
* [`[dc0be8d747]`](https://github.com/aspnet/AspNetCore/commit/dc0be8d747) SaveTempDataFilter handle write to body
* [`[7019c55219]`](https://github.com/aspnet/AspNetCore/commit/7019c55219) Fix package path issues
* [`[0f27c30d90]`](https://github.com/aspnet/AspNetCore/commit/0f27c30d90) Upgraded to VS 2017 RC
* [`[7b28d05373]`](https://github.com/aspnet/AspNetCore/commit/7b28d05373) Pin AureliaSpa to extract-text-webpack-plugin 2.0.0-beta.4 until it can move to Webpack 2.2.0 final.
* [`[87b9db7579]`](https://github.com/aspnet/AspNetCore/commit/87b9db7579) Add yarn.lock to ignorefiles in aspnet-prerendering
* [`[61ffca6290]`](https://github.com/aspnet/AspNetCore/commit/61ffca6290) In aspnet-prerendering, parse the incoming querystring before passing it to the boot func for convenience. Fixes #638.
* [`[a9e97f6783]`](https://github.com/aspnet/AspNetCore/commit/a9e97f6783) fix(ng-router): update to 3.4.5 for experimental version
* [`[450ee8927c]`](https://github.com/aspnet/AspNetCore/commit/450ee8927c) Workaround dotnet test pathing issues
* [`[aec1bffdd7]`](https://github.com/aspnet/AspNetCore/commit/aec1bffdd7) Disable standalone tests to workaround issues in Microsoft.NET.Sdk
* [`[07f3b7b699]`](https://github.com/aspnet/AspNetCore/commit/07f3b7b699) Simplify packing
* [`[2fff96311b]`](https://github.com/aspnet/AspNetCore/commit/2fff96311b) tidying up the transport spec (#171)
* [`[0f589a5b4c]`](https://github.com/aspnet/AspNetCore/commit/0f589a5b4c) Allow non-strict result for Autobahn case 4.1.3
* [`[8a4d8c0b59]`](https://github.com/aspnet/AspNetCore/commit/8a4d8c0b59) Simplify packing
* [`[74beba7a63]`](https://github.com/aspnet/AspNetCore/commit/74beba7a63) Don't restore for vsix on xplat
* [`[c49d7b8c27]`](https://github.com/aspnet/AspNetCore/commit/c49d7b8c27) Add support for new style Roslyn dotless commits.
* [`[1777f7babd]`](https://github.com/aspnet/AspNetCore/commit/1777f7babd) Enabling Razor Instrumentation
* [`[7af2f6ff36]`](https://github.com/aspnet/AspNetCore/commit/7af2f6ff36) [Fixes #961] Disable instrumentation for TagHelper attribute values
* [`[2730e300c3]`](https://github.com/aspnet/AspNetCore/commit/2730e300c3) Add link to AspNetCoreImageTagHelper
* [`[7dd6ee791a]`](https://github.com/aspnet/AspNetCore/commit/7dd6ee791a) Simplify packing
* [`[e44ee63241]`](https://github.com/aspnet/AspNetCore/commit/e44ee63241) Rename WebListener => HttpSysServer
* [`[e549270b4a]`](https://github.com/aspnet/AspNetCore/commit/e549270b4a) Add RazorDiagnostic type
* [`[5def499323]`](https://github.com/aspnet/AspNetCore/commit/5def499323) Added Sockets.Common and  connection level testing (#173)
* [`[3ade209bf0]`](https://github.com/aspnet/AspNetCore/commit/3ade209bf0) Delete using chunk tests
* [`[6c55754823]`](https://github.com/aspnet/AspNetCore/commit/6c55754823) Fix failing linemappings tests
* [`[2e2b54a507]`](https://github.com/aspnet/AspNetCore/commit/2e2b54a507) Add more cache control header parsing tests
* [`[3289afe007]`](https://github.com/aspnet/AspNetCore/commit/3289afe007) Add check for index advance during parsing
* [`[ac75a3136d]`](https://github.com/aspnet/AspNetCore/commit/ac75a3136d) In generator-aspnetcore-spa, add option to produce Angular 2.4.5 project (with 'experimental' caveat)
* [`[a3af5c0b25]`](https://github.com/aspnet/AspNetCore/commit/a3af5c0b25) In Angular2Spa, reference angular2-universal-patch. This will allow for upgrades to Angular 2.4.5.
* [`[847430a0d9]`](https://github.com/aspnet/AspNetCore/commit/847430a0d9) Update Karma config to allow for Webpack 2-style config file. Fixes #625.
* [`[9dbc119ed1]`](https://github.com/aspnet/AspNetCore/commit/9dbc119ed1) Update View Compilation for new Razor
* [`[b79f8384b0]`](https://github.com/aspnet/AspNetCore/commit/b79f8384b0) Make some methods public for ViewCompilation.
* [`[84d2e027f5]`](https://github.com/aspnet/AspNetCore/commit/84d2e027f5) Use new Razor in MVC
* [`[6ed34ddd33]`](https://github.com/aspnet/AspNetCore/commit/6ed34ddd33) Update KnockoutSpa to Webpack 2 (plus awesome-typescript-loader)
* [`[9f7bc75960]`](https://github.com/aspnet/AspNetCore/commit/9f7bc75960) Update ReactReduxSpa to Webpack 2 (plus awesome-typescript-loader)
* [`[bdd7cfd38b]`](https://github.com/aspnet/AspNetCore/commit/bdd7cfd38b) Update ReactSpa to Webpack 2 (plus awesome-typescript-loader)
* [`[c11aedd272]`](https://github.com/aspnet/AspNetCore/commit/c11aedd272) Call OnStarting before verifying response length (#1303).
* [`[e2a2e9a620]`](https://github.com/aspnet/AspNetCore/commit/e2a2e9a620) Fix memory leak caused by closure allocations in KestrelThread (#1264).
* [`[93981ab13e]`](https://github.com/aspnet/AspNetCore/commit/93981ab13e) Update codegen to be compatible with MVC
* [`[25831260f7]`](https://github.com/aspnet/AspNetCore/commit/25831260f7) Make CodeWrite public
* [`[7449ffad74]`](https://github.com/aspnet/AspNetCore/commit/7449ffad74) Add include and exclude attributes to EnvironmentTagHelper
* [`[2276c9eafe]`](https://github.com/aspnet/AspNetCore/commit/2276c9eafe) Include file names as part of printing Razor parse errors
* [`[d44c9aee1e]`](https://github.com/aspnet/AspNetCore/commit/d44c9aee1e) Added printing of route values when a route is not matched
* [`[2b2cf6efec]`](https://github.com/aspnet/AspNetCore/commit/2b2cf6efec) Correct an issue with codegen for taghelperprefix
* [`[0f4ce625ed]`](https://github.com/aspnet/AspNetCore/commit/0f4ce625ed) Update to VS 2017 RC3
* [`[17dc23a024]`](https://github.com/aspnet/AspNetCore/commit/17dc23a024) [Fixes #5637] Make CookieName of CookieTempDataProvider configurable
* [`[03cdd15e5c]`](https://github.com/aspnet/AspNetCore/commit/03cdd15e5c) SaveTempDataFilter handle write to body
* [`[fb7c25b662]`](https://github.com/aspnet/AspNetCore/commit/fb7c25b662) Added OriginalQueryString property to IStatusCodeReExecuteFeature interface
* [`[e4d00a2da3]`](https://github.com/aspnet/AspNetCore/commit/e4d00a2da3) Update aspnet-webpack to support Webpack 2-style configs that export a function
* [`[d187edbd76]`](https://github.com/aspnet/AspNetCore/commit/d187edbd76) Use the TagHelperBinder to dedupe taghelpers
* [`[98d5d1c70e]`](https://github.com/aspnet/AspNetCore/commit/98d5d1c70e) Flow parser errors over to the CSharpDocument
* [`[7a487a880a]`](https://github.com/aspnet/AspNetCore/commit/7a487a880a) [Fixes #48] Regression: List add must support adding items where index is same as count of elements
* [`[0bf9abbedf]`](https://github.com/aspnet/AspNetCore/commit/0bf9abbedf) Hardcoding the right value for MVC
* [`[6a95002f0e]`](https://github.com/aspnet/AspNetCore/commit/6a95002f0e) Fix lowering of taghelpers inside a section
* [`[cd4afdc083]`](https://github.com/aspnet/AspNetCore/commit/cd4afdc083) [Fixes #116] Set 'no-store' also in Cache-Conrol header
* [`[7725c20c47]`](https://github.com/aspnet/AspNetCore/commit/7725c20c47) Enabled Razor.Evolution tests on linux
* [`[3e214e2399]`](https://github.com/aspnet/AspNetCore/commit/3e214e2399) Introducing IPageModelActivatorProvider
* [`[8ce50e3fb3]`](https://github.com/aspnet/AspNetCore/commit/8ce50e3fb3) Add details on running in Docker Windows containers
* [`[243446d225]`](https://github.com/aspnet/AspNetCore/commit/243446d225) Quick fix for MVC. Hardcoding fullname of HelperResult.
* [`[eafbe74160]`](https://github.com/aspnet/AspNetCore/commit/eafbe74160) Fixed parameter count mismatch when invoking methods with wrong case (#162)
* [`[51b3e82701]`](https://github.com/aspnet/AspNetCore/commit/51b3e82701) OnStarting throws when Response.HasStarted
* [`[9df4674ee5]`](https://github.com/aspnet/AspNetCore/commit/9df4674ee5) Make property attributes public in IR
* [`[936c43a96c]`](https://github.com/aspnet/AspNetCore/commit/936c43a96c) Make instrumentation pass public for MVC
* [`[1840d6823b]`](https://github.com/aspnet/AspNetCore/commit/1840d6823b) Addresses #5694 (#5695)
* [`[c997ea8165]`](https://github.com/aspnet/AspNetCore/commit/c997ea8165) Converting pipelines to channels
* [`[1119bcf1b3]`](https://github.com/aspnet/AspNetCore/commit/1119bcf1b3) Sharing channel connections
* [`[05cc7792df]`](https://github.com/aspnet/AspNetCore/commit/05cc7792df) Synchronize the background scan and closing of connections - It was possible for the application to be torn down during a background scan. When that happened, the timer would be disposed before the end of the scan and would throw an ObjectDisposedException when timer resumption happened. This change introduces a lock that avoids that race.
* [`[8f085c8e5d]`](https://github.com/aspnet/AspNetCore/commit/8f085c8e5d) Create an x86 process to target 32-bit applications Fixes #47
* [`[a031c4badb]`](https://github.com/aspnet/AspNetCore/commit/a031c4badb) Update OpenId package versions
* [`[162cd1fc06]`](https://github.com/aspnet/AspNetCore/commit/162cd1fc06) Handle misbehaving user code (#159)
* [`[934f6a70d1]`](https://github.com/aspnet/AspNetCore/commit/934f6a70d1) Various fixes in HttpConnectionDispatcher (#151)
* [`[9051bbf322]`](https://github.com/aspnet/AspNetCore/commit/9051bbf322) Fix deadlock in SocketOutput (#1304).
* [`[42ae78a360]`](https://github.com/aspnet/AspNetCore/commit/42ae78a360) [Fixes #5012] ProducesAttribute should not inherit from ResultFilterAttribute
* [`[8ac6b6699f]`](https://github.com/aspnet/AspNetCore/commit/8ac6b6699f) [Fixes #4945] Simple string returned by controller action is not a valid JSON!
* [`[ba3976aeeb]`](https://github.com/aspnet/AspNetCore/commit/ba3976aeeb) Update to version 1.1.1.
* [`[c8da6e0628]`](https://github.com/aspnet/AspNetCore/commit/c8da6e0628) Fix deadlock in SocketOutput (#1304).
* [`[acd1dc5e24]`](https://github.com/aspnet/AspNetCore/commit/acd1dc5e24) Fixed inconsistent single quotes (#154)
* [`[3ad8efb4ab]`](https://github.com/aspnet/AspNetCore/commit/3ad8efb4ab) Fixing test after getid to negotiate rename
* [`[9eb42cce2d]`](https://github.com/aspnet/AspNetCore/commit/9eb42cce2d) Clean up disposal of connection state (#148)
* [`[fb4a99ffff]`](https://github.com/aspnet/AspNetCore/commit/fb4a99ffff) Fixing test hangs, adding timeouts. (#149)
* [`[779115b1ad]`](https://github.com/aspnet/AspNetCore/commit/779115b1ad)  #407 Add ContentLength to IHeaderDictionary
* [`[4ac842b050]`](https://github.com/aspnet/AspNetCore/commit/4ac842b050) Update to version 1.0.3.
* [`[119945ca02]`](https://github.com/aspnet/AspNetCore/commit/119945ca02) Cache the ContentLength header value
* [`[ecca980c91]`](https://github.com/aspnet/AspNetCore/commit/ecca980c91) Implement IHeaderDictionary.ContentLength
* [`[32cd737b62]`](https://github.com/aspnet/AspNetCore/commit/32cd737b62) Update to VS RC3
* [`[56bd85aaf2]`](https://github.com/aspnet/AspNetCore/commit/56bd85aaf2) #298 Add a timeout for draining requests on shutdown
* [`[a1c8d3d841]`](https://github.com/aspnet/AspNetCore/commit/a1c8d3d841) Fix the TS client to respect the new endpoint - Seems like the ts client wasn't updated to use /negotiate instead of /getid
* [`[1e957a9e5a]`](https://github.com/aspnet/AspNetCore/commit/1e957a9e5a) Allow processing of incoming invocations in parallel (#143)
* [`[822cb35624]`](https://github.com/aspnet/AspNetCore/commit/822cb35624) Prepare 1.1.0 release and pin floating versions
* [`[32efe43f85]`](https://github.com/aspnet/AspNetCore/commit/32efe43f85) Delete some dead code
* [`[03b63d97a2]`](https://github.com/aspnet/AspNetCore/commit/03b63d97a2) Quick fixes from MVC
* [`[6fd04366b1]`](https://github.com/aspnet/AspNetCore/commit/6fd04366b1) Make dotnet-install runnable
* [`[0ce64a5b83]`](https://github.com/aspnet/AspNetCore/commit/0ce64a5b83) Update the path to dotnet-install.sh
* [`[044648a213]`](https://github.com/aspnet/AspNetCore/commit/044648a213) fixing graceful shutdown on Win7 and IISExpress
* [`[7fcf5f2529]`](https://github.com/aspnet/AspNetCore/commit/7fcf5f2529) Pin the SDK to preview4
* [`[4420390f73]`](https://github.com/aspnet/AspNetCore/commit/4420390f73) Precompilation does not work for applications using relative path
* [`[501540c76e]`](https://github.com/aspnet/AspNetCore/commit/501540c76e) Use the list of Content files specified in the project as a source
* [`[c1ef1e533f]`](https://github.com/aspnet/AspNetCore/commit/c1ef1e533f) Consolidate options to a single file
* [`[8a74148fe1]`](https://github.com/aspnet/AspNetCore/commit/8a74148fe1) Add link to XmlResult repo
* [`[1c4a78597a]`](https://github.com/aspnet/AspNetCore/commit/1c4a78597a) Pin SDK version
* [`[cac6ade7c9]`](https://github.com/aspnet/AspNetCore/commit/cac6ade7c9) Implement Stream Flush+FlushAsync fully
* [`[851dd7ba3b]`](https://github.com/aspnet/AspNetCore/commit/851dd7ba3b) Add support for TagHelper directives
* [`[c31475af4e]`](https://github.com/aspnet/AspNetCore/commit/c31475af4e) Move the LanguageServices package to src
* [`[9ecd30cb2f]`](https://github.com/aspnet/AspNetCore/commit/9ecd30cb2f) Add Microsoft.CodeAnalysis.Razor
* [`[fec3cab2bb]`](https://github.com/aspnet/AspNetCore/commit/fec3cab2bb) Fix line endings
* [`[10fe5e6fa2]`](https://github.com/aspnet/AspNetCore/commit/10fe5e6fa2) Fix performance tests
* [`[4a49ee2164]`](https://github.com/aspnet/AspNetCore/commit/4a49ee2164) Adds support for imports to IR lowering
* [`[d7d1a04751]`](https://github.com/aspnet/AspNetCore/commit/d7d1a04751) When Node is launched with a debug listener, disable connection draining on restart. Fixes #506.
* [`[351fe3d15c]`](https://github.com/aspnet/AspNetCore/commit/351fe3d15c) In SpaServices, add new HotModuleReplacementEndpoint option on HMR config. Fixes #579.
* [`[3313a7f0a6]`](https://github.com/aspnet/AspNetCore/commit/3313a7f0a6) Update Node version to 6.x (current LTS) in Dockerfiles. Fixes #591.
* [`[fddfad14c9]`](https://github.com/aspnet/AspNetCore/commit/fddfad14c9) #1082 Update IdentityModel dependencies to 5.1.2
* [`[3828232d51]`](https://github.com/aspnet/AspNetCore/commit/3828232d51) Fix AAD sample
* [`[f2fd58d8c4]`](https://github.com/aspnet/AspNetCore/commit/f2fd58d8c4) Fix the social sample port.
* [`[f32058c5c3]`](https://github.com/aspnet/AspNetCore/commit/f32058c5c3) Warn instead of throw when ignoring IServerAddressesFeature
* [`[305748a800]`](https://github.com/aspnet/AspNetCore/commit/305748a800) Move classes out of .Internal
* [`[20e02e8fd6]`](https://github.com/aspnet/AspNetCore/commit/20e02e8fd6) Don't overwhelm server with data in KeepAliveTimeoutTests.ConnectionNotTimedOutWhileRequestBeingSent().
* [`[6e647854fa]`](https://github.com/aspnet/AspNetCore/commit/6e647854fa) Add support for `ViewComponentTagHelpers`.
* [`[6396e14504]`](https://github.com/aspnet/AspNetCore/commit/6396e14504) Add null-check back to MediaType
* [`[b8b0c73222]`](https://github.com/aspnet/AspNetCore/commit/b8b0c73222) Added Win7 and Win2008 skip for WebSockets testing
* [`[a84f35022e]`](https://github.com/aspnet/AspNetCore/commit/a84f35022e) Rename a test
* [`[bcd210819a]`](https://github.com/aspnet/AspNetCore/commit/bcd210819a) Prepare 1.1.0 release and pin floating versions
* [`[3c22b86a95]`](https://github.com/aspnet/AspNetCore/commit/3c22b86a95) Create RTM package versions
* [`[8b6c25ad86]`](https://github.com/aspnet/AspNetCore/commit/8b6c25ad86) Minor fix to transport protocol spec
* [`[7a27c5891c]`](https://github.com/aspnet/AspNetCore/commit/7a27c5891c) Describe transport protocols (#125)
* [`[c4762cdfd5]`](https://github.com/aspnet/AspNetCore/commit/c4762cdfd5) Better handle OnHeartbeat in 32-bit environments
* [`[464077866c]`](https://github.com/aspnet/AspNetCore/commit/464077866c) rename getid to negotiate (#124)
* [`[66b98a1c04]`](https://github.com/aspnet/AspNetCore/commit/66b98a1c04) update 502.5 error page
* [`[87f808cc9d]`](https://github.com/aspnet/AspNetCore/commit/87f808cc9d) fixing the AV for graceful shutdown on Win7, set forwardWindowsAuthToken default to true and other minor issues
* [`[6e246fa583]`](https://github.com/aspnet/AspNetCore/commit/6e246fa583) Prepare for 1.0.0 release. Pin versions of tools and SDK
* [`[99e35b9651]`](https://github.com/aspnet/AspNetCore/commit/99e35b9651) :arrow_up: update tool versions to 1.0.1
* [`[24efd4268b]`](https://github.com/aspnet/AspNetCore/commit/24efd4268b) Pin the version of RazorTooling packages to 1.1.0-preview4-final
* [`[e481df3d49]`](https://github.com/aspnet/AspNetCore/commit/e481df3d49) Add better errors, fix help output text, and add 'dotnet watch --list' to help us diagnose issues
* [`[b7d2f8c905]`](https://github.com/aspnet/AspNetCore/commit/b7d2f8c905) separate GetEncodedUrl  and GetEncodedPathAndQuery
* [`[6ac2452231]`](https://github.com/aspnet/AspNetCore/commit/6ac2452231) update xml doc
* [`[51f6415ea1]`](https://github.com/aspnet/AspNetCore/commit/51f6415ea1) let UriHelper.GetEncodedUrl  can  get relative url
* [`[e749a80b30]`](https://github.com/aspnet/AspNetCore/commit/e749a80b30) Check for empty location in ViewsFeatureProvider
* [`[d7527d2e0a]`](https://github.com/aspnet/AspNetCore/commit/d7527d2e0a) Create new way of suppressing unique Id generation
* [`[1a49a27344]`](https://github.com/aspnet/AspNetCore/commit/1a49a27344) Use correct docker base image for csproj projects. Fixes #574.
* [`[ce53675b87]`](https://github.com/aspnet/AspNetCore/commit/ce53675b87) Add `[ValidateNever]` and `IPropertyValidationFilter` - #5642 - lazy-load `ValidationEntry.Model`   - avoids `Exception`s when moving to a property that will not be validated
* [`[e2117dd6b4]`](https://github.com/aspnet/AspNetCore/commit/e2117dd6b4) Do not disable publishing views if MvcRazorCompileOnPublish is not set.
* [`[1b0379126b]`](https://github.com/aspnet/AspNetCore/commit/1b0379126b) Downgrade the versions of new CodeAnalysis packages
* [`[07c22f2b29]`](https://github.com/aspnet/AspNetCore/commit/07c22f2b29) Mutate API description parameter type from JsonPatchDocument to Operation[]
* [`[f95d49c870]`](https://github.com/aspnet/AspNetCore/commit/f95d49c870) Change datetime to datetime-local
* [`[93774a0234]`](https://github.com/aspnet/AspNetCore/commit/93774a0234) Mitigate MediaType overflow
* [`[86490e309f]`](https://github.com/aspnet/AspNetCore/commit/86490e309f) stablize Autobahn 3.2 on WebListener
* [`[a7abdeabcd]`](https://github.com/aspnet/AspNetCore/commit/a7abdeabcd) Introducing PageActionInvoker
* [`[242ea0ee3f]`](https://github.com/aspnet/AspNetCore/commit/242ea0ee3f) Add parsing of includes and imports
* [`[5fa4672c99]`](https://github.com/aspnet/AspNetCore/commit/5fa4672c99) Optimize C# symbol content string allocation
* [`[8215d28ada]`](https://github.com/aspnet/AspNetCore/commit/8215d28ada) Port TagHelperDescriptorFactory tests.
* [`[3bba46d4d3]`](https://github.com/aspnet/AspNetCore/commit/3bba46d4d3) More WebSockets testing (#100)
* [`[89a63d190e]`](https://github.com/aspnet/AspNetCore/commit/89a63d190e) Don't close connection when Content-Length set but no bytes written.
* [`[e312552edd]`](https://github.com/aspnet/AspNetCore/commit/e312552edd) Add setting to extend dotnet-publish arguments in ApplicationDeployer
* [`[208da8ca12]`](https://github.com/aspnet/AspNetCore/commit/208da8ca12) Add plumbing for imports and includes
* [`[172a20c4ec]`](https://github.com/aspnet/AspNetCore/commit/172a20c4ec) Use WaitToWriteAsync(), TryWrite() in HubLifetimeManager(s) (#122)
* [`[ffd455b77e]`](https://github.com/aspnet/AspNetCore/commit/ffd455b77e) Adds Instrumentation support
* [`[20d8f1fca2]`](https://github.com/aspnet/AspNetCore/commit/20d8f1fca2) fix autobahn test app to be an app (#114)
* [`[eec6ae2379]`](https://github.com/aspnet/AspNetCore/commit/eec6ae2379) #163 Update woff2 media type
* [`[8dc68cb798]`](https://github.com/aspnet/AspNetCore/commit/8dc68cb798) Use TryRead and TryWrite (#113)
* [`[13b32adeae]`](https://github.com/aspnet/AspNetCore/commit/13b32adeae) Move InvokeAsync to ResourceInvoker
* [`[6b0282fa84]`](https://github.com/aspnet/AspNetCore/commit/6b0282fa84) Commonize code from ControllerActionInvokerCache and PageFilterFactoryProvider
* [`[b3df10b638]`](https://github.com/aspnet/AspNetCore/commit/b3df10b638) Use connections format
* [`[ac4a0560a3]`](https://github.com/aspnet/AspNetCore/commit/ac4a0560a3) Don't publish cshtml files as part of publish
* [`[a9c7e14da0]`](https://github.com/aspnet/AspNetCore/commit/a9c7e14da0) Making HttpClient configurable and reusable
* [`[3bf5f6a1ce]`](https://github.com/aspnet/AspNetCore/commit/3bf5f6a1ce) Restructure response caching middleware flow
* [`[bd19022c4c]`](https://github.com/aspnet/AspNetCore/commit/bd19022c4c) Fixed teardown for streaming connections - Added mega hack for cancellation until we get newer pipeline implementations.
* [`[baf7fce49d]`](https://github.com/aspnet/AspNetCore/commit/baf7fce49d) Made some fixes to the disconnect sequence - Fixed ChannelConnection to use IChannel<T> for both sides of the connection. This allows use to close both the input and the output when we are tearing down. - Use TryComplete instead of complete to avoid exceptions thrown on Complete(), particularly ChannelClosedException.
* [`[a9dfd83ff4]`](https://github.com/aspnet/AspNetCore/commit/a9dfd83ff4) Fix EF.Tools version
* [`[e26f91a392]`](https://github.com/aspnet/AspNetCore/commit/e26f91a392) Call OnStarting before verifying response length (#1289).
* [`[0af0318f43]`](https://github.com/aspnet/AspNetCore/commit/0af0318f43) fix rebase error
* [`[cf77813c82]`](https://github.com/aspnet/AspNetCore/commit/cf77813c82) Re-enable HTTPS tests (#1273).
* [`[c95639b886]`](https://github.com/aspnet/AspNetCore/commit/c95639b886) Prevent race when validating logs by only examining logs from Session #135
* [`[ee59368467]`](https://github.com/aspnet/AspNetCore/commit/ee59368467) Add Microsoft.CodeAnalysis.Razor.Workspaces.Test project.
* [`[7c6aea443f]`](https://github.com/aspnet/AspNetCore/commit/7c6aea443f) Downgrade Workspaces.Common to 1.3.0 to work with Microsoft.NETCore.App 1.2.
* [`[b18606ec8d]`](https://github.com/aspnet/AspNetCore/commit/b18606ec8d) Fixing chat sample - it was still using fully qualified hub method name
* [`[1ed838fec9]`](https://github.com/aspnet/AspNetCore/commit/1ed838fec9) Don't invoke Path.GetFullPath when calculating MvcRazorOutputPath Add an option that allows specifying the command to invoke
* [`[59b24fb724]`](https://github.com/aspnet/AspNetCore/commit/59b24fb724) Make TagHelperDescriptor public for tooling
* [`[6c7d121ce8]`](https://github.com/aspnet/AspNetCore/commit/6c7d121ce8) Fix bugs in TagHelper discovery
* [`[d281cb72ea]`](https://github.com/aspnet/AspNetCore/commit/d281cb72ea) add "messaging" endpoints and transports
* [`[9917e8bb30]`](https://github.com/aspnet/AspNetCore/commit/9917e8bb30) Update launchSettings for new VS 2017 rules
* [`[622d112372]`](https://github.com/aspnet/AspNetCore/commit/622d112372) #723 Make HttpContextAccessor static AsyncLocal
* [`[3b25acd4ad]`](https://github.com/aspnet/AspNetCore/commit/3b25acd4ad) ContentType.IsNullOrEmpty
* [`[1ac38fea6b]`](https://github.com/aspnet/AspNetCore/commit/1ac38fea6b) Use the version of Roslyn packages available in VS
* [`[cbc8d12a0c]`](https://github.com/aspnet/AspNetCore/commit/cbc8d12a0c) Code dump of Razor extension
* [`[5bf4ec4110]`](https://github.com/aspnet/AspNetCore/commit/5bf4ec4110) Skipping class library tests on xplat
* [`[3351192dc5]`](https://github.com/aspnet/AspNetCore/commit/3351192dc5) Code dump of Visual Studio language services
* [`[2c55a03667]`](https://github.com/aspnet/AspNetCore/commit/2c55a03667) Code dump of prototype servicehub service
* [`[a289e04cb4]`](https://github.com/aspnet/AspNetCore/commit/a289e04cb4) Code dump of TagHelper discovery prototype
* [`[3f5cce41c1]`](https://github.com/aspnet/AspNetCore/commit/3f5cce41c1) Make ViewCompilation a target
* [`[57b368566d]`](https://github.com/aspnet/AspNetCore/commit/57b368566d) Use StatusCode instead of three digit numbers for status codes
* [`[fa0219f75e]`](https://github.com/aspnet/AspNetCore/commit/fa0219f75e) Updating Social Weather sample to 1.2.0
* [`[217f707456]`](https://github.com/aspnet/AspNetCore/commit/217f707456) Sorting out exceptions
* [`[a93f59c660]`](https://github.com/aspnet/AspNetCore/commit/a93f59c660) Add Aurelia to generator's README.md. Fixes #561.
* [`[6d7ddc45ef]`](https://github.com/aspnet/AspNetCore/commit/6d7ddc45ef) Fix deadlock in SocketOutput (#1278).
* [`[2351c1b558]`](https://github.com/aspnet/AspNetCore/commit/2351c1b558) Create a direct way to configure Kestrel endpoints
* [`[c377e6cd28]`](https://github.com/aspnet/AspNetCore/commit/c377e6cd28) For project.json-based projects, fix Kudu deployment by adding a .deployment file at the root
* [`[6789dbc102]`](https://github.com/aspnet/AspNetCore/commit/6789dbc102) csproj-based projects don't need the _placeholder.txt files, because the publishing code correctly includes dist files even if they were not on disk before
* [`[3ea2f36449]`](https://github.com/aspnet/AspNetCore/commit/3ea2f36449) Fix wrong status code
* [`[33dd1d965f]`](https://github.com/aspnet/AspNetCore/commit/33dd1d965f) Add all status codes in IANA list and update reason phrases
* [`[839437ef8c]`](https://github.com/aspnet/AspNetCore/commit/839437ef8c) Fixing issue #44 (#56)
* [`[ac8a86ff3f]`](https://github.com/aspnet/AspNetCore/commit/ac8a86ff3f) Skip specifying the project argument when running dotnet commands
* [`[7d20ae2156]`](https://github.com/aspnet/AspNetCore/commit/7d20ae2156) Add more status codes and reason phrases
* [`[2aff751547]`](https://github.com/aspnet/AspNetCore/commit/2aff751547) fix reference issues in net46 by removing framework assembly refs
* [`[473337ea33]`](https://github.com/aspnet/AspNetCore/commit/473337ea33) CompositeChangeToken moved to aspnet/Common Microsoft.Extensions.Primitives
* [`[a4963aa6da]`](https://github.com/aspnet/AspNetCore/commit/a4963aa6da) fix issue #50 app_offline.htm is case sensitive (#54)
* [`[de0f277892]`](https://github.com/aspnet/AspNetCore/commit/de0f277892) Fix attribute routing error message related to replace tokens
* [`[d04dc7182a]`](https://github.com/aspnet/AspNetCore/commit/d04dc7182a) #263 Disable parallel test execution to improve reliability
* [`[5070526f43]`](https://github.com/aspnet/AspNetCore/commit/5070526f43) replaced hardcoded message with Resources.ArgumentCannotBeNullOrEmpty
* [`[2971909f87]`](https://github.com/aspnet/AspNetCore/commit/2971909f87) Fix WebListener namespaces
* [`[e8452821b9]`](https://github.com/aspnet/AspNetCore/commit/e8452821b9) [Fixes #50] JsonPatchDocument.Replace() yields invalid path when [JsonProperty] is used (1.1.0)
* [`[755d436840]`](https://github.com/aspnet/AspNetCore/commit/755d436840) Fixed error message related to escaping curly braces.
* [`[6125e3982b]`](https://github.com/aspnet/AspNetCore/commit/6125e3982b) Make last test x-plat conditional
* [`[f07e7a5875]`](https://github.com/aspnet/AspNetCore/commit/f07e7a5875) Use the new 101 constant from Http Abstractions.
* [`[e104451f79]`](https://github.com/aspnet/AspNetCore/commit/e104451f79) Make SourceSpan public
* [`[8d94d9179d]`](https://github.com/aspnet/AspNetCore/commit/8d94d9179d) Don't delete the 'src' folder for VS2017 solutions
* [`[87e6c4ed3f]`](https://github.com/aspnet/AspNetCore/commit/87e6c4ed3f) #283 Make old object model internal
* [`[cc84b8402d]`](https://github.com/aspnet/AspNetCore/commit/cc84b8402d) Fix help text for dotnet-user-secrets-set to show the correct Windows example
* [`[78492b39d8]`](https://github.com/aspnet/AspNetCore/commit/78492b39d8) Introduce a base type for executing auth and resource filters.
* [`[eb0a2a1833]`](https://github.com/aspnet/AspNetCore/commit/eb0a2a1833) [Fixes #915] Added TagHelper preallocated attribute optimization pass
* [`[e9a688be15]`](https://github.com/aspnet/AspNetCore/commit/e9a688be15) Optimize 'Span.Content' memory allocation
* [`[6b075880ce]`](https://github.com/aspnet/AspNetCore/commit/6b075880ce) Clean up SourceLocation
* [`[b34bfdd92d]`](https://github.com/aspnet/AspNetCore/commit/b34bfdd92d) Add 101 status code
* [`[8c456aa0fc]`](https://github.com/aspnet/AspNetCore/commit/8c456aa0fc) Make Karma serve .ts files with executable MIME type, otherwise newer versions of Chrome won't run it. Fixes #499
* [`[49bece54c2]`](https://github.com/aspnet/AspNetCore/commit/49bece54c2) Check if response is stream or object without using reference to reflection package.
* [`[0907379da8]`](https://github.com/aspnet/AspNetCore/commit/0907379da8) Streamed responses can be be Object or Stream
* [`[fbb8054c2e]`](https://github.com/aspnet/AspNetCore/commit/fbb8054c2e) Make error message clearer if Node isn't installed (or not found on PATH). Fixes #527
* [`[70f59fc8ec]`](https://github.com/aspnet/AspNetCore/commit/70f59fc8ec) Update core package versions to 1.1.0-beta2-* so that CI will produce non-timestamped packages
* [`[0763f1062b]`](https://github.com/aspnet/AspNetCore/commit/0763f1062b) Add missing trailing slash on publicPath in docs. Fixes #516.
* [`[e84bc66700]`](https://github.com/aspnet/AspNetCore/commit/e84bc66700) First cut of adding API sets
* [`[f45afb6c19]`](https://github.com/aspnet/AspNetCore/commit/f45afb6c19) Add a test for using with trailing newline
* [`[dbf27c30c3]`](https://github.com/aspnet/AspNetCore/commit/dbf27c30c3) Introducing HubActivator (#83)
* [`[874a4cdf3a]`](https://github.com/aspnet/AspNetCore/commit/874a4cdf3a) Add a .sln just for new projects
* [`[2b8233932a]`](https://github.com/aspnet/AspNetCore/commit/2b8233932a) Add IPageFactory and IPageActivator
* [`[0835de17ec]`](https://github.com/aspnet/AspNetCore/commit/0835de17ec) Adds stronger verification for spans
* [`[f191cc62a2]`](https://github.com/aspnet/AspNetCore/commit/f191cc62a2) Get rid of locations on Tokens.
* [`[bd4300d8cc]`](https://github.com/aspnet/AspNetCore/commit/bd4300d8cc) Optimize HTML symbol content string allocation
* [`[0dacf01f54]`](https://github.com/aspnet/AspNetCore/commit/0dacf01f54) [Fixes #912] Added TagHelper design time code generation support
* [`[c72605f43a]`](https://github.com/aspnet/AspNetCore/commit/c72605f43a) Fix NuGet downgrade warning
* [`[9146fce4ec]`](https://github.com/aspnet/AspNetCore/commit/9146fce4ec) Add extension method for IParameterModelConvention. (#5640)
* [`[9dece91975]`](https://github.com/aspnet/AspNetCore/commit/9dece91975) [Fixes #882] Added TagHelper runtime code generation support
* [`[f47a40a4a7]`](https://github.com/aspnet/AspNetCore/commit/f47a40a4a7) Add Razor design time code generation.
* [`[8022afd3a2]`](https://github.com/aspnet/AspNetCore/commit/8022afd3a2) Handling exceptions thrown on the server side
* [`[3a01d6cff1]`](https://github.com/aspnet/AspNetCore/commit/3a01d6cff1) Introducing async/await in TS client + minor clean up
* [`[f9efbf8e78]`](https://github.com/aspnet/AspNetCore/commit/f9efbf8e78) Temporarily disabling running tests in this repo
* [`[b424e5b2b0]`](https://github.com/aspnet/AspNetCore/commit/b424e5b2b0) Updating shared runtime in missed test projects
* [`[c6150ba287]`](https://github.com/aspnet/AspNetCore/commit/c6150ba287) Move section support into IR.
* [`[12da346de9]`](https://github.com/aspnet/AspNetCore/commit/12da346de9) Updating missed projects to 4.4 CoreFx packages
* [`[45dcbac069]`](https://github.com/aspnet/AspNetCore/commit/45dcbac069) Update to CoreFx 4.4.0-*
* [`[bde6cc40bc]`](https://github.com/aspnet/AspNetCore/commit/bde6cc40bc) Fix compile failure
* [`[4c0413c804]`](https://github.com/aspnet/AspNetCore/commit/4c0413c804) Implement Stream Flush+FlushAsync fully
* [`[1492b41af0]`](https://github.com/aspnet/AspNetCore/commit/1492b41af0) Updating to 4.4 CoreFx packages
* [`[ce525150ab]`](https://github.com/aspnet/AspNetCore/commit/ce525150ab) Updating to 4.4 CoreFx packages
* [`[7657ea41a3]`](https://github.com/aspnet/AspNetCore/commit/7657ea41a3) Updating to 4.4 CoreFx packages
* [`[5b8f7c2b2b]`](https://github.com/aspnet/AspNetCore/commit/5b8f7c2b2b) Updating to 4.4 CoreFx packages
* [`[a42006d295]`](https://github.com/aspnet/AspNetCore/commit/a42006d295) Workarond type collision
* [`[2b50ec99df]`](https://github.com/aspnet/AspNetCore/commit/2b50ec99df) Updating to 4.4 CoreFx packages
* [`[af82488d60]`](https://github.com/aspnet/AspNetCore/commit/af82488d60) Updating to 4.4 CoreFx packages
* [`[bdf9d2a2e2]`](https://github.com/aspnet/AspNetCore/commit/bdf9d2a2e2) Updating to 4.4 CoreFx packages
* [`[2dbfb8839b]`](https://github.com/aspnet/AspNetCore/commit/2dbfb8839b) Include VaryByOrigin when there are multiple Origins configured (#84)
* [`[461caa85f4]`](https://github.com/aspnet/AspNetCore/commit/461caa85f4) Test RequestHeadersTimeout in KestrelServerLimitsTests.RequestHeadersTimeoutValid (#1268).
* [`[c5b7a3f710]`](https://github.com/aspnet/AspNetCore/commit/c5b7a3f710) Fixed a policheck violation
* [`[448b7eb50a]`](https://github.com/aspnet/AspNetCore/commit/448b7eb50a) Add dot to last item to make it more consistent
* [`[ecdc864e4f]`](https://github.com/aspnet/AspNetCore/commit/ecdc864e4f) Updated content root of musicstore.standalone to enable debugging in VS
* [`[b41c4078bd]`](https://github.com/aspnet/AspNetCore/commit/b41c4078bd) Abort connections not closed during shutdown (#1112).
* [`[c088a8871d]`](https://github.com/aspnet/AspNetCore/commit/c088a8871d) Getting rid of Advance (part 1)
* [`[b8e1fb8011]`](https://github.com/aspnet/AspNetCore/commit/b8e1fb8011) Add line-mapping support to RazorSourceDocument
* [`[b473101927]`](https://github.com/aspnet/AspNetCore/commit/b473101927) Fix line endings
* [`[88d99b06b3]`](https://github.com/aspnet/AspNetCore/commit/88d99b06b3) Skip Razor.Evolution tests on Linux and Mac.
* [`[23c0522db9]`](https://github.com/aspnet/AspNetCore/commit/23c0522db9) Added missing copyright and license headers
* [`[348fa77a93]`](https://github.com/aspnet/AspNetCore/commit/348fa77a93) doc: Add link to comunity device detector package
* [`[6ca8127bd6]`](https://github.com/aspnet/AspNetCore/commit/6ca8127bd6) Add foundation for the testing from packages, not project references
* [`[8b44e8e382]`](https://github.com/aspnet/AspNetCore/commit/8b44e8e382) Prevent closure allocations in OnHeartbeat (#1261)
* [`[15c1bfa717]`](https://github.com/aspnet/AspNetCore/commit/15c1bfa717) Branch for RC.3
* [`[c665eef66b]`](https://github.com/aspnet/AspNetCore/commit/c665eef66b) Update SocketsSample to use correct method names
* [`[dcb819f644]`](https://github.com/aspnet/AspNetCore/commit/dcb819f644) Fix port testing logic in tests by being explicit about which interface we're checking
* [`[4dd45f75d3]`](https://github.com/aspnet/AspNetCore/commit/4dd45f75d3) Enable Server GC (#731)
* [`[f722dcf98d]`](https://github.com/aspnet/AspNetCore/commit/f722dcf98d) Fix PrerenderResult in Webpack sample
* [`[953f370336]`](https://github.com/aspnet/AspNetCore/commit/953f370336) Wait for port to be freed before continuing
* [`[e2dd09c918]`](https://github.com/aspnet/AspNetCore/commit/e2dd09c918) [Fixes #881] Added TagHelper IR support
* [`[9323122c22]`](https://github.com/aspnet/AspNetCore/commit/9323122c22) Explicitly specify the version of the CLI
* [`[67cd5f6093]`](https://github.com/aspnet/AspNetCore/commit/67cd5f6093) In csproj projects, reference 1.1.0-preview4-final version of Razor tools
* [`[4fd19b4293]`](https://github.com/aspnet/AspNetCore/commit/4fd19b4293) Run tests against both csproj and project.json-style projects. Assumes relevant dotnet SDKs are installed locally.
* [`[4580412f73]`](https://github.com/aspnet/AspNetCore/commit/4580412f73) Don't leave behind an unused package.json.tmp file
* [`[a76b6e25d4]`](https://github.com/aspnet/AspNetCore/commit/a76b6e25d4) Add .csproj files for the templates. Some are set up for prerendering; others not.
* [`[2135d77189]`](https://github.com/aspnet/AspNetCore/commit/2135d77189) generator-aspnetcore-spa support for selecting between project.json and .csproj
* [`[62b676174e]`](https://github.com/aspnet/AspNetCore/commit/62b676174e) generator-aspnetcore-spa now displays its own version number on startup
* [`[6decb30681]`](https://github.com/aspnet/AspNetCore/commit/6decb30681) Make 'counter' components use <h1> headers to be consistent with other pages
* [`[33ed333f92]`](https://github.com/aspnet/AspNetCore/commit/33ed333f92) Specify SDK at repo root
* [`[495c95d227]`](https://github.com/aspnet/AspNetCore/commit/495c95d227) If generator fails because NPM is too old, exit with nonzero status code
* [`[c8b37f47d0]`](https://github.com/aspnet/AspNetCore/commit/c8b37f47d0) Pin functional tests to preview2 of dotnet-cli
* [`[0651cca94a]`](https://github.com/aspnet/AspNetCore/commit/0651cca94a) Updating to 4.4 CoreFx packages
* [`[4b9276bac2]`](https://github.com/aspnet/AspNetCore/commit/4b9276bac2) Updating to 4.4 CoreFx packages
* [`[42297c152b]`](https://github.com/aspnet/AspNetCore/commit/42297c152b) Updating to 4.4 CoreFx packages
* [`[a5717aa583]`](https://github.com/aspnet/AspNetCore/commit/a5717aa583) Updating to 4.4 CoreFx packages
* [`[ae24eea1a1]`](https://github.com/aspnet/AspNetCore/commit/ae24eea1a1) Updating to 4.4 CoreFx packages
* [`[7ab28ecdc6]`](https://github.com/aspnet/AspNetCore/commit/7ab28ecdc6) Updating to 4.4 CoreFx packages
* [`[13edf7a27b]`](https://github.com/aspnet/AspNetCore/commit/13edf7a27b) Updating to 4.4 CoreFx packages
* [`[6eb489007a]`](https://github.com/aspnet/AspNetCore/commit/6eb489007a) Updating to 4.4 CoreFx packages
* [`[8046dcc0f2]`](https://github.com/aspnet/AspNetCore/commit/8046dcc0f2) Updating to 4.4 CoreFx packages
* [`[f6eb86be78]`](https://github.com/aspnet/AspNetCore/commit/f6eb86be78) Updating to 4.4 CoreFx packages
* [`[7ea92f08fc]`](https://github.com/aspnet/AspNetCore/commit/7ea92f08fc) Updating to 4.4 CoreFx packages
* [`[991fbb08bc]`](https://github.com/aspnet/AspNetCore/commit/991fbb08bc) Updating to 4.4 CoreFx packages
* [`[c8c2dfaad9]`](https://github.com/aspnet/AspNetCore/commit/c8c2dfaad9) Updating to 4.4 CoreFx packages
* [`[4b77edfe7a]`](https://github.com/aspnet/AspNetCore/commit/4b77edfe7a) Updating to 4.4 CoreFx packages
* [`[344a2a5f9b]`](https://github.com/aspnet/AspNetCore/commit/344a2a5f9b) Updating to 4.4 CoreFx packages
* [`[b3afbc79d2]`](https://github.com/aspnet/AspNetCore/commit/b3afbc79d2) Updating to 4.4 CoreFx packages
* [`[5cb5178619]`](https://github.com/aspnet/AspNetCore/commit/5cb5178619) Updating to 4.4 CoreFx packages
* [`[61b2b0d4e7]`](https://github.com/aspnet/AspNetCore/commit/61b2b0d4e7) Add model for differentiating design time and runtime parsing.
* [`[8e8525512d]`](https://github.com/aspnet/AspNetCore/commit/8e8525512d) Performance optimizations
* [`[eb230e0408]`](https://github.com/aspnet/AspNetCore/commit/eb230e0408) Port existing CSharp code generation integration tests.
* [`[5d4c4e1ccf]`](https://github.com/aspnet/AspNetCore/commit/5d4c4e1ccf) Add Razor runtime code generation.
* [`[2db4985c21]`](https://github.com/aspnet/AspNetCore/commit/2db4985c21) Modify functions, section and inherits to use extensible directives.
* [`[503b4c97ed]`](https://github.com/aspnet/AspNetCore/commit/503b4c97ed) Resolve dependencies and packages from VS2017 solutions (#464)
* [`[e1d9aa2dd4]`](https://github.com/aspnet/AspNetCore/commit/e1d9aa2dd4) Early version of the .NET Client
* [`[cedbe76f52]`](https://github.com/aspnet/AspNetCore/commit/cedbe76f52) Abort request on client FIN (#1139).
* [`[51ecbd7949]`](https://github.com/aspnet/AspNetCore/commit/51ecbd7949) Add benchmarks for Frame writes.
* [`[eb98067e86]`](https://github.com/aspnet/AspNetCore/commit/eb98067e86) Update docs about using socket transport. Fixes #500
* [`[a25d1f4731]`](https://github.com/aspnet/AspNetCore/commit/a25d1f4731) Publish aspnet-webpack 1.0.26
* [`[4c3834361e]`](https://github.com/aspnet/AspNetCore/commit/4c3834361e) Stop WebpackDevMiddleware littering the 'dist' directories with blah.host-update.js.map files (they never need to be written to disk)
* [`[4cc61d79e2]`](https://github.com/aspnet/AspNetCore/commit/4cc61d79e2) Add json-loader to add webpack.config.js files. Helps with #507.
* [`[1c4682e50d]`](https://github.com/aspnet/AspNetCore/commit/1c4682e50d) Fix all the ConditionalProxyMiddleware errors that happened if you ctrl+c on a "dotnet run" (not "dotnet watch run") since beta-000002.
* [`[44c8920412]`](https://github.com/aspnet/AspNetCore/commit/44c8920412) Add RepositoryUrl and RepositoryType properties
* [`[d1f94460e2]`](https://github.com/aspnet/AspNetCore/commit/d1f94460e2) Back-port fix for implicit imports for dotnet-user-secrets (#243)
* [`[e01431f33c]`](https://github.com/aspnet/AspNetCore/commit/e01431f33c) Relocate improvements to HttpAbstractions
* [`[9c94a7764b]`](https://github.com/aspnet/AspNetCore/commit/9c94a7764b) Improve header parsing performance
* [`[46cf13b2fc]`](https://github.com/aspnet/AspNetCore/commit/46cf13b2fc) Hub connection tests
* [`[d3e625c985]`](https://github.com/aspnet/AspNetCore/commit/d3e625c985) End-to-end browser tests
* [`[d50a24145d]`](https://github.com/aspnet/AspNetCore/commit/d50a24145d) Add functionalities to HeaderUtilities
* [`[4da06e8acd]`](https://github.com/aspnet/AspNetCore/commit/4da06e8acd) Move Int64 parsing logic to HttpAbstractions
* [`[cfa9631ce8]`](https://github.com/aspnet/AspNetCore/commit/cfa9631ce8) Resolve path traversals in RazorViewEngine
* [`[f09fd291a7]`](https://github.com/aspnet/AspNetCore/commit/f09fd291a7) Make `HtmlContentIRNode` content newlines platform agnostic.
* [`[34ef31356f]`](https://github.com/aspnet/AspNetCore/commit/34ef31356f) Fix policheck violation.
* [`[2639fad8ab]`](https://github.com/aspnet/AspNetCore/commit/2639fad8ab) Transitioned SourceLocation => MappingLocation on IRNodes.
* [`[6545e11bf2]`](https://github.com/aspnet/AspNetCore/commit/6545e11bf2) Fix filename in sample
* [`[026f9ffb69]`](https://github.com/aspnet/AspNetCore/commit/026f9ffb69) Nodes that have children should use .Children
* [`[18bb31cee4]`](https://github.com/aspnet/AspNetCore/commit/18bb31cee4) Change IntegrationTestBase to properly locate baseline files in net451.
* [`[de1b763d96]`](https://github.com/aspnet/AspNetCore/commit/de1b763d96) Update IControllerModelConvention.cs
* [`[7c685c1354]`](https://github.com/aspnet/AspNetCore/commit/7c685c1354) Add AssemblyInfo.cs to Microsoft.AspNetCore.NodeServices.Sockets package
* [`[f277816556]`](https://github.com/aspnet/AspNetCore/commit/f277816556) Update packaging for tools
* [`[80e6430332]`](https://github.com/aspnet/AspNetCore/commit/80e6430332) Re-add dotnet-cli feeds in order to use preview4 packages
* [`[633969c7b4]`](https://github.com/aspnet/AspNetCore/commit/633969c7b4) Update Dockerfiles for .NET Core 1.1.0. Fixes #489
* [`[853c28e568]`](https://github.com/aspnet/AspNetCore/commit/853c28e568) Add integration testing
* [`[2b918b8fe2]`](https://github.com/aspnet/AspNetCore/commit/2b918b8fe2) Removing type name from hub method name (#63)
* [`[1dd1d49321]`](https://github.com/aspnet/AspNetCore/commit/1dd1d49321) Redirects with fragment (#5519)
* [`[2f54c12b82]`](https://github.com/aspnet/AspNetCore/commit/2f54c12b82) Add missing interface to IR phase
* [`[d0961fe28a]`](https://github.com/aspnet/AspNetCore/commit/d0961fe28a) Fix CI
* [`[5f3c1060ab]`](https://github.com/aspnet/AspNetCore/commit/5f3c1060ab) Clean up shutdown management (#59)
* [`[7178464ed2]`](https://github.com/aspnet/AspNetCore/commit/7178464ed2) Munch on less memory when handling property metadata - #5499 - switch `foreach` to `for` and use less Linq when accessing `modelMetadata.Properties` - change backing field for `ModelExplorer.Properties` from a list to an array
* [`[48546dbb28]`](https://github.com/aspnet/AspNetCore/commit/48546dbb28) Add more to `MvcCoreServiceCollectionExtensionsTest` - 2nd half of #5554 - follow-on to #5540 PR
* [`[f32d0f2505]`](https://github.com/aspnet/AspNetCore/commit/f32d0f2505) Update MvcCoreServiceCollectionExtensions.cs
* [`[6decb66d8c]`](https://github.com/aspnet/AspNetCore/commit/6decb66d8c) Upgrade Cli.Utils to preview4-004215
* [`[e53a87be9c]`](https://github.com/aspnet/AspNetCore/commit/e53a87be9c) Add MaxRequestBodySize limit (#478).
* [`[28e3c8331b]`](https://github.com/aspnet/AspNetCore/commit/28e3c8331b) Dispose Hubs from ActivatorUtilities
* [`[2190dc2096]`](https://github.com/aspnet/AspNetCore/commit/2190dc2096) Add RazorCSharpSourceDocument
* [`[9cefcdd450]`](https://github.com/aspnet/AspNetCore/commit/9cefcdd450) Add legacy dependencies of C# lowering
* [`[03549bb542]`](https://github.com/aspnet/AspNetCore/commit/03549bb542) Add end-to-end support for extensible directives
* [`[9c1c1b4023]`](https://github.com/aspnet/AspNetCore/commit/9c1c1b4023) Publish aspnet-prerendering 2.0.2
* [`[0a116ba2a1]`](https://github.com/aspnet/AspNetCore/commit/0a116ba2a1) Prerendering logic supplies PathBase (formatted as baseUrl) to boot logic
* [`[2b2465ad2e]`](https://github.com/aspnet/AspNetCore/commit/2b2465ad2e) Update prerendering docs to account for aspnet-prerendering 2.0.0 and the new createServerRenderer API. Fixes #479
* [`[dc130adc91]`](https://github.com/aspnet/AspNetCore/commit/dc130adc91) Update aspnet-prerendering to reference baseUrl in domain-task's main module, not domain-task/fetch. Goal is to avoid Webpack having to bundle isomorphic-fetch on server unless you're actually using it.
* [`[b8913d29dd]`](https://github.com/aspnet/AspNetCore/commit/b8913d29dd) Update domain-task to export baseUrl from 'main' instead of only 'fetch'. Goal is to avoid Webpack detecting dependency on isomorphic-fetch unless you're actually using it.
* [`[17da5242e0]`](https://github.com/aspnet/AspNetCore/commit/17da5242e0) Create console reporter API
* [`[4abb48e1aa]`](https://github.com/aspnet/AspNetCore/commit/4abb48e1aa) Added EventSource to Hosting
* [`[a96370ea35]`](https://github.com/aspnet/AspNetCore/commit/a96370ea35) Update project.json versions
* [`[8f8bf5af34]`](https://github.com/aspnet/AspNetCore/commit/8f8bf5af34) Seperate view and model for enum display
* [`[5e669d6e7a]`](https://github.com/aspnet/AspNetCore/commit/5e669d6e7a) Publish Yeoman generators 0.7.1
* [`[5d02728159]`](https://github.com/aspnet/AspNetCore/commit/5d02728159) Publish Yeoman generators version 0.7.0. From here on, the templates produce ASP.NET Core 1.1.0 projects.
* [`[78632617f8]`](https://github.com/aspnet/AspNetCore/commit/78632617f8) Publish aspnet-webpack 1.0.25
* [`[e2f8031bb8]`](https://github.com/aspnet/AspNetCore/commit/e2f8031bb8) For HMR, proxy all requests including /__webpack_hmr. Fixes #271.
* [`[2cffab14f6]`](https://github.com/aspnet/AspNetCore/commit/2cffab14f6) StringAsTempFile cleans up in a wider range of circumstances (not relying on finalizer running). Helps with #7 but still doesn't cover all cases.
* [`[9001c191c1]`](https://github.com/aspnet/AspNetCore/commit/9001c191c1) Make Angular and React templates reference SpaServices directly. The AngularServices/ReactServices packages might be used in the future, but don't presently contain any extra usable functionality.
* [`[832da2a451]`](https://github.com/aspnet/AspNetCore/commit/832da2a451) Split out 'socket' hosting model into a separate optional NuGet package, since most developers won't need it
* [`[ebf5a18344]`](https://github.com/aspnet/AspNetCore/commit/ebf5a18344) Eliminate the NodeHostingModel enum because it isn't extensible. Instead, use extension methods on NodeServicesOptions to configure a NodeInstanceFactory.
* [`[46018f9512]`](https://github.com/aspnet/AspNetCore/commit/46018f9512) Add IR phase
* [`[e6b34fdce3]`](https://github.com/aspnet/AspNetCore/commit/e6b34fdce3) Renaming RpcConnection to HubConnection
* [`[4158dfed8f]`](https://github.com/aspnet/AspNetCore/commit/4158dfed8f) add net451 support to signalr.redis
* [`[dbaa01830b]`](https://github.com/aspnet/AspNetCore/commit/dbaa01830b) Replace 'foreach' by 'for' in StringValues (faster)
* [`[2039a18971]`](https://github.com/aspnet/AspNetCore/commit/2039a18971) Introducing modules for the ts client
* [`[8214954d5b]`](https://github.com/aspnet/AspNetCore/commit/8214954d5b) Add support for clients to configure a policy with custom logic about whether an origin should be allowed and provide a default implementation of the functionality to allow wildcard subdomains
* [`[62c0680193]`](https://github.com/aspnet/AspNetCore/commit/62c0680193) Make 'fetchdata' components in templates compatible with latest TypeScript compiler
* [`[a8d3eed32c]`](https://github.com/aspnet/AspNetCore/commit/a8d3eed32c) Detect legacy aspnet-prerendering mode earlier to fix #470
* [`[5d14f11b1b]`](https://github.com/aspnet/AspNetCore/commit/5d14f11b1b) Update all the project templates to .NET Core 1.1.0
* [`[4cbbf58600]`](https://github.com/aspnet/AspNetCore/commit/4cbbf58600) Update core packages to version 1.1.0-*, upgrading .NET Core dependencies to match 1.1.0 release
* [`[3ff4447924]`](https://github.com/aspnet/AspNetCore/commit/3ff4447924) Add XML docs to core packages
* [`[3b91ad9b39]`](https://github.com/aspnet/AspNetCore/commit/3b91ad9b39) Make core package project.json files conform to org-wide conventions
* [`[bebf24952e]`](https://github.com/aspnet/AspNetCore/commit/bebf24952e) Add AssemblyInfo files to core packages
* [`[42594afd42]`](https://github.com/aspnet/AspNetCore/commit/42594afd42) Introducing IApplicationLifetimeEvents (#875)
* [`[f63006dc1a]`](https://github.com/aspnet/AspNetCore/commit/f63006dc1a) Pack with NuGet 3.5.0 RTM
* [`[53e5c3d56c]`](https://github.com/aspnet/AspNetCore/commit/53e5c3d56c) #1001 don't log stack traces for localhost bind failures.
* [`[02b84d7ae1]`](https://github.com/aspnet/AspNetCore/commit/02b84d7ae1) Make ListenerPrimaryTests more reliable
* [`[834301e50d]`](https://github.com/aspnet/AspNetCore/commit/834301e50d) Publish generator-aspnetcore-spa 0.6.1
* [`[03774253eb]`](https://github.com/aspnet/AspNetCore/commit/03774253eb) Fix AureliaSpa TypeScript compile error introduced by newer version of TypeScript
* [`[a3cba50e88]`](https://github.com/aspnet/AspNetCore/commit/a3cba50e88) Make ReactReduxSpa able to do prerendering without node_modules at runtime
* [`[9cfea61f1e]`](https://github.com/aspnet/AspNetCore/commit/9cfea61f1e) Make Angular2Spa able to do prerendering without node_modules at runtime
* [`[157b74a0cd]`](https://github.com/aspnet/AspNetCore/commit/157b74a0cd) Update Angular2Spa and ReactReduxSpa to use aspnet-prerendering 2.0.0
* [`[1b59fc6f80]`](https://github.com/aspnet/AspNetCore/commit/1b59fc6f80) DI enabled Microsoft.AspNetCore.Sockets (#47)
* [`[69a0a29057]`](https://github.com/aspnet/AspNetCore/commit/69a0a29057) Handle Webpack 2.1.0 beta 23 renaming 'loaders' to 'rules'. Fixes #460.
* [`[518378f499]`](https://github.com/aspnet/AspNetCore/commit/518378f499) Add extensible directive abstractions
* [`[52ee9afc31]`](https://github.com/aspnet/AspNetCore/commit/52ee9afc31) Adding PageActionDescriptorProvider
* [`[5b2a4aecb6]`](https://github.com/aspnet/AspNetCore/commit/5b2a4aecb6) Make Microsoft.AspNetCore.Mvc.TestCommon a regular project
* [`[172f0579d5]`](https://github.com/aspnet/AspNetCore/commit/172f0579d5) Tool produces a 0-byte binary when compilation fails
* [`[9ccc896b1d]`](https://github.com/aspnet/AspNetCore/commit/9ccc896b1d) #297 Standardize the test site layout, use the publish tool
* [`[35103e84a0]`](https://github.com/aspnet/AspNetCore/commit/35103e84a0) Indentation fixed
* [`[a3a583b910]`](https://github.com/aspnet/AspNetCore/commit/a3a583b910) Add a runtimes section to fix win7
* [`[cdcffd50da]`](https://github.com/aspnet/AspNetCore/commit/cdcffd50da) Added Debug logger to MvcSandbox
* [`[a68018842a]`](https://github.com/aspnet/AspNetCore/commit/a68018842a) Add Win7 runtimes to the functional test project
* [`[077bc8104e]`](https://github.com/aspnet/AspNetCore/commit/077bc8104e) Fix IIS Express deployer for Win7
* [`[638b4b5fc4]`](https://github.com/aspnet/AspNetCore/commit/638b4b5fc4) Removing checked in jasmine
* [`[e316898c9f]`](https://github.com/aspnet/AspNetCore/commit/e316898c9f) Added missing copyright header
* [`[e0f85971a3]`](https://github.com/aspnet/AspNetCore/commit/e0f85971a3) Add --version options to dotnet-watch and dotnet-sql-cache
* [`[47769c1626]`](https://github.com/aspnet/AspNetCore/commit/47769c1626) Fix visit chunk generator naming.
* [`[4a5d8f2960]`](https://github.com/aspnet/AspNetCore/commit/4a5d8f2960) #126 Test the bin deployed aspnetcore.dll
* [`[e57ded038b]`](https://github.com/aspnet/AspNetCore/commit/e57ded038b) #46 Test support for bin deployed aspnetcore.dll
* [`[c91c2a9030]`](https://github.com/aspnet/AspNetCore/commit/c91c2a9030) #292 Test with the bin deployed aspnetcore.dll
* [`[2bf5a966cd]`](https://github.com/aspnet/AspNetCore/commit/2bf5a966cd) Fast path and inline HttpVersion.set
* [`[6b59c25474]`](https://github.com/aspnet/AspNetCore/commit/6b59c25474) Clean up
* [`[b9db30367b]`](https://github.com/aspnet/AspNetCore/commit/b9db30367b) Adding E2E test project
* [`[cf7489e600]`](https://github.com/aspnet/AspNetCore/commit/cf7489e600) Port WhiteSpaceRewriter and ConditionalAttributeCollapser.
* [`[aa58ea6907]`](https://github.com/aspnet/AspNetCore/commit/aa58ea6907) Change IR implementations to not hold all information in children.
* [`[d8b626c843]`](https://github.com/aspnet/AspNetCore/commit/d8b626c843) Implement IR lowering phase
* [`[46136e91ab]`](https://github.com/aspnet/AspNetCore/commit/46136e91ab) Resolve mysterious runtime errors caused because Microsoft.Extensions.DependencyModel v1.0.1-beta-000933 does not exist on NuGet.org
* [`[712dff32bb]`](https://github.com/aspnet/AspNetCore/commit/712dff32bb) organize usings
* [`[fd4cb7394b]`](https://github.com/aspnet/AspNetCore/commit/fd4cb7394b) organize usings
* [`[b2d45c3dd0]`](https://github.com/aspnet/AspNetCore/commit/b2d45c3dd0) Make TestApplicationErrorLogger thread-safe
* [`[b7c9b24193]`](https://github.com/aspnet/AspNetCore/commit/b7c9b24193) Update the IIS Express deployer to use the new ANCM package layout.
* [`[7b190ccf0f]`](https://github.com/aspnet/AspNetCore/commit/7b190ccf0f) Changed allowed header to Cache-control to illustrate Access-Control-Allow-Headers and Access-Control-Request-Headers
* [`[34aa1c5722]`](https://github.com/aspnet/AspNetCore/commit/34aa1c5722) README fixed
* [`[9ec4d88fbe]`](https://github.com/aspnet/AspNetCore/commit/9ec4d88fbe) Improve Skip coverage
* [`[ba0b7cc553]`](https://github.com/aspnet/AspNetCore/commit/ba0b7cc553) Add 100% coverage Take tests
* [`[dc90dd1649]`](https://github.com/aspnet/AspNetCore/commit/dc90dd1649) Add GetArraySegment test
* [`[ef5ad3deea]`](https://github.com/aspnet/AspNetCore/commit/ef5ad3deea) defaullt(MemoryPoolIterator) test coverage
* [`[2011a27bde]`](https://github.com/aspnet/AspNetCore/commit/2011a27bde) Use ternary op rather than lazy and
* [`[8ce47fb8b6]`](https://github.com/aspnet/AspNetCore/commit/8ce47fb8b6) Move perf, share code
* [`[5041d6c291]`](https://github.com/aspnet/AspNetCore/commit/5041d6c291) wasLastBlock adjustments
* [`[4cdcca212e]`](https://github.com/aspnet/AspNetCore/commit/4cdcca212e) Don't inline slow paths
* [`[12e2f30577]`](https://github.com/aspnet/AspNetCore/commit/12e2f30577) MemoryPoolIterator byref structs
* [`[90c7be1fc0]`](https://github.com/aspnet/AspNetCore/commit/90c7be1fc0) Add Request Parsing benchmark
* [`[53f361160e]`](https://github.com/aspnet/AspNetCore/commit/53f361160e) MemoryPoolIterator fast paths
* [`[8bcbfb9971]`](https://github.com/aspnet/AspNetCore/commit/8bcbfb9971) Only LocateFirstFoundByte once
* [`[28a21fa7a9]`](https://github.com/aspnet/AspNetCore/commit/28a21fa7a9) Move vectors closer to use
* [`[00a63537cf]`](https://github.com/aspnet/AspNetCore/commit/00a63537cf) And=> xor, powerOfTwoToHighByte to const
* [`[97d4406614]`](https://github.com/aspnet/AspNetCore/commit/97d4406614) Use Vector<byte>.ctor workaround
* [`[972d978d11]`](https://github.com/aspnet/AspNetCore/commit/972d978d11) Swap for vector loop unroll detection
* [`[9eb01d1c57]`](https://github.com/aspnet/AspNetCore/commit/9eb01d1c57) Reduce Vector register pressure by not overlapping
* [`[4f7977d440]`](https://github.com/aspnet/AspNetCore/commit/4f7977d440) Use PowerOfTwoToHighByte for FindFirstEqualByte
* [`[40d4670463]`](https://github.com/aspnet/AspNetCore/commit/40d4670463) Abstract the console
* [`[6c8ef157b4]`](https://github.com/aspnet/AspNetCore/commit/6c8ef157b4) Add TagHelper binding abstractions.
* [`[26a1cf3cff]`](https://github.com/aspnet/AspNetCore/commit/26a1cf3cff) Port existing TagHelper infrastructure.
* [`[51fb0c993b]`](https://github.com/aspnet/AspNetCore/commit/51fb0c993b) Add indexability to the RazorSourceDocument.
* [`[e3a4fad951]`](https://github.com/aspnet/AspNetCore/commit/e3a4fad951) fix sln for templates
* [`[3a4936dbf7]`](https://github.com/aspnet/AspNetCore/commit/3a4936dbf7) Add '-loader' suffix to all Webpack loader references
* [`[a457be5386]`](https://github.com/aspnet/AspNetCore/commit/a457be5386) Pinning missed tools and dependencies
* [`[296b12abc3]`](https://github.com/aspnet/AspNetCore/commit/296b12abc3) Pinning missed tools and dependencies
* [`[3db35194c9]`](https://github.com/aspnet/AspNetCore/commit/3db35194c9) Pinning versions for 1.1.0 release
* [`[74c9194aee]`](https://github.com/aspnet/AspNetCore/commit/74c9194aee) Pinning versions for 1.1.0 release
* [`[4faf89030c]`](https://github.com/aspnet/AspNetCore/commit/4faf89030c) Pinning versions for 1.1.0 release
* [`[d6c6408457]`](https://github.com/aspnet/AspNetCore/commit/d6c6408457) In AureliaSpa, lock local copy of Webpack to 2.1.0-beta.25 (not any later 2.1.0 beta) due to fix #436
* [`[1a29ddb9de]`](https://github.com/aspnet/AspNetCore/commit/1a29ddb9de) Fix EF dependencies in chat sample
* [`[192134cad8]`](https://github.com/aspnet/AspNetCore/commit/192134cad8) Throw if packing fails
* [`[e931db804f]`](https://github.com/aspnet/AspNetCore/commit/e931db804f) :arrow_up: prerelease version
* [`[a0e07744c0]`](https://github.com/aspnet/AspNetCore/commit/a0e07744c0) Pin versions
* [`[48d957ae85]`](https://github.com/aspnet/AspNetCore/commit/48d957ae85) Updating to Microsoft.NETCore.App 1.0.3
* [`[3b4d8e2e3d]`](https://github.com/aspnet/AspNetCore/commit/3b4d8e2e3d) Fix downgrade warnings during restore
* [`[4e96bbdfe5]`](https://github.com/aspnet/AspNetCore/commit/4e96bbdfe5) Update nupkg layout to include both architectures together.
* [`[975dc212b7]`](https://github.com/aspnet/AspNetCore/commit/975dc212b7) Fix package versions
* [`[c5a5ba1fee]`](https://github.com/aspnet/AspNetCore/commit/c5a5ba1fee) Add support for updateable ActionDescriptorCollection
* [`[177fb2a6b1]`](https://github.com/aspnet/AspNetCore/commit/177fb2a6b1) Temporarily disable running tests on Microsoft.AspNetCore.RazorPages.Test
* [`[29cd24f66b]`](https://github.com/aspnet/AspNetCore/commit/29cd24f66b) Add Microsoft.AspNetCore.Mvc.RazorPages projects
* [`[edff55ca47]`](https://github.com/aspnet/AspNetCore/commit/edff55ca47) Adding AspNetCore-Feature-Work feed
* [`[98bb5d67fd]`](https://github.com/aspnet/AspNetCore/commit/98bb5d67fd) Design PR for CORS sample and logging
* [`[2a0e827f9b]`](https://github.com/aspnet/AspNetCore/commit/2a0e827f9b) Update dependency version and explicitly require files in nuspec
* [`[ac5a9b7b73]`](https://github.com/aspnet/AspNetCore/commit/ac5a9b7b73) Pin versions
* [`[e2c4e36d78]`](https://github.com/aspnet/AspNetCore/commit/e2c4e36d78) Ensure .targets files are included in dotnet-watch
* [`[2b77446326]`](https://github.com/aspnet/AspNetCore/commit/2b77446326) Update sln to reflect changed testing project.
* [`[1562865ca6]`](https://github.com/aspnet/AspNetCore/commit/1562865ca6) Add RazorProject - an abstraction for working with Razor files in a project
* [`[d42a4c84a1]`](https://github.com/aspnet/AspNetCore/commit/d42a4c84a1) Rename IR* -> RazorIR*
* [`[d40f6d3151]`](https://github.com/aspnet/AspNetCore/commit/d40f6d3151) Add abstractions for Razor IR
* [`[b341340d1f]`](https://github.com/aspnet/AspNetCore/commit/b341340d1f) Add skeleton of syntax phases
* [`[d06e5b6002]`](https://github.com/aspnet/AspNetCore/commit/d06e5b6002) Add legacy parser
* [`[6b9b75841f]`](https://github.com/aspnet/AspNetCore/commit/6b9b75841f) Add Razor Evolution Engine and primitives
* [`[43caef488c]`](https://github.com/aspnet/AspNetCore/commit/43caef488c) Use IsTeamCity to determine if we're running on the CI
* [`[3b5a0db512]`](https://github.com/aspnet/AspNetCore/commit/3b5a0db512) Push packages as part of invoking verify on the feed
* [`[06106dd392]`](https://github.com/aspnet/AspNetCore/commit/06106dd392) Publish feeds to aspnetcore-feature-work
* [`[17f3e3bbab]`](https://github.com/aspnet/AspNetCore/commit/17f3e3bbab) Initial project skeleton for Razor Evolution
* [`[aa158f5d25]`](https://github.com/aspnet/AspNetCore/commit/aa158f5d25) Modified Base64UrlTextEncoder to reduce string allocations.
* [`[ae48d75e72]`](https://github.com/aspnet/AspNetCore/commit/ae48d75e72) Pin versions of dotnet packages
* [`[35a1c4fae7]`](https://github.com/aspnet/AspNetCore/commit/35a1c4fae7) Add prefix to redis channel names
* [`[4aa65cf0bf]`](https://github.com/aspnet/AspNetCore/commit/4aa65cf0bf) Updated to new System.IO.Pipelines package instead of Channels
* [`[41f58191bf]`](https://github.com/aspnet/AspNetCore/commit/41f58191bf) Update sample to add a README.md file
* [`[f3ebe03a0b]`](https://github.com/aspnet/AspNetCore/commit/f3ebe03a0b) fix #32 by handling connection header correctly (#33)
* [`[4de03b6dff]`](https://github.com/aspnet/AspNetCore/commit/4de03b6dff) Added logging for preflight requests and origin headers
* [`[2431c5925c]`](https://github.com/aspnet/AspNetCore/commit/2431c5925c) integrate Channels-based WebSockets into SignalR (#28)
* [`[5e2b267d9f]`](https://github.com/aspnet/AspNetCore/commit/5e2b267d9f) Adding tsc note to readme
* [`[b865716841]`](https://github.com/aspnet/AspNetCore/commit/b865716841) Displaying actual date
* [`[81ddada76b]`](https://github.com/aspnet/AspNetCore/commit/81ddada76b) Moving Pipe formatter to a subfolder
* [`[f3dfb62af9]`](https://github.com/aspnet/AspNetCore/commit/f3dfb62af9) Adding protobuf formatter
* [`[7d67629245]`](https://github.com/aspnet/AspNetCore/commit/7d67629245) Adding pipe formatter + some clean up
* [`[b5cef59448]`](https://github.com/aspnet/AspNetCore/commit/b5cef59448) Fixing - infinite loop when a client disconnects - enum values serialization
* [`[08cd20f1a0]`](https://github.com/aspnet/AspNetCore/commit/08cd20f1a0) Fixing namespace
* [`[41c4211c6b]`](https://github.com/aspnet/AspNetCore/commit/41c4211c6b) Renaming folder
* [`[098347adde]`](https://github.com/aspnet/AspNetCore/commit/098347adde) Making UI functional
* [`[04fede0436]`](https://github.com/aspnet/AspNetCore/commit/04fede0436) Adding pluggable formatters
* [`[325c909dff]`](https://github.com/aspnet/AspNetCore/commit/325c909dff) Removing transport fallback in the client
* [`[768e5ee432]`](https://github.com/aspnet/AspNetCore/commit/768e5ee432) Fix the version of the tool in testapps
* [`[847e4e2697]`](https://github.com/aspnet/AspNetCore/commit/847e4e2697) Better filter clients connecting to Kestrel's dispatch pipes
* [`[d9140e97c9]`](https://github.com/aspnet/AspNetCore/commit/d9140e97c9) dotnet-razor-precompile does not work when the application targets netcoreapp1.1
* [`[ecc8a0088d]`](https://github.com/aspnet/AspNetCore/commit/ecc8a0088d) Add ListenerPrimaryTests
* [`[eee9520ffd]`](https://github.com/aspnet/AspNetCore/commit/eee9520ffd) Ensure clients connecting to Kestrel's dispatch pipe are listeners
* [`[f1d0fafaa4]`](https://github.com/aspnet/AspNetCore/commit/f1d0fafaa4) Better filter clients connecting to Kestrel's dispatch pipes
* [`[97bf8c3c09]`](https://github.com/aspnet/AspNetCore/commit/97bf8c3c09) Fix NuGetPackageVerifier issues
* [`[51d4e11e6f]`](https://github.com/aspnet/AspNetCore/commit/51d4e11e6f) Fix more versions
* [`[f8fbb15e14]`](https://github.com/aspnet/AspNetCore/commit/f8fbb15e14) IISIntegration#292 Test support for bin deployed aspnetcore.dll
* [`[cdd6c16dc6]`](https://github.com/aspnet/AspNetCore/commit/cdd6c16dc6) Preparing to publish new generator-aspnetcore-spa
* [`[de71fc340b]`](https://github.com/aspnet/AspNetCore/commit/de71fc340b) Switch SignalR-* -> SignalR
* [`[f2cbf9f414]`](https://github.com/aspnet/AspNetCore/commit/f2cbf9f414) Add macOS Sierra to list of runtimes in TestSites project
* [`[67129b2515]`](https://github.com/aspnet/AspNetCore/commit/67129b2515) Update dependency versions
* [`[5c8043752d]`](https://github.com/aspnet/AspNetCore/commit/5c8043752d) Temporarily skipping test
* [`[9bc02df82a]`](https://github.com/aspnet/AspNetCore/commit/9bc02df82a) Look for SignalR.sln
* [`[8500226272]`](https://github.com/aspnet/AspNetCore/commit/8500226272) Fix makefile.shade
* [`[1506a44cd5]`](https://github.com/aspnet/AspNetCore/commit/1506a44cd5) Fix downgrade warnings
* [`[35f4f22117]`](https://github.com/aspnet/AspNetCore/commit/35f4f22117) Fixing downgrade warnings
* [`[32cced78b8]`](https://github.com/aspnet/AspNetCore/commit/32cced78b8) Update dependency versions
* [`[364db831f5]`](https://github.com/aspnet/AspNetCore/commit/364db831f5) Fix downgrade warning
* [`[009609319e]`](https://github.com/aspnet/AspNetCore/commit/009609319e) Fixing dependency versions
* [`[4f15bd6c50]`](https://github.com/aspnet/AspNetCore/commit/4f15bd6c50) Produce correct package.json from generator-aspnetcore-spa
* [`[291aa44877]`](https://github.com/aspnet/AspNetCore/commit/291aa44877) Updating Microsoft.Extensions.Logging.AzureAppServices version
* [`[5deda80e5a]`](https://github.com/aspnet/AspNetCore/commit/5deda80e5a) Downgrade Microsoft.Extensions.DependencyModel to 1.1.0
* [`[ec89197ecb]`](https://github.com/aspnet/AspNetCore/commit/ec89197ecb) Add ListenerPrimaryTests
* [`[e780ad9516]`](https://github.com/aspnet/AspNetCore/commit/e780ad9516) Ensure clients connecting to Kestrel's dispatch pipe are listeners
* [`[ee1d0dab11]`](https://github.com/aspnet/AspNetCore/commit/ee1d0dab11) Fixing versions
* [`[828ed07cef]`](https://github.com/aspnet/AspNetCore/commit/828ed07cef) In generator-aspnetcore-spa, offer user the choice of whether to include tests
* [`[5043f9b17a]`](https://github.com/aspnet/AspNetCore/commit/5043f9b17a) Make ConnectionFilterTests more reliable
* [`[757952d4d3]`](https://github.com/aspnet/AspNetCore/commit/757952d4d3) Always flush headers on first response write (#1202).
* [`[3c7e7d1f6c]`](https://github.com/aspnet/AspNetCore/commit/3c7e7d1f6c) Make ConnectionFilterTests more reliable
* [`[c0e75dcbf8]`](https://github.com/aspnet/AspNetCore/commit/c0e75dcbf8) Always flush headers on first response write (#1202).
* [`[a734a31745]`](https://github.com/aspnet/AspNetCore/commit/a734a31745) Add Karma/Jasmine/Chai test starting point to Angular2Spa
* [`[cb0aa63a43]`](https://github.com/aspnet/AspNetCore/commit/cb0aa63a43) UserName and minor fixups for ChatSample
* [`[7c05d62a6e]`](https://github.com/aspnet/AspNetCore/commit/7c05d62a6e) Use request PathBase value to set cookie path only if it has a non-null & non-empty value
* [`[2fcb187d7d]`](https://github.com/aspnet/AspNetCore/commit/2fcb187d7d) Use request PathBase value to set cookie path only if it has a non-null & non-empty value
* [`[48b869f026]`](https://github.com/aspnet/AspNetCore/commit/48b869f026) Don't hardcoded localhost for redis - It breaks the *nix clients
* [`[84cf678905]`](https://github.com/aspnet/AspNetCore/commit/84cf678905) Update System.Net.Http
* [`[5788765983]`](https://github.com/aspnet/AspNetCore/commit/5788765983) Fixed after the ancm nuget package change
* [`[812bffe6d0]`](https://github.com/aspnet/AspNetCore/commit/812bffe6d0) Null check for deserialize
* [`[40ccbb3940]`](https://github.com/aspnet/AspNetCore/commit/40ccbb3940) Fix the non-standard nuget package
* [`[576c0e6a65]`](https://github.com/aspnet/AspNetCore/commit/576c0e6a65) Throw an exception if configurationType to CreateConfigureDelegate is abstract/has no parameterless ctor
* [`[07a2f1de06]`](https://github.com/aspnet/AspNetCore/commit/07a2f1de06) Fixes CookieTempDataProvider to set the secure attribute of a cookie only if a request is secure
* [`[a3c06b00cc]`](https://github.com/aspnet/AspNetCore/commit/a3c06b00cc) Fixes CookieTempDataProvider to handle empty request PathBase while setting cookie options
* [`[a5c0e505c1]`](https://github.com/aspnet/AspNetCore/commit/a5c0e505c1) Fix cookie from being set to empty pathbase Found with issue: https://github.com/aspnet/Mvc/issues/5512
* [`[82c231efca]`](https://github.com/aspnet/AspNetCore/commit/82c231efca) Created public API baselines
* [`[b9e58a4fe6]`](https://github.com/aspnet/AspNetCore/commit/b9e58a4fe6) Created public API baselines
* [`[610c6ddd83]`](https://github.com/aspnet/AspNetCore/commit/610c6ddd83) Updating partner package versions
* [`[8b97327950]`](https://github.com/aspnet/AspNetCore/commit/8b97327950) Updating partner package versions
* [`[7d6b247780]`](https://github.com/aspnet/AspNetCore/commit/7d6b247780) Move argument conversion for json into JsonNetInvocationAdapter
* [`[fe2453b93a]`](https://github.com/aspnet/AspNetCore/commit/fe2453b93a) Escaping support for JSON pointers
* [`[7e3e38572f]`](https://github.com/aspnet/AspNetCore/commit/7e3e38572f) Created public API baselines
* [`[8ff910fdbe]`](https://github.com/aspnet/AspNetCore/commit/8ff910fdbe) Created public API baselines
* [`[d00f1f93b2]`](https://github.com/aspnet/AspNetCore/commit/d00f1f93b2) Added support for net451 and netstandard1.3 - Replaced Task.CompletedTask with TaskCache.CompletedTask - Updated tests and src
* [`[239999e4c9]`](https://github.com/aspnet/AspNetCore/commit/239999e4c9) Make things actually work (#10)
* [`[d870f75eec]`](https://github.com/aspnet/AspNetCore/commit/d870f75eec) Fixed some minor issues
* [`[ff8b2260fb]`](https://github.com/aspnet/AspNetCore/commit/ff8b2260fb) Update CSharpCodeParser.cs (#860)
* [`[b3dbb6e0f1]`](https://github.com/aspnet/AspNetCore/commit/b3dbb6e0f1) Yeoman generator, when running on Windows, ensures you have NPM 3+. Fixes #82.
* [`[dfa9c927b7]`](https://github.com/aspnet/AspNetCore/commit/dfa9c927b7) clean up project.jsons and NuGet.config (#9)
* [`[11c45321aa]`](https://github.com/aspnet/AspNetCore/commit/11c45321aa) In Angular2Spa, use angular2-template loader as a step towards AoT compilation. Implements #356
* [`[24d5dfb552]`](https://github.com/aspnet/AspNetCore/commit/24d5dfb552) Dynamic assembly checks to prevent NotSupprotedExceptions from System.Reflection.Emit Fixes #5487
* [`[415055ebab]`](https://github.com/aspnet/AspNetCore/commit/415055ebab) #1007 Additional id_token validation
* [`[fadcb586c6]`](https://github.com/aspnet/AspNetCore/commit/fadcb586c6) Support specifying environment variables for the Webpack dev middleware Node instance. Resolves #311.
* [`[2c97326721]`](https://github.com/aspnet/AspNetCore/commit/2c97326721) In domain-task, avoid use of "new Function" because of CSP. Fixes #345
* [`[d81cce8a25]`](https://github.com/aspnet/AspNetCore/commit/d81cce8a25) Make --framework an optional parameters to the tool Fixes #26
* [`[bfdd939e26]`](https://github.com/aspnet/AspNetCore/commit/bfdd939e26) Rename project to Razor ViewCompilation
* [`[d299cc9186]`](https://github.com/aspnet/AspNetCore/commit/d299cc9186) apply license headers
* [`[9caa688a30]`](https://github.com/aspnet/AspNetCore/commit/9caa688a30) Modified exception message for duplicate keys exception in CandidateResolver
* [`[54dfea2633]`](https://github.com/aspnet/AspNetCore/commit/54dfea2633) Created public API baselines
* [`[304000095a]`](https://github.com/aspnet/AspNetCore/commit/304000095a) Added logging for precompiled views in RazorViewEngine
* [`[1b4dd93fa6]`](https://github.com/aspnet/AspNetCore/commit/1b4dd93fa6) Update React MusicStore sample to use current technologies (TypeScript 2, .NET Core 1.0.1, etc.). Fixes #417
* [`[eb94340ea9]`](https://github.com/aspnet/AspNetCore/commit/eb94340ea9) pin publish-iis version
* [`[363ddf73a6]`](https://github.com/aspnet/AspNetCore/commit/363ddf73a6) Pin versions
* [`[1dc4b28bbe]`](https://github.com/aspnet/AspNetCore/commit/1dc4b28bbe) Add AcceptedAtActionResult tests
* [`[349980c89e]`](https://github.com/aspnet/AspNetCore/commit/349980c89e) Add DOTNET_USE_POLLING_FILE_WATCHER to help output
* [`[c84bdb35d3]`](https://github.com/aspnet/AspNetCore/commit/c84bdb35d3) dotnet-watch: add extended help to clarify usage (#218)
* [`[eed1784880]`](https://github.com/aspnet/AspNetCore/commit/eed1784880) Added tags to project.json
* [`[7c15646303]`](https://github.com/aspnet/AspNetCore/commit/7c15646303) Updates for 1.0.2
* [`[217223e636]`](https://github.com/aspnet/AspNetCore/commit/217223e636) Generics overload - Changed IHubConnectionContext and friends to be generic. - Hub by default is Hub<IClientProxy>. We'll enable dynamic and arbitrary TClients in another commit.
* [`[34f419f446]`](https://github.com/aspnet/AspNetCore/commit/34f419f446) Added tags to project.json
* [`[bfe50ddd8c]`](https://github.com/aspnet/AspNetCore/commit/bfe50ddd8c) Created public API baselines
* [`[194059a198]`](https://github.com/aspnet/AspNetCore/commit/194059a198) Implement Begin/End Read/Write methods in LoggingStream
* [`[0d559468f1]`](https://github.com/aspnet/AspNetCore/commit/0d559468f1) Make connection reset logs less scary
* [`[a83bbcfba7]`](https://github.com/aspnet/AspNetCore/commit/a83bbcfba7) Prevent block leak when socket is closed before connection filter is applied.
* [`[a1c598733b]`](https://github.com/aspnet/AspNetCore/commit/a1c598733b) Reject POST and PUT requests with no Content-Length or Transfer-Encoding (#1130).
* [`[5b65117b64]`](https://github.com/aspnet/AspNetCore/commit/5b65117b64) Add functional regression test for 'Connection: keep-alive, upgrade' request header.
* [`[ed98894c93]`](https://github.com/aspnet/AspNetCore/commit/ed98894c93) Created public API baselines
* [`[373097e0dd]`](https://github.com/aspnet/AspNetCore/commit/373097e0dd) Created public API baselines
* [`[db677639c3]`](https://github.com/aspnet/AspNetCore/commit/db677639c3) Created public API baselines
* [`[6cbbb73ca7]`](https://github.com/aspnet/AspNetCore/commit/6cbbb73ca7) Protect against NullReferenceException in Frame.StopStreams()
* [`[b3aca0413c]`](https://github.com/aspnet/AspNetCore/commit/b3aca0413c) Avoid zero-length writes to flush connection filter stream
* [`[80cdeceb0b]`](https://github.com/aspnet/AspNetCore/commit/80cdeceb0b) Created public API baselines
* [`[911da31476]`](https://github.com/aspnet/AspNetCore/commit/911da31476) Created public API baselines
* [`[8dc7ac8623]`](https://github.com/aspnet/AspNetCore/commit/8dc7ac8623) Add DOTNET_USE_POLLING_FILE_WATCHER to help output
* [`[4b66b87d74]`](https://github.com/aspnet/AspNetCore/commit/4b66b87d74) Created public API baselines
* [`[7c6583986c]`](https://github.com/aspnet/AspNetCore/commit/7c6583986c) Created public API baselines
* [`[9b95754b0f]`](https://github.com/aspnet/AspNetCore/commit/9b95754b0f) Created public API baselines
* [`[0c815da523]`](https://github.com/aspnet/AspNetCore/commit/0c815da523) #903 Ensure redirect uris can be generated
* [`[944e99121c]`](https://github.com/aspnet/AspNetCore/commit/944e99121c) Add nuget feed to restore CLI dependencies
* [`[968ea59ce4]`](https://github.com/aspnet/AspNetCore/commit/968ea59ce4) Created public API baselines
* [`[5de082e687]`](https://github.com/aspnet/AspNetCore/commit/5de082e687) Upgrade Microsoft.DotNet.Cli.Utils from preview2 to preview3
* [`[0cee00aae1]`](https://github.com/aspnet/AspNetCore/commit/0cee00aae1) [Fixes #5352] When replacing Controller.Dispose with an explicit implementation the base Dispose is an action
* [`[ed41672381]`](https://github.com/aspnet/AspNetCore/commit/ed41672381) Implemented better Redis scaleout - Less subscriptions and connections to RedisHubLifetimeManager
* [`[42d8ccbc47]`](https://github.com/aspnet/AspNetCore/commit/42d8ccbc47) dotnet-watch: add extended help to clarify usage (#218)
* [`[7985121bab]`](https://github.com/aspnet/AspNetCore/commit/7985121bab) [Fixes #5207] Support IsIndexer for ViewComponent tag helpers
* [`[63d7d35bd2]`](https://github.com/aspnet/AspNetCore/commit/63d7d35bd2) Filter out generic invoke methods in ViewComponents
* [`[60bc57fb8d]`](https://github.com/aspnet/AspNetCore/commit/60bc57fb8d) Fix redis subscriptions and missing awaits
* [`[047def1aaf]`](https://github.com/aspnet/AspNetCore/commit/047def1aaf) Added/Updated JsonPatchExtensionsTest
* [`[81931e75d4]`](https://github.com/aspnet/AspNetCore/commit/81931e75d4) Handle exceptions for invalid operation types Related to https://github.com/aspnet/Mvc/issues/5463
* [`[0dcfa2a3fd]`](https://github.com/aspnet/AspNetCore/commit/0dcfa2a3fd) Updating to Libuv 1.9.1
* [`[90f92fabe3]`](https://github.com/aspnet/AspNetCore/commit/90f92fabe3) Upgrade Microsoft.NET.Sdk in tests
* [`[f51fcadeb1]`](https://github.com/aspnet/AspNetCore/commit/f51fcadeb1) Dispose the ConnectionManager on application shutdown
* [`[8d03c014fb]`](https://github.com/aspnet/AspNetCore/commit/8d03c014fb) Fixing invocation results for tasks whose result is `VoidTaskResult`
* [`[5f23231d9b]`](https://github.com/aspnet/AspNetCore/commit/5f23231d9b) Make ConnectionMetadata object,object dictionary
* [`[7db1eb8f25]`](https://github.com/aspnet/AspNetCore/commit/7db1eb8f25) Add Async suffix to everything
* [`[a175609bb1]`](https://github.com/aspnet/AspNetCore/commit/a175609bb1) Start transport before endpoint
* [`[8dd61250f4]`](https://github.com/aspnet/AspNetCore/commit/8dd61250f4) Fix the projects - Fixed dependencies - Fixed NS dependency
* [`[019bb460ec]`](https://github.com/aspnet/AspNetCore/commit/019bb460ec) Clean up and TS client
* [`[5434d437e9]`](https://github.com/aspnet/AspNetCore/commit/5434d437e9) Added ChatSample
* [`[3065c8db93]`](https://github.com/aspnet/AspNetCore/commit/3065c8db93) minor fixes
* [`[2bbca5e7fe]`](https://github.com/aspnet/AspNetCore/commit/2bbca5e7fe) Adding error handling Fixing SSE transport on the server
* [`[61c527f23c]`](https://github.com/aspnet/AspNetCore/commit/61c527f23c) Fixing LongPolling transport
* [`[ce17f0d19a]`](https://github.com/aspnet/AspNetCore/commit/ce17f0d19a) Adding transport selection Fixing serverSentEvents transport Updating the client 'app'
* [`[466c8d9db9]`](https://github.com/aspnet/AspNetCore/commit/466c8d9db9) Adding ServerSentEvents
* [`[181053e876]`](https://github.com/aspnet/AspNetCore/commit/181053e876) Adding longpolling
* [`[6859d33536]`](https://github.com/aspnet/AspNetCore/commit/6859d33536) ts-client WebSockets + JSON
* [`[5e3be6e212]`](https://github.com/aspnet/AspNetCore/commit/5e3be6e212) Awaiting tasks returned from hubs and getting the actual result
* [`[01b237dda9]`](https://github.com/aspnet/AspNetCore/commit/01b237dda9) Antiforgery goes at the end of filters
* [`[f02f55c33d]`](https://github.com/aspnet/AspNetCore/commit/f02f55c33d) Antiforgery goes at the end of filters
* [`[3fc090e2fe]`](https://github.com/aspnet/AspNetCore/commit/3fc090e2fe) [Fixes #105] Disable caching when response uses antiforgery
* [`[f58a373704]`](https://github.com/aspnet/AspNetCore/commit/f58a373704) fix #106 by removing ReplaceFeature
* [`[c28ad48e98]`](https://github.com/aspnet/AspNetCore/commit/c28ad48e98) [Fixes #5216] Make generic parameters work with ViewComponent tag helpers
* [`[217dab2016]`](https://github.com/aspnet/AspNetCore/commit/217dab2016) Fix packaging on CI
* [`[fcd6764cd1]`](https://github.com/aspnet/AspNetCore/commit/fcd6764cd1) Add <clear /> to nuget.config
* [`[3b0947b4af]`](https://github.com/aspnet/AspNetCore/commit/3b0947b4af) Add workaround for bug in Configuration 1.0.1
* [`[54031fb399]`](https://github.com/aspnet/AspNetCore/commit/54031fb399) Downgrade to 1.0.1
* [`[7bf6f0d2ab]`](https://github.com/aspnet/AspNetCore/commit/7bf6f0d2ab) Updating to version 1.0.2.
* [`[b2108a6d65]`](https://github.com/aspnet/AspNetCore/commit/b2108a6d65) major updates to WebSockets implementation
* [`[08cb67b7e4]`](https://github.com/aspnet/AspNetCore/commit/08cb67b7e4) [Fixes #104] Expose cookie options via Antiforgery options
* [`[b4027529a7]`](https://github.com/aspnet/AspNetCore/commit/b4027529a7) Bundle deps.json files in tools packages
* [`[ea701f2cd6]`](https://github.com/aspnet/AspNetCore/commit/ea701f2cd6) Added UserClaimsPrincipal to ViewComponent
* [`[975e22ad06]`](https://github.com/aspnet/AspNetCore/commit/975e22ad06) Drop tools back to Microsoft.NETCore.App 1.0.1
* [`[2bddba8f90]`](https://github.com/aspnet/AspNetCore/commit/2bddba8f90) Handle SIGTERMs for graceful shutdown (#876)
* [`[0f863be588]`](https://github.com/aspnet/AspNetCore/commit/0f863be588) Renamed JsonInvocationAdapter to JsonNetInvocationAdapter
* [`[9e7513a7bd]`](https://github.com/aspnet/AspNetCore/commit/9e7513a7bd) Added UseSignalR
* [`[f41bcb9b2d]`](https://github.com/aspnet/AspNetCore/commit/f41bcb9b2d) Subscribe in parallel
* [`[40039afd4f]`](https://github.com/aspnet/AspNetCore/commit/40039afd4f) Make a SignalR project and SignalR.Redis project - Moved RPC into SignalR for now since we don't have a middle layer yet. - Fixed up name spaces
* [`[915ebbda6b]`](https://github.com/aspnet/AspNetCore/commit/915ebbda6b) Get rid of pub sub abstraction and add redis impl
* [`[53858495dc]`](https://github.com/aspnet/AspNetCore/commit/53858495dc) Hubs are more fleshed out (#11)
* [`[9744f94b39]`](https://github.com/aspnet/AspNetCore/commit/9744f94b39) Update README for dotnet-watch to specify which version to install (#210)
* [`[32710bbfbe]`](https://github.com/aspnet/AspNetCore/commit/32710bbfbe) [#5430] CookieTempDataProvider chunking broken
* [`[4dcde8a329]`](https://github.com/aspnet/AspNetCore/commit/4dcde8a329) Added Base64UrlTextEncoder utility from Security repo
* [`[2adb6ff955]`](https://github.com/aspnet/AspNetCore/commit/2adb6ff955) Interlocked.Read -> Volatile.Read
* [`[5d5b282dbd]`](https://github.com/aspnet/AspNetCore/commit/5d5b282dbd) Moved CaseSensitiveTagHelperAttributeComparer to Razor.TagHelpers.Testing.Sources
* [`[77ed9f22fc]`](https://github.com/aspnet/AspNetCore/commit/77ed9f22fc) Moved location of and modified CaseSensitiveTagHelperAttributeComparer
* [`[e55e3b6f5a]`](https://github.com/aspnet/AspNetCore/commit/e55e3b6f5a) Updated Authentication's Base64UrlTextEncoder to use WebUtilities's Base64UrlTextEncoder logic
* [`[500201bdf7]`](https://github.com/aspnet/AspNetCore/commit/500201bdf7) Made ChunkingCookieManager's default chunk size public
* [`[998a47d265]`](https://github.com/aspnet/AspNetCore/commit/998a47d265) [Fixes #4960] Action results returned from controller actions rendered as json instead of executed
* [`[a0e164f379]`](https://github.com/aspnet/AspNetCore/commit/a0e164f379) dotnet-user-secrets: add support for json output and piping json input
* [`[68839d76e3]`](https://github.com/aspnet/AspNetCore/commit/68839d76e3) allow 4.2.4 to have non-strict behavior (#128)
* [`[29408956f9]`](https://github.com/aspnet/AspNetCore/commit/29408956f9) Handle tokens in Transfer-Encoding header (#1181).
* [`[2d1c56ce5c]`](https://github.com/aspnet/AspNetCore/commit/2d1c56ce5c) #884 Honor OIDC's and Jwt's OnAuthenticationFailed HandleResponse()
* [`[4569d6d6d5]`](https://github.com/aspnet/AspNetCore/commit/4569d6d6d5) fix issue #26 AspNetCoreModule needs to abort failed responses (#34)
* [`[dd29d562b8]`](https://github.com/aspnet/AspNetCore/commit/dd29d562b8) Adding functional test to verify error page middleware includes raw compilation content.
* [`[7ee8a7b15e]`](https://github.com/aspnet/AspNetCore/commit/7ee8a7b15e) Update aspnet-webpack peerDependency to allow Webpack 2.1.0beta+ as well as Webpack 1.x
* [`[077f91847a]`](https://github.com/aspnet/AspNetCore/commit/077f91847a) Fix AngularServices NPM package dependency restoration following third-party package changes
* [`[7ee3346a72]`](https://github.com/aspnet/AspNetCore/commit/7ee3346a72) Fix Angular 2 MusicStore sample so packages can be restored on NPM 2.x (started failing because peerDependencies ceased to be valid following third-party package updates)
* [`[522e30ae19]`](https://github.com/aspnet/AspNetCore/commit/522e30ae19) Re-Add NuGetPackageVerifier
* [`[f9145a43f6]`](https://github.com/aspnet/AspNetCore/commit/f9145a43f6) In Angular2Spa server-side rendering, only render the <app> element, not an entire <html> doc
* [`[da51cd588b]`](https://github.com/aspnet/AspNetCore/commit/da51cd588b) In WebpackDevMiddleware, when copying files, create any needed subdirectories. Fixes #408.
* [`[8d896613bf]`](https://github.com/aspnet/AspNetCore/commit/8d896613bf) WindowsIdentity instead of principal
* [`[75ab32926b]`](https://github.com/aspnet/AspNetCore/commit/75ab32926b) Target netcoreapp and reference NETCore.App
* [`[d864418083]`](https://github.com/aspnet/AspNetCore/commit/d864418083) Use WindowsPrincipal everywhere
* [`[5e97c63467]`](https://github.com/aspnet/AspNetCore/commit/5e97c63467) Throw PlatformNotSupportedException on big-endian platforms
* [`[d475d41f71]`](https://github.com/aspnet/AspNetCore/commit/d475d41f71) Fix boundary cases in MemoryPoolIterator.(Try)PeekLong()
* [`[f70313c17a]`](https://github.com/aspnet/AspNetCore/commit/f70313c17a) Use WindowsIdentity instead of environment variables to verify NTLM auth scenarios
* [`[50e5827414]`](https://github.com/aspnet/AspNetCore/commit/50e5827414) Add HubCallerContext to Hub - Flow the connection id and user of the caller to the Hub
* [`[caad670cde]`](https://github.com/aspnet/AspNetCore/commit/caad670cde) Restore works again
* [`[6259b7b938]`](https://github.com/aspnet/AspNetCore/commit/6259b7b938) In generator-aspnetcore-spa, use 'yarn' (if available) instead of 'npm' to restore dependencies because it's > 10x faster
* [`[dfcaae6fda]`](https://github.com/aspnet/AspNetCore/commit/dfcaae6fda) Include AureliaSpa in generator-aspnetcore-spa
* [`[bd86026bb9]`](https://github.com/aspnet/AspNetCore/commit/bd86026bb9) Change AureliaSpa to use external source maps for compatibility with VS/VSCode debugging
* [`[996216c751]`](https://github.com/aspnet/AspNetCore/commit/996216c751) Tell aurelia-webpack-plugin to filter the set of dependencies it auto-imports. Note that this will have no effect until the next version of aurelia-webpack-plugin is published to NPM.
* [`[6bceb234d8]`](https://github.com/aspnet/AspNetCore/commit/6bceb234d8) In AureliaSpa, use whatwg-fetch to provide type info
* [`[acfb253a40]`](https://github.com/aspnet/AspNetCore/commit/acfb253a40) Change AureliaSpa to use vendor bundle like the other templates
* [`[3087352ea1]`](https://github.com/aspnet/AspNetCore/commit/3087352ea1) Simplify AureliaSpa's webpack.config.js
* [`[e60ea04f86]`](https://github.com/aspnet/AspNetCore/commit/e60ea04f86) Add AureliaSpa template (#398)
* [`[867e60d7fd]`](https://github.com/aspnet/AspNetCore/commit/867e60d7fd) Take dependency on newer webpack-dev-middleware because it fixes ambiguities in path handling
* [`[18de340981]`](https://github.com/aspnet/AspNetCore/commit/18de340981) fix disposal of Deployers during autobahn suites
* [`[1ffad5ca38]`](https://github.com/aspnet/AspNetCore/commit/1ffad5ca38) Handle multiple tokens in Connection header (#1170).
* [`[0eea3c2651]`](https://github.com/aspnet/AspNetCore/commit/0eea3c2651) Log messages added to BodyModelBinder for input formatters (#5451)
* [`[ca2a471691]`](https://github.com/aspnet/AspNetCore/commit/ca2a471691) Fixing NRE when a client closes connection
* [`[fd10deba6c]`](https://github.com/aspnet/AspNetCore/commit/fd10deba6c) Removing formatters
* [`[a854b13754]`](https://github.com/aspnet/AspNetCore/commit/a854b13754) Handling custom protobuf types
* [`[e1869d29a4]`](https://github.com/aspnet/AspNetCore/commit/e1869d29a4) fixing single client invocation
* [`[5d41b218f0]`](https://github.com/aspnet/AspNetCore/commit/5d41b218f0) Fixing line protocol
* [`[a8c831bad6]`](https://github.com/aspnet/AspNetCore/commit/a8c831bad6) Very hacky protobuff support
* [`[ae727d64a9]`](https://github.com/aspnet/AspNetCore/commit/ae727d64a9) Add download link
* [`[8d45fcd34e]`](https://github.com/aspnet/AspNetCore/commit/8d45fcd34e) Use ConditionalFact to not run tests on xplat
* [`[93ace1b84b]`](https://github.com/aspnet/AspNetCore/commit/93ace1b84b) Add Contributing information
* [`[ef19455912]`](https://github.com/aspnet/AspNetCore/commit/ef19455912) sync up the code with IIS OOB branch (#21)
* [`[398222d6e6]`](https://github.com/aspnet/AspNetCore/commit/398222d6e6) Show full generated output option for Razor compilation errors
* [`[3d2710a6c4]`](https://github.com/aspnet/AspNetCore/commit/3d2710a6c4) Changed MiddlewareFilter accessibility to internal (#5455)
* [`[e893f0c6d7]`](https://github.com/aspnet/AspNetCore/commit/e893f0c6d7) Fixing after rebase
* [`[fb387ed03d]`](https://github.com/aspnet/AspNetCore/commit/fb387ed03d) Decoupling formatters from endpoints Moving formatters out from Sockets
* [`[8b905907fe]`](https://github.com/aspnet/AspNetCore/commit/8b905907fe) Typed formatters
* [`[f64c986b5d]`](https://github.com/aspnet/AspNetCore/commit/f64c986b5d) Adding support to non-Json hub invocation
* [`[3d1caa474e]`](https://github.com/aspnet/AspNetCore/commit/3d1caa474e) Adding a functional test for desktop only project
* [`[ccfbec657f]`](https://github.com/aspnet/AspNetCore/commit/ccfbec657f) Microsoft.AspNetCore.Mvc.Razor.Precompilation.Tools does not need to target desktop
* [`[f96ba3a254]`](https://github.com/aspnet/AspNetCore/commit/f96ba3a254) Add extension method for AcceptAsync with timeout
* [`[70fce81d7d]`](https://github.com/aspnet/AspNetCore/commit/70fce81d7d) Adding additional test coverage
* [`[1ac731519a]`](https://github.com/aspnet/AspNetCore/commit/1ac731519a) Do not call `Encoding.GetEncoding()` with a string from the request - #5351 - fix affects only `TextInputFormatter`  - `TextOutputFormatter` already does the Right Thing:tm: with `Accept-Charset` headers  - `ResponseContentTypeHelper` uses `Encoding.GetEncoding()` but is not passed request data
* [`[60c59b576e]`](https://github.com/aspnet/AspNetCore/commit/60c59b576e) Replace HashSet with a Hybrid HashSet/List to improve performance on less nested models
* [`[d64b4c7acb]`](https://github.com/aspnet/AspNetCore/commit/d64b4c7acb) Control-flow simplification in Frame.CreateResponseHeader() (#1168).
* [`[843bae083e]`](https://github.com/aspnet/AspNetCore/commit/843bae083e) Use AspNetCore meta package
* [`[8fcbddc23b]`](https://github.com/aspnet/AspNetCore/commit/8fcbddc23b) Update ClaimsHelper.AddClaimsToIdentity to infer the claim value type from the JSON token type (#1002)
* [`[3dc9ac979c]`](https://github.com/aspnet/AspNetCore/commit/3dc9ac979c) Add docs note about TypeScriptCompileBlocked as requested in #399
* [`[bf71e3e71c]`](https://github.com/aspnet/AspNetCore/commit/bf71e3e71c) Publish updated generator-aspnetcore-spa
* [`[c140b5014a]`](https://github.com/aspnet/AspNetCore/commit/c140b5014a) Fix WebApplicationBasic config
* [`[de9460fba5]`](https://github.com/aspnet/AspNetCore/commit/de9460fba5) Update KO template type dependencies. Fixes #397.
* [`[5b9c01e54d]`](https://github.com/aspnet/AspNetCore/commit/5b9c01e54d) Added a functional test for ViewComponent tag helpers  - Added Copyright ViewComponent tag helper  - Added Dan ViewComponent tag helper
* [`[ca6acc807d]`](https://github.com/aspnet/AspNetCore/commit/ca6acc807d) Attempt to fix headings in docs
* [`[8285bb0c74]`](https://github.com/aspnet/AspNetCore/commit/8285bb0c74) Some extra links in docs
* [`[75abf1a2ab]`](https://github.com/aspnet/AspNetCore/commit/75abf1a2ab) Add docs about debugging
* [`[a427d5f0f0]`](https://github.com/aspnet/AspNetCore/commit/a427d5f0f0) Fix source map generation in projects that also use ExtractTextPlugin
* [`[e0c18ab269]`](https://github.com/aspnet/AspNetCore/commit/e0c18ab269) Publish updated Yeoman generators
* [`[f20ad391b6]`](https://github.com/aspnet/AspNetCore/commit/f20ad391b6) Change ReactReduxSpa template to require redux-typed 2.0.0 (because the template uses TS 2.0 compiler)
* [`[496338ccca]`](https://github.com/aspnet/AspNetCore/commit/496338ccca) Publish redux-typed 2.0.0 which depends on TypeScript 2.0 for usage (its .d.ts files use the "/// <reference types="..." />" syntax)
* [`[0615578d9a]`](https://github.com/aspnet/AspNetCore/commit/0615578d9a) Switch from inline to external source maps. This avoids several problems with inline source maps in VS 2015 (at least as of Update 3).
* [`[610601cc6e]`](https://github.com/aspnet/AspNetCore/commit/610601cc6e) test fixes and whitespace changes to generated code
* [`[f629f9a659]`](https://github.com/aspnet/AspNetCore/commit/f629f9a659) Check for null arguments in GetArgumentDictionary
* [`[79e576b86c]`](https://github.com/aspnet/AspNetCore/commit/79e576b86c) ProducesResponseTypeAttribute(int statusCode) ctor added
* [`[11ed34f229]`](https://github.com/aspnet/AspNetCore/commit/11ed34f229) add header ordering and short circuits to known headers
* [`[72bc9c0f2c]`](https://github.com/aspnet/AspNetCore/commit/72bc9c0f2c) Update DefaultAntiforgeryTokenStore.cs (#106)
* [`[ca1341144a]`](https://github.com/aspnet/AspNetCore/commit/ca1341144a) Upgrade dotnet-publish-iis to Microsoft.NETCore.App 1.1 and add dotnet-cli package type
* [`[fff0adeaaf]`](https://github.com/aspnet/AspNetCore/commit/fff0adeaaf) Faster response Content-Length parsing.
* [`[9579806306]`](https://github.com/aspnet/AspNetCore/commit/9579806306) [Fixes #5150] parsing issue on asp.net when request quality factor is specified
* [`[38aa48651f]`](https://github.com/aspnet/AspNetCore/commit/38aa48651f) Fix for Issue#5150
* [`[d8c6c4ab34]`](https://github.com/aspnet/AspNetCore/commit/d8c6c4ab34) Add support for VaryByQueryKey #2894
* [`[61de7fec6f]`](https://github.com/aspnet/AspNetCore/commit/61de7fec6f) [Fixes #5421] Visit children when accepting TagHelperChunk  - Fixes ViewComponentTagHelpers in nested scenarios
* [`[431548d55a]`](https://github.com/aspnet/AspNetCore/commit/431548d55a) Downgrading package quality to preview1
* [`[c2fee4d74d]`](https://github.com/aspnet/AspNetCore/commit/c2fee4d74d) AcceptedResult(), AcceptedAtActionResult(), AcceptedAtRouteResult() support
* [`[e7c992ff06]`](https://github.com/aspnet/AspNetCore/commit/e7c992ff06) Added fragment to FormActionTagHelper and FormActionTagHelper
* [`[4e1ec39a1f]`](https://github.com/aspnet/AspNetCore/commit/4e1ec39a1f) Store `GetFullHtmlFieldName()` and `CreateSanitizedId()` values - #3918 - don't repeat allocations for identical calls; helps w/ e.g. label / input / validation clusters - add `NameAndIdProvider`; it stores `PreviousNameAndId` in `HttpContext.Items`  - `PreviousNameAndId` allocated only when `string`s are allocated e.g. "id"s were sanitized
* [`[affcb935d7]`](https://github.com/aspnet/AspNetCore/commit/affcb935d7) clean-up and renaming
* [`[78584799a4]`](https://github.com/aspnet/AspNetCore/commit/78584799a4) Separate request rejection from bad request state setting.
* [`[f1071dea50]`](https://github.com/aspnet/AspNetCore/commit/f1071dea50) Set StatusCode before disposing HttpContext (#876)
* [`[68533f32f7]`](https://github.com/aspnet/AspNetCore/commit/68533f32f7) Upgrade test project to netcoreapp1.1
* [`[87e4b9df39]`](https://github.com/aspnet/AspNetCore/commit/87e4b9df39) Rename NuGet.Config to NuGet.config
* [`[69b4b64fd5]`](https://github.com/aspnet/AspNetCore/commit/69b4b64fd5) Cache ModelMetadata HashCode
* [`[a80d7d744a]`](https://github.com/aspnet/AspNetCore/commit/a80d7d744a) Speed up MSD.GetNode
* [`[1bb9a61d7a]`](https://github.com/aspnet/AspNetCore/commit/1bb9a61d7a) README, LICENSE, and CONTRIBUTING files
* [`[b2681bb69d]`](https://github.com/aspnet/AspNetCore/commit/b2681bb69d) Updating to preview4
* [`[62df63ada8]`](https://github.com/aspnet/AspNetCore/commit/62df63ada8) Updating to preview4
* [`[5bb405b585]`](https://github.com/aspnet/AspNetCore/commit/5bb405b585) Clone rel/1.1.0-preview1
* [`[0f4701dd92]`](https://github.com/aspnet/AspNetCore/commit/0f4701dd92) Clone to rel/1.1.0-preview1
* [`[3760d3724d]`](https://github.com/aspnet/AspNetCore/commit/3760d3724d) removing usage of deprecated httpPlatformHandler
* [`[99bf212cce]`](https://github.com/aspnet/AspNetCore/commit/99bf212cce) Make aspnet-webpack resilient against Webpack configs with nonstring entrypoints. Fixes #376.
* [`[418255e148]`](https://github.com/aspnet/AspNetCore/commit/418255e148) Exclude node_modules from .NET compilation. Fixes #378.
* [`[f6d7321243]`](https://github.com/aspnet/AspNetCore/commit/f6d7321243) Update remaining templates to TypeScript 2 / @types / etc.
* [`[a7ed0112db]`](https://github.com/aspnet/AspNetCore/commit/a7ed0112db) Publish redux-typed 1.0.1
* [`[d2dbd473a0]`](https://github.com/aspnet/AspNetCore/commit/d2dbd473a0) @davidfowl love dat Func<...,object,...>,object pattern
* [`[b035e31dc7]`](https://github.com/aspnet/AspNetCore/commit/b035e31dc7) Specify the publish feed in Universe makefile
* [`[a1c0970222]`](https://github.com/aspnet/AspNetCore/commit/a1c0970222) move prototype WebSockets-over-Channels code in
* [`[1571a2dbe9]`](https://github.com/aspnet/AspNetCore/commit/1571a2dbe9) Removing double casts
* [`[6317ea30c6]`](https://github.com/aspnet/AspNetCore/commit/6317ea30c6) Don't read commit file if it doesn't exist
* [`[8a2c0ecec1]`](https://github.com/aspnet/AspNetCore/commit/8a2c0ecec1) Don't fail if a repo does not have commit file
* [`[b1b5a40ebf]`](https://github.com/aspnet/AspNetCore/commit/b1b5a40ebf) #1004 clean up social sample code
* [`[151ac2cdcb]`](https://github.com/aspnet/AspNetCore/commit/151ac2cdcb) Add Microsoft.AspNetCore.ResponseCaching.Abstractions to NugetPackageVerifier.json
* [`[5323cef748]`](https://github.com/aspnet/AspNetCore/commit/5323cef748) Fix verify and assembly creation
* [`[4cbd904154]`](https://github.com/aspnet/AspNetCore/commit/4cbd904154) dotnet-watch: add --verbose and --quiet command line flags
* [`[f5ac590e53]`](https://github.com/aspnet/AspNetCore/commit/f5ac590e53) 1.1.0 dependencies
* [`[d449e87795]`](https://github.com/aspnet/AspNetCore/commit/d449e87795) Downgrading tool to netcoreapp1.0
* [`[3eab3ef013]`](https://github.com/aspnet/AspNetCore/commit/3eab3ef013) Updating package that was missed
* [`[2c9672f18a]`](https://github.com/aspnet/AspNetCore/commit/2c9672f18a) Add metapackage
* [`[49300ac5f7]`](https://github.com/aspnet/AspNetCore/commit/49300ac5f7) Updating to netcoreapp1.1
* [`[3651f1f46c]`](https://github.com/aspnet/AspNetCore/commit/3651f1f46c) Updating to netcoreapp1.1
* [`[1b5ae76197]`](https://github.com/aspnet/AspNetCore/commit/1b5ae76197) Updating to netcoreapp1.1
* [`[c8fe8ded59]`](https://github.com/aspnet/AspNetCore/commit/c8fe8ded59) Updating to netcoreapp1.1
* [`[d2e1a51fa8]`](https://github.com/aspnet/AspNetCore/commit/d2e1a51fa8) Updating to netcoreapp1.1
* [`[7e577832ff]`](https://github.com/aspnet/AspNetCore/commit/7e577832ff) Updating to netcoreapp1.1
* [`[d81ea871fb]`](https://github.com/aspnet/AspNetCore/commit/d81ea871fb) Updating to netcoreapp1.1
* [`[cbbcab2a0d]`](https://github.com/aspnet/AspNetCore/commit/cbbcab2a0d) Updating to netcoreapp1.1
* [`[8a057d5491]`](https://github.com/aspnet/AspNetCore/commit/8a057d5491) Updating to netcoreapp1.1
* [`[a52d692de0]`](https://github.com/aspnet/AspNetCore/commit/a52d692de0) Updating to netcoreapp1.1
* [`[e0aa2787ce]`](https://github.com/aspnet/AspNetCore/commit/e0aa2787ce) Updating to netcoreapp1.1
* [`[2876f82521]`](https://github.com/aspnet/AspNetCore/commit/2876f82521) Updating to netcoreapp1.1
* [`[17a4e83bab]`](https://github.com/aspnet/AspNetCore/commit/17a4e83bab) Updating to netcoreapp1.1
* [`[9c1fc542d2]`](https://github.com/aspnet/AspNetCore/commit/9c1fc542d2) Updating to netcoreapp1.1
* [`[cdbd9ffa74]`](https://github.com/aspnet/AspNetCore/commit/cdbd9ffa74) Updating to netcoreapp1.1
* [`[58d5c2f7d4]`](https://github.com/aspnet/AspNetCore/commit/58d5c2f7d4) Updating to netcoreapp1.1
* [`[d0e8c4dd4c]`](https://github.com/aspnet/AspNetCore/commit/d0e8c4dd4c) Updating to netcoreapp1.1
* [`[a3e7481fcb]`](https://github.com/aspnet/AspNetCore/commit/a3e7481fcb) Updating to netcoreapp1.1
* [`[f3a6083c9c]`](https://github.com/aspnet/AspNetCore/commit/f3a6083c9c) Updating to netcoreapp1.1
* [`[8cd356f170]`](https://github.com/aspnet/AspNetCore/commit/8cd356f170) Updating to netcoreapp1.1
* [`[62bb80580d]`](https://github.com/aspnet/AspNetCore/commit/62bb80580d) Updating to netcoreapp1.1
* [`[c5c94d88c8]`](https://github.com/aspnet/AspNetCore/commit/c5c94d88c8) Updating to netcoreapp1.1
* [`[bc6fff40e6]`](https://github.com/aspnet/AspNetCore/commit/bc6fff40e6) Use 1.0.0 dependencies
* [`[5d998a16d8]`](https://github.com/aspnet/AspNetCore/commit/5d998a16d8) dotnet-watch: simplify the end to end testing to not rely on tool installation via restore (#194)
* [`[0627d859af]`](https://github.com/aspnet/AspNetCore/commit/0627d859af) Fix path issue in assertion for DotNetDependencyProviderTests
* [`[d5b0126f61]`](https://github.com/aspnet/AspNetCore/commit/d5b0126f61) Add AspNetCore meta package
* [`[398a104810]`](https://github.com/aspnet/AspNetCore/commit/398a104810) Updating to netcoreapp1.1
* [`[09802d1ded]`](https://github.com/aspnet/AspNetCore/commit/09802d1ded) Updating to netcoreapp1.1
* [`[21fbdcc476]`](https://github.com/aspnet/AspNetCore/commit/21fbdcc476) Updating to netcoreapp1.1
* [`[559e8d6027]`](https://github.com/aspnet/AspNetCore/commit/559e8d6027) Updating to netcoreapp1.1
* [`[1b9ae67215]`](https://github.com/aspnet/AspNetCore/commit/1b9ae67215) Updating to netcoreapp1.1
* [`[052b6f1105]`](https://github.com/aspnet/AspNetCore/commit/052b6f1105) Updating to netcoreapp1.1
* [`[55134b31fe]`](https://github.com/aspnet/AspNetCore/commit/55134b31fe) Updating to netcoreapp1.1
* [`[7e082dbdef]`](https://github.com/aspnet/AspNetCore/commit/7e082dbdef) Updating to netcoreapp1.1
* [`[8656065f88]`](https://github.com/aspnet/AspNetCore/commit/8656065f88) Updating to netcoreapp1.1
* [`[c17540f02c]`](https://github.com/aspnet/AspNetCore/commit/c17540f02c) Updating to netcoreapp1.1
* [`[3c6ad8fc64]`](https://github.com/aspnet/AspNetCore/commit/3c6ad8fc64) Updating to netcoreapp1.1
* [`[c707642da1]`](https://github.com/aspnet/AspNetCore/commit/c707642da1) Updating to netcoreapp1.1
* [`[dd23f24241]`](https://github.com/aspnet/AspNetCore/commit/dd23f24241) Updating to netcoreapp1.1
* [`[ddcee4774d]`](https://github.com/aspnet/AspNetCore/commit/ddcee4774d) Updating to netcoreapp1.1
* [`[9ab8c48f17]`](https://github.com/aspnet/AspNetCore/commit/9ab8c48f17) Updating to netcoreapp1.1
* [`[6d5cd28e9b]`](https://github.com/aspnet/AspNetCore/commit/6d5cd28e9b) Updating to netcoreapp1.1
* [`[08332a96b7]`](https://github.com/aspnet/AspNetCore/commit/08332a96b7) Updating to netcoreapp1.1
* [`[72114ca4fa]`](https://github.com/aspnet/AspNetCore/commit/72114ca4fa) Updating to netcoreapp1.1
* [`[fd6df3c74d]`](https://github.com/aspnet/AspNetCore/commit/fd6df3c74d) Updating to netcoreapp1.1
* [`[65025d41a5]`](https://github.com/aspnet/AspNetCore/commit/65025d41a5) Updating to netcoreapp1.1
* [`[a2a214f698]`](https://github.com/aspnet/AspNetCore/commit/a2a214f698) Updating to netcoreapp1.1
* [`[9c80faa498]`](https://github.com/aspnet/AspNetCore/commit/9c80faa498) Updating to netcoreapp1.1
* [`[631482a1e9]`](https://github.com/aspnet/AspNetCore/commit/631482a1e9) Updating to netcoreapp1.1
* [`[e191420cae]`](https://github.com/aspnet/AspNetCore/commit/e191420cae) Updating to netcoreapp1.1
* [`[8fb38d3637]`](https://github.com/aspnet/AspNetCore/commit/8fb38d3637) Add Project References to ProjectContext
* [`[ffc3eb3afd]`](https://github.com/aspnet/AspNetCore/commit/ffc3eb3afd) HEAD response can include Content-Length header.
* [`[1ae83eff70]`](https://github.com/aspnet/AspNetCore/commit/1ae83eff70) Handle compilerOptions in project.json
* [`[8d8e1ee8dc]`](https://github.com/aspnet/AspNetCore/commit/8d8e1ee8dc) Avoid calling User.Identity.AuthenticationType (#282)
* [`[329b65fc69]`](https://github.com/aspnet/AspNetCore/commit/329b65fc69) Add AssemblyName to ProjectContext
* [`[ce6e65b1d7]`](https://github.com/aspnet/AspNetCore/commit/ce6e65b1d7) Don't take SocketOutput's _contextLock to return written blocks
* [`[7ee13875b1]`](https://github.com/aspnet/AspNetCore/commit/7ee13875b1) Reduce delay variability in KeepAliveTimeoutTests.ConnectionKeptAliveBetweenRequests() (#1157).
* [`[a15b1e2805]`](https://github.com/aspnet/AspNetCore/commit/a15b1e2805) Update cached Content-Length when setting raw header.
* [`[f8813a600d]`](https://github.com/aspnet/AspNetCore/commit/f8813a600d) Handle response content length mismatches (#175).
* [`[1543595c01]`](https://github.com/aspnet/AspNetCore/commit/1543595c01) Correct Windows path handling in new aspnet-webpack feature
* [`[3d77a21bc6]`](https://github.com/aspnet/AspNetCore/commit/3d77a21bc6) Publishing updated generator-aspnetcore-spa
* [`[0289f73a96]`](https://github.com/aspnet/AspNetCore/commit/0289f73a96) Fix the deployment issue caused by incorrectly referencing 'webpack-externals-plugin' when it should be 'webpack-node-externals'
* [`[6a9b7accce]`](https://github.com/aspnet/AspNetCore/commit/6a9b7accce) Update Dockerfiles to use Node 4.x (was using 0.x). Fixes #373
* [`[a6d959b783]`](https://github.com/aspnet/AspNetCore/commit/a6d959b783) Publish updated aspnet-webpack
* [`[30a694450c]`](https://github.com/aspnet/AspNetCore/commit/30a694450c) Make source maps compatible with VS/VSCode debugging (fix file paths, and strip out the "charset=utf-8;" segments from inline sourceMappingURLs)
* [`[d20a72b812]`](https://github.com/aspnet/AspNetCore/commit/d20a72b812) In webpack dev middleware, after compilation, also write updated files to disk. This is needed for VS/VSCode debugger compatibility.
* [`[24773c8aa4]`](https://github.com/aspnet/AspNetCore/commit/24773c8aa4) In aspnet-webpack, provide a SourceMapDevToolPlugin wrapper that strips out "charset=utf-8;" from inline source map URLs to enable VS debugger compatibility
* [`[8be3b16756]`](https://github.com/aspnet/AspNetCore/commit/8be3b16756) Fix DotNetDependencyProviderTest for CI
* [`[34e0b3ae35]`](https://github.com/aspnet/AspNetCore/commit/34e0b3ae35) Create CONTRIBUTING.md
* [`[95620d6cd5]`](https://github.com/aspnet/AspNetCore/commit/95620d6cd5) Create LICENSE.txt
* [`[d3a7d7f5da]`](https://github.com/aspnet/AspNetCore/commit/d3a7d7f5da) Create README.md
* [`[78e35d3c6f]`](https://github.com/aspnet/AspNetCore/commit/78e35d3c6f) Split ProjectModel into separate packages (#188)
* [`[6f5baf033d]`](https://github.com/aspnet/AspNetCore/commit/6f5baf033d) Add ResponseCompression integration tests
* [`[f7932b57a6]`](https://github.com/aspnet/AspNetCore/commit/f7932b57a6) Add Dependency Resolution Apis to ProjectContext Abstractions
* [`[c20b9ae894]`](https://github.com/aspnet/AspNetCore/commit/c20b9ae894) Add PackageLockFile to IProjectContext (#187)
* [`[3177ba0aae]`](https://github.com/aspnet/AspNetCore/commit/3177ba0aae) Wait for frame loop completion to dispose connection stream (#1156).
* [`[6c645879a8]`](https://github.com/aspnet/AspNetCore/commit/6c645879a8) Publish updated aspnet-webpack
* [`[d5055dbaf3]`](https://github.com/aspnet/AspNetCore/commit/d5055dbaf3) Make the fix for #365 not be a breaking change (at least, for the considerable majority of aspnet-webpack users)
* [`[3568476cca]`](https://github.com/aspnet/AspNetCore/commit/3568476cca) aspnet-webpack auto-loads 'event-source-polyfill' on client when HMR is enabled. This requires 'event-source-polyfill' to be included in the client-side bundle, so it's also now added to all the templates' vendor bundles. Fixes #365.
* [`[93779a5e46]`](https://github.com/aspnet/AspNetCore/commit/93779a5e46) aspnet-webpack configures HMR to point directly to http://localhost:<port>/__webpack_hmr instead of proxying via /__webpack_hmr. This is because IE/Edge doesn't honour CORS headers properly following redirects (returns "Network Error 0x80004004"). This could be avoided if we could reverse-proxy to __webpack_hmr (waiting for https://github.com/aspnet/KestrelHttpServer/issues/1139)
* [`[4a1c437f60]`](https://github.com/aspnet/AspNetCore/commit/4a1c437f60) Don't fail precompiled view discovery if assembly is not managed
* [`[8bd8887213]`](https://github.com/aspnet/AspNetCore/commit/8bd8887213) Don't call CompleteReader, the dispatcher can handle that
* [`[cf68c18dd2]`](https://github.com/aspnet/AspNetCore/commit/cf68c18dd2) Do async reads
* [`[adc3e63ecc]`](https://github.com/aspnet/AspNetCore/commit/adc3e63ecc) Improve callstack for LoggingThreadPool
* [`[e987e2107f]`](https://github.com/aspnet/AspNetCore/commit/e987e2107f) [Fixes #5379] Dont generate TagHelperDescriptors for ViewComponents with generic parameters
* [`[3b7f9b4043]`](https://github.com/aspnet/AspNetCore/commit/3b7f9b4043) Fixed version of System.Reflection.TypeExtensions package
* [`[ed3b750ad2]`](https://github.com/aspnet/AspNetCore/commit/ed3b750ad2) Less allocations in ViewBuffer when there is only one ViewBufferPage
* [`[3bb5b725d9]`](https://github.com/aspnet/AspNetCore/commit/3bb5b725d9) Fixed case of package name Microsoft.DotNet.InternalAbstractions
* [`[a623b4edd1]`](https://github.com/aspnet/AspNetCore/commit/a623b4edd1) Use Assembly's containing directory to locate precompiled views assembly
* [`[e67c82e7f2]`](https://github.com/aspnet/AspNetCore/commit/e67c82e7f2) Updated IISDeployer
* [`[4569653504]`](https://github.com/aspnet/AspNetCore/commit/4569653504) Don't allocate for ResponseCookiesFeature
* [`[eef2f14c78]`](https://github.com/aspnet/AspNetCore/commit/eef2f14c78) Flush even before we get end of message
* [`[54610b8fe4]`](https://github.com/aspnet/AspNetCore/commit/54610b8fe4) Handle null or empty vary rules
* [`[45337c1fc2]`](https://github.com/aspnet/AspNetCore/commit/45337c1fc2) Downgrade to 1.0.0 Microsoft.Extensions.DependencyModel
* [`[9d54cf1e8a]`](https://github.com/aspnet/AspNetCore/commit/9d54cf1e8a) Move ResponseCacheFeature to new Abstractions package (#67)
* [`[393c25988a]`](https://github.com/aspnet/AspNetCore/commit/393c25988a) [Fixes #33] Dictionary operations fail due to contract issues
* [`[41f00eea23]`](https://github.com/aspnet/AspNetCore/commit/41f00eea23) Default Status Code for void types changed to 200
* [`[bbecb0c0dc]`](https://github.com/aspnet/AspNetCore/commit/bbecb0c0dc) Fixing SSE transport
* [`[92a8d6d3bd]`](https://github.com/aspnet/AspNetCore/commit/92a8d6d3bd) Add API for multi-tfm projects (#184)
* [`[2f4316b24f]`](https://github.com/aspnet/AspNetCore/commit/2f4316b24f) Add Microsoft.DotNet.InternalAbstractions to resolve runtime failure. Pin the version of ProjectModel.Loader and Cli.Utils
* [`[4214884b3e]`](https://github.com/aspnet/AspNetCore/commit/4214884b3e) Fix xml doc warning.
* [`[a15b73af68]`](https://github.com/aspnet/AspNetCore/commit/a15b73af68) Pin to RTM versions of DotNet packages
* [`[03f8a7a217]`](https://github.com/aspnet/AspNetCore/commit/03f8a7a217) Use HeaderUtilities.FormatDate in DateHeaderValueManager (#1132)
* [`[1e302de78e]`](https://github.com/aspnet/AspNetCore/commit/1e302de78e) Resolve WebListener warnings
* [`[5820854940]`](https://github.com/aspnet/AspNetCore/commit/5820854940) Load precompiled views binary from the bin directory
* [`[3b2a2eb892]`](https://github.com/aspnet/AspNetCore/commit/3b2a2eb892) Add logging
* [`[d0196914ff]`](https://github.com/aspnet/AspNetCore/commit/d0196914ff) JS code style fixes
* [`[2c94884da9]`](https://github.com/aspnet/AspNetCore/commit/2c94884da9) Include address in error message when address already in use (#1086).
* [`[2708b8a534]`](https://github.com/aspnet/AspNetCore/commit/2708b8a534) Add CodeCoverage to tests
* [`[063d6eca0f]`](https://github.com/aspnet/AspNetCore/commit/063d6eca0f) Added custom RFC 1123 DateTimeFormatter to improve allocation profile (#716)
* [`[d054bbc2e8]`](https://github.com/aspnet/AspNetCore/commit/d054bbc2e8) Respond to new behavior for HTTP/1.1 Connection: close responses
* [`[c641a43f38]`](https://github.com/aspnet/AspNetCore/commit/c641a43f38) Fixing @davidfowl's shitty web code.
* [`[2433448bc7]`](https://github.com/aspnet/AspNetCore/commit/2433448bc7) #259 Auto-chunk even for Connection: close responses
* [`[1d76284e25]`](https://github.com/aspnet/AspNetCore/commit/1d76284e25) Serialize node invocationInfo JSON directly to stream to avoid running out of memory
* [`[268617ddba]`](https://github.com/aspnet/AspNetCore/commit/268617ddba) DefaultViewComponentFactory no longer allocates new lambda delegate on each call to CreateViewComponent
* [`[c33b227331]`](https://github.com/aspnet/AspNetCore/commit/c33b227331) Update redux-typed to use TS 2.0 and @types
* [`[02315b41c0]`](https://github.com/aspnet/AspNetCore/commit/02315b41c0) Update angular2-aspnet to use TS 2.0 and @types
* [`[4e291130a0]`](https://github.com/aspnet/AspNetCore/commit/4e291130a0) Update domain-task to use TS 2.0 and @types
* [`[5c0505440d]`](https://github.com/aspnet/AspNetCore/commit/5c0505440d) Update aspnet-webpack to use TS 2.0 and @types
* [`[f13c2595b8]`](https://github.com/aspnet/AspNetCore/commit/f13c2595b8) Update aspnet-prerendering to use TS 2.0 and @types
* [`[bc42e598f9]`](https://github.com/aspnet/AspNetCore/commit/bc42e598f9) Update NodeServices TypeScript compilation to use @types
* [`[a0ebab1f28]`](https://github.com/aspnet/AspNetCore/commit/a0ebab1f28) Update Dockerfile
* [`[81d96766ee]`](https://github.com/aspnet/AspNetCore/commit/81d96766ee) domain-task also needs TypeScript 2+ because of whatwg-streams
* [`[3f5e340b9f]`](https://github.com/aspnet/AspNetCore/commit/3f5e340b9f) Committed launch settings
* [`[1d6cdb7a53]`](https://github.com/aspnet/AspNetCore/commit/1d6cdb7a53) Fix Microsoft.Extensions.Logging.AzureAppServices package reference
* [`[9e5dbee208]`](https://github.com/aspnet/AspNetCore/commit/9e5dbee208) Cache should use weak comparison for ETags
* [`[40ff75d536]`](https://github.com/aspnet/AspNetCore/commit/40ff75d536) Create replacement API for Microsoft.DotNet.ProjectModel
* [`[295d419265]`](https://github.com/aspnet/AspNetCore/commit/295d419265) Update sample to include Redis for Core (#128)
* [`[de7cea4000]`](https://github.com/aspnet/AspNetCore/commit/de7cea4000) Getting RouteDataRequestCultureProvider from Microsoft.AspNetCore.Localization.Routing package
* [`[db90b7b048]`](https://github.com/aspnet/AspNetCore/commit/db90b7b048) Add AzureIntegration repo (#460)
* [`[b099ca7eeb]`](https://github.com/aspnet/AspNetCore/commit/b099ca7eeb) Fix NuGetPackageVerifier.json
* [`[52fad36ce6]`](https://github.com/aspnet/AspNetCore/commit/52fad36ce6) Add AssemblyInfo.cs
* [`[6eacfd2679]`](https://github.com/aspnet/AspNetCore/commit/6eacfd2679) Rename Azure.Storage to AzureStorage (#183)
* [`[b103a70104]`](https://github.com/aspnet/AspNetCore/commit/b103a70104) Add Microsoft.AspNetCore.AzureAppServicesIntegration package (#1)
* [`[18e8b7101c]`](https://github.com/aspnet/AspNetCore/commit/18e8b7101c) In aspnet-webpack, allow webpack-hot-middleware/client to be added manually with options. Fixes #353
* [`[6126c4d480]`](https://github.com/aspnet/AspNetCore/commit/6126c4d480) In Angular2Spa, move tsconfig.json back to root. Fixes #346.
* [`[3032909f3c]`](https://github.com/aspnet/AspNetCore/commit/3032909f3c) Added tests
* [`[e5e8d1bee3]`](https://github.com/aspnet/AspNetCore/commit/e5e8d1bee3) Decouple the dispatcher from routing for easier testing
* [`[411f44f263]`](https://github.com/aspnet/AspNetCore/commit/411f44f263) Reduce code duplication
* [`[67d0c13815]`](https://github.com/aspnet/AspNetCore/commit/67d0c13815) Updating partner package versions
* [`[91497621c9]`](https://github.com/aspnet/AspNetCore/commit/91497621c9) Updating partner package versions
* [`[74a3063c45]`](https://github.com/aspnet/AspNetCore/commit/74a3063c45) [Fixes #357] Fix behavior when optional parameters are defined within a route and not at the end
* [`[e7e6b896ba]`](https://github.com/aspnet/AspNetCore/commit/e7e6b896ba) Don't emit TE header or body for non-body responses
* [`[438ec83227]`](https://github.com/aspnet/AspNetCore/commit/438ec83227) [Fixes #359] Routing is matching empty segments to parameters and defaults are wrong
* [`[554eb73223]`](https://github.com/aspnet/AspNetCore/commit/554eb73223) Add Microsoft.AspNetCore.Hosting.Azure.AppServices package
* [`[b9fda49649]`](https://github.com/aspnet/AspNetCore/commit/b9fda49649) allowing flow app_offline to remote client (#17)
* [`[35cae5da7d]`](https://github.com/aspnet/AspNetCore/commit/35cae5da7d) Updating partner package versions
* [`[3fa95d1ff8]`](https://github.com/aspnet/AspNetCore/commit/3fa95d1ff8) Updating partner package versions
* [`[f64c864911]`](https://github.com/aspnet/AspNetCore/commit/f64c864911) Updating partner package versions
* [`[aec2a7c2d2]`](https://github.com/aspnet/AspNetCore/commit/aec2a7c2d2) Updating partner package versions
* [`[6d235e4ef5]`](https://github.com/aspnet/AspNetCore/commit/6d235e4ef5) Update partner package versions
* [`[6ccd09d6e5]`](https://github.com/aspnet/AspNetCore/commit/6ccd09d6e5) Updating partner package versions
* [`[f1c53378c3]`](https://github.com/aspnet/AspNetCore/commit/f1c53378c3) Updating partner package versions
* [`[89bd6dc1cd]`](https://github.com/aspnet/AspNetCore/commit/89bd6dc1cd) [Fixes #5212] Added a cookie based ITempDataProvider
* [`[4cd4ddfad5]`](https://github.com/aspnet/AspNetCore/commit/4cd4ddfad5) More structed connection metadata
* [`[4647a8a4bd]`](https://github.com/aspnet/AspNetCore/commit/4647a8a4bd) Updating partner package versions
* [`[3d3d6a3fba]`](https://github.com/aspnet/AspNetCore/commit/3d3d6a3fba) Updating partner package versions
* [`[92682b71f3]`](https://github.com/aspnet/AspNetCore/commit/92682b71f3) Addresses #5251
* [`[89c39a6c28]`](https://github.com/aspnet/AspNetCore/commit/89c39a6c28) Update StackExchange.Redis.StrongName (#182)
* [`[b8471455a7]`](https://github.com/aspnet/AspNetCore/commit/b8471455a7) Fix NuGet project description ASP.NET 5 > Core (#120)
* [`[8fb339483d]`](https://github.com/aspnet/AspNetCore/commit/8fb339483d) Move HttpContext property up a level
* [`[4e10d19175]`](https://github.com/aspnet/AspNetCore/commit/4e10d19175) Update default Max Body Size
* [`[2b7a396670]`](https://github.com/aspnet/AspNetCore/commit/2b7a396670) When EndPoint ends, the connection ends.
* [`[99d7aea78c]`](https://github.com/aspnet/AspNetCore/commit/99d7aea78c) Add User to Connection
* [`[e018fe70f7]`](https://github.com/aspnet/AspNetCore/commit/e018fe70f7) Handle message fragments
* [`[1a5138e972]`](https://github.com/aspnet/AspNetCore/commit/1a5138e972) Added hub sample
* [`[58e58b7fb7]`](https://github.com/aspnet/AspNetCore/commit/58e58b7fb7) Added JSON RPC demo
* [`[9ee33bf01f]`](https://github.com/aspnet/AspNetCore/commit/9ee33bf01f) Add transport connection metadata
* [`[58d08c07d0]`](https://github.com/aspnet/AspNetCore/commit/58d08c07d0) Added connect and disconnect messages
* [`[1ad1120c41]`](https://github.com/aspnet/AspNetCore/commit/1ad1120c41) Update the LastActive for reserved connections
* [`[613ac2d6c3]`](https://github.com/aspnet/AspNetCore/commit/613ac2d6c3) Fix long polling
* [`[d646e3666f]`](https://github.com/aspnet/AspNetCore/commit/d646e3666f) Made a thin websocket like wrapper around the client API
* [`[540784e525]`](https://github.com/aspnet/AspNetCore/commit/540784e525) Added .NET WebSocket sample
* [`[5c9729fe4f]`](https://github.com/aspnet/AspNetCore/commit/5c9729fe4f) Move sse to sse specific page
* [`[2a369f40f6]`](https://github.com/aspnet/AspNetCore/commit/2a369f40f6) Small fixes - Pass the Connection to each IHttpTransport - FlushAsync after writing for WebListener - Add metadata to Connection - Added WebListener dependency
* [`[9f5ef70164]`](https://github.com/aspnet/AspNetCore/commit/9f5ef70164) Added support for websockets - Upgraded to ASP.NET Core 1.1 preview
* [`[f4f763f136]`](https://github.com/aspnet/AspNetCore/commit/f4f763f136) Only run next queued task if the previous was successful
* [`[ad2724b22c]`](https://github.com/aspnet/AspNetCore/commit/ad2724b22c) Split Connection and ConnectionState
* [`[7b8e947567]`](https://github.com/aspnet/AspNetCore/commit/7b8e947567) Use new CopyToAsync method
* [`[957a9beb95]`](https://github.com/aspnet/AspNetCore/commit/957a9beb95) Updated license.md
* [`[c3753c4f0e]`](https://github.com/aspnet/AspNetCore/commit/c3753c4f0e) Renamed the project and split into class library and sample
* [`[4a79573def]`](https://github.com/aspnet/AspNetCore/commit/4a79573def) Jhkim/add installancm ps1 (#15)
* [`[756843786e]`](https://github.com/aspnet/AspNetCore/commit/756843786e) Ensure absolute path used in output dir
* [`[239b5f815f]`](https://github.com/aspnet/AspNetCore/commit/239b5f815f) Fixing longpolling
* [`[3b1f650d3b]`](https://github.com/aspnet/AspNetCore/commit/3b1f650d3b) Add custom tool for packaging as "CLI" package types.
* [`[32ed7ca0c4]`](https://github.com/aspnet/AspNetCore/commit/32ed7ca0c4) SSE kind of works - duplicate messages
* [`[7e76ea8731]`](https://github.com/aspnet/AspNetCore/commit/7e76ea8731) Update file license headers
* [`[aa52e66585]`](https://github.com/aspnet/AspNetCore/commit/aa52e66585) Make DistributedResponseCacheStore internal (#61)
* [`[261f73abc7]`](https://github.com/aspnet/AspNetCore/commit/261f73abc7) Add NonViewComponentAttribute
* [`[e97f36deb8]`](https://github.com/aspnet/AspNetCore/commit/e97f36deb8) Create CONTRIBUTING.md
* [`[9044706e2e]`](https://github.com/aspnet/AspNetCore/commit/9044706e2e) Create LICENSE.txt
* [`[681e32d0c1]`](https://github.com/aspnet/AspNetCore/commit/681e32d0c1) Create README.md
* [`[60d600dd5c]`](https://github.com/aspnet/AspNetCore/commit/60d600dd5c) Issue #5310 (#5334)
* [`[03352354dc]`](https://github.com/aspnet/AspNetCore/commit/03352354dc) Initial commit
* [`[3181c3f2e3]`](https://github.com/aspnet/AspNetCore/commit/3181c3f2e3) Only challenge if not already accepted.
* [`[e09dd6d0b8]`](https://github.com/aspnet/AspNetCore/commit/e09dd6d0b8) Fix #976: Break claims value in array into multiple claims (#996)
* [`[7a3fd8af33]`](https://github.com/aspnet/AspNetCore/commit/7a3fd8af33) Rename DataProtection.Azure.Blob to DataProtection.Azure.Storage (#180)
* [`[7fe0ce7c51]`](https://github.com/aspnet/AspNetCore/commit/7fe0ce7c51) Temporarily disabling failing IISExpress smoke tests
* [`[d376a1fa75]`](https://github.com/aspnet/AspNetCore/commit/d376a1fa75) Updating partner package versions
* [`[37b1fc039d]`](https://github.com/aspnet/AspNetCore/commit/37b1fc039d) Updating partner package versions
* [`[24385e74c4]`](https://github.com/aspnet/AspNetCore/commit/24385e74c4) Internalize iresponsecachekeyprovider (#59)
* [`[e4cf12017b]`](https://github.com/aspnet/AspNetCore/commit/e4cf12017b) Make UseIISIntegration idempotent (#274)
* [`[94be501f8c]`](https://github.com/aspnet/AspNetCore/commit/94be501f8c) Update to WebListener 1.1.0 (#706)
* [`[5f070daac8]`](https://github.com/aspnet/AspNetCore/commit/5f070daac8) In KnockoutSpa template, fix handling clicks on descendants of A elements. Fixes #273.
* [`[3270e28b3d]`](https://github.com/aspnet/AspNetCore/commit/3270e28b3d) Slight clean-up in KnockoutSpa's boot code
* [`[8968a24041]`](https://github.com/aspnet/AspNetCore/commit/8968a24041) Publishing updated generator-aspnetcore-spa package
* [`[10381b0456]`](https://github.com/aspnet/AspNetCore/commit/10381b0456) Use HttpMethods
* [`[310411075f]`](https://github.com/aspnet/AspNetCore/commit/310411075f) Slimmer locks
* [`[09fda749b0]`](https://github.com/aspnet/AspNetCore/commit/09fda749b0) Don't reset frame state when connection is aborted (#1103).
* [`[0152691108]`](https://github.com/aspnet/AspNetCore/commit/0152691108) Cookie Auto: set properties back to ticket when using SessionStore (#995)
* [`[73656f6503]`](https://github.com/aspnet/AspNetCore/commit/73656f6503) Assume zero length on non-keepalive requests without Content-Length or Transfer-Encoding (#1104).
* [`[44b0dfd5bb]`](https://github.com/aspnet/AspNetCore/commit/44b0dfd5bb) Sharding (#57)
* [`[c71cc6b8d2]`](https://github.com/aspnet/AspNetCore/commit/c71cc6b8d2) Updating partner package versions
* [`[8f10080ad0]`](https://github.com/aspnet/AspNetCore/commit/8f10080ad0) Updating partner package versions
* [`[4875019cb0]`](https://github.com/aspnet/AspNetCore/commit/4875019cb0) Updating partner package versions
* [`[039e1021a4]`](https://github.com/aspnet/AspNetCore/commit/039e1021a4) Updating partner package versions
* [`[1f8d3c6bf1]`](https://github.com/aspnet/AspNetCore/commit/1f8d3c6bf1) Updating partner package versions
* [`[9e8aee2478]`](https://github.com/aspnet/AspNetCore/commit/9e8aee2478) Updating partner package versions
* [`[874dcebbcb]`](https://github.com/aspnet/AspNetCore/commit/874dcebbcb) Updating partner package versions
* [`[c13a8affc0]`](https://github.com/aspnet/AspNetCore/commit/c13a8affc0) Updating partner package versions
* [`[fa5dcf55a6]`](https://github.com/aspnet/AspNetCore/commit/fa5dcf55a6) Updating partner package versions
* [`[fb8795e247]`](https://github.com/aspnet/AspNetCore/commit/fb8795e247) Updating partner package versions
* [`[067eb9c6f8]`](https://github.com/aspnet/AspNetCore/commit/067eb9c6f8) Make FeatureReferences<T>.Fetch inlineable (#704)
* [`[0a961a7bd0]`](https://github.com/aspnet/AspNetCore/commit/0a961a7bd0) Updated ReactReduxSpa template to match current patterns
* [`[c88aa0042a]`](https://github.com/aspnet/AspNetCore/commit/c88aa0042a) Fix for issue #29 (Honor JsonProperty when serializing a JsonPatchDocument) (#35)
* [`[a9ce762827]`](https://github.com/aspnet/AspNetCore/commit/a9ce762827) Update project.json in KnockoutSpa and ReactSpa
* [`[0d34dba4fd]`](https://github.com/aspnet/AspNetCore/commit/0d34dba4fd) In ReactSpa, fix HMR warning and correctly minify React for production
* [`[808592d3a0]`](https://github.com/aspnet/AspNetCore/commit/808592d3a0) Update ReactSpa template to match current patterns
* [`[d1228dc26a]`](https://github.com/aspnet/AspNetCore/commit/d1228dc26a) Update KnockoutSpa template to match current patterns
* [`[09b4135217]`](https://github.com/aspnet/AspNetCore/commit/09b4135217) Further workarounds for https://github.com/dotnet/cli/issues/1396
* [`[4937fef28f]`](https://github.com/aspnet/AspNetCore/commit/4937fef28f) Publish updated version of generator-aspnetcore-spa
* [`[46966322b7]`](https://github.com/aspnet/AspNetCore/commit/46966322b7) In LoadViaWebpack, account for CSS/font/etc files referenced with URLs that have a querystring. Fixes #335.
* [`[adf4732191]`](https://github.com/aspnet/AspNetCore/commit/adf4732191) Make aspnet-webpack and SpaServices both back-compatible with older versions of the other, in case people don't upgrade both at the same time
* [`[7b227229b3]`](https://github.com/aspnet/AspNetCore/commit/7b227229b3) In Webpack dev middleware, for configs that target Node, just run a 'watch' compiler (since Node isn't going to fetch the modules via HTTP anyway)
* [`[2241c55a90]`](https://github.com/aspnet/AspNetCore/commit/2241c55a90) Support for array-style webpack configs in aspnet-webpack. Fixes #291.
* [`[0312da7df3]`](https://github.com/aspnet/AspNetCore/commit/0312da7df3) Add request headers timeout (#1110).
* [`[7b2f7b94ab]`](https://github.com/aspnet/AspNetCore/commit/7b2f7b94ab) Return last block from SocketOutput when data is fully written
* [`[0a4c06eefb]`](https://github.com/aspnet/AspNetCore/commit/0a4c06eefb) Suppress validation summary `<div>` when nothing is generated - #2372 - make the `ValidationSummaryTagHelper` behave consistently with `Html.ValidationSummar()`
* [`[6cdd0451da]`](https://github.com/aspnet/AspNetCore/commit/6cdd0451da) DisplayMetadata use DisplayNameAttribute
* [`[35cde79e46]`](https://github.com/aspnet/AspNetCore/commit/35cde79e46) Renamed HttpMethod class to HttpMethods to avoid conflicts
* [`[375e8b7022]`](https://github.com/aspnet/AspNetCore/commit/375e8b7022) Change context relationships from inheritance to composition.
* [`[e521473f1d]`](https://github.com/aspnet/AspNetCore/commit/e521473f1d) Fixed naming abiguity
* [`[2bdbcee7ba]`](https://github.com/aspnet/AspNetCore/commit/2bdbcee7ba) Fixed naming abiguity
* [`[85eba9ca27]`](https://github.com/aspnet/AspNetCore/commit/85eba9ca27) Add README.md for generator-aspnetcore-spa. Fixes #308.
* [`[46906e4ea8]`](https://github.com/aspnet/AspNetCore/commit/46906e4ea8) Add repo info to package.json in all NPM packages hosted in this repo
* [`[7e88903bcc]`](https://github.com/aspnet/AspNetCore/commit/7e88903bcc) Fix Node event chaining in VirtualConnectionServer to work with latest NPM libraries. Fixes #331.
* [`[67fc64309f]`](https://github.com/aspnet/AspNetCore/commit/67fc64309f) Update Angular 2 Music Store sample to declare dependency on .NET Core 1.0.1
* [`[5a9d3cb189]`](https://github.com/aspnet/AspNetCore/commit/5a9d3cb189) Update readme to mention dependency on .NET Core 1.0.1
* [`[f79936c104]`](https://github.com/aspnet/AspNetCore/commit/f79936c104) In Angular2Spa webpack config, allow html/css files from node_modules to be loaded via Webpack.
* [`[e8594287db]`](https://github.com/aspnet/AspNetCore/commit/e8594287db) In aspnet-webpack, make sure that webpack-externals-plugin doesn't treat non-JS files as external. Fixes #332.
* [`[626332c5db]`](https://github.com/aspnet/AspNetCore/commit/626332c5db) Adding HTTP method constants
* [`[d245ded51d]`](https://github.com/aspnet/AspNetCore/commit/d245ded51d) Produce fake nupkg for testing
* [`[9982e73d3e]`](https://github.com/aspnet/AspNetCore/commit/9982e73d3e) Change project structure to accomodate test projects
* [`[918d612745]`](https://github.com/aspnet/AspNetCore/commit/918d612745) Add ChunkingCookieManager.Sources to NuGetPackageVerifier
* [`[1a0d4a512d]`](https://github.com/aspnet/AspNetCore/commit/1a0d4a512d) Update sample usage of EF tools
* [`[f90594a647]`](https://github.com/aspnet/AspNetCore/commit/f90594a647) Add support for '--' argument separator
* [`[78c859d7ea]`](https://github.com/aspnet/AspNetCore/commit/78c859d7ea) Turn on warnings as errors
* [`[782f96572d]`](https://github.com/aspnet/AspNetCore/commit/782f96572d) Specify sequential layout to avoid warning
* [`[0d782d9d9a]`](https://github.com/aspnet/AspNetCore/commit/0d782d9d9a) Adding design time support for ViewComponent TagHelpers
* [`[28932a7795]`](https://github.com/aspnet/AspNetCore/commit/28932a7795) Log the error inforamtion when redeem auth code
* [`[6cf94c0949]`](https://github.com/aspnet/AspNetCore/commit/6cf94c0949) List netcoreapp1.0 prior to net451 so that test discovery in VS works
* [`[ddeef1f9ac]`](https://github.com/aspnet/AspNetCore/commit/ddeef1f9ac) Add prompt parameter to Google auth endpoint
* [`[03b3d6bec8]`](https://github.com/aspnet/AspNetCore/commit/03b3d6bec8) Use DataAnnotationLocalizerProvider for Display localization
* [`[5aae7ded01]`](https://github.com/aspnet/AspNetCore/commit/5aae7ded01) Update Twitter auth package description
* [`[49ff98f8cb]`](https://github.com/aspnet/AspNetCore/commit/49ff98f8cb) More specific response status codes for errors (#653).
* [`[25f39dd0f5]`](https://github.com/aspnet/AspNetCore/commit/25f39dd0f5) #859 Discriminate between providers when sharing an auth cookie
* [`[1b1bd34b8d]`](https://github.com/aspnet/AspNetCore/commit/1b1bd34b8d) Add new dependnecy and test for UTF-8 BOM fix in views
* [`[a069f6b636]`](https://github.com/aspnet/AspNetCore/commit/a069f6b636) Store each header value separately
* [`[5e12a103a4]`](https://github.com/aspnet/AspNetCore/commit/5e12a103a4) API updates
* [`[aa1fd5d89a]`](https://github.com/aspnet/AspNetCore/commit/aa1fd5d89a) Move ChunkingCookieManager to a separate Sources project
* [`[e12838e38f]`](https://github.com/aspnet/AspNetCore/commit/e12838e38f) Auth: Always call prior handlers during Challenge
* [`[81d46cfaed]`](https://github.com/aspnet/AspNetCore/commit/81d46cfaed) Add EntityFramework.Tools
* [`[b55e444a55]`](https://github.com/aspnet/AspNetCore/commit/b55e444a55) Also print CWD in node 'require' error reports
* [`[f9807c546d]`](https://github.com/aspnet/AspNetCore/commit/f9807c546d) In SpaServices NuGet package, pass through error stack when NPM modules fail to load
* [`[232e908ce8]`](https://github.com/aspnet/AspNetCore/commit/232e908ce8) Pass through error stack when NPM module loading failed in aspnet-webpack and aspnet-prerendering to make debugging easier
* [`[5214a553a7]`](https://github.com/aspnet/AspNetCore/commit/5214a553a7) In Angular2Spa, server-side rendering now reports all errors
* [`[f558c5de99]`](https://github.com/aspnet/AspNetCore/commit/f558c5de99) Update the filewatcher Add a reference counter to avoid AV in case web.config was changed
* [`[11bbd6df8e]`](https://github.com/aspnet/AspNetCore/commit/11bbd6df8e) Support relative paths to projects.
* [`[7bafb00f05]`](https://github.com/aspnet/AspNetCore/commit/7bafb00f05) Improve error message when project file does not exist.
* [`[6891d00032]`](https://github.com/aspnet/AspNetCore/commit/6891d00032) Stricter expiration checks to avoid serving responses when max-age is 0
* [`[c30d471c27]`](https://github.com/aspnet/AspNetCore/commit/c30d471c27) Make IResponseCacheStore APIs async
* [`[63509b9e10]`](https://github.com/aspnet/AspNetCore/commit/63509b9e10) Make FrameRequestStream.CopyToAsync(...) copyless
* [`[2ba5a0ac93]`](https://github.com/aspnet/AspNetCore/commit/2ba5a0ac93) As per #325, reference module.hot directly instead of via a local var, because Webpack does static analysis that looks for this
* [`[925f47fece]`](https://github.com/aspnet/AspNetCore/commit/925f47fece) In Angular2Spa, use css-loader so you can reference external images from CSS files, etc.
* [`[80343e9f17]`](https://github.com/aspnet/AspNetCore/commit/80343e9f17) In aspnet-webpack, replace ExternalsPlugin with webpack-node-externals because of #132
* [`[50be444440]`](https://github.com/aspnet/AspNetCore/commit/50be444440) Update docs to describe using LESS with Angular 2 component styling
* [`[19684f2b7d]`](https://github.com/aspnet/AspNetCore/commit/19684f2b7d) In Angular2Spa template, use per-component scoped styles. Fixes common config issues like #234.
* [`[fb54566ff5]`](https://github.com/aspnet/AspNetCore/commit/fb54566ff5) Add dotnet-sql-cache
* [`[8f2eccbd36]`](https://github.com/aspnet/AspNetCore/commit/8f2eccbd36) Move dotnet-user-secrets into current repo
* [`[01f7ecd9d9]`](https://github.com/aspnet/AspNetCore/commit/01f7ecd9d9) [Fixes #5154] Stream should be suppressed from model metadata validation
* [`[3c05d10430]`](https://github.com/aspnet/AspNetCore/commit/3c05d10430) Set designTime to false
* [`[cd18489f00]`](https://github.com/aspnet/AspNetCore/commit/cd18489f00) Fix HMR again following previous change
* [`[41f1f6fe82]`](https://github.com/aspnet/AspNetCore/commit/41f1f6fe82) Delay Angular 2 bootstrapping until DOMContentLoaded
* [`[494c7b585c]`](https://github.com/aspnet/AspNetCore/commit/494c7b585c) Fix trailing whitespace
* [`[49a8536679]`](https://github.com/aspnet/AspNetCore/commit/49a8536679) Update angular2-universal dependencies (cherry-pick 62dd13b3b)
* [`[358ee2261e]`](https://github.com/aspnet/AspNetCore/commit/358ee2261e) Make indentation consistent
* [`[4ea7eb195e]`](https://github.com/aspnet/AspNetCore/commit/4ea7eb195e) Simplify webpack config. Eliminate dev/prod override files.
* [`[85dfdd9b50]`](https://github.com/aspnet/AspNetCore/commit/85dfdd9b50) Move tsconfig into ClientApp dir, since it's not needed at root
* [`[a91b6a6b5c]`](https://github.com/aspnet/AspNetCore/commit/a91b6a6b5c) Make HMR work again
* [`[a1c1bdb1e6]`](https://github.com/aspnet/AspNetCore/commit/a1c1bdb1e6) Simplify imports in boot-client.ts
* [`[8f550c5706]`](https://github.com/aspnet/AspNetCore/commit/8f550c5706) Simplify Angular 2 template where possible
* [`[243a9b4ef6]`](https://github.com/aspnet/AspNetCore/commit/243a9b4ef6) Add @types/node to avoid intellisense errors for "require" statements
* [`[ce0d2089d2]`](https://github.com/aspnet/AspNetCore/commit/ce0d2089d2) ng2 2.0, Universal 2.0, TS 2.0, Preboot 4.*
* [`[fbac81a471]`](https://github.com/aspnet/AspNetCore/commit/fbac81a471) Short circuit to avoid DateTimeOffset parsing
* [`[b3fe8b30ac]`](https://github.com/aspnet/AspNetCore/commit/b3fe8b30ac) Moved VCTHDFactory to .Internal namespace
* [`[7f638c1385]`](https://github.com/aspnet/AspNetCore/commit/7f638c1385) Always overwrite the VaryBy entry to ensure expiry is updated
* [`[3b351ad1bb]`](https://github.com/aspnet/AspNetCore/commit/3b351ad1bb) Restore tool version to preview3
* [`[afa89b3993]`](https://github.com/aspnet/AspNetCore/commit/afa89b3993) Change SkipReason for ThreadCountTests on OS X.
* [`[0cfd5363f8]`](https://github.com/aspnet/AspNetCore/commit/0cfd5363f8) Added ViewComponentTagHelperDescriptorResolver and related stuff
* [`[b6da89f54c]`](https://github.com/aspnet/AspNetCore/commit/b6da89f54c) [Fixes #852] TestHost: OnStarting and OnCompleted callbacks of response are not being awaited
* [`[e8f55bdb13]`](https://github.com/aspnet/AspNetCore/commit/e8f55bdb13) Add Fail fast option for AuthZ
* [`[dd4799adfd]`](https://github.com/aspnet/AspNetCore/commit/dd4799adfd) Split by commas when normalizing headers
* [`[6c13371fa0]`](https://github.com/aspnet/AspNetCore/commit/6c13371fa0) API review renames and updates continued
* [`[2ee0078cfd]`](https://github.com/aspnet/AspNetCore/commit/2ee0078cfd) Fix HttpNodeInstanceEntryPoint to match latest NPM modules
* [`[591d548de7]`](https://github.com/aspnet/AspNetCore/commit/591d548de7) Publish new Yeoman templates (0.2.9)
* [`[06ad36f830]`](https://github.com/aspnet/AspNetCore/commit/06ad36f830) In Angular 2 template, include prebuilt wwwroot/dist/* files to support VS and "dotnet new" templates (which can't run post-project-creation actions)
* [`[7a80d905b8]`](https://github.com/aspnet/AspNetCore/commit/7a80d905b8) In Angular 2 template, include reflect-metadata and zone.js in vendor bundle
* [`[1a273f5a34]`](https://github.com/aspnet/AspNetCore/commit/1a273f5a34) Improve keep-alive timeout.
* [`[760c8f3867]`](https://github.com/aspnet/AspNetCore/commit/760c8f3867) Ensure Append writes to the right page after Clear
* [`[3a868d87a2]`](https://github.com/aspnet/AspNetCore/commit/3a868d87a2) Added IExceptionHandlerPathFeature interface.
* [`[42027b6cc2]`](https://github.com/aspnet/AspNetCore/commit/42027b6cc2) [Fixes #5243] Handle null values in TempData properly
* [`[d9ff1d81d6]`](https://github.com/aspnet/AspNetCore/commit/d9ff1d81d6) PagedBufferedTextWriter does not flush synchronous data prior to writing data asynchronously
* [`[43071319aa]`](https://github.com/aspnet/AspNetCore/commit/43071319aa) Buffer rendered CacheTagHelper content strings to a custom TextWriter Fixes #4893
* [`[a480378a44]`](https://github.com/aspnet/AspNetCore/commit/a480378a44) Make AuthorizeFilter constructable
* [`[ccfa090e6e]`](https://github.com/aspnet/AspNetCore/commit/ccfa090e6e) API review renames and updates
* [`[d76b013a56]`](https://github.com/aspnet/AspNetCore/commit/d76b013a56) WebpackDevMiddleware now uses ProjectPath option consistently. Fixes #307
* [`[ad90db343c]`](https://github.com/aspnet/AspNetCore/commit/ad90db343c) [Fixes #101] Cookie path is always / in IIS
* [`[3b45ea5c27]`](https://github.com/aspnet/AspNetCore/commit/3b45ea5c27) Add a test that verifies strong name signing works for precompiled views
* [`[b72435c5cc]`](https://github.com/aspnet/AspNetCore/commit/b72435c5cc) Yeoman generator support for optional --projectguid=... CLI argument
* [`[7f841ff840]`](https://github.com/aspnet/AspNetCore/commit/7f841ff840) In Yeoman generator, support passing args from command line (e.g., --framework=angular-2)
* [`[e236e64055]`](https://github.com/aspnet/AspNetCore/commit/e236e64055) Fallback to empty cache control when none is explicitly cached
* [`[4a5e1f4a72]`](https://github.com/aspnet/AspNetCore/commit/4a5e1f4a72) Use as cast instead of C-style cast for IVewContextAware helpers
* [`[65b89668bb]`](https://github.com/aspnet/AspNetCore/commit/65b89668bb) Allow lookup of multiple keys
* [`[6a04fe5fb7]`](https://github.com/aspnet/AspNetCore/commit/6a04fe5fb7) Store body and header separately, preliminary sharding
* [`[755957b694]`](https://github.com/aspnet/AspNetCore/commit/755957b694) Use HttpClient from Fixture instrad of creating a new one per test
* [`[84efe624a6]`](https://github.com/aspnet/AspNetCore/commit/84efe624a6) Fix deadlock in HttpsTests
* [`[39bd49ea1a]`](https://github.com/aspnet/AspNetCore/commit/39bd49ea1a) Avoid blocking the MockLibuv loop with test code
* [`[c037a577b0]`](https://github.com/aspnet/AspNetCore/commit/c037a577b0) Set background color for ErrorPage
* [`[8c513402a3]`](https://github.com/aspnet/AspNetCore/commit/8c513402a3) Always call ConsumingComplete() with furthest examined position (#1095).
* [`[c777a9efea]`](https://github.com/aspnet/AspNetCore/commit/c777a9efea) Use TaskCache class from Microsoft.Extensions.TaskCache.Sources (#1089)
* [`[ba49651552]`](https://github.com/aspnet/AspNetCore/commit/ba49651552) Increment version to 1.0.0-rc1-final
* [`[99a98af51e]`](https://github.com/aspnet/AspNetCore/commit/99a98af51e) #229 Update package descriptions and tags
* [`[f21c603f5a]`](https://github.com/aspnet/AspNetCore/commit/f21c603f5a) Downgrade dotnet-publish-iis to latest stable release
* [`[f071590fce]`](https://github.com/aspnet/AspNetCore/commit/f071590fce) Webpack HMR EventSource requests are now proxied (rather than redirected) to the local HMR server. Fixes #271.
* [`[bc2de2ad59]`](https://github.com/aspnet/AspNetCore/commit/bc2de2ad59) In aspnet-webpack HMR, don't rely on assumption that entry point is called 'main'. Fixes #289.
* [`[605090e909]`](https://github.com/aspnet/AspNetCore/commit/605090e909) Publish updated version of aspnet-webpack as 1.0.10
* [`[67f7e7450f]`](https://github.com/aspnet/AspNetCore/commit/67f7e7450f) Adding tsd to dev dependencies in aspnet-webpack.
* [`[da662c55fa]`](https://github.com/aspnet/AspNetCore/commit/da662c55fa) Make webpack dev dependency a peer dependency in aspnet-webpack.
* [`[b4bec30b0f]`](https://github.com/aspnet/AspNetCore/commit/b4bec30b0f) Clean up dependencies vs devDependencies in templates
* [`[28550784ed]`](https://github.com/aspnet/AspNetCore/commit/28550784ed) ReactReduxSpa's boot-server now supports redirections issued by react-router
* [`[1be9102aea]`](https://github.com/aspnet/AspNetCore/commit/1be9102aea) Prerendering server-side code can now issue redirections. Fixes #280
* [`[c2c45b04df]`](https://github.com/aspnet/AspNetCore/commit/c2c45b04df) In preparation for supporting redirections, aspnet-prerendering now passes through all boot func resolution props to .NET code
* [`[16ee36c20a]`](https://github.com/aspnet/AspNetCore/commit/16ee36c20a) Downgrade dotnet-publish-iis to latest stable release
* [`[e0663483ed]`](https://github.com/aspnet/AspNetCore/commit/e0663483ed) Downgrade to 1.0.0 runtime dependencies
* [`[eee1a9fef4]`](https://github.com/aspnet/AspNetCore/commit/eee1a9fef4) Do not generate a validation summary when `excludePropertyErrors` unless specific model has an error - #5209 - update affected `HtmlHelperValiationSummaryTest` and functional tests - add `ValidationSummaryTagHelperTest` tests to cover related scenarios
* [`[43a0a5a9f1]`](https://github.com/aspnet/AspNetCore/commit/43a0a5a9f1) Replace ConfigureOptions with IConfigureOptions
* [`[bbf1478821]`](https://github.com/aspnet/AspNetCore/commit/bbf1478821) #150 Handle OperationCancelledExceptions to prevent log noise
* [`[bc7eb631d9]`](https://github.com/aspnet/AspNetCore/commit/bc7eb631d9) Pin to 1.0.0-rc1-final
* [`[98e35cc6da]`](https://github.com/aspnet/AspNetCore/commit/98e35cc6da) Add retry to ApplicationDeployer delete
* [`[7a37091d3b]`](https://github.com/aspnet/AspNetCore/commit/7a37091d3b) Use TaskCache class from Microsoft.Extensions.TaskCache.Sources (#254)
* [`[ce0ed3d237]`](https://github.com/aspnet/AspNetCore/commit/ce0ed3d237) Use TaskCache class from Microsoft.Extensions.TaskCache.Sources (#968)
* [`[5dc14acc32]`](https://github.com/aspnet/AspNetCore/commit/5dc14acc32) Increase HttpClient timeout
* [`[032bcf43b2]`](https://github.com/aspnet/AspNetCore/commit/032bcf43b2) Use TaskCache class from Microsoft.Extensions.TaskCache.Sources (#361)
* [`[755b702823]`](https://github.com/aspnet/AspNetCore/commit/755b702823) Correct test failures on Windows with `git config core.autocrlf false` - line endings in checked-out files do not necessarily match `Environment.NewLine`
* [`[50f066579a]`](https://github.com/aspnet/AspNetCore/commit/50f066579a) Use TaskCache class from Microsoft.Extensions.TaskCache.Sources (#257)
* [`[0bcf4b0700]`](https://github.com/aspnet/AspNetCore/commit/0bcf4b0700) Further work on fix for #235 (solving additional problem that 'npm publish' is hardcoded to exclude node_modules dirs)
* [`[7a98ff1a64]`](https://github.com/aspnet/AspNetCore/commit/7a98ff1a64) Added view component tag helper code generator. (#5195)
* [`[5750c4aab7]`](https://github.com/aspnet/AspNetCore/commit/5750c4aab7) Publish updated generator-aspnetcore-spa package (0.2.5)
* [`[5fcce843ba]`](https://github.com/aspnet/AspNetCore/commit/5fcce843ba) Workaround to fix #235 (add placeholder inside node_modules)
* [`[1f2168949d]`](https://github.com/aspnet/AspNetCore/commit/1f2168949d) Publish updated aspnet-prerendering NPM package
* [`[4ca1669db1]`](https://github.com/aspnet/AspNetCore/commit/4ca1669db1) Prerendering imposes its own (overridable) timeout with descriptive error
* [`[041d173f56]`](https://github.com/aspnet/AspNetCore/commit/041d173f56) All NodeServices invocations now have a default timeout, plus a descriptive exception if that happens
* [`[2799861296]`](https://github.com/aspnet/AspNetCore/commit/2799861296) Support cancellation of NodeServices invocations
* [`[5b2065230d]`](https://github.com/aspnet/AspNetCore/commit/5b2065230d) Fix failing keep-alive timeout tests.
* [`[05392cbf35]`](https://github.com/aspnet/AspNetCore/commit/05392cbf35) Added view component tag helper code generator. (#5195)
* [`[830983a477]`](https://github.com/aspnet/AspNetCore/commit/830983a477) Fixes #5198 Stops caching of Enum display values (#5185)
* [`[bdbb854bdb]`](https://github.com/aspnet/AspNetCore/commit/bdbb854bdb) Use TaskCache class from Microsoft.Extensions.TaskCache.Sources (#829)
* [`[02b8fb3bbc]`](https://github.com/aspnet/AspNetCore/commit/02b8fb3bbc) Use TaskCache class from Microsoft.Extensions.TaskCache.Sources
* [`[dc8806f07e]`](https://github.com/aspnet/AspNetCore/commit/dc8806f07e) Downgrade and pin Microsoft.Extensions.RuntimeEnvironment.Sources
* [`[d046091727]`](https://github.com/aspnet/AspNetCore/commit/d046091727) Add an option to embed sources for compiled views (cshtml content) in the generated assembly
* [`[18f08fdb2f]`](https://github.com/aspnet/AspNetCore/commit/18f08fdb2f) Use TaskCache class from Microsoft.Extensions.TaskCache.Sources (#705)
* [`[e984b89e0a]`](https://github.com/aspnet/AspNetCore/commit/e984b89e0a) Switch to master myget feed
* [`[b94519b821]`](https://github.com/aspnet/AspNetCore/commit/b94519b821) Pin versions
* [`[72c3688604]`](https://github.com/aspnet/AspNetCore/commit/72c3688604) Use TaskCache class from Microsoft.Extensions.TaskCache.Sources (#331)
* [`[f358d8e2b2]`](https://github.com/aspnet/AspNetCore/commit/f358d8e2b2) In HttpNodeInstance, correctly report response serialisation errors back to .NET (previously, it just timed out)
* [`[a526454321]`](https://github.com/aspnet/AspNetCore/commit/a526454321) Raise version from 0.2.0-pre to 1.0.0-rc1
* [`[a787a01a73]`](https://github.com/aspnet/AspNetCore/commit/a787a01a73) Downgrade to 1.0 dependencies
* [`[465d0c8d15]`](https://github.com/aspnet/AspNetCore/commit/465d0c8d15) Design review: Explicitly disable TypeNameHandling in all Json.NET usage
* [`[f7c28fe47f]`](https://github.com/aspnet/AspNetCore/commit/f7c28fe47f) Fix Microsoft.AspNetCore.DataProtection.Azure.Blob dependency version in sample and test
* [`[377401b5e6]`](https://github.com/aspnet/AspNetCore/commit/377401b5e6) Update README to clarify that you need .NET Core 1.0 RTM
* [`[c25d9b68ab]`](https://github.com/aspnet/AspNetCore/commit/c25d9b68ab) Use socket in Path encoding and unescaping cases
* [`[100beaaf94]`](https://github.com/aspnet/AspNetCore/commit/100beaaf94) Add length constrain in path processing
* [`[35429bd91f]`](https://github.com/aspnet/AspNetCore/commit/35429bd91f) Update overlong UTF8 test case
* [`[b99f98dffb]`](https://github.com/aspnet/AspNetCore/commit/b99f98dffb) Improve URL path decoding and unescaping components
* [`[ff97efe0d2]`](https://github.com/aspnet/AspNetCore/commit/ff97efe0d2) Overhaul the URL path unescaping
* [`[21236cc98e]`](https://github.com/aspnet/AspNetCore/commit/21236cc98e) [Fixes #5016] Perf: Check for OPTIONS before looking for CORS headers
* [`[411681e8d6]`](https://github.com/aspnet/AspNetCore/commit/411681e8d6) Add options to configure case sensitivity of request paths
* [`[7dcbb27b6f]`](https://github.com/aspnet/AspNetCore/commit/7dcbb27b6f) Updated Redis repository project to support .NET Core (#175)
* [`[f2085b1968]`](https://github.com/aspnet/AspNetCore/commit/f2085b1968) Add keep-alive timeout (#464).
* [`[19f8958fa8]`](https://github.com/aspnet/AspNetCore/commit/19f8958fa8) Move TestServer to shared directory.
* [`[0e210dadea]`](https://github.com/aspnet/AspNetCore/commit/0e210dadea) Port DataProtection blob XmlRepository (#163)
* [`[1e59352466]`](https://github.com/aspnet/AspNetCore/commit/1e59352466) Consolidate write flags and counting logic
* [`[8105a272d2]`](https://github.com/aspnet/AspNetCore/commit/8105a272d2) #210 Re-enable caching tests
* [`[88114568b9]`](https://github.com/aspnet/AspNetCore/commit/88114568b9) #167 Prevent duplicate Content-Length headers
* [`[6522926c22]`](https://github.com/aspnet/AspNetCore/commit/6522926c22) Port WebSocket fix from https://github.com/dotnet/corefx/pull/11348
* [`[b996ee39a4]`](https://github.com/aspnet/AspNetCore/commit/b996ee39a4) port dotnet/corefx#11348 (#114)
* [`[d72ef128dd]`](https://github.com/aspnet/AspNetCore/commit/d72ef128dd) Adding options to specify maximum response body size
* [`[b340b0f0f7]`](https://github.com/aspnet/AspNetCore/commit/b340b0f0f7) Add Redis IXmlRepository implementation (#173)
* [`[3b0f01a8ec]`](https://github.com/aspnet/AspNetCore/commit/3b0f01a8ec) Customize key prefix instead of suffix
* [`[7d1a03f51d]`](https://github.com/aspnet/AspNetCore/commit/7d1a03f51d) Serialize functional tests on OS X.
* [`[f05007e0f2]`](https://github.com/aspnet/AspNetCore/commit/f05007e0f2) Fix error message in RequestContext
* [`[03dcae2407]`](https://github.com/aspnet/AspNetCore/commit/03dcae2407) Simplify docs
* [`[f0d954b2a6]`](https://github.com/aspnet/AspNetCore/commit/f0d954b2a6) Design review: Change AddNodeServices to take an Action<NodeServicesOptions> like other aspects of MVC DI config
* [`[5944dd6f87]`](https://github.com/aspnet/AspNetCore/commit/5944dd6f87) Small perf fixes to improve precompilation times
* [`[f04fb8c421]`](https://github.com/aspnet/AspNetCore/commit/f04fb8c421) Design review: Always instantiate via DI
* [`[61fd900974]`](https://github.com/aspnet/AspNetCore/commit/61fd900974) Add missing setup step to docs. Fixes #290.
* [`[09e1cd3b07]`](https://github.com/aspnet/AspNetCore/commit/09e1cd3b07) TS compiler should ignore "bin" dir because, after VS publish, it might contain duplicates of the app's source files. Fixes #279.
* [`[be73cd77bf]`](https://github.com/aspnet/AspNetCore/commit/be73cd77bf) Add buttonTagHelper and submitTagHelper for formaction
* [`[6795ca2f78]`](https://github.com/aspnet/AspNetCore/commit/6795ca2f78) Make the char array for utf8 decoding smaller
* [`[daf4843fb3]`](https://github.com/aspnet/AspNetCore/commit/daf4843fb3) Move Microsoft.AspNetCore.Mvc.Razor.Precompilation.Tests -> Microsoft.AspNetCore.Mvc.Razor.Precompilation.FunctionalTests
* [`[df81f8be57]`](https://github.com/aspnet/AspNetCore/commit/df81f8be57) Added a view component tag helper descriptor factory (#5189)
* [`[d19845730f]`](https://github.com/aspnet/AspNetCore/commit/d19845730f) Added a copy constructor for tag helper descriptors. (#827)
* [`[52f219b16e]`](https://github.com/aspnet/AspNetCore/commit/52f219b16e) Support conditional requests and send 304 when possible
* [`[b31ec7d7a7]`](https://github.com/aspnet/AspNetCore/commit/b31ec7d7a7) #204 Consolidate unsafe buffer access into NativeRequestContext
* [`[ac2f21514f]`](https://github.com/aspnet/AspNetCore/commit/ac2f21514f) Add a flag to specify the log level
* [`[4bda1cbe6d]`](https://github.com/aspnet/AspNetCore/commit/4bda1cbe6d) Implemented asp-format support in input[type=hidden] tag helper.
* [`[1ecef8094a]`](https://github.com/aspnet/AspNetCore/commit/1ecef8094a) Make Kestrel's response buffer limit configurable
* [`[a4d2e5ebcd]`](https://github.com/aspnet/AspNetCore/commit/a4d2e5ebcd) Update static files to use strong comparison on ETags
* [`[e4afd782e8]`](https://github.com/aspnet/AspNetCore/commit/e4afd782e8) Add strong and weak ETag comparisons
* [`[a5e9215982]`](https://github.com/aspnet/AspNetCore/commit/a5e9215982) Update calls for string comparison
* [`[bfa10db258]`](https://github.com/aspnet/AspNetCore/commit/bfa10db258) Run functional tests sequentially to mitigate flakiness on OS X.
* [`[bb5a70f9a8]`](https://github.com/aspnet/AspNetCore/commit/bb5a70f9a8) Added a check for property bag in tag helper descriptor comparer.
* [`[f7ee16170c]`](https://github.com/aspnet/AspNetCore/commit/f7ee16170c) [Fixes #5161] Support running middleware pipeline as part of a resource filter
* [`[acfcafb6e1]`](https://github.com/aspnet/AspNetCore/commit/acfcafb6e1) Ensure MockLibuv.OnPostTask doesn't complete too early
* [`[0742d113be]`](https://github.com/aspnet/AspNetCore/commit/0742d113be) Make all calls to ThreadPool.QueueUserWorkItem through IThreadPool
* [`[1d6c5af72c]`](https://github.com/aspnet/AspNetCore/commit/1d6c5af72c) Add option for VaryBy query string params
* [`[c224a726f9]`](https://github.com/aspnet/AspNetCore/commit/c224a726f9) Moved PageGenerator to Razor repo and moved diagnostic view page sources to Common.
* [`[4587a0fc95]`](https://github.com/aspnet/AspNetCore/commit/4587a0fc95) Prevent possible deadlocks when using MockLibuv.OnPostTask
* [`[cdb1a1a343]`](https://github.com/aspnet/AspNetCore/commit/cdb1a1a343) Moving RazorPageGenerator from 'tools' to 'src' as we want this package to be published by CI (This tool is referenced in Hosting and Diagnostics)
* [`[ee36dfbcee]`](https://github.com/aspnet/AspNetCore/commit/ee36dfbcee) updated
* [`[aff6792af1]`](https://github.com/aspnet/AspNetCore/commit/aff6792af1) Added razor page generator tool
* [`[499fefcc03]`](https://github.com/aspnet/AspNetCore/commit/499fefcc03) Added some missing docs
* [`[a6a4b5369a]`](https://github.com/aspnet/AspNetCore/commit/a6a4b5369a) [Fixes #5166] Support passing instance directly when invoking ViewComponents with single parameter
* [`[3d1dbbaae5]`](https://github.com/aspnet/AspNetCore/commit/3d1dbbaae5) #183 Set empty paths for OPTIONS * requests
* [`[4158be273f]`](https://github.com/aspnet/AspNetCore/commit/4158be273f) Fix OpenIdConnect test
* [`[b6a177ef0b]`](https://github.com/aspnet/AspNetCore/commit/b6a177ef0b) Test for categoryName passed to ILoggerFactory.CreateLogger() in KestrelServer.ctor() (#797)
* [`[6c7f621d5d]`](https://github.com/aspnet/AspNetCore/commit/6c7f621d5d) Don't run desktop tests on xplat
* [`[cbbec15d37]`](https://github.com/aspnet/AspNetCore/commit/cbbec15d37) Ignore null ExpiresUtc property in RequestRefresh
* [`[9ed753288f]`](https://github.com/aspnet/AspNetCore/commit/9ed753288f) [Fixes #5170] Fixed KeyNotFoundException in UrlHelperFactory.GetUrlHelper()
* [`[3aa6d739ce]`](https://github.com/aspnet/AspNetCore/commit/3aa6d739ce) Fix broken test caused by logging change aspnet/Logging#480
* [`[aa97e4d777]`](https://github.com/aspnet/AspNetCore/commit/aa97e4d777) Fail gracefully when repositories have cycles
* [`[c2f52db3a5]`](https://github.com/aspnet/AspNetCore/commit/c2f52db3a5) Reorder SendFileAsync to match Write/FlushAsync
* [`[021ceb71be]`](https://github.com/aspnet/AspNetCore/commit/021ceb71be) Don't run desktop tests on xplat
* [`[3a5df89f1c]`](https://github.com/aspnet/AspNetCore/commit/3a5df89f1c) Move a nullref check to base class
* [`[a79a0360c1]`](https://github.com/aspnet/AspNetCore/commit/a79a0360c1) Update OpenIdConnectHandler
* [`[c5509fb594]`](https://github.com/aspnet/AspNetCore/commit/c5509fb594) Minor update in OpenIdConnectHandler and Options
* [`[ed6984fab5]`](https://github.com/aspnet/AspNetCore/commit/ed6984fab5) Update signed out redirect url in sample
* [`[127e095370]`](https://github.com/aspnet/AspNetCore/commit/127e095370) Added property bag to tag helper descriptor. (#822)
* [`[ece8f33a65]`](https://github.com/aspnet/AspNetCore/commit/ece8f33a65) [Fixes #5175] Async resource filters' short circuited result getting executed more than once.
* [`[fb724a71de]`](https://github.com/aspnet/AspNetCore/commit/fb724a71de) Add configurable options for ResponseCaching
* [`[7cabb3f117]`](https://github.com/aspnet/AspNetCore/commit/7cabb3f117) Moved PageGenerator and DiagnosticsViewPage projects to Common repo and some updates
* [`[26956c5ce1]`](https://github.com/aspnet/AspNetCore/commit/26956c5ce1) Update OIDC signout flow
* [`[0d5482685b]`](https://github.com/aspnet/AspNetCore/commit/0d5482685b) Update OpenIdConnect.AzureAdSample
* [`[21535e5b0d]`](https://github.com/aspnet/AspNetCore/commit/21535e5b0d) Add a test that demonstrates precompiled class library
* [`[4f61c65931]`](https://github.com/aspnet/AspNetCore/commit/4f61c65931) Update no-store behaviour
* [`[ea461c3b47]`](https://github.com/aspnet/AspNetCore/commit/ea461c3b47) Update CommonOptions.cs
* [`[dff0db80ca]`](https://github.com/aspnet/AspNetCore/commit/dff0db80ca) Initial upload
* [`[e927dd6924]`](https://github.com/aspnet/AspNetCore/commit/e927dd6924) More old code
* [`[7036e2b0f5]`](https://github.com/aspnet/AspNetCore/commit/7036e2b0f5) Change `ViewComponent.View()` to flow the `ViewData.Model`.
* [`[b34543621f]`](https://github.com/aspnet/AspNetCore/commit/b34543621f) Added property bag to tag helper descriptor. (#822)
* [`[7dc0a8c7bd]`](https://github.com/aspnet/AspNetCore/commit/7dc0a8c7bd) Return count from trywrite
* [`[489c0d9046]`](https://github.com/aspnet/AspNetCore/commit/489c0d9046) Added view component tag helper updates. (#823)
* [`[59a86c17e2]`](https://github.com/aspnet/AspNetCore/commit/59a86c17e2) Update OpenIdConnectSample
* [`[d887d74819]`](https://github.com/aspnet/AspNetCore/commit/d887d74819) Update OpenIdConnectChallengeTests
* [`[95a7785a12]`](https://github.com/aspnet/AspNetCore/commit/95a7785a12) Adds timeout to sample Regex.
* [`[26b5d1da27]`](https://github.com/aspnet/AspNetCore/commit/26b5d1da27) #86 Do not fire the ClientDisconnect token for completed responses
* [`[8fe007e995]`](https://github.com/aspnet/AspNetCore/commit/8fe007e995) #237 Make shared CLR code internal
* [`[c5c11e81b3]`](https://github.com/aspnet/AspNetCore/commit/c5c11e81b3) Split TestTransaction, add extension to TestServer
* [`[abc1b37ee1]`](https://github.com/aspnet/AspNetCore/commit/abc1b37ee1) Update OpenId Connect Challenge Tests
* [`[62f0f6e857]`](https://github.com/aspnet/AspNetCore/commit/62f0f6e857) HtmlEncode all user input in Azure OpenID sample
* [`[7ea76f5e54]`](https://github.com/aspnet/AspNetCore/commit/7ea76f5e54) Update OpenID connect Azure sample
* [`[91e5de4d69]`](https://github.com/aspnet/AspNetCore/commit/91e5de4d69) Add HTML encoding to OpenIdConnect AzureSample
* [`[6ca981e4df]`](https://github.com/aspnet/AspNetCore/commit/6ca981e4df) Refine OIDC sample
* [`[ec575595ad]`](https://github.com/aspnet/AspNetCore/commit/ec575595ad) Make dotnet publish use LogInformation instead of LogTrace
* [`[8a30c1f804]`](https://github.com/aspnet/AspNetCore/commit/8a30c1f804) Reset frame streams on each request (#1028).
* [`[c967382e89]`](https://github.com/aspnet/AspNetCore/commit/c967382e89) Add Win8 check
* [`[ddf5b44de6]`](https://github.com/aspnet/AspNetCore/commit/ddf5b44de6) Updating to version 1.0.1.
* [`[ca9935943d]`](https://github.com/aspnet/AspNetCore/commit/ca9935943d) Updating to version 1.0.1.
* [`[4e2ed96392]`](https://github.com/aspnet/AspNetCore/commit/4e2ed96392) Adding README.md
* [`[d8209b6cd4]`](https://github.com/aspnet/AspNetCore/commit/d8209b6cd4) #173 Ignore write failures, fix disconnect notifications.
* [`[40636998d7]`](https://github.com/aspnet/AspNetCore/commit/40636998d7) Improve inlinability of libuv success checking
* [`[d291bb7c24]`](https://github.com/aspnet/AspNetCore/commit/d291bb7c24) Add AuthZHandlerContextFactory
* [`[6f15d616a8]`](https://github.com/aspnet/AspNetCore/commit/6f15d616a8) Add IAuthorizationEvaluator
* [`[eed4d8c211]`](https://github.com/aspnet/AspNetCore/commit/eed4d8c211) Child Node processes poll and exit when parent has exited. Fixes #270
* [`[efef52a0ad]`](https://github.com/aspnet/AspNetCore/commit/efef52a0ad) #216 Lazy feature initialization
* [`[c51aec5292]`](https://github.com/aspnet/AspNetCore/commit/c51aec5292) port dotnet/corefx#10792 (#111)
* [`[9f1476aea8]`](https://github.com/aspnet/AspNetCore/commit/9f1476aea8) #230 Disable TLS token binding pending updates
* [`[f1118f3693]`](https://github.com/aspnet/AspNetCore/commit/f1118f3693) Add MvcPrecompilation
* [`[c942eab6e2]`](https://github.com/aspnet/AspNetCore/commit/c942eab6e2) Adding support for Razor precompilation Fixes #3917
* [`[4f766a3fa5]`](https://github.com/aspnet/AspNetCore/commit/4f766a3fa5) Fix issues with feeds used to restore testapps
* [`[dbe93ac6b1]`](https://github.com/aspnet/AspNetCore/commit/dbe93ac6b1) Adding Razor Precompilation
* [`[1ce8a2215c]`](https://github.com/aspnet/AspNetCore/commit/1ce8a2215c) In ReactSpa, use isomorphic-fetch for IE/Edge compatibility
* [`[48eb2b7a05]`](https://github.com/aspnet/AspNetCore/commit/48eb2b7a05) In KnockoutSpa, use isomorphic-fetch for IE/Edge compatibility
* [`[7bd30ea693]`](https://github.com/aspnet/AspNetCore/commit/7bd30ea693) Log all startup errors in KestrelServer
* [`[89034b59c5]`](https://github.com/aspnet/AspNetCore/commit/89034b59c5) Change to mix import/require style
* [`[9e714b61fe]`](https://github.com/aspnet/AspNetCore/commit/9e714b61fe) Bug(KnockoutSpa): Router TS issue
* [`[d928ef4f12]`](https://github.com/aspnet/AspNetCore/commit/d928ef4f12) Rename folders since the template package generator now creates a package for "dotnet new" as well as Yeoman
* [`[d2f109ef6c]`](https://github.com/aspnet/AspNetCore/commit/d2f109ef6c) Add environment variables to dotnet publish
* [`[936a4f6092]`](https://github.com/aspnet/AspNetCore/commit/936a4f6092) Update OpenId Connect Configuration tests
* [`[edb5baf81c]`](https://github.com/aspnet/AspNetCore/commit/edb5baf81c) Change SHA256 algorithm to work on FIPS-compliant machines.
* [`[6e5fd4f89f]`](https://github.com/aspnet/AspNetCore/commit/6e5fd4f89f) Up Antiforgery to 1.0.1 for FIPS compliance changes.
* [`[972be6e8c1]`](https://github.com/aspnet/AspNetCore/commit/972be6e8c1) Disable automatic chunking for all non keep-alive requests
* [`[cdf84eb87e]`](https://github.com/aspnet/AspNetCore/commit/cdf84eb87e) Change SHA256 algorithm to work on FIPS-compliant machines.
* [`[a44275b732]`](https://github.com/aspnet/AspNetCore/commit/a44275b732) Update projects to 1.0.1.
* [`[2f397d6f63]`](https://github.com/aspnet/AspNetCore/commit/2f397d6f63) Switch to UsePathBase instead of relying on Kestrel feature #236
* [`[098159998d]`](https://github.com/aspnet/AspNetCore/commit/098159998d) Add ability to configure environment variables for Node instances, plus auto-populate NODE_ENV based on IHostingEnvironment when possible. Fixes #230
* [`[e2a0e887af]`](https://github.com/aspnet/AspNetCore/commit/e2a0e887af) Add UsePathBase middleware
* [`[6f5722366d]`](https://github.com/aspnet/AspNetCore/commit/6f5722366d) Initial commit
* [`[56cb898bde]`](https://github.com/aspnet/AspNetCore/commit/56cb898bde) Rename PrimeCache to PrimeCacheAsync (keeping older name as obsolete overload). Fixes #246.
* [`[889af50318]`](https://github.com/aspnet/AspNetCore/commit/889af50318) Localize DataAnnotations (#5129)
* [`[c53bd8f8f6]`](https://github.com/aspnet/AspNetCore/commit/c53bd8f8f6) Prerenderer now passes original (unescaped) URL to Node - fixes #250
* [`[8de4ddc010]`](https://github.com/aspnet/AspNetCore/commit/8de4ddc010) Logging Info instead of Warning for Authorization failure in ControllerActionInvoker
* [`[e3b5686d96]`](https://github.com/aspnet/AspNetCore/commit/e3b5686d96) Updating NuGetPackageVerifier.json to account for project rename
* [`[16fbb94c44]`](https://github.com/aspnet/AspNetCore/commit/16fbb94c44) Automatically chunk and set 0 Content-Length for non keep-alive responses
* [`[5f4e60bf8d]`](https://github.com/aspnet/AspNetCore/commit/5f4e60bf8d) Always set "Connection: close" header for non keep-alive responses
* [`[8d7c51bd60]`](https://github.com/aspnet/AspNetCore/commit/8d7c51bd60) Change TagHelpers to work in partial parsing.
* [`[0d0d25b032]`](https://github.com/aspnet/AspNetCore/commit/0d0d25b032) In WebpackDevMiddleware, allow configuration of ProjectPath (implements #262)
* [`[62aabc1bae]`](https://github.com/aspnet/AspNetCore/commit/62aabc1bae) Add implementation for HTTP caching
* [`[7d716d2007]`](https://github.com/aspnet/AspNetCore/commit/7d716d2007) Date & Age handling
* [`[8f4cc3003b]`](https://github.com/aspnet/AspNetCore/commit/8f4cc3003b) Improve SocketOutputTests
* [`[f8189a2296]`](https://github.com/aspnet/AspNetCore/commit/f8189a2296) Rename to Microsoft.AspNetCore.Server.IntegrationTesting Fixes #824
* [`[37ee065c08]`](https://github.com/aspnet/AspNetCore/commit/37ee065c08) Updating to dotnet.myget.org
* [`[761d0e6290]`](https://github.com/aspnet/AspNetCore/commit/761d0e6290) Updating to dotnet.myget.org
* [`[82c9c40709]`](https://github.com/aspnet/AspNetCore/commit/82c9c40709) Capture exceptions when trying to parse files and return parse errors.
* [`[a4ec3bb24a]`](https://github.com/aspnet/AspNetCore/commit/a4ec3bb24a) [Fixes #4991] Misleading MissingMethodException message for incorrect routes
* [`[26a7c7016d]`](https://github.com/aspnet/AspNetCore/commit/26a7c7016d) Minor updates to CookieAuthenticationHandler and its tests
* [`[4600451dc6]`](https://github.com/aspnet/AspNetCore/commit/4600451dc6) Allow absolute uri in authentication properties for cookie auth redirect
* [`[69729bc75b]`](https://github.com/aspnet/AspNetCore/commit/69729bc75b) Perf to ToUriComponent
* [`[97afe4acc8]`](https://github.com/aspnet/AspNetCore/commit/97afe4acc8) Adjust the redirect URI precedence in cookie auth
* [`[6a9f1f9887]`](https://github.com/aspnet/AspNetCore/commit/6a9f1f9887) Honor AuthenticationProperties.RedirectUri in CookieAuthenticationHandler
* [`[cd886802fe]`](https://github.com/aspnet/AspNetCore/commit/cd886802fe) Fix race condition in new OnStarting and OnCompleted tests.
* [`[b876319379]`](https://github.com/aspnet/AspNetCore/commit/b876319379) Detect pool user in script
* [`[08a91f17bf]`](https://github.com/aspnet/AspNetCore/commit/08a91f17bf) Call OnStarting and OnCompleted callbacks in LIFO order (#1042).
* [`[714c3d6659]`](https://github.com/aspnet/AspNetCore/commit/714c3d6659) [Fixes #4991] Misleading MissingMethodException message for incorrect routes
* [`[3bbdeecb14]`](https://github.com/aspnet/AspNetCore/commit/3bbdeecb14) Updated tests to supply value for new deployment parameter 'DeletePublishedApplicationOnDispose'
* [`[cc65ddfa28]`](https://github.com/aspnet/AspNetCore/commit/cc65ddfa28) Updated ApplicationDeployer to conditionally delete published application folder
* [`[5181e4196c]`](https://github.com/aspnet/AspNetCore/commit/5181e4196c) Trace call to _uv_unsafe_async_send in MockLibuv.
* [`[00939fcac9]`](https://github.com/aspnet/AspNetCore/commit/00939fcac9) Migrate to dotnet.myget.org feed
* [`[81192017c9]`](https://github.com/aspnet/AspNetCore/commit/81192017c9) Migrate to dotnet.myget.org feed
* [`[efe4477110]`](https://github.com/aspnet/AspNetCore/commit/efe4477110) Switching to dotnet.myget.org feed
* [`[be5ecb7082]`](https://github.com/aspnet/AspNetCore/commit/be5ecb7082) Switching to dotnet.myget.org feed
* [`[2bc207fa8c]`](https://github.com/aspnet/AspNetCore/commit/2bc207fa8c) Switching to dotnet.myget.org feed
* [`[d20cb17c52]`](https://github.com/aspnet/AspNetCore/commit/d20cb17c52) Switching to dotnet.myget.org feed
* [`[91d57c72bf]`](https://github.com/aspnet/AspNetCore/commit/91d57c72bf) Switching to dotnet.myget.org feed
* [`[23a6604b9a]`](https://github.com/aspnet/AspNetCore/commit/23a6604b9a) Switching to dotnet.myget.org feed
* [`[0bb2c3c2f7]`](https://github.com/aspnet/AspNetCore/commit/0bb2c3c2f7) Switching to dotnet.myget.org feed
* [`[ba75b0be37]`](https://github.com/aspnet/AspNetCore/commit/ba75b0be37) Switching to dotnet.myget.org feed
* [`[56d09500a6]`](https://github.com/aspnet/AspNetCore/commit/56d09500a6) Switching to dotnet.myget.org feed
* [`[2e53d0e55b]`](https://github.com/aspnet/AspNetCore/commit/2e53d0e55b) Switching to dotnet.myget.org feed
* [`[806e23fe5d]`](https://github.com/aspnet/AspNetCore/commit/806e23fe5d) Switching to dotnet.myget.org feed
* [`[d16614a653]`](https://github.com/aspnet/AspNetCore/commit/d16614a653) Switching to dotnet.myget.org feed
* [`[acab75a1bb]`](https://github.com/aspnet/AspNetCore/commit/acab75a1bb) Switching to dotnet.myget.org feed
* [`[5968a964c4]`](https://github.com/aspnet/AspNetCore/commit/5968a964c4) Switching to dotnet.myget.org feed
* [`[79cb3b0ed9]`](https://github.com/aspnet/AspNetCore/commit/79cb3b0ed9) Switching to dotnet.myget.org feed
* [`[5ac2947b52]`](https://github.com/aspnet/AspNetCore/commit/5ac2947b52) Switching to dotnet.myget.org feed
* [`[cb68dd8cd3]`](https://github.com/aspnet/AspNetCore/commit/cb68dd8cd3) Switching to dotnet.myget.org feed
* [`[66abd74142]`](https://github.com/aspnet/AspNetCore/commit/66abd74142) Switching to dotnet.myget.org feed
* [`[0bdfef6913]`](https://github.com/aspnet/AspNetCore/commit/0bdfef6913) Switching to dotnet.myget.org feed
* [`[0fc5dc1820]`](https://github.com/aspnet/AspNetCore/commit/0fc5dc1820) #160 Rename UrlPrefix.Whole to FullPrefix. Make IsHeadMethod internal
* [`[08f98f4790]`](https://github.com/aspnet/AspNetCore/commit/08f98f4790) Add header limit options (#475).
* [`[f09e2bf571]`](https://github.com/aspnet/AspNetCore/commit/f09e2bf571) [Fixes #804] Fixed unsafe cast in CSharpCodeVisitor
* [`[687b3f6911]`](https://github.com/aspnet/AspNetCore/commit/687b3f6911) [Fixes #815] Fix Debug.Assert failure for malformed tags in expression
* [`[2f9bf9bb87]`](https://github.com/aspnet/AspNetCore/commit/2f9bf9bb87) Updating to Moq \ Castle.Core that does not require imports
* [`[936f5a4f6a]`](https://github.com/aspnet/AspNetCore/commit/936f5a4f6a) Made HttpMethod match case-INsensitive Related to https://github.com/aspnet/CORS/issues/77
* [`[e991ebaa4f]`](https://github.com/aspnet/AspNetCore/commit/e991ebaa4f) Updating to Moq \ Castle.Core that does not require imports
* [`[15b66cec1f]`](https://github.com/aspnet/AspNetCore/commit/15b66cec1f) [Fixes #77] Make HTTP method match as case-insensitive
* [`[8691686dd8]`](https://github.com/aspnet/AspNetCore/commit/8691686dd8) Updating to Moq \ Castle.Core that does not require imports
* [`[b5abd73e34]`](https://github.com/aspnet/AspNetCore/commit/b5abd73e34) Updating to Moq \ Castle.Core that does not require imports
* [`[d2b5144132]`](https://github.com/aspnet/AspNetCore/commit/d2b5144132) Updating to Moq \ Castle.Core that does not require imports
* [`[e1b2ee6627]`](https://github.com/aspnet/AspNetCore/commit/e1b2ee6627) Updating to Moq \ Castle.Core that does not require imports
* [`[b086b5b165]`](https://github.com/aspnet/AspNetCore/commit/b086b5b165) Updating to Moq \ Castle.Core that does not require imports
* [`[67dce322df]`](https://github.com/aspnet/AspNetCore/commit/67dce322df) Updating to Moq \ Castle.Core that does not require imports
* [`[f0f3832c14]`](https://github.com/aspnet/AspNetCore/commit/f0f3832c14) Updating to Moq \ Castle.Core that does not require imports
* [`[f2fa8b5660]`](https://github.com/aspnet/AspNetCore/commit/f2fa8b5660) Add functional test.
* [`[a5aacd6307]`](https://github.com/aspnet/AspNetCore/commit/a5aacd6307) Throw when setting OnStarting after response has already started (#806).
* [`[6e5187c1ae]`](https://github.com/aspnet/AspNetCore/commit/6e5187c1ae) Using new StringRouteConstraint for area constraint
* [`[2a6465b27a]`](https://github.com/aspnet/AspNetCore/commit/2a6465b27a) FIxing path separator to address #247 (#248)
* [`[55f409b38b]`](https://github.com/aspnet/AspNetCore/commit/55f409b38b) Fix hanging functional tests.
* [`[4b36501bd8]`](https://github.com/aspnet/AspNetCore/commit/4b36501bd8) #160 Move AllowAnonymous from the AuthenticationSchemes to its own bool
* [`[a344684d06]`](https://github.com/aspnet/AspNetCore/commit/a344684d06) Use HandleAuthenticateOnceSafeAsync in Cookie auth
* [`[926c7fab4b]`](https://github.com/aspnet/AspNetCore/commit/926c7fab4b) Use async-wait pattern in HandleAuthenticateOnceSafeAsync
* [`[0314632696]`](https://github.com/aspnet/AspNetCore/commit/0314632696) JwtBearer Token: Catch exception during unauthorized flow
* [`[e94f21ffc2]`](https://github.com/aspnet/AspNetCore/commit/e94f21ffc2) Moved content of 'shared' folder into MusicStore app and fixed tests
* [`[a40cc88169]`](https://github.com/aspnet/AspNetCore/commit/a40cc88169) IResponseCache adapter and support for vary by header
* [`[fa41588779]`](https://github.com/aspnet/AspNetCore/commit/fa41588779) Move server start failure test in MaxRequestLineSizeTests to KestrelServerTests.
* [`[663f6a1718]`](https://github.com/aspnet/AspNetCore/commit/663f6a1718) Expose `GetInputType` as a protected member of `InputTagHelper`.
* [`[e96f2cb738]`](https://github.com/aspnet/AspNetCore/commit/e96f2cb738) Set deployed application root folder as working directory
* [`[b8f21bee03]`](https://github.com/aspnet/AspNetCore/commit/b8f21bee03) Update warning code for obsolete property in #pragma.
* [`[be5deef584]`](https://github.com/aspnet/AspNetCore/commit/be5deef584) Created option for RequireHttpsAttribute.Permanent
* [`[78b5f53a6f]`](https://github.com/aspnet/AspNetCore/commit/78b5f53a6f) fix NuGetPackageVerifier.json
* [`[140dc6fcf5]`](https://github.com/aspnet/AspNetCore/commit/140dc6fcf5) Add obsoletion reason for KestrelServerOptions.MaxRequestBufferSize.
* [`[88de3d5070]`](https://github.com/aspnet/AspNetCore/commit/88de3d5070) StringRouteConstraint implementation
* [`[7052fa0ad2]`](https://github.com/aspnet/AspNetCore/commit/7052fa0ad2) Rephrased docs to clarify which are the parts you type into the command line
* [`[4665d1f458]`](https://github.com/aspnet/AspNetCore/commit/4665d1f458) docs(readme): Show how to get started with yeoman
* [`[a631f77a33]`](https://github.com/aspnet/AspNetCore/commit/a631f77a33) Copy only project.json before dotnet restore in Dockerfile templates
* [`[cf1a127e7d]`](https://github.com/aspnet/AspNetCore/commit/cf1a127e7d) Perform nodejs installation before COPY in Dockerfile templates
* [`[c07bd96270]`](https://github.com/aspnet/AspNetCore/commit/c07bd96270) Update generator-aspnetcore-spa version
* [`[a4a4e490c5]`](https://github.com/aspnet/AspNetCore/commit/a4a4e490c5) Addresses #678 and #679
* [`[9727a4db86]`](https://github.com/aspnet/AspNetCore/commit/9727a4db86) Improve the performance of connection filters
* [`[5aee524768]`](https://github.com/aspnet/AspNetCore/commit/5aee524768) Ensure Begin/End Read/Write methods are correctly implemented
* [`[4337d2a4a7]`](https://github.com/aspnet/AspNetCore/commit/4337d2a4a7) Implement Begin/End Read/Write methods in LibuvStream
* [`[ac8f751771]`](https://github.com/aspnet/AspNetCore/commit/ac8f751771) [Fixes #324] Diagnostics middleware no longer has a way to expand the source for compilation errors
* [`[8836eec7d8]`](https://github.com/aspnet/AspNetCore/commit/8836eec7d8) Limit request line length (#784).
* [`[dfe12223b8]`](https://github.com/aspnet/AspNetCore/commit/dfe12223b8) Ensure HTTPS handshake errors aren't logged on socket close
* [`[1020d69171]`](https://github.com/aspnet/AspNetCore/commit/1020d69171) Better logging for connection errors during HTTPS handshake
* [`[45f0fe178f]`](https://github.com/aspnet/AspNetCore/commit/45f0fe178f) import WebSockets code from CoreFX (#105)
* [`[44910bbd59]`](https://github.com/aspnet/AspNetCore/commit/44910bbd59) Use CoreFx managed WebSockets
* [`[e320755734]`](https://github.com/aspnet/AspNetCore/commit/e320755734) Do not run custom header parsers on null header values (#678)
* [`[20c1bb567d]`](https://github.com/aspnet/AspNetCore/commit/20c1bb567d) Move TestConnection to the Microsoft.AspNetCore.Testing namespace.
* [`[5876e1983a]`](https://github.com/aspnet/AspNetCore/commit/5876e1983a) Move TestConnection to shared directory.
* [`[52d9c0b336]`](https://github.com/aspnet/AspNetCore/commit/52d9c0b336) Added outline to buttons in developer exception page
* [`[484955f83e]`](https://github.com/aspnet/AspNetCore/commit/484955f83e) Make MessagePump constructor public for DI
* [`[f0732e9e21]`](https://github.com/aspnet/AspNetCore/commit/f0732e9e21) [Fixes #5038] HTTP Verbs mapping error GET and DELETE
* [`[4ece3f4b68]`](https://github.com/aspnet/AspNetCore/commit/4ece3f4b68) Change "String." to "string." to match coding convention
* [`[fc4a61586e]`](https://github.com/aspnet/AspNetCore/commit/fc4a61586e) Obsolete `EditorHints`.
* [`[e77dc3af6a]`](https://github.com/aspnet/AspNetCore/commit/e77dc3af6a) Implement manual state machine
* [`[d60ed06c19]`](https://github.com/aspnet/AspNetCore/commit/d60ed06c19) Add link tag attributes to generated fallback tags.
* [`[235ac59551]`](https://github.com/aspnet/AspNetCore/commit/235ac59551) API cleaup, organization
* [`[8d1e419a99]`](https://github.com/aspnet/AspNetCore/commit/8d1e419a99) Added ObsoleteAttribute to unused ViewEngine property
* [`[22492ed752]`](https://github.com/aspnet/AspNetCore/commit/22492ed752) [Fixes #319] It is not possible to copy text to clipboard from error message on development page.
* [`[2a6ab2be8c]`](https://github.com/aspnet/AspNetCore/commit/2a6ab2be8c) Add UpdateTokenValue API
* [`[c16fc06cb9]`](https://github.com/aspnet/AspNetCore/commit/c16fc06cb9) Modify warning about policy behavior (#924)
* [`[27a641f4bf]`](https://github.com/aspnet/AspNetCore/commit/27a641f4bf) Only create filters for models that need them (#5044)
* [`[d204adafd2]`](https://github.com/aspnet/AspNetCore/commit/d204adafd2) Add CI status to readme
* [`[7a3f24d49d]`](https://github.com/aspnet/AspNetCore/commit/7a3f24d49d) [Fixes #4960] Action results returned from controller actions rendered as json instead of executed
* [`[e815537907]`](https://github.com/aspnet/AspNetCore/commit/e815537907) Add ResponseCaching
* [`[935d15a15e]`](https://github.com/aspnet/AspNetCore/commit/935d15a15e) don't run Autobahn tests on Win7/Server2008 (#104)
* [`[1628d42b43]`](https://github.com/aspnet/AspNetCore/commit/1628d42b43) Clean up and update to post RTM
* [`[a14bb69d6a]`](https://github.com/aspnet/AspNetCore/commit/a14bb69d6a) Rough outline of middleware, sample, and test projects.
* [`[3d2e1c4d3e]`](https://github.com/aspnet/AspNetCore/commit/3d2e1c4d3e) Factoring out UrlGroup, ServerSession, RequestQueue, ChannelBinding, Disconnect Listener.
* [`[0a5f8e013e]`](https://github.com/aspnet/AspNetCore/commit/0a5f8e013e) AppDomain safety
* [`[3403eb7548]`](https://github.com/aspnet/AspNetCore/commit/3403eb7548) Make aspnet-webpack compatible with older versions of the NodeServices package
* [`[0a3463031b]`](https://github.com/aspnet/AspNetCore/commit/0a3463031b) Add Node.js support in all the Docker containers
* [`[e9ca434405]`](https://github.com/aspnet/AspNetCore/commit/e9ca434405) Update all templates to match latest "yo aspnet" output
* [`[de960d80aa]`](https://github.com/aspnet/AspNetCore/commit/de960d80aa) Allow explicit configuration of port number for webpack dev middleware server. Fixes #223.
* [`[14337e32ab]`](https://github.com/aspnet/AspNetCore/commit/14337e32ab) WebpackDevMiddleware now preserves client's view of hostname when doing 302 to /__webpack_hmr
* [`[698921d157]`](https://github.com/aspnet/AspNetCore/commit/698921d157) Update Dockerfile in all templates to match .NET Core 1.0 RTM. Fixes #120
* [`[c892f7da35]`](https://github.com/aspnet/AspNetCore/commit/c892f7da35) Support debugging when on IPv6 network (Node's "Debugger listening" message is phrased differently there)
* [`[763df65c14]`](https://github.com/aspnet/AspNetCore/commit/763df65c14) Revise if-else order in RemoteAuthenticateHandler
* [`[0e855b25a8]`](https://github.com/aspnet/AspNetCore/commit/0e855b25a8) Update Google and Microsoft Account Handler exception message
* [`[0d216d726a]`](https://github.com/aspnet/AspNetCore/commit/0d216d726a) Minor fixes in RemoteAuthenticationHandler and FacebookHandler
* [`[5092e75387]`](https://github.com/aspnet/AspNetCore/commit/5092e75387) Pin repo version to 1.0.1
* [`[e3e092ec60]`](https://github.com/aspnet/AspNetCore/commit/e3e092ec60) [Fixes #288] DeveloperExceptionPage needs better text spacing on OSX/Safari
* [`[f2f67fe880]`](https://github.com/aspnet/AspNetCore/commit/f2f67fe880) Support new config options to launch the Node process with a debug listener. This is compatible with node-inspector.
* [`[1c17bddc02]`](https://github.com/aspnet/AspNetCore/commit/1c17bddc02) Update HandleRemoteCallbackAsync readability
* [`[210c4b2061]`](https://github.com/aspnet/AspNetCore/commit/210c4b2061) Fix incorrect exception messages
* [`[6f46bc94f8]`](https://github.com/aspnet/AspNetCore/commit/6f46bc94f8) Sort using statements
* [`[5de4816f59]`](https://github.com/aspnet/AspNetCore/commit/5de4816f59) Update the RemoteAuthenticationHandler error handling
* [`[312edaafb4]`](https://github.com/aspnet/AspNetCore/commit/312edaafb4) Handle back channel failure gracefully
* [`[ecb3b90984]`](https://github.com/aspnet/AspNetCore/commit/ecb3b90984) Undo change to the GoogleDefaults
* [`[eabdd45816]`](https://github.com/aspnet/AspNetCore/commit/eabdd45816) Improve code readability for Authentication.Google
* [`[79872c1bde]`](https://github.com/aspnet/AspNetCore/commit/79872c1bde) Amend aspnet-webpack for better node-inspector support
* [`[2fe06ea784]`](https://github.com/aspnet/AspNetCore/commit/2fe06ea784) Make the dependency on es6-shim explicit, and include it in the vendor bundle
* [`[77b404188b]`](https://github.com/aspnet/AspNetCore/commit/77b404188b) fix angular's (click) events not being triggered on IE9
* [`[96228711f2]`](https://github.com/aspnet/AspNetCore/commit/96228711f2) chore(package): Update to rc4, beta router & universal 104.5
* [`[64a8ef1112]`](https://github.com/aspnet/AspNetCore/commit/64a8ef1112) Moving and updating "aspnet-webpack" package in templates (#207)
* [`[1bce0acfde]`](https://github.com/aspnet/AspNetCore/commit/1bce0acfde) Added asp-area to Components, _Layout and _LoginPartial links (Header links are broken in Admin area #666 )
* [`[184a25792a]`](https://github.com/aspnet/AspNetCore/commit/184a25792a) [Fixes #819] Display LoaderExceptions in ReflectionTypeLoadException
* [`[4600100695]`](https://github.com/aspnet/AspNetCore/commit/4600100695) Added a test to verify ReflectionTypeLoadException
* [`[1ac8ccafe2]`](https://github.com/aspnet/AspNetCore/commit/1ac8ccafe2) Regenerated ErrorPage.cs
* [`[f7641fa28b]`](https://github.com/aspnet/AspNetCore/commit/f7641fa28b) [Fixes #315] Display LoaderExceptions in ErrorPage
* [`[b5c117695e]`](https://github.com/aspnet/AspNetCore/commit/b5c117695e) Stop KestrelThreads in parallel
* [`[dc12f3150e]`](https://github.com/aspnet/AspNetCore/commit/dc12f3150e) Wait for graceful shutdown now that it usually works
* [`[496d94b41f]`](https://github.com/aspnet/AspNetCore/commit/496d94b41f) Fix cross appdomain exception
* [`[9a0ea424ea]`](https://github.com/aspnet/AspNetCore/commit/9a0ea424ea) Fix cross appdomain exception
* [`[0ab04d7e73]`](https://github.com/aspnet/AspNetCore/commit/0ab04d7e73) Tests to makes sure known strings are interned
* [`[51288e13f8]`](https://github.com/aspnet/AspNetCore/commit/51288e13f8) Enum to singular
* [`[0a1ea124ee]`](https://github.com/aspnet/AspNetCore/commit/0a1ea124ee) Use HttpVersionType enum rather than string compare
* [`[0620ce5a2f]`](https://github.com/aspnet/AspNetCore/commit/0620ce5a2f) Consolidate BadHttpRequestException messages
* [`[7c811ff568]`](https://github.com/aspnet/AspNetCore/commit/7c811ff568) Only allocate key string when unknown
* [`[49a48a0a33]`](https://github.com/aspnet/AspNetCore/commit/49a48a0a33) Mark `ValueProviderResultExtensions` as `[Obsolete]` - #4521
* [`[27f8c8dca2]`](https://github.com/aspnet/AspNetCore/commit/27f8c8dca2) Ensure libuv handles get disposed properly after binding errors
* [`[c4220c3d8c]`](https://github.com/aspnet/AspNetCore/commit/c4220c3d8c) Pass bigger buffer size to StreamCopyOperation.CopyToAsync (#148)
* [`[0e7967a7fc]`](https://github.com/aspnet/AspNetCore/commit/0e7967a7fc) Allocate things per KestrelThread instead of per listener
* [`[b4b2dd6bf2]`](https://github.com/aspnet/AspNetCore/commit/b4b2dd6bf2) Add buffer size parameter to CopyTo method (#674)
* [`[3c0e0f8d88]`](https://github.com/aspnet/AspNetCore/commit/3c0e0f8d88) Always throw same exception type on read after connection error (#975).
* [`[6bcf7643df]`](https://github.com/aspnet/AspNetCore/commit/6bcf7643df) Do not allocate large write task queues (#1005)
* [`[7b7e2889ce]`](https://github.com/aspnet/AspNetCore/commit/7b7e2889ce) Allocate less in GetIPEndPoint (#1004)
* [`[b955ec7743]`](https://github.com/aspnet/AspNetCore/commit/b955ec7743) Update shutdown logic for hosted applications
* [`[85ca3e4976]`](https://github.com/aspnet/AspNetCore/commit/85ca3e4976) Fix #4998 - Change lifetime of ViewComponentResultExecutor
* [`[aa385a1317]`](https://github.com/aspnet/AspNetCore/commit/aa385a1317) Use Environment.NewLine and Environment.StackTrace
* [`[7b8abf5a3e]`](https://github.com/aspnet/AspNetCore/commit/7b8abf5a3e) Improved Memoryblock tracking
* [`[b80f4d31f3]`](https://github.com/aspnet/AspNetCore/commit/b80f4d31f3) Add a test to verify our service lifetimes
* [`[bc76c0ef31]`](https://github.com/aspnet/AspNetCore/commit/bc76c0ef31) Fix #4998 - Resolve IViewComponentHelper every time
* [`[a1f8278381]`](https://github.com/aspnet/AspNetCore/commit/a1f8278381) Improve sample README
* [`[581a5ea573]`](https://github.com/aspnet/AspNetCore/commit/581a5ea573) column attribute for <textarea> is incorrect (#5049)
* [`[35cc5b6e83]`](https://github.com/aspnet/AspNetCore/commit/35cc5b6e83) Use `IValidationAttributeAdapterProvider` more often - #5009 - don't create a `RequiredAttributeAdapter` directly
* [`[6cd46a5c10]`](https://github.com/aspnet/AspNetCore/commit/6cd46a5c10) Remote auth expiration fix (#893)
* [`[749c7cb3ce]`](https://github.com/aspnet/AspNetCore/commit/749c7cb3ce) Add example of full-page prerendering via a custom action result
* [`[0240882031]`](https://github.com/aspnet/AspNetCore/commit/0240882031) Perf: Use RouteValueDictionary in AnchorTagHelper rather than creating a new Dictionary (#4941)
* [`[dde24fbba0]`](https://github.com/aspnet/AspNetCore/commit/dde24fbba0) Optimize ListStorage in RouteValueDictionary
* [`[52a7c112e8]`](https://github.com/aspnet/AspNetCore/commit/52a7c112e8) [Fixes #4876] ContentResult forcing chunked encoding
* [`[c5e09b0344]`](https://github.com/aspnet/AspNetCore/commit/c5e09b0344) Added a HttpResponseStreamWriter test for surrogate pairs
* [`[e5cb6f9595]`](https://github.com/aspnet/AspNetCore/commit/e5cb6f9595) Add `null` check for `ModelStateEntry.Children` - #4989
* [`[bdf9f8dd4e]`](https://github.com/aspnet/AspNetCore/commit/bdf9f8dd4e) Wait for connection in RequestTests.ConnectionResetAbortsRequest (#978).
* [`[41e50ba688]`](https://github.com/aspnet/AspNetCore/commit/41e50ba688) Enable all tests in HttpsConnectionFilterTests to run on all platforms
* [`[6801715daf]`](https://github.com/aspnet/AspNetCore/commit/6801715daf) Add support for IEnumerable<KeyValuePair<string, string>> in RouteValueDictionary Fixes #329 (#335)
* [`[854ffadc6a]`](https://github.com/aspnet/AspNetCore/commit/854ffadc6a) fix project reference
* [`[edf1f88398]`](https://github.com/aspnet/AspNetCore/commit/edf1f88398) Updating to AutoMapper 5.0
* [`[f4afb25a2d]`](https://github.com/aspnet/AspNetCore/commit/f4afb25a2d) Set ts-loader to "silent" mode until there's a fix for https://github.com/TypeStrong/ts-loader/issues/249
* [`[fae0a886af]`](https://github.com/aspnet/AspNetCore/commit/fae0a886af) Transfer multiline log messages from Node to .NET without treating each line as a separate log entry
* [`[f4efcacd40]`](https://github.com/aspnet/AspNetCore/commit/f4efcacd40) Switch to native .NET logging APIs
* [`[27ffa72e0d]`](https://github.com/aspnet/AspNetCore/commit/27ffa72e0d) Adding support for capturing the output of a node instance for custom logging implementations.
* [`[a14d9ba2df]`](https://github.com/aspnet/AspNetCore/commit/a14d9ba2df) Change onBeforeStartExternalProcess to a virtual method, so as to avoid expanding the set of constructor params in all hosting models
* [`[7119815d04]`](https://github.com/aspnet/AspNetCore/commit/7119815d04) Added OnBeforeStartExternalProcess callback which to NodeServicesOptions (and OutOfProcessNodeInstance, SocketNodeInstance and HttpNodeInstance) to configure environment of the node.exe process to be started, and the path to the node executable itself. Fixes #20
* [`[057efb43c8]`](https://github.com/aspnet/AspNetCore/commit/057efb43c8) aspnet-webpack module now preserves 'path' and 'publicPath' config settings when invoking Webpack compiler. Fixes #176.
* [`[14717f2a3f]`](https://github.com/aspnet/AspNetCore/commit/14717f2a3f) Always allocate the socket closed tcs
* [`[3bb7f4e2c4]`](https://github.com/aspnet/AspNetCore/commit/3bb7f4e2c4) Treat ECONNRESET as a connection error (#934).
* [`[91e94b1353]`](https://github.com/aspnet/AspNetCore/commit/91e94b1353) automate the autobahn test suite (#101)
* [`[fbcb5dcb1b]`](https://github.com/aspnet/AspNetCore/commit/fbcb5dcb1b) Prevent enumeration of queue during modification in SocketOutputTests
* [`[ed91ba0c2f]`](https://github.com/aspnet/AspNetCore/commit/ed91ba0c2f) - Fix a NullRef exception that was happening when projects have resx files - Print the changed file name in all cases
* [`[b7a0393311]`](https://github.com/aspnet/AspNetCore/commit/b7a0393311) Register DependencyContextRazorViewEngineOptionsSetup after RazorViewEngineOptionsSetup
* [`[8ec27958e7]`](https://github.com/aspnet/AspNetCore/commit/8ec27958e7) Replace Linq in hotpath (#5024)
* [`[c769d8dee9]`](https://github.com/aspnet/AspNetCore/commit/c769d8dee9) Fix null ref exception when referencing csproj
* [`[7e1aa4e1d0]`](https://github.com/aspnet/AspNetCore/commit/7e1aa4e1d0) Only test binding to "operational" network interfaces
* [`[6cee57752f]`](https://github.com/aspnet/AspNetCore/commit/6cee57752f) Update OpenIdConnectSample
* [`[310ab25347]`](https://github.com/aspnet/AspNetCore/commit/310ab25347) Make tests resilient to Localization (#5011)
* [`[e64b8e55e5]`](https://github.com/aspnet/AspNetCore/commit/e64b8e55e5) Add some multipart reader utilities to make reading streams easier
* [`[b132b69cb3]`](https://github.com/aspnet/AspNetCore/commit/b132b69cb3) Log stack trace when logging exceptions #198
* [`[8487bf0ae5]`](https://github.com/aspnet/AspNetCore/commit/8487bf0ae5) 14.28 If-Unmodified-Since - Incorrect condition
* [`[95796744c1]`](https://github.com/aspnet/AspNetCore/commit/95796744c1) Add scaffolding to the MVC sandbox - need more Tonka trucks
* [`[8a43be94ef]`](https://github.com/aspnet/AspNetCore/commit/8a43be94ef) AddressRegistrationTests should get local IPs from System.Net.NetworkInformation (#796)
* [`[61d03b9316]`](https://github.com/aspnet/AspNetCore/commit/61d03b9316) Update OIDC Azure Sample
* [`[d337bacc69]`](https://github.com/aspnet/AspNetCore/commit/d337bacc69) Add additional ifdefs to partial parsing tracing logic.
* [`[ef6533cf85]`](https://github.com/aspnet/AspNetCore/commit/ef6533cf85) Fixing wording/casing in command line tool output
* [`[b4677a44da]`](https://github.com/aspnet/AspNetCore/commit/b4677a44da)  #4847 Fix MapAreaRoute override existing area constraint (#4954)
* [`[150b4708f1]`](https://github.com/aspnet/AspNetCore/commit/150b4708f1) Fix PathString over-encoding
* [`[8bf0612411]`](https://github.com/aspnet/AspNetCore/commit/8bf0612411) Move PageGenerator to the tools dir
* [`[c1a1bdf373]`](https://github.com/aspnet/AspNetCore/commit/c1a1bdf373) Update React template homepage as per #158
* [`[01d5c90e23]`](https://github.com/aspnet/AspNetCore/commit/01d5c90e23) Include Microsoft.DotNet.Watcher.Tools in templates. Fixes #157
* [`[8b5136825c]`](https://github.com/aspnet/AspNetCore/commit/8b5136825c) Update remaining doc references to Invoke<T> and InvokeExport<T>
* [`[b0bc80b4d6]`](https://github.com/aspnet/AspNetCore/commit/b0bc80b4d6) Update docs around custom node instances to match latest API changes
* [`[3bc35aea21]`](https://github.com/aspnet/AspNetCore/commit/3bc35aea21) Simplify docs around receiving an INodeServices instance from DI
* [`[920f1c8bf3]`](https://github.com/aspnet/AspNetCore/commit/920f1c8bf3) Replace references to Invoke and InvokeExport with InvokeAsync and InvokeExportAsync throughout docs
* [`[4b38519001]`](https://github.com/aspnet/AspNetCore/commit/4b38519001) Change all links in docs to point to new main branch ('dev')
* [`[eec370e938]`](https://github.com/aspnet/AspNetCore/commit/eec370e938) Move file-watching logic into .NET to avoid Node's fs.watch issues on Windows (#128)
* [`[ce127f0d70]`](https://github.com/aspnet/AspNetCore/commit/ce127f0d70) Implement connection draining feature
* [`[be13f0b7bf]`](https://github.com/aspnet/AspNetCore/commit/be13f0b7bf) Centralise the child-process-terminating logic in NodeServicesImpl - don't also do it in OutOfProcessNodeInstance. This works towards connection draining.
* [`[26e8bd823c]`](https://github.com/aspnet/AspNetCore/commit/26e8bd823c) Instead of the Node process exiting instantly on file change, send a signal to .NET that it should restart. This is working towards the connection-draining feature.
* [`[a19e37f3c0]`](https://github.com/aspnet/AspNetCore/commit/a19e37f3c0) Move logic for restarting Node child process into NodeServicesImpl. Tidy up lots.
* [`[efa37e5590]`](https://github.com/aspnet/AspNetCore/commit/efa37e5590) Tidy up SampleApp.
* [`[7ce344270a]`](https://github.com/aspnet/AspNetCore/commit/7ce344270a) Show message about preserveCompilationContext when a Roslyn diagnostic error says a reference could not be found.
* [`[9f720eda90]`](https://github.com/aspnet/AspNetCore/commit/9f720eda90) Reset frame streams on each request (#940).
* [`[f4a2d6ea80]`](https://github.com/aspnet/AspNetCore/commit/f4a2d6ea80) Convert details -> div element
* [`[e960a55e82]`](https://github.com/aspnet/AspNetCore/commit/e960a55e82) Add support for showing failure summaries.
* [`[4fb3b18868]`](https://github.com/aspnet/AspNetCore/commit/4fb3b18868) Create new top-level DefaultNodeInstance concept that will soon hold the "connection draining" logic
* [`[ccff37126f]`](https://github.com/aspnet/AspNetCore/commit/ccff37126f) Removing extra imports from projects
* [`[4ee09cbe82]`](https://github.com/aspnet/AspNetCore/commit/4ee09cbe82) Make Http hosting model able to report exceptions that happened while locating the function to invoke
* [`[f8981185d9]`](https://github.com/aspnet/AspNetCore/commit/f8981185d9) Makes it possible to use absolute paths for publicPath in weback.config (#161)
* [`[9d16d2e9b5]`](https://github.com/aspnet/AspNetCore/commit/9d16d2e9b5) Use the scenario tool tested from testing common
* [`[4fe758240f]`](https://github.com/aspnet/AspNetCore/commit/4fe758240f) Added `ViewResultTest`s. (#4939)
* [`[01f247db48]`](https://github.com/aspnet/AspNetCore/commit/01f247db48) Prevent an unnecessary allocation of a state machine (thanks @PinpointTownes)
* [`[3ed0d01eae]`](https://github.com/aspnet/AspNetCore/commit/3ed0d01eae) Fix #4929 - Move IActionInvokerFactory from .Internal
* [`[0fec1424d5]`](https://github.com/aspnet/AspNetCore/commit/0fec1424d5) Added community project in the README.md
* [`[59b605cafb]`](https://github.com/aspnet/AspNetCore/commit/59b605cafb) Add UseWhenExtensions and UseWhenExtensionsTests
* [`[afd3bea80f]`](https://github.com/aspnet/AspNetCore/commit/afd3bea80f) Exception Page showing only method names in the callstack
* [`[dc35157f7a]`](https://github.com/aspnet/AspNetCore/commit/dc35157f7a) Use MethodDisplayInfo to display stack trace
* [`[21b3525933]`](https://github.com/aspnet/AspNetCore/commit/21b3525933) Make MultipleTriggers more stable
* [`[90dc4bc207]`](https://github.com/aspnet/AspNetCore/commit/90dc4bc207) [Fixes #324] Default parameters are not taken into account on attribute routing
* [`[0978a7dd16]`](https://github.com/aspnet/AspNetCore/commit/0978a7dd16) Add some tests, rename misnamed file
* [`[b6e2274163]`](https://github.com/aspnet/AspNetCore/commit/b6e2274163) In Redux templates, add .babelrc to publish output. Fixes #159
* [`[260a0d6bcb]`](https://github.com/aspnet/AspNetCore/commit/260a0d6bcb) Migrate entrypoint-http.js to TypeScript. Source is now HttpNodeInstanceEntryPoint.ts.
* [`[393e156b47]`](https://github.com/aspnet/AspNetCore/commit/393e156b47) Better reporting of Webpack compilation errors to fix #159
* [`[b82e70e192]`](https://github.com/aspnet/AspNetCore/commit/b82e70e192) Fix for prerendering hanging if webpack compilation fails
* [`[322e1f5d9c]`](https://github.com/aspnet/AspNetCore/commit/322e1f5d9c) Make routing feature class public
* [`[4986137ffe]`](https://github.com/aspnet/AspNetCore/commit/4986137ffe) Use filename* for files in multipart forms when available #651
* [`[c310c27ab8]`](https://github.com/aspnet/AspNetCore/commit/c310c27ab8) Make encoders registration optional (#140)
* [`[a852352223]`](https://github.com/aspnet/AspNetCore/commit/a852352223) Fix for https://github.com/aspnet/Mvc/issues/4903. (#4907)
* [`[5c04f0a831]`](https://github.com/aspnet/AspNetCore/commit/5c04f0a831) Use Angular lib instead of angular map file in sample (#92)
* [`[44bd5f195e]`](https://github.com/aspnet/AspNetCore/commit/44bd5f195e) Update readme regarding default transport
* [`[e51a118a9d]`](https://github.com/aspnet/AspNetCore/commit/e51a118a9d) Added consistent model property to view result variants (#4901)
* [`[8f2117cf89]`](https://github.com/aspnet/AspNetCore/commit/8f2117cf89) Upgrade Angular template to Angular 2 RC3 and migrate to new @angular/router
* [`[f1325d0cf2]`](https://github.com/aspnet/AspNetCore/commit/f1325d0cf2) Update 'templates' projects for .NET Core 1.0 RTM
* [`[eebf509846]`](https://github.com/aspnet/AspNetCore/commit/eebf509846) Update 'src' project dependencies for .NET Core 1.0 RTM
* [`[661677dca1]`](https://github.com/aspnet/AspNetCore/commit/661677dca1) Updating NuGet.config
* [`[b4822f90af]`](https://github.com/aspnet/AspNetCore/commit/b4822f90af) Updating NuGet.config
* [`[4c4167b6cb]`](https://github.com/aspnet/AspNetCore/commit/4c4167b6cb) Updating NuGet.config
* [`[c319ae51a5]`](https://github.com/aspnet/AspNetCore/commit/c319ae51a5) Changed min/max parameter order in StringLengthAttributeAdapter (#4899)
* [`[72dbda8804]`](https://github.com/aspnet/AspNetCore/commit/72dbda8804) Update to 1.0.1 version
* [`[3c0c02112d]`](https://github.com/aspnet/AspNetCore/commit/3c0c02112d) #659 Parse headers with consecutive commas
* [`[d19765802b]`](https://github.com/aspnet/AspNetCore/commit/d19765802b) Changed min/max parameter order in StringLengthAttributeAdapter
* [`[9263d63d2c]`](https://github.com/aspnet/AspNetCore/commit/9263d63d2c) Add net451 back so windows works and Unix skips net451
* [`[fc4f633e5e]`](https://github.com/aspnet/AspNetCore/commit/fc4f633e5e) Added centos and rhel rids to project.json
* [`[5af281a6dd]`](https://github.com/aspnet/AspNetCore/commit/5af281a6dd) Added rhel and centos rids to project.json
* [`[f63e53b597]`](https://github.com/aspnet/AspNetCore/commit/f63e53b597) Force 8-byte alignment on HTTP_REQUEST buffer
* [`[b8422416f5]`](https://github.com/aspnet/AspNetCore/commit/b8422416f5) Run tests on XPlat
* [`[fc7097c2fe]`](https://github.com/aspnet/AspNetCore/commit/fc7097c2fe) Publish Yeoman generators as version 0.1.9
* [`[8423233f44]`](https://github.com/aspnet/AspNetCore/commit/8423233f44) Update to angular2-universal 0.103.0 and amend boot-server.ts to fix "there can only be one platform" issue
* [`[ce6cdfd2bc]`](https://github.com/aspnet/AspNetCore/commit/ce6cdfd2bc) Templates should also publish node_modules, since it's used at runtime
* [`[7ddd4cacec]`](https://github.com/aspnet/AspNetCore/commit/7ddd4cacec) Amend all templates' project.json files to match current "yo aspnet" template content (plus the SPA-specific stuff)
* [`[73879918d4]`](https://github.com/aspnet/AspNetCore/commit/73879918d4) Add web.config to all templates (matching "yo aspnet" output)
* [`[6848e3a11d]`](https://github.com/aspnet/AspNetCore/commit/6848e3a11d) Fix templates' project.json scripts for compatibility with dotnet RC2 tooling and Azure
* [`[d3ded5bbdf]`](https://github.com/aspnet/AspNetCore/commit/d3ded5bbdf) Workaround for Yeoman generators not producing .gitignore files due to Yeoman issue #1862
* [`[6a8a4e8669]`](https://github.com/aspnet/AspNetCore/commit/6a8a4e8669) Update MemoryPoolBlock.cs
* [`[3db95ddcde]`](https://github.com/aspnet/AspNetCore/commit/3db95ddcde) As an American, I had to correct the spelling of 'independent'
* [`[7e51fc4480]`](https://github.com/aspnet/AspNetCore/commit/7e51fc4480) Update VS files (amended from laskoviymishka's commit 39f024)
* [`[6f8055b7bc]`](https://github.com/aspnet/AspNetCore/commit/6f8055b7bc) Update Yeoman generators to use aspnet-prerendering 1.0.2+ and publish as version 0.1.5
* [`[ea0a32a15b]`](https://github.com/aspnet/AspNetCore/commit/ea0a32a15b) Implement and document asp-prerender-data
* [`[1a53411046]`](https://github.com/aspnet/AspNetCore/commit/1a53411046) Fix some whitespace issues
* [`[bb53a94cfa]`](https://github.com/aspnet/AspNetCore/commit/bb53a94cfa) Fix #139 by pinning Angular 2 template to RC1
* [`[7b513de5c3]`](https://github.com/aspnet/AspNetCore/commit/7b513de5c3) Output "Application is shutting down" message
* [`[b4342b1604]`](https://github.com/aspnet/AspNetCore/commit/b4342b1604) Replace magic strings by the new constants introduced in IdentityModel
* [`[94fa34ca41]`](https://github.com/aspnet/AspNetCore/commit/94fa34ca41) TempData convenience property added to ViewComponent (#4873)
* [`[a2298021cd]`](https://github.com/aspnet/AspNetCore/commit/a2298021cd) Update to RTM versions
* [`[4f3d984f87]`](https://github.com/aspnet/AspNetCore/commit/4f3d984f87) Forgotten summary tag
* [`[219ef7450b]`](https://github.com/aspnet/AspNetCore/commit/219ef7450b) #106 Fix: Adds Secure Cookie flag and tests
* [`[d8d408638e]`](https://github.com/aspnet/AspNetCore/commit/d8d408638e) Updating to dev versions
* [`[eb2b58188a]`](https://github.com/aspnet/AspNetCore/commit/eb2b58188a) Updating to dev versions
* [`[de668c2ebd]`](https://github.com/aspnet/AspNetCore/commit/de668c2ebd) Updating to dev versions
* [`[cd7954a164]`](https://github.com/aspnet/AspNetCore/commit/cd7954a164) Updating to dev versions
* [`[dad4522ef3]`](https://github.com/aspnet/AspNetCore/commit/dad4522ef3) Updating to dev versions
* [`[38ba07487a]`](https://github.com/aspnet/AspNetCore/commit/38ba07487a) Updating to dev versions
* [`[10df99de67]`](https://github.com/aspnet/AspNetCore/commit/10df99de67) Updating to dev versions
* [`[e28e1df605]`](https://github.com/aspnet/AspNetCore/commit/e28e1df605) Updating to dev versions
* [`[0112361557]`](https://github.com/aspnet/AspNetCore/commit/0112361557) Updating to dev versions
* [`[2e63348580]`](https://github.com/aspnet/AspNetCore/commit/2e63348580) Updating to dev versions
* [`[2c264efd42]`](https://github.com/aspnet/AspNetCore/commit/2c264efd42) Updating to dev versions
* [`[c83fbdbf12]`](https://github.com/aspnet/AspNetCore/commit/c83fbdbf12) Updating to dev versions
* [`[36e5c0e6fa]`](https://github.com/aspnet/AspNetCore/commit/36e5c0e6fa) Updating to dev versions
* [`[fb09e5323c]`](https://github.com/aspnet/AspNetCore/commit/fb09e5323c) Updating to dev versions
* [`[20d608170e]`](https://github.com/aspnet/AspNetCore/commit/20d608170e) Updating to dev versions
* [`[66518476af]`](https://github.com/aspnet/AspNetCore/commit/66518476af) Updating to dev versions
* [`[ef0de2b6e7]`](https://github.com/aspnet/AspNetCore/commit/ef0de2b6e7) Updating to dev versions
* [`[67fe579e74]`](https://github.com/aspnet/AspNetCore/commit/67fe579e74) Updating to dev versions
* [`[a2857238f9]`](https://github.com/aspnet/AspNetCore/commit/a2857238f9) Updating to dev versions
* [`[69fa821522]`](https://github.com/aspnet/AspNetCore/commit/69fa821522) Updating to dev versions
* [`[f742566f3f]`](https://github.com/aspnet/AspNetCore/commit/f742566f3f) Updating to dev versions
* [`[eb74a19f9a]`](https://github.com/aspnet/AspNetCore/commit/eb74a19f9a) Added "451 Unavailable For Legal Reasons" to ReasonPhrases
* [`[6414ccc2fd]`](https://github.com/aspnet/AspNetCore/commit/6414ccc2fd) Added "308 Permanent Redirect" to ReasonPhrases
* [`[500b4f9ecc]`](https://github.com/aspnet/AspNetCore/commit/500b4f9ecc) Update Json.NET to 9.0.1
* [`[8f3d894b95]`](https://github.com/aspnet/AspNetCore/commit/8f3d894b95) #625 Changes Error Message when trying to reuse stream
* [`[a86db45a19]`](https://github.com/aspnet/AspNetCore/commit/a86db45a19) Update Json.NET to 9.0.1
* [`[20316e276c]`](https://github.com/aspnet/AspNetCore/commit/20316e276c) Update Json.NET to 9.0.1
* [`[76757ee82f]`](https://github.com/aspnet/AspNetCore/commit/76757ee82f) Update Json.NET to 9.0.1
* [`[70af8cf79e]`](https://github.com/aspnet/AspNetCore/commit/70af8cf79e) Update Json.NET to 9.0.1
* [`[6b7e27269c]`](https://github.com/aspnet/AspNetCore/commit/6b7e27269c) Update Json.NET to 9.0.1
* [`[d7d8af57f6]`](https://github.com/aspnet/AspNetCore/commit/d7d8af57f6) Update Json.NET to 9.0.1
* [`[69bf6ea08d]`](https://github.com/aspnet/AspNetCore/commit/69bf6ea08d) Update Json.NET to 9.0.1
* [`[3865136b97]`](https://github.com/aspnet/AspNetCore/commit/3865136b97) Added "451 Unavailable For Legal Reasons" to StatusCodes
* [`[0a3213ebaa]`](https://github.com/aspnet/AspNetCore/commit/0a3213ebaa) Added RFC 7538 support
* [`[2a1e6649b0]`](https://github.com/aspnet/AspNetCore/commit/2a1e6649b0) Added RFC 4918 support
* [`[a5ab80d403]`](https://github.com/aspnet/AspNetCore/commit/a5ab80d403) Updating to release.
* [`[cd33c4e908]`](https://github.com/aspnet/AspNetCore/commit/cd33c4e908) Updating to release.
* [`[fc2f0e480e]`](https://github.com/aspnet/AspNetCore/commit/fc2f0e480e) Updating to release.
* [`[c790b9f951]`](https://github.com/aspnet/AspNetCore/commit/c790b9f951) Updating to release.
* [`[36023d6dd5]`](https://github.com/aspnet/AspNetCore/commit/36023d6dd5) Updating to release.
* [`[05ce2b712c]`](https://github.com/aspnet/AspNetCore/commit/05ce2b712c) Updating to release.
* [`[1b15ec3869]`](https://github.com/aspnet/AspNetCore/commit/1b15ec3869) Updating to release.
* [`[716f0f7537]`](https://github.com/aspnet/AspNetCore/commit/716f0f7537) Updating to release.
* [`[9d14ded223]`](https://github.com/aspnet/AspNetCore/commit/9d14ded223) Updating to release.
* [`[028c7e2cec]`](https://github.com/aspnet/AspNetCore/commit/028c7e2cec) Updating to release.
* [`[3fc09ea482]`](https://github.com/aspnet/AspNetCore/commit/3fc09ea482) Updating to release.
* [`[7bb62a78eb]`](https://github.com/aspnet/AspNetCore/commit/7bb62a78eb) Updating to release.
* [`[de53e7566e]`](https://github.com/aspnet/AspNetCore/commit/de53e7566e) Updating to release.
* [`[3e80775179]`](https://github.com/aspnet/AspNetCore/commit/3e80775179) Updating to release.
* [`[02c7ef021f]`](https://github.com/aspnet/AspNetCore/commit/02c7ef021f) Updating to release.
* [`[c3b7ba4c9e]`](https://github.com/aspnet/AspNetCore/commit/c3b7ba4c9e) Updating to release.
* [`[7af884d4ea]`](https://github.com/aspnet/AspNetCore/commit/7af884d4ea) Updating to release.
* [`[13620507c9]`](https://github.com/aspnet/AspNetCore/commit/13620507c9) Updating to release.
* [`[2fffcb9da7]`](https://github.com/aspnet/AspNetCore/commit/2fffcb9da7) Updating to release.
* [`[3df9256f12]`](https://github.com/aspnet/AspNetCore/commit/3df9256f12) Updating to release.
* [`[288810c95c]`](https://github.com/aspnet/AspNetCore/commit/288810c95c) Updating to release.
* [`[e1f86a0c92]`](https://github.com/aspnet/AspNetCore/commit/e1f86a0c92) Updating to release.
* [`[2ffc31a7c6]`](https://github.com/aspnet/AspNetCore/commit/2ffc31a7c6) In ReactReduxSpa template, better report failure to match client-side routes
* [`[a881ca5b96]`](https://github.com/aspnet/AspNetCore/commit/a881ca5b96) Correctly set NODE_PATH when starting OutOfProcessNodeInstance
* [`[3fc19ea77b]`](https://github.com/aspnet/AspNetCore/commit/3fc19ea77b) Add missing lock to ensure thread-safe mutations of _activeInnerStreams in VirtualConnectionClient.cs
* [`[5ecb1f59a4]`](https://github.com/aspnet/AspNetCore/commit/5ecb1f59a4) Limit size of memory buffer when reading request (#304)
* [`[98feee9dbd]`](https://github.com/aspnet/AspNetCore/commit/98feee9dbd) Combine LargeMultipartUpload and LargeUpload into one test.
* [`[e20d18636e]`](https://github.com/aspnet/AspNetCore/commit/e20d18636e) Move more classes into Internal namespaces.
* [`[c72f8ac8bb]`](https://github.com/aspnet/AspNetCore/commit/c72f8ac8bb) Updated the dotnet CLI workaround for enabling standalone or portable apps to run in Nano
* [`[7298005887]`](https://github.com/aspnet/AspNetCore/commit/7298005887) Re-enable tests disabled due to corefx issue
* [`[f2c30472f2]`](https://github.com/aspnet/AspNetCore/commit/f2c30472f2) Link to more docs
* [`[0e2fb408d4]`](https://github.com/aspnet/AspNetCore/commit/0e2fb408d4) List features in README.md
* [`[11d6970e76]`](https://github.com/aspnet/AspNetCore/commit/11d6970e76) Copy edit README.md
* [`[f97b72baeb]`](https://github.com/aspnet/AspNetCore/commit/f97b72baeb) Rewrite repo README.md to link to other docs
* [`[dab67c817c]`](https://github.com/aspnet/AspNetCore/commit/dab67c817c) Copy edit SpaServices README.md
* [`[b4fd30dee7]`](https://github.com/aspnet/AspNetCore/commit/b4fd30dee7) Add links and syntax highlighting to SpaServices README.md
* [`[266ea8815b]`](https://github.com/aspnet/AspNetCore/commit/266ea8815b) Add SpaServices README.md
* [`[55e9adf84d]`](https://github.com/aspnet/AspNetCore/commit/55e9adf84d) Generate portable pdbs in coreclr
* [`[ccba161447]`](https://github.com/aspnet/AspNetCore/commit/ccba161447) Move `FileSystem` dependency from Razor to Razor.Runtime.
* [`[0f79bff98b]`](https://github.com/aspnet/AspNetCore/commit/0f79bff98b) Prevent NullReferenceException when disposing Context.Scope (#782).
* [`[b8b0d3894c]`](https://github.com/aspnet/AspNetCore/commit/b8b0d3894c) Try disabling running tests in parallel to fix DataProtectionProviderTests.System_UsesProvidedDirectoryAndCertificate failures
* [`[5339a3e0ce]`](https://github.com/aspnet/AspNetCore/commit/5339a3e0ce) Add ExceptionHandled to ExceptionContext (#4825)
* [`[8c8fd6446b]`](https://github.com/aspnet/AspNetCore/commit/8c8fd6446b) Use regular PDBs on full desktop when possible Add a test to verify exceptions thrown from views is pretty printed by diagnostics middleware
* [`[a8142b8858]`](https://github.com/aspnet/AspNetCore/commit/a8142b8858) Fix #4614 - update IModelBinder docs
* [`[b2c7469f17]`](https://github.com/aspnet/AspNetCore/commit/b2c7469f17) Fix Collection was modified exception in test
* [`[f1982bd987]`](https://github.com/aspnet/AspNetCore/commit/f1982bd987) Suppress default status code response type in api descriptions when explicit response types have been provided [Fixes #4823] How to override the default (200) status code with ProducesResponseType
* [`[62803d5979]`](https://github.com/aspnet/AspNetCore/commit/62803d5979) Serialize JSON using camel case by default - #4283 - update `JsonSerializerSettingsProvider` to choose the `CamelCaseNamingStrategy`
* [`[31ec88526a]`](https://github.com/aspnet/AspNetCore/commit/31ec88526a) Fix #4801 Rename ValidationExcludeFilter
* [`[baf0b6a5c7]`](https://github.com/aspnet/AspNetCore/commit/baf0b6a5c7) Fix #4803 - Move some types internal
* [`[22232bc1bf]`](https://github.com/aspnet/AspNetCore/commit/22232bc1bf) Fix incorrect import
* [`[b4632c273e]`](https://github.com/aspnet/AspNetCore/commit/b4632c273e) Handle exceptions thrown from Connection.Start in ListenerSecondary
* [`[ad9e22d42a]`](https://github.com/aspnet/AspNetCore/commit/ad9e22d42a) Update to preview2
* [`[aecfe778ee]`](https://github.com/aspnet/AspNetCore/commit/aecfe778ee) Improve handling of custom `ValidationAttribute`s and their `ValidationResult`s - #3595 sub-items 2 through 4 - handle an indexer name in `ValidationResult.MemberNames`  - aligns `ModelNames.CreatePropertyModelName()` with `TemplateInfo.GetFullHtmlFieldName()` - handle multiple elements in `ValidationResult.MemberNames`  - later elements previously ignored - set `ValidationContext.MemberName` to `null` when no property name is available  - using type name for a member name was just wrong
* [`[db4b0af98b]`](https://github.com/aspnet/AspNetCore/commit/db4b0af98b) Read environment variables by default #784
* [`[44c8b9985b]`](https://github.com/aspnet/AspNetCore/commit/44c8b9985b) Add language type annotations and fix links in NodeServices readme
* [`[f0ec89bbd9]`](https://github.com/aspnet/AspNetCore/commit/f0ec89bbd9) Add NodeServices docs
* [`[bfa281e24e]`](https://github.com/aspnet/AspNetCore/commit/bfa281e24e) Use aspnetexternal feed instead of CI share
* [`[c1dadbd723]`](https://github.com/aspnet/AspNetCore/commit/c1dadbd723) Make Bad Request tests more reliable
* [`[5a3875ea72]`](https://github.com/aspnet/AspNetCore/commit/5a3875ea72) Alter content negotiation algorithm so that it can be configured (via MvcOptions) to always respect an explicit Accept header. Fixes #4612.
* [`[e41b455141]`](https://github.com/aspnet/AspNetCore/commit/e41b455141) Update
* [`[7808a47ccc]`](https://github.com/aspnet/AspNetCore/commit/7808a47ccc) Use Sources RuntimeEnvironment
* [`[7af64a8944]`](https://github.com/aspnet/AspNetCore/commit/7af64a8944) Tidy up image resizing example
* [`[e58a4e4015]`](https://github.com/aspnet/AspNetCore/commit/e58a4e4015) Tidy up image credits
* [`[b19d0dff92]`](https://github.com/aspnet/AspNetCore/commit/b19d0dff92) Support streamed response from SocketNodeInstance
* [`[967edd2b2a]`](https://github.com/aspnet/AspNetCore/commit/967edd2b2a) Support streamed response from HttpNodeInstance
* [`[2e2784aa3d]`](https://github.com/aspnet/AspNetCore/commit/2e2784aa3d) [Design] Split up MvcRouteHandler
* [`[3440aa4344]`](https://github.com/aspnet/AspNetCore/commit/3440aa4344) Switch image resizing example from 'jimp' to 'sharp' because it's far faster
* [`[3e82d94f1c]`](https://github.com/aspnet/AspNetCore/commit/3e82d94f1c) Add image resizing example. Currently used base64 encoded data transfer and the 'jimp' module, neither of which are fast. Will replace these shortly.
* [`[8dbd143857]`](https://github.com/aspnet/AspNetCore/commit/8dbd143857) Move ES2015 example into a subpage of the NodeServicesExamples sample
* [`[facc2c6d08]`](https://github.com/aspnet/AspNetCore/commit/facc2c6d08) Rename ES2015Transpilation sample to NodeServicesExamples (because will be adding some more examples here)
* [`[c8859abeb7]`](https://github.com/aspnet/AspNetCore/commit/c8859abeb7) Fix #110 - enable asynchronous mode for Stream transport on Windows
* [`[3160b78f98]`](https://github.com/aspnet/AspNetCore/commit/3160b78f98) Update to Json.NET 9.0.1-beta1
* [`[2cf172c66e]`](https://github.com/aspnet/AspNetCore/commit/2cf172c66e) Update to Json.NET 9.0.1-beta1
* [`[62748b9471]`](https://github.com/aspnet/AspNetCore/commit/62748b9471) Update Json.NET to 9.0.1-beta1
* [`[badbc7c8f7]`](https://github.com/aspnet/AspNetCore/commit/badbc7c8f7) Downtarget Kestrel to NETStandard 1.3
* [`[933b374f3e]`](https://github.com/aspnet/AspNetCore/commit/933b374f3e) Update Json.NET to 9.0.1-beta1
* [`[b6ceac559a]`](https://github.com/aspnet/AspNetCore/commit/b6ceac559a) Update Json.NET to 9.0.1-beta1
* [`[808ee7e965]`](https://github.com/aspnet/AspNetCore/commit/808ee7e965) Fixed SelfHostDeployer and IISExpressDeployer to use the correct application path
* [`[772bd562c9]`](https://github.com/aspnet/AspNetCore/commit/772bd562c9) Fixed RemoteWindowsDeployer to support IIS scenarios
* [`[50e8948bb9]`](https://github.com/aspnet/AspNetCore/commit/50e8948bb9) Fixing BadRequest tests to not try sending data after Bad Request
* [`[e1093651ba]`](https://github.com/aspnet/AspNetCore/commit/e1093651ba) Target netstandard1.3
* [`[3fc1fef2be]`](https://github.com/aspnet/AspNetCore/commit/3fc1fef2be) #573 Rename UriHelper.Encode
* [`[cb27e74fc9]`](https://github.com/aspnet/AspNetCore/commit/cb27e74fc9) Target netstandard1.3
* [`[69bd0dc4be]`](https://github.com/aspnet/AspNetCore/commit/69bd0dc4be) Reject requests that have null characters in path
* [`[78c130d226]`](https://github.com/aspnet/AspNetCore/commit/78c130d226) Fix for #4666 - reduce modelbinders created
* [`[40f0bb1b45]`](https://github.com/aspnet/AspNetCore/commit/40f0bb1b45) Added IIS variation to Nano smoke tests
* [`[2bbaa52b08]`](https://github.com/aspnet/AspNetCore/commit/2bbaa52b08) Disable ThreadCountTests on Mac.
* [`[d02f67785f]`](https://github.com/aspnet/AspNetCore/commit/d02f67785f) Use Microsoft.Extensions.StackTrace.Sources
* [`[b7c924b449]`](https://github.com/aspnet/AspNetCore/commit/b7c924b449) Use Microsoft.Extensions.StackTrace.Sources
* [`[09f5be1434]`](https://github.com/aspnet/AspNetCore/commit/09f5be1434) fix #909 by moving most classes to Internal ns
* [`[120021e8a3]`](https://github.com/aspnet/AspNetCore/commit/120021e8a3) Add a new IncludeErrorDetails option to prevent the JWT middleware from returning error/error_description
* [`[35d0592701]`](https://github.com/aspnet/AspNetCore/commit/35d0592701) Make AuthorizationHandler<TReq> async only
* [`[2256138650]`](https://github.com/aspnet/AspNetCore/commit/2256138650) Update Json.NET to 9.0.1-beta1
* [`[0f1836c6dd]`](https://github.com/aspnet/AspNetCore/commit/0f1836c6dd) Update Json.NET to 9.0.1-beta1
* [`[3f78743011]`](https://github.com/aspnet/AspNetCore/commit/3f78743011) Update Json.NET to 9.0.1-beta1
* [`[dd79d0b88c]`](https://github.com/aspnet/AspNetCore/commit/dd79d0b88c) [Fixes #316] TreeRouter does not match a route with the correct length
* [`[47d3ffdddc]`](https://github.com/aspnet/AspNetCore/commit/47d3ffdddc) Add activator fallback to support rc1 keys
* [`[ef74926463]`](https://github.com/aspnet/AspNetCore/commit/ef74926463) Fixing a test failing on Mac and Linux
* [`[d14f18012a]`](https://github.com/aspnet/AspNetCore/commit/d14f18012a) Avoid Null ReferenceException in Frame.RequestAbortedSource
* [`[07744e75d9]`](https://github.com/aspnet/AspNetCore/commit/07744e75d9) Gracefully handle connection close in SocketOutput.ProducingComplete
* [`[2d229e8980]`](https://github.com/aspnet/AspNetCore/commit/2d229e8980) Allow a maximum of 3 concurrent uv_write operations per connection
* [`[0342754c57]`](https://github.com/aspnet/AspNetCore/commit/0342754c57) Using the optimized method for converting header name to ASCII
* [`[de022b6051]`](https://github.com/aspnet/AspNetCore/commit/de022b6051) Improved handling of whitespace in headers.
* [`[53b890aab5]`](https://github.com/aspnet/AspNetCore/commit/53b890aab5) Fix filename for DefaultPropertyFilterProvider
* [`[6e46d9757d]`](https://github.com/aspnet/AspNetCore/commit/6e46d9757d) Improve perf of TryGetAsciiString
* [`[5f36adbee3]`](https://github.com/aspnet/AspNetCore/commit/5f36adbee3) Fix filename for ModelValidatorProviderContext (fixes #4798)
* [`[56dca7e0bc]`](https://github.com/aspnet/AspNetCore/commit/56dca7e0bc) Add a 'sid' check to the OIDC middleware to prevent unsolicited logout when possible
* [`[263d764215]`](https://github.com/aspnet/AspNetCore/commit/263d764215) Fix assembly metadata to fix package verifier warnings
* [`[a3b2a7b62b]`](https://github.com/aspnet/AspNetCore/commit/a3b2a7b62b) Fix package verifier warnings
* [`[d7206dee8d]`](https://github.com/aspnet/AspNetCore/commit/d7206dee8d) Disable a test that hangs
* [`[6e36bbe32c]`](https://github.com/aspnet/AspNetCore/commit/6e36bbe32c) Add negative path tests.
* [`[51c285574b]`](https://github.com/aspnet/AspNetCore/commit/51c285574b) Add `AdditionalCompilationReferences` option to `RazorViewEngineOptions`.
* [`[29bc240044]`](https://github.com/aspnet/AspNetCore/commit/29bc240044) Fix a timing issue in the polling watcher
* [`[f609f41a7c]`](https://github.com/aspnet/AspNetCore/commit/f609f41a7c) Reject non-ASCII chars in headers in addition to control chars
* [`[bb92cc1c29]`](https://github.com/aspnet/AspNetCore/commit/bb92cc1c29) Fix NRE when aborting connection or client disconects
* [`[8b3c308c22]`](https://github.com/aspnet/AspNetCore/commit/8b3c308c22) Limit value number instead of key number in form reader
* [`[0d471b827b]`](https://github.com/aspnet/AspNetCore/commit/0d471b827b) Update NetStandard.Library version
* [`[3b9539960b]`](https://github.com/aspnet/AspNetCore/commit/3b9539960b) [Perf] Preallocate TagHelperAttributes for simple bound string valued attributes Fixes #704
* [`[311733b113]`](https://github.com/aspnet/AspNetCore/commit/311733b113) Fix references to socket APIs, and target the lowest net standard versions possible
* [`[931ba118e1]`](https://github.com/aspnet/AspNetCore/commit/931ba118e1) net451 support and changed netcoreapp1.0->netstandard1.5 for libraries
* [`[50ee405656]`](https://github.com/aspnet/AspNetCore/commit/50ee405656) Workaround for a bug in .NET Core. This issue is referenced by #92. It is has been reported to the dotnet corefx team here: dotnet/corefx#8809 The issue won't be resolved in 1.0.0, so @stephentoub recommended that we reuse the HttpClient.
* [`[341cd4f1cb]`](https://github.com/aspnet/AspNetCore/commit/341cd4f1cb) Implement SocketNodeInstance
* [`[32ebaecdd8]`](https://github.com/aspnet/AspNetCore/commit/32ebaecdd8) Define DefaultNodeHostingModel in one common place so it can be changed easily
* [`[e299695974]`](https://github.com/aspnet/AspNetCore/commit/e299695974) #776 Show some JwtBearer errors in response headers
* [`[c9f8455dbc]`](https://github.com/aspnet/AspNetCore/commit/c9f8455dbc) Update sample ADAL dependency
* [`[6a6d2e0d9f]`](https://github.com/aspnet/AspNetCore/commit/6a6d2e0d9f) [Fixes #4506] Move and rename ActionDescriptor.Name to ControllerActionDescriptor.ActionName
* [`[5f4ca4fa66]`](https://github.com/aspnet/AspNetCore/commit/5f4ca4fa66) [Fixes #4223] Added a facade for ViewComponentResult
* [`[8493064fe5]`](https://github.com/aspnet/AspNetCore/commit/8493064fe5) [Fixes #4207] Review IActionResult classes and add facades as necessary. * Moved FileResults to use executor façades * Changed redirect result types to use executor façades.
* [`[44f0aa63c6]`](https://github.com/aspnet/AspNetCore/commit/44f0aa63c6) Do not HTML encode while checking for whitespace - #760 - using a `NullHtmlEncoder` improves `TagHelperContent.IsEmptyOrWhiteSpace` semantics  - e.g. a tab is still a tab after encoding  - also avoids `NotImplementedException` - implement `Write(char)` for char-by-char `IHtmlContent` corner case
* [`[bcdd3147a1]`](https://github.com/aspnet/AspNetCore/commit/bcdd3147a1) Fixing "Error -4092 EACCES permission denied" in tests
* [`[13a3bbaeb6]`](https://github.com/aspnet/AspNetCore/commit/13a3bbaeb6) Update AuthZ test
* [`[0753f06c28]`](https://github.com/aspnet/AspNetCore/commit/0753f06c28) Aborting request if a string can't be converted to ASCII
* [`[1433822ec8]`](https://github.com/aspnet/AspNetCore/commit/1433822ec8) Fix OS platform check in SelfHostDeployer
* [`[50208a3a79]`](https://github.com/aspnet/AspNetCore/commit/50208a3a79) Implement IHttpRequestFeature.RawTarget (aspnet/HttpAbstractions#596).
* [`[283573d6c9]`](https://github.com/aspnet/AspNetCore/commit/283573d6c9) [Fixes #4291] Simplified MvcRouteHandler code
* [`[6e8a5ad1e9]`](https://github.com/aspnet/AspNetCore/commit/6e8a5ad1e9) Print better error messages if project.json fails to parse
* [`[290e1e3f3f]`](https://github.com/aspnet/AspNetCore/commit/290e1e3f3f) improve validation of HTTP methods
* [`[720289a539]`](https://github.com/aspnet/AspNetCore/commit/720289a539) Fix Nano server tests to copy the dotnet runtime only when RUN_TESTS_ON_NANO environment variable is true
* [`[c7a46e4caf]`](https://github.com/aspnet/AspNetCore/commit/c7a46e4caf) AuthPolicy should use IPolicyProvider
* [`[c257c9528f]`](https://github.com/aspnet/AspNetCore/commit/c257c9528f) AuthZ: Combine needs to use policy provider
* [`[55d2ef02b1]`](https://github.com/aspnet/AspNetCore/commit/55d2ef02b1) Implement IHttpRequestFeature.RawTarget.
* [`[d692066b2b]`](https://github.com/aspnet/AspNetCore/commit/d692066b2b) Replace PlatformAbstractions with RuntimeInformation
* [`[22175e03a7]`](https://github.com/aspnet/AspNetCore/commit/22175e03a7) Fixed SmokeTestsOnNanoServer to provide dotent runtime to enable testing portable scenario
* [`[306084356e]`](https://github.com/aspnet/AspNetCore/commit/306084356e) ServerAddress.FromUrl() should throw if Host is missing (#860)
* [`[bb3555c3dc]`](https://github.com/aspnet/AspNetCore/commit/bb3555c3dc) Fixed RemoteWindowsDeployer to copy dontet runtime to target server for enabling portable apps scenario
* [`[0025724433]`](https://github.com/aspnet/AspNetCore/commit/0025724433) Replace PlatformAbstractions with RuntimeInformation
* [`[f60aa7aa70]`](https://github.com/aspnet/AspNetCore/commit/f60aa7aa70) Replace some of PlatformAbstractions with RuntimeInformation
* [`[31a6a126e3]`](https://github.com/aspnet/AspNetCore/commit/31a6a126e3) Always overwrite stdoutLogPath when publishing for Azure
* [`[060a1c8f5a]`](https://github.com/aspnet/AspNetCore/commit/060a1c8f5a) Replace PlatformAbstractions with RuntimeInformation
* [`[6b25ee7343]`](https://github.com/aspnet/AspNetCore/commit/6b25ee7343) Replace PlatformAbstractions with RuntimeInformation
* [`[8212694874]`](https://github.com/aspnet/AspNetCore/commit/8212694874) Add RawTarget property to IHttpRequestFeature (#596).
* [`[0a181b1f3f]`](https://github.com/aspnet/AspNetCore/commit/0a181b1f3f) Reset Frame's IHttpRequestFeature.Headers and IHttpResponseFeature.Headers between requests (#879).
* [`[acb8732ffd]`](https://github.com/aspnet/AspNetCore/commit/acb8732ffd) Replace PlatformAbstractions with RuntimeInformation
* [`[f45e533533]`](https://github.com/aspnet/AspNetCore/commit/f45e533533) Update metadata
* [`[4fccbeebdc]`](https://github.com/aspnet/AspNetCore/commit/4fccbeebdc) Update metadata
* [`[6d3a416f0e]`](https://github.com/aspnet/AspNetCore/commit/6d3a416f0e) Test code nitpicks.
* [`[871885259b]`](https://github.com/aspnet/AspNetCore/commit/871885259b) Update the OIDC AzureAd sample.
* [`[d6763bd77c]`](https://github.com/aspnet/AspNetCore/commit/d6763bd77c) #423 Support distributed sign-out.
* [`[cea5fbbafa]`](https://github.com/aspnet/AspNetCore/commit/cea5fbbafa) Fix disabled tests in MultipleLoopTests.
* [`[e14f4b095d]`](https://github.com/aspnet/AspNetCore/commit/e14f4b095d) Track `TagHelperAttribute` quotes.
* [`[2453047fe2]`](https://github.com/aspnet/AspNetCore/commit/2453047fe2) ServerAddress.FromUrl() should throw for invalid url (#875)
* [`[ce8d23d3e5]`](https://github.com/aspnet/AspNetCore/commit/ce8d23d3e5) Update sample
* [`[dda9376a0c]`](https://github.com/aspnet/AspNetCore/commit/dda9376a0c) Perf: More efficient range header checks.
* [`[c63f02c19f]`](https://github.com/aspnet/AspNetCore/commit/c63f02c19f) Optimize form reader allocations
* [`[bf5f6b9275]`](https://github.com/aspnet/AspNetCore/commit/bf5f6b9275) Updating to netstandard1.6 Fixes https://github.com/aspnet/Coherence/issues/101
* [`[bb226aef6b]`](https://github.com/aspnet/AspNetCore/commit/bb226aef6b) Update Mvc.Core and dependencies to netstandard1.6
* [`[b6794ab1b7]`](https://github.com/aspnet/AspNetCore/commit/b6794ab1b7) Fixed null reference on ModelStateDictionary.ChildNodes when calling Clear
* [`[526f22f072]`](https://github.com/aspnet/AspNetCore/commit/526f22f072) Rename the environment variable used for polling watcher
* [`[2634fe318d]`](https://github.com/aspnet/AspNetCore/commit/2634fe318d) #814 Rework CookieAuth for compat with CookiePolicy.
* [`[be7069b198]`](https://github.com/aspnet/AspNetCore/commit/be7069b198) Fixed RemoteWindowsDeployer for testing portable apps and temporary workaround for a dotnet cli issue
* [`[8ab32c44f7]`](https://github.com/aspnet/AspNetCore/commit/8ab32c44f7) Make RestartProcessThatTerminatesAfterFileChange more reliable
* [`[cc9873ae6c]`](https://github.com/aspnet/AspNetCore/commit/cc9873ae6c) Unique-ify extension types to not be ambiguous.
* [`[54d9860eea]`](https://github.com/aspnet/AspNetCore/commit/54d9860eea) Rename `ServiceCollectionExtensions` to `AntiforgeryServiceCollectionExtensions`.
* [`[07d504cf9a]`](https://github.com/aspnet/AspNetCore/commit/07d504cf9a) Update the project.json metadata
* [`[72cc0ffbd5]`](https://github.com/aspnet/AspNetCore/commit/72cc0ffbd5) Set Date and Server headers at response start
* [`[d1bacbf41e]`](https://github.com/aspnet/AspNetCore/commit/d1bacbf41e) Fix makefile.
* [`[a3d0bd0ec4]`](https://github.com/aspnet/AspNetCore/commit/a3d0bd0ec4) Bind to both IPv4 and IPv6 when localhost is specified (#231).
* [`[d45cfd872f]`](https://github.com/aspnet/AspNetCore/commit/d45cfd872f) Don't break the CI.
* [`[5d72a7f747]`](https://github.com/aspnet/AspNetCore/commit/5d72a7f747) Modify ICompilationLibrariesProvider to return a sequence of reference path
* [`[3d0f436a06]`](https://github.com/aspnet/AspNetCore/commit/3d0f436a06) [Fixes #4294] TypeActivate MvcRouteHandler
* [`[b96851ec20]`](https://github.com/aspnet/AspNetCore/commit/b96851ec20) [Perf] Avoid ViewBuffers for writing bound TagHelper attribute values. Fixes aspnet/Razor#717
* [`[bde78dc3d4]`](https://github.com/aspnet/AspNetCore/commit/bde78dc3d4) [Perf]: Avoid ViewBuffers for writing bound TagHelper attribute values Fixes #717
* [`[149fbfa99a]`](https://github.com/aspnet/AspNetCore/commit/149fbfa99a) Reenable disabled tests #673
* [`[ed85f504d8]`](https://github.com/aspnet/AspNetCore/commit/ed85f504d8) #102 Filter out DEBUG requests under the debugger.
* [`[3f4e2323f4]`](https://github.com/aspnet/AspNetCore/commit/3f4e2323f4) Throw when setting Frame.StatusCode or Frame.ReasonPhrase after response has already started (#805).
* [`[cb284b9d58]`](https://github.com/aspnet/AspNetCore/commit/cb284b9d58) Fix race that would allow GetDateHeaderValues to return null
* [`[63bbafdb1d]`](https://github.com/aspnet/AspNetCore/commit/63bbafdb1d) Simplify watcher arguments by passing everything to dotnet
* [`[f54a964815]`](https://github.com/aspnet/AspNetCore/commit/f54a964815) AuthZFilter should call into Service more
* [`[0e4d154134]`](https://github.com/aspnet/AspNetCore/commit/0e4d154134) Update PinVersion tool use dotnet and v3 NuGet packages
* [`[90f0e29923]`](https://github.com/aspnet/AspNetCore/commit/90f0e29923) Inject the IRazorViewEngine directory instead of using GetRequiredService
* [`[ab76f743f4]`](https://github.com/aspnet/AspNetCore/commit/ab76f743f4) Use dependency context from all application parts when compiling views
* [`[27565c4e8d]`](https://github.com/aspnet/AspNetCore/commit/27565c4e8d) Fix broken query string binding test
* [`[1f8f82463a]`](https://github.com/aspnet/AspNetCore/commit/1f8f82463a) disable two failed tests temporarily
* [`[80ebb4a068]`](https://github.com/aspnet/AspNetCore/commit/80ebb4a068) Update `TagHelperDirectiveSpanVisitor` to properly capture TagHelper directive text.
* [`[69e029fc79]`](https://github.com/aspnet/AspNetCore/commit/69e029fc79) Update the namespace for Razor generated code to AspNetCore Fixes #4476
* [`[a49ba744aa]`](https://github.com/aspnet/AspNetCore/commit/a49ba744aa) Reduce Revision check calls via interface
* [`[8ab66ab5ce]`](https://github.com/aspnet/AspNetCore/commit/8ab66ab5ce) Fix resource generation to work with dotnet test
* [`[e854d3aa9a]`](https://github.com/aspnet/AspNetCore/commit/e854d3aa9a) Allow query string parameters without values
* [`[fa3a0e7c7a]`](https://github.com/aspnet/AspNetCore/commit/fa3a0e7c7a) #140 Disable header symmetry check on azure.
* [`[d92b3ba2c6]`](https://github.com/aspnet/AspNetCore/commit/d92b3ba2c6) Make ModelBindingContext.Result non-nullable
* [`[5ca6592677]`](https://github.com/aspnet/AspNetCore/commit/5ca6592677) Don't bind if only port is specified (#814) (#861)
* [`[dc9feade5a]`](https://github.com/aspnet/AspNetCore/commit/dc9feade5a) Disable `Microsoft.DotNet.Watcher.Tools.FunctionalTests.NoDepsAppTests.RestartProcessThatTerminatesAfterFileChange` - test is not reliable (95% success rate) - should be restored as part of #98
* [`[59fc691f41]`](https://github.com/aspnet/AspNetCore/commit/59fc691f41) #667 #801 Handle authorize and forbid for redirecting handlers.
* [`[db7009531a]`](https://github.com/aspnet/AspNetCore/commit/db7009531a) Update google token endpoint to v4
* [`[bfbe7ec15d]`](https://github.com/aspnet/AspNetCore/commit/bfbe7ec15d) Update fb to v2.6
* [`[440c6e43e1]`](https://github.com/aspnet/AspNetCore/commit/440c6e43e1) Minor rewording missed from PR
* [`[d61c5100c9]`](https://github.com/aspnet/AspNetCore/commit/d61c5100c9) Handle cache unreliability #99
* [`[6d91a160b6]`](https://github.com/aspnet/AspNetCore/commit/6d91a160b6) Add IsAvailable property to ISession #634
* [`[e7b8c3f90a]`](https://github.com/aspnet/AspNetCore/commit/e7b8c3f90a) Support ASPNETCORE_URLS to set server urls - Read both urls and server.urls in WebHost - UseUrls now sets urls instead of server.urls
* [`[057bcb43ac]`](https://github.com/aspnet/AspNetCore/commit/057bcb43ac) Move extension methods to Hosting.Abstractions - - Moved everything that could be moved to Hosting.Abstractions
* [`[6098880132]`](https://github.com/aspnet/AspNetCore/commit/6098880132) Reset connection info not using interface
* [`[925d8e0200]`](https://github.com/aspnet/AspNetCore/commit/925d8e0200) Always cache headers and streams across frames (#754).
* [`[156a010646]`](https://github.com/aspnet/AspNetCore/commit/156a010646) Call use-local-coherence as part of CI-test
* [`[39225f17c4]`](https://github.com/aspnet/AspNetCore/commit/39225f17c4) Downgrade Server.Testing version to 0.1
* [`[ed687d08b6]`](https://github.com/aspnet/AspNetCore/commit/ed687d08b6) Downgrade Server.Testing version to 0.1
* [`[87e3544fda]`](https://github.com/aspnet/AspNetCore/commit/87e3544fda) Downgrade Server.Testing version to 0.1
* [`[bdc3959938]`](https://github.com/aspnet/AspNetCore/commit/bdc3959938) Downgrade Server.Testing version to 0.1
* [`[504a825406]`](https://github.com/aspnet/AspNetCore/commit/504a825406) Fix owin spec links
* [`[230a13d0e1]`](https://github.com/aspnet/AspNetCore/commit/230a13d0e1) [Fixes #4633] Datetime? and DateTimeOffset? values on InputTagHelper are not rendered correctly.
* [`[ee2a591d2c]`](https://github.com/aspnet/AspNetCore/commit/ee2a591d2c) [Fixes #4655] Make comparisons in DefaultAssemblyPartDiscoveryProvider case insensitive
* [`[a490cf13a6]`](https://github.com/aspnet/AspNetCore/commit/a490cf13a6) [Fixes #4555] Assemblies with a transitive dependency to MVC are not included as part of the list of discovered assemblies
* [`[99bc05c7d7]`](https://github.com/aspnet/AspNetCore/commit/99bc05c7d7) [Fixes #663] Replace 'web' with 'MusicStore' in launchSettings.json
* [`[dabd28a5d9]`](https://github.com/aspnet/AspNetCore/commit/dabd28a5d9) #105 Use DataProtection to encrypt the cookie
* [`[93be3dee6e]`](https://github.com/aspnet/AspNetCore/commit/93be3dee6e) Fix FormTagHelper to set flag indicating generation of AntiforgeryToken [Fixes #4595] Better error message with extraneous @Html.AntiforgeryToken
* [`[20a2e748ec]`](https://github.com/aspnet/AspNetCore/commit/20a2e748ec) Added ValueProviderFactories to ResourceFilterExecutingContext This enables removing value provider factories from model binding(which is needed in some scenarios like large file uploads)
* [`[5eb1466487]`](https://github.com/aspnet/AspNetCore/commit/5eb1466487) Fast-path response header connection check
* [`[df4eb283b2]`](https://github.com/aspnet/AspNetCore/commit/df4eb283b2) [Perf] UrlHelper shares a single RouteValueDictionary across several calls to Action and RouteUrl methods
* [`[86567e1d93]`](https://github.com/aspnet/AspNetCore/commit/86567e1d93) Fix engine test.
* [`[f7b2ee80fd]`](https://github.com/aspnet/AspNetCore/commit/f7b2ee80fd) [Fixes #4550] Add an Option to set the Razor view location formats
* [`[59b2b9d66c]`](https://github.com/aspnet/AspNetCore/commit/59b2b9d66c) Use expanded Coherence directory for ci-test
* [`[b17c070e1c]`](https://github.com/aspnet/AspNetCore/commit/b17c070e1c) Updated to not use handle, centralize conversion logic.
* [`[9232029950]`](https://github.com/aspnet/AspNetCore/commit/9232029950) Use SslStream.RemoteCertificate to recreate disposed certificate.
* [`[43c75c922e]`](https://github.com/aspnet/AspNetCore/commit/43c75c922e) Allow functional tests with content to run from VS Fixes #4543
* [`[14251d55a5]`](https://github.com/aspnet/AspNetCore/commit/14251d55a5) Fix schema change warnings
* [`[9a06bf39ab]`](https://github.com/aspnet/AspNetCore/commit/9a06bf39ab) Move ECONNRESET value check to server initialization.
* [`[e8faec59f0]`](https://github.com/aspnet/AspNetCore/commit/e8faec59f0) Fixing schema change warnings
* [`[61883b5101]`](https://github.com/aspnet/AspNetCore/commit/61883b5101) Fix more schema warnings in Mvc
* [`[74357b3ed8]`](https://github.com/aspnet/AspNetCore/commit/74357b3ed8) [Perf]  Fast Generate Url for specific cases to avoid string allocations
* [`[0f8542e4b2]`](https://github.com/aspnet/AspNetCore/commit/0f8542e4b2) Throw a more descriptive exception for missing CORS policies
* [`[3595452af7]`](https://github.com/aspnet/AspNetCore/commit/3595452af7) Change priority for request token source lookup. Header token now takes priority over form field token.
* [`[941da9264b]`](https://github.com/aspnet/AspNetCore/commit/941da9264b) Move ModelBindingHelper to Internal (#4664)
* [`[e1c64d2119]`](https://github.com/aspnet/AspNetCore/commit/e1c64d2119) reuse typeof results in generated Frame code
* [`[185ad000bb]`](https://github.com/aspnet/AspNetCore/commit/185ad000bb) Prevent NullReferenceException in KestrelThread.OnStopRude
* [`[2c35945562]`](https://github.com/aspnet/AspNetCore/commit/2c35945562) Update project name in README.md
* [`[60e4e3a3f3]`](https://github.com/aspnet/AspNetCore/commit/60e4e3a3f3) Rename NodeServices.sln to JavaScriptServices.sln
* [`[8c8ee150f7]`](https://github.com/aspnet/AspNetCore/commit/8c8ee150f7) Send 'Connection: close' in all 400 responses to HTTP/1.1 requests (#840).
* [`[152c11394e]`](https://github.com/aspnet/AspNetCore/commit/152c11394e) Do not overwrite arguments for portable apps
* [`[cdea6fd3fb]`](https://github.com/aspnet/AspNetCore/commit/cdea6fd3fb) Fix TagHelper directive tests to fail when expected.
* [`[22deb2ad28]`](https://github.com/aspnet/AspNetCore/commit/22deb2ad28) Add LatencyTest project
* [`[bf7e7437a5]`](https://github.com/aspnet/AspNetCore/commit/bf7e7437a5) Fixing targets to enable starting music store from VS
* [`[36329b07c8]`](https://github.com/aspnet/AspNetCore/commit/36329b07c8) Add Description as well to AuthenticateInfo
* [`[e731a327cf]`](https://github.com/aspnet/AspNetCore/commit/e731a327cf) Update Minor versions (#4657)
* [`[ca1e53bb34]`](https://github.com/aspnet/AspNetCore/commit/ca1e53bb34) Update minor version of TypeConverter (#22)
* [`[fe563b1459]`](https://github.com/aspnet/AspNetCore/commit/fe563b1459) Rename `HtmlEncodedString` => `HtmlString`.
* [`[218ca1fa44]`](https://github.com/aspnet/AspNetCore/commit/218ca1fa44) Avoid peer dependency warnings while angular2-universal expects a specific version of rxjs
* [`[41d1c14770]`](https://github.com/aspnet/AspNetCore/commit/41d1c14770) bug(ng2-template): fix issue with not disposed boot object
* [`[58a1aa3538]`](https://github.com/aspnet/AspNetCore/commit/58a1aa3538) chore(ng2-template): upgrade angular 2 template to rc1 version
* [`[352108be35]`](https://github.com/aspnet/AspNetCore/commit/352108be35) Update all projects for final .NET Core RC2
* [`[230776f4b0]`](https://github.com/aspnet/AspNetCore/commit/230776f4b0) Added Permanent property to configure RequireHttpsAttribute
* [`[3e841ccba1]`](https://github.com/aspnet/AspNetCore/commit/3e841ccba1) Always send HTTP/1.1 responses (#792).
* [`[962a74c488]`](https://github.com/aspnet/AspNetCore/commit/962a74c488) Add argument validation
* [`[af19899927]`](https://github.com/aspnet/AspNetCore/commit/af19899927) [Fixes #279] Deleted RuntimeInfo middleware, sample and tests
* [`[6294badd97]`](https://github.com/aspnet/AspNetCore/commit/6294badd97) Use a shared CookieSecurePolicy.
* [`[b95843452c]`](https://github.com/aspnet/AspNetCore/commit/b95843452c) #612 Move CookieSecureOption / SecurePolicy to Http.Abstractions
* [`[61a176e478]`](https://github.com/aspnet/AspNetCore/commit/61a176e478) [Perf] Cache the default values for action arguments to avoid Activator.CreateInstance per argument. Fixes #4470
* [`[5fb36ae406]`](https://github.com/aspnet/AspNetCore/commit/5fb36ae406) [Perf] Replace Activator.CreateInstance with cached delegate in RazorPageFactoryProvider Fixes #4470
* [`[0e4b838864]`](https://github.com/aspnet/AspNetCore/commit/0e4b838864) [Perf] Replace Activator.CreateInstance with cached delegate in Model Binders Fixes Part1 of #4470
* [`[5627d00329]`](https://github.com/aspnet/AspNetCore/commit/5627d00329) Added UserSecrets tool to E2ETests to enable setting up NanoServer related config in a local user secret store
* [`[1a99fad0c6]`](https://github.com/aspnet/AspNetCore/commit/1a99fad0c6) Rename AuthorizationContext
* [`[51e133ab9f]`](https://github.com/aspnet/AspNetCore/commit/51e133ab9f) Add asserts to DiagnosticSource
* [`[6dbc808fde]`](https://github.com/aspnet/AspNetCore/commit/6dbc808fde) Clean up .sln files
* [`[954e864f96]`](https://github.com/aspnet/AspNetCore/commit/954e864f96) Fixed RemoteWindowsDeployer to differentiate running between portable/standalone apps.
* [`[652e330875]`](https://github.com/aspnet/AspNetCore/commit/652e330875) Fix #4631 and avoid Task<T> creation in invoker
* [`[4d63ffa879]`](https://github.com/aspnet/AspNetCore/commit/4d63ffa879) Make ValueProvider creation lazy
* [`[2cd86a2724]`](https://github.com/aspnet/AspNetCore/commit/2cd86a2724) Temporarily disable BadHttpRequestTests.
* [`[3186e1bd72]`](https://github.com/aspnet/AspNetCore/commit/3186e1bd72) Make TakeStartLine more robust (#683).
* [`[fb5d92bdc0]`](https://github.com/aspnet/AspNetCore/commit/fb5d92bdc0) Change our cached task to a field
* [`[04ffc4d2eb]`](https://github.com/aspnet/AspNetCore/commit/04ffc4d2eb) Clean up DiagnosticSource code in invoker
* [`[d6a9068008]`](https://github.com/aspnet/AspNetCore/commit/d6a9068008) [Fixes #4616] Filter caching is too aggressive
* [`[86a41bc618]`](https://github.com/aspnet/AspNetCore/commit/86a41bc618) Optimize manipulation of RouteData.Routers
* [`[912971120f]`](https://github.com/aspnet/AspNetCore/commit/912971120f) Update to preview1 version
* [`[a3b0f809de]`](https://github.com/aspnet/AspNetCore/commit/a3b0f809de) Only call PrepareDateValues if not already called for tick
* [`[b9565b9ba3]`](https://github.com/aspnet/AspNetCore/commit/b9565b9ba3) Include instructions for PMC migrations commands
* [`[3061a48a38]`](https://github.com/aspnet/AspNetCore/commit/3061a48a38) Do not allow control characters in response headers.
* [`[c15e83c096]`](https://github.com/aspnet/AspNetCore/commit/c15e83c096) Look for dependencies in the tools node too
* [`[0e8cbe5df6]`](https://github.com/aspnet/AspNetCore/commit/0e8cbe5df6) Return SocketInput blocks out of lock
* [`[b838abc005]`](https://github.com/aspnet/AspNetCore/commit/b838abc005) Fixes null reference exception
* [`[2314512ac7]`](https://github.com/aspnet/AspNetCore/commit/2314512ac7) Missed deployer update when merging from release
* [`[4ac0811585]`](https://github.com/aspnet/AspNetCore/commit/4ac0811585) Revise the version for Microsoft.AspNetCore.Server.IISIntegration.Tools
* [`[9d3f2c4803]`](https://github.com/aspnet/AspNetCore/commit/9d3f2c4803) [Fixes #656] 'dotnet run' does not work on MusicStore app
* [`[e3808ab769]`](https://github.com/aspnet/AspNetCore/commit/e3808ab769) [Fixes #656] 'dotnet run' does not work on MusicStore app
* [`[3337c288c7]`](https://github.com/aspnet/AspNetCore/commit/3337c288c7) Update self host deployer to target specific framework when lauching without publish
* [`[12a3816c12]`](https://github.com/aspnet/AspNetCore/commit/12a3816c12) Make some MemoryPoolBlock operations volatile
* [`[4c39374dc0]`](https://github.com/aspnet/AspNetCore/commit/4c39374dc0) Always check if block is last in linked list before consuming it
* [`[b7b0c5ba6d]`](https://github.com/aspnet/AspNetCore/commit/b7b0c5ba6d) Recognize new variants of nano server product types
* [`[132263e767]`](https://github.com/aspnet/AspNetCore/commit/132263e767) narrow lock scope when connections end
* [`[37931a9fa5]`](https://github.com/aspnet/AspNetCore/commit/37931a9fa5) Update AutobahnTestServer to use IISIntegration
* [`[d1964f087d]`](https://github.com/aspnet/AspNetCore/commit/d1964f087d) Change from netstandardapp1.5 to netcoreapp1.0 everywhere
* [`[faf81f11f5]`](https://github.com/aspnet/AspNetCore/commit/faf81f11f5) Add response header validation tests
* [`[c1e5640a65]`](https://github.com/aspnet/AspNetCore/commit/c1e5640a65) Don't allow response headers to contain control characters
* [`[166e7c30e5]`](https://github.com/aspnet/AspNetCore/commit/166e7c30e5) Add Microsoft.NETCore.Platforms to allow test to succeed
* [`[e3db547011]`](https://github.com/aspnet/AspNetCore/commit/e3db547011) Add `[Remote(routeName : "name")]` tests - relates to #4445 - also relates to #4309 / fb07fee though restored and renamed files are slightly different  - latest Unobtrusive version; copy just one file under `wwwroot` - add JavaScript file and CDN links to enable manual testing of `[Remote]` tests in `BasicWebSite`  - include renamed files for recreating the minimized JavaScript file manually
* [`[f4679fe74f]`](https://github.com/aspnet/AspNetCore/commit/f4679fe74f) Changed RequireHttpsAttribute to default to 302 instead of 301
* [`[7645253420]`](https://github.com/aspnet/AspNetCore/commit/7645253420) #808 Update OIDC to v1.0
* [`[642cdc0437]`](https://github.com/aspnet/AspNetCore/commit/642cdc0437) #738 Support legacy environment keys
* [`[e6bddd4131]`](https://github.com/aspnet/AspNetCore/commit/e6bddd4131) Prepopulate the environment rather than fall back to it.
* [`[742a9e3f3b]`](https://github.com/aspnet/AspNetCore/commit/742a9e3f3b) Reduce the number of allocations during model validation
* [`[3aa42617a4]`](https://github.com/aspnet/AspNetCore/commit/3aa42617a4) Add transitive reference
* [`[9bfa74d829]`](https://github.com/aspnet/AspNetCore/commit/9bfa74d829) [Fixes #739] Newline after text tag rendered only if followed by html
* [`[d85a5d6cd5]`](https://github.com/aspnet/AspNetCore/commit/d85a5d6cd5) Update gitignore to match RC2 output
* [`[ad065892fd]`](https://github.com/aspnet/AspNetCore/commit/ad065892fd) [Fixes #4575] Logging ArgumentOutOfRangeException
* [`[6980b2fe81]`](https://github.com/aspnet/AspNetCore/commit/6980b2fe81) Simplify some .gitignore patterns for compatibility with gitignore-parser
* [`[9cb6d5d2b6]`](https://github.com/aspnet/AspNetCore/commit/9cb6d5d2b6) Update Yeoman generator references to aspnet to aspnetcore
* [`[25c728f885]`](https://github.com/aspnet/AspNetCore/commit/25c728f885) Change all Microsoft.AspNet.* namespaces and references to Microsoft.AspNetCore.*
* [`[4a0e4bdf1a]`](https://github.com/aspnet/AspNetCore/commit/4a0e4bdf1a) Rename Microsoft.AspNet.* packages folders to Microsoft.AspNetCore.*
* [`[5a705f6dd6]`](https://github.com/aspnet/AspNetCore/commit/5a705f6dd6) Fix server-side prerendering in Angular 2 Music Store sample on RC2
* [`[e898ac974a]`](https://github.com/aspnet/AspNetCore/commit/e898ac974a) Update React Music Store to RC2
* [`[1f7ec8e4bf]`](https://github.com/aspnet/AspNetCore/commit/1f7ec8e4bf) Update ReactGrid example to RC2
* [`[649c6079ea]`](https://github.com/aspnet/AspNetCore/commit/649c6079ea) Update WebApplicationBasic template to RC2
* [`[280979c708]`](https://github.com/aspnet/AspNetCore/commit/280979c708) Update ReactSpa template to RC2
* [`[5cbc5f438b]`](https://github.com/aspnet/AspNetCore/commit/5cbc5f438b) Update ReactReduxSpa template to RC2
* [`[1468db1ba6]`](https://github.com/aspnet/AspNetCore/commit/1468db1ba6) Update KnockoutSpa template to RC2
* [`[73caae2b78]`](https://github.com/aspnet/AspNetCore/commit/73caae2b78) Replace all references to ASPNET_ENV with ASPNETCORE_ENVIRONMENT
* [`[d19c0d7c16]`](https://github.com/aspnet/AspNetCore/commit/d19c0d7c16) Fix frameworks/dependencies in src projects
* [`[ba7125b000]`](https://github.com/aspnet/AspNetCore/commit/ba7125b000) Further steps towards Angular 2 Music Store on RC2
* [`[507c4326ff]`](https://github.com/aspnet/AspNetCore/commit/507c4326ff) Incomplete work on migrating Angular 2 Music Store sample to ASP.NET Core 1.0 RC2
* [`[f05f6d5bd2]`](https://github.com/aspnet/AspNetCore/commit/f05f6d5bd2) Quick fix: Simplify `OrderUsingHtmlHelpers.cshtml` layout - intent was to make HTML helper output close to the tag helper output but source got over-complicated - the output files for `Order.cshtml` and `OrderUsingHtmlHelpers.cshtml` now differ only in attribute order  - i.e. HTML helpers output attribute alphabetically while tag helpers output them in order added
* [`[f798f308f3]`](https://github.com/aspnet/AspNetCore/commit/f798f308f3) Update redux-typed to match latest third-party .d.ts files for React and Redux
* [`[5e92ec0bee]`](https://github.com/aspnet/AspNetCore/commit/5e92ec0bee) Lock preboot dependency on 2.0.5, because newer version fails if you don't have 'typings' installed globally (which I guess is a bug)
* [`[48b436ec8a]`](https://github.com/aspnet/AspNetCore/commit/48b436ec8a) Allow query string on ReExecuting status code page
* [`[ad4bf09407]`](https://github.com/aspnet/AspNetCore/commit/ad4bf09407) Add yosay to Yeoman generator
* [`[aa1afc0a8e]`](https://github.com/aspnet/AspNetCore/commit/aa1afc0a8e) Quick fix: Yes, MvcSandbox is a web project - add a `web.config` file so VS recognizes this
* [`[a31d847719]`](https://github.com/aspnet/AspNetCore/commit/a31d847719) Tests only to use pooled blocks
* [`[0ff2f875d9]`](https://github.com/aspnet/AspNetCore/commit/0ff2f875d9) Avoid holding on to DependencyContext instance
* [`[8a9840216c]`](https://github.com/aspnet/AspNetCore/commit/8a9840216c) Use type's namespace instead of assembly FullName
* [`[cba4d1dd0c]`](https://github.com/aspnet/AspNetCore/commit/cba4d1dd0c) [Perf] Reduce SelectListItem and other allocations when generating HTML for  select lists Fixes #3953
* [`[a846ea85e0]`](https://github.com/aspnet/AspNetCore/commit/a846ea85e0) Update Yeoman generator version
* [`[853820cd9d]`](https://github.com/aspnet/AspNetCore/commit/853820cd9d) Clean up sample
* [`[75adbc18a2]`](https://github.com/aspnet/AspNetCore/commit/75adbc18a2) Use IOCP on secondary listener threads on Windows
* [`[abf79af5ca]`](https://github.com/aspnet/AspNetCore/commit/abf79af5ca) Fix NPM config for Yeoman generator
* [`[754e32b604]`](https://github.com/aspnet/AspNetCore/commit/754e32b604) Fix Webpack default entry issue: webpackConfig.entry.main.unshift is not a function Closes #56
* [`[50e1ee2460]`](https://github.com/aspnet/AspNetCore/commit/50e1ee2460) Adding more rids
* [`[9a503a7ac8]`](https://github.com/aspnet/AspNetCore/commit/9a503a7ac8) Add OSX 10.11 runtime
* [`[849fc0e89f]`](https://github.com/aspnet/AspNetCore/commit/849fc0e89f) Modify Startup to run the right servers
* [`[838146c4a9]`](https://github.com/aspnet/AspNetCore/commit/838146c4a9) Fix mistype
* [`[e7845f3b37]`](https://github.com/aspnet/AspNetCore/commit/e7845f3b37) Use fallback logic
* [`[7a51de05d6]`](https://github.com/aspnet/AspNetCore/commit/7a51de05d6) Use fallback
* [`[0bce133ee4]`](https://github.com/aspnet/AspNetCore/commit/0bce133ee4) #765 Retrieve the email address from Twitter.
* [`[289b3f58d0]`](https://github.com/aspnet/AspNetCore/commit/289b3f58d0) Prefer uppercase ASPNETCORE_ENVIRONMENT
* [`[4de2e9673f]`](https://github.com/aspnet/AspNetCore/commit/4de2e9673f) Basically working Yeoman template generator generator
* [`[fc705e8bf8]`](https://github.com/aspnet/AspNetCore/commit/fc705e8bf8) Simplify by removing diff feature. Now just writes each template as an independent copy.
* [`[1830c20212]`](https://github.com/aspnet/AspNetCore/commit/1830c20212) Beginning Yeoman generator generator. Currently creates templates in as patches vs a common set of files.
* [`[68f14c06cb]`](https://github.com/aspnet/AspNetCore/commit/68f14c06cb) Use Task.FromCanceled<TResult>() on NETSTANDARD1_3
* [`[f567258f14]`](https://github.com/aspnet/AspNetCore/commit/f567258f14) changed GetFormat to virtual
* [`[57352541fb]`](https://github.com/aspnet/AspNetCore/commit/57352541fb) Removing references to UseDefaultHostingConfiguration
* [`[3b262b1b3b]`](https://github.com/aspnet/AspNetCore/commit/3b262b1b3b) Content type mapping for markdown
* [`[c7893f9f5a]`](https://github.com/aspnet/AspNetCore/commit/c7893f9f5a) Make TestSites portable
* [`[37a0983d23]`](https://github.com/aspnet/AspNetCore/commit/37a0983d23) Fixed project.json
* [`[e36c80bc7b]`](https://github.com/aspnet/AspNetCore/commit/e36c80bc7b) [Fixes #721] Test server should fire onResponseCompleted after the actual response has completed
* [`[19de082d26]`](https://github.com/aspnet/AspNetCore/commit/19de082d26) Cleaning up project.json so restore works without --infer-runtimes
* [`[b520c9c15e]`](https://github.com/aspnet/AspNetCore/commit/b520c9c15e) Fix: Newline at the end of text tag in code block is rendered as markup
* [`[3a7f6a7228]`](https://github.com/aspnet/AspNetCore/commit/3a7f6a7228) Add GetAuthenticateInfo method
* [`[43cb58b9d7]`](https://github.com/aspnet/AspNetCore/commit/43cb58b9d7) Fix project.json
* [`[2f8ef7ef0d]`](https://github.com/aspnet/AspNetCore/commit/2f8ef7ef0d) Update the readme file with the new name
* [`[8f7c0ff041]`](https://github.com/aspnet/AspNetCore/commit/8f7c0ff041) Minor Stream improvements
* [`[5e81b89378]`](https://github.com/aspnet/AspNetCore/commit/5e81b89378) Replace IApplicationEnvironment with IHostingEnvironment
* [`[5a8263bb26]`](https://github.com/aspnet/AspNetCore/commit/5a8263bb26) Missed update to #645, enabling testing of standalone apps on coreclr
* [`[30a9138714]`](https://github.com/aspnet/AspNetCore/commit/30a9138714) Update web.config and add publish tool
* [`[32cb95c3ee]`](https://github.com/aspnet/AspNetCore/commit/32cb95c3ee) Update web.config and add publish tool
* [`[0788edbd4b]`](https://github.com/aspnet/AspNetCore/commit/0788edbd4b) [Perf] Cache the metadata for known type "object" Fixes #4377
* [`[13f73c6101]`](https://github.com/aspnet/AspNetCore/commit/13f73c6101) Make the form body limits configurable.
* [`[2656c528c3]`](https://github.com/aspnet/AspNetCore/commit/2656c528c3) Update web.config and add publish tool
* [`[c9160c21ba]`](https://github.com/aspnet/AspNetCore/commit/c9160c21ba) Convert to shared runtime and test both standalone and shared runtime
* [`[630a0a7de3]`](https://github.com/aspnet/AspNetCore/commit/630a0a7de3) Update web.config and add publish tool
* [`[b3a65b485f]`](https://github.com/aspnet/AspNetCore/commit/b3a65b485f) Simplify assembly load on CoreCLR Fixes #4328
* [`[1d522a0167]`](https://github.com/aspnet/AspNetCore/commit/1d522a0167) Update web.config and add publish tool
* [`[ac8de50724]`](https://github.com/aspnet/AspNetCore/commit/ac8de50724) Update web.config and add publish tool
* [`[e528d9ef91]`](https://github.com/aspnet/AspNetCore/commit/e528d9ef91) Update web.config and add publish tool
* [`[4626833e51]`](https://github.com/aspnet/AspNetCore/commit/4626833e51) StreamSocketOutput WriteAsync as async
* [`[af58c2e6b6]`](https://github.com/aspnet/AspNetCore/commit/af58c2e6b6) Streamlining action selection and route values
* [`[a259638d79]`](https://github.com/aspnet/AspNetCore/commit/a259638d79) Filters provided by filter providers are made to never be cached [Fixes #4504] Possible double-execution of filter providers
* [`[0a21b94609]`](https://github.com/aspnet/AspNetCore/commit/0a21b94609) Make ECONNRESET value platform-specific (#649).
* [`[21951d62f3]`](https://github.com/aspnet/AspNetCore/commit/21951d62f3) Fix command line parsing around the -- separator
* [`[967001f923]`](https://github.com/aspnet/AspNetCore/commit/967001f923) Add publish-iis and fix web.config
* [`[96b7678c8f]`](https://github.com/aspnet/AspNetCore/commit/96b7678c8f) RVD crazy
* [`[123cea9da7]`](https://github.com/aspnet/AspNetCore/commit/123cea9da7) Added console write statements to improve user experience [Fixes #642] Show test progress when running functional tests
* [`[fcdf8ddc2f]`](https://github.com/aspnet/AspNetCore/commit/fcdf8ddc2f) #141 Require the MSAspNetCoreToken or send a 400.
* [`[f1fe5e26fc]`](https://github.com/aspnet/AspNetCore/commit/f1fe5e26fc) [Perf] RazorPage.CreateModelExpression is allocating expression names Fixes #4469
* [`[2c639f83c4]`](https://github.com/aspnet/AspNetCore/commit/2c639f83c4) Fixing BindNever attribute and Type model binding
* [`[4d24efc439]`](https://github.com/aspnet/AspNetCore/commit/4d24efc439) Removing %LAUNCHER_ARGS% from arguments for portable apps
* [`[6e3ff403d4]`](https://github.com/aspnet/AspNetCore/commit/6e3ff403d4) [Fixes #794] Exception thrown when 'Microsoft.AspNetCore.Authentication.JwtBearer' tries to log a message
* [`[b034849756]`](https://github.com/aspnet/AspNetCore/commit/b034849756) Making the path to app relative for Azure Removing startupLimitType - it is obsolete in AspNetCoreModule
* [`[80714a3d70]`](https://github.com/aspnet/AspNetCore/commit/80714a3d70) Added RemoteWindowsDeployer to deploy published applications on remote windows machines
* [`[40abffefcb]`](https://github.com/aspnet/AspNetCore/commit/40abffefcb) Added smoke tests to verify on Nano server
* [`[c06cac5d30]`](https://github.com/aspnet/AspNetCore/commit/c06cac5d30) #744 Change OIDC's default ResponseType to IdToken.
* [`[e874f99791]`](https://github.com/aspnet/AspNetCore/commit/e874f99791) Updating deployers for apps using shared runtime
* [`[7b53e4aa55]`](https://github.com/aspnet/AspNetCore/commit/7b53e4aa55) Update Angular 2 Music Store sample to latest Angular2/angular-universal and make HTTP requests work during server-side prerendering
* [`[95722670c1]`](https://github.com/aspnet/AspNetCore/commit/95722670c1) More robust port assignment for tests.
* [`[d9aacd0f87]`](https://github.com/aspnet/AspNetCore/commit/d9aacd0f87) [Fixes 4509] Stop registering disposable objects in our controller helper methods
* [`[f29dd60999]`](https://github.com/aspnet/AspNetCore/commit/f29dd60999) Fix connection termination issues when using connection filters (#737, #747).
* [`[265c90cbd1]`](https://github.com/aspnet/AspNetCore/commit/265c90cbd1) Moving dotnet-watch to netcoreapp1.0
* [`[73dc7bf48b]`](https://github.com/aspnet/AspNetCore/commit/73dc7bf48b) [Perf] Check for Logger.IsEnabled in logging methods of MvcCoreLoggerExtensions Fixes #4466
* [`[c248e539f3]`](https://github.com/aspnet/AspNetCore/commit/c248e539f3) Renaming namespaces and fixing tests
* [`[afe01eedbf]`](https://github.com/aspnet/AspNetCore/commit/afe01eedbf) Renaming dotnet-watch folders to Microsoft.DotNet.Watcher.Tools
* [`[68092dbb97]`](https://github.com/aspnet/AspNetCore/commit/68092dbb97) Porting #712 to release
* [`[8c2756cffa]`](https://github.com/aspnet/AspNetCore/commit/8c2756cffa) Fix service registration order.
* [`[d2780734b2]`](https://github.com/aspnet/AspNetCore/commit/d2780734b2) Rebased #713 on latest aspnet/Hosting
* [`[933a2f5a1d]`](https://github.com/aspnet/AspNetCore/commit/933a2f5a1d) Don't dispose the server anymore, the container does it
* [`[8f5f8d28d0]`](https://github.com/aspnet/AspNetCore/commit/8f5f8d28d0) This change introduces a new service `IStartup` that can be registered in the hosting container to override any startup logic. `UseStartup` overloads have been changed to detect `IStartup` and directly put it in the container, or to wrapping it with a `ConventionBasedStartup` implementation to preserve the existing behavior.
* [`[684ee87f20]`](https://github.com/aspnet/AspNetCore/commit/684ee87f20) Fix the prefix comparison
* [`[e6ffb060f7]`](https://github.com/aspnet/AspNetCore/commit/e6ffb060f7) Bring Microsoft.NETCore.Platforms dependency back
* [`[4ee4c29b06]`](https://github.com/aspnet/AspNetCore/commit/4ee4c29b06) Bring Microsoft.NETCore.Platforms dependency back
* [`[a35e5a02c3]`](https://github.com/aspnet/AspNetCore/commit/a35e5a02c3) Bring Microsoft.NETCore.Platforms dependency back
* [`[e3667f7c26]`](https://github.com/aspnet/AspNetCore/commit/e3667f7c26) Bring Microsoft.NETCore.Platforms dependency back
* [`[09ce98ec41]`](https://github.com/aspnet/AspNetCore/commit/09ce98ec41) Bring Microsoft.NETCore.Platforms dependency back
* [`[176b6a5910]`](https://github.com/aspnet/AspNetCore/commit/176b6a5910) Bring Microsoft.NETCore.Platforms dependency back
* [`[d98924f713]`](https://github.com/aspnet/AspNetCore/commit/d98924f713) Bring Microsoft.NETCore.Platforms dependency back
* [`[67ea570e87]`](https://github.com/aspnet/AspNetCore/commit/67ea570e87) Bring Microsoft.NETCore.Platforms dependency back
* [`[4bddd93e32]`](https://github.com/aspnet/AspNetCore/commit/4bddd93e32) Bring Microsoft.NETCore.Platforms dependency back
* [`[5273e0e768]`](https://github.com/aspnet/AspNetCore/commit/5273e0e768) Bring Microsoft.NETCore.Platforms dependency back
* [`[169a571a37]`](https://github.com/aspnet/AspNetCore/commit/169a571a37) Bring Microsoft.NETCore.Platforms dependency back
* [`[e3f4f23b5a]`](https://github.com/aspnet/AspNetCore/commit/e3f4f23b5a) Bring Microsoft.NETCore.Platforms dependency back
* [`[0453e4af70]`](https://github.com/aspnet/AspNetCore/commit/0453e4af70) Add KestrelServerOptionsSetup before KestrelServerOptions (#755) (#757)
* [`[603d181241]`](https://github.com/aspnet/AspNetCore/commit/603d181241) Bring Microsoft.NETCore.Platforms dependency back
* [`[87b8d478e0]`](https://github.com/aspnet/AspNetCore/commit/87b8d478e0) Bring Microsoft.NETCore.Platforms dependency back
* [`[a20299eeeb]`](https://github.com/aspnet/AspNetCore/commit/a20299eeeb) Bring Microsoft.NETCore.Platforms dependency back
* [`[f94faf4276]`](https://github.com/aspnet/AspNetCore/commit/f94faf4276) Bring Microsoft.NETCore.Platforms dependency back
* [`[ef5a5cdf5d]`](https://github.com/aspnet/AspNetCore/commit/ef5a5cdf5d) updated
* [`[eabe83a72d]`](https://github.com/aspnet/AspNetCore/commit/eabe83a72d) Prevent null-ref and log exceptions form Serializer
* [`[6435591d1c]`](https://github.com/aspnet/AspNetCore/commit/6435591d1c) Created a configurable memory cache
* [`[bbf2c83a7d]`](https://github.com/aspnet/AspNetCore/commit/bbf2c83a7d) Add KestrelServerOptionsSetup to IServiceCollection in UseKestrel() (#755)
* [`[83685073fb]`](https://github.com/aspnet/AspNetCore/commit/83685073fb) Fixing test
* [`[90d816dfd0]`](https://github.com/aspnet/AspNetCore/commit/90d816dfd0) Adding TODO for ordering in GenreComponent
* [`[48b17c886c]`](https://github.com/aspnet/AspNetCore/commit/48b17c886c) Various improvements:
* [`[fd81151d31]`](https://github.com/aspnet/AspNetCore/commit/fd81151d31) Preserve X-Frame-Options if it was already set
* [`[73e341e543]`](https://github.com/aspnet/AspNetCore/commit/73e341e543) Reenable tests after CoreFX fix
* [`[0668e45413]`](https://github.com/aspnet/AspNetCore/commit/0668e45413) Clean up server configuration.
* [`[6b0684cc4d]`](https://github.com/aspnet/AspNetCore/commit/6b0684cc4d) Fix WebListenerOptionsSetup service registration
* [`[a8bb790596]`](https://github.com/aspnet/AspNetCore/commit/a8bb790596) :bug: Fix Apply Migrations button
* [`[6fd469e748]`](https://github.com/aspnet/AspNetCore/commit/6fd469e748) Make contentRootPath error give failed path
* [`[5a18287009]`](https://github.com/aspnet/AspNetCore/commit/5a18287009) Use "nameof" instead of string
* [`[4e97c72eeb]`](https://github.com/aspnet/AspNetCore/commit/4e97c72eeb) [Perf]:Cache TypeConverters in SimpleTypeModelBinder Fixes #4361
* [`[7a1ac034f9]`](https://github.com/aspnet/AspNetCore/commit/7a1ac034f9) Special-case use of `razorPage.Model` property in `ExpressionMetadataProvider` - #3978 - better-aligns `ExpressionMetadataProvider` with `ExpressionHelper`
* [`[6a57ec1fa9]`](https://github.com/aspnet/AspNetCore/commit/6a57ec1fa9) Make contentRootPath error give failed path
* [`[81d5dc124d]`](https://github.com/aspnet/AspNetCore/commit/81d5dc124d) Fixing test
* [`[7a551325c6]`](https://github.com/aspnet/AspNetCore/commit/7a551325c6) Adding TODO for ordering in GenreComponent
* [`[a565f9ff58]`](https://github.com/aspnet/AspNetCore/commit/a565f9ff58) [Perf] Reduce DefaultTagHelperContent allocations in LinkTagHelper and ScriptTagHelper Fixes #4468
* [`[1410a5a096]`](https://github.com/aspnet/AspNetCore/commit/1410a5a096) Enabling publishing portable apps
* [`[fb4fadb0b1]`](https://github.com/aspnet/AspNetCore/commit/fb4fadb0b1) Various improvements:
* [`[90510f5138]`](https://github.com/aspnet/AspNetCore/commit/90510f5138) Allow nginx to run with published apps
* [`[ab50213acd]`](https://github.com/aspnet/AspNetCore/commit/ab50213acd) Fix reference to Microsoft.NetCore.App
* [`[fa34f61d46]`](https://github.com/aspnet/AspNetCore/commit/fa34f61d46) [Perf] Avoid Service Provider lookups when activating common Singleton properties of a Razor Page Fixes #4244
* [`[2080a9776e]`](https://github.com/aspnet/AspNetCore/commit/2080a9776e) Fixing bug in GetCartAlbumTitles
* [`[010e8a4e37]`](https://github.com/aspnet/AspNetCore/commit/010e8a4e37) Move dependency to netstandard only
* [`[3db1f1e9fd]`](https://github.com/aspnet/AspNetCore/commit/3db1f1e9fd) Move dependency to netstandard only
* [`[6aea6541d0]`](https://github.com/aspnet/AspNetCore/commit/6aea6541d0) Re-enable tracking queries by default.
* [`[b35814f035]`](https://github.com/aspnet/AspNetCore/commit/b35814f035) Add serialization.primitives for Newtonsoft.Json
* [`[8023d1eb02]`](https://github.com/aspnet/AspNetCore/commit/8023d1eb02) Add serialization.primitives for Newtonsoft.Json
* [`[6dc0005a43]`](https://github.com/aspnet/AspNetCore/commit/6dc0005a43) Use UseServer() instead of UseKestrel() to allow override in tests
* [`[9b9bf73ece]`](https://github.com/aspnet/AspNetCore/commit/9b9bf73ece) Use UseServer() instead of UseKestrel() to allow override in tests
* [`[a73db1a9bd]`](https://github.com/aspnet/AspNetCore/commit/a73db1a9bd) Fixes #4471 - Don't call Enum.ToString()
* [`[7f7742577d]`](https://github.com/aspnet/AspNetCore/commit/7f7742577d) Removing .log extension from the log file name
* [`[362c093174]`](https://github.com/aspnet/AspNetCore/commit/362c093174) The web.config file needs to have Windows slashes even if published on *nix
* [`[6a325f8cc4]`](https://github.com/aspnet/AspNetCore/commit/6a325f8cc4) Clean up versions of referenced packages
* [`[51650f4623]`](https://github.com/aspnet/AspNetCore/commit/51650f4623) Clean up RC1 bug workaround
* [`[b0ebcc3aeb]`](https://github.com/aspnet/AspNetCore/commit/b0ebcc3aeb) Update RunExtensions.cs
* [`[059179b7b8]`](https://github.com/aspnet/AspNetCore/commit/059179b7b8) Add web.config to test sites
* [`[4cf6e463bb]`](https://github.com/aspnet/AspNetCore/commit/4cf6e463bb) Minor improvements to EF usage.
* [`[4f24339740]`](https://github.com/aspnet/AspNetCore/commit/4f24339740) Fix package metadata
* [`[19325a6cce]`](https://github.com/aspnet/AspNetCore/commit/19325a6cce) Add logging to 'business' events
* [`[e054eac3bd]`](https://github.com/aspnet/AspNetCore/commit/e054eac3bd) Fixing tests to use the package that was just built Disabling parallel run to prevent random issues Adding additional details that should help diagnose failures
* [`[be4d6bc07c]`](https://github.com/aspnet/AspNetCore/commit/be4d6bc07c) Limit parallelism in ci-pull
* [`[8f1f3c0772]`](https://github.com/aspnet/AspNetCore/commit/8f1f3c0772) Add a polling watcher
* [`[39a8a4a128]`](https://github.com/aspnet/AspNetCore/commit/39a8a4a128) Update to current versions of React/Redux/etc.
* [`[78d3428eb7]`](https://github.com/aspnet/AspNetCore/commit/78d3428eb7) Fix package metadata
* [`[795fc36cde]`](https://github.com/aspnet/AspNetCore/commit/795fc36cde) Fix package metadata
* [`[05d740076b]`](https://github.com/aspnet/AspNetCore/commit/05d740076b) Allow collapse and expand of source code
* [`[7b63846357]`](https://github.com/aspnet/AspNetCore/commit/7b63846357) Prevent crash when aborting connection before Frame is created (#738).
* [`[f30f61f7bb]`](https://github.com/aspnet/AspNetCore/commit/f30f61f7bb) Fixing functional test random failure (#4452)
* [`[46d4c6edcb]`](https://github.com/aspnet/AspNetCore/commit/46d4c6edcb) Updating dotnet-watch to netstandard
* [`[2235b79a8d]`](https://github.com/aspnet/AspNetCore/commit/2235b79a8d) Only reset repos that were cloned.
* [`[295a5ee349]`](https://github.com/aspnet/AspNetCore/commit/295a5ee349) Properly set commits file location after caching Coherence.
* [`[3ec60a0181]`](https://github.com/aspnet/AspNetCore/commit/3ec60a0181) Fix #4447 - Teach MVC to understand defaults
* [`[171f4452e3]`](https://github.com/aspnet/AspNetCore/commit/171f4452e3) Repair failing functional test
* [`[88829cc7d6]`](https://github.com/aspnet/AspNetCore/commit/88829cc7d6) Only reset repos that were cloned.
* [`[b1d6909935]`](https://github.com/aspnet/AspNetCore/commit/b1d6909935) Branching needs to account for libuv
* [`[7f38b7967b]`](https://github.com/aspnet/AspNetCore/commit/7f38b7967b) Properly set commits file location after caching Coherence.
* [`[ff46985cbd]`](https://github.com/aspnet/AspNetCore/commit/ff46985cbd) Move web.config
* [`[e0c0617185]`](https://github.com/aspnet/AspNetCore/commit/e0c0617185) Move web.config and use ANCM
* [`[921af14e1f]`](https://github.com/aspnet/AspNetCore/commit/921af14e1f) Move web.config and use ANCM
* [`[ff536cc868]`](https://github.com/aspnet/AspNetCore/commit/ff536cc868) Move web.config and use ANCM
* [`[dfc2e71d7f]`](https://github.com/aspnet/AspNetCore/commit/dfc2e71d7f) Moving web.config and use ANCM
* [`[390fdd325b]`](https://github.com/aspnet/AspNetCore/commit/390fdd325b) Move web.config and use ANCM
* [`[2b929327aa]`](https://github.com/aspnet/AspNetCore/commit/2b929327aa) Moving web.config and use ANCM
* [`[03fcadc576]`](https://github.com/aspnet/AspNetCore/commit/03fcadc576) Moving web.config and use ANCM
* [`[8742b463ba]`](https://github.com/aspnet/AspNetCore/commit/8742b463ba) Moving web.config
* [`[f75609dedd]`](https://github.com/aspnet/AspNetCore/commit/f75609dedd) Move web.config to application root
* [`[8e8d7ad6b0]`](https://github.com/aspnet/AspNetCore/commit/8e8d7ad6b0) Move web.config to application root
* [`[7d4fcfeb23]`](https://github.com/aspnet/AspNetCore/commit/7d4fcfeb23) Depend on separate libuv package
* [`[662fbd6abe]`](https://github.com/aspnet/AspNetCore/commit/662fbd6abe) Updating release management scripts
* [`[a55544681d]`](https://github.com/aspnet/AspNetCore/commit/a55544681d) Fix for #3659 - handle IHtmlContent in localization
* [`[2bf79a874d]`](https://github.com/aspnet/AspNetCore/commit/2bf79a874d) Removing imports from src projects
* [`[e06a0f0898]`](https://github.com/aspnet/AspNetCore/commit/e06a0f0898) Removing imports from src projects
* [`[04a4772fe5]`](https://github.com/aspnet/AspNetCore/commit/04a4772fe5) Removing imports from src projects
* [`[a41c578d88]`](https://github.com/aspnet/AspNetCore/commit/a41c578d88) Removing imports from src projects
* [`[05ee0897fb]`](https://github.com/aspnet/AspNetCore/commit/05ee0897fb) Removing imports from src projects
* [`[a344b259e8]`](https://github.com/aspnet/AspNetCore/commit/a344b259e8) Removing imports from src projects
* [`[fe66fb7f2f]`](https://github.com/aspnet/AspNetCore/commit/fe66fb7f2f) Removing imports from src projects
* [`[909f22df38]`](https://github.com/aspnet/AspNetCore/commit/909f22df38) Removing imports from src projects
* [`[c2503d1da1]`](https://github.com/aspnet/AspNetCore/commit/c2503d1da1) Removing imports from src projects
* [`[29a8d5b7c5]`](https://github.com/aspnet/AspNetCore/commit/29a8d5b7c5) Removing imports from src projects
* [`[316fbccd1e]`](https://github.com/aspnet/AspNetCore/commit/316fbccd1e) Removing imports from src projects
* [`[a1267311fe]`](https://github.com/aspnet/AspNetCore/commit/a1267311fe) Removing imports from src projects
* [`[78c742c6ee]`](https://github.com/aspnet/AspNetCore/commit/78c742c6ee) Removing imports from src projects
* [`[b50cd32b8e]`](https://github.com/aspnet/AspNetCore/commit/b50cd32b8e) Removing imports from src projects
* [`[31732c3d91]`](https://github.com/aspnet/AspNetCore/commit/31732c3d91) Removing imports from src projects
* [`[4d9d196b4a]`](https://github.com/aspnet/AspNetCore/commit/4d9d196b4a) Removing imports from src projects
* [`[aeb3939ac8]`](https://github.com/aspnet/AspNetCore/commit/aeb3939ac8) Removing imports from src projects
* [`[18a165d6f4]`](https://github.com/aspnet/AspNetCore/commit/18a165d6f4) Update Angular 2 Music Store sample to latest Angular 2 and other dependencies. Switch from asp-ng2-prerender-module to the more general asp-prerender-module.
* [`[770a74c25b]`](https://github.com/aspnet/AspNetCore/commit/770a74c25b) Update Angular2Spa template to newer dependencies
* [`[6cfda1e6ce]`](https://github.com/aspnet/AspNetCore/commit/6cfda1e6ce) Add libuv-package repo
* [`[e5d651fc30]`](https://github.com/aspnet/AspNetCore/commit/e5d651fc30) Updating publish-iis to be a portable app
* [`[d4c7dc3a83]`](https://github.com/aspnet/AspNetCore/commit/d4c7dc3a83) Make HashSets in TempData lazy
* [`[5fd4db5e21]`](https://github.com/aspnet/AspNetCore/commit/5fd4db5e21) Fix System.Security.Cryptography.Algorithms version
* [`[ee7bb86407]`](https://github.com/aspnet/AspNetCore/commit/ee7bb86407) #121 Rename UseIIS() to UseIISIntegration()
* [`[67483b4ab6]`](https://github.com/aspnet/AspNetCore/commit/67483b4ab6) Fix Angular 2 polyfills
* [`[3af81ac386]`](https://github.com/aspnet/AspNetCore/commit/3af81ac386) Fix versions
* [`[8f5a75b26b]`](https://github.com/aspnet/AspNetCore/commit/8f5a75b26b) Fix versions
* [`[67f54e82f9]`](https://github.com/aspnet/AspNetCore/commit/67f54e82f9) Fix versioning
* [`[89c9c3260b]`](https://github.com/aspnet/AspNetCore/commit/89c9c3260b) Make HtmlFormattableString public
* [`[056b4ac41d]`](https://github.com/aspnet/AspNetCore/commit/056b4ac41d) Never call Thread.Abort
* [`[7a923d1d6f]`](https://github.com/aspnet/AspNetCore/commit/7a923d1d6f) Published web.config to application root instead of web root #115
* [`[5654310a68]`](https://github.com/aspnet/AspNetCore/commit/5654310a68) [Fixes #130] Added few DataProtectionProvider.Create overloads
* [`[e07008ddec]`](https://github.com/aspnet/AspNetCore/commit/e07008ddec) Prevent double flush in HttpResponseStreamWriter.
* [`[3ebb14ee4b]`](https://github.com/aspnet/AspNetCore/commit/3ebb14ee4b) Update Resource lookup keys for VSRC1 packages.
* [`[fad09801f8]`](https://github.com/aspnet/AspNetCore/commit/fad09801f8) Update Resource lookup keys for VSRC1 packages.
* [`[75226d6e06]`](https://github.com/aspnet/AspNetCore/commit/75226d6e06) Updating to release.
* [`[3396f2ccf9]`](https://github.com/aspnet/AspNetCore/commit/3396f2ccf9) Updating to release.
* [`[52c84c9940]`](https://github.com/aspnet/AspNetCore/commit/52c84c9940) Updating to release.
* [`[1e90efdf32]`](https://github.com/aspnet/AspNetCore/commit/1e90efdf32) Updating to release.
* [`[4c51e87971]`](https://github.com/aspnet/AspNetCore/commit/4c51e87971) Updating to release.
* [`[41389cd11f]`](https://github.com/aspnet/AspNetCore/commit/41389cd11f) Updating to release.
* [`[6f55af5b40]`](https://github.com/aspnet/AspNetCore/commit/6f55af5b40) Updating to release.
* [`[f5135e2d2d]`](https://github.com/aspnet/AspNetCore/commit/f5135e2d2d) Updating to release.
* [`[1ba2402e48]`](https://github.com/aspnet/AspNetCore/commit/1ba2402e48) Updating to release.
* [`[31627b7e70]`](https://github.com/aspnet/AspNetCore/commit/31627b7e70) Updating to release.
* [`[e37868b0a4]`](https://github.com/aspnet/AspNetCore/commit/e37868b0a4) Updating to release.
* [`[40f45c2b04]`](https://github.com/aspnet/AspNetCore/commit/40f45c2b04) Updating to release.
* [`[151f87e927]`](https://github.com/aspnet/AspNetCore/commit/151f87e927) Updating to release.
* [`[cd5173c574]`](https://github.com/aspnet/AspNetCore/commit/cd5173c574) Updating to release.
* [`[121a2b5cd0]`](https://github.com/aspnet/AspNetCore/commit/121a2b5cd0) Updating to release.
* [`[ce1984364b]`](https://github.com/aspnet/AspNetCore/commit/ce1984364b) Updating to release.
* [`[1f36d50a4e]`](https://github.com/aspnet/AspNetCore/commit/1f36d50a4e) Updating to release.
* [`[8a592d1bee]`](https://github.com/aspnet/AspNetCore/commit/8a592d1bee) Updating to release.
* [`[ffaf2c8b23]`](https://github.com/aspnet/AspNetCore/commit/ffaf2c8b23) Updating to release.
* [`[62d452abeb]`](https://github.com/aspnet/AspNetCore/commit/62d452abeb) Updating to release.
* [`[1de783c26b]`](https://github.com/aspnet/AspNetCore/commit/1de783c26b) Updating to release.
* [`[616745a4b4]`](https://github.com/aspnet/AspNetCore/commit/616745a4b4) Updating to release.
* [`[efb8ef33e6]`](https://github.com/aspnet/AspNetCore/commit/efb8ef33e6) Fixing race in distributed cache tag helper
* [`[c66c408c15]`](https://github.com/aspnet/AspNetCore/commit/c66c408c15) DefaultAssemblyPartDiscoveryProvider.IsCandidateLibrary should not look at types in Mvc assemblies
* [`[4b348699c8]`](https://github.com/aspnet/AspNetCore/commit/4b348699c8) Fixed dependencies
* [`[c400289de5]`](https://github.com/aspnet/AspNetCore/commit/c400289de5) Change `DefaultTagHelperContent` to be smart about single content entries.
* [`[c8a7ac95a9]`](https://github.com/aspnet/AspNetCore/commit/c8a7ac95a9) Make async data fetching work on the server with Angular 2
* [`[7cb1dca467]`](https://github.com/aspnet/AspNetCore/commit/7cb1dca467) JsonInputFormatter fails to use custom SerializerSettings
* [`[29646153ea]`](https://github.com/aspnet/AspNetCore/commit/29646153ea) Explicitly add tracesource dependency
* [`[304135f4a6]`](https://github.com/aspnet/AspNetCore/commit/304135f4a6) Removing and ignoring .orig files
* [`[a140440196]`](https://github.com/aspnet/AspNetCore/commit/a140440196) Add `AssemblyCompany`, `AssemblyCopyright` and `AssemblyProduct` attributes to the assembly.
* [`[2c0fb950bc]`](https://github.com/aspnet/AspNetCore/commit/2c0fb950bc) Add `AssemblyCompany`, `AssemblyCopyright` and `AssemblyProduct` attributes to the assembly.
* [`[687fd72efd]`](https://github.com/aspnet/AspNetCore/commit/687fd72efd) Add Visual Studio specific RC1 binaries.
* [`[197d6a579f]`](https://github.com/aspnet/AspNetCore/commit/197d6a579f) Add Visual Studio specific RC1 binaries.
* [`[f734ff3c81]`](https://github.com/aspnet/AspNetCore/commit/f734ff3c81) Prevent fuctional tests from executing concurrently.
* [`[b4310ac8a8]`](https://github.com/aspnet/AspNetCore/commit/b4310ac8a8) Modify RoslynCompilationService to generate portable pdbs
* [`[4cd3012886]`](https://github.com/aspnet/AspNetCore/commit/4cd3012886) Fix mixed route for action error message
* [`[4212b7e713]`](https://github.com/aspnet/AspNetCore/commit/4212b7e713) Add `SetOutputContentAsync` to `TagHelperExecutionContext` to prevent allocation of `Task<T>`.
* [`[574ecbb3eb]`](https://github.com/aspnet/AspNetCore/commit/574ecbb3eb) [Fixes #4087] Add support for AddTagHelpersAsServices()
* [`[4cbda0358b]`](https://github.com/aspnet/AspNetCore/commit/4cbda0358b) Eagerly initialize hosting environment
* [`[b6a3fee088]`](https://github.com/aspnet/AspNetCore/commit/b6a3fee088) Allocate the IServiceScopeFactory once and reuse it across requests - Since we resolve the IServiceProvider from the application container, it's should be safe to reuse it across requests without the extra lookup everytime.
* [`[341430eae5]`](https://github.com/aspnet/AspNetCore/commit/341430eae5) [Fixes #4246] Introducing CacheTagKey
* [`[5cd236c1b0]`](https://github.com/aspnet/AspNetCore/commit/5cd236c1b0) Guard against null ref
* [`[906ac728c7]`](https://github.com/aspnet/AspNetCore/commit/906ac728c7) Null-check PagedBufferedStringWriter
* [`[8196f2ab81]`](https://github.com/aspnet/AspNetCore/commit/8196f2ab81) #605 Fix regressions in FormReader / FileBufferingReadStream.
* [`[abaf3bba50]`](https://github.com/aspnet/AspNetCore/commit/abaf3bba50) Make dependencies injectable in TagHelperDescriptorResolver. * Added an interface for ITagHelperTypeResolver and made TagHelperTypeResolver implement it. * Added an interface for ITagHelperTypeDescriptorFactory and made TagHelperDescriptorFactory implement it. * Added a constructor on TagHelperDescriptorResolver that takes in an ITagHelperTypeResolver and ITagHelperDescriptorFactory.
* [`[5246125cb7]`](https://github.com/aspnet/AspNetCore/commit/5246125cb7) [Fixes #4087] Add AddViewComponentsAsServices() and ServiceBasedViewComponentActivator
* [`[af46fec11f]`](https://github.com/aspnet/AspNetCore/commit/af46fec11f) Allow a 'Gate branch' which is built instead of dev if it exists
* [`[0d0aad41f5]`](https://github.com/aspnet/AspNetCore/commit/0d0aad41f5) [Fixes #4014] Add overload to AddControllerAsServices that uses the default controller discovery logic.
* [`[50af106b6a]`](https://github.com/aspnet/AspNetCore/commit/50af106b6a) Updating to the newest Roslyn packages
* [`[cb70183b03]`](https://github.com/aspnet/AspNetCore/commit/cb70183b03) More experiments with flow id
* [`[63ac7210ce]`](https://github.com/aspnet/AspNetCore/commit/63ac7210ce) Don't run restore in #initialize
* [`[4d6ad51f8a]`](https://github.com/aspnet/AspNetCore/commit/4d6ad51f8a) Add fallback logging for username in AuthZ
* [`[3a97a6bdfd]`](https://github.com/aspnet/AspNetCore/commit/3a97a6bdfd) #602 Invoke APM callbacks on the threadpool.
* [`[144766f2e3]`](https://github.com/aspnet/AspNetCore/commit/144766f2e3) Simplify BindAttribute - rename PredicateProvider
* [`[1bd66ffda0]`](https://github.com/aspnet/AspNetCore/commit/1bd66ffda0) [Fixes #4089] Add support for application parts
* [`[7eb34ad257]`](https://github.com/aspnet/AspNetCore/commit/7eb34ad257) Update project.json
* [`[de9ffb13c7]`](https://github.com/aspnet/AspNetCore/commit/de9ffb13c7) [Fixes #3732] Simplify controller discovery. * Introduce ControllerAttribute and use it to mark base classes as controllers. * Changed rules for controller discovery to:   * All controller types must be public, concrete, non open generic types.   * NotController attribute is not applied to any type oif the hierarchy.   * The type name ends with controller.   * Controller attribute is applied to the type or to one of its ancestors.
* [`[89c8dd3b36]`](https://github.com/aspnet/AspNetCore/commit/89c8dd3b36) Update Angular2Spa to current versions of Angular 2, angular2-universal-preview, etc.
* [`[033a42ab42]`](https://github.com/aspnet/AspNetCore/commit/033a42ab42) Update Webpack sample to use aspnet-webpack package
* [`[96e5c7b22e]`](https://github.com/aspnet/AspNetCore/commit/96e5c7b22e) Always clear buffers returned to the memory pool
* [`[6725d68559]`](https://github.com/aspnet/AspNetCore/commit/6725d68559) Move some implementations (all feature implementations) out of `.Internal` namespaces - #549, #592 - move feature implementations to `Microsoft.AspNetCore.Http.Features` and `...Authentication.Features` - move `DefaultHttpContext`, `HttpContextAccessor`, `HttpContextFactory`, `FormCollection` and   `HeaderDictionary` to `Microsoft.AspNetCore.Http` - move `FormFile` to `Microsoft.AspNetCore.Http.Internal`  - that and `Microsoft.AspNetCore.Http.Authentication.Internal` are the remaining `.Internal` namespaces
* [`[b04bb124b0]`](https://github.com/aspnet/AspNetCore/commit/b04bb124b0) [Fixes #4317] UrlResolutionTagHelper doesn't work with TagHelpers that run before and supress output
* [`[ff0a37c5f5]`](https://github.com/aspnet/AspNetCore/commit/ff0a37c5f5) Webhooks notification
* [`[5e2ef60519]`](https://github.com/aspnet/AspNetCore/commit/5e2ef60519) Webhooks notification
* [`[9ee7b408e6]`](https://github.com/aspnet/AspNetCore/commit/9ee7b408e6) Webhooks notification
* [`[e0212752e5]`](https://github.com/aspnet/AspNetCore/commit/e0212752e5) Removing AuthorizationFilterAttribute as we do not want users to easily create their own authorization implementation. They should instead use authorization policies and requirements(IAuthorizationRequirement) to enforce authorization. [Fixes #4233] AuthorizationFilterAttribute returns UnauthorizedResult rather than ChallengeResult
* [`[182cbc276c]`](https://github.com/aspnet/AspNetCore/commit/182cbc276c) Webhooks notification
* [`[9e08aec0b1]`](https://github.com/aspnet/AspNetCore/commit/9e08aec0b1) Webhooks notification
* [`[294fdbf719]`](https://github.com/aspnet/AspNetCore/commit/294fdbf719) Update sample TFM
* [`[f540174114]`](https://github.com/aspnet/AspNetCore/commit/f540174114) Webhook notifications
* [`[e1abb47b98]`](https://github.com/aspnet/AspNetCore/commit/e1abb47b98) Fix #4238 IFormFile model binder suppresses validation
* [`[9b29eb19ae]`](https://github.com/aspnet/AspNetCore/commit/9b29eb19ae) Enable OpenId Tests
* [`[bc84437881]`](https://github.com/aspnet/AspNetCore/commit/bc84437881) Webhook notifications
* [`[6e9a6a2db1]`](https://github.com/aspnet/AspNetCore/commit/6e9a6a2db1) Added new attribute ProducesResponseTypeAttribute to enable ApiExplorer to expose response type and StatusCode. [Fixes #4101] StatusCode Metadata
* [`[aa17125f9e]`](https://github.com/aspnet/AspNetCore/commit/aa17125f9e) Fix spelling of "timeout" in kestrel.shutdownTimeout
* [`[ea4b94a757]`](https://github.com/aspnet/AspNetCore/commit/ea4b94a757) Add webhook notification
* [`[8451d1afcb]`](https://github.com/aspnet/AspNetCore/commit/8451d1afcb) Fix rare deadlock in TestHost
* [`[a8e5c0ce30]`](https://github.com/aspnet/AspNetCore/commit/a8e5c0ce30) Log connection id in KestrelTrace.ApplicationError
* [`[f1f185fd21]`](https://github.com/aspnet/AspNetCore/commit/f1f185fd21) Using NetStandard.Library 1.5.0
* [`[fb81a5e11e]`](https://github.com/aspnet/AspNetCore/commit/fb81a5e11e) Introducing ModelBinderFactory
* [`[084bd6af36]`](https://github.com/aspnet/AspNetCore/commit/084bd6af36) Fix sample apps
* [`[a8516ec538]`](https://github.com/aspnet/AspNetCore/commit/a8516ec538) Add variable to control parallel compilation
* [`[f5c79b62de]`](https://github.com/aspnet/AspNetCore/commit/f5c79b62de) Prevent method => delegate conversion happening multiple times.
* [`[272343c3ad]`](https://github.com/aspnet/AspNetCore/commit/272343c3ad) Return IServiceCollection from AddDirectoryBrowser extension methods
* [`[14473b5458]`](https://github.com/aspnet/AspNetCore/commit/14473b5458) Return IServiceCollection from AddSession extension methods
* [`[5bcea61743]`](https://github.com/aspnet/AspNetCore/commit/5bcea61743) Return IServiceCollection from AddRouting extension methods
* [`[794d0892ae]`](https://github.com/aspnet/AspNetCore/commit/794d0892ae) Return IServiceCollection from AddWebEncoders extension methods
* [`[d51851f342]`](https://github.com/aspnet/AspNetCore/commit/d51851f342) Return IServiceCollection from service collection extension methods
* [`[e68df4611e]`](https://github.com/aspnet/AspNetCore/commit/e68df4611e) Return IServiceCollection from AddCors extension methods
* [`[0bc42a9b21]`](https://github.com/aspnet/AspNetCore/commit/0bc42a9b21) Return IServiceCollection from AddAntiforgery extension methods
* [`[bd60507dcd]`](https://github.com/aspnet/AspNetCore/commit/bd60507dcd) #553 Use System.Buffers for temporary arrays
* [`[f9d24a8521]`](https://github.com/aspnet/AspNetCore/commit/f9d24a8521) Introduce SignInResult/SignOutResult and ControllerBase.SignIn/SignOut
* [`[fad42eacea]`](https://github.com/aspnet/AspNetCore/commit/fad42eacea) Cleaning up makefile.shade
* [`[3c73ae9cfe]`](https://github.com/aspnet/AspNetCore/commit/3c73ae9cfe) Change `TagHelperOutput` and `TagHelperContext` lifetimes.
* [`[d62343ade5]`](https://github.com/aspnet/AspNetCore/commit/d62343ade5) Temporarily skipped CSS required attribute selector test on mono.
* [`[1b71748150]`](https://github.com/aspnet/AspNetCore/commit/1b71748150) More package metadata fixes
* [`[7f4a772859]`](https://github.com/aspnet/AspNetCore/commit/7f4a772859) Updating to NETStandard.Library 1.5.0
* [`[78a3fc91d3]`](https://github.com/aspnet/AspNetCore/commit/78a3fc91d3) Fix package metadata
* [`[a8d4da9f17]`](https://github.com/aspnet/AspNetCore/commit/a8d4da9f17) Add a couple of missing `global::` prefixes - was missing when writing out full name of an `enum` value - was missing in one case when writing out `TagHelperAttribute` type name
* [`[c5d5ef6788]`](https://github.com/aspnet/AspNetCore/commit/c5d5ef6788) Fix package metadata
* [`[5fe284a486]`](https://github.com/aspnet/AspNetCore/commit/5fe284a486) SetContent->SetHtmlContent
* [`[22eab75005]`](https://github.com/aspnet/AspNetCore/commit/22eab75005) Add Nginx Deployer
* [`[5ddb17d2fe]`](https://github.com/aspnet/AspNetCore/commit/5ddb17d2fe) Fixed packages
* [`[e8d0cc1668]`](https://github.com/aspnet/AspNetCore/commit/e8d0cc1668) SetContent->SetHtmlContent
* [`[21be7973ea]`](https://github.com/aspnet/AspNetCore/commit/21be7973ea) SetContent to SetHtmlContent
* [`[fd10621c1a]`](https://github.com/aspnet/AspNetCore/commit/fd10621c1a) SetContent->SetHtmlContent
* [`[06a0d4f3e1]`](https://github.com/aspnet/AspNetCore/commit/06a0d4f3e1) Update
* [`[f272d993de]`](https://github.com/aspnet/AspNetCore/commit/f272d993de) Helper
* [`[dfb7f2f9b2]`](https://github.com/aspnet/AspNetCore/commit/dfb7f2f9b2) Fixups
* [`[27c32d073f]`](https://github.com/aspnet/AspNetCore/commit/27c32d073f) Adding Nginx to test runs
* [`[300078b448]`](https://github.com/aspnet/AspNetCore/commit/300078b448) Temporary: Don't expand packages when caching Coherence on non-Windows.
* [`[b06a84457d]`](https://github.com/aspnet/AspNetCore/commit/b06a84457d) Ensure an `ObjectPoolProvider` is registered - e.g. take advantage of aspnet/HttpAbstractions#561 fix wherever cookies are used
* [`[91ba4154c6]`](https://github.com/aspnet/AspNetCore/commit/91ba4154c6) Fixed tests
* [`[7c67a4a594]`](https://github.com/aspnet/AspNetCore/commit/7c67a4a594) Fixed packages
* [`[66ff9939c3]`](https://github.com/aspnet/AspNetCore/commit/66ff9939c3) Cache Member Access Expression Text to avoid ExpressionHelper.GetExpressionText Part 1 Fix for  #3921
* [`[98e2d5d4c7]`](https://github.com/aspnet/AspNetCore/commit/98e2d5d4c7) Fix dotnet restore warning
* [`[2477982854]`](https://github.com/aspnet/AspNetCore/commit/2477982854) Fixed packages
* [`[7cace9a7fe]`](https://github.com/aspnet/AspNetCore/commit/7cace9a7fe) Fix package metadata
* [`[a6382fe6af]`](https://github.com/aspnet/AspNetCore/commit/a6382fe6af) Update sample TFM
* [`[514d752959]`](https://github.com/aspnet/AspNetCore/commit/514d752959) Enable IISExpress tests
* [`[f387d04af1]`](https://github.com/aspnet/AspNetCore/commit/f387d04af1) Adds timestamp in accordance with hosting example, as well as duration
* [`[6c8b1f2ac3]`](https://github.com/aspnet/AspNetCore/commit/6c8b1f2ac3) Updating to latest CoreCLR packages
* [`[6d4a80e747]`](https://github.com/aspnet/AspNetCore/commit/6d4a80e747) [Fixes #532] Replace hard-coded logging event ids with a class of consts
* [`[f1fa20afeb]`](https://github.com/aspnet/AspNetCore/commit/f1fa20afeb) Fix UseWebpackDevMiddleware with no options
* [`[c67011dc6d]`](https://github.com/aspnet/AspNetCore/commit/c67011dc6d) Updating to NetStandard.Library 1.5.0
* [`[0c3f6497db]`](https://github.com/aspnet/AspNetCore/commit/0c3f6497db) Fixes issue of request path segment length greater than the wildcard template route Fixes https://github.com/aspnet/Mvc/issues/4256
* [`[94cefde3ec]`](https://github.com/aspnet/AspNetCore/commit/94cefde3ec) Make IAntiforgeryContextAccessor a Feature
* [`[23976ebd53]`](https://github.com/aspnet/AspNetCore/commit/23976ebd53) Addition of InstanceId to the messages being published.
* [`[4b214115ca]`](https://github.com/aspnet/AspNetCore/commit/4b214115ca) Proper skip reasons for HttpsConnectionFilter tests (#677).
* [`[ead553b237]`](https://github.com/aspnet/AspNetCore/commit/ead553b237) Updating to v3 NuGet feed
* [`[25e6606a6e]`](https://github.com/aspnet/AspNetCore/commit/25e6606a6e) Delete previous Coherence cache and expand packages (#423, #425).
* [`[3d0bf621f3]`](https://github.com/aspnet/AspNetCore/commit/3d0bf621f3) Update `TagHelperDesignTimeDescriptorFactory` to work in CoreCLR.
* [`[a78f77afde]`](https://github.com/aspnet/AspNetCore/commit/a78f77afde) Add StatusCode helpers to ControllerBase
* [`[8e6b4980e3]`](https://github.com/aspnet/AspNetCore/commit/8e6b4980e3) [Fixes #4310] Moved AuthorizeFilter and CorsAuthorizationFilter to a public namespace
* [`[b7bdc9c404]`](https://github.com/aspnet/AspNetCore/commit/b7bdc9c404) Fix relative content root path test for non-windows systems
* [`[6f24508a33]`](https://github.com/aspnet/AspNetCore/commit/6f24508a33) Move remaining feature interfaces into `Microsoft.AspNetCore.Http.Features` package and namespace - #590, also related to #561 - move feature interfaces from `Microsoft.AspNetCore.Http` package - move required classes from `Microsoft.AspNetCore.Http.Abstractions` package - move `ISession` and `WebSocketAcceptContext` to `Microsoft.AspNetCore.Http` namespace (#590)
* [`[cc0fc6ac06]`](https://github.com/aspnet/AspNetCore/commit/cc0fc6ac06) File names not matching class names
* [`[312db4b424]`](https://github.com/aspnet/AspNetCore/commit/312db4b424) Consistency fixes for XML docs
* [`[2e07ddee45]`](https://github.com/aspnet/AspNetCore/commit/2e07ddee45) Replaces Hosting:Environment with new values in docs
* [`[b5e2d43859]`](https://github.com/aspnet/AspNetCore/commit/b5e2d43859) Retarget tests to netstandardapp
* [`[a15826399d]`](https://github.com/aspnet/AspNetCore/commit/a15826399d) Racting to ASPNETCORE_APPLICATIONBASE -> ASPNETCORE_CONTENTROOT rename
* [`[ef9d0784fb]`](https://github.com/aspnet/AspNetCore/commit/ef9d0784fb) Fix copy command
* [`[712b6f78bb]`](https://github.com/aspnet/AspNetCore/commit/712b6f78bb) #95 Add the ForwardedHeadersMiddleware by default.
* [`[792f3ad089]`](https://github.com/aspnet/AspNetCore/commit/792f3ad089) Fix race preventing handling of the last request sent over a connection
* [`[73217edba5]`](https://github.com/aspnet/AspNetCore/commit/73217edba5) Update package name
* [`[862f16efa9]`](https://github.com/aspnet/AspNetCore/commit/862f16efa9) Update package name
* [`[9ae3327af3]`](https://github.com/aspnet/AspNetCore/commit/9ae3327af3) Use KillTree from Common
* [`[ac7741fe81]`](https://github.com/aspnet/AspNetCore/commit/ac7741fe81) Configure IStartupFilters in FIFO order #653
* [`[fb07fee465]`](https://github.com/aspnet/AspNetCore/commit/fb07fee465) Reduce grunt work in Mvc
* [`[ce408a999e]`](https://github.com/aspnet/AspNetCore/commit/ce408a999e) #578 Do not buffer the request body by default when reading forms.
* [`[1567a40629]`](https://github.com/aspnet/AspNetCore/commit/1567a40629) Add a way to exclude repositories from having the src folder deleted
* [`[f651f18d3a]`](https://github.com/aspnet/AspNetCore/commit/f651f18d3a) Use a prefix tree as a backing store for ModelStateDictionary
* [`[850632a091]`](https://github.com/aspnet/AspNetCore/commit/850632a091) Ensure KestrelThreads get stopped in tests if there is a startup failure
* [`[b55bef20aa]`](https://github.com/aspnet/AspNetCore/commit/b55bef20aa) Allow the server to forcefully close socket it tests with connection failures
* [`[432cfa0035]`](https://github.com/aspnet/AspNetCore/commit/432cfa0035) Fix failing functional tests
* [`[4df44c8501]`](https://github.com/aspnet/AspNetCore/commit/4df44c8501) Use KillTree from Common
* [`[cef81adb21]`](https://github.com/aspnet/AspNetCore/commit/cef81adb21) [Fixes #4237] Include Assembly-Qualified type name in ActionDescriptor.DisplayName
* [`[32740d67a7]`](https://github.com/aspnet/AspNetCore/commit/32740d67a7) Use NullFileProvider from FileSystem
* [`[416fc81cec]`](https://github.com/aspnet/AspNetCore/commit/416fc81cec) Include Microsoft.AspNetCore.Diagnostics in MusicStore
* [`[ab72ba5056]`](https://github.com/aspnet/AspNetCore/commit/ab72ba5056) Cache Coherence in the correct place.
* [`[0a6384bd3a]`](https://github.com/aspnet/AspNetCore/commit/0a6384bd3a) Set UNIVERSE_COMMITS_FILE env. variable after caching Coherence.
* [`[98c69c3c4b]`](https://github.com/aspnet/AspNetCore/commit/98c69c3c4b) Use separate service providers
* [`[b269e3f9ea]`](https://github.com/aspnet/AspNetCore/commit/b269e3f9ea) Cache Coherence locally in ci-test.
* [`[24279aa946]`](https://github.com/aspnet/AspNetCore/commit/24279aa946) Handle directories with spaces during deployment publish #630
* [`[0f74187a81]`](https://github.com/aspnet/AspNetCore/commit/0f74187a81) Fix package dependencies
* [`[6116f0e2e8]`](https://github.com/aspnet/AspNetCore/commit/6116f0e2e8) AddOptions, which is apparently not brought in my memory cache anymore.
* [`[0f6fb8277c]`](https://github.com/aspnet/AspNetCore/commit/0f6fb8277c) Fix package metadata
* [`[dc34c630b7]`](https://github.com/aspnet/AspNetCore/commit/dc34c630b7) Go back to using app service provider as EF internal service provider when using in memory
* [`[d89afcbbf0]`](https://github.com/aspnet/AspNetCore/commit/d89afcbbf0) Fix package metadata
* [`[396bef4b6d]`](https://github.com/aspnet/AspNetCore/commit/396bef4b6d) Fix package metadata
* [`[54bc8022af]`](https://github.com/aspnet/AspNetCore/commit/54bc8022af) Moving publish-iis from httpPlatformHandler to aspNetCoreModule
* [`[5c50ba0898]`](https://github.com/aspnet/AspNetCore/commit/5c50ba0898) Creating Microsoft.AspNetCore.Server.IISIntegration.Tools package
* [`[c03aabbff5]`](https://github.com/aspnet/AspNetCore/commit/c03aabbff5) RazorCompilationService should throw a meaningful error when a user produces an application without `preserveCompilationContext`
* [`[c261de6ee1]`](https://github.com/aspnet/AspNetCore/commit/c261de6ee1) Simplify ordering since Testing no longer has cyclic dependencies
* [`[aa1495deb0]`](https://github.com/aspnet/AspNetCore/commit/aa1495deb0) [Fixes #120, Fixes #121, Fixes #122] Make data protection follow the options model
* [`[2ec664f325]`](https://github.com/aspnet/AspNetCore/commit/2ec664f325) ASP.NET 5 -> ASP.NET Core
* [`[0c3b17dafd]`](https://github.com/aspnet/AspNetCore/commit/0c3b17dafd) ASP.NET 5 -> ASP.NET Core
* [`[8e01db2c70]`](https://github.com/aspnet/AspNetCore/commit/8e01db2c70) ASP.NET 5 -> ASP.NET Core
* [`[73d50bbac3]`](https://github.com/aspnet/AspNetCore/commit/73d50bbac3) ASP.NET 5 -> ASP.NET Core
* [`[89a7fe8c81]`](https://github.com/aspnet/AspNetCore/commit/89a7fe8c81) ASP.NET 5 -> ASP.NET Core
* [`[908bc6a577]`](https://github.com/aspnet/AspNetCore/commit/908bc6a577) ASP.NET 5 -> ASP.NET Core
* [`[66dccd14ea]`](https://github.com/aspnet/AspNetCore/commit/66dccd14ea) ASP.NET 5 -> ASP.NET Core
* [`[5c9f3b6df4]`](https://github.com/aspnet/AspNetCore/commit/5c9f3b6df4) ASP.NET 5 -> ASP.NET Core
* [`[10c33445dc]`](https://github.com/aspnet/AspNetCore/commit/10c33445dc) ASP.NET 5 -> ASP.NET Core
* [`[13874bf771]`](https://github.com/aspnet/AspNetCore/commit/13874bf771) ASP.NET 5 -> ASP.NET Core
* [`[5442cbe6a5]`](https://github.com/aspnet/AspNetCore/commit/5442cbe6a5) ASP.NET 5 -> ASP.NET Core
* [`[dd18606f4f]`](https://github.com/aspnet/AspNetCore/commit/dd18606f4f) ASP.NET 5 -> ASP.NET Core
* [`[204f8a3a8e]`](https://github.com/aspnet/AspNetCore/commit/204f8a3a8e) ASP.NET 5 -> ASP.NET Core
* [`[485b2d546a]`](https://github.com/aspnet/AspNetCore/commit/485b2d546a) ASP.NET 5 -> ASP.NET Core
* [`[699566394d]`](https://github.com/aspnet/AspNetCore/commit/699566394d) ASP.NET 5 -> ASP.NET Core
* [`[0cffed76df]`](https://github.com/aspnet/AspNetCore/commit/0cffed76df) Fixing missed sample
* [`[5ac589317f]`](https://github.com/aspnet/AspNetCore/commit/5ac589317f) Additional fiels in HostingEnvironment and Renames
* [`[73f9d26fb1]`](https://github.com/aspnet/AspNetCore/commit/73f9d26fb1) Updated Json.Net version
* [`[1a8d5317a9]`](https://github.com/aspnet/AspNetCore/commit/1a8d5317a9) Updated Json.Net version
* [`[a7994b818e]`](https://github.com/aspnet/AspNetCore/commit/a7994b818e) Updated Json.Net version
* [`[bd1c815340]`](https://github.com/aspnet/AspNetCore/commit/bd1c815340) Updated Json.Net version
* [`[bfe81edbdc]`](https://github.com/aspnet/AspNetCore/commit/bfe81edbdc) Updated Json.Net version
* [`[33c91afbb2]`](https://github.com/aspnet/AspNetCore/commit/33c91afbb2) Updated Json.Net version
* [`[007c47d065]`](https://github.com/aspnet/AspNetCore/commit/007c47d065) [Perf] Optimize controller action invoke Fixes aspnet/MVC#3903
* [`[9e6dc5b2da]`](https://github.com/aspnet/AspNetCore/commit/9e6dc5b2da) #95 Add the IISMiddleware via a IStartupFilter.
* [`[8e24c3a708]`](https://github.com/aspnet/AspNetCore/commit/8e24c3a708) Fix deadlock when connection is simultaneously aborted and ended (#684).
* [`[67449276a5]`](https://github.com/aspnet/AspNetCore/commit/67449276a5) Target minimal TFMs
* [`[0e95ce9a8e]`](https://github.com/aspnet/AspNetCore/commit/0e95ce9a8e) Target minimal TFMs
* [`[f5c1c45db2]`](https://github.com/aspnet/AspNetCore/commit/f5c1c45db2) IClaimsTransofrmer updated to take ClaimsTransformationContext instead of ClaimsPrincipal in TransformAsync method. #718
* [`[fb8cf86f71]`](https://github.com/aspnet/AspNetCore/commit/fb8cf86f71) Don't reference facades in NuSpec
* [`[06c818c9e5]`](https://github.com/aspnet/AspNetCore/commit/06c818c9e5) Don't reference facades in NuSpec
* [`[a051244faf]`](https://github.com/aspnet/AspNetCore/commit/a051244faf) Don't reference facades in NuSpec
* [`[b734291b13]`](https://github.com/aspnet/AspNetCore/commit/b734291b13) Target minimal TFMs
* [`[611f88fcb7]`](https://github.com/aspnet/AspNetCore/commit/611f88fcb7) Simplify ReactReduxSpa template to use aspnet-* packages
* [`[b28296f801]`](https://github.com/aspnet/AspNetCore/commit/b28296f801) Fix aspnet-webpack-react, and simplify ReactSpa template to use it
* [`[294d898fd3]`](https://github.com/aspnet/AspNetCore/commit/294d898fd3) Simplify Angular 2 template to use aspnet-webpack etc.
* [`[5e7e75cc0b]`](https://github.com/aspnet/AspNetCore/commit/5e7e75cc0b) More fixes for aspnet-webpack
* [`[dfc2f9503b]`](https://github.com/aspnet/AspNetCore/commit/dfc2f9503b) Simplify KnockoutSpa template using new aspnet-webpack package
* [`[d5fbe4b3b6]`](https://github.com/aspnet/AspNetCore/commit/d5fbe4b3b6) Fix aspnet-webpack package
* [`[a77e7cf6da]`](https://github.com/aspnet/AspNetCore/commit/a77e7cf6da) Allow ConfigureServices to be called multiple times.
* [`[1e80a9a85c]`](https://github.com/aspnet/AspNetCore/commit/1e80a9a85c) Update to reflect changes in EF service registration
* [`[b48b5f1553]`](https://github.com/aspnet/AspNetCore/commit/b48b5f1553) Set default ApplicationName and ApplicationBase in ApplicationEnvironment #613
* [`[590574a8a9]`](https://github.com/aspnet/AspNetCore/commit/590574a8a9) Reduce SpaServices's built-in JS to simply invoke exports from the corresponding new NPM packages
* [`[ec9544c644]`](https://github.com/aspnet/AspNetCore/commit/ec9544c644) Add aspnet-prerendering NPM package
* [`[e5a6a05c97]`](https://github.com/aspnet/AspNetCore/commit/e5a6a05c97) Add aspnet-webpack-react NPM package
* [`[2747aad66f]`](https://github.com/aspnet/AspNetCore/commit/2747aad66f) Add aspnet-webpack NPM package
* [`[4bfeba2a3c]`](https://github.com/aspnet/AspNetCore/commit/4bfeba2a3c) Update project.json
* [`[7b70da14bc]`](https://github.com/aspnet/AspNetCore/commit/7b70da14bc) Don't reference facades in NuSpec
* [`[45a72a0e18]`](https://github.com/aspnet/AspNetCore/commit/45a72a0e18) [Perf] Optimize creation of VDD Fixes #3906
* [`[e57e177224]`](https://github.com/aspnet/AspNetCore/commit/e57e177224) Don't reference facades
* [`[9750924973]`](https://github.com/aspnet/AspNetCore/commit/9750924973) Don't reference facades
* [`[bc382be632]`](https://github.com/aspnet/AspNetCore/commit/bc382be632) Fix the tests that hang
* [`[618e41fa1e]`](https://github.com/aspnet/AspNetCore/commit/618e41fa1e) Update the documentation to "dotnet-watch"
* [`[46eef2eafb]`](https://github.com/aspnet/AspNetCore/commit/46eef2eafb) Add Microsoft.AspNetCore.Server.IISIntegration to NuGetPackageVerifier
* [`[126ed6c4de]`](https://github.com/aspnet/AspNetCore/commit/126ed6c4de) #95 Switch the middleware from HttpPlatfromHandler to AspNetCoreModule.
* [`[aec47fe957]`](https://github.com/aspnet/AspNetCore/commit/aec47fe957) Asp.Net Core update to readme
* [`[d78f7edfc7]`](https://github.com/aspnet/AspNetCore/commit/d78f7edfc7) Fix package metadata
* [`[c948605111]`](https://github.com/aspnet/AspNetCore/commit/c948605111) Attempt to use non cross gened csc.exe
* [`[2b7a98a4d6]`](https://github.com/aspnet/AspNetCore/commit/2b7a98a4d6) [Fixes #4152] Add HttpOptionsAttribute
* [`[2dba840f94]`](https://github.com/aspnet/AspNetCore/commit/2dba840f94) Fix backslashes in yml config.
* [`[a3f564e3d1]`](https://github.com/aspnet/AspNetCore/commit/a3f564e3d1) Fix backslashes in yml config.
* [`[d56274040f]`](https://github.com/aspnet/AspNetCore/commit/d56274040f) Fix backslashes in yml config.
* [`[d851170119]`](https://github.com/aspnet/AspNetCore/commit/d851170119) Fix backslashes in yml config.
* [`[26965fd1e1]`](https://github.com/aspnet/AspNetCore/commit/26965fd1e1) Fix backslashes in yml config.
* [`[52ab065942]`](https://github.com/aspnet/AspNetCore/commit/52ab065942) Fix backslashes in yml config.
* [`[72134d7d46]`](https://github.com/aspnet/AspNetCore/commit/72134d7d46) Fix backslashes in yml config.
* [`[02f30afc0e]`](https://github.com/aspnet/AspNetCore/commit/02f30afc0e) Fix backslashes in yml config.
* [`[2e64ed8ce4]`](https://github.com/aspnet/AspNetCore/commit/2e64ed8ce4) Fix backslashes in yml config.
* [`[33a7bee585]`](https://github.com/aspnet/AspNetCore/commit/33a7bee585) Fix backslashes in yml config.
* [`[fdc1901ed3]`](https://github.com/aspnet/AspNetCore/commit/fdc1901ed3) Fix backslashes in yml config.
* [`[bc560b0003]`](https://github.com/aspnet/AspNetCore/commit/bc560b0003) Fix backslashes in yml config.
* [`[e07a02fbba]`](https://github.com/aspnet/AspNetCore/commit/e07a02fbba) Fix backslashes in yml config.
* [`[6493bd7678]`](https://github.com/aspnet/AspNetCore/commit/6493bd7678) Fix backslashes in yml config.
* [`[87a6eb1d6b]`](https://github.com/aspnet/AspNetCore/commit/87a6eb1d6b) Fix backslashes in yml config.
* [`[4c59b4d226]`](https://github.com/aspnet/AspNetCore/commit/4c59b4d226) Fix backslashes in yml config.
* [`[a82ce85f66]`](https://github.com/aspnet/AspNetCore/commit/a82ce85f66) Fix backslashes in yml config.
* [`[d8607779fd]`](https://github.com/aspnet/AspNetCore/commit/d8607779fd) Fix backslashes in yml config.
* [`[104163e275]`](https://github.com/aspnet/AspNetCore/commit/104163e275) Fix backslashes in yml config.
* [`[6b369ef291]`](https://github.com/aspnet/AspNetCore/commit/6b369ef291) [Fixes #4102] DefaultHtmlGenerator should attempt to properly format values for `<input type="date">` and `<input type="time">`
* [`[037768f531]`](https://github.com/aspnet/AspNetCore/commit/037768f531) Common and PlatformAbstractions need to be built before Testing and in sequence
* [`[88367ccf2d]`](https://github.com/aspnet/AspNetCore/commit/88367ccf2d) Wait for more input while request hasn't finished (#672).
* [`[5840689f64]`](https://github.com/aspnet/AspNetCore/commit/5840689f64) Switch from HttpPlatformHandler to AspNetCoreModule.
* [`[37b0917ac1]`](https://github.com/aspnet/AspNetCore/commit/37b0917ac1) Use TLS 1.1 or 1.2 only (#637).
* [`[6d3bd33c64]`](https://github.com/aspnet/AspNetCore/commit/6d3bd33c64) Revive DefaultRoslynCompilationServiceTest Partially fixes #4140
* [`[a5fcddc0a8]`](https://github.com/aspnet/AspNetCore/commit/a5fcddc0a8) #704 unregister auth handlers during unwind.
* [`[553e036d28]`](https://github.com/aspnet/AspNetCore/commit/553e036d28) Add GivenName and Surname default claims to FacebookOptions
* [`[3e7efd04da]`](https://github.com/aspnet/AspNetCore/commit/3e7efd04da) Appending .exe to the project name instead of just changing the extension
* [`[197a775f0d]`](https://github.com/aspnet/AspNetCore/commit/197a775f0d) Add launchSettings.json to .gitignore
* [`[e5927ddd01]`](https://github.com/aspnet/AspNetCore/commit/e5927ddd01) Add CSS attribute selectors for `TagHelper` attributes.
* [`[b519e58fc5]`](https://github.com/aspnet/AspNetCore/commit/b519e58fc5) Simpler use of attribute routing
* [`[6c2f6d245b]`](https://github.com/aspnet/AspNetCore/commit/6c2f6d245b) Add missing prefix on cookie name
* [`[7a624ba5be]`](https://github.com/aspnet/AspNetCore/commit/7a624ba5be) Workaround cookie issues in corefx
* [`[11d4873164]`](https://github.com/aspnet/AspNetCore/commit/11d4873164) Demonstrate lazy-loading for Webpack-bundled KO components
* [`[944afdc5ea]`](https://github.com/aspnet/AspNetCore/commit/944afdc5ea) Clean up E2E tests
* [`[25ba7986d8]`](https://github.com/aspnet/AspNetCore/commit/25ba7986d8) Minor fixes to KO template (bundling config and menu styling)
* [`[515c659a47]`](https://github.com/aspnet/AspNetCore/commit/515c659a47) Migrate from hasher.js to history.js to support HTML5-style navigation. Also clean up the HMR support.
* [`[982aa08cda]`](https://github.com/aspnet/AspNetCore/commit/982aa08cda) Cache doesn't need clearing when resolving uncached feature
* [`[bbdbb449d5]`](https://github.com/aspnet/AspNetCore/commit/bbdbb449d5) Initial KnockoutSpa template
* [`[7d7e974b5f]`](https://github.com/aspnet/AspNetCore/commit/7d7e974b5f) Add templates projects to .sln file
* [`[614f671567]`](https://github.com/aspnet/AspNetCore/commit/614f671567) Fix package metadata
* [`[3d72f5207f]`](https://github.com/aspnet/AspNetCore/commit/3d72f5207f) Fix package metadata
* [`[5a7267a83d]`](https://github.com/aspnet/AspNetCore/commit/5a7267a83d) Revive DefaultAssemblyProviderTests Partial fix for https://github.com/aspnet/Mvc/issues/4140
* [`[5f6293110c]`](https://github.com/aspnet/AspNetCore/commit/5f6293110c) Adding libuv.so to the package
* [`[8c72741992]`](https://github.com/aspnet/AspNetCore/commit/8c72741992) Lower alloc KeyValueAccumulator for common path
* [`[6b41e12830]`](https://github.com/aspnet/AspNetCore/commit/6b41e12830) Add missing reference to Bootstrap script
* [`[b95cd1bc85]`](https://github.com/aspnet/AspNetCore/commit/b95cd1bc85) In domain-task, ensure completion callback always fires asynchronously
* [`[c44ceebc12]`](https://github.com/aspnet/AspNetCore/commit/c44ceebc12) Enable server-side prerendering in React+Redux template
* [`[cf7a519919]`](https://github.com/aspnet/AspNetCore/commit/cf7a519919) Working React+Redux template
* [`[ec9337754f]`](https://github.com/aspnet/AspNetCore/commit/ec9337754f) Beginning React+Redux template as a direct copy of the React one
* [`[1d78d51cb1]`](https://github.com/aspnet/AspNetCore/commit/1d78d51cb1) Fix package metadata
* [`[ca164db921]`](https://github.com/aspnet/AspNetCore/commit/ca164db921) [Fixes #4214] Moved IUrlHelper to Mvc.Abstractions
* [`[9dfe4d9699]`](https://github.com/aspnet/AspNetCore/commit/9dfe4d9699) Enabled xml doc generation
* [`[432de7a158]`](https://github.com/aspnet/AspNetCore/commit/432de7a158) #96 Add a session Id
* [`[c6f6066b03]`](https://github.com/aspnet/AspNetCore/commit/c6f6066b03) Elevate application starup errors to be logged as critical #612
* [`[1f754f65d3]`](https://github.com/aspnet/AspNetCore/commit/1f754f65d3) Add ISession.Id
* [`[ef6dd41384]`](https://github.com/aspnet/AspNetCore/commit/ef6dd41384) SaveTokens in OIDC
* [`[38b727948b]`](https://github.com/aspnet/AspNetCore/commit/38b727948b) Make ServiceCollectionExtensions consistent
* [`[15649b7e31]`](https://github.com/aspnet/AspNetCore/commit/15649b7e31) Faster SubMatch implementation
* [`[18828d7c2e]`](https://github.com/aspnet/AspNetCore/commit/18828d7c2e) Add a parameter for tests to specify TFM for publish before deployment. #626
* [`[cb73debd4d]`](https://github.com/aspnet/AspNetCore/commit/cb73debd4d) Use use-ci-loggers instead of use-teamcity
* [`[3aa3799494]`](https://github.com/aspnet/AspNetCore/commit/3aa3799494) Rename ICanHasViewContext to IViewContextAware
* [`[909c342711]`](https://github.com/aspnet/AspNetCore/commit/909c342711) Small sample updates.
* [`[52244da9e8]`](https://github.com/aspnet/AspNetCore/commit/52244da9e8) Temporary disable the tests that hang while investigating
* [`[0b7035ddcf]`](https://github.com/aspnet/AspNetCore/commit/0b7035ddcf) Implement MoveTo semantics in Mvc
* [`[cd8e8f0a11]`](https://github.com/aspnet/AspNetCore/commit/cd8e8f0a11) Prevent DebugAssertException from blocks not returned by non-graceful shutdowns (#667).
* [`[91b955e080]`](https://github.com/aspnet/AspNetCore/commit/91b955e080) Update cookie name
* [`[f78abb5bcf]`](https://github.com/aspnet/AspNetCore/commit/f78abb5bcf) Removing extra AssemblyInfo
* [`[467e520b35]`](https://github.com/aspnet/AspNetCore/commit/467e520b35) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[0896ac4f95]`](https://github.com/aspnet/AspNetCore/commit/0896ac4f95) Added missed attributes
* [`[97940747c3]`](https://github.com/aspnet/AspNetCore/commit/97940747c3) Added missed attribute
* [`[e2fd41e416]`](https://github.com/aspnet/AspNetCore/commit/e2fd41e416) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[a561fecb91]`](https://github.com/aspnet/AspNetCore/commit/a561fecb91) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[91f44549ac]`](https://github.com/aspnet/AspNetCore/commit/91f44549ac) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[94e0088eea]`](https://github.com/aspnet/AspNetCore/commit/94e0088eea) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[73a9ed7a64]`](https://github.com/aspnet/AspNetCore/commit/73a9ed7a64) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[26c4fc5fa1]`](https://github.com/aspnet/AspNetCore/commit/26c4fc5fa1) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[8a59bcff08]`](https://github.com/aspnet/AspNetCore/commit/8a59bcff08) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[553e2e3c01]`](https://github.com/aspnet/AspNetCore/commit/553e2e3c01) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[7c60cd5fa6]`](https://github.com/aspnet/AspNetCore/commit/7c60cd5fa6) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[c737227b3c]`](https://github.com/aspnet/AspNetCore/commit/c737227b3c) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[65f83015e3]`](https://github.com/aspnet/AspNetCore/commit/65f83015e3) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[d6d43047b1]`](https://github.com/aspnet/AspNetCore/commit/d6d43047b1) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[fc51cb1f30]`](https://github.com/aspnet/AspNetCore/commit/fc51cb1f30) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[5b7dc0d1bc]`](https://github.com/aspnet/AspNetCore/commit/5b7dc0d1bc) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[dd7198f410]`](https://github.com/aspnet/AspNetCore/commit/dd7198f410) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[078cbb5d78]`](https://github.com/aspnet/AspNetCore/commit/078cbb5d78) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[b9d2dc89aa]`](https://github.com/aspnet/AspNetCore/commit/b9d2dc89aa) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[e95ed5d204]`](https://github.com/aspnet/AspNetCore/commit/e95ed5d204) Added Company, Copyright and Product attributes to AssemblyInfo
* [`[0ab5cdc6ad]`](https://github.com/aspnet/AspNetCore/commit/0ab5cdc6ad) Fix bad rebase
* [`[be43dda0f5]`](https://github.com/aspnet/AspNetCore/commit/be43dda0f5) Minor fix to async issue on empty cart
* [`[c43c37e7f9]`](https://github.com/aspnet/AspNetCore/commit/c43c37e7f9) - E2E test - File watcher that takes the globbing patterns into account - A big rewrite of the core algorithm
* [`[dea425d3b2]`](https://github.com/aspnet/AspNetCore/commit/dea425d3b2) Update cookie name
* [`[ace166fa31]`](https://github.com/aspnet/AspNetCore/commit/ace166fa31) Save tokens in auth properties instead of claims
* [`[e6d4d6c7a1]`](https://github.com/aspnet/AspNetCore/commit/e6d4d6c7a1) Fix nested C# blocks when combined with C# @ symbols.
* [`[b62d90d7dc]`](https://github.com/aspnet/AspNetCore/commit/b62d90d7dc) Enabled xml doc generation
* [`[99c5e20c23]`](https://github.com/aspnet/AspNetCore/commit/99c5e20c23) Don't try to produce nupkgs anymore
* [`[d3c24637b1]`](https://github.com/aspnet/AspNetCore/commit/d3c24637b1) Correct `Type.IsAssignableFrom()` polarity - #3482  - see new tests; many failed without fixes in the product code  - add support for binding `IFormFileCollection` properties  - make `FormFileModelBinder` / `HeaderModelBinder` collection handling consistent w/ `GenericModelBinder`++   - see also dupe bug #4129 which describes some of the prior inconsistencies   - add checks around creating collections and leaving non-top-level collections `null` (not empty)  - move smarts down to `ModelBindingHelper.GetCompatibleCollection<T>()` (was `ConvertValuesToCollectionType<T>()`)   - add `ModelBindingHelper.CanGetCompatibleCollection()`   - add fallback for cases like `public IEnumerable<T> Property { get; set; } = new T[0];` - #4193  - allow `Exception`s while activating collections to propagate - part of #4181  - `CollectionModelBinder` no longer creates an instance to check if it can create an instance  - not a complete fix since it still creates unnecessary intermediate lists
* [`[41f77ee3fd]`](https://github.com/aspnet/AspNetCore/commit/41f77ee3fd) Handle uploads larger than 2GB.
* [`[4e5920fd09]`](https://github.com/aspnet/AspNetCore/commit/4e5920fd09) KestrelThread.Stop should wait for StartAsync to complete
* [`[8f2c77caac]`](https://github.com/aspnet/AspNetCore/commit/8f2c77caac) Re-add netstandard for non-tool project.
* [`[e9760b48d0]`](https://github.com/aspnet/AspNetCore/commit/e9760b48d0) Fixed broken link
* [`[b2b623816b]`](https://github.com/aspnet/AspNetCore/commit/b2b623816b) Make ServiceCollectionExtensions consistent
* [`[e9b766fe80]`](https://github.com/aspnet/AspNetCore/commit/e9b766fe80) Updated missed ifdefs in netstandard conversion
* [`[e1870dd9f3]`](https://github.com/aspnet/AspNetCore/commit/e1870dd9f3) Transition to netstandard.
* [`[5f2f434034]`](https://github.com/aspnet/AspNetCore/commit/5f2f434034) Transition to netstandard.
* [`[33d1aea8ea]`](https://github.com/aspnet/AspNetCore/commit/33d1aea8ea) Transition to Netstandard.
* [`[6ef4e68ced]`](https://github.com/aspnet/AspNetCore/commit/6ef4e68ced) Transition to netstandard.
* [`[1e06560676]`](https://github.com/aspnet/AspNetCore/commit/1e06560676) Transition to netstandard.
* [`[f3c7b33595]`](https://github.com/aspnet/AspNetCore/commit/f3c7b33595) Transition to netstandard.
* [`[bb7cb4a0d9]`](https://github.com/aspnet/AspNetCore/commit/bb7cb4a0d9) Transition to netstandard.
* [`[e3979fd3fe]`](https://github.com/aspnet/AspNetCore/commit/e3979fd3fe) Transition to netstandard.
* [`[d237c78278]`](https://github.com/aspnet/AspNetCore/commit/d237c78278) Transition to netstandard.
* [`[f9b9dcd79b]`](https://github.com/aspnet/AspNetCore/commit/f9b9dcd79b) Transition to netstandard.
* [`[be3c20cab4]`](https://github.com/aspnet/AspNetCore/commit/be3c20cab4) Transition to netstandard.
* [`[f6752030dd]`](https://github.com/aspnet/AspNetCore/commit/f6752030dd) Transition to netstandard.
* [`[078604f3a8]`](https://github.com/aspnet/AspNetCore/commit/078604f3a8) Transition to netstandard.
* [`[c33b422d7a]`](https://github.com/aspnet/AspNetCore/commit/c33b422d7a) Transition to netstandard.
* [`[5433130182]`](https://github.com/aspnet/AspNetCore/commit/5433130182) Transition to netstandard.
* [`[b00c1c1dc7]`](https://github.com/aspnet/AspNetCore/commit/b00c1c1dc7) Transition to netstandard.
* [`[8c293934e8]`](https://github.com/aspnet/AspNetCore/commit/8c293934e8) Transition to netstandard.
* [`[9f499d7962]`](https://github.com/aspnet/AspNetCore/commit/9f499d7962) Transition to netstandard.
* [`[d33c2ac377]`](https://github.com/aspnet/AspNetCore/commit/d33c2ac377) Transition to netstandard.
* [`[e8f642df19]`](https://github.com/aspnet/AspNetCore/commit/e8f642df19) Transition to netstandard.
* [`[27e373b277]`](https://github.com/aspnet/AspNetCore/commit/27e373b277) Copy nupkgs from artifacts directory of project built
* [`[12f33de92c]`](https://github.com/aspnet/AspNetCore/commit/12f33de92c) Make ServiceCollectionExtensions consistent
* [`[9f675abbca]`](https://github.com/aspnet/AspNetCore/commit/9f675abbca) Pre-allocate unbound `TagHelper` attributes.
* [`[b7cde3e58f]`](https://github.com/aspnet/AspNetCore/commit/b7cde3e58f) [Fixes #4043] Figure out ControllerModel.AttributeRoutes
* [`[3ab3a1bf5f]`](https://github.com/aspnet/AspNetCore/commit/3ab3a1bf5f) Make WebApplicationBasic consistent with other templates
* [`[b797c9cc1a]`](https://github.com/aspnet/AspNetCore/commit/b797c9cc1a) In all the app templates, load and execute the Bootstrap JS code
* [`[8a5dbf7a05]`](https://github.com/aspnet/AspNetCore/commit/8a5dbf7a05) Re-add server-side prerendering to Angular2 template
* [`[444475ef16]`](https://github.com/aspnet/AspNetCore/commit/444475ef16) Make prerenderer code not rely on a specific process.cwd()
* [`[4dcf63dab4]`](https://github.com/aspnet/AspNetCore/commit/4dcf63dab4) Change Angular2 template to use vendor DLL too. Temporarily disabled server-side prerendering.
* [`[8a5e58aa2c]`](https://github.com/aspnet/AspNetCore/commit/8a5e58aa2c) Make WebpackDevMiddleware able to pass the request through to other middleware for files not served by Webpack
* [`[947adbc8a8]`](https://github.com/aspnet/AspNetCore/commit/947adbc8a8) Fix deployers for non-windows platforms and coreclr
* [`[57371e5c9c]`](https://github.com/aspnet/AspNetCore/commit/57371e5c9c) Transition to netstandard.
* [`[f7bc47875f]`](https://github.com/aspnet/AspNetCore/commit/f7bc47875f) Better organise ReactSpa template so all 3rd-party code goes in vendor bundle
* [`[d5ca369239]`](https://github.com/aspnet/AspNetCore/commit/d5ca369239) Only publish repo artifacts if they exist
* [`[5423dc8c34]`](https://github.com/aspnet/AspNetCore/commit/5423dc8c34) [Fixes #4099] Add a functional test for creating a form with a file upload field
* [`[c55f14caf1]`](https://github.com/aspnet/AspNetCore/commit/c55f14caf1) Minor tidy-up
* [`[74cac774f8]`](https://github.com/aspnet/AspNetCore/commit/74cac774f8) Normalise trailing whitespace and line endings everywhere
* [`[a5509b86e4]`](https://github.com/aspnet/AspNetCore/commit/a5509b86e4) In Angular 2 template, always load CSS via ExtractTextPlugin (otherwise you get a bad FOUC when loading server-prerendered page)
* [`[bfc993af50]`](https://github.com/aspnet/AspNetCore/commit/bfc993af50) Support loading prerenderer boot module via Webpack config; use this in Angular 2 template
* [`[140cdfb2d2]`](https://github.com/aspnet/AspNetCore/commit/140cdfb2d2) Make ServiceCollectionExtensions consistent
* [`[47ba251923]`](https://github.com/aspnet/AspNetCore/commit/47ba251923) Add server-side prerendering for Angular 2 template
* [`[5ac7691f2e]`](https://github.com/aspnet/AspNetCore/commit/5ac7691f2e) Updating to Roslyn beta1 packages
* [`[6d2e51bf63]`](https://github.com/aspnet/AspNetCore/commit/6d2e51bf63) Add data fetching example for Angular 2 template
* [`[97ac684652]`](https://github.com/aspnet/AspNetCore/commit/97ac684652) Change Angular 2 template to use app-style layout, like the React template
* [`[d102fdb363]`](https://github.com/aspnet/AspNetCore/commit/d102fdb363) Enable Webpack dev middleware and basic (non-state-preserving) HMR for Angular template
* [`[f29649c749]`](https://github.com/aspnet/AspNetCore/commit/f29649c749) Fix package metadata
* [`[7ed26eabf7]`](https://github.com/aspnet/AspNetCore/commit/7ed26eabf7) Move files to the right folder
* [`[dab1a1fa8d]`](https://github.com/aspnet/AspNetCore/commit/dab1a1fa8d) bug dodge: Invalid Program Excep on Clr
* [`[766803c573]`](https://github.com/aspnet/AspNetCore/commit/766803c573) Return 400 for bad requests and close conn
* [`[f889965929]`](https://github.com/aspnet/AspNetCore/commit/f889965929) Simplify `IsAssignableFrom()` use - standardize on the `Type` extension method; less verbiage - `ModelMetadata` had a redundant `IsAssignableFrom()` call - `ModelBindingHelper.ValidateBindingContext()` over-engineered and used just once  - do useful bit inline in `KeyValuePairModelBinder` but now a silent "does not apply" case
* [`[1e5b0b9bec]`](https://github.com/aspnet/AspNetCore/commit/1e5b0b9bec) Allow to define section or/and body without the need to render it
* [`[82d3269b45]`](https://github.com/aspnet/AspNetCore/commit/82d3269b45) Fixed how processes are killed on Linux
* [`[8cdc6da20b]`](https://github.com/aspnet/AspNetCore/commit/8cdc6da20b) Fix how processes are killed on Linux
* [`[aa8fd48c64]`](https://github.com/aspnet/AspNetCore/commit/aa8fd48c64) Updated antiforgery ServiceCollectionExtensions
* [`[49ffeb16d2]`](https://github.com/aspnet/AspNetCore/commit/49ffeb16d2) Test fix: Change `CollectionModelBinderTest` to update `ModelMetadata.IsReadOnly` - unrelated to #3482 except that I discovered the issue while investigating that issue - tests previously set `BindingDetails.IsReadOnly` for a `Type` and that was ignored  - same for `DictionaryModelBinderTest`
* [`[48d3c63f70]`](https://github.com/aspnet/AspNetCore/commit/48d3c63f70) TestHelper classes for shared types
* [`[331d4a87ac]`](https://github.com/aspnet/AspNetCore/commit/331d4a87ac) Move chunked request tests
* [`[e0f7bb06dd]`](https://github.com/aspnet/AspNetCore/commit/e0f7bb06dd) Parse chunked trailing headers
* [`[41e3acf0fa]`](https://github.com/aspnet/AspNetCore/commit/41e3acf0fa) [Perf] Avoid Linq method and save its related allocations in TreeRouter
* [`[f21cb128e8]`](https://github.com/aspnet/AspNetCore/commit/f21cb128e8) Handle 0-byte reads correctly (#520).
* [`[e579745f93]`](https://github.com/aspnet/AspNetCore/commit/e579745f93) System.Net.Http references
* [`[c2d889f35e]`](https://github.com/aspnet/AspNetCore/commit/c2d889f35e) Pin to current latest CLI
* [`[00bab92257]`](https://github.com/aspnet/AspNetCore/commit/00bab92257)  * Linux FS is case sensitive
* [`[06cfdcaf23]`](https://github.com/aspnet/AspNetCore/commit/06cfdcaf23) Removing duplicated extension for creating enumerable configuration
* [`[0d737d5eb8]`](https://github.com/aspnet/AspNetCore/commit/0d737d5eb8) Append .exe to executable when deploying published CLR applications
* [`[9b214971f6]`](https://github.com/aspnet/AspNetCore/commit/9b214971f6) Update the self host deployer message so published application command is accurate
* [`[09ad082913]`](https://github.com/aspnet/AspNetCore/commit/09ad082913) No dnu
* [`[af97bcd8e2]`](https://github.com/aspnet/AspNetCore/commit/af97bcd8e2) Do not attempt to use localDb except on Windows - #251
* [`[756953fd50]`](https://github.com/aspnet/AspNetCore/commit/756953fd50) Use the entry assembly when DependencyContext is null
* [`[37055517ee]`](https://github.com/aspnet/AspNetCore/commit/37055517ee) Correct test attributes - #654 - `[IPv6SupportedCondition]` requires `[ConditionalFact]` or `[ConditionalTheory]`
* [`[1c9a54aeb8]`](https://github.com/aspnet/AspNetCore/commit/1c9a54aeb8) [Perf] Reduce allocations in Link generation code paths
* [`[4629148519]`](https://github.com/aspnet/AspNetCore/commit/4629148519) [Design] Add antiforgery middleware
* [`[a9ac505088]`](https://github.com/aspnet/AspNetCore/commit/a9ac505088) Use Mono 4.0.5 - Mono beta is now 4.2.1 which doesn't work reliably with `nuget.exe`   - see also aspnet/External#48
* [`[6cd13c441e]`](https://github.com/aspnet/AspNetCore/commit/6cd13c441e) [Fixes #691] Use WriteAttributeTo when TextWrites is not null
* [`[028c0fb131]`](https://github.com/aspnet/AspNetCore/commit/028c0fb131) Enabled xml doc generation
* [`[0bf650a789]`](https://github.com/aspnet/AspNetCore/commit/0bf650a789) Use a fixed version of Roslyn to allow Coherence to succeed
* [`[c1b808f8af]`](https://github.com/aspnet/AspNetCore/commit/c1b808f8af) Fix code style inconsistencies
* [`[a6ea8b5101]`](https://github.com/aspnet/AspNetCore/commit/a6ea8b5101) Change ReactSpa template to something more like a dashboard with sidebar navigation
* [`[eac76683cc]`](https://github.com/aspnet/AspNetCore/commit/eac76683cc) Enable server-side rendering for ReactSpa template
* [`[f0b0160419]`](https://github.com/aspnet/AspNetCore/commit/f0b0160419) Add Webpack dev middleware and React hot module replacement to ReactSpa template
* [`[8eb3946caf]`](https://github.com/aspnet/AspNetCore/commit/8eb3946caf) Preventing from running dotnet test if test runner is not specified
* [`[4ad6bbcdd3]`](https://github.com/aspnet/AspNetCore/commit/4ad6bbcdd3) Add required dependency for running test site
* [`[de488987c1]`](https://github.com/aspnet/AspNetCore/commit/de488987c1) Add Angular2Spa template
* [`[04a9313009]`](https://github.com/aspnet/AspNetCore/commit/04a9313009) Disable running E2ETests in parallel
* [`[67e49d3636]`](https://github.com/aspnet/AspNetCore/commit/67e49d3636) Enable passing in 'parallel' parameter to dotnet test
* [`[aca02c8311]`](https://github.com/aspnet/AspNetCore/commit/aca02c8311) Don't invoke k-clean as part of default lifecycle.
* [`[c259f82615]`](https://github.com/aspnet/AspNetCore/commit/c259f82615) [Fixes #4112 #4093] Adding support for custom SSL port
* [`[0aa39e9d29]`](https://github.com/aspnet/AspNetCore/commit/0aa39e9d29) Adding -noappdomain option to work aroun a Mono issue
* [`[a55394638f]`](https://github.com/aspnet/AspNetCore/commit/a55394638f) Add ReactSpa template
* [`[0c5eabc022]`](https://github.com/aspnet/AspNetCore/commit/0c5eabc022) Switch to Webpack
* [`[5b805bb12d]`](https://github.com/aspnet/AspNetCore/commit/5b805bb12d) Updating to use cli
* [`[f4e69beea1]`](https://github.com/aspnet/AspNetCore/commit/f4e69beea1) Creating webroot if one does not exists
* [`[1739bf3f2c]`](https://github.com/aspnet/AspNetCore/commit/1739bf3f2c) Going back to 1496 after we found a workaround for Kestrel
* [`[f202f5b7b3]`](https://github.com/aspnet/AspNetCore/commit/f202f5b7b3) Add ServiceCollection extension overload accepting options
* [`[46f6fa85d5]`](https://github.com/aspnet/AspNetCore/commit/46f6fa85d5) Minor fix to service collection extensions
* [`[12be957cad]`](https://github.com/aspnet/AspNetCore/commit/12be957cad) Updating dotnet cli version to 1496 Removing DOTNET_HOME as it is no longer used
* [`[9b10be8612]`](https://github.com/aspnet/AspNetCore/commit/9b10be8612) Pass the correct configuration to the test runners
* [`[58e07a8b2b]`](https://github.com/aspnet/AspNetCore/commit/58e07a8b2b) Put threads into background before starting
* [`[58525b0369]`](https://github.com/aspnet/AspNetCore/commit/58525b0369) Ignore .vs/
* [`[df5eb0a15c]`](https://github.com/aspnet/AspNetCore/commit/df5eb0a15c) [Fixes #4092] Using System.Buffers in JsonResultExecutor
* [`[dc456ceab5]`](https://github.com/aspnet/AspNetCore/commit/dc456ceab5) Downgrade to use CoreFX NET46 compatible packages
* [`[c030ef9129]`](https://github.com/aspnet/AspNetCore/commit/c030ef9129) [Fixes #567] Adding port and host parsing in HostString
* [`[5f25bbcd36]`](https://github.com/aspnet/AspNetCore/commit/5f25bbcd36) Fixing broken test
* [`[3007398648]`](https://github.com/aspnet/AspNetCore/commit/3007398648) Enabled xml doc generation
* [`[9bbbe535f2]`](https://github.com/aspnet/AspNetCore/commit/9bbbe535f2) #690 Enable custom OIDC authorization code redemption.
* [`[899fe193e7]`](https://github.com/aspnet/AspNetCore/commit/899fe193e7) Replacing KillProcess with taskkill /t which kills entire process tree
* [`[3d8dcfac4f]`](https://github.com/aspnet/AspNetCore/commit/3d8dcfac4f) Enabled xml doc generation
* [`[33d07b8f7c]`](https://github.com/aspnet/AspNetCore/commit/33d07b8f7c) Enabled xml doc generation
* [`[b5ff692dbf]`](https://github.com/aspnet/AspNetCore/commit/b5ff692dbf) Enabled xml doc generation
* [`[ee5f72d3a4]`](https://github.com/aspnet/AspNetCore/commit/ee5f72d3a4) Enabled xml doc generation
* [`[4bbea583b0]`](https://github.com/aspnet/AspNetCore/commit/4bbea583b0) Enabled xml doc generation
* [`[97664e84f9]`](https://github.com/aspnet/AspNetCore/commit/97664e84f9) Renamed file
* [`[78451efa7f]`](https://github.com/aspnet/AspNetCore/commit/78451efa7f) Pool `TagHelperExecutionContext`s within `TagHelperScopeManager`.
* [`[4123d83d26]`](https://github.com/aspnet/AspNetCore/commit/4123d83d26) [Fixes #4047] SelectTagHelpers: asp-items shouldn't require/depend on asp-for.
* [`[fd3ee49987]`](https://github.com/aspnet/AspNetCore/commit/fd3ee49987) [Fixes #4085] Controller helper inconsistency: HttpNotFound(), Ok()
* [`[75c05be2f7]`](https://github.com/aspnet/AspNetCore/commit/75c05be2f7) removing redundant 'http' prefixes from helper methods.
* [`[430a62982e]`](https://github.com/aspnet/AspNetCore/commit/430a62982e) Switch to v3 NuGet feeds
* [`[90f71aa6ec]`](https://github.com/aspnet/AspNetCore/commit/90f71aa6ec) Add missing `System.Resources.ResourceManager` dependency.
* [`[3e8368ad66]`](https://github.com/aspnet/AspNetCore/commit/3e8368ad66) Enabled xml doc generation
* [`[e14b86ebe0]`](https://github.com/aspnet/AspNetCore/commit/e14b86ebe0) Enabled xml doc generation
* [`[42d913b3ba]`](https://github.com/aspnet/AspNetCore/commit/42d913b3ba) Enabled xml doc generation
* [`[a0169238d0]`](https://github.com/aspnet/AspNetCore/commit/a0169238d0) Enabled xml doc generation
* [`[d4e72564c7]`](https://github.com/aspnet/AspNetCore/commit/d4e72564c7) Add AuthenticationManager.HttpContext. Clean up contructors.
* [`[2abc6a2343]`](https://github.com/aspnet/AspNetCore/commit/2abc6a2343) Update System.Linq 4.0.2-* => 4.1.0-*.
* [`[795bbfce69]`](https://github.com/aspnet/AspNetCore/commit/795bbfce69) Update System.Linq 4.0.2-* => 4.1.0-*.
* [`[9b0afe0d1b]`](https://github.com/aspnet/AspNetCore/commit/9b0afe0d1b) Update System.Linq 4.0.2-* => 4.1.0-*.
* [`[c7029a1bd0]`](https://github.com/aspnet/AspNetCore/commit/c7029a1bd0) Update System.Linq 4.0.2-* => 4.1.0-*.
* [`[f1e696d865]`](https://github.com/aspnet/AspNetCore/commit/f1e696d865) Enabled xml doc generation
* [`[4fe825793b]`](https://github.com/aspnet/AspNetCore/commit/4fe825793b) Enabled xml doc generation
* [`[91751015ea]`](https://github.com/aspnet/AspNetCore/commit/91751015ea) Reset fields on AuthenticateContext
* [`[2c5061a8ab]`](https://github.com/aspnet/AspNetCore/commit/2c5061a8ab)  * Include version in project.json
* [`[aef612bdac]`](https://github.com/aspnet/AspNetCore/commit/aef612bdac) Add IHttpConnectionFeature.ConnectionId.
* [`[5e7b30c04b]`](https://github.com/aspnet/AspNetCore/commit/5e7b30c04b) #542 Add IHttpConnectionFeature.ConnectionId
* [`[2281d8cf89]`](https://github.com/aspnet/AspNetCore/commit/2281d8cf89) Fix missing parantheses
* [`[03266b4b2a]`](https://github.com/aspnet/AspNetCore/commit/03266b4b2a) Don't return if no volatile feeds are found.
* [`[478edc1735]`](https://github.com/aspnet/AspNetCore/commit/478edc1735) Pool `char`s used for base64url-encoding and -decoding - #23 part 4 - depends on aspnet/HttpAbstractions@8c120a0
* [`[8c120a0792]`](https://github.com/aspnet/AspNetCore/commit/8c120a0792) Extend `WebEncoders` API to avoid allocations within the methods - rewrite existing methods in terms of the new ones - don't allocate multiple 0-length arrays
* [`[8bde9b7e72]`](https://github.com/aspnet/AspNetCore/commit/8bde9b7e72) Enabled xml doc generation
* [`[53ecef0f98]`](https://github.com/aspnet/AspNetCore/commit/53ecef0f98) Use libuv to track connections instead of ConcurrentDictionaries
* [`[f4bb8d5eff]`](https://github.com/aspnet/AspNetCore/commit/f4bb8d5eff) Verify that memory pool blocks aren't leaked in tests
* [`[304016fc3b]`](https://github.com/aspnet/AspNetCore/commit/304016fc3b) Close UvAsyncHandle properly to avoid zombie threads
* [`[54caf3071c]`](https://github.com/aspnet/AspNetCore/commit/54caf3071c) Close connections as quickly and gracefully as possible on shutdown
* [`[9c31907bac]`](https://github.com/aspnet/AspNetCore/commit/9c31907bac) Don't rely on the finalizer to return blocks referenced by SocketInput
* [`[80ea4b9035]`](https://github.com/aspnet/AspNetCore/commit/80ea4b9035) Enabled xml doc generation
* [`[5061848e9e]`](https://github.com/aspnet/AspNetCore/commit/5061848e9e) Add IHttpConnectionFeature.ConnectionId.
* [`[c2f4bd0be5]`](https://github.com/aspnet/AspNetCore/commit/c2f4bd0be5) Enabled xml doc generation
* [`[a8dbf6a255]`](https://github.com/aspnet/AspNetCore/commit/a8dbf6a255)  * Add logging for other IAntiforgery public methods
* [`[b557ca55d9]`](https://github.com/aspnet/AspNetCore/commit/b557ca55d9) Fix behavior of StartsWithPrefix
* [`[54fea50483]`](https://github.com/aspnet/AspNetCore/commit/54fea50483) Enabled xml doc generation
* [`[fd6d28d9eb]`](https://github.com/aspnet/AspNetCore/commit/fd6d28d9eb) Make AddControllersAsServices not overwrite existing IControllerTypeProvider
* [`[ffa8f3f092]`](https://github.com/aspnet/AspNetCore/commit/ffa8f3f092) Helper function for test socket creation
* [`[6aa848dd93]`](https://github.com/aspnet/AspNetCore/commit/6aa848dd93) Convert TFM to net451 to allow custom test discovery
* [`[910f0139f9]`](https://github.com/aspnet/AspNetCore/commit/910f0139f9) [Fixes #4050] Throw an exception on CanRead/Write and GetSupportedContentTypes when the list of media types is empty
* [`[b4438c0559]`](https://github.com/aspnet/AspNetCore/commit/b4438c0559) Enable publishing to IIS
* [`[220479c1a1]`](https://github.com/aspnet/AspNetCore/commit/220479c1a1) [Fixes #30] Updated UID generation in DefaultClaimUidExtractor
* [`[7337f50112]`](https://github.com/aspnet/AspNetCore/commit/7337f50112) [Fixes #3774] DataAnnotation validation ignored
* [`[a0164b005d]`](https://github.com/aspnet/AspNetCore/commit/a0164b005d) (#346) Fixed case when razor fails to recognize escape shortcut when the first character in a text is `:`. For example @::sometext.
* [`[0633690715]`](https://github.com/aspnet/AspNetCore/commit/0633690715) Simplify resolve path check
* [`[020e0b9dc5]`](https://github.com/aspnet/AspNetCore/commit/020e0b9dc5) Enable TCP Loopback Fast Path (Windows)
* [`[b473402cb1]`](https://github.com/aspnet/AspNetCore/commit/b473402cb1) Fast header clear
* [`[f8aa1a676a]`](https://github.com/aspnet/AspNetCore/commit/f8aa1a676a) Pass ServerInformation as property of ServiceContext
* [`[460dbb15c2]`](https://github.com/aspnet/AspNetCore/commit/460dbb15c2) RO Headers & rationalise exceptions
* [`[c293bbbd1a]`](https://github.com/aspnet/AspNetCore/commit/c293bbbd1a) Reuse headers to prevent values moving to higher GC gens
* [`[30cb9d3fa3]`](https://github.com/aspnet/AspNetCore/commit/30cb9d3fa3) Stock WebApplicationBasic output from "yo aspnet"
* [`[ac23e5aec6]`](https://github.com/aspnet/AspNetCore/commit/ac23e5aec6) [Fixes #4013] Added support for areas in 'a' and 'form' tag helpers
* [`[ac107b5371]`](https://github.com/aspnet/AspNetCore/commit/ac107b5371) Make IsRequestValid check HTTP method
* [`[de7475cc33]`](https://github.com/aspnet/AspNetCore/commit/de7475cc33) Updated per KB 3137909.
* [`[8a412a5af3]`](https://github.com/aspnet/AspNetCore/commit/8a412a5af3) Implement simple Webpack setup
* [`[778e6402d5]`](https://github.com/aspnet/AspNetCore/commit/778e6402d5) Roughly empty starting point for Webpack demo
* [`[65858b8d8b]`](https://github.com/aspnet/AspNetCore/commit/65858b8d8b) [Fixes #4051] Split OutputFormatter into OutputFormatter and TextOutputFormatter
* [`[63354e25a8]`](https://github.com/aspnet/AspNetCore/commit/63354e25a8) Make GetSupportedContentTypes on InputFormatter vitual
* [`[a33369acd8]`](https://github.com/aspnet/AspNetCore/commit/a33369acd8) Fast-path PrefixEnumerator
* [`[314bc21413]`](https://github.com/aspnet/AspNetCore/commit/314bc21413) Add missing framework assemblies
* [`[cb09ffccce]`](https://github.com/aspnet/AspNetCore/commit/cb09ffccce) Changed SaveAs[Async](string) to CopyTo[Async](Stream)
* [`[6bad1bba5b]`](https://github.com/aspnet/AspNetCore/commit/6bad1bba5b) Enable Razor templates inside of sections.
* [`[6a7289d52e]`](https://github.com/aspnet/AspNetCore/commit/6a7289d52e) Continue deleting ni files on Linux until a new CLI is available
* [`[3fcd6f94ee]`](https://github.com/aspnet/AspNetCore/commit/3fcd6f94ee) Keep cli native images
* [`[edff3a563c]`](https://github.com/aspnet/AspNetCore/commit/edff3a563c) Adding messages showing that the tool is running
* [`[971667e7da]`](https://github.com/aspnet/AspNetCore/commit/971667e7da) Strong naming dotnet-publish-iis
* [`[a493a9756e]`](https://github.com/aspnet/AspNetCore/commit/a493a9756e) Simplify IsWhitespace
* [`[fd11d70fcd]`](https://github.com/aspnet/AspNetCore/commit/fd11d70fcd) Less work on non-relative strings in UrlResolutionTagHelper
* [`[f743d75e59]`](https://github.com/aspnet/AspNetCore/commit/f743d75e59) Add missing framework assemblies to test projects
* [`[94d05de88c]`](https://github.com/aspnet/AspNetCore/commit/94d05de88c) Add missing dependency
* [`[0c3b8274f1]`](https://github.com/aspnet/AspNetCore/commit/0c3b8274f1) Normalise line endings
* [`[71cb3abc13]`](https://github.com/aspnet/AspNetCore/commit/71cb3abc13) Update ReactGrid sample to use newer server-side rendering APIs
* [`[b7b3273fa4]`](https://github.com/aspnet/AspNetCore/commit/b7b3273fa4) Lazily initialize `TagHelperAttributeList`s.
* [`[6c2c777bdc]`](https://github.com/aspnet/AspNetCore/commit/6c2c777bdc) Optimize StartsWithPrefix
* [`[dacebacb90]`](https://github.com/aspnet/AspNetCore/commit/dacebacb90) Optimize PrefixContainer
* [`[698502df8c]`](https://github.com/aspnet/AspNetCore/commit/698502df8c) Rewrite MutableObjectModelBinder
* [`[558aa31542]`](https://github.com/aspnet/AspNetCore/commit/558aa31542) Fix compiler warning
* [`[a84688d65c]`](https://github.com/aspnet/AspNetCore/commit/a84688d65c) Ensure data is only loaded if not already loaded (needed to keep client/server state consistent)
* [`[3a567823e8]`](https://github.com/aspnet/AspNetCore/commit/3a567823e8) Extract CSS into a separate file so it can be loaded independently of JS execution
* [`[2e9a43d1dc]`](https://github.com/aspnet/AspNetCore/commit/2e9a43d1dc) WebpackDevMiddleware should run in a separate Node instance that doesn't restart when files change (otherwise there's no point in running it at all)
* [`[6c903f33ae]`](https://github.com/aspnet/AspNetCore/commit/6c903f33ae) Move React server-side rendering into more general SpaServices package
* [`[73695fc443]`](https://github.com/aspnet/AspNetCore/commit/73695fc443) Serialize cookie token at most once - #23 part 3 - `Get[AndStore]Tokens()` would deserialize cookie token from request even if `IsRequestValidAsync()` already had - `GetAndStoreTokens()` serialized an old (never saved) cookie token once and a new one twice
* [`[b35ac19485]`](https://github.com/aspnet/AspNetCore/commit/b35ac19485) Reference external redux-typed package
* [`[b8224d2bef]`](https://github.com/aspnet/AspNetCore/commit/b8224d2bef) Move TypedRedux out into a new NPM package called 'redux-typed'
* [`[e7eb076a39]`](https://github.com/aspnet/AspNetCore/commit/e7eb076a39) Change the deployers to use dotnet
* [`[c8a9ecc0c1]`](https://github.com/aspnet/AspNetCore/commit/c8a9ecc0c1)  * Add logging to Antiforgery
* [`[32349fa85b]`](https://github.com/aspnet/AspNetCore/commit/32349fa85b) Rename domain-tasks to domain-task
* [`[4312d6e28c]`](https://github.com/aspnet/AspNetCore/commit/4312d6e28c) Temporary fake .d.ts for domain-tasks until moved to definitelytyped
* [`[ad55e9c94d]`](https://github.com/aspnet/AspNetCore/commit/ad55e9c94d) Use external domain-tasks NPM module
* [`[44850090e3]`](https://github.com/aspnet/AspNetCore/commit/44850090e3) #110 Fix sample to publish the wwwroot dir as content.
* [`[34bc9c52e1]`](https://github.com/aspnet/AspNetCore/commit/34bc9c52e1) #456 Unify OIDC Code/IdToken/Hybride flows.
* [`[bbcabc0212]`](https://github.com/aspnet/AspNetCore/commit/bbcabc0212) Move GenerateCorrelationId and ValidateCorrelationId to RemoteAuthenticationHandler
* [`[e419ec43fc]`](https://github.com/aspnet/AspNetCore/commit/e419ec43fc) Make render-server able to load TS/ES2015 without precompilation
* [`[04e9da4e88]`](https://github.com/aspnet/AspNetCore/commit/04e9da4e88) #527 Add IFileInfo overloads for SendFileAsync.
* [`[44834debeb]`](https://github.com/aspnet/AspNetCore/commit/44834debeb) Fix broken code path in antiforgery
* [`[3e6c7171be]`](https://github.com/aspnet/AspNetCore/commit/3e6c7171be)  #515 Make forgiving vs strict header list parsers.
* [`[1fc3426278]`](https://github.com/aspnet/AspNetCore/commit/1fc3426278) render-server.js shouldn't depend on React/Redux-specific concepts
* [`[05905a42ab]`](https://github.com/aspnet/AspNetCore/commit/05905a42ab) Move framework stuff into 'fx' folder
* [`[59b28ae5ee]`](https://github.com/aspnet/AspNetCore/commit/59b28ae5ee) Don't hide errors
* [`[9c16c7da3d]`](https://github.com/aspnet/AspNetCore/commit/9c16c7da3d) Beginning server-side rendering support
* [`[bafb097e9f]`](https://github.com/aspnet/AspNetCore/commit/bafb097e9f) Update to new CLI.
* [`[fb0807cd7d]`](https://github.com/aspnet/AspNetCore/commit/fb0807cd7d) Reduce dependencies in server abstractions
* [`[d20df7393d]`](https://github.com/aspnet/AspNetCore/commit/d20df7393d) Fix project.json System.Runtime dependency.
* [`[42890042a3]`](https://github.com/aspnet/AspNetCore/commit/42890042a3) Update shared project system.runtime dependency.
* [`[5811c98230]`](https://github.com/aspnet/AspNetCore/commit/5811c98230) Beginning React+Redux "Music Store" sample
* [`[fe639f028f]`](https://github.com/aspnet/AspNetCore/commit/fe639f028f) [Fixes 3961] Consider InputFormatter behavior when we can't read the charset
* [`[c2194ea99d]`](https://github.com/aspnet/AspNetCore/commit/c2194ea99d) Updated Json.Net versions
* [`[563052f800]`](https://github.com/aspnet/AspNetCore/commit/563052f800) Updating sample to new CLI
* [`[1da365ce4c]`](https://github.com/aspnet/AspNetCore/commit/1da365ce4c) Add 'UseServer'
* [`[1b4ccd0ddf]`](https://github.com/aspnet/AspNetCore/commit/1b4ccd0ddf) Add 'UseServer'
* [`[8e8de413f8]`](https://github.com/aspnet/AspNetCore/commit/8e8de413f8) Re-enable few tests on Mono
* [`[fc99082ea8]`](https://github.com/aspnet/AspNetCore/commit/fc99082ea8) Make `TagHelperAttribute` immutable.
* [`[49c553ec7b]`](https://github.com/aspnet/AspNetCore/commit/49c553ec7b) Updated Json.Net version
* [`[9445574aa1]`](https://github.com/aspnet/AspNetCore/commit/9445574aa1) Updated Json.Net version
* [`[fa181819c1]`](https://github.com/aspnet/AspNetCore/commit/fa181819c1) Update Json.Net version
* [`[ca6bef4c11]`](https://github.com/aspnet/AspNetCore/commit/ca6bef4c11) Adding missing [Fact] attribute
* [`[9ea5a939cf]`](https://github.com/aspnet/AspNetCore/commit/9ea5a939cf) Move Antiforgery.GetHtml() to MVC as an extension
* [`[79df7c9ca7]`](https://github.com/aspnet/AspNetCore/commit/79df7c9ca7) Resolving relative application base paths
* [`[063bc1f8e8]`](https://github.com/aspnet/AspNetCore/commit/063bc1f8e8) Replace comparer with a bespoke BinarySearch
* [`[1a87f6d91a]`](https://github.com/aspnet/AspNetCore/commit/1a87f6d91a) [Fixes #3915] Update FormFileModelBinder to avoid re-parsing the ContentDisposition header
* [`[3a2d09b066]`](https://github.com/aspnet/AspNetCore/commit/3a2d09b066) Move exceptions from the store to the facade
* [`[c91f0ee667]`](https://github.com/aspnet/AspNetCore/commit/c91f0ee667) Clean up some tests - avoid mocking `HttpContext` - change `DefaultAntiforgeryTest` to mock token generators consistently
* [`[d97947e229]`](https://github.com/aspnet/AspNetCore/commit/d97947e229) Move routing extensions to .Routing
* [`[fc236b07e2]`](https://github.com/aspnet/AspNetCore/commit/fc236b07e2) Add 'UseServer'
* [`[b1df299ec3]`](https://github.com/aspnet/AspNetCore/commit/b1df299ec3) Add 'UseServer'
* [`[e00453af4d]`](https://github.com/aspnet/AspNetCore/commit/e00453af4d) Ensure scope has no duplicates
* [`[705c080d3b]`](https://github.com/aspnet/AspNetCore/commit/705c080d3b) Move Antiforgery implementation details to `.Internal` - leave `IAntiforgery`, `IAntiforgeryAdditionalDataProvider` and related bits behind
* [`[4b980c8afa]`](https://github.com/aspnet/AspNetCore/commit/4b980c8afa) Optimize defensive copies where possible
* [`[82e1bcf261]`](https://github.com/aspnet/AspNetCore/commit/82e1bcf261) Add 'UseServer'
* [`[48ee352022]`](https://github.com/aspnet/AspNetCore/commit/48ee352022) Add form and header name to token set
* [`[8d804cfbbc]`](https://github.com/aspnet/AspNetCore/commit/8d804cfbbc) Updating to new CLI
* [`[186c26f6a1]`](https://github.com/aspnet/AspNetCore/commit/186c26f6a1) Adding ASPNET_APPLICATIONBASE environment variable to fix MVC views in IIS
* [`[c9d8a1330e]`](https://github.com/aspnet/AspNetCore/commit/c9d8a1330e) Add 'UseServer'
* [`[9c734ddbab]`](https://github.com/aspnet/AspNetCore/commit/9c734ddbab) Reference Microsoft.NETCore.Platforms where necessary.
* [`[477e620a6b]`](https://github.com/aspnet/AspNetCore/commit/477e620a6b)  * Unignore test
* [`[461fd40251]`](https://github.com/aspnet/AspNetCore/commit/461fd40251) Updating to new CLI
* [`[c5186cc01d]`](https://github.com/aspnet/AspNetCore/commit/c5186cc01d) Reference Microsoft.NETCore.Platforms where necessary.
* [`[d264a86c5d]`](https://github.com/aspnet/AspNetCore/commit/d264a86c5d) Reference Microsoft.NETCore.Platforms where necessary.
* [`[6de171f1ef]`](https://github.com/aspnet/AspNetCore/commit/6de171f1ef) [Fixes #3904] Redesigned IValueProviderFactory and renamed a few methods
* [`[acd88d08ba]`](https://github.com/aspnet/AspNetCore/commit/acd88d08ba) Enable invoking a `ViewComponent` without arguments inside of a controller.
* [`[906ed5f0fb]`](https://github.com/aspnet/AspNetCore/commit/906ed5f0fb) Fixes #597: Hosting logging needs to use structured logging instead of format strings
* [`[f888ced1f2]`](https://github.com/aspnet/AspNetCore/commit/f888ced1f2) Updated FormatFilter tests to include Accept header
* [`[20140c4c15]`](https://github.com/aspnet/AspNetCore/commit/20140c4c15) Adds a IsRequestValidAsync method
* [`[1d22eed129]`](https://github.com/aspnet/AspNetCore/commit/1d22eed129) Updating to new CLI
* [`[0ddfa5f0d8]`](https://github.com/aspnet/AspNetCore/commit/0ddfa5f0d8) Pool `MemoryStream`, `BinaryReader`, `BinaryWriter`, and `SHA256` instances - #23 part 2 - reduce `byte[]` and `char[]` allocations because all have internal buffers  - fortunately, only `MemoryStream` has an unbounded buffer
* [`[d97fe04cd7]`](https://github.com/aspnet/AspNetCore/commit/d97fe04cd7) Fix Mvc tests.
* [`[096007b394]`](https://github.com/aspnet/AspNetCore/commit/096007b394) Updated `Controller`s `ViewComponent` method to handle arguments.
* [`[50fc0bb140]`](https://github.com/aspnet/AspNetCore/commit/50fc0bb140) Reference Microsoft.NETCore.Platforms where necessary.
* [`[f452597452]`](https://github.com/aspnet/AspNetCore/commit/f452597452) Add Microsoft.NETCore.Platforms to the projects that have to be built with dnu
* [`[c116a38c87]`](https://github.com/aspnet/AspNetCore/commit/c116a38c87) Reducing ModelBindingContext allocations
* [`[2aca8810d3]`](https://github.com/aspnet/AspNetCore/commit/2aca8810d3)  * Give message correct path.
* [`[da091104b7]`](https://github.com/aspnet/AspNetCore/commit/da091104b7) Updating to new CLI
* [`[e59e2e0328]`](https://github.com/aspnet/AspNetCore/commit/e59e2e0328) Only use Webpack Dev Middleware in dev mode
* [`[8ef9ab31a7]`](https://github.com/aspnet/AspNetCore/commit/8ef9ab31a7) Enable Webpack dev middleware and React hot module replacement
* [`[225dfdd168]`](https://github.com/aspnet/AspNetCore/commit/225dfdd168) #31 Ugrade to Babel 6 and update the ReactGrid sample
* [`[73e218de4e]`](https://github.com/aspnet/AspNetCore/commit/73e218de4e) Add strong naming and fix DB path on IIS Express
* [`[2d88b9957d]`](https://github.com/aspnet/AspNetCore/commit/2d88b9957d) Undo accidental change to Nuget.config
* [`[4666564b87]`](https://github.com/aspnet/AspNetCore/commit/4666564b87) Updating to new CLI
* [`[8e94d40688]`](https://github.com/aspnet/AspNetCore/commit/8e94d40688) Updating to new CLI
* [`[7c7a4a905e]`](https://github.com/aspnet/AspNetCore/commit/7c7a4a905e) Correct project dependencies - use latest `System.Net.Http`, not hard-coded version - add imports for the latest CLI  - see aspnet/FileSystem@4a9a0fd for the inspiration
* [`[0d4fe3ba72]`](https://github.com/aspnet/AspNetCore/commit/0d4fe3ba72) Updating to new CLI
* [`[2fd1490c4a]`](https://github.com/aspnet/AspNetCore/commit/2fd1490c4a) Relocating dependencies
* [`[8aa7a0993d]`](https://github.com/aspnet/AspNetCore/commit/8aa7a0993d) Relocating dependencies
* [`[82e17ce2b6]`](https://github.com/aspnet/AspNetCore/commit/82e17ce2b6) Removing redundant dependencies
* [`[33629c5fc0]`](https://github.com/aspnet/AspNetCore/commit/33629c5fc0) Updating to new CLI
* [`[93079ea3a6]`](https://github.com/aspnet/AspNetCore/commit/93079ea3a6) Updating to new CLI
* [`[4418a5527d]`](https://github.com/aspnet/AspNetCore/commit/4418a5527d) Up imports to net451.
* [`[20ed43fd68]`](https://github.com/aspnet/AspNetCore/commit/20ed43fd68) Updating to new CLI
* [`[d1fdc22b9b]`](https://github.com/aspnet/AspNetCore/commit/d1fdc22b9b) Reduce allocations in FormContext
* [`[6709b07dc5]`](https://github.com/aspnet/AspNetCore/commit/6709b07dc5) Add identity services for ntlm test
* [`[dfac28da89]`](https://github.com/aspnet/AspNetCore/commit/dfac28da89) Fix warnings, enable warningsAsErrors
* [`[6d3b5f1978]`](https://github.com/aspnet/AspNetCore/commit/6d3b5f1978) See if a few skips are incorrectly associated w/ aspnet/External#18
* [`[faba95287e]`](https://github.com/aspnet/AspNetCore/commit/faba95287e) Fix for #3743 - CancellationToken validation
* [`[42f33668c0]`](https://github.com/aspnet/AspNetCore/commit/42f33668c0) Moved missing file from AspNetCore rename
* [`[94593de0c1]`](https://github.com/aspnet/AspNetCore/commit/94593de0c1) Print the application base path out
* [`[aeba565e53]`](https://github.com/aspnet/AspNetCore/commit/aeba565e53) Fixing ArgumentOutOfRangeException in ExpressionRewriter
* [`[765a52007a]`](https://github.com/aspnet/AspNetCore/commit/765a52007a) Use EscapeDataString for encoding Cookies
* [`[26a14a25ab]`](https://github.com/aspnet/AspNetCore/commit/26a14a25ab) Support overrides for client-side validation messages - #2969 - `RemoteAttribute` did not support `IStringLocalizer` overrides  - use same `MvcDataAnnotationsLocalizationOptions` property as for other `ValidationAttribute`s - error message `NumericClientModelValidator` added could not be overridden  - not related to `IStringLocalizer` because users have no way to set the resource lookup key  - extend `IModelBindingMessageProvider` to add the necessary `Func<,>` - also correct problem using resources with `RemoteAttribute` and add lots of tests
* [`[d6843b5a9d]`](https://github.com/aspnet/AspNetCore/commit/d6843b5a9d) Fixed bad xml documentation
* [`[47351aac7a]`](https://github.com/aspnet/AspNetCore/commit/47351aac7a) Added caching for client model validators
* [`[c01d90900e]`](https://github.com/aspnet/AspNetCore/commit/c01d90900e) Don't transitively depend on `Newtonsoft.Json`.
* [`[0556a2c291]`](https://github.com/aspnet/AspNetCore/commit/0556a2c291) Use dotnet 1.0.0.001244 on *nix.
* [`[fdcbc0f2eb]`](https://github.com/aspnet/AspNetCore/commit/fdcbc0f2eb) Handle --version in dotnet-install.sh.
* [`[5444297795]`](https://github.com/aspnet/AspNetCore/commit/5444297795) Add `--no-restore` and apply `--quiet` to `dotnet restore` - new `--no-restore` pseudo-target controls whether `dotnet restore` runs at all - `--quiet` adds `--verbosity minimal` to `dotnet restore` command
* [`[de449ee249]`](https://github.com/aspnet/AspNetCore/commit/de449ee249) Fix dotnet publish to only delete the specific framework bin folder
* [`[3adcbd10f7]`](https://github.com/aspnet/AspNetCore/commit/3adcbd10f7) Move temp delete elsewhere
* [`[a089369216]`](https://github.com/aspnet/AspNetCore/commit/a089369216) Updated Json.Net version
* [`[564dae0a6a]`](https://github.com/aspnet/AspNetCore/commit/564dae0a6a) Fix cross gen issue
* [`[7cbb263edb]`](https://github.com/aspnet/AspNetCore/commit/7cbb263edb) [Fixes #3874] Null passed as arguments to controller method parameters when no InputFormatter matches
* [`[1209eca3fa]`](https://github.com/aspnet/AspNetCore/commit/1209eca3fa) Normalize request path to NFC and resolve dot segments (#273).
* [`[ae47bb21a6]`](https://github.com/aspnet/AspNetCore/commit/ae47bb21a6) Ordering sensitive configuration #582
* [`[80dc5759cc]`](https://github.com/aspnet/AspNetCore/commit/80dc5759cc) Async overloads for AuthZ RequireAssertion
* [`[f78c52a216]`](https://github.com/aspnet/AspNetCore/commit/f78c52a216) Expose `IsTagHelper` as an extensibility point.
* [`[690c42c199]`](https://github.com/aspnet/AspNetCore/commit/690c42c199) Add dependency on System.Runtime.Serialization.Primitives to make up for JSON.NET not including it
* [`[8753c60b43]`](https://github.com/aspnet/AspNetCore/commit/8753c60b43) Fix failing auth test
* [`[8b726ddc0c]`](https://github.com/aspnet/AspNetCore/commit/8b726ddc0c) Allow the use of the Prompt property of DisplayAttribute for the placeholder attribute of input fields (addresses #3723)
* [`[a80c5e6d85]`](https://github.com/aspnet/AspNetCore/commit/a80c5e6d85) #614 Standardize the pattern for scope defaults.
* [`[d616f0ccb0]`](https://github.com/aspnet/AspNetCore/commit/d616f0ccb0) Fix FindFirstEqualByte tests
* [`[00ceeb0262]`](https://github.com/aspnet/AspNetCore/commit/00ceeb0262) Add IAuthorizationPolicyProvider support
* [`[1a70f12bf8]`](https://github.com/aspnet/AspNetCore/commit/1a70f12bf8) Undesign client validation
* [`[8c4bcf14c7]`](https://github.com/aspnet/AspNetCore/commit/8c4bcf14c7) Added caching for validators
* [`[71a815be50]`](https://github.com/aspnet/AspNetCore/commit/71a815be50) [Fixes #3979] AuthorizationContext conflicts with type in Microsoft.AspNet.Authorization
* [`[357f4a00b7]`](https://github.com/aspnet/AspNetCore/commit/357f4a00b7) [Fixes #3952] ViewComponentDescriptor.Type should be a TypeInfo instance instead of a Type instance
* [`[153c229b7e]`](https://github.com/aspnet/AspNetCore/commit/153c229b7e) Update .gitignore - ignore launchSettings.json in particular
* [`[e952009b09]`](https://github.com/aspnet/AspNetCore/commit/e952009b09) Fix broken test.
* [`[79eb0138c7]`](https://github.com/aspnet/AspNetCore/commit/79eb0138c7) Migrate to using System.Runtime.Loader.AssemblyLoadContext
* [`[2218212c92]`](https://github.com/aspnet/AspNetCore/commit/2218212c92) Require exactly the same version of rxjs as current Angular 2 beta
* [`[44fd9dd6ab]`](https://github.com/aspnet/AspNetCore/commit/44fd9dd6ab) Publish update angular2-aspnet NPM module so it takes dependency on correct version of Angular
* [`[47c956cc4d]`](https://github.com/aspnet/AspNetCore/commit/47c956cc4d) Move packages under top-level 'src' folder
* [`[ea4c668a63]`](https://github.com/aspnet/AspNetCore/commit/ea4c668a63) Make the edit form and delete dialog work again
* [`[a47dd7ad63]`](https://github.com/aspnet/AspNetCore/commit/a47dd7ad63) Fix design time line mapping Razor Host tests.
* [`[18909506e1]`](https://github.com/aspnet/AspNetCore/commit/18909506e1) Flatten TagHelperOutput when writing
* [`[2e7e1f9c85]`](https://github.com/aspnet/AspNetCore/commit/2e7e1f9c85) Fix design time line mapping test.
* [`[f9ad93c8a5]`](https://github.com/aspnet/AspNetCore/commit/f9ad93c8a5) Fixing XML docs
* [`[1f77aa445a]`](https://github.com/aspnet/AspNetCore/commit/1f77aa445a) Fix XML docs to pass xml-docs-test.
* [`[434da683fc]`](https://github.com/aspnet/AspNetCore/commit/434da683fc) Improve buffering of Razor output in MVC
* [`[43b65ca46c]`](https://github.com/aspnet/AspNetCore/commit/43b65ca46c) Update the documentation for IViewComponentHelper.InvokeAsync
* [`[d696f268f7]`](https://github.com/aspnet/AspNetCore/commit/d696f268f7) Try out a Karma test or two - #1993
* [`[7570da9daa]`](https://github.com/aspnet/AspNetCore/commit/7570da9daa) Flush chunked writes before the entire response completes
* [`[824acd1ace]`](https://github.com/aspnet/AspNetCore/commit/824acd1ace) Adding messages showing that the tool is running
* [`[bed9432275]`](https://github.com/aspnet/AspNetCore/commit/bed9432275) Adding creating Azure specific configuration
* [`[674efca4de]`](https://github.com/aspnet/AspNetCore/commit/674efca4de) Adding HttpPlatformHandler logging defaults to web.config  - writing a default path to log file if one does not exist  - setting stdoutLogEnabled to false if the attribute does not exist
* [`[381b7b884e]`](https://github.com/aspnet/AspNetCore/commit/381b7b884e) Update to Angular 2 Beta 1. New bug: no longer waits for server-side HTTP requests to complete - waiting for info to resolve this.
* [`[0c6a805405]`](https://github.com/aspnet/AspNetCore/commit/0c6a805405) #632 Save twitters access token secret as a claim.
* [`[38de3d6013]`](https://github.com/aspnet/AspNetCore/commit/38de3d6013) #526 Change from storing expires_in to calculating expires_at.
* [`[a276169693]`](https://github.com/aspnet/AspNetCore/commit/a276169693) Reorganize logging, move more types to internal
* [`[63e0ed8773]`](https://github.com/aspnet/AspNetCore/commit/63e0ed8773) Use the new NuGet package location in LibuvCopier
* [`[de34d14abb]`](https://github.com/aspnet/AspNetCore/commit/de34d14abb) WriteChunked immediate for large responses
* [`[0ca8ca0328]`](https://github.com/aspnet/AspNetCore/commit/0ca8ca0328) Update FrameResponseStream Cancellation
* [`[735c0fbbef]`](https://github.com/aspnet/AspNetCore/commit/735c0fbbef) Added new test to verify failed writes complete all pending write tasks
* [`[e5238ff383]`](https://github.com/aspnet/AspNetCore/commit/e5238ff383) Only log connection error once
* [`[cd621509d0]`](https://github.com/aspnet/AspNetCore/commit/cd621509d0) Complete all writes after error
* [`[a97cb81f92]`](https://github.com/aspnet/AspNetCore/commit/a97cb81f92) MockConnection Abort
* [`[73bb0ab5b8]`](https://github.com/aspnet/AspNetCore/commit/73bb0ab5b8) SocketOutput Cancellation handling
* [`[33ddbf8f4c]`](https://github.com/aspnet/AspNetCore/commit/33ddbf8f4c) Set DOTNET_HOME correctly.
* [`[0348dffe26]`](https://github.com/aspnet/AspNetCore/commit/0348dffe26) Fix odd bug in globbing
* [`[8854869d11]`](https://github.com/aspnet/AspNetCore/commit/8854869d11) Add resx generation back
* [`[d1672ffb5b]`](https://github.com/aspnet/AspNetCore/commit/d1672ffb5b) Update to the latest (floating) CLI
* [`[5c8e9c9091]`](https://github.com/aspnet/AspNetCore/commit/5c8e9c9091) Skip runtime install flag
* [`[72d1c49575]`](https://github.com/aspnet/AspNetCore/commit/72d1c49575) Update missing AspNetCore referrences.
* [`[1db5233cac]`](https://github.com/aspnet/AspNetCore/commit/1db5233cac) Add missing packages
* [`[25eb50120e]`](https://github.com/aspnet/AspNetCore/commit/25eb50120e) Update ASP.NET 5 versions for ASP.NET Core.
* [`[a5b288897d]`](https://github.com/aspnet/AspNetCore/commit/a5b288897d) Update ASP.NET 5 versions for ASP.NET Core.
* [`[342676925f]`](https://github.com/aspnet/AspNetCore/commit/342676925f) Update ASP.NET 5 versions for ASP.NET Core.
* [`[c0d587e7c2]`](https://github.com/aspnet/AspNetCore/commit/c0d587e7c2) Rename AspNet 5 file contents.
* [`[43dfd15a01]`](https://github.com/aspnet/AspNetCore/commit/43dfd15a01) Rename AspNet 5 file contents.
* [`[d61c6985b7]`](https://github.com/aspnet/AspNetCore/commit/d61c6985b7) Update ASP.NET 5 versions for ASP.NET Core.
* [`[9beb46dff1]`](https://github.com/aspnet/AspNetCore/commit/9beb46dff1) Update ASP.NET 5 versions for ASP.NET Core.
* [`[d858078d69]`](https://github.com/aspnet/AspNetCore/commit/d858078d69) Update ASP.NET 5 versions for ASP.NET Core.
* [`[a837854f4b]`](https://github.com/aspnet/AspNetCore/commit/a837854f4b) Update ASP.NET 5 versions for ASP.NET Core.
* [`[5b27b3f972]`](https://github.com/aspnet/AspNetCore/commit/5b27b3f972) Update ASP.NET 5 versions for ASP.NET Core.
* [`[f30406c6bc]`](https://github.com/aspnet/AspNetCore/commit/f30406c6bc) Update ASP.NET 5 versions for ASP.NET Core.
* [`[1aff2e9cda]`](https://github.com/aspnet/AspNetCore/commit/1aff2e9cda) Update ASP.NET 5 versions for ASP.NET Core.
* [`[173886bf6c]`](https://github.com/aspnet/AspNetCore/commit/173886bf6c) Update ASP.NET 5 versions for ASP.NET Core.
* [`[d761c6b7ba]`](https://github.com/aspnet/AspNetCore/commit/d761c6b7ba) Rename AspNet 5 file contents.
* [`[e28aa5f568]`](https://github.com/aspnet/AspNetCore/commit/e28aa5f568) Rename AspNet 5 file contents.
* [`[5227607c58]`](https://github.com/aspnet/AspNetCore/commit/5227607c58) Rename AspNet 5 folders and files.
* [`[b877e1a1f6]`](https://github.com/aspnet/AspNetCore/commit/b877e1a1f6) Rename AspNet 5 file contents.
* [`[7167969e5a]`](https://github.com/aspnet/AspNetCore/commit/7167969e5a) Rename AspNet 5 folders and files.
* [`[70d674410e]`](https://github.com/aspnet/AspNetCore/commit/70d674410e) Rename AspNet 5 file contents.
* [`[ace4553d77]`](https://github.com/aspnet/AspNetCore/commit/ace4553d77) Rename AspNet 5 folders and files.
* [`[8ed31de917]`](https://github.com/aspnet/AspNetCore/commit/8ed31de917) Rename AspNet 5 file contents.
* [`[28c03ef2e7]`](https://github.com/aspnet/AspNetCore/commit/28c03ef2e7) Rename AspNet 5 folders and files.
* [`[9c9543dde4]`](https://github.com/aspnet/AspNetCore/commit/9c9543dde4) Rename AspNet 5 file contents.
* [`[bc0d5528a3]`](https://github.com/aspnet/AspNetCore/commit/bc0d5528a3) Rename AspNet 5 folders and files.
* [`[f5c5816a05]`](https://github.com/aspnet/AspNetCore/commit/f5c5816a05) Rename AspNet 5 file contents.
* [`[6102699916]`](https://github.com/aspnet/AspNetCore/commit/6102699916) Rename AspNet 5 folders and files.
* [`[d631e8edd0]`](https://github.com/aspnet/AspNetCore/commit/d631e8edd0) Rename AspNet 5 file contents.
* [`[3541bb01c2]`](https://github.com/aspnet/AspNetCore/commit/3541bb01c2) Rename AspNet 5 file contents.
* [`[9cec1b4e10]`](https://github.com/aspnet/AspNetCore/commit/9cec1b4e10) Rename AspNet 5 folders and files.
* [`[b062f851dc]`](https://github.com/aspnet/AspNetCore/commit/b062f851dc) Rename AspNet 5 file contents.
* [`[3cfe2f3070]`](https://github.com/aspnet/AspNetCore/commit/3cfe2f3070) Rename AspNet 5 folders and files.
* [`[a83445441a]`](https://github.com/aspnet/AspNetCore/commit/a83445441a) Rename AspNet 5 file contents.
* [`[295c98c757]`](https://github.com/aspnet/AspNetCore/commit/295c98c757) Rename AspNet 5 folders and files.
* [`[e62ceb8528]`](https://github.com/aspnet/AspNetCore/commit/e62ceb8528) Rename AspNet 5 file contents.
* [`[c24e0297b2]`](https://github.com/aspnet/AspNetCore/commit/c24e0297b2) Rename AspNet 5 folders and files.
* [`[3968eded19]`](https://github.com/aspnet/AspNetCore/commit/3968eded19) Rename AspNet 5 file contents.
* [`[3542ec3167]`](https://github.com/aspnet/AspNetCore/commit/3542ec3167) Rename AspNet 5 folders and files.
* [`[e2801d6c20]`](https://github.com/aspnet/AspNetCore/commit/e2801d6c20) Rename AspNet 5 file contents.
* [`[582e222c2b]`](https://github.com/aspnet/AspNetCore/commit/582e222c2b) Rename AspNet 5 folders and files.
* [`[02363da94e]`](https://github.com/aspnet/AspNetCore/commit/02363da94e) Rename AspNet 5 file contents.
* [`[b2c154b576]`](https://github.com/aspnet/AspNetCore/commit/b2c154b576) Rename AspNet 5 folders and files.
* [`[79558ae8d3]`](https://github.com/aspnet/AspNetCore/commit/79558ae8d3) Rename AspNet 5 file contents.
* [`[c564dfd202]`](https://github.com/aspnet/AspNetCore/commit/c564dfd202) Rename AspNet 5 folders and files.
* [`[3be7fbdf9f]`](https://github.com/aspnet/AspNetCore/commit/3be7fbdf9f) Rename AspNet 5 file contents.
* [`[6a6c8ca544]`](https://github.com/aspnet/AspNetCore/commit/6a6c8ca544) Rename AspNet 5 folders and files.
* [`[ea0c57122d]`](https://github.com/aspnet/AspNetCore/commit/ea0c57122d) Rename AspNet 5 file contents.
* [`[bebac7151a]`](https://github.com/aspnet/AspNetCore/commit/bebac7151a) Rename AspNet 5 folders and files.
* [`[ba757d7a45]`](https://github.com/aspnet/AspNetCore/commit/ba757d7a45) Rename AspNet 5 folders and files.
* [`[b87a8001fe]`](https://github.com/aspnet/AspNetCore/commit/b87a8001fe) Rename AspNet 5 folders and files.
* [`[3e2798957a]`](https://github.com/aspnet/AspNetCore/commit/3e2798957a) Exit on change option
* [`[00462abe62]`](https://github.com/aspnet/AspNetCore/commit/00462abe62) Cleaning up VirtualFileResult tests
* [`[a47a7fdccc]`](https://github.com/aspnet/AspNetCore/commit/a47a7fdccc) Added caching for ActionConstraints
* [`[f0777b95a8]`](https://github.com/aspnet/AspNetCore/commit/f0777b95a8) [Fixes #3868] Exclude Antiforgery token in form with method Get
* [`[dd952d8d70]`](https://github.com/aspnet/AspNetCore/commit/dd952d8d70) Move some types to .Internal namespace
* [`[da478b02ed]`](https://github.com/aspnet/AspNetCore/commit/da478b02ed)  * Move HttpResponseStreamWriter from Mvc
* [`[6737a1f243]`](https://github.com/aspnet/AspNetCore/commit/6737a1f243) Adding params overloads for AddControllersAsServices
* [`[04453a2b4f]`](https://github.com/aspnet/AspNetCore/commit/04453a2b4f) Support user overrides of three more framework-provided `ModelState`-related messages - #3215 - add new accessor properties to `IModelBindingMessageProvider` and plumb them through   - use in `ModelStateDictionary` when handling a `FormatException` or `OverflowException`   - use in `ValidationHelpers` when handling a `ModelError` with `null` `ErrorMessage` - add new `ModelExplorer` parameter to `IHtmlGenerator.GenerateValidationMessage()`   - plumb through to `ValidationHelpers.GetModelErrorMessageOrDefault()`
* [`[9a05ea80c4]`](https://github.com/aspnet/AspNetCore/commit/9a05ea80c4) Removing System.Runtime.Extensions
* [`[c157d601a2]`](https://github.com/aspnet/AspNetCore/commit/c157d601a2) Avoid merging with anonymous users.
* [`[099bc91ef2]`](https://github.com/aspnet/AspNetCore/commit/099bc91ef2) Removing --parallel flag
* [`[786530fcb3]`](https://github.com/aspnet/AspNetCore/commit/786530fcb3) Use a fixed version of CLI
* [`[328f4d648b]`](https://github.com/aspnet/AspNetCore/commit/328f4d648b) Allow ValidationAttributes and IValidatableObjects to resolve services from the RequestServices provider by injecting it into the ValidationContext.
* [`[fa8fe3d085]`](https://github.com/aspnet/AspNetCore/commit/fa8fe3d085) Complete sync-blocked calls directly
* [`[10964cc04f]`](https://github.com/aspnet/AspNetCore/commit/10964cc04f) Disabling parallel restore on Mac and Linux
* [`[2e02adcfc7]`](https://github.com/aspnet/AspNetCore/commit/2e02adcfc7) Update _dotnet-restore.shade
* [`[a229b20c48]`](https://github.com/aspnet/AspNetCore/commit/a229b20c48)  * StringOutput set proper ContentType
* [`[3f84e992f4]`](https://github.com/aspnet/AspNetCore/commit/3f84e992f4) Make StreamCopyOperation public and update it to same as StaticFiles
* [`[9c6b081ebc]`](https://github.com/aspnet/AspNetCore/commit/9c6b081ebc) Use HttpAbstractions StreamCopy
* [`[d3d9c8d546]`](https://github.com/aspnet/AspNetCore/commit/d3d9c8d546) Write async chunks async
* [`[37850b5d85]`](https://github.com/aspnet/AspNetCore/commit/37850b5d85) Add `TagHelperOutput.GetChildContentAsync()` overloads including an `HtmlEncoder` - #643 part 1 - change is viral and requires an update to `RazorPage.StartTagHelperWritingScope()`   - memoize `GetChildContentAsync()` per-encoder   - update generation tests to match and to test new behaviour - note `HtmlEncoder`s used elsewhere e.g. in other `RazorPage` instances are unaffected
* [`[2c1317d3c6]`](https://github.com/aspnet/AspNetCore/commit/2c1317d3c6) Adding .vs to gitignore
* [`[cad9ea1df7]`](https://github.com/aspnet/AspNetCore/commit/cad9ea1df7) Rename WebApplication to WebHost
* [`[0673acedc4]`](https://github.com/aspnet/AspNetCore/commit/0673acedc4) Added overload of Run that triggers shutdown on a cancellation token - Added test - Changed NotifyStopped() after all work has been done
* [`[2baafc3699]`](https://github.com/aspnet/AspNetCore/commit/2baafc3699) Specify Newtonsoft.Json version to ViewFeatures to sort out disambiguity.
* [`[cf9221df07]`](https://github.com/aspnet/AspNetCore/commit/cf9221df07) Pool JsonSerializer instances
* [`[e68c55ab41]`](https://github.com/aspnet/AspNetCore/commit/e68c55ab41) Rewrite of tokenizers
* [`[1ce9180a3e]`](https://github.com/aspnet/AspNetCore/commit/1ce9180a3e) Prevent unneeded allocations of `Block` children enumerators.
* [`[9ad62d7963]`](https://github.com/aspnet/AspNetCore/commit/9ad62d7963) Updating to Newtonsoft.Json 8.0.2
* [`[2e1a8b31cd]`](https://github.com/aspnet/AspNetCore/commit/2e1a8b31cd) Rename Delegate => AssertionRequirement
* [`[315d79ff2b]`](https://github.com/aspnet/AspNetCore/commit/315d79ff2b) Make the CodeWriter more efficient
* [`[fa8c2eac3e]`](https://github.com/aspnet/AspNetCore/commit/fa8c2eac3e) Check encoded and unencoded values against element body in `OptionTagHelper` - #3386 - initialize comparison `HashSet` with unencoded values to ensure both are checked - address perf and correctness issues in this code   - `context.Items[typeof(SelectTagHelper)]` entry read as `ICollection` but written as `IReadOnlyCollection`     - `IReadOnlyCollection` worse because it does not include `Contains()`, causing Linq use   - every `<option>` element recalculated the encoded values and created a `HashSet` to contain them     - add `CurrentValues` type to cache this `HashSet` in `context.Items`   - each `OptionTagHelper` created the additional `HashSet` even if `Value` was bound
* [`[95ea4cc06f]`](https://github.com/aspnet/AspNetCore/commit/95ea4cc06f) Optimize allocations of List<ISymbol> and related
* [`[0c0b724009]`](https://github.com/aspnet/AspNetCore/commit/0c0b724009) Run specific targets in bash
* [`[129a5ad474]`](https://github.com/aspnet/AspNetCore/commit/129a5ad474) Bypass LibuvStream if no ConnectionFilter wraps it
* [`[9b217a4026]`](https://github.com/aspnet/AspNetCore/commit/9b217a4026) Fixes [#276] Throw a nicer error when the routing services haven't been added to DI
* [`[82381d97c2]`](https://github.com/aspnet/AspNetCore/commit/82381d97c2) [Fixes #3907] Improve MVC error when MVC services aren't registered
* [`[6a4a9544a1]`](https://github.com/aspnet/AspNetCore/commit/6a4a9544a1) Eliminate extra List<RazorError> copies
* [`[c7f6ed4445]`](https://github.com/aspnet/AspNetCore/commit/c7f6ed4445) Removing Newtonsoft.Json dependency from Microsoft.AspNet.Mvc.Formatters.Json
* [`[30ddf9b969]`](https://github.com/aspnet/AspNetCore/commit/30ddf9b969) Updated missed TimestampToTicks changes
* [`[63a7d50dd1]`](https://github.com/aspnet/AspNetCore/commit/63a7d50dd1) Invert TimestampToTicks division
* [`[13c7e68fa7]`](https://github.com/aspnet/AspNetCore/commit/13c7e68fa7) Fix incorrect xml docs for RoslynCompilationService
* [`[e05469a989]`](https://github.com/aspnet/AspNetCore/commit/e05469a989) Use UTC
* [`[3458f80ec4]`](https://github.com/aspnet/AspNetCore/commit/3458f80ec4) Rename windows auth forwarder header to MS-PLATFORM-HANDLER-WINAUTHTOKEN.
* [`[cc1cb1d480]`](https://github.com/aspnet/AspNetCore/commit/cc1cb1d480) #27 Forward client certificates.
* [`[3c79b425f1]`](https://github.com/aspnet/AspNetCore/commit/3c79b425f1) Use dynamic ports for all deployers
* [`[c747ce630d]`](https://github.com/aspnet/AspNetCore/commit/c747ce630d) TestServer should not capture startup errors by default
* [`[32bb324886]`](https://github.com/aspnet/AspNetCore/commit/32bb324886) Removing redundant null logger after hosting fix
* [`[8b6df5f704]`](https://github.com/aspnet/AspNetCore/commit/8b6df5f704) Set DOTNET_HOME to correct path (#350).
* [`[f7be1fb80e]`](https://github.com/aspnet/AspNetCore/commit/f7be1fb80e) Fixing logger nullref when context created with no feature #532
* [`[fa72fdeaed]`](https://github.com/aspnet/AspNetCore/commit/fa72fdeaed) Higher accuracy in timings
* [`[70cee90186]`](https://github.com/aspnet/AspNetCore/commit/70cee90186) Add optional filter caching
* [`[4b64d187c2]`](https://github.com/aspnet/AspNetCore/commit/4b64d187c2) Promote IFormFile extension methods to IFormFile
* [`[d422201e01]`](https://github.com/aspnet/AspNetCore/commit/d422201e01) Elaborating error message when no startup is specified
* [`[1ca25c48af]`](https://github.com/aspnet/AspNetCore/commit/1ca25c48af) Fix warning in documentation due to mising using
* [`[7463dee1d5]`](https://github.com/aspnet/AspNetCore/commit/7463dee1d5) Removing precompilation module
* [`[2063356f24]`](https://github.com/aspnet/AspNetCore/commit/2063356f24) [Fixes #3683] Replace implementations in MediaTypeComparisons and MediaTypeEncodings with memory efficient implementations using a MediaType struct.
* [`[739f83a978]`](https://github.com/aspnet/AspNetCore/commit/739f83a978) Support caching of the Content-Type string used by OutputFormatter when the encoding is Utf-8.
* [`[4d1737708e]`](https://github.com/aspnet/AspNetCore/commit/4d1737708e) #241 Fix cookie error page
* [`[b2a3f871c0]`](https://github.com/aspnet/AspNetCore/commit/b2a3f871c0) Microsoft.AspNet.Tools.PublishIIS -> dotnet-publish-iis
* [`[caaf9d473b]`](https://github.com/aspnet/AspNetCore/commit/caaf9d473b) Faster CopyFrom
* [`[a182eca6d4]`](https://github.com/aspnet/AspNetCore/commit/a182eca6d4)  * Use suggested Antiforgery AJAX patern.
* [`[cad7d44686]`](https://github.com/aspnet/AspNetCore/commit/cad7d44686)  * Add a sample for SubAreas
* [`[eb617eb9a9]`](https://github.com/aspnet/AspNetCore/commit/eb617eb9a9) Publish to inetpub
* [`[1da673e0e2]`](https://github.com/aspnet/AspNetCore/commit/1da673e0e2) Updating NuGetPackageVerifier.json
* [`[1b05fb442e]`](https://github.com/aspnet/AspNetCore/commit/1b05fb442e) Add extension to configure capture startup errors setting which defaults to true #552
* [`[947d070678]`](https://github.com/aspnet/AspNetCore/commit/947d070678) Skip TagHelperSample index test due to mono encoding bug.
* [`[ccde330978]`](https://github.com/aspnet/AspNetCore/commit/ccde330978) Update IISDeployer and its base class
* [`[b4d631e2f6]`](https://github.com/aspnet/AspNetCore/commit/b4d631e2f6) Removing ITypeInfo and related types
* [`[dbb69ef952]`](https://github.com/aspnet/AspNetCore/commit/dbb69ef952) Add `TagHelperSample.Web` functional tests.
* [`[ab5ef547e1]`](https://github.com/aspnet/AspNetCore/commit/ab5ef547e1) Make chunked writes atomic
* [`[48451bdabc]`](https://github.com/aspnet/AspNetCore/commit/48451bdabc) Making application available from TestServer #519
* [`[c05551e167]`](https://github.com/aspnet/AspNetCore/commit/c05551e167) Removing Microsoft.AspNet.Razor.Runtime.Precompilation
* [`[ddce8a4dbc]`](https://github.com/aspnet/AspNetCore/commit/ddce8a4dbc) Fix incorrect usage of flush on encoder
* [`[df695accb0]`](https://github.com/aspnet/AspNetCore/commit/df695accb0) Use TryEnter to acquire SocketOutput._contextLock on the libuv event loop
* [`[e90b61e6c5]`](https://github.com/aspnet/AspNetCore/commit/e90b61e6c5) Move call to CopyFrom in SocketOutput.WriteAsync inside lock to make writes atomic
* [`[8ac119df76]`](https://github.com/aspnet/AspNetCore/commit/8ac119df76) using reorder (nit)
* [`[1b09a76ebb]`](https://github.com/aspnet/AspNetCore/commit/1b09a76ebb) Find First Byte Fast
* [`[63e39a257e]`](https://github.com/aspnet/AspNetCore/commit/63e39a257e) One-time-use allocated blocks keep reference to source pool / Assert that a block is returned to it's source pool / Managed block are only returned to active Slabs
* [`[38d50bab1f]`](https://github.com/aspnet/AspNetCore/commit/38d50bab1f) Fixing xml documentation
* [`[e076040b67]`](https://github.com/aspnet/AspNetCore/commit/e076040b67) Updating to new options pattern
* [`[2eb6cd655b]`](https://github.com/aspnet/AspNetCore/commit/2eb6cd655b) Write our ViewBuffer values asynchronously
* [`[11025b894e]`](https://github.com/aspnet/AspNetCore/commit/11025b894e) Updating to new options pattern
* [`[c59528e4f9]`](https://github.com/aspnet/AspNetCore/commit/c59528e4f9) Updating to new options pattern
* [`[5e9bbc5650]`](https://github.com/aspnet/AspNetCore/commit/5e9bbc5650) Updating to new options pattern
* [`[417ca6cbe3]`](https://github.com/aspnet/AspNetCore/commit/417ca6cbe3) Updating to new options pattern
* [`[849ff2016c]`](https://github.com/aspnet/AspNetCore/commit/849ff2016c) Use object.ReferenceEquals when comparing Actions in SocketInput
* [`[b5c48de651]`](https://github.com/aspnet/AspNetCore/commit/b5c48de651) Forgotten files
* [`[990e412326]`](https://github.com/aspnet/AspNetCore/commit/990e412326) Actually fix the AssemblyInfo
* [`[139070df59]`](https://github.com/aspnet/AspNetCore/commit/139070df59) Fix AssemblyInfo for Security.Interop.
* [`[566790577d]`](https://github.com/aspnet/AspNetCore/commit/566790577d) Add dependency context fallback to razor view compilation
* [`[f4aafe04e0]`](https://github.com/aspnet/AspNetCore/commit/f4aafe04e0) Replace Microsoft.Owin.Security.Cookies.Interop by Microsoft.Owin.Security.Interop
* [`[5bcc1bfc26]`](https://github.com/aspnet/AspNetCore/commit/5bcc1bfc26) Also refresh expires/Issues when renewing cookie
* [`[0f01399955]`](https://github.com/aspnet/AspNetCore/commit/0f01399955) #123 Default headers to UTF8
* [`[0bb772a815]`](https://github.com/aspnet/AspNetCore/commit/0bb772a815) [Fixes #3755] Added logging for view compilation
* [`[c68f742dd0]`](https://github.com/aspnet/AspNetCore/commit/c68f742dd0) Disabling hanging FlushPoint test
* [`[2ce28d8f13]`](https://github.com/aspnet/AspNetCore/commit/2ce28d8f13) Verify OnComplete is called when OnStarting isn't (#470).
* [`[b63dd40efb]`](https://github.com/aspnet/AspNetCore/commit/b63dd40efb) Protect SocketInput against concurrent consumption
* [`[bf1fcf6b56]`](https://github.com/aspnet/AspNetCore/commit/bf1fcf6b56) Return BadRequest response when antiforgery token validation fails
* [`[ae61490092]`](https://github.com/aspnet/AspNetCore/commit/ae61490092) publish-iis command
* [`[ca8136b73c]`](https://github.com/aspnet/AspNetCore/commit/ca8136b73c) Compile middleware invoke method when extra args are provided - Improves the performance when accessing scoped services in middleware
* [`[cd813844a0]`](https://github.com/aspnet/AspNetCore/commit/cd813844a0) Updating to new options pattern
* [`[80fa2908bd]`](https://github.com/aspnet/AspNetCore/commit/80fa2908bd) Throwing custom AntiforgeryException for token validation failure scenarios
* [`[c304984a8d]`](https://github.com/aspnet/AspNetCore/commit/c304984a8d) Fix #3501 - Issues with Flush
* [`[676bde29b9]`](https://github.com/aspnet/AspNetCore/commit/676bde29b9) Make Begin[Route]Form include antiforgery
* [`[2b83dbb52e]`](https://github.com/aspnet/AspNetCore/commit/2b83dbb52e) Make `ExpressionRewriter` more resilient to unconvertible types.
* [`[dc878f2777]`](https://github.com/aspnet/AspNetCore/commit/dc878f2777) Capture exceptions thrown during compilation
* [`[ff00c07b85]`](https://github.com/aspnet/AspNetCore/commit/ff00c07b85) Rename ActionDescriptorsCollection
* [`[b942e96216]`](https://github.com/aspnet/AspNetCore/commit/b942e96216)  * Fix LoggingExtension Naming
* [`[9168cd1f37]`](https://github.com/aspnet/AspNetCore/commit/9168cd1f37) Optimize allocations in Script/Link TagHelpers
* [`[294e16732f]`](https://github.com/aspnet/AspNetCore/commit/294e16732f) Move default config to Hosting.Abstractions
* [`[e72924796e]`](https://github.com/aspnet/AspNetCore/commit/e72924796e) More hosting API changes
* [`[605dceea02]`](https://github.com/aspnet/AspNetCore/commit/605dceea02) Change string rendering to be chunked.
* [`[dba3e55c0a]`](https://github.com/aspnet/AspNetCore/commit/dba3e55c0a) Update the templates
* [`[b4b5f07a08]`](https://github.com/aspnet/AspNetCore/commit/b4b5f07a08) Detect mono using PlatformAbstractions
* [`[e81c5adce2]`](https://github.com/aspnet/AspNetCore/commit/e81c5adce2) Change #ifdefs
* [`[6e8b2ecd63]`](https://github.com/aspnet/AspNetCore/commit/6e8b2ecd63)  * Switch to new logging style
* [`[54ae0b9296]`](https://github.com/aspnet/AspNetCore/commit/54ae0b9296) Unsource CommandLineUtils
* [`[a500a93dfb]`](https://github.com/aspnet/AspNetCore/commit/a500a93dfb) Smarter antiforgery
* [`[7a23028527]`](https://github.com/aspnet/AspNetCore/commit/7a23028527) Switch to AuthenticationTicket in OAuth event
* [`[3257a82367]`](https://github.com/aspnet/AspNetCore/commit/3257a82367) Expose AuthenticationProperties in events
* [`[739dc7d621]`](https://github.com/aspnet/AspNetCore/commit/739dc7d621) Change the data type of VirtualPathData.VirtualPath
* [`[a9f4969cfc]`](https://github.com/aspnet/AspNetCore/commit/a9f4969cfc) Use ArrayPool.Shared for StreamCopyOperation
* [`[4141fcae69]`](https://github.com/aspnet/AspNetCore/commit/4141fcae69) Optimize MvcRouteHandler
* [`[226cfb1e0d]`](https://github.com/aspnet/AspNetCore/commit/226cfb1e0d) Optimize TemplateMatcher
* [`[c125b4e59b]`](https://github.com/aspnet/AspNetCore/commit/c125b4e59b) Correct and more accurate timestamp
* [`[e6bc0bc335]`](https://github.com/aspnet/AspNetCore/commit/e6bc0bc335) Only scheduleWrites on the threadpool
* [`[480996433e]`](https://github.com/aspnet/AspNetCore/commit/480996433e) Only queue write when not queued
* [`[4c39800ea4]`](https://github.com/aspnet/AspNetCore/commit/4c39800ea4) Seek perf extra
* [`[1eda5178de]`](https://github.com/aspnet/AspNetCore/commit/1eda5178de) Seek perf + faster non vector path
* [`[46e3e25ec7]`](https://github.com/aspnet/AspNetCore/commit/46e3e25ec7) Add the ability to set the IApplicationEnvironment.ApplicationBasePath
* [`[d8a20521f1]`](https://github.com/aspnet/AspNetCore/commit/d8a20521f1) Add Options to the default set of services
* [`[a3498fa5a2]`](https://github.com/aspnet/AspNetCore/commit/a3498fa5a2) Update some files
* [`[f195ed3bab]`](https://github.com/aspnet/AspNetCore/commit/f195ed3bab) Allow value type resources for AuthZ
* [`[47a3aee2c1]`](https://github.com/aspnet/AspNetCore/commit/47a3aee2c1) [Fixes #3361] Changed the value provider preference to be backwards compatible
* [`[a53949c33e]`](https://github.com/aspnet/AspNetCore/commit/a53949c33e) Add CORS headers to known headers (#389).
* [`[5c33ecd895]`](https://github.com/aspnet/AspNetCore/commit/5c33ecd895) Disabling JwtBearer TokenValidationTest which is using an expired token
* [`[1f87442092]`](https://github.com/aspnet/AspNetCore/commit/1f87442092) [Fixes #3749] Expose ActionContext on IUrlHelper
* [`[dc968bc1bf]`](https://github.com/aspnet/AspNetCore/commit/dc968bc1bf) [Fixes #3779] Using explicit StringComparison in startswith
* [`[cf77efc2ff]`](https://github.com/aspnet/AspNetCore/commit/cf77efc2ff) Fast path pre-completed Input reads
* [`[5aa2e06305]`](https://github.com/aspnet/AspNetCore/commit/5aa2e06305) Change PhysicalFileResult and VirtualFileResult to use SendFileAsync
* [`[62ec29b6af]`](https://github.com/aspnet/AspNetCore/commit/62ec29b6af) Move generic Get/Set into Interface
* [`[e88f90bba0]`](https://github.com/aspnet/AspNetCore/commit/e88f90bba0) Add link to ASP.NET MVC Boilerplate
* [`[37eca627dd]`](https://github.com/aspnet/AspNetCore/commit/37eca627dd) Rename TagHelperContent.Append(IHtmlContent` overload to be `TagHelperContent.AppendHtml(IHtmlContent)`
* [`[36e9e8759a]`](https://github.com/aspnet/AspNetCore/commit/36e9e8759a) Optimize TakeFirst Line with Known method and Version
* [`[a61a68defc]`](https://github.com/aspnet/AspNetCore/commit/a61a68defc) Add support IEnumerable parameters for query string
* [`[ea3e64ab87]`](https://github.com/aspnet/AspNetCore/commit/ea3e64ab87) Loop unrolled direct string inject
* [`[7a955bcbc0]`](https://github.com/aspnet/AspNetCore/commit/7a955bcbc0) FormatFilter overrides content type set explicitly by the developer
* [`[f7ac457b40]`](https://github.com/aspnet/AspNetCore/commit/f7ac457b40) Use ValueTask
* [`[5c58d48272]`](https://github.com/aspnet/AspNetCore/commit/5c58d48272) Name KestrelThreads
* [`[9bf861307c]`](https://github.com/aspnet/AspNetCore/commit/9bf861307c) Rework the empty or space only filtering in Roles and Schemes
* [`[aab051a20f]`](https://github.com/aspnet/AspNetCore/commit/aab051a20f) Rename DictionaryBasedValueProvider to RouteValueProvider
* [`[7e47449f85]`](https://github.com/aspnet/AspNetCore/commit/7e47449f85) Use default encoders all the time
* [`[2b9dd76535]`](https://github.com/aspnet/AspNetCore/commit/2b9dd76535) Make RazorViewEngineOptions.FileProvider a list instead of a single item
* [`[e1aa888165]`](https://github.com/aspnet/AspNetCore/commit/e1aa888165) Allow optional quotes around tag helper directives
* [`[d222900662]`](https://github.com/aspnet/AspNetCore/commit/d222900662) Optimize allocations in argument binder
* [`[0a9804056e]`](https://github.com/aspnet/AspNetCore/commit/0a9804056e) Use System.Buffers for JSON.NET
* [`[5ef839c855]`](https://github.com/aspnet/AspNetCore/commit/5ef839c855) Undo accidental adds to .sln
* [`[8fdfef460a]`](https://github.com/aspnet/AspNetCore/commit/8fdfef460a) Faster unsafe pointers
* [`[80dc284407]`](https://github.com/aspnet/AspNetCore/commit/80dc284407) Checked length
* [`[1a8d20fee5]`](https://github.com/aspnet/AspNetCore/commit/1a8d20fee5) Optimize allocations in UrlResolutionTagHelper Fixes #3534
* [`[9019ac39ae]`](https://github.com/aspnet/AspNetCore/commit/9019ac39ae) Faster Take
* [`[982ab99b45]`](https://github.com/aspnet/AspNetCore/commit/982ab99b45) Make callback adapters readonly
* [`[9a5da5861b]`](https://github.com/aspnet/AspNetCore/commit/9a5da5861b) Fix coding style and handle case where empty roles & schemes are empty
* [`[4e9f8366cf]`](https://github.com/aspnet/AspNetCore/commit/4e9f8366cf) Move stream reuse test to EngineTests
* [`[77b74b0c96]`](https://github.com/aspnet/AspNetCore/commit/77b74b0c96) Modify TryGetAttributes to return a IReadOnlyList
* [`[02a7922749]`](https://github.com/aspnet/AspNetCore/commit/02a7922749) Enable running on Mac
* [`[67ed24896a]`](https://github.com/aspnet/AspNetCore/commit/67ed24896a) Dispose socket on Accept() error.
* [`[51e74c2eba]`](https://github.com/aspnet/AspNetCore/commit/51e74c2eba) Add hosting.json to MvcSandbox
* [`[33f9bdadef]`](https://github.com/aspnet/AspNetCore/commit/33f9bdadef) Pool state used to generate URL
* [`[67b9414ccf]`](https://github.com/aspnet/AspNetCore/commit/67b9414ccf) Fix IModelBinder docs
* [`[6850e3b3b6]`](https://github.com/aspnet/AspNetCore/commit/6850e3b3b6) Fix missing Trim in Roles and Schemes split
* [`[eb8f860bd6]`](https://github.com/aspnet/AspNetCore/commit/eb8f860bd6) Avoid generic boxing in Post
* [`[f220a9f200]`](https://github.com/aspnet/AspNetCore/commit/f220a9f200) Faster Peek
* [`[11b360b667]`](https://github.com/aspnet/AspNetCore/commit/11b360b667) Faster MessageBody.For
* [`[79c39d0f6c]`](https://github.com/aspnet/AspNetCore/commit/79c39d0f6c) change Range Attribute typeof double to decimal to match Price type
* [`[298b8baa98]`](https://github.com/aspnet/AspNetCore/commit/298b8baa98) Adding back middleware initialization with options instance.
* [`[8872037812]`](https://github.com/aspnet/AspNetCore/commit/8872037812) Adding back middleware initialization with options instance
* [`[460b0c993a]`](https://github.com/aspnet/AspNetCore/commit/460b0c993a) Adding back middleware initialization with options instance.
* [`[7624d97114]`](https://github.com/aspnet/AspNetCore/commit/7624d97114) Adding back middleware initialization with options instance.
* [`[2d21b72561]`](https://github.com/aspnet/AspNetCore/commit/2d21b72561) Adding back middleware initialization with options instance.
* [`[43226fe54d]`](https://github.com/aspnet/AspNetCore/commit/43226fe54d) Modify FileVersionProvider to cache missing file info.
* [`[9f1af65abc]`](https://github.com/aspnet/AspNetCore/commit/9f1af65abc) Standardize middleware to use configureOption lambda
* [`[b4239550f3]`](https://github.com/aspnet/AspNetCore/commit/b4239550f3) Move Microsoft.Extensions.WebEncoders to HtmlAbstractions
* [`[161d6ca5c0]`](https://github.com/aspnet/AspNetCore/commit/161d6ca5c0) Move Microsoft.Extensions.WebEncoders to HtmlAbstractions
* [`[5837ce160a]`](https://github.com/aspnet/AspNetCore/commit/5837ce160a) Stardardizing middleware to use ConfigureOption lambda
* [`[6d202b0fdf]`](https://github.com/aspnet/AspNetCore/commit/6d202b0fdf) Standardizing middleware to use configureOptions lambda
* [`[d07a072287]`](https://github.com/aspnet/AspNetCore/commit/d07a072287) Adding AssemblyInfo for WindowsServices
* [`[6f9b827e5b]`](https://github.com/aspnet/AspNetCore/commit/6f9b827e5b) Standardizing middleware to use configureOptions lambda
* [`[83c8816eb7]`](https://github.com/aspnet/AspNetCore/commit/83c8816eb7) Add support for hosting within a Windows service.
* [`[ee804e5841]`](https://github.com/aspnet/AspNetCore/commit/ee804e5841) Register FileBufferingReadStream for disposal
* [`[f5a866ff3c]`](https://github.com/aspnet/AspNetCore/commit/f5a866ff3c) Using new PlatformServices API
* [`[d9e06f8e6e]`](https://github.com/aspnet/AspNetCore/commit/d9e06f8e6e) Don't decode forward slashes in request path (#146).
* [`[905b5bcfc2]`](https://github.com/aspnet/AspNetCore/commit/905b5bcfc2) Enable tests on CoreCLR (#143).
* [`[fe41412eeb]`](https://github.com/aspnet/AspNetCore/commit/fe41412eeb) Stardardizing option initialization using lambdas
* [`[6c7c373d82]`](https://github.com/aspnet/AspNetCore/commit/6c7c373d82) OptionsModel => Options
* [`[9364f896b3]`](https://github.com/aspnet/AspNetCore/commit/9364f896b3) Options renames for functionals
* [`[e91ce99c70]`](https://github.com/aspnet/AspNetCore/commit/e91ce99c70) OptionsModel => Options
* [`[a956fe53c1]`](https://github.com/aspnet/AspNetCore/commit/a956fe53c1) OptionsModel => Options
* [`[1a485fadb0]`](https://github.com/aspnet/AspNetCore/commit/1a485fadb0) OptionsModel => Options
* [`[84279c07cf]`](https://github.com/aspnet/AspNetCore/commit/84279c07cf) OptionsModel => Options rename
* [`[0e8113e393]`](https://github.com/aspnet/AspNetCore/commit/0e8113e393) OptionsModel => Options rename
* [`[8b71e9232f]`](https://github.com/aspnet/AspNetCore/commit/8b71e9232f) OptionsModel => Options
* [`[7b43502817]`](https://github.com/aspnet/AspNetCore/commit/7b43502817) Update selfhost to specify server via command line
* [`[d77655fb73]`](https://github.com/aspnet/AspNetCore/commit/d77655fb73) MVC Controller Response - Wrong ContentType #3245
* [`[aaf84afaff]`](https://github.com/aspnet/AspNetCore/commit/aaf84afaff) Don't try calling `uname` on Windows
* [`[94bf7bf2d5]`](https://github.com/aspnet/AspNetCore/commit/94bf7bf2d5) Dont select an architecture specific version of IIS Express.
* [`[f56cf97805]`](https://github.com/aspnet/AspNetCore/commit/f56cf97805) Simplifying MvcTestFixture
* [`[02fa0c306d]`](https://github.com/aspnet/AspNetCore/commit/02fa0c306d) Jit readonly static optimization
* [`[bb666a04cc]`](https://github.com/aspnet/AspNetCore/commit/bb666a04cc) Removing MvcMinimalSample.Web from Mvc.sln
* [`[952fdd5a38]`](https://github.com/aspnet/AspNetCore/commit/952fdd5a38) no parallel on Linux
* [`[aa7ebb343a]`](https://github.com/aspnet/AspNetCore/commit/aa7ebb343a) Update half of the test websites to use new Hosting API conventions.
* [`[9edd6f60b9]`](https://github.com/aspnet/AspNetCore/commit/9edd6f60b9) Missed update after rebasing
* [`[1e6ff07ec8]`](https://github.com/aspnet/AspNetCore/commit/1e6ff07ec8) Fix routing service registration
* [`[76c0f12c06]`](https://github.com/aspnet/AspNetCore/commit/76c0f12c06) Full path -because paths are hard
* [`[0ce70ddb1c]`](https://github.com/aspnet/AspNetCore/commit/0ce70ddb1c) Use full path for test runner
* [`[8fb187bf09]`](https://github.com/aspnet/AspNetCore/commit/8fb187bf09) Use system.buffers for our reader/writer
* [`[813171a016]`](https://github.com/aspnet/AspNetCore/commit/813171a016) Reduce allocation in URL generation
* [`[c5b6efd6bf]`](https://github.com/aspnet/AspNetCore/commit/c5b6efd6bf) Move buffer types to ViewFeatures Use buffer pooling in more places
* [`[3809613618]`](https://github.com/aspnet/AspNetCore/commit/3809613618) Add missing System.ComponentModel dependency.
* [`[37c167aa74]`](https://github.com/aspnet/AspNetCore/commit/37c167aa74) Adding UrlEncoder to the ServiceCollection
* [`[1c70ff4d13]`](https://github.com/aspnet/AspNetCore/commit/1c70ff4d13) API changes to Hosting and TestServer #525
* [`[0720d23a19]`](https://github.com/aspnet/AspNetCore/commit/0720d23a19) More reactions to DI
* [`[1c0996c625]`](https://github.com/aspnet/AspNetCore/commit/1c0996c625) Add a sample demonstrating Antiforgery with AJAX
* [`[e27ce7b512]`](https://github.com/aspnet/AspNetCore/commit/e27ce7b512) update to fixed install.ps1
* [`[dbe4ce06f2]`](https://github.com/aspnet/AspNetCore/commit/dbe4ce06f2) Cache XML file information when creating design time based `TagHelperDescriptor`s.
* [`[7625f65e6c]`](https://github.com/aspnet/AspNetCore/commit/7625f65e6c) Faster MemoryPoolIterator2.CopyFrom
* [`[186f6d0a05]`](https://github.com/aspnet/AspNetCore/commit/186f6d0a05) Horizontal initialize repeat vectors once
* [`[c05c203c28]`](https://github.com/aspnet/AspNetCore/commit/c05c203c28) Adding example of what http context pooling might look like
* [`[0e3fe7493e]`](https://github.com/aspnet/AspNetCore/commit/0e3fe7493e) Streamlining feature cache and object re-initialiation code paths
* [`[6a16681ed4]`](https://github.com/aspnet/AspNetCore/commit/6a16681ed4)  * Replace MvcMinimalSample with functional test
* [`[dfb033e51c]`](https://github.com/aspnet/AspNetCore/commit/dfb033e51c) Use nuget add instead of dnu packages add
* [`[559cd51255]`](https://github.com/aspnet/AspNetCore/commit/559cd51255) Faster Headers.ClearFast
* [`[9fa9c45eda]`](https://github.com/aspnet/AspNetCore/commit/9fa9c45eda) ReuseStreams config and tests
* [`[841ec73497]`](https://github.com/aspnet/AspNetCore/commit/841ec73497) Prevent OnComplete modifying Streams
* [`[f5e45accac]`](https://github.com/aspnet/AspNetCore/commit/f5e45accac) Amortize Stream Costs
* [`[3d8225502f]`](https://github.com/aspnet/AspNetCore/commit/3d8225502f) Change `HtmlString` to inherit from `HtmlEncodedString` - part of aspnet/HtmlAbstractions#5 fix - also extend existing special cases to more general `HtmlEncodedString`
* [`[ea43ce1bb7]`](https://github.com/aspnet/AspNetCore/commit/ea43ce1bb7) update gitignore
* [`[349af50977]`](https://github.com/aspnet/AspNetCore/commit/349af50977) Pre-allocate standard method and version strings.
* [`[de8c74bb89]`](https://github.com/aspnet/AspNetCore/commit/de8c74bb89) Add missing System.Runtime.InteropServices dependency.
* [`[4460cd3470]`](https://github.com/aspnet/AspNetCore/commit/4460cd3470) Don't use Vector<byte>.Dot
* [`[1b05921b70]`](https://github.com/aspnet/AspNetCore/commit/1b05921b70) Update the git template
* [`[67c5ec29b3]`](https://github.com/aspnet/AspNetCore/commit/67c5ec29b3) Allow feature cache to be updated+invalidated
* [`[0ac3e9d3a4]`](https://github.com/aspnet/AspNetCore/commit/0ac3e9d3a4) Run functional tets in parallel
* [`[77bcf111fb]`](https://github.com/aspnet/AspNetCore/commit/77bcf111fb) All line endings
* [`[28474fdc75]`](https://github.com/aspnet/AspNetCore/commit/28474fdc75) Fix line endings
* [`[3280ff6ac5]`](https://github.com/aspnet/AspNetCore/commit/3280ff6ac5) Add Header support
* [`[c61cc65db3]`](https://github.com/aspnet/AspNetCore/commit/c61cc65db3) [Fixes #3705] Bring back render partial
* [`[2baf6fecf5]`](https://github.com/aspnet/AspNetCore/commit/2baf6fecf5) Allow inline configure of options in UseDeveloperExceptionPage
* [`[83cff16715]`](https://github.com/aspnet/AspNetCore/commit/83cff16715) Changing the folder of ARM version of libuv to win7-arm
* [`[c3c0b45225]`](https://github.com/aspnet/AspNetCore/commit/c3c0b45225) Move functional tests of CORS middleware to this repo - related to aspnet/Mvc#3612
* [`[269b31469c]`](https://github.com/aspnet/AspNetCore/commit/269b31469c) Slight simplification
* [`[39f7f1649f]`](https://github.com/aspnet/AspNetCore/commit/39f7f1649f) Add example of server and client validation for React
* [`[bbba9dcde6]`](https://github.com/aspnet/AspNetCore/commit/bbba9dcde6) [Fixes #3524] Handle negative long values in TempData correctly
* [`[1b7e67211f]`](https://github.com/aspnet/AspNetCore/commit/1b7e67211f) Do not override default `Layout` value - #3745
* [`[29ea696c5a]`](https://github.com/aspnet/AspNetCore/commit/29ea696c5a) Add `Model` assessor to `ViewResult` for MVC5 portability.
* [`[09278f7013]`](https://github.com/aspnet/AspNetCore/commit/09278f7013) Adding logging event ids
* [`[29e87e314a]`](https://github.com/aspnet/AspNetCore/commit/29e87e314a) Fix coreclr registry and file system related tests
* [`[c41be75796]`](https://github.com/aspnet/AspNetCore/commit/c41be75796) Wrap Branch in try finally
* [`[cb39589864]`](https://github.com/aspnet/AspNetCore/commit/cb39589864) Add extension methods for using routing with Middleware
* [`[5e837b4eef]`](https://github.com/aspnet/AspNetCore/commit/5e837b4eef) Reduce overuse of null-conditional operator
* [`[a2393f21be]`](https://github.com/aspnet/AspNetCore/commit/a2393f21be) Adds ControllerBase to Mvc.Core
* [`[455d865948]`](https://github.com/aspnet/AspNetCore/commit/455d865948) Fixing deadlock hang in test when running in single threaded environment
* [`[cc501bc025]`](https://github.com/aspnet/AspNetCore/commit/cc501bc025) HttpMethodConstraint -> HttpMethodRouteConstraint
* [`[05dcc22da7]`](https://github.com/aspnet/AspNetCore/commit/05dcc22da7) Temporarily disabling smoke tests from running on Mono
* [`[604fc6bb54]`](https://github.com/aspnet/AspNetCore/commit/604fc6bb54) Fix #248 Add HttpMethodRouteConstraint
* [`[ee6ef3f25f]`](https://github.com/aspnet/AspNetCore/commit/ee6ef3f25f) Last part of #3676
* [`[59b32934e3]`](https://github.com/aspnet/AspNetCore/commit/59b32934e3) Change Expires to DateTimeOffset
* [`[c56282a452]`](https://github.com/aspnet/AspNetCore/commit/c56282a452) More changes
* [`[80575a092e]`](https://github.com/aspnet/AspNetCore/commit/80575a092e) Don't ignore synchronous errors when calling Node
* [`[e9ba74761d]`](https://github.com/aspnet/AspNetCore/commit/e9ba74761d) Fixes
* [`[8a148d8535]`](https://github.com/aspnet/AspNetCore/commit/8a148d8535) Move from ValidationErrorResult to HttpBadRequest, and support object-level errors too
* [`[0af4e2e32b]`](https://github.com/aspnet/AspNetCore/commit/0af4e2e32b) Disabling tests from running in parallel
* [`[dc9f5c433b]`](https://github.com/aspnet/AspNetCore/commit/dc9f5c433b) Update reason phrases to current
* [`[5c2ef70cae]`](https://github.com/aspnet/AspNetCore/commit/5c2ef70cae) Modifying E2E tests to run on coreclr
* [`[3325bfc653]`](https://github.com/aspnet/AspNetCore/commit/3325bfc653) Fix how we chose target runtime in deployers
* [`[392871beb6]`](https://github.com/aspnet/AspNetCore/commit/392871beb6) Change missing section end brace error to work at EOF.
* [`[21e815cb36]`](https://github.com/aspnet/AspNetCore/commit/21e815cb36) Removing CodeGenerators.Mvc reference
* [`[e0d3d7e85d]`](https://github.com/aspnet/AspNetCore/commit/e0d3d7e85d) Catch and display project validation exceptions correctly
* [`[5304b3b04f]`](https://github.com/aspnet/AspNetCore/commit/5304b3b04f) Updating to release NuGet.config.
* [`[b3f4ab1ddd]`](https://github.com/aspnet/AspNetCore/commit/b3f4ab1ddd) Updating to release NuGet.config.
* [`[d35255f30b]`](https://github.com/aspnet/AspNetCore/commit/d35255f30b) Updating to release NuGet.config.
* [`[a6396df690]`](https://github.com/aspnet/AspNetCore/commit/a6396df690) Updating to release NuGet.config.
* [`[6ad99c5188]`](https://github.com/aspnet/AspNetCore/commit/6ad99c5188) Updating to release NuGet.config.
* [`[0452ac6664]`](https://github.com/aspnet/AspNetCore/commit/0452ac6664) Updating to release NuGet.config.
* [`[cb39ab5c43]`](https://github.com/aspnet/AspNetCore/commit/cb39ab5c43) Updating to release NuGet.config.
* [`[a1ed3e3748]`](https://github.com/aspnet/AspNetCore/commit/a1ed3e3748) Updating to release NuGet.config.
* [`[b3649ea79a]`](https://github.com/aspnet/AspNetCore/commit/b3649ea79a) Updating to release NuGet.config.
* [`[86795ab1b6]`](https://github.com/aspnet/AspNetCore/commit/86795ab1b6) Updating to release NuGet.config.
* [`[e1dca97150]`](https://github.com/aspnet/AspNetCore/commit/e1dca97150) Updating to release NuGet.config.
* [`[125f1553b8]`](https://github.com/aspnet/AspNetCore/commit/125f1553b8) Updating to release NuGet.config.
* [`[0158c75ed5]`](https://github.com/aspnet/AspNetCore/commit/0158c75ed5) Updating to release NuGet.config.
* [`[c6d6bd7252]`](https://github.com/aspnet/AspNetCore/commit/c6d6bd7252) Updating to release NuGet.config.
* [`[098b2423b2]`](https://github.com/aspnet/AspNetCore/commit/098b2423b2) Updating to release NuGet.config.
* [`[a4fec4943c]`](https://github.com/aspnet/AspNetCore/commit/a4fec4943c) Updating to release NuGet.config.
* [`[51920a0af2]`](https://github.com/aspnet/AspNetCore/commit/51920a0af2) Updating to release NuGet.config.
* [`[4cd2730a39]`](https://github.com/aspnet/AspNetCore/commit/4cd2730a39) Updating to release NuGet.config.
* [`[5a8f1281e8]`](https://github.com/aspnet/AspNetCore/commit/5a8f1281e8) Updating to release NuGet.config.
* [`[cc6b4b28fa]`](https://github.com/aspnet/AspNetCore/commit/cc6b4b28fa) Updating to release NuGet.config.
* [`[3393ba43c2]`](https://github.com/aspnet/AspNetCore/commit/3393ba43c2)  * Parameters into the messages
* [`[a208c95a4f]`](https://github.com/aspnet/AspNetCore/commit/a208c95a4f) Deleted stale files from earlier deleted test website UrlHelperWebSite
* [`[bba388944d]`](https://github.com/aspnet/AspNetCore/commit/bba388944d) Extremely minor improvement to sample
* [`[3b57c74921]`](https://github.com/aspnet/AspNetCore/commit/3b57c74921) fix #332 by using dnu packages add
* [`[32bbd8516c]`](https://github.com/aspnet/AspNetCore/commit/32bbd8516c) Quick fix: Add routing feature on success
* [`[a83e4d85e4]`](https://github.com/aspnet/AspNetCore/commit/a83e4d85e4) Show example of using traditional MVC controller+action routing alongside client-side routes
* [`[f2bb90fa55]`](https://github.com/aspnet/AspNetCore/commit/f2bb90fa55) Fix localization tests
* [`[36180ab6d0]`](https://github.com/aspnet/AspNetCore/commit/36180ab6d0) Add IRouteHandler, RouteBase, and IRoutingFeature
* [`[e3fee2fd07]`](https://github.com/aspnet/AspNetCore/commit/e3fee2fd07)  * Fix ErrorPage tabs.
* [`[5665eba646]`](https://github.com/aspnet/AspNetCore/commit/5665eba646) Pool WriteContexts additionally
* [`[3e42904096]`](https://github.com/aspnet/AspNetCore/commit/3e42904096) Pool UvWriteReqs instead of SocketOutput.WriteContexts
* [`[992664e0dc]`](https://github.com/aspnet/AspNetCore/commit/992664e0dc) Process cascaded work immediately
* [`[97d3340624]`](https://github.com/aspnet/AspNetCore/commit/97d3340624) Resuse writes, initalize queues
* [`[8a0cbe789e]`](https://github.com/aspnet/AspNetCore/commit/8a0cbe789e) Use cache priming in Music Store sample
* [`[7924a6527a]`](https://github.com/aspnet/AspNetCore/commit/7924a6527a) Implement cache priming prototype
* [`[f9d70e601c]`](https://github.com/aspnet/AspNetCore/commit/f9d70e601c) Set error before changing state in SocketInput.AbortAwaiting
* [`[9e8b07ecf8]`](https://github.com/aspnet/AspNetCore/commit/9e8b07ecf8) Error concurrent reads gracefully
* [`[5c1f362c84]`](https://github.com/aspnet/AspNetCore/commit/5c1f362c84) Target dotnet TFM's for class libraries
* [`[5ff3e9a051]`](https://github.com/aspnet/AspNetCore/commit/5ff3e9a051) Use proper filename extension
* [`[c95b06d264]`](https://github.com/aspnet/AspNetCore/commit/c95b06d264) Add some notes
* [`[bf6548de96]`](https://github.com/aspnet/AspNetCore/commit/bf6548de96) Use angular2-aspnet in Angular 2 Music Store sample
* [`[30281636d6]`](https://github.com/aspnet/AspNetCore/commit/30281636d6) Beginning angular2-aspnet NPM package
* [`[cda1663d1e]`](https://github.com/aspnet/AspNetCore/commit/cda1663d1e) Add missing imports
* [`[fd33475c05]`](https://github.com/aspnet/AspNetCore/commit/fd33475c05) Ignore null valued headers #429
* [`[8aa3fd6e9c]`](https://github.com/aspnet/AspNetCore/commit/8aa3fd6e9c) Use TypeNameHelper for pretty printing names
* [`[3b42433f07]`](https://github.com/aspnet/AspNetCore/commit/3b42433f07) Handle null valued headers #158
* [`[0cbd683825]`](https://github.com/aspnet/AspNetCore/commit/0cbd683825) nix does not have %LOCALAPPDATA%, use SpecialFolder.LocalApplicationData instead
* [`[562f65c9c8]`](https://github.com/aspnet/AspNetCore/commit/562f65c9c8) Changed log level to Information
* [`[0623f3b741]`](https://github.com/aspnet/AspNetCore/commit/0623f3b741) #555 Make SkipToNextMiddleware work on events.
* [`[4cc070fe28]`](https://github.com/aspnet/AspNetCore/commit/4cc070fe28) Added some KestrelServer tests
* [`[f6bb28a71d]`](https://github.com/aspnet/AspNetCore/commit/f6bb28a71d) Add handling of error response from node process
* [`[1e446b6797]`](https://github.com/aspnet/AspNetCore/commit/1e446b6797) Add exception stack to error response if available
* [`[bc359a3a4b]`](https://github.com/aspnet/AspNetCore/commit/bc359a3a4b) Replace express with native node calls
* [`[774ee05508]`](https://github.com/aspnet/AspNetCore/commit/774ee05508) Clean up ViewStartPages usage in RazorView
* [`[2261c9964e]`](https://github.com/aspnet/AspNetCore/commit/2261c9964e) Preparing to move the ASP.NET MVC validation result client-side code into a separate NPM module
* [`[906a17ea3c]`](https://github.com/aspnet/AspNetCore/commit/906a17ea3c) Define ValidationErrorResult in SpaServices; use it in MusicStore
* [`[cf6662d0c3]`](https://github.com/aspnet/AspNetCore/commit/cf6662d0c3) Partial fix for #3676 - fix race in ElementMetadata
* [`[78efc77be4]`](https://github.com/aspnet/AspNetCore/commit/78efc77be4) Use MapSpaFallbackRoute in ReactServices and demo
* [`[d4f04d211f]`](https://github.com/aspnet/AspNetCore/commit/d4f04d211f) Create a new shared package, Microsoft.AspNet.SpaServices, to hold MapSpaFallbackRoute (and other common infrastructure yet to be added)
* [`[4a5b9e62ef]`](https://github.com/aspnet/AspNetCore/commit/4a5b9e62ef) Add MapSpaFallbackRoute helper. Will move into separate package shortly.
* [`[dde06ffdcb]`](https://github.com/aspnet/AspNetCore/commit/dde06ffdcb) Fixing CoreCLR package version
* [`[94dd583a15]`](https://github.com/aspnet/AspNetCore/commit/94dd583a15) Fixing CoreCLR package versions
* [`[dd02a1c442]`](https://github.com/aspnet/AspNetCore/commit/dd02a1c442) Fix compiler warnings
* [`[b966ed0ba3]`](https://github.com/aspnet/AspNetCore/commit/b966ed0ba3) Fixing CoreCLR package versions
* [`[c6f8ced9a2]`](https://github.com/aspnet/AspNetCore/commit/c6f8ced9a2) Fixing CoreCLR package versions
* [`[411a59125c]`](https://github.com/aspnet/AspNetCore/commit/411a59125c) Fixing CoreCLR package versions
* [`[be46c7602e]`](https://github.com/aspnet/AspNetCore/commit/be46c7602e) Add IAssemblyLoadContextAccessor to the service collection
* [`[f33ce78658]`](https://github.com/aspnet/AspNetCore/commit/f33ce78658) Update WebSockets in NuGetPackageVerifier.
* [`[fca0476936]`](https://github.com/aspnet/AspNetCore/commit/fca0476936) #137 Relayer and ifdef WebSockets Rename Microsoft.Net.WebSockets to Microsoft.Net.WebSockets.Server. Reverse dependency with Microsoft.Net.Http.Server. ifdef out IHttpWebSocketFeature.
* [`[39451a57b6]`](https://github.com/aspnet/AspNetCore/commit/39451a57b6) * Removing Helios from sample * Adding System.Runtime to unblock CI
* [`[ce4d24159e]`](https://github.com/aspnet/AspNetCore/commit/ce4d24159e) source it on Nix
* [`[1ccc412caf]`](https://github.com/aspnet/AspNetCore/commit/1ccc412caf) Support for dotnet
* [`[5e42d26fd5]`](https://github.com/aspnet/AspNetCore/commit/5e42d26fd5) Implement GetHashCode
* [`[36cd47bc1f]`](https://github.com/aspnet/AspNetCore/commit/36cd47bc1f) Move ICompilationException to Diagnostics
* [`[c7a6c099ed]`](https://github.com/aspnet/AspNetCore/commit/c7a6c099ed) Removing more unused usings
* [`[6fbc3b8832]`](https://github.com/aspnet/AspNetCore/commit/6fbc3b8832) Added null check in KestrelServerInformation
* [`[1e997fec7e]`](https://github.com/aspnet/AspNetCore/commit/1e997fec7e) * Cleaning up usage of CodeAnalysis. * Fixing System.Reflection version.
* [`[5231683aae]`](https://github.com/aspnet/AspNetCore/commit/5231683aae) * Removing unused dependencies from code * Cleaning up usage of CodeAnalysis.
* [`[6fabd6f064]`](https://github.com/aspnet/AspNetCore/commit/6fabd6f064) Removing unused dependencies
* [`[6467d0d475]`](https://github.com/aspnet/AspNetCore/commit/6467d0d475) Add ILibraryManager explicitly
* [`[0a5b8dd660]`](https://github.com/aspnet/AspNetCore/commit/0a5b8dd660) Update sample.
* [`[29b90ea070]`](https://github.com/aspnet/AspNetCore/commit/29b90ea070) Simplify AuthenticationHandler using LINQ
* [`[f24c35f1a9]`](https://github.com/aspnet/AspNetCore/commit/f24c35f1a9) Promote SaveTokensAsClaims to RemoteAuthOptions
* [`[8d18e1beac]`](https://github.com/aspnet/AspNetCore/commit/8d18e1beac) add ShoppingCart table style
* [`[26e33b9d68]`](https://github.com/aspnet/AspNetCore/commit/26e33b9d68) Unified naming
* [`[4c68807a05]`](https://github.com/aspnet/AspNetCore/commit/4c68807a05) Split out ProcessorThreadCount, added InvariantCulture to TryParse
* [`[8d6a999bc3]`](https://github.com/aspnet/AspNetCore/commit/8d6a999bc3) Made NoDelay configurable
* [`[12ee74c09c]`](https://github.com/aspnet/AspNetCore/commit/12ee74c09c) server.threadCount -> kestre.threadCount
* [`[b01183f023]`](https://github.com/aspnet/AspNetCore/commit/b01183f023) Simplify link generation code
* [`[59bfb9ba10]`](https://github.com/aspnet/AspNetCore/commit/59bfb9ba10) Trim req/resp streams by a field each
* [`[bfad32f223]`](https://github.com/aspnet/AspNetCore/commit/bfad32f223) Added test for Addresses
* [`[b6b8ea3c38]`](https://github.com/aspnet/AspNetCore/commit/b6b8ea3c38) Made ThreadCount configurable
* [`[75cfe2c3bb]`](https://github.com/aspnet/AspNetCore/commit/75cfe2c3bb) Moved GetThreadCount into KestrelServerInformation
* [`[5eaa7e51c8]`](https://github.com/aspnet/AspNetCore/commit/5eaa7e51c8) Initialize ThreadCount as early as possible
* [`[c2e7618d9a]`](https://github.com/aspnet/AspNetCore/commit/c2e7618d9a) Added Name and FileName to IFormFile
* [`[35a06369d7]`](https://github.com/aspnet/AspNetCore/commit/35a06369d7) Pooled block always has pool
* [`[aa48f79816]`](https://github.com/aspnet/AspNetCore/commit/aa48f79816) Use Routing.Abstractions
* [`[ff34c5404a]`](https://github.com/aspnet/AspNetCore/commit/ff34c5404a) Implement a backing-buffer for Razor using pooled memory
* [`[17072b1417]`](https://github.com/aspnet/AspNetCore/commit/17072b1417) #574 Add a JwtBearer sample.
* [`[b3e5e7c178]`](https://github.com/aspnet/AspNetCore/commit/b3e5e7c178) Fix Google & Twitter, harden the tests.
* [`[858e5ab3a2]`](https://github.com/aspnet/AspNetCore/commit/858e5ab3a2) Moar stopping power, Timeout is total timout
* [`[6712f9d9ff]`](https://github.com/aspnet/AspNetCore/commit/6712f9d9ff) Deleted ValueProvidersWebSite and tests
* [`[9539c373ba]`](https://github.com/aspnet/AspNetCore/commit/9539c373ba) Deleted ViewComponentWebSite and tests
* [`[3c694ce77c]`](https://github.com/aspnet/AspNetCore/commit/3c694ce77c) Movig RequestServicesWebsite to BasicWebsite
* [`[046dcefd14]`](https://github.com/aspnet/AspNetCore/commit/046dcefd14) Add extensibility point to Razor compilation
* [`[206b7b9113]`](https://github.com/aspnet/AspNetCore/commit/206b7b9113) Dispose FileWatcher in tests
* [`[1ca67695ed]`](https://github.com/aspnet/AspNetCore/commit/1ca67695ed) Use pooled memory for filtered stream
* [`[bae9771a81]`](https://github.com/aspnet/AspNetCore/commit/bae9771a81) Diabling async TestHost.Tests on Mono #507
* [`[2ce9fcc233]`](https://github.com/aspnet/AspNetCore/commit/2ce9fcc233) Fix facebook tests.
* [`[9af9dea72c]`](https://github.com/aspnet/AspNetCore/commit/9af9dea72c) Smaller default buffer
* [`[3d8886a064]`](https://github.com/aspnet/AspNetCore/commit/3d8886a064) #566 Update Google token endpoint.
* [`[c41b449681]`](https://github.com/aspnet/AspNetCore/commit/c41b449681) Lighter & less async sMachines
* [`[b1e8f0cdea]`](https://github.com/aspnet/AspNetCore/commit/b1e8f0cdea) Add IThreadPool interface
* [`[850d2b0c7e]`](https://github.com/aspnet/AspNetCore/commit/850d2b0c7e) Construct ThreadPoolActions in KestrelServer
* [`[5ae9b3c383]`](https://github.com/aspnet/AspNetCore/commit/5ae9b3c383) Log user code threadpool continuation execptions
* [`[9887fe0dee]`](https://github.com/aspnet/AspNetCore/commit/9887fe0dee) Move the header extensions to Http.Abstractions
* [`[236ba40d00]`](https://github.com/aspnet/AspNetCore/commit/236ba40d00) Add link to community project
* [`[b84d8dbd07]`](https://github.com/aspnet/AspNetCore/commit/b84d8dbd07) Minor style changes to tenor/speed-up-date
* [`[42f3e764b0]`](https://github.com/aspnet/AspNetCore/commit/42f3e764b0) Move logic from `HtmlLocalizer` to `LocalizedHtmlString` - part of #3123 (4 of 5) - `LocalizedHtmlString` should not subclass `HtmlString`; now implements `IHtmlContent`
* [`[a85f37697c]`](https://github.com/aspnet/AspNetCore/commit/a85f37697c) Add SSL+Upgrade regression test
* [`[a55be21469]`](https://github.com/aspnet/AspNetCore/commit/a55be21469) Empty buffer when null buffer
* [`[c911a10692]`](https://github.com/aspnet/AspNetCore/commit/c911a10692) Add Routing.Abstractions
* [`[3062eea7d0]`](https://github.com/aspnet/AspNetCore/commit/3062eea7d0) Dispose FileWatcher, MvcRazorHost, and ChunkTree
* [`[92c479869b]`](https://github.com/aspnet/AspNetCore/commit/92c479869b) #600 Update the Twitter AuthenticationEndpoint
* [`[a18181d363]`](https://github.com/aspnet/AspNetCore/commit/a18181d363) #565 Update facebook APIs to v2.5.
* [`[1b0e2e50e1]`](https://github.com/aspnet/AspNetCore/commit/1b0e2e50e1) Restore previous package name: `Microsoft.AspNet.Html.Abstractions`
* [`[b7c60de98a]`](https://github.com/aspnet/AspNetCore/commit/b7c60de98a) Don't allocate request processing delegate
* [`[a0a1c38e44]`](https://github.com/aspnet/AspNetCore/commit/a0a1c38e44) Moving Microsoft.AspNet.Html.Abstractions to a HtmlAbstractions repo
* [`[17e9a3336f]`](https://github.com/aspnet/AspNetCore/commit/17e9a3336f) Update the sample dependencies, commands, etc..
* [`[f9661e2bf1]`](https://github.com/aspnet/AspNetCore/commit/f9661e2bf1) Initial commit
* [`[b14fa9d990]`](https://github.com/aspnet/AspNetCore/commit/b14fa9d990) Create CONTRIBUTING.md
* [`[95ae948349]`](https://github.com/aspnet/AspNetCore/commit/95ae948349) Create LICENSE.txt
* [`[48243bbc0c]`](https://github.com/aspnet/AspNetCore/commit/48243bbc0c) Create README.md
* [`[657a5ab26b]`](https://github.com/aspnet/AspNetCore/commit/657a5ab26b) Fixed an issue where invalid characters in the path could cause FileExtensionContentTypeProvider.TryGetExtension to throw an exception.
* [`[efd40862f0]`](https://github.com/aspnet/AspNetCore/commit/efd40862f0) Add tooling sample configuration.
* [`[70bdb6eb3e]`](https://github.com/aspnet/AspNetCore/commit/70bdb6eb3e) Removing CopyTo from RazorTextWriter
* [`[8c256a0d87]`](https://github.com/aspnet/AspNetCore/commit/8c256a0d87) New IServer design with IHttpApplication added #395
* [`[a2e4c4e133]`](https://github.com/aspnet/AspNetCore/commit/a2e4c4e133) Enabling tests on CoreCLR
* [`[23f44aa082]`](https://github.com/aspnet/AspNetCore/commit/23f44aa082) Enabling tests on CoreCLR
* [`[cd02665909]`](https://github.com/aspnet/AspNetCore/commit/cd02665909) Allow tests to run on CoreCLR
* [`[b77d22cfcb]`](https://github.com/aspnet/AspNetCore/commit/b77d22cfcb) Update url of basic authentication example
* [`[6251b8f3e6]`](https://github.com/aspnet/AspNetCore/commit/6251b8f3e6) Changed timer interval to 1 second.
* [`[921c338a40]`](https://github.com/aspnet/AspNetCore/commit/921c338a40) Support PathBase (#214).
* [`[a7a6a90f1d]`](https://github.com/aspnet/AspNetCore/commit/a7a6a90f1d) Dispose FileWatcher in tests
* [`[e6376a89a6]`](https://github.com/aspnet/AspNetCore/commit/e6376a89a6) Use in-memory store for openid connect testing on non-windows platforms
* [`[d584c09413]`](https://github.com/aspnet/AspNetCore/commit/d584c09413) Fixed OpenIdConnectBackChannelHttpHandler's path to the configuration file
* [`[51cc52e855]`](https://github.com/aspnet/AspNetCore/commit/51cc52e855) Tooling sample updates.
* [`[4cf32eb678]`](https://github.com/aspnet/AspNetCore/commit/4cf32eb678) #411 Handle validation failures from ValidateToken.
* [`[91e837d465]`](https://github.com/aspnet/AspNetCore/commit/91e837d465)  * Debug log exceptions in JsonInput deserializing
* [`[d22d6793ba]`](https://github.com/aspnet/AspNetCore/commit/d22d6793ba)  * Include DisplayName in errorMessage
* [`[c5346f7bf9]`](https://github.com/aspnet/AspNetCore/commit/c5346f7bf9) Use string.IsNullOrEmpty instead of string.IsNullOrWhitespace
* [`[4441fba4ee]`](https://github.com/aspnet/AspNetCore/commit/4441fba4ee) Clean up folders and test names
* [`[123eaf2278]`](https://github.com/aspnet/AspNetCore/commit/123eaf2278) Fix #233 - Routing stops when constraint is rejected
* [`[9fc51ecbee]`](https://github.com/aspnet/AspNetCore/commit/9fc51ecbee) Add launchsettings.json to .gitignore
* [`[5ed05d34ac]`](https://github.com/aspnet/AspNetCore/commit/5ed05d34ac) Adding directory existence check for nuget-install
* [`[2937fc3c98]`](https://github.com/aspnet/AspNetCore/commit/2937fc3c98) OnConnection->OnConnectionAsync
* [`[7f025a6bd4]`](https://github.com/aspnet/AspNetCore/commit/7f025a6bd4) Speed up DateHeaderValueManager
* [`[ad04dd1750]`](https://github.com/aspnet/AspNetCore/commit/ad04dd1750) Work around CoreCLR issue
* [`[6f840b60ca]`](https://github.com/aspnet/AspNetCore/commit/6f840b60ca) Improvements to form UI
* [`[7a30e13004]`](https://github.com/aspnet/AspNetCore/commit/7a30e13004) Removing redundant src placeholder
* [`[d8cc2b85d5]`](https://github.com/aspnet/AspNetCore/commit/d8cc2b85d5) Adds ActionContext to Validation contexts
* [`[017bf1a20f]`](https://github.com/aspnet/AspNetCore/commit/017bf1a20f) Changes to use moq-netcore
* [`[0832365ec2]`](https://github.com/aspnet/AspNetCore/commit/0832365ec2) Adds ActionContext to OperationBindingContext
* [`[a2f5fcbd2d]`](https://github.com/aspnet/AspNetCore/commit/a2f5fcbd2d) Fix Startup.cs to enable running test on non-Windows OSes
* [`[74bae91c3a]`](https://github.com/aspnet/AspNetCore/commit/74bae91c3a) Rough but working example of displaying server-side validation errors. Needs cleaner patterns/APIs.
* [`[31e42ee312]`](https://github.com/aspnet/AspNetCore/commit/31e42ee312) [Fixes #3433] Invalid media type 'text/plain; charset=utf-8'
* [`[4bcf236450]`](https://github.com/aspnet/AspNetCore/commit/4bcf236450) MVC companion to aspnet/Routing#238
* [`[d4b96b27c0]`](https://github.com/aspnet/AspNetCore/commit/d4b96b27c0) Optimize RouteValueDictionary, expose concrete type
* [`[7bb0a1a4fe]`](https://github.com/aspnet/AspNetCore/commit/7bb0a1a4fe) Update `IJsonHelper` to use `IHtmlContent` - part of #3123 (2 of 5 or so) - do not expose specific `HtmlString` class
* [`[d84587a99d]`](https://github.com/aspnet/AspNetCore/commit/d84587a99d) Quiet `initialization` target in `MvcSandbox` folder
* [`[6a9b38db77]`](https://github.com/aspnet/AspNetCore/commit/6a9b38db77) Return an `IHtmlContent` from `IAntiforgery.GetHtml()` - part of aspnet/Mvc#3123 - no longer forces caller to wrap the return value in an `HtmlString`
* [`[7ac0727813]`](https://github.com/aspnet/AspNetCore/commit/7ac0727813) Towards working forms
* [`[ba1d064b99]`](https://github.com/aspnet/AspNetCore/commit/ba1d064b99) Cleaning up RazorPage
* [`[79d517483b]`](https://github.com/aspnet/AspNetCore/commit/79d517483b) Removing PageInstrumentation
* [`[78face48d0]`](https://github.com/aspnet/AspNetCore/commit/78face48d0) Ignore `launchSettings.json` files
* [`[c8990bcc29]`](https://github.com/aspnet/AspNetCore/commit/c8990bcc29) Hosting#318 Add middleware analysis tools, sample.
* [`[cc384ff272]`](https://github.com/aspnet/AspNetCore/commit/cc384ff272) Add an option to disable windown auth
* [`[4ba80c3210]`](https://github.com/aspnet/AspNetCore/commit/4ba80c3210) Fix styling in React example
* [`[83c9f2136d]`](https://github.com/aspnet/AspNetCore/commit/83c9f2136d) Update everything to use ASP.NET 5 RC1
* [`[4a61dfec6d]`](https://github.com/aspnet/AspNetCore/commit/4a61dfec6d)  * Make HttpMethodConstraint case insensitive
* [`[d01c8bb1cf]`](https://github.com/aspnet/AspNetCore/commit/d01c8bb1cf) #318 Move IStartupFilter to Hosting.Abstractions.
* [`[81dba3961d]`](https://github.com/aspnet/AspNetCore/commit/81dba3961d) less work in locks
* [`[c7d7f0e575]`](https://github.com/aspnet/AspNetCore/commit/c7d7f0e575) Lazily allocate the RequestAborted CTS
* [`[e4fd91bb68]`](https://github.com/aspnet/AspNetCore/commit/e4fd91bb68) Fix hang on Connection: close requests. (#406)
* [`[45ff0a269c]`](https://github.com/aspnet/AspNetCore/commit/45ff0a269c) Make `ModelBinderAttribute.BindingSource` setter `protected` - #3428 - the `public` setter was not useful when this class is used as an attribute - make property `virtual` to support other override patterns - update existing test to use both override patterns
* [`[a3173c487a]`](https://github.com/aspnet/AspNetCore/commit/a3173c487a) Precomputed header bytes
* [`[a420af67b7]`](https://github.com/aspnet/AspNetCore/commit/a420af67b7) Fix French translation
* [`[31a68a0705]`](https://github.com/aspnet/AspNetCore/commit/31a68a0705) Optimize `TagHelperAttributeList` allocations.
* [`[8682fe0cfd]`](https://github.com/aspnet/AspNetCore/commit/8682fe0cfd) Replace ActionBindingContext with ControllerContext
* [`[0dbf108353]`](https://github.com/aspnet/AspNetCore/commit/0dbf108353) Smarter unpinning of MemoryPoolBlock2 in SocketOutput
* [`[7bb3ccf201]`](https://github.com/aspnet/AspNetCore/commit/7bb3ccf201) Fixed possibly wrong registry path
* [`[9db4940c5d]`](https://github.com/aspnet/AspNetCore/commit/9db4940c5d) Increase connect timeout in music store tests
* [`[43aabcb2d6]`](https://github.com/aspnet/AspNetCore/commit/43aabcb2d6) Order `TagHelperExecutionContext.TagHelpers` without `.OrderBy`.
* [`[2572256d3f]`](https://github.com/aspnet/AspNetCore/commit/2572256d3f) Use MemoryPool2 for SocketOutput Buffers
* [`[6b43ebc88b]`](https://github.com/aspnet/AspNetCore/commit/6b43ebc88b) Update code generation tests to account for new `TagHelperOutput`.
* [`[e8327eeec7]`](https://github.com/aspnet/AspNetCore/commit/e8327eeec7) Lazily initialize `TagHelperOutput`s `Content` properties.
* [`[bdf869c3d5]`](https://github.com/aspnet/AspNetCore/commit/bdf869c3d5) Make `TagHelperOutput` an `IHtmlContent`.
* [`[174ec739bb]`](https://github.com/aspnet/AspNetCore/commit/174ec739bb) Don't log ODEs thrown from _abortedCts.Cancel
* [`[1c40548928]`](https://github.com/aspnet/AspNetCore/commit/1c40548928) Add LoggingConnectionFilter.
* [`[79d74127b9]`](https://github.com/aspnet/AspNetCore/commit/79d74127b9) Add temporary workarounds for aspnet/External#50 and aspnet/Mvc#3587
* [`[3c7431aa35]`](https://github.com/aspnet/AspNetCore/commit/3c7431aa35) Change disconnect to abort cts
* [`[d6bda0ec11]`](https://github.com/aspnet/AspNetCore/commit/d6bda0ec11) CompilerCache should not compile multiple assemblies for the same page.
* [`[620622f260]`](https://github.com/aspnet/AspNetCore/commit/620622f260) Include error_desc/error_uri as well for OAuth
* [`[36c744ff29]`](https://github.com/aspnet/AspNetCore/commit/36c744ff29) Use the new line character to check if the CodeWriter buffer ends in a line feed.
* [`[04c30c8bb7]`](https://github.com/aspnet/AspNetCore/commit/04c30c8bb7) Flow configuration via IHostingEnvironment
* [`[307e020703]`](https://github.com/aspnet/AspNetCore/commit/307e020703) Don't crash the server if a connection filter throws synchronously.
* [`[67aa2546a8]`](https://github.com/aspnet/AspNetCore/commit/67aa2546a8) Removing ApplicationServices from HttpContext #466
* [`[155bde0fcf]`](https://github.com/aspnet/AspNetCore/commit/155bde0fcf) Pass in the area name instead of the view name to a parameter that requires an area name.
* [`[7c8b37bcc7]`](https://github.com/aspnet/AspNetCore/commit/7c8b37bcc7) Do not add IHttpContextAccessor to DI by default
* [`[349b2f3963]`](https://github.com/aspnet/AspNetCore/commit/349b2f3963) Add HttpContextAccessor because Hostring doesn't do it by default
* [`[2f2ca234a5]`](https://github.com/aspnet/AspNetCore/commit/2f2ca234a5) Enable detailed startup errors by default.
* [`[42acfe43ad]`](https://github.com/aspnet/AspNetCore/commit/42acfe43ad) Fix aspnet/Mvc#3196 Razor Compilation Allocations
* [`[b3c68defe8]`](https://github.com/aspnet/AspNetCore/commit/b3c68defe8) Change `IViewComponentHelper` methods to return `IHtmlContent` - #3152
* [`[c48173c948]`](https://github.com/aspnet/AspNetCore/commit/c48173c948) Add event ids to all log calls
* [`[8ee803d255]`](https://github.com/aspnet/AspNetCore/commit/8ee803d255) Handle Remote header with ip and port correctly
* [`[85080ae621]`](https://github.com/aspnet/AspNetCore/commit/85080ae621) Make Cors filters run before any other authorization filters
* [`[0708c34331]`](https://github.com/aspnet/AspNetCore/commit/0708c34331) Adding windows specific tests
* [`[982c7abea8]`](https://github.com/aspnet/AspNetCore/commit/982c7abea8) [Fixes #3503] Removing formatters on a given type only works on collections in MVC options
* [`[681533e06c]`](https://github.com/aspnet/AspNetCore/commit/681533e06c) Set IHttpContextAccessor only if DI provides it
* [`[2cdd659e67]`](https://github.com/aspnet/AspNetCore/commit/2cdd659e67) Fix indentation
* [`[bed8c67181]`](https://github.com/aspnet/AspNetCore/commit/bed8c67181) Add SslProtocols option to HttpsConnectionFilter
* [`[bd30f28dfd]`](https://github.com/aspnet/AspNetCore/commit/bd30f28dfd) Implement client certificate authentication
* [`[ef293c645c]`](https://github.com/aspnet/AspNetCore/commit/ef293c645c) Fixing tests
* [`[b520b0cb22]`](https://github.com/aspnet/AspNetCore/commit/b520b0cb22) Limit [FromServices] to apply only to parameters Fixes #3507
* [`[0b808ca75a]`](https://github.com/aspnet/AspNetCore/commit/0b808ca75a) ConfigureDP => AddDP
* [`[4d69ad0db2]`](https://github.com/aspnet/AspNetCore/commit/4d69ad0db2) Moved AttributeRouting from MVC
* [`[01102bba3f]`](https://github.com/aspnet/AspNetCore/commit/01102bba3f) Moving Attribute Routing to Routing
* [`[fbec068f5c]`](https://github.com/aspnet/AspNetCore/commit/fbec068f5c) Adding option to configure services when exposing the ASP.NET 5 pipeline via OWIN #398
* [`[73f557002f]`](https://github.com/aspnet/AspNetCore/commit/73f557002f) Add `AddDataAnnotationsLocalization` parameterless overload.
* [`[94a4c8e3f4]`](https://github.com/aspnet/AspNetCore/commit/94a4c8e3f4) Execute `dnu restore` with .NET Core and use Mono 4.0.5 - upgrade Linux to Trusty (Ubuntu 14.04) distribution, where .NET Core is supported   - also start testing with .NET Core xplat - Mono beta is now 4.2.1 which doesn't work with `nuget.exe`   - see also aspnet/External#48
* [`[5be19a02fc]`](https://github.com/aspnet/AspNetCore/commit/5be19a02fc) Add script to add AutoGenKeys section and UCL for it
* [`[e4084f4ff4]`](https://github.com/aspnet/AspNetCore/commit/e4084f4ff4) Execute `dnu restore` with .NET Core and use Mono 4.0.5 - upgrade Linux to Trusty (Ubuntu 14.04) distribution, where .NET Core is supported - Mono beta is now 4.2.1 which doesn't work with `nuget.exe`   - see also aspnet/External#48
* [`[740b1a305b]`](https://github.com/aspnet/AspNetCore/commit/740b1a305b) Taking some changes from pull/1
* [`[4dc4346fca]`](https://github.com/aspnet/AspNetCore/commit/4dc4346fca) Reduce GetString allocs and conversions
* [`[f7a5c38f65]`](https://github.com/aspnet/AspNetCore/commit/f7a5c38f65) Follow common pattern for implementing IHttpRequestLifetimeFeature
* [`[b73e42b617]`](https://github.com/aspnet/AspNetCore/commit/b73e42b617) Abort request on any write failure
* [`[874bd29ce1]`](https://github.com/aspnet/AspNetCore/commit/874bd29ce1) Throw IOExceptions instead of ODEs after a request is aborted
* [`[062caf16be]`](https://github.com/aspnet/AspNetCore/commit/062caf16be) Support for IHttpRequestLifetimeFeature
* [`[1cbb273b0d]`](https://github.com/aspnet/AspNetCore/commit/1cbb273b0d) Corrected Exception messages
* [`[5e883827e0]`](https://github.com/aspnet/AspNetCore/commit/5e883827e0) Explain why dispose can't be used
* [`[f60f6c92ca]`](https://github.com/aspnet/AspNetCore/commit/f60f6c92ca) Stop streams on finish
* [`[690e5a66e5]`](https://github.com/aspnet/AspNetCore/commit/690e5a66e5) Set default path=/ when removing cookie
* [`[3a1d645308]`](https://github.com/aspnet/AspNetCore/commit/3a1d645308) Update IdentityModel dependencies.
* [`[cb3e9b1218]`](https://github.com/aspnet/AspNetCore/commit/cb3e9b1218) Change List<T> to IList<T>
* [`[d4d04d2c96]`](https://github.com/aspnet/AspNetCore/commit/d4d04d2c96) Adding exception message for paths not starting with / #251
* [`[8941d4b620]`](https://github.com/aspnet/AspNetCore/commit/8941d4b620) Disconnect is Debug not Error
* [`[7691a7cc23]`](https://github.com/aspnet/AspNetCore/commit/7691a7cc23) Improved Send100 Check
* [`[1589b54018]`](https://github.com/aspnet/AspNetCore/commit/1589b54018) Early bail, completed tasks+Interlocked
* [`[f48e6ba51a]`](https://github.com/aspnet/AspNetCore/commit/f48e6ba51a) Add Async in method name
* [`[bd6e181d93]`](https://github.com/aspnet/AspNetCore/commit/bd6e181d93) ConcurrentStack -> ConcurrentQueue
* [`[2e2dfd87c1]`](https://github.com/aspnet/AspNetCore/commit/2e2dfd87c1) Fix byte[] array allocation in IsDarwin
* [`[a3a49d21b8]`](https://github.com/aspnet/AspNetCore/commit/a3a49d21b8) Reset Frame.Scheme on each request (#366).
* [`[985d185466]`](https://github.com/aspnet/AspNetCore/commit/985d185466) Moved content from Announcement to README.md
* [`[f6270de387]`](https://github.com/aspnet/AspNetCore/commit/f6270de387) Updating Microsoft.AspNet.Mvc.WebApiCompatShimTest to use Microsoft.Extensions.DependencyInjection
* [`[96c1668c54]`](https://github.com/aspnet/AspNetCore/commit/96c1668c54) Result -> GetAwaiter().GetResult() for legacy
* [`[558b0ae643]`](https://github.com/aspnet/AspNetCore/commit/558b0ae643) statics to instance
* [`[d82c571831]`](https://github.com/aspnet/AspNetCore/commit/d82c571831) Trim exposed KestrelThread api
* [`[d493667851]`](https://github.com/aspnet/AspNetCore/commit/d493667851) Enable multi loop+thread tests
* [`[a95318c616]`](https://github.com/aspnet/AspNetCore/commit/a95318c616) Network thread count defaults
* [`[9532446b56]`](https://github.com/aspnet/AspNetCore/commit/9532446b56) Disable OpenIdConnectTests on Mono temporary
* [`[59a95f43a3]`](https://github.com/aspnet/AspNetCore/commit/59a95f43a3) Set NoDelay as default
* [`[de107ffe61]`](https://github.com/aspnet/AspNetCore/commit/de107ffe61) Cookies now defaults to AutomaticAuthenticate true again
* [`[e8427349a1]`](https://github.com/aspnet/AspNetCore/commit/e8427349a1) Missed one type in DI reaction
* [`[dd1ffa5f84]`](https://github.com/aspnet/AspNetCore/commit/dd1ffa5f84) Skip some tests on Mono to prevent CI hangs.
* [`[52fe469688]`](https://github.com/aspnet/AspNetCore/commit/52fe469688) Update project.json
* [`[fc346f7768]`](https://github.com/aspnet/AspNetCore/commit/fc346f7768) Avoid some closure allocations in SocketOutput
* [`[59cdd60af6]`](https://github.com/aspnet/AspNetCore/commit/59cdd60af6) Don't pre-complete too many writes
* [`[b8b222b295]`](https://github.com/aspnet/AspNetCore/commit/b8b222b295) Replace InnerAttributeRoute with TreeRouter
* [`[cef221f57a]`](https://github.com/aspnet/AspNetCore/commit/cef221f57a) Added Template property to RouteTemplate
* [`[b8d58133c3]`](https://github.com/aspnet/AspNetCore/commit/b8d58133c3)  * Add NoContent Factory to Controller
* [`[ed46885586]`](https://github.com/aspnet/AspNetCore/commit/ed46885586)  * Log correct message for Found/NotFound views
* [`[5270c514a8]`](https://github.com/aspnet/AspNetCore/commit/5270c514a8)  * Decrement cart count when removing cart item
* [`[c82ac5e61f]`](https://github.com/aspnet/AspNetCore/commit/c82ac5e61f)  * Return old cookie token
* [`[5810154826]`](https://github.com/aspnet/AspNetCore/commit/5810154826) Avoid creating intermediate strings with THCWTW
* [`[a45a671b22]`](https://github.com/aspnet/AspNetCore/commit/a45a671b22) Make ReadAsync state overload 451 only and private.
* [`[f6a9bb1d13]`](https://github.com/aspnet/AspNetCore/commit/f6a9bb1d13) Add `launchSettings.json` to `.gitignore`.
* [`[88ad99d497]`](https://github.com/aspnet/AspNetCore/commit/88ad99d497)  * Fix scrolling on error page
* [`[ecb7e697d1]`](https://github.com/aspnet/AspNetCore/commit/ecb7e697d1) Fix bug with environment name beeng overwritten After being set using UseEnvironment
* [`[ade0dbadb3]`](https://github.com/aspnet/AspNetCore/commit/ade0dbadb3) Slow date wait for CI
* [`[0500043cc9]`](https://github.com/aspnet/AspNetCore/commit/0500043cc9) .Result -> .GetAwaiter().GetResult()
* [`[d1221e82c1]`](https://github.com/aspnet/AspNetCore/commit/d1221e82c1) Pass cancellation tokens down consistently
* [`[b2edb0d484]`](https://github.com/aspnet/AspNetCore/commit/b2edb0d484) Fix environment variable loading in hosting #470
* [`[34cec3448d]`](https://github.com/aspnet/AspNetCore/commit/34cec3448d) SocketOutput to Tasks
* [`[454ff9f52a]`](https://github.com/aspnet/AspNetCore/commit/454ff9f52a) fix #3414 : RegularExpressionAttribute generates wrong data-val-regex message
* [`[380a93d370]`](https://github.com/aspnet/AspNetCore/commit/380a93d370) Redesign RazorViewEngine caching
* [`[d08b83a1c7]`](https://github.com/aspnet/AspNetCore/commit/d08b83a1c7) Fix get IPAddress for Darwin
* [`[e5a3285090]`](https://github.com/aspnet/AspNetCore/commit/e5a3285090) Lazily initialize DefaultHttpContext
* [`[c0f82765aa]`](https://github.com/aspnet/AspNetCore/commit/c0f82765aa) Move logging to new style
* [`[a2c4e3a654]`](https://github.com/aspnet/AspNetCore/commit/a2c4e3a654) Task.Run -> ThreadPool.QueueUserWorkItem
* [`[0bfc97e46f]`](https://github.com/aspnet/AspNetCore/commit/0bfc97e46f) Fixing test so that it runs on CoreClr
* [`[660f1cad10]`](https://github.com/aspnet/AspNetCore/commit/660f1cad10) Make hosting configuration consistent
* [`[ece6ecde45]`](https://github.com/aspnet/AspNetCore/commit/ece6ecde45) Add buffer pooling to JsonResult
* [`[b04c4041f3]`](https://github.com/aspnet/AspNetCore/commit/b04c4041f3) Update OIDC dependencies to 211090924.
* [`[d17db92e19]`](https://github.com/aspnet/AspNetCore/commit/d17db92e19) Log messages to DiagnosticListener in addition to page instrumentation
* [`[308dd109a0]`](https://github.com/aspnet/AspNetCore/commit/308dd109a0) Reduce allocations on Conneg hotpath
* [`[278bd9c962]`](https://github.com/aspnet/AspNetCore/commit/278bd9c962) Completed Task opt
* [`[cef4a66479]`](https://github.com/aspnet/AspNetCore/commit/cef4a66479) Another `System.RuntimeSerialization.Xml` version update - #3493 - see also d4163b4
* [`[6dfc95b582]`](https://github.com/aspnet/AspNetCore/commit/6dfc95b582) Update to newer OIDC library
* [`[7b248a7789]`](https://github.com/aspnet/AspNetCore/commit/7b248a7789) Make Compilation Abstractions naming consistent with Platform Abstractions
* [`[737a8f3b1d]`](https://github.com/aspnet/AspNetCore/commit/737a8f3b1d) Make Compilation Abstractions naming consistent with Platform Abstractions
* [`[5bb737b6ad]`](https://github.com/aspnet/AspNetCore/commit/5bb737b6ad) Make Compilation Abstractions naming consistent with Platform Abstractions
* [`[740b51e0bc]`](https://github.com/aspnet/AspNetCore/commit/740b51e0bc) Make Compilation Abstractions naming consistent with Platform Abstractions
* [`[decf882341]`](https://github.com/aspnet/AspNetCore/commit/decf882341) Update `LinkTagHelper`s `meta` tag to be w3c compliant.
* [`[5364468001]`](https://github.com/aspnet/AspNetCore/commit/5364468001) [Fixes #3177] Clean up logic for encoding in ViewResult and friends
* [`[54aad643c8]`](https://github.com/aspnet/AspNetCore/commit/54aad643c8) Decode Node's JSON response into arbitrary .NET type. Add VS stuff.
* [`[8bf2c72e69]`](https://github.com/aspnet/AspNetCore/commit/8bf2c72e69) Sign Microsoft.AspNet.Mvc.
* [`[52953c5fe9]`](https://github.com/aspnet/AspNetCore/commit/52953c5fe9) Fix working directory (e.g., for when running under IIS Express)
* [`[bcb02a06ef]`](https://github.com/aspnet/AspNetCore/commit/bcb02a06ef) Update IdentityModel dependencies to strong named version.
* [`[46dc743177]`](https://github.com/aspnet/AspNetCore/commit/46dc743177) Fix various path issues
* [`[a4c4e20d4e]`](https://github.com/aspnet/AspNetCore/commit/a4c4e20d4e) Restored Killed console message Added Started console message Captured possible exception from node process
* [`[b5fb560c54]`](https://github.com/aspnet/AspNetCore/commit/b5fb560c54) Require lodash (works around NPM dependency issue on Windows)
* [`[fff28990fe]`](https://github.com/aspnet/AspNetCore/commit/fff28990fe) Ensure ListenerSecondary buffer isn't double freed or freed too early
* [`[02d6b00d8f]`](https://github.com/aspnet/AspNetCore/commit/02d6b00d8f) Generate `async` lambda for template attributes.
* [`[3e7969cefe]`](https://github.com/aspnet/AspNetCore/commit/3e7969cefe) Move handle creation to constructor
* [`[5cef608e52]`](https://github.com/aspnet/AspNetCore/commit/5cef608e52) Dispose _ptr
* [`[22dfd31261]`](https://github.com/aspnet/AspNetCore/commit/22dfd31261) More readable loop condition
* [`[dc6e916bd4]`](https://github.com/aspnet/AspNetCore/commit/dc6e916bd4) Cookies Forbid now includes ReturnUrl
* [`[7c3d22c7b6]`](https://github.com/aspnet/AspNetCore/commit/7c3d22c7b6) Add react tag helper. Clean up code and make it more consistent.
* [`[a0466868e1]`](https://github.com/aspnet/AspNetCore/commit/a0466868e1) Publish tests with no-source to avoid signing issue.
* [`[940fb7ba78]`](https://github.com/aspnet/AspNetCore/commit/940fb7ba78) Adding Controller.Challenge and Controller.Forbid
* [`[7371558dbf]`](https://github.com/aspnet/AspNetCore/commit/7371558dbf) azureadwebstack release feed
* [`[1d4b9d6633]`](https://github.com/aspnet/AspNetCore/commit/1d4b9d6633) ListenerPrimary - reduce closure allocation
* [`[d104e8a08d]`](https://github.com/aspnet/AspNetCore/commit/d104e8a08d) Reduce delegate allocation
* [`[34c1a671f0]`](https://github.com/aspnet/AspNetCore/commit/34c1a671f0) ListenerSecondary - reduce closure allocation
* [`[5ae1c4ecb2]`](https://github.com/aspnet/AspNetCore/commit/5ae1c4ecb2) MemoryPool2 Allocate returns newest
* [`[c113c0d3a2]`](https://github.com/aspnet/AspNetCore/commit/c113c0d3a2) Don't alloc array per header
* [`[9dba871108]`](https://github.com/aspnet/AspNetCore/commit/9dba871108) Strong name everything.
* [`[9e7a3ae335]`](https://github.com/aspnet/AspNetCore/commit/9e7a3ae335) Strong name Microsoft.AspNet.IISPlatformHandler.
* [`[9e4cd86470]`](https://github.com/aspnet/AspNetCore/commit/9e4cd86470) Strong name Microsoft.AspNet.Diagnostics.Entity.
* [`[d4163b4127]`](https://github.com/aspnet/AspNetCore/commit/d4163b4127) Update serialization to 4.1.0
* [`[eed6051eb3]`](https://github.com/aspnet/AspNetCore/commit/eed6051eb3) Strong name everything except Microsoft.AspNet.Diagnostics.Entity.
* [`[926a6a7aff]`](https://github.com/aspnet/AspNetCore/commit/926a6a7aff) Strong name Microsoft.AspNet.Cors.
* [`[391086e3ce]`](https://github.com/aspnet/AspNetCore/commit/391086e3ce) Strong name Microsoft.AspNet.Antiforgery.
* [`[79eed1807e]`](https://github.com/aspnet/AspNetCore/commit/79eed1807e) Strong name Microsoft.AspNet.TestHost.
* [`[238fdf24e8]`](https://github.com/aspnet/AspNetCore/commit/238fdf24e8) Further improve error handling for OAuth providers
* [`[a363368dc8]`](https://github.com/aspnet/AspNetCore/commit/a363368dc8) Strong name everything.
* [`[089aca178c]`](https://github.com/aspnet/AspNetCore/commit/089aca178c) Strong name Microsoft.AspNet.Session.
* [`[2deca49bd7]`](https://github.com/aspnet/AspNetCore/commit/2deca49bd7) Strong name everything.
* [`[7770e5f4db]`](https://github.com/aspnet/AspNetCore/commit/7770e5f4db) Strong name everything.
* [`[bb94f13576]`](https://github.com/aspnet/AspNetCore/commit/bb94f13576) Strong name Microsoft.AspNet.StaticFiles.
* [`[bacf76098e]`](https://github.com/aspnet/AspNetCore/commit/bacf76098e) Performance improvements
* [`[e410affbd8]`](https://github.com/aspnet/AspNetCore/commit/e410affbd8) Switch ES2015 example to use middleware inlined into Startup.cs instead of MVC controller/action
* [`[0c59f670b2]`](https://github.com/aspnet/AspNetCore/commit/0c59f670b2) Simplify ReactRenderer API when referencing default modules
* [`[8bc0056c85]`](https://github.com/aspnet/AspNetCore/commit/8bc0056c85) Fix breaking changes to functional tests
* [`[32da2b8c46]`](https://github.com/aspnet/AspNetCore/commit/32da2b8c46) Fix breaking changes from HttpAbstractions
* [`[5444794c01]`](https://github.com/aspnet/AspNetCore/commit/5444794c01) Strong name everything.
* [`[eaee76dfeb]`](https://github.com/aspnet/AspNetCore/commit/eaee76dfeb) Strong name everything.
* [`[7e573631f7]`](https://github.com/aspnet/AspNetCore/commit/7e573631f7) Make other FormReader.ReadForm return Dictionary.
* [`[201e3d325a]`](https://github.com/aspnet/AspNetCore/commit/201e3d325a) Strong name everything.
* [`[acd8d3d44d]`](https://github.com/aspnet/AspNetCore/commit/acd8d3d44d) Strong name everything.
* [`[7156de5a57]`](https://github.com/aspnet/AspNetCore/commit/7156de5a57) Strong name everything.
* [`[8c800fbd0f]`](https://github.com/aspnet/AspNetCore/commit/8c800fbd0f) Rearranging test port allocations to avoid test race conditions #152
* [`[3c2e2b9d98]`](https://github.com/aspnet/AspNetCore/commit/3c2e2b9d98)  #426 Less alloc/wrapping/boxing for Query, Forms, Cookies
* [`[74d89b2e32]`](https://github.com/aspnet/AspNetCore/commit/74d89b2e32) Strong name everything.
* [`[e2c2676042]`](https://github.com/aspnet/AspNetCore/commit/e2c2676042) Add InputFormatter buffer pooling
* [`[301657a207]`](https://github.com/aspnet/AspNetCore/commit/301657a207) Enable inline source maps
* [`[60d77e7b92]`](https://github.com/aspnet/AspNetCore/commit/60d77e7b92) Add ES2015 runtime transpilation sample
* [`[f693bd60e3]`](https://github.com/aspnet/AspNetCore/commit/f693bd60e3) Initial state
* [`[037196d5c7]`](https://github.com/aspnet/AspNetCore/commit/037196d5c7) Restore `null` and `string.Empty` handling from `EncoderExtensions` - prior test encoders were never invoked for `null` or empty `string`s e.g. ``` c#     public static void HtmlEncode(this IHtmlEncoder htmlEncoder, string value, TextWriter output)     { ...         if (!String.IsNullOrEmpty(value))         {             htmlEncoder.HtmlEncode(value, 0, value.Length, output);         }     } ``` - add missing `null` checks and handle `string.Empty` in `TextWriter output, string value, ...` overloads   - better match for the underlying `TextEncoder` behaviour   - `EncoderExtensions` provided an API like `TextEncoder.Encode(TextWriter output, string value)`     - that method calls `Encode(TextWriter output, string value, int startIndex, int characterCount)`
* [`[0e1fa2e09d]`](https://github.com/aspnet/AspNetCore/commit/0e1fa2e09d) Create LICENSE.txt
* [`[d77a8aa7a2]`](https://github.com/aspnet/AspNetCore/commit/d77a8aa7a2) Create CONTRIBUTING.md
* [`[ec4482b20d]`](https://github.com/aspnet/AspNetCore/commit/ec4482b20d) Create README.md
* [`[ea6f6b10dc]`](https://github.com/aspnet/AspNetCore/commit/ea6f6b10dc) Don't capture connection on closure
* [`[a9d5876cd9]`](https://github.com/aspnet/AspNetCore/commit/a9d5876cd9) Fixing tests
* [`[e934f5e4ed]`](https://github.com/aspnet/AspNetCore/commit/e934f5e4ed) Strong name everything.
* [`[8a06966024]`](https://github.com/aspnet/AspNetCore/commit/8a06966024) Strong name Microsoft.AspNet.JsonPatch.
* [`[5763eb580a]`](https://github.com/aspnet/AspNetCore/commit/5763eb580a)  * Move logging to new style
* [`[c80946260a]`](https://github.com/aspnet/AspNetCore/commit/c80946260a) Change the namespace of RequestDelegate - change it to Microsoft.AspNet.Http
* [`[3c46662d91]`](https://github.com/aspnet/AspNetCore/commit/3c46662d91) Delete unused config.json file from MvcSample.Web
* [`[bd9fc5dc68]`](https://github.com/aspnet/AspNetCore/commit/bd9fc5dc68) Using IsDefined over GetCustomAttribute<T>
* [`[08be63c3fc]`](https://github.com/aspnet/AspNetCore/commit/08be63c3fc) Add ForbiddenResult
* [`[be4fb46281]`](https://github.com/aspnet/AspNetCore/commit/be4fb46281) #391 Migrate to System.Text.Encoding.Web
* [`[f177f0c760]`](https://github.com/aspnet/AspNetCore/commit/f177f0c760) Add ForbidAsync overload for automatic authentication scheme.
* [`[4ad38625c7]`](https://github.com/aspnet/AspNetCore/commit/4ad38625c7) Get the current runtime path via PlatformServices.Default
* [`[1db7574ad6]`](https://github.com/aspnet/AspNetCore/commit/1db7574ad6) Update to release NuGet.config for AzureAd.
* [`[777f523135]`](https://github.com/aspnet/AspNetCore/commit/777f523135) Update System.Net.Sockets dependency in test project to 4.1.0
* [`[1722150ee9]`](https://github.com/aspnet/AspNetCore/commit/1722150ee9) Do nothing in KestrelThread.Stop if libuv fails to load
* [`[0b14bc135b]`](https://github.com/aspnet/AspNetCore/commit/0b14bc135b) Show type load exception on the startup error page
* [`[ddf6a45f80]`](https://github.com/aspnet/AspNetCore/commit/ddf6a45f80) :green_heart: Skip LocalDb dependent test on Mono
* [`[e9a6061023]`](https://github.com/aspnet/AspNetCore/commit/e9a6061023) Make Frame implements IHttpConnectionFeature
* [`[22ecf85f88]`](https://github.com/aspnet/AspNetCore/commit/22ecf85f88) Added `TagHelper` support for `enum`s.
* [`[995f0ca92f]`](https://github.com/aspnet/AspNetCore/commit/995f0ca92f) #452 Rename Microsoft.AspNet.Hosting.json to hosting.json.
* [`[a69a7a6940]`](https://github.com/aspnet/AspNetCore/commit/a69a7a6940) Simplify instrumentation confirmations in `RazorPageExecutionInstrumentationTest` - test class can now use the `MvcTestFixture`   - #3139 part 3 of 3 - dump instrumentation data at end of `_Layout.cshtml`   - include `FilePath` in display   - compare against new `.html` resource
* [`[2bb2f95532]`](https://github.com/aspnet/AspNetCore/commit/2bb2f95532) Log messages from HostingEngine are sometimes null #454
* [`[05ef1d944a]`](https://github.com/aspnet/AspNetCore/commit/05ef1d944a) Updating to release NuGet.config.
* [`[42f3a89db5]`](https://github.com/aspnet/AspNetCore/commit/42f3a89db5) Updating to release NuGet.config.
* [`[9cc9473ace]`](https://github.com/aspnet/AspNetCore/commit/9cc9473ace) Updating to release NuGet.config.
* [`[a01529b321]`](https://github.com/aspnet/AspNetCore/commit/a01529b321) Updating to release NuGet.config.
* [`[d0a2a8687e]`](https://github.com/aspnet/AspNetCore/commit/d0a2a8687e) Updating to release NuGet.config.
* [`[29f576f6ee]`](https://github.com/aspnet/AspNetCore/commit/29f576f6ee) Updating to release NuGet.config.
* [`[e49daaa980]`](https://github.com/aspnet/AspNetCore/commit/e49daaa980) Updating to release NuGet.config.
* [`[941f308f37]`](https://github.com/aspnet/AspNetCore/commit/941f308f37) Updating to release NuGet.config.
* [`[9bce0dae07]`](https://github.com/aspnet/AspNetCore/commit/9bce0dae07) Updating to release NuGet.config.
* [`[53a6771fa4]`](https://github.com/aspnet/AspNetCore/commit/53a6771fa4) Updating to release NuGet.config.
* [`[bffcc3dbce]`](https://github.com/aspnet/AspNetCore/commit/bffcc3dbce) Updating to release NuGet.config.
* [`[0e3e42826c]`](https://github.com/aspnet/AspNetCore/commit/0e3e42826c) Updating to release NuGet.config.
* [`[9df12d07ff]`](https://github.com/aspnet/AspNetCore/commit/9df12d07ff) Updating to release NuGet.config.
* [`[f80042e902]`](https://github.com/aspnet/AspNetCore/commit/f80042e902) Updating to release NuGet.config.
* [`[4fdd98489f]`](https://github.com/aspnet/AspNetCore/commit/4fdd98489f) Updating to release NuGet.config.
* [`[de35fba9c9]`](https://github.com/aspnet/AspNetCore/commit/de35fba9c9) Updating to release NuGet.config.
* [`[e79f52cf5c]`](https://github.com/aspnet/AspNetCore/commit/e79f52cf5c) Updating to release NuGet.config.
* [`[7ad859b5c0]`](https://github.com/aspnet/AspNetCore/commit/7ad859b5c0) Updating to release NuGet.config.
* [`[76346e48a6]`](https://github.com/aspnet/AspNetCore/commit/76346e48a6) Updating to release NuGet.config.
* [`[1c570ba02b]`](https://github.com/aspnet/AspNetCore/commit/1c570ba02b) Updating to release NuGet.config.
* [`[4381e5e7c9]`](https://github.com/aspnet/AspNetCore/commit/4381e5e7c9) Add missing wwwroot dir in the test app.
* [`[4bba074d77]`](https://github.com/aspnet/AspNetCore/commit/4bba074d77) Read to null buffer
* [`[5c33037337]`](https://github.com/aspnet/AspNetCore/commit/5c33037337) Lower integration test timeouts.
* [`[8bcbddc09b]`](https://github.com/aspnet/AspNetCore/commit/8bcbddc09b) Make tests more robust by only checking the messages coming from session. Otherwise, anyone logging more below could break them
* [`[c1b21b89d5]`](https://github.com/aspnet/AspNetCore/commit/c1b21b89d5) Removing dependency on Microsoft.Extensions.PlatformAbstractions
* [`[d4853f9b7c]`](https://github.com/aspnet/AspNetCore/commit/d4853f9b7c) Switching to using the built-in loading of native libs
* [`[9be0758c4d]`](https://github.com/aspnet/AspNetCore/commit/9be0758c4d) Event ids and more logging
* [`[2f4c34476b]`](https://github.com/aspnet/AspNetCore/commit/2f4c34476b) #411 Use "webroot" instead of "hosting:webroot"
* [`[54af2c339f]`](https://github.com/aspnet/AspNetCore/commit/54af2c339f) Rename Microsoft.Runtime.Abstractions to Microsoft.Extensions.PlatformAbstractions
* [`[92afcaa9f7]`](https://github.com/aspnet/AspNetCore/commit/92afcaa9f7) Fix small issues in Mvc.js
* [`[c35afcc1a8]`](https://github.com/aspnet/AspNetCore/commit/c35afcc1a8) :green_heart: Prepare for IAccessor API change in EF
* [`[52796a09a2]`](https://github.com/aspnet/AspNetCore/commit/52796a09a2) #434 Make sure IApplicationLifetime gets added even if startup throws.
* [`[0107ba005b]`](https://github.com/aspnet/AspNetCore/commit/0107ba005b) One more line.
* [`[094b8efbf8]`](https://github.com/aspnet/AspNetCore/commit/094b8efbf8) Properly handle headers with empty values
* [`[0fedda5855]`](https://github.com/aspnet/AspNetCore/commit/0fedda5855) Allow enums to be serialized by SessionStateTempDataProvider
* [`[327589d41e]`](https://github.com/aspnet/AspNetCore/commit/327589d41e) Fixed ifdefs
* [`[0c064dfb6c]`](https://github.com/aspnet/AspNetCore/commit/0c064dfb6c) Generations and vanilla .NET Framework support
* [`[018f3d1815]`](https://github.com/aspnet/AspNetCore/commit/018f3d1815) Renaming HttpContextFactory Create method
* [`[f931cb7c6d]`](https://github.com/aspnet/AspNetCore/commit/f931cb7c6d) Moving httpcontextfactory to AspNet.Http.Abstractions
* [`[ec2abc8ae0]`](https://github.com/aspnet/AspNetCore/commit/ec2abc8ae0) Add logging of elapsed time for the action.
* [`[57a64298c0]`](https://github.com/aspnet/AspNetCore/commit/57a64298c0) #485 OIDC RequireHttpsMetadata
* [`[37f19b4789]`](https://github.com/aspnet/AspNetCore/commit/37f19b4789) Improve logging and add more messages
* [`[52f4fa91e3]`](https://github.com/aspnet/AspNetCore/commit/52f4fa91e3) Unescape string in memory
* [`[cea8d019f1]`](https://github.com/aspnet/AspNetCore/commit/cea8d019f1) Add logging and scope for ViewComponent
* [`[1d2c6ba122]`](https://github.com/aspnet/AspNetCore/commit/1d2c6ba122) Cookies no longer redirects for AJAX requests
* [`[f37375f43c]`](https://github.com/aspnet/AspNetCore/commit/f37375f43c) Reduce logging overhead in hosting
* [`[eb398c811d]`](https://github.com/aspnet/AspNetCore/commit/eb398c811d) Added LocalRedirectresult - Fixes #3346 - Added helper method in controller - Added relevant tests
* [`[b6d7012c27]`](https://github.com/aspnet/AspNetCore/commit/b6d7012c27) [Fixes #3279] Added DiagnosticSource for filters
* [`[624c918de5]`](https://github.com/aspnet/AspNetCore/commit/624c918de5) [Fixes #3274] Added DiagnosticsSource for ViewComponent
* [`[56256a013b]`](https://github.com/aspnet/AspNetCore/commit/56256a013b) #430 Move Program.Main into WebApplication.Run.
* [`[eb302bf359]`](https://github.com/aspnet/AspNetCore/commit/eb302bf359) Rename Microsoft.Runtime.Abstractions to Microsoft.Extensions.PlatformAbstractions
* [`[bcde82cf62]`](https://github.com/aspnet/AspNetCore/commit/bcde82cf62) Use buffer pooling in IOutputFormatters
* [`[460b9bcac1]`](https://github.com/aspnet/AspNetCore/commit/460b9bcac1) Exclude facade from .NET 4.5.1 target
* [`[fa72b35883]`](https://github.com/aspnet/AspNetCore/commit/fa72b35883) More granualr null checks for platform services
* [`[151b0f3a16]`](https://github.com/aspnet/AspNetCore/commit/151b0f3a16) Fixed remaining namespace changes
* [`[53fd5b5f54]`](https://github.com/aspnet/AspNetCore/commit/53fd5b5f54) Allow defaults to be null when constructiing TemplateMatcher
* [`[4e8c543489]`](https://github.com/aspnet/AspNetCore/commit/4e8c543489) Rename Microsoft.Runtime.Abstractions to Microsoft.Extensions.PlatformAbstractions
* [`[a97d55b10c]`](https://github.com/aspnet/AspNetCore/commit/a97d55b10c) Rename Microsoft.Runtime.Abstractions to Microsoft.Extensions.PlatformAbstractions
* [`[42d41a0049]`](https://github.com/aspnet/AspNetCore/commit/42d41a0049) Rename Microsoft.Runtime.Abstractions to Microsoft.Extensions.PlatformAbstractions
* [`[eb2c3a1ce8]`](https://github.com/aspnet/AspNetCore/commit/eb2c3a1ce8) Rename Microsoft.Runtime.Abstractions to Microsoft.Extensions.PlatformAbstractions
* [`[bc80dab39d]`](https://github.com/aspnet/AspNetCore/commit/bc80dab39d) Compiles and passes tests
* [`[ea0abd8293]`](https://github.com/aspnet/AspNetCore/commit/ea0abd8293) Rename Microsoft.Runtime.Abstractions to Microsoft.Extensions.PlatformAbstractions
* [`[0b8fe87596]`](https://github.com/aspnet/AspNetCore/commit/0b8fe87596)  * Allow null ViewData and TempData
* [`[911dfc57b0]`](https://github.com/aspnet/AspNetCore/commit/911dfc57b0) Transition `SelectTagHelper` and `OptionTagHelper` to use `context.Items`.
* [`[c267ef3904]`](https://github.com/aspnet/AspNetCore/commit/c267ef3904) Rename `AppendEncoded()` to `AppendHtml()` and `SetContentEncoded()` to `SetHtmlContent()` - #3225, 3 of 3
* [`[117bbe7f65]`](https://github.com/aspnet/AspNetCore/commit/117bbe7f65) Rename `AppendEncoded()` to `AppendHtml()` and `SetContentEncoded()` to `SetHtmlContent()` - aspnet/Mvc#3225, 2 of 3 - also correct parameter names
* [`[bcb56bdd1a]`](https://github.com/aspnet/AspNetCore/commit/bcb56bdd1a) Rename `AppendEncoded()` to `AppendHtml()` and `SetContentEncoded()` to `SetHtmlContent()` - aspnet/Mvc#3225, 1 of 3
* [`[b72f95bdb5]`](https://github.com/aspnet/AspNetCore/commit/b72f95bdb5) Setting IHttpContextAccessor in CreateHttpContext #405
* [`[faa78a3d91]`](https://github.com/aspnet/AspNetCore/commit/faa78a3d91) Transition from `IAssemblyLoadContext` to `AssemblyLoadContext`.
* [`[2963488cd9]`](https://github.com/aspnet/AspNetCore/commit/2963488cd9) Removign Roslyn and CoreCLR feeds
* [`[40b7636b72]`](https://github.com/aspnet/AspNetCore/commit/40b7636b72) Use `ModelMetadata.GetDisplayName()` in error message replacing `FormatException` and `OverflowException` - #3227 - much of change is to tests, creating and passing `ModelMetadata` - updated `InputFormatterContext` to make `ModelMetadata` available to `JsonInputFormatter`   - walk `ModelMetadata` tree to get information about property with an issue - add missing `null` checks in `ModelStateDictionaryExtensions`
* [`[6a7082d89e]`](https://github.com/aspnet/AspNetCore/commit/6a7082d89e) Move `DefaultTagHelperContent` from `Razor.Runtime.TagHelpers` to `Razor.TagHelpers`.
* [`[6c467b0475]`](https://github.com/aspnet/AspNetCore/commit/6c467b0475) Switch packages to use generation TFMs
* [`[dea782163d]`](https://github.com/aspnet/AspNetCore/commit/dea782163d) Updating packages to use generations
* [`[6d0b268440]`](https://github.com/aspnet/AspNetCore/commit/6d0b268440) Add `Init` method to `TagHelper`s.
* [`[34d4dfdef8]`](https://github.com/aspnet/AspNetCore/commit/34d4dfdef8) Rename Context to HttpContext in ViewComponent and RazorPage
* [`[0394987271]`](https://github.com/aspnet/AspNetCore/commit/0394987271) Adding more specific error for private configure
* [`[8623946784]`](https://github.com/aspnet/AspNetCore/commit/8623946784) Add compilation services when adding Razor.
* [`[f2af02b1cb]`](https://github.com/aspnet/AspNetCore/commit/f2af02b1cb) Improve logging behavior for actions scope
* [`[b1ad14fd46]`](https://github.com/aspnet/AspNetCore/commit/b1ad14fd46) Rename `Microsoft.AspNet.Razor.Runtime.TagHelpers`.
* [`[3e7eb6df61]`](https://github.com/aspnet/AspNetCore/commit/3e7eb6df61) Skip auto generated files from API consistency
* [`[bd2a98e5ec]`](https://github.com/aspnet/AspNetCore/commit/bd2a98e5ec) Rename `Microsoft.AspNet.Razor.TagHelpers`.
* [`[dcec94f6d9]`](https://github.com/aspnet/AspNetCore/commit/dcec94f6d9) Change ActionMethodExecuted to be Verbose
* [`[91aeec95e9]`](https://github.com/aspnet/AspNetCore/commit/91aeec95e9) Switching to generations TFMs
* [`[185309bfda]`](https://github.com/aspnet/AspNetCore/commit/185309bfda) Switching to generations TFMs
* [`[c3a24cbe72]`](https://github.com/aspnet/AspNetCore/commit/c3a24cbe72) Switching to generations TFMs
* [`[4310fa144b]`](https://github.com/aspnet/AspNetCore/commit/4310fa144b) Switching to generations TFMs
* [`[1fd284c87f]`](https://github.com/aspnet/AspNetCore/commit/1fd284c87f) Switching to generations TFMs
* [`[5566433686]`](https://github.com/aspnet/AspNetCore/commit/5566433686) Switching to generations TFMs
* [`[3a0080439b]`](https://github.com/aspnet/AspNetCore/commit/3a0080439b) Switching to generations TFMs
* [`[c7dc5ab7f0]`](https://github.com/aspnet/AspNetCore/commit/c7dc5ab7f0) Switching to generations TFMs
* [`[20f90e9879]`](https://github.com/aspnet/AspNetCore/commit/20f90e9879) Switching to generations TFMs
* [`[a1e4e022b9]`](https://github.com/aspnet/AspNetCore/commit/a1e4e022b9) Clean up
* [`[127fc13885]`](https://github.com/aspnet/AspNetCore/commit/127fc13885) Switching to using generations TFM
* [`[0219aabc17]`](https://github.com/aspnet/AspNetCore/commit/0219aabc17) Switching to using generations TFM
* [`[1a40e7254d]`](https://github.com/aspnet/AspNetCore/commit/1a40e7254d) Switching to using generations TFM
* [`[ce39864623]`](https://github.com/aspnet/AspNetCore/commit/ce39864623) Switching to use generations TFMs
* [`[0eaec216b1]`](https://github.com/aspnet/AspNetCore/commit/0eaec216b1) AuthZ API review changes
* [`[14c96f695a]`](https://github.com/aspnet/AspNetCore/commit/14c96f695a) Rename `AppendEncoded()` to `AppendHtml()` - aspnet/Mvc#3225, 1 of 3
* [`[7dfac2fd78]`](https://github.com/aspnet/AspNetCore/commit/7dfac2fd78) Add assembly info for new project
* [`[8f0e08dbce]`](https://github.com/aspnet/AspNetCore/commit/8f0e08dbce) Nuke test key
* [`[e72a563902]`](https://github.com/aspnet/AspNetCore/commit/e72a563902) Add initial Owin Security cookie interop package
* [`[defc9faac0]`](https://github.com/aspnet/AspNetCore/commit/defc9faac0) Don't call resource handlers without required resource
* [`[da731fc641]`](https://github.com/aspnet/AspNetCore/commit/da731fc641) Add logging to ActionResults and ControllerActionInvoker
* [`[8d107b22ae]`](https://github.com/aspnet/AspNetCore/commit/8d107b22ae) Socket.Disconnect throws a PlatformNotSupportedException on coreclr/linux
* [`[ef61b14d6a]`](https://github.com/aspnet/AspNetCore/commit/ef61b14d6a) #501 Replace OpenIdConnectTokenEndpointResponse with an OpenIdConnectMessage
* [`[00c81d41aa]`](https://github.com/aspnet/AspNetCore/commit/00c81d41aa) Use fixed version of OpenIdConnect
* [`[a098b8ce2b]`](https://github.com/aspnet/AspNetCore/commit/a098b8ce2b) Reach to Hosting changes
* [`[1474ed8fe8]`](https://github.com/aspnet/AspNetCore/commit/1474ed8fe8) Fix breaks to xml docs
* [`[3576939457]`](https://github.com/aspnet/AspNetCore/commit/3576939457) Fix break in XmlSerializerOutputFormatter tests
* [`[800e46eed4]`](https://github.com/aspnet/AspNetCore/commit/800e46eed4) Fix failures in StringOutputFormatter functional tests
* [`[8b0c157296]`](https://github.com/aspnet/AspNetCore/commit/8b0c157296) Rename ModelState (the type) -> ModelStateEntry Fixes #3326
* [`[be324b220a]`](https://github.com/aspnet/AspNetCore/commit/be324b220a) Expose `FilePath` on `MappingLocation`.
* [`[47365e421f]`](https://github.com/aspnet/AspNetCore/commit/47365e421f) Add generations TFMs to Hosting packages
* [`[4702752384]`](https://github.com/aspnet/AspNetCore/commit/4702752384) #411 Default webroot to wwwroot if the directory exists.
* [`[f2e7c49c36]`](https://github.com/aspnet/AspNetCore/commit/f2e7c49c36) Don't add platforms services if no available
* [`[10822b3b4f]`](https://github.com/aspnet/AspNetCore/commit/10822b3b4f) #411 Move webroot from project.json to config.
* [`[39c355002b]`](https://github.com/aspnet/AspNetCore/commit/39c355002b) Switching to using generations TFM
* [`[7cc3e11a9e]`](https://github.com/aspnet/AspNetCore/commit/7cc3e11a9e) Add compiler configuration to services and another overload for test server creation
* [`[99f5febc3b]`](https://github.com/aspnet/AspNetCore/commit/99f5febc3b) Changing argument type of serverFeatures to IFeatureCollection
* [`[e0464c9508]`](https://github.com/aspnet/AspNetCore/commit/e0464c9508) Add some basic logging to AuthZ/N
* [`[173f00fda7]`](https://github.com/aspnet/AspNetCore/commit/173f00fda7) Update to use DiagnosticSource
* [`[054b39013c]`](https://github.com/aspnet/AspNetCore/commit/054b39013c) Reduce allocations in MSD enumeration
* [`[1c26436041]`](https://github.com/aspnet/AspNetCore/commit/1c26436041) Bring back "Apply Migrations" button on database error page
* [`[111dab7ddf]`](https://github.com/aspnet/AspNetCore/commit/111dab7ddf) :bug: No database error page for existing databases When there is an existing database and no migrations are present, then we should just display the standard error page as they are not using migrations and need to adjust their mapping code to match the existing schema. Resolve #182
* [`[f00c7c6d06]`](https://github.com/aspnet/AspNetCore/commit/f00c7c6d06) Fix CoreCLR test pass on Linux (fixes #442).
* [`[8f0d1179ab]`](https://github.com/aspnet/AspNetCore/commit/8f0d1179ab) Allow Nagle’s algorithm to be disabled via IKestrelServerInformation.NoDelay
* [`[06cc58663e]`](https://github.com/aspnet/AspNetCore/commit/06cc58663e) Move implementation of ObjectResult into a facade
* [`[0f78135f5d]`](https://github.com/aspnet/AspNetCore/commit/0f78135f5d) Moving AllowAnonymous attribute from MVC
* [`[6bd97c7c30]`](https://github.com/aspnet/AspNetCore/commit/6bd97c7c30) Moving AllowAnonymous attribute to Authorization
* [`[f4a6d634b5]`](https://github.com/aspnet/AspNetCore/commit/f4a6d634b5) Modify ViewStartUtility to generate always view paths with forward slashes
* [`[f784b1bf43]`](https://github.com/aspnet/AspNetCore/commit/f784b1bf43) Enable Microsoft.AspNet.WebSockets.Protocol.Test on CoreCLR.
* [`[deaf2dc828]`](https://github.com/aspnet/AspNetCore/commit/deaf2dc828) Enable `TagHelper`s to properly flatten to enable partial parsing.
* [`[cea46e7851]`](https://github.com/aspnet/AspNetCore/commit/cea46e7851) Disable Microsoft.AspNet.Cryptography.KeyDerivation.Test on CoreCLR.
* [`[1b87767472]`](https://github.com/aspnet/AspNetCore/commit/1b87767472) Fix bug in test where key value was not being set.
* [`[c809beec18]`](https://github.com/aspnet/AspNetCore/commit/c809beec18) Don't allocate Exceptions unnecessarily
* [`[f0438d69eb]`](https://github.com/aspnet/AspNetCore/commit/f0438d69eb) Enable Microsoft.AspNet.TestHost.Tests on CoreCLR.
* [`[5f4f6194b8]`](https://github.com/aspnet/AspNetCore/commit/5f4f6194b8) Add logic in test infrastructure to get runtime for coreclr on mac
* [`[6a4da5d795]`](https://github.com/aspnet/AspNetCore/commit/6a4da5d795) PhysicalFileResult throws NotSupported on path not rooted
* [`[32645e93c8]`](https://github.com/aspnet/AspNetCore/commit/32645e93c8) Add expression rewriting to Razor
* [`[f588677bb4]`](https://github.com/aspnet/AspNetCore/commit/f588677bb4) #506 Update to Rc1 IdentityModel, update ValidateUserInfoEndpointResponse.
* [`[ec7d04a178]`](https://github.com/aspnet/AspNetCore/commit/ec7d04a178) Use cmd for fast delete
* [`[551d559ada]`](https://github.com/aspnet/AspNetCore/commit/551d559ada) Enable Microsoft.AspNet.Session.Tests on CoreCLR.
* [`[4165ee02c1]`](https://github.com/aspnet/AspNetCore/commit/4165ee02c1) Enable some tests on CoreCLR.
* [`[69ed946970]`](https://github.com/aspnet/AspNetCore/commit/69ed946970) Move compiler shared to its own folder
* [`[912aaaa9d2]`](https://github.com/aspnet/AspNetCore/commit/912aaaa9d2) To correct word spell
* [`[2d4092ca32]`](https://github.com/aspnet/AspNetCore/commit/2d4092ca32) Add line pragmas to dynamic attributes.
* [`[221df71425]`](https://github.com/aspnet/AspNetCore/commit/221df71425) Incorporate StringSegment from primitives
* [`[3c925fc4bf]`](https://github.com/aspnet/AspNetCore/commit/3c925fc4bf) Fix package descriptions with proper casing
* [`[7b315d2470]`](https://github.com/aspnet/AspNetCore/commit/7b315d2470) Close connection gracefully in Frame.ProduceEnd
* [`[513abb4561]`](https://github.com/aspnet/AspNetCore/commit/513abb4561) Log errors in OnStarting and OnCompleted
* [`[b98425d3b1]`](https://github.com/aspnet/AspNetCore/commit/b98425d3b1) Log unhandled exceptions thrown from the AppFunc
* [`[e01a05d214]`](https://github.com/aspnet/AspNetCore/commit/e01a05d214) Move RequestIdentifierFeature to HttpContext
* [`[475771250b]`](https://github.com/aspnet/AspNetCore/commit/475771250b) [Fixes #41] Api review changes
* [`[409b50269a]`](https://github.com/aspnet/AspNetCore/commit/409b50269a) Add RemoteAuthenticationHandler base/error handling logic
* [`[7c27c5c0e7]`](https://github.com/aspnet/AspNetCore/commit/7c27c5c0e7) Better handle blocks not taken taken from slabs
* [`[1f4ca55799]`](https://github.com/aspnet/AspNetCore/commit/1f4ca55799) Features performance
* [`[d28c6e1dbb]`](https://github.com/aspnet/AspNetCore/commit/d28c6e1dbb) Changes for error handling in Authentication
* [`[661477a4bf]`](https://github.com/aspnet/AspNetCore/commit/661477a4bf) Fixed tests
* [`[0581bcf008]`](https://github.com/aspnet/AspNetCore/commit/0581bcf008) Update `MediaTypeHeaderValue.IsSubsetOf()` to perform consistent checks - aspnet/Mvc#3138 part 1/2   - check parameters with same polarity as type and subtype     - ignore quality factors   - bug was obscured because MVC has no formatters supporting wildcard media types
* [`[2e2043f427]`](https://github.com/aspnet/AspNetCore/commit/2e2043f427) Test `[FromServices]` with service that is not available - test `[FromServices]` for a defined type without a `BinderModelName` - test `[FromServices]` for a service not available in DI - test `[FromServices]` for `IEnumerable<TService>` properties
* [`[9aed5efd51]`](https://github.com/aspnet/AspNetCore/commit/9aed5efd51) Add `null` checks for MVC tag helpers
* [`[6aaa3cbe06]`](https://github.com/aspnet/AspNetCore/commit/6aaa3cbe06) Use IApplicationLifetime.StopApplication instead of IApplicationShutdown.
* [`[2fe2e0d841]`](https://github.com/aspnet/AspNetCore/commit/2fe2e0d841) #1 Implement a full authentication handler.
* [`[79a8a4e799]`](https://github.com/aspnet/AspNetCore/commit/79a8a4e799) Fix deployers
* [`[0309a5216c]`](https://github.com/aspnet/AspNetCore/commit/0309a5216c) Add an option to RazorPrecompileModule to allow conditional compilation based on Configuration.
* [`[3eec43a0c3]`](https://github.com/aspnet/AspNetCore/commit/3eec43a0c3) Move static BitCount method to base class
* [`[a9de028ba3]`](https://github.com/aspnet/AspNetCore/commit/a9de028ba3) Enable the LargeUpload functional test now that #234 is resolved
* [`[385c0ab244]`](https://github.com/aspnet/AspNetCore/commit/385c0ab244) Make project.json dependencies more consistent and permissive
* [`[78177e7082]`](https://github.com/aspnet/AspNetCore/commit/78177e7082) Fixing rebase errors
* [`[daf272163d]`](https://github.com/aspnet/AspNetCore/commit/daf272163d) Visual Studio insists NuGet.config MUST have a BOM
* [`[29b0b124ee]`](https://github.com/aspnet/AspNetCore/commit/29b0b124ee) Moving non-changing methods into .cs partial
* [`[ccfeef6353]`](https://github.com/aspnet/AspNetCore/commit/ccfeef6353) All features to have backing object
* [`[3c20053d9a]`](https://github.com/aspnet/AspNetCore/commit/3c20053d9a) Don used cached typeof for tests
* [`[56893df7f9]`](https://github.com/aspnet/AspNetCore/commit/56893df7f9) Don't iterate overriden features twice
* [`[71fc2bf2e5]`](https://github.com/aspnet/AspNetCore/commit/71fc2bf2e5) Rough implementation of feature collection optimization
* [`[05702e81e6]`](https://github.com/aspnet/AspNetCore/commit/05702e81e6) more typeof caching
* [`[d48a27dd59]`](https://github.com/aspnet/AspNetCore/commit/d48a27dd59) Use bitflag for override and cache typeof in statics
* [`[dcf591c832]`](https://github.com/aspnet/AspNetCore/commit/dcf591c832) Rough implementation of feature collection optimization
* [`[84b91c95fe]`](https://github.com/aspnet/AspNetCore/commit/84b91c95fe) Turn off warningsAsErrors in tests to unblock CI
* [`[72d63e2613]`](https://github.com/aspnet/AspNetCore/commit/72d63e2613) Replace NotNullAttribute with thrown exceptions
* [`[8d8943bcfe]`](https://github.com/aspnet/AspNetCore/commit/8d8943bcfe) Disable JWT Bearer test failing on Mono.
* [`[6f506ba988]`](https://github.com/aspnet/AspNetCore/commit/6f506ba988) subsequent block has data - IsEnd is false
* [`[24c0a8e142]`](https://github.com/aspnet/AspNetCore/commit/24c0a8e142) Fix MemoryPoolIterator2.CopyTo's block traversal
* [`[9d251cdb54]`](https://github.com/aspnet/AspNetCore/commit/9d251cdb54) subsequent block has data - IsEnd is false
* [`[9342cb0ab7]`](https://github.com/aspnet/AspNetCore/commit/9342cb0ab7) Suppress [Obsolete] warnings from DiagnosticSource
* [`[a5727dc932]`](https://github.com/aspnet/AspNetCore/commit/a5727dc932) Incorporate StringSegment from primitives
* [`[566b0c3a2a]`](https://github.com/aspnet/AspNetCore/commit/566b0c3a2a) Enable windows auth in tests via web.config.
* [`[9a12085ef9]`](https://github.com/aspnet/AspNetCore/commit/9a12085ef9) Suppress [Obsolete] warnings for TelemetrySource
* [`[91cb6281e4]`](https://github.com/aspnet/AspNetCore/commit/91cb6281e4) Using @inherits and @model together gives intellisense errors
* [`[0a297688b4]`](https://github.com/aspnet/AspNetCore/commit/0a297688b4) Use Jit recongised, standard loop construct
* [`[2da9f13db3]`](https://github.com/aspnet/AspNetCore/commit/2da9f13db3) Less allocs in GenerateRequestId
* [`[3741d38691]`](https://github.com/aspnet/AspNetCore/commit/3741d38691) #426 Move IHeaderDictionary to Features to reduce wrapping.
* [`[4250d35347]`](https://github.com/aspnet/AspNetCore/commit/4250d35347) PR feeback
* [`[9fc75d395d]`](https://github.com/aspnet/AspNetCore/commit/9fc75d395d) Replace NotNullAttribute with thrown exceptions
* [`[bc6502825f]`](https://github.com/aspnet/AspNetCore/commit/bc6502825f) Replacing NotNullAttribute with thrown exceptions
* [`[cd1c80daa7]`](https://github.com/aspnet/AspNetCore/commit/cd1c80daa7) Fix EngineTests that weren't using the appropriate ServiceContext
* [`[05418dd18a]`](https://github.com/aspnet/AspNetCore/commit/05418dd18a) Use corefx implementation
* [`[921b24890b]`](https://github.com/aspnet/AspNetCore/commit/921b24890b) Enable windows auth in tests via web.config.
* [`[a6ac3f58f5]`](https://github.com/aspnet/AspNetCore/commit/a6ac3f58f5) Replace NotNullAttribute with thrown exceptions
* [`[8bf2c814d6]`](https://github.com/aspnet/AspNetCore/commit/8bf2c814d6) Add BitCount LongExtensions
* [`[f88b206082]`](https://github.com/aspnet/AspNetCore/commit/f88b206082) #310 Do not automatically wrap IFeatureCollections.
* [`[816dabb009]`](https://github.com/aspnet/AspNetCore/commit/816dabb009) BitCount
* [`[18912b9530]`](https://github.com/aspnet/AspNetCore/commit/18912b9530) Removing NotNullAttribute.Sources references that were left behind
* [`[bd78523011]`](https://github.com/aspnet/AspNetCore/commit/bd78523011) Replace NotNullAttribute with thrown exceptions
* [`[a0262a0569]`](https://github.com/aspnet/AspNetCore/commit/a0262a0569) Add setup to all repos list
* [`[30f5826380]`](https://github.com/aspnet/AspNetCore/commit/30f5826380) Use Type.GetMethod in ViewComponentMethodSelector
* [`[62ce39afb6]`](https://github.com/aspnet/AspNetCore/commit/62ce39afb6) To correct the word spelling
* [`[d9e40d92de]`](https://github.com/aspnet/AspNetCore/commit/d9e40d92de) Make ModelPropertyCollection inherit ReadOnlyCollection<T>
* [`[0dadf56fc8]`](https://github.com/aspnet/AspNetCore/commit/0dadf56fc8) Reducing allocations in value providers
* [`[e5f4aa03d2]`](https://github.com/aspnet/AspNetCore/commit/e5f4aa03d2) Avoid allocating in TemplateMatcher on failure
* [`[082f175b48]`](https://github.com/aspnet/AspNetCore/commit/082f175b48) Optimize allocations in GetFilters
* [`[761c7e6751]`](https://github.com/aspnet/AspNetCore/commit/761c7e6751) Optimize allocations for creating ActionConstraints
* [`[1ed22e5939]`](https://github.com/aspnet/AspNetCore/commit/1ed22e5939) Avoid state machine and allocation for 0-parameters
* [`[04d72d8894]`](https://github.com/aspnet/AspNetCore/commit/04d72d8894) Simplify FileResult
* [`[a0764faa86]`](https://github.com/aspnet/AspNetCore/commit/a0764faa86) Bring arguments inline between before/after events
* [`[1f50f4c2a8]`](https://github.com/aspnet/AspNetCore/commit/1f50f4c2a8)  #231 bind to IPv6Any, add functional tests.
* [`[ad3c257ef5]`](https://github.com/aspnet/AspNetCore/commit/ad3c257ef5) Fix for #3252 - Issues with pooled buffer + unicode
* [`[8fc8307ad2]`](https://github.com/aspnet/AspNetCore/commit/8fc8307ad2) Embed private key with the test X.509 certificate
* [`[2f3a00625a]`](https://github.com/aspnet/AspNetCore/commit/2f3a00625a) Initial work to support HTTPS using SslStream
* [`[7441855c34]`](https://github.com/aspnet/AspNetCore/commit/7441855c34) Don't use a GUID for request ID because it's slow: - FastHttpRequestIdentifierFeature uses an incrementing long with an int seed - Everything is lazy so no computer incurred if ID is not asked for - Optimized routine to stringify the ID - #306
* [`[8ecb147332]`](https://github.com/aspnet/AspNetCore/commit/8ecb147332) Added overload to PathString.StartsWithSegments to allow specifying StringComparison: - This allows us to have a fast-path (or just be more explicit) for the comparison by doing case-sensitive checks (which are cheaper)
* [`[7b9cfac65a]`](https://github.com/aspnet/AspNetCore/commit/7b9cfac65a) Adding telemetry publish for unhandled exceptions to developer exception page and exception handler #180
* [`[576023cc0f]`](https://github.com/aspnet/AspNetCore/commit/576023cc0f) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[ac6e441f15]`](https://github.com/aspnet/AspNetCore/commit/ac6e441f15) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[f57e180971]`](https://github.com/aspnet/AspNetCore/commit/f57e180971) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[b36d5663b2]`](https://github.com/aspnet/AspNetCore/commit/b36d5663b2) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[aea8716df6]`](https://github.com/aspnet/AspNetCore/commit/aea8716df6) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[24bc91b958]`](https://github.com/aspnet/AspNetCore/commit/24bc91b958) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[2f8dba6659]`](https://github.com/aspnet/AspNetCore/commit/2f8dba6659) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[5ce58c790f]`](https://github.com/aspnet/AspNetCore/commit/5ce58c790f) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[6c529eae7a]`](https://github.com/aspnet/AspNetCore/commit/6c529eae7a) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[6db42469e7]`](https://github.com/aspnet/AspNetCore/commit/6db42469e7) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[7a0068ede2]`](https://github.com/aspnet/AspNetCore/commit/7a0068ede2) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[3657a1a14b]`](https://github.com/aspnet/AspNetCore/commit/3657a1a14b) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[fcd5b55611]`](https://github.com/aspnet/AspNetCore/commit/fcd5b55611) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[49451fb11e]`](https://github.com/aspnet/AspNetCore/commit/49451fb11e) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[4400ab4124]`](https://github.com/aspnet/AspNetCore/commit/4400ab4124) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[1ef8474be2]`](https://github.com/aspnet/AspNetCore/commit/1ef8474be2) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[11af72a9c6]`](https://github.com/aspnet/AspNetCore/commit/11af72a9c6) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[61466af7a3]`](https://github.com/aspnet/AspNetCore/commit/61466af7a3) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[ad9d75a599]`](https://github.com/aspnet/AspNetCore/commit/ad9d75a599) Renaming Microsoft.Framework.* -> Microsoft.Extensions.*
* [`[8d7b95655d]`](https://github.com/aspnet/AspNetCore/commit/8d7b95655d) Removing Autofac dependency
* [`[886849d890]`](https://github.com/aspnet/AspNetCore/commit/886849d890) Adding AssemblyInfo.cs
* [`[079e4909f7]`](https://github.com/aspnet/AspNetCore/commit/079e4909f7) Adding BufferedHtmlContent to NuGetPackageVerifier
* [`[5f7a17b8e3]`](https://github.com/aspnet/AspNetCore/commit/5f7a17b8e3) Move BufferedHtmlContent to HttpAbstractions
* [`[6185b16795]`](https://github.com/aspnet/AspNetCore/commit/6185b16795) Custom dictionary type for attributes
* [`[4e08eda58d]`](https://github.com/aspnet/AspNetCore/commit/4e08eda58d) Use pooled memory for the streamwriter
* [`[e3298992e7]`](https://github.com/aspnet/AspNetCore/commit/e3298992e7) use var
* [`[797962b608]`](https://github.com/aspnet/AspNetCore/commit/797962b608) Simpler loop construct
* [`[d61586c6a1]`](https://github.com/aspnet/AspNetCore/commit/d61586c6a1) Use Jit recongised, standard loop construct
* [`[786b1a466b]`](https://github.com/aspnet/AspNetCore/commit/786b1a466b) Add exceptions messages to Resource file
* [`[eef6c3883a]`](https://github.com/aspnet/AspNetCore/commit/eef6c3883a) Renamed PhysicalFileProviderResult and VirtualFileProviderResult to PhysicalFileResult and VirtualFileResult respectively
* [`[130d94eb7e]`](https://github.com/aspnet/AspNetCore/commit/130d94eb7e) [Fixes #3068] TempData fails silently without sessions middleware
* [`[fd7c5754fa]`](https://github.com/aspnet/AspNetCore/commit/fd7c5754fa) Fix bug where we search for scripts in wwwroot/lib
* [`[5a705d820d]`](https://github.com/aspnet/AspNetCore/commit/5a705d820d) Replacing NotNullAttribute with thrown exceptions
* [`[3a876e387f]`](https://github.com/aspnet/AspNetCore/commit/3a876e387f) Replacing NotNullAttribute with thrown exceptions
* [`[02c36a1c48]`](https://github.com/aspnet/AspNetCore/commit/02c36a1c48) Replace NotNullAttribute with thrown exceptions
* [`[bc103fcaa4]`](https://github.com/aspnet/AspNetCore/commit/bc103fcaa4) Fix: Index out of bounds for incomplete attribute value - #555 - Added a unit and a code generation test
* [`[ec8c0d87f1]`](https://github.com/aspnet/AspNetCore/commit/ec8c0d87f1) Updating to AzureAD feed
* [`[81a8f273ec]`](https://github.com/aspnet/AspNetCore/commit/81a8f273ec) Switching to release AzureAD feed
* [`[2467eb891b]`](https://github.com/aspnet/AspNetCore/commit/2467eb891b) Fixing feed link
* [`[b33cb285fb]`](https://github.com/aspnet/AspNetCore/commit/b33cb285fb) Disable broken IIS tests. Standardize commands.
* [`[22729d2145]`](https://github.com/aspnet/AspNetCore/commit/22729d2145) Fix functional tests.
* [`[eefa58e617]`](https://github.com/aspnet/AspNetCore/commit/eefa58e617) [Fixes #3043] Overflow exceptions converted to invalid value messages
* [`[47ec2b4e50]`](https://github.com/aspnet/AspNetCore/commit/47ec2b4e50) Fix default feed for dev branch
* [`[d5d11eb30e]`](https://github.com/aspnet/AspNetCore/commit/d5d11eb30e) Fix case sensitive comparison in TemplateMatcher
* [`[3d5f70fd01]`](https://github.com/aspnet/AspNetCore/commit/3d5f70fd01) Updating RuntimeEnvironment after IRuntimeEnvironment changes
* [`[89f366d4bc]`](https://github.com/aspnet/AspNetCore/commit/89f366d4bc) Updating to dev NuGet.config
* [`[66573cc464]`](https://github.com/aspnet/AspNetCore/commit/66573cc464) Adding JsonPatch to universe list
* [`[bed133858e]`](https://github.com/aspnet/AspNetCore/commit/bed133858e) Updating to release NuGet.config
* [`[34a422b865]`](https://github.com/aspnet/AspNetCore/commit/34a422b865) Ifdef lines in LibuvCopier that use APIs not available on CoreCLR
* [`[f3b5bc2483]`](https://github.com/aspnet/AspNetCore/commit/f3b5bc2483) Don't set ThreadCount in sample project since it is temporarily broken
* [`[13af6f8e1a]`](https://github.com/aspnet/AspNetCore/commit/13af6f8e1a) Wrap rather long line in 9243d83
* [`[c713aa92ca]`](https://github.com/aspnet/AspNetCore/commit/c713aa92ca) Making the HtmlHelper.GetEnumSelectList take DisplayAttribute.GroupName into account to create select groups.
* [`[6ed7d1f3c0]`](https://github.com/aspnet/AspNetCore/commit/6ed7d1f3c0) Replace NotNullAttribute with thrown exceptions
* [`[5071084d78]`](https://github.com/aspnet/AspNetCore/commit/5071084d78) Updating to release NuGet.config.
* [`[a2685ee03b]`](https://github.com/aspnet/AspNetCore/commit/a2685ee03b) Updating to release NuGet.config.
* [`[5b80edcdff]`](https://github.com/aspnet/AspNetCore/commit/5b80edcdff) Updating to release NuGet.config.
* [`[ef48e4e298]`](https://github.com/aspnet/AspNetCore/commit/ef48e4e298) Updating to release NuGet.config.
* [`[8930b6474c]`](https://github.com/aspnet/AspNetCore/commit/8930b6474c) Updating to release NuGet.config.
* [`[6106ca8f97]`](https://github.com/aspnet/AspNetCore/commit/6106ca8f97) Updating to release NuGet.config.
* [`[fc7f345e22]`](https://github.com/aspnet/AspNetCore/commit/fc7f345e22) Updating to release NuGet.config.
* [`[88d1bb0cfe]`](https://github.com/aspnet/AspNetCore/commit/88d1bb0cfe) Updating to release NuGet.config.
* [`[7548eed530]`](https://github.com/aspnet/AspNetCore/commit/7548eed530) Updating to release NuGet.config.
* [`[c5a16b3a51]`](https://github.com/aspnet/AspNetCore/commit/c5a16b3a51) Updating to release NuGet.config.
* [`[93fa91b1c5]`](https://github.com/aspnet/AspNetCore/commit/93fa91b1c5) Updating to release NuGet.config.
* [`[452675918d]`](https://github.com/aspnet/AspNetCore/commit/452675918d) Updating to release NuGet.config.
* [`[7d5b43c599]`](https://github.com/aspnet/AspNetCore/commit/7d5b43c599) Updating to dev NuGet.config
* [`[648ddf4252]`](https://github.com/aspnet/AspNetCore/commit/648ddf4252) Updating to release NuGet.config
* [`[7e386ab576]`](https://github.com/aspnet/AspNetCore/commit/7e386ab576) Updating to release NuGet.config.
* [`[f6acb01a36]`](https://github.com/aspnet/AspNetCore/commit/f6acb01a36) Updating to release NuGet.config.
* [`[430f83e13b]`](https://github.com/aspnet/AspNetCore/commit/430f83e13b) Updating to release NuGet.config.
* [`[adfa02de90]`](https://github.com/aspnet/AspNetCore/commit/adfa02de90) Updating to release NuGet.config.
* [`[326dc222f0]`](https://github.com/aspnet/AspNetCore/commit/326dc222f0) Updating to release NuGet.config.
* [`[7334d4922e]`](https://github.com/aspnet/AspNetCore/commit/7334d4922e) Updating to release NuGet.config.
* [`[f95ffb57ae]`](https://github.com/aspnet/AspNetCore/commit/f95ffb57ae) Make dictionary allocations lazy on RouteData
* [`[8d57211b15]`](https://github.com/aspnet/AspNetCore/commit/8d57211b15) Switching to CI release NuGet config
* [`[faf91c06e0]`](https://github.com/aspnet/AspNetCore/commit/faf91c06e0) * Use --quiet for git pull and git clone so git fetch messages do not show up in CI error logs.
* [`[4eba490217]`](https://github.com/aspnet/AspNetCore/commit/4eba490217) Only test for critical logging
* [`[78cf065b88]`](https://github.com/aspnet/AspNetCore/commit/78cf065b88) #493 Upate to IdentityModel beta8 dependencies.
* [`[c7e3f98cdd]`](https://github.com/aspnet/AspNetCore/commit/c7e3f98cdd) Enabling NuGetPackageVerifier
* [`[be186a8cd8]`](https://github.com/aspnet/AspNetCore/commit/be186a8cd8) Update Startup.cs
* [`[d37f5aeb31]`](https://github.com/aspnet/AspNetCore/commit/d37f5aeb31) Fix #3217 - Optimize IList.GetEnumerator allocations
* [`[ca6d7ffdd3]`](https://github.com/aspnet/AspNetCore/commit/ca6d7ffdd3) Add HttpPlatformHandler for windows auth tests.
* [`[28aec3f5cc]`](https://github.com/aspnet/AspNetCore/commit/28aec3f5cc) Support user overrides of system-provided `ModelError` messages - #2969 - add `ModelBindingMessages` for configuration and `IBindingMetadataProvider` overrides   - use `interface` to avoid `new` oddities when adding a setter to an `abstract` property - add `IModelBindingMessages` to `ModelMetadata` for use in rest of the product code - plumb the various bits through the system - add integration tests using a custom `IBindingMetadataProvider`s to override messages
* [`[6b9a7fb294]`](https://github.com/aspnet/AspNetCore/commit/6b9a7fb294) Add IISIntegration
* [`[4510d20a83]`](https://github.com/aspnet/AspNetCore/commit/4510d20a83) #2 Platform handler middleware, sample, tests, functional tests.
* [`[0d6edf240a]`](https://github.com/aspnet/AspNetCore/commit/0d6edf240a) Move ModelExplorer to ViewFeatures
* [`[673617f3dd]`](https://github.com/aspnet/AspNetCore/commit/673617f3dd) Always specify the ApplicationHost.Config file.
* [`[ec18b35123]`](https://github.com/aspnet/AspNetCore/commit/ec18b35123) Add FormatterCollection<T>
* [`[371511aaf1]`](https://github.com/aspnet/AspNetCore/commit/371511aaf1) Add description to project.json
* [`[49035fd292]`](https://github.com/aspnet/AspNetCore/commit/49035fd292) Order the setting of ContextAccessor so it happens before the BeginRequest event occurs.
* [`[454812e9bc]`](https://github.com/aspnet/AspNetCore/commit/454812e9bc) Expanding environment variables in paths
* [`[22d13c4b34]`](https://github.com/aspnet/AspNetCore/commit/22d13c4b34) Fixed some small usage issues - Simplify waiting for changes - Fixed project dependencies
* [`[9a41bafea7]`](https://github.com/aspnet/AspNetCore/commit/9a41bafea7) Fix #526 - use extension methods for AppendFormat
* [`[ed1fd4a2e8]`](https://github.com/aspnet/AspNetCore/commit/ed1fd4a2e8) Lazy eval requestIdentifier
* [`[18c80d156c]`](https://github.com/aspnet/AspNetCore/commit/18c80d156c) Replace NotNullAttribute with thrown exceptions
* [`[03d6eb8367]`](https://github.com/aspnet/AspNetCore/commit/03d6eb8367) Re-enable IISExpress tests using HttpPlatformHandler.
* [`[eff10cdd66]`](https://github.com/aspnet/AspNetCore/commit/eff10cdd66) Move `ModelStateDictionaryExtensions` into `Microsoft.AspNet.Mvc.ModelBinding` namespace - missed the inconsistency when reviewing - kept class in ViewFeatures assembly because it depends on `ExpressionHelper`
* [`[d2f282f54f]`](https://github.com/aspnet/AspNetCore/commit/d2f282f54f) Consuming Libuv from NuGet package
* [`[07b3814f32]`](https://github.com/aspnet/AspNetCore/commit/07b3814f32) Correct test
* [`[e3f141fcde]`](https://github.com/aspnet/AspNetCore/commit/e3f141fcde) #227 Fix OverflowException in MemoryPool
* [`[7e52a00499]`](https://github.com/aspnet/AspNetCore/commit/7e52a00499) Start log scope only if logging is enabled
* [`[e87f10e8f8]`](https://github.com/aspnet/AspNetCore/commit/e87f10e8f8) Change ITypeInfo.IsTagHelper to ITypeInfo.ImplementsInterface(ITypeInfo)
* [`[6a0a24481a]`](https://github.com/aspnet/AspNetCore/commit/6a0a24481a) Asynchronously flush the HttpResponseStreamWriter after a view has been rendered.
* [`[c62aa147f4]`](https://github.com/aspnet/AspNetCore/commit/c62aa147f4) Make .Clear() consistent with TagHelperOutput
* [`[8a502dbe5d]`](https://github.com/aspnet/AspNetCore/commit/8a502dbe5d) Rewrite of validation
* [`[d2a7a355cc]`](https://github.com/aspnet/AspNetCore/commit/d2a7a355cc) Change `[RestrictChildren]` to allow non-`TagHelper` tags.
* [`[f0137b7b9e]`](https://github.com/aspnet/AspNetCore/commit/f0137b7b9e) Bind to specific IP addresses if provided with any
* [`[816b1f4190]`](https://github.com/aspnet/AspNetCore/commit/816b1f4190) Update `Lookahead` method in `Tokenizer` to maintain its existing buffer.
* [`[1718b69f22]`](https://github.com/aspnet/AspNetCore/commit/1718b69f22) Fast path header enumerator
* [`[0889b18f95]`](https://github.com/aspnet/AspNetCore/commit/0889b18f95) Add localizers to validation attributes
* [`[a602b47e26]`](https://github.com/aspnet/AspNetCore/commit/a602b47e26) Add AppendFormat extension methods on IHtmlContent
* [`[7c46b2bd3b]`](https://github.com/aspnet/AspNetCore/commit/7c46b2bd3b) Use a timer to generate the value for the Date header in responses: - Doing it on each request is expensive - The Timer is started when the first request comes in and fires every second - Every request flips a bool so the Timer knows requests are coming in - The Timer stops itself after a period of no requests coming in (10 seconds) - #163
* [`[318f3b7145]`](https://github.com/aspnet/AspNetCore/commit/318f3b7145) Changing Trace.Assert to Debug.Assert
* [`[f740616573]`](https://github.com/aspnet/AspNetCore/commit/f740616573) disposedValue changed to _disposedValue
* [`[c42dace9e6]`](https://github.com/aspnet/AspNetCore/commit/c42dace9e6) consts looked like local vars
* [`[0adbbd0217]`](https://github.com/aspnet/AspNetCore/commit/0adbbd0217) Using the well-known-header field without checking set bit
* [`[dc902f5fc4]`](https://github.com/aspnet/AspNetCore/commit/dc902f5fc4) Update SocketOutput to not call QueueUserWorkItem unnecessarily
* [`[789d5b3595]`](https://github.com/aspnet/AspNetCore/commit/789d5b3595) Writes which are not immediate always return completed tasks
* [`[5e678fdbaa]`](https://github.com/aspnet/AspNetCore/commit/5e678fdbaa) Adding volatile keyword to stopping boolean
* [`[99fc7e4e50]`](https://github.com/aspnet/AspNetCore/commit/99fc7e4e50) Moving the Start/Stop logic into Frame.
* [`[325423de40]`](https://github.com/aspnet/AspNetCore/commit/325423de40) Sorting usings
* [`[f89a586b75]`](https://github.com/aspnet/AspNetCore/commit/f89a586b75) Removing boilerplate-generated #region
* [`[844c791b16]`](https://github.com/aspnet/AspNetCore/commit/844c791b16) Processing function should return Task
* [`[13defc5a32]`](https://github.com/aspnet/AspNetCore/commit/13defc5a32) Initialize Memory2 in ListenerContext
* [`[13f46bb66b]`](https://github.com/aspnet/AspNetCore/commit/13f46bb66b) Using multiple threads in SampleApp
* [`[5ba1b9fb3c]`](https://github.com/aspnet/AspNetCore/commit/5ba1b9fb3c) Secondary listeners need to allocate their own memory pool
* [`[6db3d9e645]`](https://github.com/aspnet/AspNetCore/commit/6db3d9e645) Using specific exception types
* [`[ff0affe34d]`](https://github.com/aspnet/AspNetCore/commit/ff0affe34d) Removing _frameTask and fixing Task.Run argument
* [`[30ec2cb0b1]`](https://github.com/aspnet/AspNetCore/commit/30ec2cb0b1) Harden framing epilog
* [`[28250d9981]`](https://github.com/aspnet/AspNetCore/commit/28250d9981) Providing Path to application
* [`[d3a87c4c14]`](https://github.com/aspnet/AspNetCore/commit/d3a87c4c14) Removing MessageBodyExchanger base class
* [`[7917569466]`](https://github.com/aspnet/AspNetCore/commit/7917569466) Changing chunked with exception test criteria
* [`[52dc37eae7]`](https://github.com/aspnet/AspNetCore/commit/52dc37eae7) Fixing a header parsing bug
* [`[e5a3bda3a2]`](https://github.com/aspnet/AspNetCore/commit/e5a3bda3a2) Progress on flow control
* [`[1f6aaebeda]`](https://github.com/aspnet/AspNetCore/commit/1f6aaebeda) Changing flow control for incoming data
* [`[1e39473047]`](https://github.com/aspnet/AspNetCore/commit/1e39473047) uv_pipe_connect returns void
* [`[49acfd562e]`](https://github.com/aspnet/AspNetCore/commit/49acfd562e) Adds common interfaces around Models (Implements #3158)
* [`[9c81b95d1b]`](https://github.com/aspnet/AspNetCore/commit/9c81b95d1b) Renamed Controller.Context to Controller.HttpContext - #3165
* [`[5a80435534]`](https://github.com/aspnet/AspNetCore/commit/5a80435534) API Review - Move ModelBindingHelper
* [`[a9e7948d72]`](https://github.com/aspnet/AspNetCore/commit/a9e7948d72) #77 Catch startup exceptions and show them in the browser.
* [`[ca8161466e]`](https://github.com/aspnet/AspNetCore/commit/ca8161466e) Allow mock libuv to shutdown gracefully.
* [`[520fc2b5fd]`](https://github.com/aspnet/AspNetCore/commit/520fc2b5fd) Fixed stack overflow when setting RequestServices
* [`[852f44a369]`](https://github.com/aspnet/AspNetCore/commit/852f44a369) Rename JwtBearer events
* [`[6afe357271]`](https://github.com/aspnet/AspNetCore/commit/6afe357271) Strategy rename
* [`[d82bc7ca9d]`](https://github.com/aspnet/AspNetCore/commit/d82bc7ca9d) Enabling NuGetPackageVerifier
* [`[67739ea565]`](https://github.com/aspnet/AspNetCore/commit/67739ea565) Add `ParentTag` to `[HtmlTargetElement]`.
* [`[966fa6672f]`](https://github.com/aspnet/AspNetCore/commit/966fa6672f) #147 Make OIDC UseTokenLifetime false by default.
* [`[8d6bacb44d]`](https://github.com/aspnet/AspNetCore/commit/8d6bacb44d) Made the log level to be warning instead of information
* [`[1833e06984]`](https://github.com/aspnet/AspNetCore/commit/1833e06984) TModel substitution in Razor pages has broken intellisense
* [`[45cda774bb]`](https://github.com/aspnet/AspNetCore/commit/45cda774bb) Enabling NuGetPackageVerifier
* [`[ea3fb85006]`](https://github.com/aspnet/AspNetCore/commit/ea3fb85006) Changed google and twitter oauth client id and secret
* [`[f51e7263b7]`](https://github.com/aspnet/AspNetCore/commit/f51e7263b7) Enabling NuGetPackageVerifier
* [`[cde733a63a]`](https://github.com/aspnet/AspNetCore/commit/cde733a63a) Enabling NuGetPackageVerifier
* [`[ff4100e292]`](https://github.com/aspnet/AspNetCore/commit/ff4100e292) Generate an expression to create line mappings for ModelChunk directives
* [`[c4bf10d6e9]`](https://github.com/aspnet/AspNetCore/commit/c4bf10d6e9) Add third party notices for libuv
* [`[e091bceaa8]`](https://github.com/aspnet/AspNetCore/commit/e091bceaa8) Caption => DisplayName
* [`[551da3e558]`](https://github.com/aspnet/AspNetCore/commit/551da3e558) Caption => DisplayName
* [`[9b1558dddd]`](https://github.com/aspnet/AspNetCore/commit/9b1558dddd) Enabling NuGetPackageVerifier
* [`[d2ed54c33d]`](https://github.com/aspnet/AspNetCore/commit/d2ed54c33d) Enabling NuGetPackageVerifier
* [`[20563b514f]`](https://github.com/aspnet/AspNetCore/commit/20563b514f) Enabling NuGetPackageVerifier
* [`[742b96d18c]`](https://github.com/aspnet/AspNetCore/commit/742b96d18c) Port SaveTokensAsClaims to the OpenID Connect middleware and automatically flow id_token_hint on logout requests
* [`[38bd9f4232]`](https://github.com/aspnet/AspNetCore/commit/38bd9f4232) Add project.json description
* [`[49520a2a73]`](https://github.com/aspnet/AspNetCore/commit/49520a2a73) Switch to IServiceProvidersFeature for RequestServices
* [`[f9a03e83e9]`](https://github.com/aspnet/AspNetCore/commit/f9a03e83e9) Fix the way data is seeded to prevent using disposed ef contexts
* [`[3572b0f3f3]`](https://github.com/aspnet/AspNetCore/commit/3572b0f3f3) Changes to support design time code generation in Mvc
* [`[67d9cb7abb]`](https://github.com/aspnet/AspNetCore/commit/67d9cb7abb) Enabling NuGetPackageVerifier
* [`[89f58aa49f]`](https://github.com/aspnet/AspNetCore/commit/89f58aa49f) Allow @model specified in a page work with @inherits directive in _ViewImports
* [`[59b698c8b2]`](https://github.com/aspnet/AspNetCore/commit/59b698c8b2) Expose parsed route so that observers can get extra details about the route (i.e. optional state)
* [`[323befaaf1]`](https://github.com/aspnet/AspNetCore/commit/323befaaf1) Avoid GetContent and ToString in TagHelperContent tests
* [`[d8d0a1ab89]`](https://github.com/aspnet/AspNetCore/commit/d8d0a1ab89) Rename `ModelMetadata.IsCollectionType` and add "real" `ModelMetadata.IsCollectionType` - #3022 - existing `IsCollectionType` -> `IsEnumerableType` - use new `IsCollectionType` in a few places
* [`[1ef66c9c11]`](https://github.com/aspnet/AspNetCore/commit/1ef66c9c11) Fix stuff
* [`[a55a372476]`](https://github.com/aspnet/AspNetCore/commit/a55a372476) Add period
* [`[7239eb015c]`](https://github.com/aspnet/AspNetCore/commit/7239eb015c) Add support for data bound symbols as attribute names.
* [`[7b697e8ec9]`](https://github.com/aspnet/AspNetCore/commit/7b697e8ec9) Enabling NuGetPackageVerifier
* [`[7948533fab]`](https://github.com/aspnet/AspNetCore/commit/7948533fab) Enabling NuGetPackageVerifier
* [`[976f58925d]`](https://github.com/aspnet/AspNetCore/commit/976f58925d) Enabling NuGetPackageVerifier
* [`[90539dc489]`](https://github.com/aspnet/AspNetCore/commit/90539dc489) Enabling NuGetPackageVerifier
* [`[644a4002a9]`](https://github.com/aspnet/AspNetCore/commit/644a4002a9) Rename back to jwtBearer
* [`[355bc01a15]`](https://github.com/aspnet/AspNetCore/commit/355bc01a15) Hosting#358 Move the default address into Hosting.
* [`[2c1f1a277a]`](https://github.com/aspnet/AspNetCore/commit/2c1f1a277a) [Fixes #537] Clear up MusicStore repo
* [`[bf66dcea69]`](https://github.com/aspnet/AspNetCore/commit/bf66dcea69) Update CORS package version to 6.0.0
* [`[285da613e4]`](https://github.com/aspnet/AspNetCore/commit/285da613e4) #358 Redo port, add default address.
* [`[b544aabfdb]`](https://github.com/aspnet/AspNetCore/commit/b544aabfdb) Fix #3111 - Don't trounce content-type in VCR
* [`[a318c4599a]`](https://github.com/aspnet/AspNetCore/commit/a318c4599a) API Review - Split up .Actions
* [`[b189475551]`](https://github.com/aspnet/AspNetCore/commit/b189475551) Split cookie events
* [`[9c456965a6]`](https://github.com/aspnet/AspNetCore/commit/9c456965a6) ITypeInfo.FullName should return the same value as TypeInfo.FullName Fixes #523
* [`[fec3002fff]`](https://github.com/aspnet/AspNetCore/commit/fec3002fff) Renames
* [`[8f3a322cf9]`](https://github.com/aspnet/AspNetCore/commit/8f3a322cf9) Enabling NuGetPackageVerifier
* [`[59ccbdd8ca]`](https://github.com/aspnet/AspNetCore/commit/59ccbdd8ca) Fix stuff
* [`[388362245f]`](https://github.com/aspnet/AspNetCore/commit/388362245f) Making HashCodeCombiner usage non-fluent
* [`[152c842416]`](https://github.com/aspnet/AspNetCore/commit/152c842416) Disable IISExpress tests.
* [`[985a261ae8]`](https://github.com/aspnet/AspNetCore/commit/985a261ae8) Disable IISExpress tests.
* [`[153ed57d66]`](https://github.com/aspnet/AspNetCore/commit/153ed57d66) [Fixes #472] Added temporary parse error for helper directive
* [`[e0ac69c9f7]`](https://github.com/aspnet/AspNetCore/commit/e0ac69c9f7) Add JsonPatch
* [`[cece79c3c0]`](https://github.com/aspnet/AspNetCore/commit/cece79c3c0) Initial push
* [`[5354ce0a71]`](https://github.com/aspnet/AspNetCore/commit/5354ce0a71) Enabling NuGetPackageVerifier
* [`[66a04c2fd6]`](https://github.com/aspnet/AspNetCore/commit/66a04c2fd6) Replacing NotNullAttribute with thrown exceptions
* [`[9badd9386e]`](https://github.com/aspnet/AspNetCore/commit/9badd9386e) API-Review Strongly-typed collections for a few options types.
* [`[895258d550]`](https://github.com/aspnet/AspNetCore/commit/895258d550) Work around aspnet/External#33, aspnet/External#41, aspnet/External#42, and aspnet/External#43 - do not run tests that hit known issues with Core CLR on Linux
* [`[ccb5ead450]`](https://github.com/aspnet/AspNetCore/commit/ccb5ead450) Api-Review - put uri complexity in CreatedResult
* [`[7816c0183e]`](https://github.com/aspnet/AspNetCore/commit/7816c0183e) Removing Microsoft.Framework.Primitives from HttpAbstractions
* [`[7c1f18c0a4]`](https://github.com/aspnet/AspNetCore/commit/7c1f18c0a4) Update &lt; and &gt; in error messages to not be double encoded.
* [`[c494cb344d]`](https://github.com/aspnet/AspNetCore/commit/c494cb344d) Enable `TagHelper`s with `[RestrictChildren]` to log errors for no tag name tags when targeted by catch all.
* [`[58974a9def]`](https://github.com/aspnet/AspNetCore/commit/58974a9def) Replacing NotNullAttribute with thrown exceptions
* [`[635514453b]`](https://github.com/aspnet/AspNetCore/commit/635514453b) Enable `TagHelper`s with `[RestrictChildren]` to log errors for no tag name tags.
* [`[61831527f8]`](https://github.com/aspnet/AspNetCore/commit/61831527f8) Enabling NuGetPackageVerifier
* [`[fa1896869e]`](https://github.com/aspnet/AspNetCore/commit/fa1896869e) #358 Support HTTP_PLATFORM_PORT.
* [`[36450c978b]`](https://github.com/aspnet/AspNetCore/commit/36450c978b) Add support for `@tagHelperPrefix` and `[RestrictChildren]`.
* [`[b5c87648cb]`](https://github.com/aspnet/AspNetCore/commit/b5c87648cb) Running xml-docs-test before test target
* [`[90777c903d]`](https://github.com/aspnet/AspNetCore/commit/90777c903d) Running xml-docs-test before test target
* [`[361e0b4ea2]`](https://github.com/aspnet/AspNetCore/commit/361e0b4ea2) Running xml-docs-test before test target
* [`[a3d943197a]`](https://github.com/aspnet/AspNetCore/commit/a3d943197a) Moving nuget-verify to run before test
* [`[fb6a08d5de]`](https://github.com/aspnet/AspNetCore/commit/fb6a08d5de) Allow `TagHelper`s inside of text/html typed script tags.
* [`[19f8830a57]`](https://github.com/aspnet/AspNetCore/commit/19f8830a57) Update nuget.exe and corresponding feeds to v3.
* [`[f81707d5fe]`](https://github.com/aspnet/AspNetCore/commit/f81707d5fe) Update nuget.exe and corresponding feeds to v3.
* [`[d7cba38dc8]`](https://github.com/aspnet/AspNetCore/commit/d7cba38dc8) Update nuget.exe and corresponding feeds to v3.
* [`[3f8b94b9bb]`](https://github.com/aspnet/AspNetCore/commit/3f8b94b9bb) Update nuget.exe and corresponding feeds to v3.
* [`[51fa3643fa]`](https://github.com/aspnet/AspNetCore/commit/51fa3643fa) Update nuget.exe and corresponding feeds to v3.
* [`[18da1b3093]`](https://github.com/aspnet/AspNetCore/commit/18da1b3093) Update nuget.exe and corresponding feeds to v3.
* [`[06c89aa340]`](https://github.com/aspnet/AspNetCore/commit/06c89aa340) Update nuget.exe and corresponding feeds to v3.
* [`[d076b019d0]`](https://github.com/aspnet/AspNetCore/commit/d076b019d0) Update nuget.exe and corresponding feeds to v3.
* [`[5392f41746]`](https://github.com/aspnet/AspNetCore/commit/5392f41746) Update nuget.exe and corresponding feeds to v3.
* [`[3181f0efe3]`](https://github.com/aspnet/AspNetCore/commit/3181f0efe3) Update nuget.exe and corresponding feeds to v3.
* [`[ee461654ed]`](https://github.com/aspnet/AspNetCore/commit/ee461654ed) Update nuget.exe and corresponding feeds to v3.
* [`[3470c6206a]`](https://github.com/aspnet/AspNetCore/commit/3470c6206a) Update nuget.exe and corresponding feeds to v3.
* [`[8b3175e904]`](https://github.com/aspnet/AspNetCore/commit/8b3175e904) Update nuget.exe and corresponding feeds to v3.
* [`[6442fe8a86]`](https://github.com/aspnet/AspNetCore/commit/6442fe8a86) Update nuget.exe and corresponding feeds to v3.
* [`[f4a25b1408]`](https://github.com/aspnet/AspNetCore/commit/f4a25b1408) Update nuget.exe and corresponding feeds to v3.
* [`[2d01d47c18]`](https://github.com/aspnet/AspNetCore/commit/2d01d47c18) Update nuget.exe and corresponding feeds to v3.
* [`[d3835455d2]`](https://github.com/aspnet/AspNetCore/commit/d3835455d2) Update NuGet.exe and corresponding feeds to v3.
* [`[b7382dc6c3]`](https://github.com/aspnet/AspNetCore/commit/b7382dc6c3) Fix Razor test compilation failure
* [`[5cc1fea400]`](https://github.com/aspnet/AspNetCore/commit/5cc1fea400) Add CookiePolicy Middleware
* [`[a952b28d0f]`](https://github.com/aspnet/AspNetCore/commit/a952b28d0f) Enabling NuGetPackageVerifier
* [`[a68d9e4cb1]`](https://github.com/aspnet/AspNetCore/commit/a68d9e4cb1) Replace NotNullAttribute with thrown exceptions
* [`[98ce82ed72]`](https://github.com/aspnet/AspNetCore/commit/98ce82ed72) Create README.md
* [`[b63d1b6187]`](https://github.com/aspnet/AspNetCore/commit/b63d1b6187) Create CONTRIBUTING.md
* [`[62caf09ac4]`](https://github.com/aspnet/AspNetCore/commit/62caf09ac4) Create README.md
* [`[dbd4aa98fc]`](https://github.com/aspnet/AspNetCore/commit/dbd4aa98fc) Create CONTRIBUTING.md
* [`[6f8c040cfe]`](https://github.com/aspnet/AspNetCore/commit/6f8c040cfe) Fix false positive in Standards Police warning warning SP1004
* [`[538cd9c191]`](https://github.com/aspnet/AspNetCore/commit/538cd9c191) Move less-commonly used types out of .Rendering
* [`[33a0f7a0db]`](https://github.com/aspnet/AspNetCore/commit/33a0f7a0db) Replace NotNullAttribute with thrown exceptions
* [`[0376550f2d]`](https://github.com/aspnet/AspNetCore/commit/0376550f2d) Replace SymbolLookupCache with comparing FullNames for symbols.
* [`[046cb976b3]`](https://github.com/aspnet/AspNetCore/commit/046cb976b3) Move ActionResult classes back to main namespace
* [`[47323a88e1]`](https://github.com/aspnet/AspNetCore/commit/47323a88e1) Surface errors from Listener.StartAsync better
* [`[2d01f2752b]`](https://github.com/aspnet/AspNetCore/commit/2d01f2752b) Catch and log uv_accept errors
* [`[f14af1f409]`](https://github.com/aspnet/AspNetCore/commit/f14af1f409) Don't swallow too many exceptions
* [`[1c4614c219]`](https://github.com/aspnet/AspNetCore/commit/1c4614c219) Avoid allocating strings in DefaultViewLocationCache
* [`[00075520b4]`](https://github.com/aspnet/AspNetCore/commit/00075520b4) Razor CompilerCache allocates too much in NormalizePath Fixes #3035
* [`[3382b82e5e]`](https://github.com/aspnet/AspNetCore/commit/3382b82e5e) Fix breaking changes
* [`[9a15b54d30]`](https://github.com/aspnet/AspNetCore/commit/9a15b54d30) Flow IHtmlContent through to the razor buffer
* [`[1c0768fb71]`](https://github.com/aspnet/AspNetCore/commit/1c0768fb71) #372 Flow mutable event state. #358 Add a UserInformationReceived event. #327 Add AuthenticationCompleted event. #340 Split the Redirect event for Authentication and SignOut. Rename OnAuthorizationCodeRedeemed to OnTokenResponseReceived. Move IdTokenReceived to AuthorizationResponseReceived. Rename IdTokenValidated to AuthenticationValidated.
* [`[b271cdf91d]`](https://github.com/aspnet/AspNetCore/commit/b271cdf91d) Update EF commands
* [`[6758010e1a]`](https://github.com/aspnet/AspNetCore/commit/6758010e1a) #353,#354 Add telemetry for begin/end request and unhandled exceptions.
* [`[d162fff906]`](https://github.com/aspnet/AspNetCore/commit/d162fff906) Temporary workaround for https://github.com/aspnet/EntityFramework/issues/3144
* [`[2e225b0db6]`](https://github.com/aspnet/AspNetCore/commit/2e225b0db6) Hosting#331 Add IServerAddressesFeature.
* [`[22952e1806]`](https://github.com/aspnet/AspNetCore/commit/22952e1806) Add `restoreDir` parameter in `_k-restore.shade` - enables use of this command where it's currently overridden - in turn, this means `--quiet` would be honoured in those `makefile.shade` files
* [`[ce06872b84]`](https://github.com/aspnet/AspNetCore/commit/ce06872b84) Hosting#331 Add IServerAddressesFeature.
* [`[10176373c8]`](https://github.com/aspnet/AspNetCore/commit/10176373c8) #351 Display hosting environment name and listening addresses on console.
* [`[bda0386a93]`](https://github.com/aspnet/AspNetCore/commit/bda0386a93) #331 Add IServerAddressesFeature.
* [`[887ab64d75]`](https://github.com/aspnet/AspNetCore/commit/887ab64d75) Throw an exception if layouts have circular references.
* [`[381c055e2f]`](https://github.com/aspnet/AspNetCore/commit/381c055e2f) Removing NotNullAttribute from Microsoft.AspNet.Razor
* [`[896c146e24]`](https://github.com/aspnet/AspNetCore/commit/896c146e24) Replacing NotNullAttribute with thrown exceptions
* [`[96c7850e4c]`](https://github.com/aspnet/AspNetCore/commit/96c7850e4c) [Fixes #33]AddCors should adopt new pattern
* [`[d3f1437764]`](https://github.com/aspnet/AspNetCore/commit/d3f1437764) Replacing NotNullAttribute with thrown exceptions
* [`[7a24045953]`](https://github.com/aspnet/AspNetCore/commit/7a24045953) Split ParsingHelpers classes into their own files
* [`[f71f9fb679]`](https://github.com/aspnet/AspNetCore/commit/f71f9fb679) Rename `TargetElementAttribute` => `HtmlTargetElementAttribute`.
* [`[4fd866f340]`](https://github.com/aspnet/AspNetCore/commit/4fd866f340) Update `RestrictChildrenAttribute`s properties and parameters to have consistent names.
* [`[dca5829b29]`](https://github.com/aspnet/AspNetCore/commit/dca5829b29) Replacing NotNullAttribute with thrown exceptions
* [`[e0ec2da711]`](https://github.com/aspnet/AspNetCore/commit/e0ec2da711) Replacing NotNull with thrown exceptions
* [`[c6941e797f]`](https://github.com/aspnet/AspNetCore/commit/c6941e797f) Replacing NotNullAttribute with exceptions
* [`[2bd83e1589]`](https://github.com/aspnet/AspNetCore/commit/2bd83e1589) ConfigureSession => AddSession overload
* [`[345021d822]`](https://github.com/aspnet/AspNetCore/commit/345021d822) Set RazorError code to null
* [`[27a8002e75]`](https://github.com/aspnet/AspNetCore/commit/27a8002e75) Use the new Response.Clear() API.
* [`[d59fa774a8]`](https://github.com/aspnet/AspNetCore/commit/d59fa774a8) Updating licenses
* [`[98af679b0b]`](https://github.com/aspnet/AspNetCore/commit/98af679b0b) Adding NeutralResourcesLanguageAttribute
* [`[3a0182688a]`](https://github.com/aspnet/AspNetCore/commit/3a0182688a) Adding NeutralResourcesLanguageAttribute
* [`[8b3f1ece83]`](https://github.com/aspnet/AspNetCore/commit/8b3f1ece83) Adding NeutralResourcesLanguageAttribute
* [`[dfaf6bb2ff]`](https://github.com/aspnet/AspNetCore/commit/dfaf6bb2ff) Adding NeutralResourcesLanguageAttribute
* [`[0f06b6a09a]`](https://github.com/aspnet/AspNetCore/commit/0f06b6a09a) Adding NeutralResourcesLanguageAttribute
* [`[7cd8db6695]`](https://github.com/aspnet/AspNetCore/commit/7cd8db6695) Adding NeutralResourcesLanguageAttribute
* [`[9ab9a330ed]`](https://github.com/aspnet/AspNetCore/commit/9ab9a330ed) Adding NeutralResourcesLanguageAttribute
* [`[78de14d248]`](https://github.com/aspnet/AspNetCore/commit/78de14d248) Adding NeutralResourcesLanguageAttribute
* [`[b1a2db0a7c]`](https://github.com/aspnet/AspNetCore/commit/b1a2db0a7c) Adding NeutralResourcesLanguageAttribute
* [`[3e6585dcc8]`](https://github.com/aspnet/AspNetCore/commit/3e6585dcc8) Adding NeutralResourcesLanguageAttribute
* [`[8dc4ddf195]`](https://github.com/aspnet/AspNetCore/commit/8dc4ddf195) Adding NeutralResourcesLanguageAttribute
* [`[5bf429d212]`](https://github.com/aspnet/AspNetCore/commit/5bf429d212) Adding NeutralResourcesLanguageAttribute
* [`[c2b9fc541e]`](https://github.com/aspnet/AspNetCore/commit/c2b9fc541e) Adding NeutralResourcesLanguageAttribute
* [`[3240ef37e1]`](https://github.com/aspnet/AspNetCore/commit/3240ef37e1) Adding NeutralResourcesLanguageAttribute
* [`[0350f6ed48]`](https://github.com/aspnet/AspNetCore/commit/0350f6ed48) Adding NeutralResourcesLanguageAttribute to Mvc assemblies
* [`[ee9945f06d]`](https://github.com/aspnet/AspNetCore/commit/ee9945f06d) Added timeout to regex
* [`[958cc3eca3]`](https://github.com/aspnet/AspNetCore/commit/958cc3eca3) Add missing arguments to LogDebug arguments in KestrelTrace
* [`[d25d9704f7]`](https://github.com/aspnet/AspNetCore/commit/d25d9704f7) Using test setup pattern from aspnet/Stress.
* [`[1ebf98d40d]`](https://github.com/aspnet/AspNetCore/commit/1ebf98d40d) Log message style changes
* [`[0ef096b41c]`](https://github.com/aspnet/AspNetCore/commit/0ef096b41c) Increment connection id for logging
* [`[327dabb243]`](https://github.com/aspnet/AspNetCore/commit/327dabb243) Fix namespace for Clear extension.
* [`[00d5a056d9]`](https://github.com/aspnet/AspNetCore/commit/00d5a056d9) #360 Add Response.Clear() extension.
* [`[88f4153fd9]`](https://github.com/aspnet/AspNetCore/commit/88f4153fd9) Added timeout to regex
* [`[87c15bb6dc]`](https://github.com/aspnet/AspNetCore/commit/87c15bb6dc) Adds/updates some docs for the FromServicesAttribute with examples
* [`[dda5774a8b]`](https://github.com/aspnet/AspNetCore/commit/dda5774a8b) Throw exception if ThreadCount negative
* [`[887cf2c7be]`](https://github.com/aspnet/AspNetCore/commit/887cf2c7be) Negative thread count fix
* [`[2e32ffc004]`](https://github.com/aspnet/AspNetCore/commit/2e32ffc004) Use PrecompilationTagHelperTypeResolver to locate TagHelpers during precompilation.
* [`[9a7be69a0d]`](https://github.com/aspnet/AspNetCore/commit/9a7be69a0d) Produce ITypeInfo \ IPropertyInfo using CodeAnalysis symbol tree
* [`[585643cf86]`](https://github.com/aspnet/AspNetCore/commit/585643cf86) Updating Sake to always use latest version
* [`[a7bebaae83]`](https://github.com/aspnet/AspNetCore/commit/a7bebaae83) Updating Sake to always use latest version
* [`[15521ffc2b]`](https://github.com/aspnet/AspNetCore/commit/15521ffc2b) Updating Sake to 0.2.2
* [`[525c6de035]`](https://github.com/aspnet/AspNetCore/commit/525c6de035) Updating to Sake 0.2.2
* [`[ebcad24307]`](https://github.com/aspnet/AspNetCore/commit/ebcad24307) #404 Verify state via independent cookie.
* [`[9f7a723843]`](https://github.com/aspnet/AspNetCore/commit/9f7a723843) #390 Make the nonce cookie expire.
* [`[a0d51b9c2f]`](https://github.com/aspnet/AspNetCore/commit/a0d51b9c2f) Added Nuget feed and renamed packagelist json
* [`[864cc39ce2]`](https://github.com/aspnet/AspNetCore/commit/864cc39ce2) Updating to Sake 0.2.2
* [`[5bc13cbd6b]`](https://github.com/aspnet/AspNetCore/commit/5bc13cbd6b) UseOauth now requires an instance of options
* [`[d96fbdba93]`](https://github.com/aspnet/AspNetCore/commit/d96fbdba93) Renamed the directories
* [`[1a708b8479]`](https://github.com/aspnet/AspNetCore/commit/1a708b8479) Fixed razor view as its compilation fails due to changed apis Updated PageGenerator to consider the modified Views folder paths More restructuring of files
* [`[9044aeff47]`](https://github.com/aspnet/AspNetCore/commit/9044aeff47) Moved files into respective folders for better orgranization
* [`[c46615dc53]`](https://github.com/aspnet/AspNetCore/commit/c46615dc53) Added new extensions UseExceptionHandler & UseDeveloperExceptionPage
* [`[38728a6bcd]`](https://github.com/aspnet/AspNetCore/commit/38728a6bcd) PreflightRequest check requset headers ignore case and ignore simple request headers
* [`[df33a3cff8]`](https://github.com/aspnet/AspNetCore/commit/df33a3cff8) StringValues improvements
* [`[20e534a570]`](https://github.com/aspnet/AspNetCore/commit/20e534a570) Add more StringValues tests
* [`[cddcb3b457]`](https://github.com/aspnet/AspNetCore/commit/cddcb3b457) Add BrowserLink
* [`[894574d04e]`](https://github.com/aspnet/AspNetCore/commit/894574d04e) Implement Replace Move and Copy for dynamic objects
* [`[231e8a9cf4]`](https://github.com/aspnet/AspNetCore/commit/231e8a9cf4) Create an abstraction model for TypeInfo for tag helper discovery.
* [`[ac77c11211]`](https://github.com/aspnet/AspNetCore/commit/ac77c11211) Make ConnectionCallback static again.
* [`[2b2943d5b0]`](https://github.com/aspnet/AspNetCore/commit/2b2943d5b0) Restore static delegates
* [`[2041e4d08b]`](https://github.com/aspnet/AspNetCore/commit/2041e4d08b) Prevent pipes from being closed prematurely on OS X and Linux
* [`[1c8f22058c]`](https://github.com/aspnet/AspNetCore/commit/1c8f22058c) Make RazorViewEngine.GetNormalizedRouteValue public Fixes #3108
* [`[a93a66fe7c]`](https://github.com/aspnet/AspNetCore/commit/a93a66fe7c) Replace Trace.WriteLine with ITraceLogger
* [`[4e0f0c79ec]`](https://github.com/aspnet/AspNetCore/commit/4e0f0c79ec) #366 Rewind the request buffer after parsing the form.
* [`[08c8f9f7ba]`](https://github.com/aspnet/AspNetCore/commit/08c8f9f7ba) Parse the whitespace surrounding equals in attribute correctly  - #123  - Handled the corresponding cases in tag helper scenarios  - Added unit and code generation tests
* [`[1b790467a1]`](https://github.com/aspnet/AspNetCore/commit/1b790467a1) #269 Use a json file instead of an ini file to configure hosting.
* [`[a6aaef0d63]`](https://github.com/aspnet/AspNetCore/commit/a6aaef0d63) Optimize async code in model binders
* [`[ab08e27a4b]`](https://github.com/aspnet/AspNetCore/commit/ab08e27a4b) Simplify CompositeModelBinder
* [`[d458e8ecb2]`](https://github.com/aspnet/AspNetCore/commit/d458e8ecb2) Change HTML in nested C# blocks to properly handle dots.
* [`[465b4ce0df]`](https://github.com/aspnet/AspNetCore/commit/465b4ce0df) Use TelemetrySource
* [`[43d0b0f65b]`](https://github.com/aspnet/AspNetCore/commit/43d0b0f65b) Update WebEncoders from Unicode 7.0 to Unicode 8.0 Add "how to update" file detailing update steps
* [`[2834b70987]`](https://github.com/aspnet/AspNetCore/commit/2834b70987) Added frameworks to project.json
* [`[ed4850a2b1]`](https://github.com/aspnet/AspNetCore/commit/ed4850a2b1) Style fix
* [`[5ee80e0155]`](https://github.com/aspnet/AspNetCore/commit/5ee80e0155) Fix bug #191 introduced by b25d2d9
* [`[f10c989d90]`](https://github.com/aspnet/AspNetCore/commit/f10c989d90) Add ServiceContext to make it easier to flow new services through ctors
* [`[61a47d79a8]`](https://github.com/aspnet/AspNetCore/commit/61a47d79a8) Work around System.Uri relative path bug on mono.
* [`[87360d861f]`](https://github.com/aspnet/AspNetCore/commit/87360d861f) Added configure options. Added default default addoptions call
* [`[831785fe9f]`](https://github.com/aspnet/AspNetCore/commit/831785fe9f) Make AddAuthorization() idempotent
* [`[6bc4a40926]`](https://github.com/aspnet/AspNetCore/commit/6bc4a40926) Setup ci stuff
* [`[5cb8ad3d87]`](https://github.com/aspnet/AspNetCore/commit/5cb8ad3d87) Skipped tests using file paths not supported on Mono
* [`[d2701f4897]`](https://github.com/aspnet/AspNetCore/commit/d2701f4897) #58 Serialize the ClaimsIdentity.BootstrapContext.
* [`[5afadf6998]`](https://github.com/aspnet/AspNetCore/commit/5afadf6998) Fix documentation error
* [`[ffc863532a]`](https://github.com/aspnet/AspNetCore/commit/ffc863532a) Update end column in test after Razor error changes.
* [`[0ab178cead]`](https://github.com/aspnet/AspNetCore/commit/0ab178cead) Ignore WebSocketClient tests on Mono.
* [`[1584d70e1f]`](https://github.com/aspnet/AspNetCore/commit/1584d70e1f) Clean up if an exception is thrown in the middle of ServerFactory.Start
* [`[9169a156e2]`](https://github.com/aspnet/AspNetCore/commit/9169a156e2) Update additional tests to account for new error lengths.
* [`[076ce6a8a1]`](https://github.com/aspnet/AspNetCore/commit/076ce6a8a1) Make ModelBindingResult a struct.
* [`[47520e126e]`](https://github.com/aspnet/AspNetCore/commit/47520e126e) #47 Standardize on I*Events pattern.
* [`[2c14ac34ca]`](https://github.com/aspnet/AspNetCore/commit/2c14ac34ca) Fix CORS tests
* [`[e4fe31a602]`](https://github.com/aspnet/AspNetCore/commit/e4fe31a602) Nuke extra curly
* [`[043476192f]`](https://github.com/aspnet/AspNetCore/commit/043476192f) Disable Options order functional test
* [`[dffd977c3f]`](https://github.com/aspnet/AspNetCore/commit/dffd977c3f) Fixing field names
* [`[5c7007a4e9]`](https://github.com/aspnet/AspNetCore/commit/5c7007a4e9) Fixing member field name
* [`[0859d82d6b]`](https://github.com/aspnet/AspNetCore/commit/0859d82d6b) Adding private keyword to private enums
* [`[3bbb77f9d0]`](https://github.com/aspnet/AspNetCore/commit/3bbb77f9d0) Alphabetizing using statements
* [`[b25d2d9772]`](https://github.com/aspnet/AspNetCore/commit/b25d2d9772) Continued updates for #184
* [`[e4f78176f9]`](https://github.com/aspnet/AspNetCore/commit/e4f78176f9) Regenerate Resources.Designer.cs using the standard tooling.
* [`[d3ad11a753]`](https://github.com/aspnet/AspNetCore/commit/d3ad11a753) #47 Rename Notifications to Events and Contexts.
* [`[0f115f1fda]`](https://github.com/aspnet/AspNetCore/commit/0f115f1fda) #307 Assume notifications are not null.
* [`[4b1f710c39]`](https://github.com/aspnet/AspNetCore/commit/4b1f710c39) #415 Use a cross-platform friendly HttpClient for CoreCLR.
* [`[bc2bce8bd6]`](https://github.com/aspnet/AspNetCore/commit/bc2bce8bd6) Curly's are important
* [`[b1ca5d41d8]`](https://github.com/aspnet/AspNetCore/commit/b1ca5d41d8) Update project.json to have warningsAsErrors accept a bool.
* [`[4fb2053f34]`](https://github.com/aspnet/AspNetCore/commit/4fb2053f34) Update project.json to have warningsAsErrors accept a bool.
* [`[5ec25174ff]`](https://github.com/aspnet/AspNetCore/commit/5ec25174ff) Update project.json to have warningsAsErrors accept a bool.
* [`[64c40addc6]`](https://github.com/aspnet/AspNetCore/commit/64c40addc6) Update project.json to have warningsAsErrors accept a bool.
* [`[a8df52fa7c]`](https://github.com/aspnet/AspNetCore/commit/a8df52fa7c) Update project.json to have warningsAsErrors accept a bool.
* [`[89b97f9479]`](https://github.com/aspnet/AspNetCore/commit/89b97f9479) Update project.json to have warningsAsErrors accept a bool.
* [`[5fb45b3cfb]`](https://github.com/aspnet/AspNetCore/commit/5fb45b3cfb) Update project.json to have warningsAsErrors accept a bool.
* [`[bf6a163f46]`](https://github.com/aspnet/AspNetCore/commit/bf6a163f46) Generalizing type member order rule
* [`[ad5bfc5b66]`](https://github.com/aspnet/AspNetCore/commit/ad5bfc5b66) Change `RazorError`s to consistently provide error lengths.
* [`[7dbe5dfbe4]`](https://github.com/aspnet/AspNetCore/commit/7dbe5dfbe4) Implement HttpContext.RequestAborted
* [`[dd94d54e1d]`](https://github.com/aspnet/AspNetCore/commit/dd94d54e1d) [Fixes #2929] Moving IsLocalUrl implementation to UrlHelper
* [`[a0e0df87de]`](https://github.com/aspnet/AspNetCore/commit/a0e0df87de) [Fixes #3016] Disable response buffering in places where the content is already built/available
* [`[2467cf2ade]`](https://github.com/aspnet/AspNetCore/commit/2467cf2ade) Nested types must be last
* [`[229724c4ea]`](https://github.com/aspnet/AspNetCore/commit/229724c4ea) Reorganize MVC namespaces
* [`[a2e53e8d1a]`](https://github.com/aspnet/AspNetCore/commit/a2e53e8d1a) Explicitly check if URI is file when checking for an absolute URI
* [`[2ee7384400]`](https://github.com/aspnet/AspNetCore/commit/2ee7384400) TestHost: Add WebSocket support.
* [`[c2192d7bd1]`](https://github.com/aspnet/AspNetCore/commit/c2192d7bd1) Change IServerInformation to IFeatureCollection.
* [`[edd17c020e]`](https://github.com/aspnet/AspNetCore/commit/edd17c020e) Enable MusicStore tests to be run
* [`[e717011d9c]`](https://github.com/aspnet/AspNetCore/commit/e717011d9c) Fixup feeds used for branching.
* [`[bcf8a45340]`](https://github.com/aspnet/AspNetCore/commit/bcf8a45340) #413 Rename OAuthBearer to JwtBearer.
* [`[43fce8c927]`](https://github.com/aspnet/AspNetCore/commit/43fce8c927) Adjust tokenizer to understand environment based newlines.
* [`[d9b3ea2a54]`](https://github.com/aspnet/AspNetCore/commit/d9b3ea2a54) Add POST support for OpenID Connect authorization and logout requests
* [`[55fc7ded36]`](https://github.com/aspnet/AspNetCore/commit/55fc7ded36) Don't invoke async state machine unnecessarily
* [`[0603a69b2c]`](https://github.com/aspnet/AspNetCore/commit/0603a69b2c) Convert IServerInformation to IFeatureCollection.
* [`[fa39144937]`](https://github.com/aspnet/AspNetCore/commit/fa39144937) Use automatic properties, replace scope by a list and replace the validators list by a single validator
* [`[98b3f055e1]`](https://github.com/aspnet/AspNetCore/commit/98b3f055e1) Change ModelBinding to use a single pass
* [`[25b5a42ca6]`](https://github.com/aspnet/AspNetCore/commit/25b5a42ca6) #329 Change IServerInformation to IFeatureCollection.
* [`[370475b807]`](https://github.com/aspnet/AspNetCore/commit/370475b807) Use new HttpContext.Features API.
* [`[e1b472ddc4]`](https://github.com/aspnet/AspNetCore/commit/e1b472ddc4) Add ServerAddress tests
* [`[d0bd2b3dd0]`](https://github.com/aspnet/AspNetCore/commit/d0bd2b3dd0) Configure unix pipes via the hostname instead of the scheme.
* [`[8a33972c09]`](https://github.com/aspnet/AspNetCore/commit/8a33972c09) RazorViewEngine should cache transformed paths when view cannot be found Fixes #3034
* [`[e12d44b40a]`](https://github.com/aspnet/AspNetCore/commit/e12d44b40a) [Fixes #2900] Get rid of manual body-read-state-tracking
* [`[6bc7df851f]`](https://github.com/aspnet/AspNetCore/commit/6bc7df851f) Use new HttpContext.Features API.
* [`[06392be333]`](https://github.com/aspnet/AspNetCore/commit/06392be333) Use new HttpContext.Features API.
* [`[916cb32e7e]`](https://github.com/aspnet/AspNetCore/commit/916cb32e7e) Use the new HttpContext.Features API.
* [`[dd737ce946]`](https://github.com/aspnet/AspNetCore/commit/dd737ce946) Use new HttpContext.Features API.
* [`[dadee80aa8]`](https://github.com/aspnet/AspNetCore/commit/dadee80aa8) Add FieldName to model binding context
* [`[0bb77764d3]`](https://github.com/aspnet/AspNetCore/commit/0bb77764d3) Use the new HttpContext.Features API.
* [`[195e06970a]`](https://github.com/aspnet/AspNetCore/commit/195e06970a) Use new HttpContext.Features API.
* [`[adae42b66f]`](https://github.com/aspnet/AspNetCore/commit/adae42b66f) Use new HttpContext.Features API.
* [`[56315c441c]`](https://github.com/aspnet/AspNetCore/commit/56315c441c) Use new HttpContext.Features API.
* [`[f475e53ad2]`](https://github.com/aspnet/AspNetCore/commit/f475e53ad2) #367 Add HttpContext.Features, move Get/SetFeature. Take 1.
* [`[9915ea3809]`](https://github.com/aspnet/AspNetCore/commit/9915ea3809) Enabling ViewEngine and Localization tests which use expanders. The issues are fixed in the mono beta 4.0.4.
* [`[39dda01f47]`](https://github.com/aspnet/AspNetCore/commit/39dda01f47) [Fixes #484] Attributes parsed correctly when newlines precedes attributes
* [`[59b44a4c24]`](https://github.com/aspnet/AspNetCore/commit/59b44a4c24) Move *CommaSeperatedValues APIs from IHeaderDictionary to extension.
* [`[456277fe1d]`](https://github.com/aspnet/AspNetCore/commit/456277fe1d) #361 Introduce StringValues to replace string[] usage.
* [`[e8043f92e5]`](https://github.com/aspnet/AspNetCore/commit/e8043f92e5) Issue #2757 - Adding Order to exception filters so that they are executed in the same order irrespective of the platform.
* [`[4fbaea2463]`](https://github.com/aspnet/AspNetCore/commit/4fbaea2463) [Fixes #2931] AttributeRoute does not replace existing route values with null
* [`[28268ee64b]`](https://github.com/aspnet/AspNetCore/commit/28268ee64b) Fix IStartupFilter complier break in ApplicationServices test.
* [`[15687ab80a]`](https://github.com/aspnet/AspNetCore/commit/15687ab80a) Fix #343 - Avoid going to disk when reading the form
* [`[ddc74e5396]`](https://github.com/aspnet/AspNetCore/commit/ddc74e5396) Issue #2727 - Introducing PhysicalFilePathResult and VirtualFilePathResult instead of FilePathResult to handle app and physical file system paths separately.
* [`[2642c84bf9]`](https://github.com/aspnet/AspNetCore/commit/2642c84bf9) Don't automatically set Content-Length: 0 in some circumstances
* [`[d74e81186b]`](https://github.com/aspnet/AspNetCore/commit/d74e81186b) Use a copy on write list for items in Resource Filters
* [`[581d738732]`](https://github.com/aspnet/AspNetCore/commit/581d738732) Try beta
* [`[0d9d01381c]`](https://github.com/aspnet/AspNetCore/commit/0d9d01381c) Test
* [`[53b72f65f4]`](https://github.com/aspnet/AspNetCore/commit/53b72f65f4) Force mono to specific version.
* [`[6615972162]`](https://github.com/aspnet/AspNetCore/commit/6615972162) Adding System.Text.Encoding to project.json to unblock CI
* [`[69759231ff]`](https://github.com/aspnet/AspNetCore/commit/69759231ff) Set Content-Length: 0 when an AppFunc completes without a write
* [`[cc5c0d6cbe]`](https://github.com/aspnet/AspNetCore/commit/cc5c0d6cbe) Update `HelperResult` to take in an async func.
* [`[3041dee86d]`](https://github.com/aspnet/AspNetCore/commit/3041dee86d) Modify RazorPreCompileModule to use an instance of memory cache specific to the application's target framework and configuration.
* [`[44b45f3b1f]`](https://github.com/aspnet/AspNetCore/commit/44b45f3b1f) Move RazorPreCompileModule.cs to Razor.Precompilation
* [`[d5e27bf546]`](https://github.com/aspnet/AspNetCore/commit/d5e27bf546) #278 Validate the message, not the JWT.
* [`[1bad8ce6d1]`](https://github.com/aspnet/AspNetCore/commit/1bad8ce6d1) Ensure that assembly path is specified in Roslyn MetadataReference.
* [`[55b28abeab]`](https://github.com/aspnet/AspNetCore/commit/55b28abeab) Explicitly set ApplicationServices for HttpContext
* [`[7213b53554]`](https://github.com/aspnet/AspNetCore/commit/7213b53554) #407 OIDC - Fail if the user-info subject does not match
* [`[391797b15d]`](https://github.com/aspnet/AspNetCore/commit/391797b15d) Updating to release AzureAD feed
* [`[583c251f02]`](https://github.com/aspnet/AspNetCore/commit/583c251f02) Updating to release AzureAD feed
* [`[bf7e0f141e]`](https://github.com/aspnet/AspNetCore/commit/bf7e0f141e) Add `IsReferenceOrNullableType` and `UnderlyingOrModelType` to `ModelMetadata` - #2992 - use new properties to replace common helper methods - still a few `Nullable.GetUnderlyingType()` calls   - creating `ModelMetadata` or sites lacking `ModelMetadata` access e.g. `ModelBindingHelper.ConvertTo()`
* [`[0beb39ec1c]`](https://github.com/aspnet/AspNetCore/commit/0beb39ec1c) [Fixes #2947] Default ContentType is not set when user specified Response.ContentType exists
* [`[42343bedee]`](https://github.com/aspnet/AspNetCore/commit/42343bedee) Raise test timeouts.
* [`[92dc38ffd1]`](https://github.com/aspnet/AspNetCore/commit/92dc38ffd1) Missing "commands" from project.json
* [`[a984ea77a8]`](https://github.com/aspnet/AspNetCore/commit/a984ea77a8) Switch over target on which server is open for
* [`[02fefd8b31]`](https://github.com/aspnet/AspNetCore/commit/02fefd8b31) Fix problem with client not connecting on the correct port
* [`[a045324d3a]`](https://github.com/aspnet/AspNetCore/commit/a045324d3a) Do not include compiler-generated names in expression names - #2890 - add lots of `ExpressionHelper` tests using `IdFor()` and `NameFor()` (which are thin veneers)
* [`[86962ab12c]`](https://github.com/aspnet/AspNetCore/commit/86962ab12c) #278 Additional OIDC message validation.
* [`[8babf2b380]`](https://github.com/aspnet/AspNetCore/commit/8babf2b380) Change in-box tag helpers to use `DefaultFrameworkSortOrder` - #2905 - override `Order` implementation inherited from `TagHelper` - only exception is `UrlResolutionTagHelper` which already overrides `Order` to execute much earlier
* [`[d0688a7e00]`](https://github.com/aspnet/AspNetCore/commit/d0688a7e00) Add the ability for `TagHelper`s to exist inside templates.
* [`[acefcff61d]`](https://github.com/aspnet/AspNetCore/commit/acefcff61d) Make work on Xplat CoreCLR
* [`[dbcc5e240a]`](https://github.com/aspnet/AspNetCore/commit/dbcc5e240a) Change `GetHashCode()` for `CaseSensitiveTagHelperDescriptorComparer` to order values.
* [`[4a7ada5f64]`](https://github.com/aspnet/AspNetCore/commit/4a7ada5f64) Make IValueProvider sync, IValueProviderFactory async
* [`[6d365e9a32]`](https://github.com/aspnet/AspNetCore/commit/6d365e9a32) Make ValueProviderResult a string-ish struct
* [`[516a435ea5]`](https://github.com/aspnet/AspNetCore/commit/516a435ea5) Fix #365 - Make IFormFileCollection implmenent IReadOnlyList<T>
* [`[070be7b656]`](https://github.com/aspnet/AspNetCore/commit/070be7b656) Make validation in `TryUpdateModelAsync()` consistent with model binding elsewhere - #2941 - honor `ModelBindingResult.IsModelSet` and use `ModelBindingResult.ValidationNode`   - enable correct validation of collections or after model binding falls back to the empty prefix   - code previously matched `Controller.TryValidateModel()`; less context available in that case
* [`[b5c9d905d9]`](https://github.com/aspnet/AspNetCore/commit/b5c9d905d9) Fix #2986 - Make ModelMetadata getters null-safe
* [`[138bc6a20f]`](https://github.com/aspnet/AspNetCore/commit/138bc6a20f) Added owin.RequestUser
* [`[68eb9646ea]`](https://github.com/aspnet/AspNetCore/commit/68eb9646ea) Added asserts to tests
* [`[55760b4fcb]`](https://github.com/aspnet/AspNetCore/commit/55760b4fcb) Add copy constructor to `TagHelperAttribute`.
* [`[c3e2e6fa0a]`](https://github.com/aspnet/AspNetCore/commit/c3e2e6fa0a) Change Script, Link and Image `TagHelper`s to work better with other `TagHelper`s.
* [`[a17da51256]`](https://github.com/aspnet/AspNetCore/commit/a17da51256) Swap back to nuget.org v2 feed
* [`[79ed51d034]`](https://github.com/aspnet/AspNetCore/commit/79ed51d034) Fix case of image url
* [`[09b1c0fa63]`](https://github.com/aspnet/AspNetCore/commit/09b1c0fa63) [Fixes #167]Error page/handler should reset any buffered data, clear headers, etc.
* [`[417c7d2374]`](https://github.com/aspnet/AspNetCore/commit/417c7d2374) Fix displaying cookie values
* [`[87d53700da]`](https://github.com/aspnet/AspNetCore/commit/87d53700da) Make the GeneratedCode project work on CoreCLR
* [`[e61ebca116]`](https://github.com/aspnet/AspNetCore/commit/e61ebca116) Fix #2996 - Make InnerAttribute logs Verbose
* [`[f1eefdb650]`](https://github.com/aspnet/AspNetCore/commit/f1eefdb650) Enable `CopyHtmlAttribute` to maintain copied attribute order.
* [`[405d105bd7]`](https://github.com/aspnet/AspNetCore/commit/405d105bd7) Update NuGet feed from v2 => v3.
* [`[529be5cf96]`](https://github.com/aspnet/AspNetCore/commit/529be5cf96) Update NuGet feed from v2 => v3.
* [`[a9365e48c2]`](https://github.com/aspnet/AspNetCore/commit/a9365e48c2) Update NuGet feed from v2 => v3.
* [`[332718f672]`](https://github.com/aspnet/AspNetCore/commit/332718f672) Update NuGet feed from v2 => v3.
* [`[693fa2d8b9]`](https://github.com/aspnet/AspNetCore/commit/693fa2d8b9) Update NuGet feed from v2 => v3.
* [`[c4987c109d]`](https://github.com/aspnet/AspNetCore/commit/c4987c109d) Update NuGet feed from v2 => v3.
* [`[e3dcd8218f]`](https://github.com/aspnet/AspNetCore/commit/e3dcd8218f) Update NuGet feed from v2 => v3.
* [`[7cbbbd9b60]`](https://github.com/aspnet/AspNetCore/commit/7cbbbd9b60) Update NuGet feed from v2 => v3.
* [`[d4fe578b6e]`](https://github.com/aspnet/AspNetCore/commit/d4fe578b6e) Update NuGet feed from v2 => v3.
* [`[56988150ae]`](https://github.com/aspnet/AspNetCore/commit/56988150ae) Update NuGet feed from v2 => v3.
* [`[f61a7b64ff]`](https://github.com/aspnet/AspNetCore/commit/f61a7b64ff) Update NuGet feed from v2 => v3.
* [`[5ed1ef9d62]`](https://github.com/aspnet/AspNetCore/commit/5ed1ef9d62) Update NuGet feed from v2 => v3.
* [`[b590c0c7a2]`](https://github.com/aspnet/AspNetCore/commit/b590c0c7a2) Update NuGet feed from v2 => v3.
* [`[5ed77e2b64]`](https://github.com/aspnet/AspNetCore/commit/5ed77e2b64) Update NuGet feed from v2 => v3.
* [`[5b3d7230b3]`](https://github.com/aspnet/AspNetCore/commit/5b3d7230b3) Update NuGet feed from v2 => v3.
* [`[fb56515af8]`](https://github.com/aspnet/AspNetCore/commit/fb56515af8) Update NuGet feed from v2 => v3.
* [`[b871172dd0]`](https://github.com/aspnet/AspNetCore/commit/b871172dd0) Expose locations of `_ViewImports.cshtml` that affect a given Razor file.
* [`[91c0081939]`](https://github.com/aspnet/AspNetCore/commit/91c0081939) Added reference to Microsoft.AspNet.Mvc.Razor so that it's loadable.
* [`[a0879cc37f]`](https://github.com/aspnet/AspNetCore/commit/a0879cc37f) Updating to aspnetlitedev.
* [`[f116b91750]`](https://github.com/aspnet/AspNetCore/commit/f116b91750) Updating to aspnetliterelease.
* [`[523d28e6b6]`](https://github.com/aspnet/AspNetCore/commit/523d28e6b6) Updating to aspnetlitedev.
* [`[c3c3b7791b]`](https://github.com/aspnet/AspNetCore/commit/c3c3b7791b) Updating to aspnetlitedev.
* [`[b57640612a]`](https://github.com/aspnet/AspNetCore/commit/b57640612a) Updating to aspnetliterelease.
* [`[c3825f86c3]`](https://github.com/aspnet/AspNetCore/commit/c3825f86c3) Updating to aspnetliterelease.
* [`[db793c4d48]`](https://github.com/aspnet/AspNetCore/commit/db793c4d48) Updating to aspnetlitedev.
* [`[f57146f3e8]`](https://github.com/aspnet/AspNetCore/commit/f57146f3e8) Updating to aspnetlitedev.
* [`[8982b41640]`](https://github.com/aspnet/AspNetCore/commit/8982b41640) Updating to aspnetliterelease.
* [`[eafd8b4714]`](https://github.com/aspnet/AspNetCore/commit/eafd8b4714) Updating to aspnetliterelease.
* [`[4b748fee1f]`](https://github.com/aspnet/AspNetCore/commit/4b748fee1f) Updating to aspnetliterelease.
* [`[dfd3dd0cb4]`](https://github.com/aspnet/AspNetCore/commit/dfd3dd0cb4) Updating to aspnetlitedev.
* [`[a1bf2ecbc0]`](https://github.com/aspnet/AspNetCore/commit/a1bf2ecbc0) Updating to aspnetlitedev.
* [`[8a19c4e805]`](https://github.com/aspnet/AspNetCore/commit/8a19c4e805) Updating to aspnetlitedev.
* [`[2956633cf3]`](https://github.com/aspnet/AspNetCore/commit/2956633cf3) Updating to aspnetliterelease.
* [`[67407226bc]`](https://github.com/aspnet/AspNetCore/commit/67407226bc) Updating to aspnetlitedev.
* [`[cc82be0b18]`](https://github.com/aspnet/AspNetCore/commit/cc82be0b18) Updating to aspnetlitedev.
* [`[a89c269a06]`](https://github.com/aspnet/AspNetCore/commit/a89c269a06) Updating to aspnetliterelease.
* [`[b5348cff40]`](https://github.com/aspnet/AspNetCore/commit/b5348cff40) Updating to aspnetliterelease.
* [`[a8c4ea2425]`](https://github.com/aspnet/AspNetCore/commit/a8c4ea2425) Updating to aspnetliterelease.
* [`[06551cda3d]`](https://github.com/aspnet/AspNetCore/commit/06551cda3d) Updating to aspnetliterelease.
* [`[59db2da45d]`](https://github.com/aspnet/AspNetCore/commit/59db2da45d) Updating to aspnetlitedev.
* [`[b9dec6acfe]`](https://github.com/aspnet/AspNetCore/commit/b9dec6acfe) Updating to aspnetlitedev.
* [`[5d0ae6f722]`](https://github.com/aspnet/AspNetCore/commit/5d0ae6f722) Updating to aspnetliterelease.
* [`[3480d53e1c]`](https://github.com/aspnet/AspNetCore/commit/3480d53e1c) Updating to aspnetlitedev.
* [`[b360f66326]`](https://github.com/aspnet/AspNetCore/commit/b360f66326) Updating to aspnetlitedev.
* [`[a9fe23a2c6]`](https://github.com/aspnet/AspNetCore/commit/a9fe23a2c6) Updating to aspnetliterelease.
* [`[ef0456183b]`](https://github.com/aspnet/AspNetCore/commit/ef0456183b) Updating to aspnetliterelease.
* [`[aa0f6c37bb]`](https://github.com/aspnet/AspNetCore/commit/aa0f6c37bb) Updating to aspnetlitedev.
* [`[df3168a53a]`](https://github.com/aspnet/AspNetCore/commit/df3168a53a) Updating to aspnetlitedev.
* [`[bbeea8ba4a]`](https://github.com/aspnet/AspNetCore/commit/bbeea8ba4a) Updating to aspnetliterelease.
* [`[86c2d546fa]`](https://github.com/aspnet/AspNetCore/commit/86c2d546fa) Updating to aspnetliterelease.
* [`[8c8392cc6f]`](https://github.com/aspnet/AspNetCore/commit/8c8392cc6f) Updating to aspnetlitedev.
* [`[599f05e134]`](https://github.com/aspnet/AspNetCore/commit/599f05e134) Updating to aspnetliterelease.
* [`[f10a071da3]`](https://github.com/aspnet/AspNetCore/commit/f10a071da3) Preserve `ViewDataDictionary.ModelType` for `Nullable<T>` properties when `Model` is non-`null` - #2539 - reuse `ModelMetadata` and occasionally `ModelExplorer` when `ModelType` is `Nullable<T>`
* [`[48f09d0e8d]`](https://github.com/aspnet/AspNetCore/commit/48f09d0e8d) Do not trounce existing property values that are not bound in `TryUpdateModel` scenarios - #2836
* [`[459b271a44]`](https://github.com/aspnet/AspNetCore/commit/459b271a44) Updating to release NuGet.config.
* [`[e0d60f7549]`](https://github.com/aspnet/AspNetCore/commit/e0d60f7549) Updating to release NuGet.config.
* [`[4b7c990b3e]`](https://github.com/aspnet/AspNetCore/commit/4b7c990b3e) Updating to release NuGet.config.
* [`[6706b60dee]`](https://github.com/aspnet/AspNetCore/commit/6706b60dee) Updating to release NuGet.config.
* [`[17e43d49c2]`](https://github.com/aspnet/AspNetCore/commit/17e43d49c2) Updating to release NuGet.config.
* [`[05b496782a]`](https://github.com/aspnet/AspNetCore/commit/05b496782a) Updating to release NuGet.config.
* [`[c9ca9fee47]`](https://github.com/aspnet/AspNetCore/commit/c9ca9fee47) Updating to release NuGet.config.
* [`[cadf2f8f71]`](https://github.com/aspnet/AspNetCore/commit/cadf2f8f71) Updating to release NuGet.config.
* [`[b47e6ecf28]`](https://github.com/aspnet/AspNetCore/commit/b47e6ecf28) Updating to release NuGet.config.
* [`[d1ecd8e29b]`](https://github.com/aspnet/AspNetCore/commit/d1ecd8e29b) Updating to release NuGet.config.
* [`[ed9cd0ec11]`](https://github.com/aspnet/AspNetCore/commit/ed9cd0ec11) Updating to release NuGet.config.
* [`[113a86d6a3]`](https://github.com/aspnet/AspNetCore/commit/113a86d6a3) Updating to release NuGet.config.
* [`[b6bb7a52a2]`](https://github.com/aspnet/AspNetCore/commit/b6bb7a52a2) Updating to release NuGet.config.
* [`[d45b0a27e9]`](https://github.com/aspnet/AspNetCore/commit/d45b0a27e9) Updating to release NuGet.config.
* [`[7ca6982883]`](https://github.com/aspnet/AspNetCore/commit/7ca6982883) Updating to release NuGet.config.
* [`[17b7e92fc3]`](https://github.com/aspnet/AspNetCore/commit/17b7e92fc3) Updating to release NuGet.config.
* [`[1a29f7f93a]`](https://github.com/aspnet/AspNetCore/commit/1a29f7f93a) Updating to release NuGet.config.
* [`[e5bea0fa1e]`](https://github.com/aspnet/AspNetCore/commit/e5bea0fa1e) Switching to aspnetrelease feed in Universe
* [`[0b8a3e8fcb]`](https://github.com/aspnet/AspNetCore/commit/0b8a3e8fcb) Updating to release NuGet.config
* [`[72ce66a300]`](https://github.com/aspnet/AspNetCore/commit/72ce66a300) Update packages' versions
* [`[e4722b0bef]`](https://github.com/aspnet/AspNetCore/commit/e4722b0bef) Update packages' versions
* [`[9dd9d39bff]`](https://github.com/aspnet/AspNetCore/commit/9dd9d39bff) Update packages' versions
* [`[8735d455f9]`](https://github.com/aspnet/AspNetCore/commit/8735d455f9) Only run Kerberos tests if the machine is joined to the domain.
* [`[9d89a8cac3]`](https://github.com/aspnet/AspNetCore/commit/9d89a8cac3) Homogenize MVC startup code patterns
* [`[e384938425]`](https://github.com/aspnet/AspNetCore/commit/e384938425) Add more event notification data points
* [`[9ade227abb]`](https://github.com/aspnet/AspNetCore/commit/9ade227abb) Implement support for UNIX sockets.
* [`[8e39bf4ffb]`](https://github.com/aspnet/AspNetCore/commit/8e39bf4ffb) Shift 'Development' & 'Production' constants into 'EnvironmentName' class
* [`[62a909d1a7]`](https://github.com/aspnet/AspNetCore/commit/62a909d1a7) Handle broken assembly versions on mono
* [`[cf1355245f]`](https://github.com/aspnet/AspNetCore/commit/cf1355245f) Add `RestrictChildrenAttribute` specific `TagHelperDescriptorFactory` tests.
* [`[465ff9713d]`](https://github.com/aspnet/AspNetCore/commit/465ff9713d) Add ability for `TagHelper`s to specify restricted children.
* [`[27f7f3d437]`](https://github.com/aspnet/AspNetCore/commit/27f7f3d437) Issue #2779 - Normalize newlines to "\r\n" instead of "\n".
* [`[8e046a035b]`](https://github.com/aspnet/AspNetCore/commit/8e046a035b) Enable ResponseFormats_Kestrel_Chunked test
* [`[753d64660d]`](https://github.com/aspnet/AspNetCore/commit/753d64660d) Ignore zero length writes when automatically chunking responses
* [`[3fb33119ee]`](https://github.com/aspnet/AspNetCore/commit/3fb33119ee) Initial non-optimized support for automatically chunking responses
* [`[e73e73acdd]`](https://github.com/aspnet/AspNetCore/commit/e73e73acdd) Add `srcset` to list of application relative resolvable URLs.
* [`[32c4f314b6]`](https://github.com/aspnet/AspNetCore/commit/32c4f314b6) Lock around Connection.End to make it thread-safe
* [`[4f0480a4d0]`](https://github.com/aspnet/AspNetCore/commit/4f0480a4d0) Gracefully handle exceptions thrown from OnStarting callbacks
* [`[6a01043e1a]`](https://github.com/aspnet/AspNetCore/commit/6a01043e1a) Fix ListenerSecondary so it reliably accepts new connections on Windows
* [`[c0cc511b5b]`](https://github.com/aspnet/AspNetCore/commit/c0cc511b5b) Prevent access to closed socket in in Connection.End
* [`[b162202519]`](https://github.com/aspnet/AspNetCore/commit/b162202519) Properly close keep alive connections
* [`[93d07147b2]`](https://github.com/aspnet/AspNetCore/commit/93d07147b2) ViewViewComponentResult doesn't handle `~/` in view paths correctly
* [`[43ebf710ab]`](https://github.com/aspnet/AspNetCore/commit/43ebf710ab) Fix regression in reading config
* [`[4295a57504]`](https://github.com/aspnet/AspNetCore/commit/4295a57504) [Fixes #2817] Support client side validation for all numeric types
* [`[7aa5967cd4]`](https://github.com/aspnet/AspNetCore/commit/7aa5967cd4) Fix #2859 - Correct UrlHelper for special tokens
* [`[21d96eb16a]`](https://github.com/aspnet/AspNetCore/commit/21d96eb16a) Enabled `LinkTagHelper` to be written in the void format.
* [`[1b51f6bca6]`](https://github.com/aspnet/AspNetCore/commit/1b51f6bca6) Enable input, image and url resolution `TagHelper`s to be written as void elements.
* [`[e9292a0e30]`](https://github.com/aspnet/AspNetCore/commit/e9292a0e30) Add ability to write start tag only `TagHelper`  elements.
* [`[a6ce9abab1]`](https://github.com/aspnet/AspNetCore/commit/a6ce9abab1) Fix #2776 - Add implicit [BindRequired] for value type properties
* [`[9a5ebf1497]`](https://github.com/aspnet/AspNetCore/commit/9a5ebf1497) Use NonDisposableStream instead of using MemoryStream.ToArray()
* [`[39ab9badde]`](https://github.com/aspnet/AspNetCore/commit/39ab9badde) Make sure references are readable multiple times
* [`[097fb35ddf]`](https://github.com/aspnet/AspNetCore/commit/097fb35ddf) Fix startup when you reference the assembly directly instead of Hosting
* [`[a3f0ee3330]`](https://github.com/aspnet/AspNetCore/commit/a3f0ee3330) Add a shared dataprotection test for cookies
* [`[ad6e4b838a]`](https://github.com/aspnet/AspNetCore/commit/ad6e4b838a) Goodbye HttpContextAccessor
* [`[8487e42a68]`](https://github.com/aspnet/AspNetCore/commit/8487e42a68) Hello HttpContextAccessor
* [`[3294de14f4]`](https://github.com/aspnet/AspNetCore/commit/3294de14f4) Add DefaultPolicy support for AuthZ
* [`[b883920bef]`](https://github.com/aspnet/AspNetCore/commit/b883920bef) Cookies now always redirects to Login/AccessDenied Paths
* [`[67803d2f41]`](https://github.com/aspnet/AspNetCore/commit/67803d2f41) Challenge now always checks for accept
* [`[0ac3c3dad6]`](https://github.com/aspnet/AspNetCore/commit/0ac3c3dad6) More ConfigureAwait(false)
* [`[83a559c28c]`](https://github.com/aspnet/AspNetCore/commit/83a559c28c) Add `ModelValidationNode`s consistently - #2633 - do not leave `ModelBindingResult.ValidationNode` as `null` when we hit the `null` `RawValue` special case  - move two bits of code together to make the special case more obvious - add `ModelValidationNode` (that suppresses validation) when `HttpRequestMessageModelBinder` is successful  - also suppress validation of `HttpRequestMEssage` properties - suppress validation in `CancellationTokenModelBinder`, `FormCollectionModelBinder`, `FormCollectionModelBinder` - do not create a `ModelValidationNode` when validation fails in `TypeConverterModelBinder`
* [`[d45e2ee3f5]`](https://github.com/aspnet/AspNetCore/commit/d45e2ee3f5) Handle broader range of collection types in model binding - #2793 - add `ICollectionModelBinder`, allowing `GenericModelBinder` to call `CreateEmptyCollection()` - adjust `CollectionModelBinder` and `DictionaryModelBinder` to activate model if default types are incompatible  - do not create default (empty) top-level collection in fallback case if Model already non-`null` - change type checks in `GenericModelBinder` to align with `CollectionModelBinder` capabilities  - add special case for `IEnumerable<T>` - correct `ModelMetadata` of a few tests that previously did not need that information
* [`[168fcbb9c1]`](https://github.com/aspnet/AspNetCore/commit/168fcbb9c1) Replacing BufferedEntryCollection with BufferedHtmlContent so any IHtmlContent can be added to a TagHelperContent. - Introducing a new logic to calculate IsEmpty/IsWhitespace. - Making Buffer private in DefaultTagHelperContent. - Making SetContent non-abstract.
* [`[5ffac92a1d]`](https://github.com/aspnet/AspNetCore/commit/5ffac92a1d) Added wwwroot folder to WelcomePageSample
* [`[a0da6ec19f]`](https://github.com/aspnet/AspNetCore/commit/a0da6ec19f) Add `AddHtmlAttributeValues` for `TagHelper`s.
* [`[4604c807c4]`](https://github.com/aspnet/AspNetCore/commit/4604c807c4) Add ability for unbound complex `TagHelper` attributes to flow through MVC attribute resolution system.
* [`[ff6cbfd7cf]`](https://github.com/aspnet/AspNetCore/commit/ff6cbfd7cf) Make saving TempData operate via a filter
* [`[b5237b29b5]`](https://github.com/aspnet/AspNetCore/commit/b5237b29b5) [Fixes #2896] Made UrlHelper.Content behavior consistent with MVC 5
* [`[94fad918a3]`](https://github.com/aspnet/AspNetCore/commit/94fad918a3) Replace of Add operation (jsonpatch dynamic support)
* [`[28d3b18686]`](https://github.com/aspnet/AspNetCore/commit/28d3b18686) #43 Honor CancellationTokens in GetClientCertificateAsync.
* [`[9d467810b5]`](https://github.com/aspnet/AspNetCore/commit/9d467810b5) Switching to Autofac from NuGet.org
* [`[b2226772e3]`](https://github.com/aspnet/AspNetCore/commit/b2226772e3) Expand timeout in SocketOutputTests due to flakiness on the CI server
* [`[91bbfe949c]`](https://github.com/aspnet/AspNetCore/commit/91bbfe949c) * Cleaning up unused types in Razor precompilation.
* [`[73474132d1]`](https://github.com/aspnet/AspNetCore/commit/73474132d1) Added a target to verify nupkgs with NugetPackageVerifier
* [`[540bcc7950]`](https://github.com/aspnet/AspNetCore/commit/540bcc7950) Clear session on logoff
* [`[152e4ef915]`](https://github.com/aspnet/AspNetCore/commit/152e4ef915) Fix #2874 part 2 - Add AddLocalization() overload for MVC localization.
* [`[7f88a655c9]`](https://github.com/aspnet/AspNetCore/commit/7f88a655c9) Add missing helper tag fallback attr. Closes #520
* [`[fcad4c5c57]`](https://github.com/aspnet/AspNetCore/commit/fcad4c5c57) [Fixes #2841] Support comma separated globbed include and exclude pattern in Script and Link tag helpers
* [`[ed4896d1fd]`](https://github.com/aspnet/AspNetCore/commit/ed4896d1fd) Support `[Display(Name = "")]` on enum values - #2851
* [`[1aef84b50d]`](https://github.com/aspnet/AspNetCore/commit/1aef84b50d) Issue #2745 - ViewHierarchyUtility.GetHierarchicalPath does not handle root paths *nix file systems. Fix: It is not necessary to check for root paths in this place because ViewHierarchyUtility.GetHierarchicalPath is always called with a relative path. Hence removing the check.
* [`[b922d816be]`](https://github.com/aspnet/AspNetCore/commit/b922d816be) Fix aspnet/Mvc#2749 - fail gracefully with non-form content
* [`[9bcecf3994]`](https://github.com/aspnet/AspNetCore/commit/9bcecf3994) Fix #5 - better error message for missing tokens
* [`[5dfca955b3]`](https://github.com/aspnet/AspNetCore/commit/5dfca955b3) Move GeneratedCode project so no NuGet package gets created
* [`[e55bbe179b]`](https://github.com/aspnet/AspNetCore/commit/e55bbe179b) Add feeds for Roslyn
* [`[7dd256f26e]`](https://github.com/aspnet/AspNetCore/commit/7dd256f26e) Add a "dnu restore" prepare step before generating code
* [`[87c5384390]`](https://github.com/aspnet/AspNetCore/commit/87c5384390) Add feeds for Roslyn and CoreFx
* [`[018e803dc1]`](https://github.com/aspnet/AspNetCore/commit/018e803dc1) Removing Autofac dependency \ tests from ControllersFromServicesWebSite
* [`[5d4c684758]`](https://github.com/aspnet/AspNetCore/commit/5d4c684758) Using packages from Autofac nightly feed.
* [`[43e4870fa2]`](https://github.com/aspnet/AspNetCore/commit/43e4870fa2) Switching to the official Autofac package.
* [`[9c3a39123a]`](https://github.com/aspnet/AspNetCore/commit/9c3a39123a) #341 Add HttpReqeuest GetEncodedUrl and GetDecodedUrl extensions.
* [`[80150ec3a6]`](https://github.com/aspnet/AspNetCore/commit/80150ec3a6) Changed SessionSample's registratio of RedisCache service from Transient to Singleton
* [`[e5144e3139]`](https://github.com/aspnet/AspNetCore/commit/e5144e3139) Include Server and Date in the initial response header dictionary
* [`[978dd39924]`](https://github.com/aspnet/AspNetCore/commit/978dd39924) Update the prepare script used to generate code
* [`[7446fe4cc7]`](https://github.com/aspnet/AspNetCore/commit/7446fe4cc7) Update SocketOutputTests to account for the "immediate" Write param
* [`[6ff894bb19]`](https://github.com/aspnet/AspNetCore/commit/6ff894bb19) Using masked byte sequences to recognize well-known header names
* [`[b999b47218]`](https://github.com/aspnet/AspNetCore/commit/b999b47218) String concatination showed up in profiler
* [`[f6dc72544c]`](https://github.com/aspnet/AspNetCore/commit/f6dc72544c) Response headers don't need to be queued before subsequent write
* [`[c0728edda7]`](https://github.com/aspnet/AspNetCore/commit/c0728edda7) Linq .Any() was causing enumeration
* [`[f9cf9f1936]`](https://github.com/aspnet/AspNetCore/commit/f9cf9f1936) Improvements to appending request header
* [`[96b03ee212]`](https://github.com/aspnet/AspNetCore/commit/96b03ee212) Perf - enumerate with struct
* [`[ad089be477]`](https://github.com/aspnet/AspNetCore/commit/ad089be477) Removing "I like pie" diagnostics
* [`[963f086eb0]`](https://github.com/aspnet/AspNetCore/commit/963f086eb0) Prototypeing a fast header dictionary
* [`[0ef68eefc8]`](https://github.com/aspnet/AspNetCore/commit/0ef68eefc8) Added default `UrlResolutionTagHelper` to resolve app relative URLs.
* [`[6d228a62dc]`](https://github.com/aspnet/AspNetCore/commit/6d228a62dc) Added missing `HtmlAttributeNotBound` to `ViewContext` property.
* [`[ac945a0bcf]`](https://github.com/aspnet/AspNetCore/commit/ac945a0bcf) #339 Reduce IFeatureCollection surface area.
* [`[2792f10f9a]`](https://github.com/aspnet/AspNetCore/commit/2792f10f9a) [Fixes #2862] asp-append-version now works with urls containing fragment
* [`[4a9029fc9c]`](https://github.com/aspnet/AspNetCore/commit/4a9029fc9c) Used nameof expression to resolve parameters name
* [`[5d7ec0e2c6]`](https://github.com/aspnet/AspNetCore/commit/5d7ec0e2c6) Changing QueryHelpers.AddQueryString to use Array instead of List.
* [`[68c52adef4]`](https://github.com/aspnet/AspNetCore/commit/68c52adef4) Fix #2837 - Make it easier to get ParameterInfo/PropertyInfo
* [`[a8fd85db1e]`](https://github.com/aspnet/AspNetCore/commit/a8fd85db1e) Add ability to execute child content more than once.
* [`[6da15a65b2]`](https://github.com/aspnet/AspNetCore/commit/6da15a65b2) Additional testing using app funcs that throw exceptions
* [`[4a9515d2e0]`](https://github.com/aspnet/AspNetCore/commit/4a9515d2e0) Gracefully handle uncaught exceptions in user code when possible
* [`[b2289b9a54]`](https://github.com/aspnet/AspNetCore/commit/b2289b9a54) Disable parallel test execution
* [`[84192cb1a9]`](https://github.com/aspnet/AspNetCore/commit/84192cb1a9) Fix the casing of a pacakge reference. It is causing cross plat issues
* [`[e4049c07eb]`](https://github.com/aspnet/AspNetCore/commit/e4049c07eb) Razor boolean and null attribute special case handled correctly  - Issue #2769  - Special case is only applied to null and bool value with no surrounding    whitespace
* [`[ae27f7d321]`](https://github.com/aspnet/AspNetCore/commit/ae27f7d321) Updating InlineRouteParameterParserTests to perform Assert.Equal \ Assert.Collection instead of Assert.Single.
* [`[260ac2939e]`](https://github.com/aspnet/AspNetCore/commit/260ac2939e) Align `TagHelperOutputExtensionsTest.CaseSensitiveTagHelperAttributeComparer` with Razor.Runtime version - was missing `Minimized` comparison
* [`[7120b2ff92]`](https://github.com/aspnet/AspNetCore/commit/7120b2ff92) Removing MvcViewEngineDescriptor and switching to use OptionsSetup to setup RazorViewEngine.
* [`[466c441882]`](https://github.com/aspnet/AspNetCore/commit/466c441882) show how to exit
* [`[322fd0ff92]`](https://github.com/aspnet/AspNetCore/commit/322fd0ff92) Fix namespaces
* [`[47d7f73bdc]`](https://github.com/aspnet/AspNetCore/commit/47d7f73bdc) Fix SocketOutput so that it can now complete large writes
* [`[c345849707]`](https://github.com/aspnet/AspNetCore/commit/c345849707) Don't use QueueUserWorkItem to trigger write callbacks immediately
* [`[74fa82bca7]`](https://github.com/aspnet/AspNetCore/commit/74fa82bca7) Complete WriteAsync Tasks early when there are less than 64KB buffered
* [`[5b06a76367]`](https://github.com/aspnet/AspNetCore/commit/5b06a76367) Add sample that can produce large responses
* [`[d723f9da21]`](https://github.com/aspnet/AspNetCore/commit/d723f9da21) Reduce calls to uv_write by calling it with multiple buffers when possible
* [`[e722f90481]`](https://github.com/aspnet/AspNetCore/commit/e722f90481) Transition `HashCodeCombiner` to use the `aspnet/Common` variation.
* [`[b66da76c5c]`](https://github.com/aspnet/AspNetCore/commit/b66da76c5c) Format project.json's.
* [`[4d0821f953]`](https://github.com/aspnet/AspNetCore/commit/4d0821f953) Transition Razor test comparers to new project.
* [`[bdab4d95fd]`](https://github.com/aspnet/AspNetCore/commit/bdab4d95fd) Using QueryHelpers helps avoid issue #365.
* [`[8d583a4718]`](https://github.com/aspnet/AspNetCore/commit/8d583a4718) [Fixes #157] ErrorPage middleware doesn't show source code lines of Razor files
* [`[a66490c012]`](https://github.com/aspnet/AspNetCore/commit/a66490c012) Format runtime tests project.json.
* [`[5e6e5fec01]`](https://github.com/aspnet/AspNetCore/commit/5e6e5fec01) Adding an IKestralServerInformation.ThreadCount property
* [`[06c8c79a0b]`](https://github.com/aspnet/AspNetCore/commit/06c8c79a0b) Added repository information to Localization project
* [`[10bce6a2ec]`](https://github.com/aspnet/AspNetCore/commit/10bce6a2ec) Constrain the timing on the dispatch test
* [`[5aa94c27f7]`](https://github.com/aspnet/AspNetCore/commit/5aa94c27f7) Update project.json
* [`[baeb3e7962]`](https://github.com/aspnet/AspNetCore/commit/baeb3e7962) Fixing write2.Dispose() to avoid creating closure
* [`[17a846ad8e]`](https://github.com/aspnet/AspNetCore/commit/17a846ad8e) Method not used by descendants
* [`[62ec11be7e]`](https://github.com/aspnet/AspNetCore/commit/62ec11be7e) Adding internal Constants class
* [`[f935567cfd]`](https://github.com/aspnet/AspNetCore/commit/f935567cfd) Read callback status is always 0 for any error and EOF
* [`[b93845be19]`](https://github.com/aspnet/AspNetCore/commit/b93845be19) Removing debug code
* [`[598250a1d8]`](https://github.com/aspnet/AspNetCore/commit/598250a1d8) Fixing pipe name in test
* [`[3ab6f56284]`](https://github.com/aspnet/AspNetCore/commit/3ab6f56284) Fix `DesignTimeDescriptorFactory.CreateDescriptor` call to properly retrieve type from `TypeInfo`.
* [`[3d45602513]`](https://github.com/aspnet/AspNetCore/commit/3d45602513) Catch Accept because of EAGAIN
* [`[42246fd51b]`](https://github.com/aspnet/AspNetCore/commit/42246fd51b) Using named pipes to dispatch connections to multiple threads
* [`[ceeb4edabd]`](https://github.com/aspnet/AspNetCore/commit/ceeb4edabd) Adding UvPipeHandle
* [`[ed9b0f59b5]`](https://github.com/aspnet/AspNetCore/commit/ed9b0f59b5) Updated code to generate resx file only if file names does not have locales
* [`[6e45aecbc6]`](https://github.com/aspnet/AspNetCore/commit/6e45aecbc6) Update KestrelWebSocketHelpers.cs
* [`[e91ce4560f]`](https://github.com/aspnet/AspNetCore/commit/e91ce4560f) Fix #2338 - Add ViewComponentResult
* [`[8fdc275262]`](https://github.com/aspnet/AspNetCore/commit/8fdc275262) Added Localization repo to makefile
* [`[c87dd8d9de]`](https://github.com/aspnet/AspNetCore/commit/c87dd8d9de) Fix EditorBrowsableAttribute detection to apply to individual attributes.
* [`[67474d8cbc]`](https://github.com/aspnet/AspNetCore/commit/67474d8cbc) [Fixes #2382] Use PostElement in Script and Link tag helpers
* [`[5ae6d029ce]`](https://github.com/aspnet/AspNetCore/commit/5ae6d029ce) Update designer file
* [`[bc409abb7d]`](https://github.com/aspnet/AspNetCore/commit/bc409abb7d) Update API usage from Configuration change
* [`[bae442cf48]`](https://github.com/aspnet/AspNetCore/commit/bae442cf48) Fix for #2799 - OOM during TryUpdateModelAsync
* [`[0f20eb9112]`](https://github.com/aspnet/AspNetCore/commit/0f20eb9112) fix xml docs
* [`[c199e5eee1]`](https://github.com/aspnet/AspNetCore/commit/c199e5eee1) Wait on user-defined OnStarting and OnCompleted callbacks
* [`[b9901c3bfe]`](https://github.com/aspnet/AspNetCore/commit/b9901c3bfe) Surface fatal exceptions that stop the event loop
* [`[23ffc3fea9]`](https://github.com/aspnet/AspNetCore/commit/23ffc3fea9) ConfigureAwait(false)
* [`[e69f63e494]`](https://github.com/aspnet/AspNetCore/commit/e69f63e494) ConfigureAwait(false)
* [`[aedd548c3b]`](https://github.com/aspnet/AspNetCore/commit/aedd548c3b) Fix sample perf (Option 1)
* [`[0d78bdbef2]`](https://github.com/aspnet/AspNetCore/commit/0d78bdbef2) Fixed sample and instructions
* [`[191ffe1721]`](https://github.com/aspnet/AspNetCore/commit/191ffe1721) Fix null reference exception
* [`[d8a523a07f]`](https://github.com/aspnet/AspNetCore/commit/d8a523a07f) Added Mvc localization project
* [`[92f3e21fe6]`](https://github.com/aspnet/AspNetCore/commit/92f3e21fe6) Fix: Metadata ignored for non model-specific EditorTemplate Issue - #2778
* [`[14b08da4f3]`](https://github.com/aspnet/AspNetCore/commit/14b08da4f3) Add Microsoft.Data.Sqlite
* [`[6210de95e3]`](https://github.com/aspnet/AspNetCore/commit/6210de95e3) Fix regression from previous commit
* [`[5a2499eb22]`](https://github.com/aspnet/AspNetCore/commit/5a2499eb22) Rename ExternalAuthenticationOptions => Shared
* [`[a6a7903b84]`](https://github.com/aspnet/AspNetCore/commit/a6a7903b84) 2721: Fixing the error message for empty html field name
* [`[73d4440a25]`](https://github.com/aspnet/AspNetCore/commit/73d4440a25) API review: nuke notification namespaces
* [`[6170ac1924]`](https://github.com/aspnet/AspNetCore/commit/6170ac1924) Add an event notification for when the action is invoked
* [`[6b2f1f5e02]`](https://github.com/aspnet/AspNetCore/commit/6b2f1f5e02) Adding AzureAD feed
* [`[f030d8c764]`](https://github.com/aspnet/AspNetCore/commit/f030d8c764) Adding back AzureAD feed
* [`[cde53ffbd5]`](https://github.com/aspnet/AspNetCore/commit/cde53ffbd5) Updating to release NuGet.config
* [`[64fa05dbaf]`](https://github.com/aspnet/AspNetCore/commit/64fa05dbaf) Updating to release NuGet.config
* [`[be3275d4a5]`](https://github.com/aspnet/AspNetCore/commit/be3275d4a5) Updating to release NuGet.config
* [`[c1ea96d1e0]`](https://github.com/aspnet/AspNetCore/commit/c1ea96d1e0) Updating to release NuGet.config
* [`[1817a1d5b8]`](https://github.com/aspnet/AspNetCore/commit/1817a1d5b8) Updating to release NuGet.config
* [`[9c36b2ae4d]`](https://github.com/aspnet/AspNetCore/commit/9c36b2ae4d) Updating to release NuGet.config
* [`[dff40cf93d]`](https://github.com/aspnet/AspNetCore/commit/dff40cf93d) Updating to release NuGet.config
* [`[18519b0612]`](https://github.com/aspnet/AspNetCore/commit/18519b0612) Updating to release NuGet.config
* [`[10c8802750]`](https://github.com/aspnet/AspNetCore/commit/10c8802750) Updating to release NuGet.config
* [`[fe28081c34]`](https://github.com/aspnet/AspNetCore/commit/fe28081c34) Updating to release NuGet.config
* [`[468e64d3ad]`](https://github.com/aspnet/AspNetCore/commit/468e64d3ad) Updating to release NuGet.config
* [`[ad5ab9e76c]`](https://github.com/aspnet/AspNetCore/commit/ad5ab9e76c) Updating to release NuGet.config
* [`[ad4783314f]`](https://github.com/aspnet/AspNetCore/commit/ad4783314f) Updating to release NuGet.config
* [`[4836a561ea]`](https://github.com/aspnet/AspNetCore/commit/4836a561ea) Updating to release NuGet.config
* [`[a3a6a97a96]`](https://github.com/aspnet/AspNetCore/commit/a3a6a97a96) Updating to release NuGet.config
* [`[3c7c191140]`](https://github.com/aspnet/AspNetCore/commit/3c7c191140) Updating to release NuGet.config
* [`[cdcc5ae306]`](https://github.com/aspnet/AspNetCore/commit/cdcc5ae306) Add Serialization.Primitives dependency
* [`[54128e8137]`](https://github.com/aspnet/AspNetCore/commit/54128e8137) Add response_mode=query support for OpenID Connect
* [`[4815e037dd]`](https://github.com/aspnet/AspNetCore/commit/4815e037dd) Added Elm page sample
* [`[7c287c8712]`](https://github.com/aspnet/AspNetCore/commit/7c287c8712) Added logging to ErrorPageMiddleware
* [`[236d4009c3]`](https://github.com/aspnet/AspNetCore/commit/236d4009c3) [Fixes #40] Suppress caching for ErrorHandler
* [`[8c8490fab4]`](https://github.com/aspnet/AspNetCore/commit/8c8490fab4) [Fixes #112] BaseView.ExecuteAsync disposes the response stream
* [`[baee4a0661]`](https://github.com/aspnet/AspNetCore/commit/baee4a0661) [Fixes #2780] Use type=text for float and double
* [`[ab4ba794e5]`](https://github.com/aspnet/AspNetCore/commit/ab4ba794e5) Fix cookie bugs, Authenticate => HandleAuthenticate
* [`[8d7f052cf4]`](https://github.com/aspnet/AspNetCore/commit/8d7f052cf4) Adding support for signing in using "code flow"
* [`[3aaae6964f]`](https://github.com/aspnet/AspNetCore/commit/3aaae6964f) Fix NPE issue where UvShutdownReq being garbage collected before the shutdown callback executed
* [`[0b50bfe03c]`](https://github.com/aspnet/AspNetCore/commit/0b50bfe03c) Move Moq to framework-specific dependencies
* [`[d142160f47]`](https://github.com/aspnet/AspNetCore/commit/d142160f47) OnCompletedDispose => RegisterForDispose
* [`[94dba8ff0e]`](https://github.com/aspnet/AspNetCore/commit/94dba8ff0e) Moved address parsing to ServerAddress
* [`[98995132de]`](https://github.com/aspnet/AspNetCore/commit/98995132de) Pre-create Continue bytes in Frame
* [`[52af452a08]`](https://github.com/aspnet/AspNetCore/commit/52af452a08) Fixing XML docs.
* [`[a02082397a]`](https://github.com/aspnet/AspNetCore/commit/a02082397a) Introducing IHtmlContent in Mvc.Razor. - Changing HtmlHelper and HelperResult to implement IHtmlContent. - Introducing BufferedHtmlContent. - Making RazorPage handle only IHtmlContent and clearing out other types. - Making StringCollectionTextWriter use BufferedHtmlContent so that it can be returned where necessary. - Updating places which involve Write/Copy to pass in encoders. - The encoders are currently not being used during write. But when HtmlString is modified to carry encode metadata, the encoder can be used for writing. This is a perf optimization and hence not a part of this change. - Making TagHelperContent implement IHtmlContent.
* [`[933a13608f]`](https://github.com/aspnet/AspNetCore/commit/933a13608f) Adding fix for 2756 and test cases. Skipping the test cases for 2793.
* [`[6a7cd0f490]`](https://github.com/aspnet/AspNetCore/commit/6a7cd0f490) Making TagHelperContent implement IHtmlContent.
* [`[c9f0a47c0d]`](https://github.com/aspnet/AspNetCore/commit/c9f0a47c0d) Empty challenge for authenticated request should result in Forbidden.
* [`[a7a1ea59bf]`](https://github.com/aspnet/AspNetCore/commit/a7a1ea59bf) #8 re-enable and expand NTLM tests.
* [`[35ee0e3a49]`](https://github.com/aspnet/AspNetCore/commit/35ee0e3a49) Fix for #2739
* [`[25ea93de9e]`](https://github.com/aspnet/AspNetCore/commit/25ea93de9e) Making QueryHelpers.AddQueryString support # in the URL.
* [`[8cb2aae4f5]`](https://github.com/aspnet/AspNetCore/commit/8cb2aae4f5) fixing 2704 -- Rename LanguageViewLocationExpanderOption to LanguageViewLocationExpanderFormat
* [`[24f90cc914]`](https://github.com/aspnet/AspNetCore/commit/24f90cc914) Introducing IHtmlContent - an interface which lets any content define how to write itself.
* [`[28dfa0f0c4]`](https://github.com/aspnet/AspNetCore/commit/28dfa0f0c4) Added SQL Server Cache to the sample.
* [`[c6aa9371c7]`](https://github.com/aspnet/AspNetCore/commit/c6aa9371c7) Updating protocol.extensions package version from beta5 to beta6
* [`[48bfdceea6]`](https://github.com/aspnet/AspNetCore/commit/48bfdceea6) Add basic startup experience for MVC.Core
* [`[46bc7dd219]`](https://github.com/aspnet/AspNetCore/commit/46bc7dd219) Switch to shared security helper
* [`[efc35302e8]`](https://github.com/aspnet/AspNetCore/commit/efc35302e8) Switch to shared security helper
* [`[534becad6b]`](https://github.com/aspnet/AspNetCore/commit/534becad6b) #182 Move StatusCodes from WebUtilities to Http.Abstractions.
* [`[76028af354]`](https://github.com/aspnet/AspNetCore/commit/76028af354) Added wwwroot folder
* [`[545fa9e70a]`](https://github.com/aspnet/AspNetCore/commit/545fa9e70a) Added MIME Types
* [`[e985fa5d42]`](https://github.com/aspnet/AspNetCore/commit/e985fa5d42) Split up MVC.Extensions into smaller packages
* [`[950b8b41a8]`](https://github.com/aspnet/AspNetCore/commit/950b8b41a8) Rename IFilter -> IFilterMetadata
* [`[0670b7ae61]`](https://github.com/aspnet/AspNetCore/commit/0670b7ae61) Ensure all the C# files have copyright notices
* [`[4b66edc4fe]`](https://github.com/aspnet/AspNetCore/commit/4b66edc4fe) Move non-nested classes and interfaces to their own files
* [`[fc2019c973]`](https://github.com/aspnet/AspNetCore/commit/fc2019c973) Modify `TypeConverterModelBinder`'s `ModelBindingResult.IsModelSet` to be false when model value is `null` for non-null accepting types.
* [`[7606c81482]`](https://github.com/aspnet/AspNetCore/commit/7606c81482) Renaming - file case.
* [`[d9b136e20d]`](https://github.com/aspnet/AspNetCore/commit/d9b136e20d) 'Refresh' the session even when its not accessed in current request #41
* [`[77d1b47377]`](https://github.com/aspnet/AspNetCore/commit/77d1b47377) Add repository information to project files
* [`[6438362e0a]`](https://github.com/aspnet/AspNetCore/commit/6438362e0a) Add repository information to project files
* [`[2981bb281b]`](https://github.com/aspnet/AspNetCore/commit/2981bb281b) Add repository information to project files
* [`[5531b21d94]`](https://github.com/aspnet/AspNetCore/commit/5531b21d94) Add repository information to project files
* [`[0d71421c05]`](https://github.com/aspnet/AspNetCore/commit/0d71421c05) Add repository information to project files
* [`[f135b7d8dd]`](https://github.com/aspnet/AspNetCore/commit/f135b7d8dd) Add repository information to project files
* [`[f2e1f28908]`](https://github.com/aspnet/AspNetCore/commit/f2e1f28908) Add repository information to project files
* [`[c2952f26fa]`](https://github.com/aspnet/AspNetCore/commit/c2952f26fa) Add repository information to project files
* [`[fd038b7b91]`](https://github.com/aspnet/AspNetCore/commit/fd038b7b91) Add repository information to project files
* [`[bbbd0d9f35]`](https://github.com/aspnet/AspNetCore/commit/bbbd0d9f35) Add repository information to project files
* [`[430c55440b]`](https://github.com/aspnet/AspNetCore/commit/430c55440b) Add repository information to project files
* [`[4cbc9ace9c]`](https://github.com/aspnet/AspNetCore/commit/4cbc9ace9c) Add repository information to project files
* [`[e332375f0e]`](https://github.com/aspnet/AspNetCore/commit/e332375f0e) Add repository information to project files
* [`[c53dba25c8]`](https://github.com/aspnet/AspNetCore/commit/c53dba25c8) Add repository information to project files
* [`[62f5d79df2]`](https://github.com/aspnet/AspNetCore/commit/62f5d79df2) Reenable social tests
* [`[61bbe4cf52]`](https://github.com/aspnet/AspNetCore/commit/61bbe4cf52) Set user in OAuthContext
* [`[856f510168]`](https://github.com/aspnet/AspNetCore/commit/856f510168) Add missed file
* [`[9bb8b61146]`](https://github.com/aspnet/AspNetCore/commit/9bb8b61146) Revisit OAuthAuthenticationHandler and add a new SaveTokensAsClaims option
* [`[6e67b1c9b1]`](https://github.com/aspnet/AspNetCore/commit/6e67b1c9b1) Delete dead file
* [`[00b5cdc4a2]`](https://github.com/aspnet/AspNetCore/commit/00b5cdc4a2) #212 Check for duplicate Configure or ConfigureServices methods.
* [`[b9f152ebb1]`](https://github.com/aspnet/AspNetCore/commit/b9f152ebb1) Cookie fixes
* [`[2b5785c2c6]`](https://github.com/aspnet/AspNetCore/commit/2b5785c2c6) #131 Handle behavioral challenges (403 vs 401).
* [`[69d8e52bf9]`](https://github.com/aspnet/AspNetCore/commit/69d8e52bf9) Add support for get-only indexer properties - #399 - move invalid `HtmlAttributeNameAttribute.Name` checking to `TagHelperDescriptorFactory` - add a few new error cases  - but does not cover all the new error cases e.g. `[HtmlAttributeName(...)]` on a get-only `int` property
* [`[04cf85d9fa]`](https://github.com/aspnet/AspNetCore/commit/04cf85d9fa) Skipped test temporarily
* [`[1f480386f4]`](https://github.com/aspnet/AspNetCore/commit/1f480386f4) Making CreateCodeWriter protected so that it can be overridden in Mvc.
* [`[d2d4d1d1d3]`](https://github.com/aspnet/AspNetCore/commit/d2d4d1d1d3) [Fixes #2715] Using default SerializerSettings from MvcJsonOptions
* [`[85be731e2b]`](https://github.com/aspnet/AspNetCore/commit/85be731e2b) Add OutputElementHintAttribute to control design time IntelliSense for TagHelpers.
* [`[d7ce42dacc]`](https://github.com/aspnet/AspNetCore/commit/d7ce42dacc) Handle null in ticket serializer
* [`[6213354b85]`](https://github.com/aspnet/AspNetCore/commit/6213354b85) Fixes for FileVersionProvider  - Path with query string works  - No exception is thrown for absolute path
* [`[081eb5e255]`](https://github.com/aspnet/AspNetCore/commit/081eb5e255) Add missing doc for 'SessionOptions'
* [`[bd2025c561]`](https://github.com/aspnet/AspNetCore/commit/bd2025c561) Change nuget-resilient-publish to allow specifying a path to nuget.exe.
* [`[f65ad82c6b]`](https://github.com/aspnet/AspNetCore/commit/f65ad82c6b) use the factory method to create RNG
* [`[1c50ec7166]`](https://github.com/aspnet/AspNetCore/commit/1c50ec7166) clean-up
* [`[bf6e293bfe]`](https://github.com/aspnet/AspNetCore/commit/bf6e293bfe) Simplify server loader logic
* [`[cc1b0c36ac]`](https://github.com/aspnet/AspNetCore/commit/cc1b0c36ac) fix #26 by using RNGCryptoServiceProvider on net45
* [`[78cf7f99ff]`](https://github.com/aspnet/AspNetCore/commit/78cf7f99ff) Fix base path issue with OAuthHandler
* [`[93490c4750]`](https://github.com/aspnet/AspNetCore/commit/93490c4750) SessionMiddleware docs
* [`[4d5604690d]`](https://github.com/aspnet/AspNetCore/commit/4d5604690d) Add or update sample `readme.md` files - #2731
* [`[102f113e2b]`](https://github.com/aspnet/AspNetCore/commit/102f113e2b) Replace INonceCache by IDistributedCache
* [`[40719b37f6]`](https://github.com/aspnet/AspNetCore/commit/40719b37f6) #177 Enable Copy to return non-read-only.
* [`[6ae37717e8]`](https://github.com/aspnet/AspNetCore/commit/6ae37717e8) Delete super dead code
* [`[19d026268b]`](https://github.com/aspnet/AspNetCore/commit/19d026268b) Move Correlation stuff to OAuthHandler
* [`[1ae4c24a5f]`](https://github.com/aspnet/AspNetCore/commit/1ae4c24a5f) PR fixes
* [`[e6afe46edc]`](https://github.com/aspnet/AspNetCore/commit/e6afe46edc) SessionServiceCollection docs
* [`[0b72d43cfa]`](https://github.com/aspnet/AspNetCore/commit/0b72d43cfa) Make test happy for now
* [`[83f7a4423f]`](https://github.com/aspnet/AspNetCore/commit/83f7a4423f) undo test fix
* [`[3a8ea672ea]`](https://github.com/aspnet/AspNetCore/commit/3a8ea672ea) AuthN and AuthZ API changes (Async, Challenge)
* [`[5fe8037281]`](https://github.com/aspnet/AspNetCore/commit/5fe8037281) Auth API changes (Async, ChallengeBehavior)
* [`[9e68537649]`](https://github.com/aspnet/AspNetCore/commit/9e68537649) Add Minimal sample to Mvc.sln
* [`[308eddc095]`](https://github.com/aspnet/AspNetCore/commit/308eddc095) Quick fix: Do not check a platform-specific message
* [`[ccf8433f27]`](https://github.com/aspnet/AspNetCore/commit/ccf8433f27) Add TagHelper documentation resolution to TagHelperDescriptorResolver.
* [`[2f554c4b29]`](https://github.com/aspnet/AspNetCore/commit/2f554c4b29) Use new antiforgery package
* [`[641a7fb82b]`](https://github.com/aspnet/AspNetCore/commit/641a7fb82b) Correct exception type.
* [`[eb423e57d6]`](https://github.com/aspnet/AspNetCore/commit/eb423e57d6) Using 'nameof' operator instead of magic strings
* [`[08068a85be]`](https://github.com/aspnet/AspNetCore/commit/08068a85be) Make use of concise 'TryAdd***' overloads where possible
* [`[0bb9457fd9]`](https://github.com/aspnet/AspNetCore/commit/0bb9457fd9) Change duplicate TagHelper bound attributes to flow to output.
* [`[039062c5eb]`](https://github.com/aspnet/AspNetCore/commit/039062c5eb) Fix C# design time projections for complex TagHelper attributes.
* [`[bbc7393d22]`](https://github.com/aspnet/AspNetCore/commit/bbc7393d22) Fix docs in 'SessionOptions'
* [`[652d885402]`](https://github.com/aspnet/AspNetCore/commit/652d885402) #177 Immutable HeaderValue objects.
* [`[9ce60218c1]`](https://github.com/aspnet/AspNetCore/commit/9ce60218c1) Make 'SessionDefaults' fields as Constants
* [`[f055618c8c]`](https://github.com/aspnet/AspNetCore/commit/f055618c8c) Update MVC Enumerable service registrations
* [`[b3e92da7d8]`](https://github.com/aspnet/AspNetCore/commit/b3e92da7d8) Add an IAntiforgery interface and simplify API
* [`[09838fb45a]`](https://github.com/aspnet/AspNetCore/commit/09838fb45a) Fixing Tests
* [`[715a0b6021]`](https://github.com/aspnet/AspNetCore/commit/715a0b6021) Add `ModelState` entries for greedy and type-matching model binders - part II of II for #2445 - `FormCollectionModelBinder` is an exception because container is not user-provided  - no `ModelState` entry added - enable tests that #2445 was blocking  - fix these and other tests expecting different `ModelState` entries - simplify logic in `FormFileModelBinder`
* [`[b1ade8f2cf]`](https://github.com/aspnet/AspNetCore/commit/b1ade8f2cf) Add single csv values so that there is a single response header added per value.
* [`[ee8baab1ed]`](https://github.com/aspnet/AspNetCore/commit/ee8baab1ed) Nuke RequestServicesContainer (inline instead)
* [`[6471ef34a7]`](https://github.com/aspnet/AspNetCore/commit/6471ef34a7) Add Antiforgery to repo list
* [`[9eeb1de68f]`](https://github.com/aspnet/AspNetCore/commit/9eeb1de68f) Use DI for all Antiforgery services
* [`[38f70a02f7]`](https://github.com/aspnet/AspNetCore/commit/38f70a02f7) #125 Add a Hosting dependency and Program.Main.
* [`[4a4b8ec87e]`](https://github.com/aspnet/AspNetCore/commit/4a4b8ec87e) Made JsonOutputFormatter consistent with JsonInputFormatter
* [`[1abb33d4bc]`](https://github.com/aspnet/AspNetCore/commit/1abb33d4bc) Adding a couple mono tests back in
* [`[3930ab639b]`](https://github.com/aspnet/AspNetCore/commit/3930ab639b) Using 'nameof' operator instead of magic strings
* [`[98f8bf6fd3]`](https://github.com/aspnet/AspNetCore/commit/98f8bf6fd3) #296 Keep the process alive long enough to shutdown gracefully.
* [`[44a58ff1b9]`](https://github.com/aspnet/AspNetCore/commit/44a58ff1b9) Using 'nameof' operator instead of magic strings
* [`[3b29dbdd98]`](https://github.com/aspnet/AspNetCore/commit/3b29dbdd98) Fix old way of getting Migrator
* [`[b135a9d53b]`](https://github.com/aspnet/AspNetCore/commit/b135a9d53b) [Fixes #188] Added support for AppendTrailingSlash in RouteOptions
* [`[791ec1a016]`](https://github.com/aspnet/AspNetCore/commit/791ec1a016) Use ApplyMigrations extension method
* [`[28d2d2e5d7]`](https://github.com/aspnet/AspNetCore/commit/28d2d2e5d7) Add using directive
* [`[797e1287e3]`](https://github.com/aspnet/AspNetCore/commit/797e1287e3) Using [NotNull]
* [`[7fcbefc86f]`](https://github.com/aspnet/AspNetCore/commit/7fcbefc86f) Using 'nameof' operator instead of magic strings
* [`[3b5472b350]`](https://github.com/aspnet/AspNetCore/commit/3b5472b350) Add AzureAD
* [`[29098d6383]`](https://github.com/aspnet/AspNetCore/commit/29098d6383) Fix UvLoopHandle.ReleaseHandle on linux
* [`[b245996949]`](https://github.com/aspnet/AspNetCore/commit/b245996949) [Fixes #2700] Added HttpHeadAttribute
* [`[cd74c3acd3]`](https://github.com/aspnet/AspNetCore/commit/cd74c3acd3) Stop using GenerateValueOnAdd.
* [`[7f63665607]`](https://github.com/aspnet/AspNetCore/commit/7f63665607) Stop using GenerateValueOnAdd.
* [`[8b5931d758]`](https://github.com/aspnet/AspNetCore/commit/8b5931d758) Add `Encode()` and `Raw()` overrides to `IHtmlHelper<TModel>` - #2392 - `dynamic` does not work correctly when inherited from a base `interface`
* [`[cdf8072c83]`](https://github.com/aspnet/AspNetCore/commit/cdf8072c83) #127 Target net451 and use Marshal.SizeOf<T>.
* [`[7172608722]`](https://github.com/aspnet/AspNetCore/commit/7172608722) Using LogVerbose instead of LogInformation
* [`[736e6bee2b]`](https://github.com/aspnet/AspNetCore/commit/736e6bee2b) #233 Create the wwwroot directory if it doesn't exist.
* [`[1592459a0b]`](https://github.com/aspnet/AspNetCore/commit/1592459a0b) Dispose Listeners if they fail to start
* [`[a992c78548]`](https://github.com/aspnet/AspNetCore/commit/a992c78548) Dispatch user defined callback so it can't block the event loop
* [`[adc0310491]`](https://github.com/aspnet/AspNetCore/commit/adc0310491) Ensure all handles still get released after graceful shutdown
* [`[31057f65bc]`](https://github.com/aspnet/AspNetCore/commit/31057f65bc) Gracefully shutdown even when there are open connections
* [`[296ec7736e]`](https://github.com/aspnet/AspNetCore/commit/296ec7736e) Go one less step when resolving `[ModelMetadataType]` - #2610 - make MVC 6's attribute consistent with data annotation's `[MetadataType]`, used in MVC 5
* [`[5c6a53c491]`](https://github.com/aspnet/AspNetCore/commit/5c6a53c491) Dispose Listeners if they fail to start
* [`[7e125faa73]`](https://github.com/aspnet/AspNetCore/commit/7e125faa73) Dispatch user defined callback so it can't block the event loop
* [`[a79b05bf24]`](https://github.com/aspnet/AspNetCore/commit/a79b05bf24) #320 Rename OnSendingHeaders to OnResponseStarting and HeadersSent to HasStarted.
* [`[106edf8c86]`](https://github.com/aspnet/AspNetCore/commit/106edf8c86) Ensure all handles still get released after graceful shutdown
* [`[20f2219886]`](https://github.com/aspnet/AspNetCore/commit/20f2219886) #121 Enable kernel mode response caching.
* [`[faaba481e8]`](https://github.com/aspnet/AspNetCore/commit/faaba481e8) Adding an 'AddMinimalMvc()' for Mvc.Core and sample
* [`[a665e48826]`](https://github.com/aspnet/AspNetCore/commit/a665e48826) A new pattern for adding multi-registration services
* [`[0861612779]`](https://github.com/aspnet/AspNetCore/commit/0861612779) A new pattern for adding multi-registration services
* [`[bc98fcbce4]`](https://github.com/aspnet/AspNetCore/commit/bc98fcbce4) Add Antiforgery repo.
* [`[b43e5940e5]`](https://github.com/aspnet/AspNetCore/commit/b43e5940e5) Gracefully shutdown even when there are open connections
* [`[1f9a451e2f]`](https://github.com/aspnet/AspNetCore/commit/1f9a451e2f) Using 'nameof' operator instead of margic strings
* [`[e632831c09]`](https://github.com/aspnet/AspNetCore/commit/e632831c09) Using [NotNull]
* [`[208fa4af36]`](https://github.com/aspnet/AspNetCore/commit/208fa4af36) Using 'nameof' operator instead of magic strings
* [`[a3c593bda9]`](https://github.com/aspnet/AspNetCore/commit/a3c593bda9) [Fixes #2409] Return EmptyResult for void actions
* [`[40cfc238fe]`](https://github.com/aspnet/AspNetCore/commit/40cfc238fe) Use nameof operator
* [`[b474ef9b23]`](https://github.com/aspnet/AspNetCore/commit/b474ef9b23) Add sample of using Antiforgery outside of MVC
* [`[ddbd603653]`](https://github.com/aspnet/AspNetCore/commit/ddbd603653) Enable instrumentation for TagHelpers.
* [`[355a2b0a78]`](https://github.com/aspnet/AspNetCore/commit/355a2b0a78) Add an IServiceCollection extensions
* [`[e789e82d3d]`](https://github.com/aspnet/AspNetCore/commit/e789e82d3d) Add package description
* [`[3dc2663c35]`](https://github.com/aspnet/AspNetCore/commit/3dc2663c35) Code dump of Antiforgery code
* [`[a1df1702e5]`](https://github.com/aspnet/AspNetCore/commit/a1df1702e5) Add support for C# 6 exception filters.
* [`[68ee820b5d]`](https://github.com/aspnet/AspNetCore/commit/68ee820b5d) Create CONTRIBUTING.md
* [`[37d1881dad]`](https://github.com/aspnet/AspNetCore/commit/37d1881dad) [Fixes #2609] Support for binding all integer types to enums
* [`[a679e87a9b]`](https://github.com/aspnet/AspNetCore/commit/a679e87a9b) Split Mvc.Core
* [`[03571cc27b]`](https://github.com/aspnet/AspNetCore/commit/03571cc27b) Event Notification for MVC Prototype
* [`[a452b10ba4]`](https://github.com/aspnet/AspNetCore/commit/a452b10ba4) Fix #2278 - Only activate public properties
* [`[f5cabf2029]`](https://github.com/aspnet/AspNetCore/commit/f5cabf2029) [Fixes #2564] Support comma separated string include in BindAttribute
* [`[eba352166d]`](https://github.com/aspnet/AspNetCore/commit/eba352166d) [Fixes #2609] Support comma separated string include in BindAttribute
* [`[4366bbb81d]`](https://github.com/aspnet/AspNetCore/commit/4366bbb81d) Changing the feed for AzureAD to nightly
* [`[74b193b15d]`](https://github.com/aspnet/AspNetCore/commit/74b193b15d) Added configurable option for LanguageViewLocationExpander to use subfolder or suffix
* [`[67d0bf880a]`](https://github.com/aspnet/AspNetCore/commit/67d0bf880a) Fixing 2340: ModelMetadata should recompute localizable properties.
* [`[3c044fb92e]`](https://github.com/aspnet/AspNetCore/commit/3c044fb92e) #120 Implement response buffering.
* [`[2c3544c348]`](https://github.com/aspnet/AspNetCore/commit/2c3544c348) Add project structure
* [`[261975b0bc]`](https://github.com/aspnet/AspNetCore/commit/261975b0bc) Rename `MvcTagHelpersWebSite` to `HtmlGenerationsWebSite` - name was too specific and I am about to add another HTML helper scenario
* [`[c6230f5de2]`](https://github.com/aspnet/AspNetCore/commit/c6230f5de2) Fix invalid challenge in CookieAuthenticationHandler.ApplyResponseChallenge
* [`[bd035714d0]`](https://github.com/aspnet/AspNetCore/commit/bd035714d0) [Fixes #2648]: Fix registration of MVC services
* [`[b0b4ac4f3f]`](https://github.com/aspnet/AspNetCore/commit/b0b4ac4f3f) Enable TagHelper attributes to render in the order they were originally.
* [`[430c903f65]`](https://github.com/aspnet/AspNetCore/commit/430c903f65) Add System.IO to framework assemblies
* [`[c1f4bfedab]`](https://github.com/aspnet/AspNetCore/commit/c1f4bfedab) [Fixes #2648]: Fix registration of MVC services
* [`[6407a1672d]`](https://github.com/aspnet/AspNetCore/commit/6407a1672d) Session API review changes.
* [`[dab08ba7e9]`](https://github.com/aspnet/AspNetCore/commit/dab08ba7e9) Session api review changes
* [`[6f935f8e28]`](https://github.com/aspnet/AspNetCore/commit/6f935f8e28) Updating to dev Azure AD feed
* [`[0b214a0e77]`](https://github.com/aspnet/AspNetCore/commit/0b214a0e77) * Changing IdentityModel package versions to beta5 * Updating NuGet.config to pick up packages from AzureAD feed.
* [`[664d718398]`](https://github.com/aspnet/AspNetCore/commit/664d718398) Add `Quiet` default to enable conditionalizing `Log.Info()` calls - use in new `_copy.shade` which overrides the Sake default
* [`[ffd1dc1fb0]`](https://github.com/aspnet/AspNetCore/commit/ffd1dc1fb0) Add support for generating baseline output files while testing - baselines include both expected output and design-time line mappings - controlled by GENERATE_BASELINES  - assertions related to file content are not checked in this mode - add design-time test of Basic.cshtml to `MvcRazorHostTest` - regenerate all files to avoid BOM and blank line noise in future PRs  - update out-of-date design-time Basic.cs file
* [`[386562c269]`](https://github.com/aspnet/AspNetCore/commit/386562c269) Enabling test for 2447, CancellationToken does not gets validated.
* [`[e31eab0391]`](https://github.com/aspnet/AspNetCore/commit/e31eab0391) `ByteArrayModelBinder` should return `null` only when type is not matched - #2456 - visible behaviours now match MVC 5 - prevent `CollectionModelBinder` from converting no value to `byte[0]` - prevent `TypeConverterModelBinder` from converting empty value to `byte[] { '\0' }`
* [`[113d80c6f5]`](https://github.com/aspnet/AspNetCore/commit/113d80c6f5) Ensure `CodeVisitor`s consistenctly find tag helpers - #412 - fix `CSharpTagHelperRunnerInitializationVisitor` and `CSharpUsingVisitor` - fix existing test of the tag helper in a section scenario
* [`[e0b8532735]`](https://github.com/aspnet/AspNetCore/commit/e0b8532735) Update names and spacing of some missed ChunkTree renames.
* [`[ed339a35d2]`](https://github.com/aspnet/AspNetCore/commit/ed339a35d2) Made container verison volatile
* [`[70b56f157c]`](https://github.com/aspnet/AspNetCore/commit/70b56f157c) Updated the ResponseCacheFilter class to store a reference to the CacheProfile passed into the contructor
* [`[4f419eee55]`](https://github.com/aspnet/AspNetCore/commit/4f419eee55) Removing creating ModelValidationNode by default in CompositeModelBinder. This moves the responsibility of of MVN creation to individual model binders if they want the individual models to be validated.
* [`[3fe0490b99]`](https://github.com/aspnet/AspNetCore/commit/3fe0490b99) Renamed FileVersion to AppendVersion in tag helpers that support cache busting
* [`[5df9b52afe]`](https://github.com/aspnet/AspNetCore/commit/5df9b52afe) Renamed and moved several Razor classes for clarity.
* [`[6d6acf0056]`](https://github.com/aspnet/AspNetCore/commit/6d6acf0056) Updating to release NuGet.config
* [`[f8065ab693]`](https://github.com/aspnet/AspNetCore/commit/f8065ab693) Updating to release NuGet.config
* [`[48cdaebd71]`](https://github.com/aspnet/AspNetCore/commit/48cdaebd71) Updating to release NuGet.config
* [`[b7db5b2fbe]`](https://github.com/aspnet/AspNetCore/commit/b7db5b2fbe) Updating to release NuGet.config
* [`[3418116a9c]`](https://github.com/aspnet/AspNetCore/commit/3418116a9c) Updating to release NuGet.config
* [`[e1ab7a69b4]`](https://github.com/aspnet/AspNetCore/commit/e1ab7a69b4) Updating to release NuGet.config
* [`[8956f365aa]`](https://github.com/aspnet/AspNetCore/commit/8956f365aa) Updating to release NuGet.config
* [`[36b82b043d]`](https://github.com/aspnet/AspNetCore/commit/36b82b043d) Updating to release NuGet.config
* [`[2212bfa6be]`](https://github.com/aspnet/AspNetCore/commit/2212bfa6be) Updating to release NuGet.config
* [`[bd1e7d2667]`](https://github.com/aspnet/AspNetCore/commit/bd1e7d2667) Updating to release NuGet.config
* [`[8ff0214b73]`](https://github.com/aspnet/AspNetCore/commit/8ff0214b73) Updating to release NuGet.config
* [`[cb0cde61aa]`](https://github.com/aspnet/AspNetCore/commit/cb0cde61aa) Updating to release NuGet.config
* [`[fd07e666e4]`](https://github.com/aspnet/AspNetCore/commit/fd07e666e4) Updating to release NuGet.config
* [`[9cd9b6a48d]`](https://github.com/aspnet/AspNetCore/commit/9cd9b6a48d) Updating to release NuGet.config
* [`[7bedbdfbab]`](https://github.com/aspnet/AspNetCore/commit/7bedbdfbab) Updating to release NuGet.config
* [`[eeff9da879]`](https://github.com/aspnet/AspNetCore/commit/eeff9da879) Updating to release NuGet.config
* [`[116593f091]`](https://github.com/aspnet/AspNetCore/commit/116593f091) Fixed test
* [`[146cf8e095]`](https://github.com/aspnet/AspNetCore/commit/146cf8e095) Fixed test
* [`[a80b5b4f3d]`](https://github.com/aspnet/AspNetCore/commit/a80b5b4f3d) Disabled two tests failing on Mono
* [`[e54d088c46]`](https://github.com/aspnet/AspNetCore/commit/e54d088c46) Fix issue with 401->403 not working with AutomaticAuthentication
* [`[8f38650d1f]`](https://github.com/aspnet/AspNetCore/commit/8f38650d1f) Fix #1579 - Bind top-level collections as an empty collection
* [`[b64fd7ae39]`](https://github.com/aspnet/AspNetCore/commit/b64fd7ae39) Fix #2407 - Add back the implicit [Required] for value types
* [`[d2f041def9]`](https://github.com/aspnet/AspNetCore/commit/d2f041def9) Fixed test
* [`[e689863461]`](https://github.com/aspnet/AspNetCore/commit/e689863461) Add required attributes to AnchorTagHelper and FormTagHelper.
* [`[0e61b49881]`](https://github.com/aspnet/AspNetCore/commit/0e61b49881) Add support for '*' at the end of required attributes.
* [`[e771141eb8]`](https://github.com/aspnet/AspNetCore/commit/e771141eb8) Replacing rimraf in target-dir-clean with non-node.js based solution
* [`[eb182fdafd]`](https://github.com/aspnet/AspNetCore/commit/eb182fdafd) Fixed dependencies
* [`[1879ac6427]`](https://github.com/aspnet/AspNetCore/commit/1879ac6427) Add support for static usings.
* [`[ef0be7ca75]`](https://github.com/aspnet/AspNetCore/commit/ef0be7ca75) ASP.NET vNext -> ASP.NET 5
* [`[2168176149]`](https://github.com/aspnet/AspNetCore/commit/2168176149) #276 #277 Fix ini loading, read location from command line.
* [`[aaa14cd36b]`](https://github.com/aspnet/AspNetCore/commit/aaa14cd36b) More bug fix for #379
* [`[69849cc37c]`](https://github.com/aspnet/AspNetCore/commit/69849cc37c) #311 Move UseMiddleware to Http.Abstractions.
* [`[0e296283f9]`](https://github.com/aspnet/AspNetCore/commit/0e296283f9) Address a round of nits - clean up trailing curly braces (Java style)  - affected lots of files touched for #89 fix - a couple of trailing whitespace removals
* [`[47577fd936]`](https://github.com/aspnet/AspNetCore/commit/47577fd936) [Fixes #379] Ignoring whitespace at the end of text tag
* [`[58c0a36200]`](https://github.com/aspnet/AspNetCore/commit/58c0a36200) Add support for null conditional operators in implicit expressions.
* [`[fa56df93c3]`](https://github.com/aspnet/AspNetCore/commit/fa56df93c3) Fix #2407 - Part 1 - Make model binding behavior for [Required] compatible with MVC5.
* [`[16bb0df055]`](https://github.com/aspnet/AspNetCore/commit/16bb0df055) Replacing `directory delete` with `rimraf` in the `target-dir-clean` target
* [`[b25bf01158]`](https://github.com/aspnet/AspNetCore/commit/b25bf01158) Add TagHelper support for unbound data- attributes.
* [`[48e0b3261c]`](https://github.com/aspnet/AspNetCore/commit/48e0b3261c) [Fixes #2547] Fixed attribute value prefix with dynamic content being ignored
* [`[f8fa1eef0f]`](https://github.com/aspnet/AspNetCore/commit/f8fa1eef0f) Adding support to pin version and tag prerelease
* [`[281c42ba1c]`](https://github.com/aspnet/AspNetCore/commit/281c42ba1c) Don't run tests using bin/debug/app/project.json files
* [`[179bdbf903]`](https://github.com/aspnet/AspNetCore/commit/179bdbf903) #82 Implement ITlsTokenBindingFeature.
* [`[b2d34bfb6b]`](https://github.com/aspnet/AspNetCore/commit/b2d34bfb6b) Disabling tests to unblock CI
* [`[ac1e0aeee3]`](https://github.com/aspnet/AspNetCore/commit/ac1e0aeee3) Fixed remaining refs
* [`[83a8fd136f]`](https://github.com/aspnet/AspNetCore/commit/83a8fd136f) Fix tabs
* [`[7ae1941c83]`](https://github.com/aspnet/AspNetCore/commit/7ae1941c83) Enable additional WebListener response tests.
* [`[2681e8b3d1]`](https://github.com/aspnet/AspNetCore/commit/2681e8b3d1) #112, #113 Sort out default response modes, allow manual chunking.
* [`[0e87d989d7]`](https://github.com/aspnet/AspNetCore/commit/0e87d989d7) #272 Make HostingEnvironment default to Production.
* [`[5b851c49a3]`](https://github.com/aspnet/AspNetCore/commit/5b851c49a3) Throw when ConfigureServices has wrong signature
* [`[d0927bdc75]`](https://github.com/aspnet/AspNetCore/commit/d0927bdc75) Fixes #2464 - Does not add extra skipped entries for model bound from services. Also ensures that when a type is marked as skipped, any sub property which is model bound (and hence a modelstate un validated entry), is marked as skipped (otherwise it would cause the ModelState to be invalid). Also fixing a bug in model state dictionary FindKeyWithPrefix was not considering [0] & [0][0] as a valid prefix.
* [`[88ac4b94e4]`](https://github.com/aspnet/AspNetCore/commit/88ac4b94e4) Fixing #2466, #2446. The assumption is ModelState should have entries if 1. An error is explicitly added by a model binder. 2. There is validation error reported while validating the model. 3. There is value bound by the model binder.
* [`[2fe78d70db]`](https://github.com/aspnet/AspNetCore/commit/2fe78d70db) [Fixes #217] Applying error squiggly to full directive
* [`[6fa3e405af]`](https://github.com/aspnet/AspNetCore/commit/6fa3e405af) Add support for minimized attributes in TagHelpers.
* [`[6ef8be92ff]`](https://github.com/aspnet/AspNetCore/commit/6ef8be92ff) [Fixes #2541] Use custom stream writer for Xml output formatters
* [`[703fa4279e]`](https://github.com/aspnet/AspNetCore/commit/703fa4279e) Initial commit
* [`[99ea4fed8a]`](https://github.com/aspnet/AspNetCore/commit/99ea4fed8a) #176 Add Clone() to MediaTypeHeaderValue and NameValueHeaderValue.
* [`[22f1881cc6]`](https://github.com/aspnet/AspNetCore/commit/22f1881cc6) Restoring modelvalidation node.
* [`[39642761b1]`](https://github.com/aspnet/AspNetCore/commit/39642761b1) Added overload to ViewComponent.Json to accept JsonSerializerSettings
* [`[7767251dad]`](https://github.com/aspnet/AspNetCore/commit/7767251dad) Adding some deserialization to a test for SerializableError
* [`[cc4ee1068d]`](https://github.com/aspnet/AspNetCore/commit/cc4ee1068d) Fix #2414 Part 2 - Add [DefaultValue(...)] support to the invoker for action parameters
* [`[3f2ec7c046]`](https://github.com/aspnet/AspNetCore/commit/3f2ec7c046) Add project.lock.json to the .gitignore
* [`[70486710ea]`](https://github.com/aspnet/AspNetCore/commit/70486710ea) Quick fix: Add `System.Runtime.Serialization.Primitives` dependency - tests failing - root cause is likely similar to reason MVC Core has same dependency  - something must have changed in the framework packages without manifest fixes
* [`[1ea1cc4338]`](https://github.com/aspnet/AspNetCore/commit/1ea1cc4338) AuthorizeFilter should always set default identity
* [`[90805fa827]`](https://github.com/aspnet/AspNetCore/commit/90805fa827) Pass InputFormatters in OBC
* [`[7bd338fc4a]`](https://github.com/aspnet/AspNetCore/commit/7bd338fc4a) [Fixes #266] Maintain HTML provided case for TagHelper attributes
* [`[4bed2e6f2b]`](https://github.com/aspnet/AspNetCore/commit/4bed2e6f2b) [Fixes #2545] RedirectToRouteResult doesn't use RouteName property when calculating destination URL
* [`[da740cd6a8]`](https://github.com/aspnet/AspNetCore/commit/da740cd6a8) fix #2535: Timezone test failure in Microsoft.AspNet.Mvc.Core.Tests
* [`[b4299f3a67]`](https://github.com/aspnet/AspNetCore/commit/b4299f3a67) Reference to ASP.NET 5 instead of vNext in README
* [`[4ec81538b9]`](https://github.com/aspnet/AspNetCore/commit/4ec81538b9) Reference to ASP.NET 5 instead of vNext in README
* [`[8c58f7ac1a]`](https://github.com/aspnet/AspNetCore/commit/8c58f7ac1a) Print started
* [`[c680d6b953]`](https://github.com/aspnet/AspNetCore/commit/c680d6b953) [Fixes #183] Fix error with double transition in value attribute
* [`[e3bccdb3b1]`](https://github.com/aspnet/AspNetCore/commit/e3bccdb3b1) Support single threaded running of specific test projects through environment
* [`[a1422fa51b]`](https://github.com/aspnet/AspNetCore/commit/a1422fa51b) Update project.json in test
* [`[caa8ea44fb]`](https://github.com/aspnet/AspNetCore/commit/caa8ea44fb) Fix #448: Support app-wide defaults for HTML helpers
* [`[17deab142d]`](https://github.com/aspnet/AspNetCore/commit/17deab142d) AuthZ: Sugar to make resource parameter optional
* [`[bb2e12a8e6]`](https://github.com/aspnet/AspNetCore/commit/bb2e12a8e6) Add sugar for UseClaimsTransformation
* [`[8b1f8b9748]`](https://github.com/aspnet/AspNetCore/commit/8b1f8b9748) Added new ValidationSummary overloads to sample
* [`[39fe063aee]`](https://github.com/aspnet/AspNetCore/commit/39fe063aee) Fix #2330 - Reimagine *FormatterContext
* [`[dce1d0e88f]`](https://github.com/aspnet/AspNetCore/commit/dce1d0e88f) #272 Make more properties settable (Items, RequestAborted, IsHttps, Query, Cookies).
* [`[294fb5c3cd]`](https://github.com/aspnet/AspNetCore/commit/294fb5c3cd) Quick fix: Missed `null` checks in 7dc0508
* [`[c390d47317]`](https://github.com/aspnet/AspNetCore/commit/c390d47317) Add IsDevelopment and IsProduction extension methods
* [`[aa2d38d6c1]`](https://github.com/aspnet/AspNetCore/commit/aa2d38d6c1) Better error handling
* [`[95b1997c14]`](https://github.com/aspnet/AspNetCore/commit/95b1997c14) Simplify Hosting's shutdown handling. Don't require a TTY on Unix.
* [`[1354d66fb6]`](https://github.com/aspnet/AspNetCore/commit/1354d66fb6) Ensure ConfigureServices is only called once
* [`[0593c0def7]`](https://github.com/aspnet/AspNetCore/commit/0593c0def7) Add the exit code to the remote result
* [`[40794fcc33]`](https://github.com/aspnet/AspNetCore/commit/40794fcc33) Custom stream writer which avoids writing the BOM and does not flush or close the stream.
* [`[d6012d4297]`](https://github.com/aspnet/AspNetCore/commit/d6012d4297) [Fixes #2506] Added overload to Controller.Json to accept JsonSerializerSettings
* [`[ab4d2eec31]`](https://github.com/aspnet/AspNetCore/commit/ab4d2eec31) ImageTagHelper
* [`[7dd670e192]`](https://github.com/aspnet/AspNetCore/commit/7dd670e192) #4 Disable parallel test execution.
* [`[eaecffb9d7]`](https://github.com/aspnet/AspNetCore/commit/eaecffb9d7) Enable IIS connection: close test.
* [`[89b5f5b1aa]`](https://github.com/aspnet/AspNetCore/commit/89b5f5b1aa) Utilize nameof operator
* [`[a591e53dc9]`](https://github.com/aspnet/AspNetCore/commit/a591e53dc9) Removing unused TypeHelper method
* [`[7dc0508c03]`](https://github.com/aspnet/AspNetCore/commit/7dc0508c03) Add `[HtmlAttributeName(..., DictionaryAttributePrefix="prefix")]` part 1 - related to #89 because we need more descriptor comparers in more places - separate `TagHelperAttributeDescriptorComparer` and `TypeBasedTagHelperDescriptorComparer`  - encourages reuse and most will soon be used in multiple classes - add `null` checks to `EquivalenceComparer`  - also give parameters better names
* [`[320507604a]`](https://github.com/aspnet/AspNetCore/commit/320507604a) Removing superfluous types and methods from Common.
* [`[4de328069a]`](https://github.com/aspnet/AspNetCore/commit/4de328069a) Add an ApplicationStarted event
* [`[61b76fd99f]`](https://github.com/aspnet/AspNetCore/commit/61b76fd99f) Use `ClosedGenericMatcher.ExtractGenericInterface()` from Common repo - added in aspnet/Common@aae8e6e
* [`[8a476b56d8]`](https://github.com/aspnet/AspNetCore/commit/8a476b56d8) Part 2 of fix for #2248 - Support 'override' of attribute routes on action methods
* [`[46db71cfce]`](https://github.com/aspnet/AspNetCore/commit/46db71cfce) Part 1 of fix for #2248 - Ambiguity when inheriting attribute routes
* [`[2b4702728d]`](https://github.com/aspnet/AspNetCore/commit/2b4702728d) Fix #1910 - Review and improve docs for 'Order' properties
* [`[7839b80f04]`](https://github.com/aspnet/AspNetCore/commit/7839b80f04) Scripts to run tests remotely
* [`[0f6b2331ce]`](https://github.com/aspnet/AspNetCore/commit/0f6b2331ce) Fix #2378 - Fully expand models in ApiExplorer
* [`[eb0fe6a92a]`](https://github.com/aspnet/AspNetCore/commit/eb0fe6a92a) #281 Reorganise files, namespaces for internal and features.
* [`[582f562bbb]`](https://github.com/aspnet/AspNetCore/commit/582f562bbb) Using [NotNull] and 'nameof' operator
* [`[afca1242bc]`](https://github.com/aspnet/AspNetCore/commit/afca1242bc) Fixing database changes from EF
* [`[4852bf0c52]`](https://github.com/aspnet/AspNetCore/commit/4852bf0c52) Using [NotNull]
* [`[018b4c2426]`](https://github.com/aspnet/AspNetCore/commit/018b4c2426) Using 'nameof' operator instead of magic strings
* [`[2f09b07adc]`](https://github.com/aspnet/AspNetCore/commit/2f09b07adc) Package rename: Microsoft.AspNet.DataProtection.Shared -> Microsoft.AspNet.DataProtection.Sources
* [`[63038b7278]`](https://github.com/aspnet/AspNetCore/commit/63038b7278) Use the in memory store on the Nano server
* [`[54fc775b24]`](https://github.com/aspnet/AspNetCore/commit/54fc775b24) Using 'nameof' operator instead of magic strings
* [`[1f36174da5]`](https://github.com/aspnet/AspNetCore/commit/1f36174da5) Using [NotNull]
* [`[dbdabeb9d2]`](https://github.com/aspnet/AspNetCore/commit/dbdabeb9d2) Delete old handlers
* [`[434d158c76]`](https://github.com/aspnet/AspNetCore/commit/434d158c76) Support custom name and role claims
* [`[789544a1e8]`](https://github.com/aspnet/AspNetCore/commit/789544a1e8) Use aspnetvnext feed as the default feed in dev branch
* [`[87776ae330]`](https://github.com/aspnet/AspNetCore/commit/87776ae330) Sort dependencies
* [`[730124063f]`](https://github.com/aspnet/AspNetCore/commit/730124063f) Using [NotNull]
* [`[8636477b85]`](https://github.com/aspnet/AspNetCore/commit/8636477b85) Using [NotNull] and 'nameof' operator
* [`[5cec601abe]`](https://github.com/aspnet/AspNetCore/commit/5cec601abe) Fix MVC packages being broken on CoreCLR - Mvc is currently broken on CoreCLR because it is inheriting dependencies from Microsoft.AspNet.Mvc.Common but the resulting dependency to Microsoft.AspNet.Mvc.Common is then erased at pack time. This change moves the dependencies down and makes the shared package only depend on System.Runtime.
* [`[ce48c1fc7d]`](https://github.com/aspnet/AspNetCore/commit/ce48c1fc7d) Move ClaimsIssuer to base AuthenticationOptions
* [`[d870ae431e]`](https://github.com/aspnet/AspNetCore/commit/d870ae431e) Add link to documentation site
* [`[7e623258c0]`](https://github.com/aspnet/AspNetCore/commit/7e623258c0) Use strongly typed MediaTypeHeaderValue for content type in action results.
* [`[a5df6679f9]`](https://github.com/aspnet/AspNetCore/commit/a5df6679f9) More model binding integration tests
* [`[f37f2ae352]`](https://github.com/aspnet/AspNetCore/commit/f37f2ae352) Validations with BindRequired on properties.
* [`[568d0d9106]`](https://github.com/aspnet/AspNetCore/commit/568d0d9106) #275 Reduce UriHelper to static methods.
* [`[738c6ad0ff]`](https://github.com/aspnet/AspNetCore/commit/738c6ad0ff) Using 'nameof' operator instead of magic strings
* [`[9c5e78b9dc]`](https://github.com/aspnet/AspNetCore/commit/9c5e78b9dc) Make tests run on CoreCLR
* [`[e79cd72f3e]`](https://github.com/aspnet/AspNetCore/commit/e79cd72f3e) Update project.json
* [`[1ee5238709]`](https://github.com/aspnet/AspNetCore/commit/1ee5238709) Another batch of ModelBinding integration tests
* [`[fc87a436c1]`](https://github.com/aspnet/AspNetCore/commit/fc87a436c1) Update StyleCop header restriction.
* [`[1f6d3fe4cc]`](https://github.com/aspnet/AspNetCore/commit/1f6d3fe4cc) Fix RouteValueDictionary to handle read-only dictionaries.
* [`[6558f1c281]`](https://github.com/aspnet/AspNetCore/commit/6558f1c281) Consistent versioning of native binaries
* [`[124496a12f]`](https://github.com/aspnet/AspNetCore/commit/124496a12f) Use DateTimeOffset with fixed time zone in tests to allow it to work in non-PST timezones.
* [`[1cadc54c3b]`](https://github.com/aspnet/AspNetCore/commit/1cadc54c3b) Use TryAdd to add services rather than Add
* [`[e3fdb8886a]`](https://github.com/aspnet/AspNetCore/commit/e3fdb8886a) Add Multiple attribute same name understanding to TagHelperChunk.
* [`[3a3acde904]`](https://github.com/aspnet/AspNetCore/commit/3a3acde904) Simple ModelBinders and Simple ModelBinder Poco-2 Covers simple scenario for each model binder. Covers scenarios mixing a POCO model binder -> Simple Model binder.
* [`[95feb5a3ec]`](https://github.com/aspnet/AspNetCore/commit/95feb5a3ec) ModelBinding Integration tests part 3
* [`[e3373d54ab]`](https://github.com/aspnet/AspNetCore/commit/e3373d54ab) Removing parallel copying of files
* [`[d42838aaeb]`](https://github.com/aspnet/AspNetCore/commit/d42838aaeb) Missing "
* [`[7ecbee2f7d]`](https://github.com/aspnet/AspNetCore/commit/7ecbee2f7d) Interfaces->Abstractions
* [`[ec7a4351de]`](https://github.com/aspnet/AspNetCore/commit/ec7a4351de) Interfaces->Abstractions
* [`[d304a9bf5c]`](https://github.com/aspnet/AspNetCore/commit/d304a9bf5c) Diagnostics Package Rename Reaction
* [`[80b66cfde3]`](https://github.com/aspnet/AspNetCore/commit/80b66cfde3) Interfaces->Abstractions
* [`[727924a8f2]`](https://github.com/aspnet/AspNetCore/commit/727924a8f2) change to us cmd to launch git on Windows
* [`[5bce140681]`](https://github.com/aspnet/AspNetCore/commit/5bce140681) #295 Rename Core->Abstractions and Interfaces->Features.
* [`[8188f593ad]`](https://github.com/aspnet/AspNetCore/commit/8188f593ad) Fix excplicit cast of HashSet<string> to IReadOnlyCollection<string> to allow tests to succeed in machines with only 4.5.1.
* [`[89ebce0289]`](https://github.com/aspnet/AspNetCore/commit/89ebce0289) [Fixes #2336] Generate some input elements without value attribute
* [`[f2fed5e940]`](https://github.com/aspnet/AspNetCore/commit/f2fed5e940) Included default route name and template in docs
* [`[f77bb0ed2f]`](https://github.com/aspnet/AspNetCore/commit/f77bb0ed2f) GenericModelBinder integration tests part 1
* [`[1ddaf8687e]`](https://github.com/aspnet/AspNetCore/commit/1ddaf8687e) Stop using ForRelational.
* [`[b5b37265e1]`](https://github.com/aspnet/AspNetCore/commit/b5b37265e1) Simple ModelBinders and Simple ModelBinder Poco - 1
* [`[30e54609cc]`](https://github.com/aspnet/AspNetCore/commit/30e54609cc) Fix #1911 : Create a separate package for ApiExplorer
* [`[3ca018375a]`](https://github.com/aspnet/AspNetCore/commit/3ca018375a) Issue #1885 - Updated startup code in few websites
* [`[3ea7daabfe]`](https://github.com/aspnet/AspNetCore/commit/3ea7daabfe) Added the default constructor to ViewContext
* [`[117486de94]`](https://github.com/aspnet/AspNetCore/commit/117486de94) #277 Rename IHttpClientCertificateFeature. #279 prefer X509Certificate2.
* [`[7c604d2b11]`](https://github.com/aspnet/AspNetCore/commit/7c604d2b11) Add TagHelperOutput.Attributes and TagHelperContext.AllAttributes replacement.
* [`[3c9456e2a3]`](https://github.com/aspnet/AspNetCore/commit/3c9456e2a3) AntiForgery: Add documentation and update variable names for readability
* [`[68026add28]`](https://github.com/aspnet/AspNetCore/commit/68026add28) JsonPatch:Changed ToLower to ToLowerInvariant
* [`[9fded74b15]`](https://github.com/aspnet/AspNetCore/commit/9fded74b15) Merging ModelBinding into Mvc.Core
* [`[572e57e25c]`](https://github.com/aspnet/AspNetCore/commit/572e57e25c) Create Mvc.Abstractions
* [`[c48209acae]`](https://github.com/aspnet/AspNetCore/commit/c48209acae) depend on Logging.Interfaces instead, fixes #50
* [`[de95f67400]`](https://github.com/aspnet/AspNetCore/commit/de95f67400) Add `HtmlAttributeNotBoundAttribute` - #182 - ignore otherwise-bound (i.e. `public`) properties in tag helpers
* [`[955b45f995]`](https://github.com/aspnet/AspNetCore/commit/955b45f995) Utilized `nameof()` for `ArgumentNullException`s
* [`[43a38c1b58]`](https://github.com/aspnet/AspNetCore/commit/43a38c1b58) Reorder Challenge parameters.
* [`[0bfebf7fac]`](https://github.com/aspnet/AspNetCore/commit/0bfebf7fac) Use `string.IsNullOrEmpty()` instead of empty string check.
* [`[5093c06b2a]`](https://github.com/aspnet/AspNetCore/commit/5093c06b2a) Fix program main to actually use config
* [`[234bbf82f2]`](https://github.com/aspnet/AspNetCore/commit/234bbf82f2) Hosting API Review changes
* [`[87c31c5526]`](https://github.com/aspnet/AspNetCore/commit/87c31c5526) Switch to IUrlEncoder, introduce AddAuthentication
* [`[a80a333fea]`](https://github.com/aspnet/AspNetCore/commit/a80a333fea) [Fixes #1489] Support for named route in form tag helper
* [`[b0d0e94aba]`](https://github.com/aspnet/AspNetCore/commit/b0d0e94aba) Handle Authentication and WebSocket API changes.
* [`[06e24a8fdf]`](https://github.com/aspnet/AspNetCore/commit/06e24a8fdf) Handle null auth, null descriptions.
* [`[0ed2692ef4]`](https://github.com/aspnet/AspNetCore/commit/0ed2692ef4) #267, #273, Move WebSocket APIs to their own object, fix context object.
* [`[cc1a24b949]`](https://github.com/aspnet/AspNetCore/commit/cc1a24b949) #273 - Use POCOs for auth context objects.
* [`[a174bb299e]`](https://github.com/aspnet/AspNetCore/commit/a174bb299e) #270 Rename auth wrapper's internal collections to Items.
* [`[4637a95157]`](https://github.com/aspnet/AspNetCore/commit/4637a95157) #266 Consolidate authentication APIs.
* [`[017e44ae95]`](https://github.com/aspnet/AspNetCore/commit/017e44ae95) Handle FileProviders package changes.
* [`[6ae3d90ad0]`](https://github.com/aspnet/AspNetCore/commit/6ae3d90ad0) Handle changes in FileProviders.
* [`[663bf4f0f9]`](https://github.com/aspnet/AspNetCore/commit/663bf4f0f9) Handle FileProviders package rename.
* [`[af641b1ca5]`](https://github.com/aspnet/AspNetCore/commit/af641b1ca5) Handle removal of HttpResponse.SendAsync extension.
* [`[687ab258a1]`](https://github.com/aspnet/AspNetCore/commit/687ab258a1) Logging for filters
* [`[1511ea34a8]`](https://github.com/aspnet/AspNetCore/commit/1511ea34a8) [Fixes #662] Throw if controller cannot be activated
* [`[86fcacea92]`](https://github.com/aspnet/AspNetCore/commit/86fcacea92) Fix for #2357 : We prevent assigining null values to non nullable controller properties.
* [`[53ef8258bb]`](https://github.com/aspnet/AspNetCore/commit/53ef8258bb) The model state keys for body bound models which are bound at property will use the entire model name with this change for example Consider
* [`[e48565dcd8]`](https://github.com/aspnet/AspNetCore/commit/e48565dcd8) Adding errors in ModelState
* [`[9f97d25e02]`](https://github.com/aspnet/AspNetCore/commit/9f97d25e02) Moved exception messages to resource file and updated tests to validate exception messages
* [`[30d350da26]`](https://github.com/aspnet/AspNetCore/commit/30d350da26) Move logger to base handler and moar var
* [`[9d2b1822d9]`](https://github.com/aspnet/AspNetCore/commit/9d2b1822d9) Fix for #819 : Attribute Routing: Resolve Name + Token Replacement
* [`[92554fa634]`](https://github.com/aspnet/AspNetCore/commit/92554fa634) Utilize `nameof` operator
* [`[7b7667e338]`](https://github.com/aspnet/AspNetCore/commit/7b7667e338) Fix DataProtection dependency.
* [`[323ec2fdc7]`](https://github.com/aspnet/AspNetCore/commit/323ec2fdc7) Throw exception with unknown attributeName
* [`[d4132d98fd]`](https://github.com/aspnet/AspNetCore/commit/d4132d98fd) Moved CommonTestEncoder to Testing repo
* [`[cedfd88254]`](https://github.com/aspnet/AspNetCore/commit/cedfd88254) Disabling openidconnect coreclr variation temporarily
* [`[1248c7a76b]`](https://github.com/aspnet/AspNetCore/commit/1248c7a76b) Assigning application pool runtime version to 4.0.30319 explicitly
* [`[65e57d28f3]`](https://github.com/aspnet/AspNetCore/commit/65e57d28f3) Add PathString+string operator to prevent too much string<->PathString implicit conversion.
* [`[86bd393d3d]`](https://github.com/aspnet/AspNetCore/commit/86bd393d3d) Add string+PathString operator to prevent too much string<->PathString implicit conversion.
* [`[d270525fde]`](https://github.com/aspnet/AspNetCore/commit/d270525fde) Create a logging scope having request id
* [`[1a4dc9488a]`](https://github.com/aspnet/AspNetCore/commit/1a4dc9488a) Trying to redirect the stdinput as well to see if this succeeds on CI
* [`[f92b1f36e1]`](https://github.com/aspnet/AspNetCore/commit/f92b1f36e1) Redirecting output for all process starts to see correlation in logs.
* [`[f3a4cf0ea7]`](https://github.com/aspnet/AspNetCore/commit/f3a4cf0ea7) Fixing the CreateNoWindow=false issue on selfhost
* [`[99f3aa197f]`](https://github.com/aspnet/AspNetCore/commit/99f3aa197f) #118 - Use common cookie header formatters.
* [`[064c01cf2b]`](https://github.com/aspnet/AspNetCore/commit/064c01cf2b) #2267 - Moving responsibility for setting ModelState.MaxAllowedErrors into a more appropriate location.
* [`[0737ea392f]`](https://github.com/aspnet/AspNetCore/commit/0737ea392f) Add NotNull to Predicate setter.
* [`[0e9f876d4e]`](https://github.com/aspnet/AspNetCore/commit/0e9f876d4e) Removing timeout for dnu publish
* [`[4030be585d]`](https://github.com/aspnet/AspNetCore/commit/4030be585d) #265 Add implicit converters between string and PathString.
* [`[0ab04fd319]`](https://github.com/aspnet/AspNetCore/commit/0ab04fd319) Setting exit code in exception message.
* [`[d386e78ee6]`](https://github.com/aspnet/AspNetCore/commit/d386e78ee6) Use $HOME as a possible storage location
* [`[0929aa23df]`](https://github.com/aspnet/AspNetCore/commit/0929aa23df) Enclosing a bunch of test only code within #if TESTING
* [`[5b4aed8dcc]`](https://github.com/aspnet/AspNetCore/commit/5b4aed8dcc) Fixing the configoverride.json location
* [`[cd878d57c1]`](https://github.com/aspnet/AspNetCore/commit/cd878d57c1) Removing some terms to clear the policheck.
* [`[2719111453]`](https://github.com/aspnet/AspNetCore/commit/2719111453) Add more details to ModelAttributes
* [`[c384fcc3c2]`](https://github.com/aspnet/AspNetCore/commit/c384fcc3c2) Deployment helpers moved to hosting repo.
* [`[fc96d4d3a5]`](https://github.com/aspnet/AspNetCore/commit/fc96d4d3a5) Server deployment helpers in testing repo.
* [`[a4fd51772f]`](https://github.com/aspnet/AspNetCore/commit/a4fd51772f) [Fixes #2276] Serialize only simple types to session in TempData
* [`[94ff5f85f0]`](https://github.com/aspnet/AspNetCore/commit/94ff5f85f0) Skipping mono tests on both clr and coreclr.
* [`[9027ce0982]`](https://github.com/aspnet/AspNetCore/commit/9027ce0982) Fixing the RuntimeInformation enum change
* [`[b27c6fc1e2]`](https://github.com/aspnet/AspNetCore/commit/b27c6fc1e2) Fixing runtime info middleware on coreclr
* [`[fb451b51e5]`](https://github.com/aspnet/AspNetCore/commit/fb451b51e5) Added SourceLocation to inherited chunks \ tag helpers Updated CompilationResult to support compilation failures from multiple files.
* [`[f878ca5b15]`](https://github.com/aspnet/AspNetCore/commit/f878ca5b15) [Fixes #1919] Added path info to RazorPage exceptions
* [`[63f6f42e7e]`](https://github.com/aspnet/AspNetCore/commit/63f6f42e7e) Update the sample data
* [`[21031a3aa8]`](https://github.com/aspnet/AspNetCore/commit/21031a3aa8) Add sample and functional test for custom inline constraints
* [`[e7728dde3f]`](https://github.com/aspnet/AspNetCore/commit/e7728dde3f) Log view discovery
* [`[06b61511e5]`](https://github.com/aspnet/AspNetCore/commit/06b61511e5) Creating 100 sample users in sample data when it is run in Performance Lab
* [`[f5267fc145]`](https://github.com/aspnet/AspNetCore/commit/f5267fc145) Rename SetInt & GetInt -> SetInt32 & GetInt32
* [`[b4903e22d1]`](https://github.com/aspnet/AspNetCore/commit/b4903e22d1) Handle Http.Core rename.
* [`[18efefd5cf]`](https://github.com/aspnet/AspNetCore/commit/18efefd5cf) * Use PropertyHelper.SetValue in DefaultControllerActionArgumentBinder * Update DefaultModelMetadataProvider to use delegates exposed on   PropertyHelper instance.
* [`[54a8d8f8de]`](https://github.com/aspnet/AspNetCore/commit/54a8d8f8de) Change to async retry helper.
* [`[a3b2d2c3eb]`](https://github.com/aspnet/AspNetCore/commit/a3b2d2c3eb) Handle Http.Core rename.
* [`[6223aac9be]`](https://github.com/aspnet/AspNetCore/commit/6223aac9be) Handle Http.Core rename.
* [`[ecb6184214]`](https://github.com/aspnet/AspNetCore/commit/ecb6184214) Using IRuntimeEnvironment to detect if mono
* [`[dc4ee8b915]`](https://github.com/aspnet/AspNetCore/commit/dc4ee8b915) * Adding FilePath to SourceLocation * Using SourceLocation.FilePath when printing line pragmas, if available.
* [`[3b2ded5652]`](https://github.com/aspnet/AspNetCore/commit/3b2ded5652) Adding support for printing multiple compilation failures
* [`[133d8b5e96]`](https://github.com/aspnet/AspNetCore/commit/133d8b5e96) Handle Http.Core rename.
* [`[b5fd971562]`](https://github.com/aspnet/AspNetCore/commit/b5fd971562) Handle Http.Core rename.
* [`[925d7d7828]`](https://github.com/aspnet/AspNetCore/commit/925d7d7828) Handle Http.Core rename.
* [`[1bb35041e9]`](https://github.com/aspnet/AspNetCore/commit/1bb35041e9) Handle Http.Core rename.
* [`[ee554439cf]`](https://github.com/aspnet/AspNetCore/commit/ee554439cf) Handle Http.Core rename.
* [`[c3f10f4a0f]`](https://github.com/aspnet/AspNetCore/commit/c3f10f4a0f) Logging for content-negotiation
* [`[9c5d86d4c0]`](https://github.com/aspnet/AspNetCore/commit/9c5d86d4c0) Enabling host shutdown events.
* [`[22a1cab976]`](https://github.com/aspnet/AspNetCore/commit/22a1cab976) #149 - Expose connection information as 1st class.
* [`[c44e65c27f]`](https://github.com/aspnet/AspNetCore/commit/c44e65c27f) Stabilizing IIS helpers.
* [`[d034dbb3c7]`](https://github.com/aspnet/AspNetCore/commit/d034dbb3c7) Infrastructure and Hello World and NTLM tests.
* [`[9eca47b388]`](https://github.com/aspnet/AspNetCore/commit/9eca47b388) Changing all validators to async
* [`[0083778faf]`](https://github.com/aspnet/AspNetCore/commit/0083778faf) Helpers async
* [`[bea42ef0ca]`](https://github.com/aspnet/AspNetCore/commit/bea42ef0ca) Making tests async
* [`[9c8fa0f3f9]`](https://github.com/aspnet/AspNetCore/commit/9c8fa0f3f9) Return HttpResponseMessage from RetryHelper
* [`[cae0d494a9]`](https://github.com/aspnet/AspNetCore/commit/cae0d494a9) Moving some logging into the helpers
* [`[edec7e9cce]`](https://github.com/aspnet/AspNetCore/commit/edec7e9cce) Changing the retry interval to 1 second with retry count = 60
* [`[64977e14a9]`](https://github.com/aspnet/AspNetCore/commit/64977e14a9) Fixing IIS variations
* [`[6dd1fd7dc1]`](https://github.com/aspnet/AspNetCore/commit/6dd1fd7dc1) Selfhost does not seem to like CreateNoWindow on CI.
* [`[eac23bc1d8]`](https://github.com/aspnet/AspNetCore/commit/eac23bc1d8) Moving some helpers into validator class
* [`[eaa58bc913]`](https://github.com/aspnet/AspNetCore/commit/eaa58bc913) Change inject directive to format correctly after newline during design time.
* [`[ebf76371de]`](https://github.com/aspnet/AspNetCore/commit/ebf76371de) Adding a package description for the ELM middleware package
* [`[4951235eef]`](https://github.com/aspnet/AspNetCore/commit/4951235eef) [Fixes #2337] Added support for file types in input taghelper and htmlhelper
* [`[5bcda94b2c]`](https://github.com/aspnet/AspNetCore/commit/5bcda94b2c) Create error when TagHelper binds to HTML attribute starting w/ data-.
* [`[c69c289abf]`](https://github.com/aspnet/AspNetCore/commit/c69c289abf) Simplify Challenge flow
* [`[98e70636fe]`](https://github.com/aspnet/AspNetCore/commit/98e70636fe) Adding a description for hosting interfaces package.
* [`[10f1b9c038]`](https://github.com/aspnet/AspNetCore/commit/10f1b9c038) Fix cookie handling in tests.
* [`[7f83cc4e99]`](https://github.com/aspnet/AspNetCore/commit/7f83cc4e99) Fixing runtime info middleware on coreclr
* [`[7641ca3722]`](https://github.com/aspnet/AspNetCore/commit/7641ca3722) Handle change to cookie parser.
* [`[7c5e95818f]`](https://github.com/aspnet/AspNetCore/commit/7c5e95818f) Adding more diagnostics for iis express process.
* [`[e818783ba4]`](https://github.com/aspnet/AspNetCore/commit/e818783ba4) #167: Update cookie APIs to use shared core.
* [`[09d6ab03bc]`](https://github.com/aspnet/AspNetCore/commit/09d6ab03bc) Re-use public constants for header names.
* [`[8d506097a0]`](https://github.com/aspnet/AspNetCore/commit/8d506097a0) Update dnu restore to use --parallel flag
* [`[9daf6b48a1]`](https://github.com/aspnet/AspNetCore/commit/9daf6b48a1) Update ModelBinderAttribute not throw exceptions from BinderType property setter
* [`[607ba4aef0]`](https://github.com/aspnet/AspNetCore/commit/607ba4aef0) Overriding the environment variables as some of these environment variables are set on CI machines.
* [`[d76b332a53]`](https://github.com/aspnet/AspNetCore/commit/d76b332a53) Updata _dataToken to _dataTokens in VirtualPathData
* [`[29ef86fad3]`](https://github.com/aspnet/AspNetCore/commit/29ef86fad3) Move deployment helpers out of the test project.
* [`[96dc7ea6c5]`](https://github.com/aspnet/AspNetCore/commit/96dc7ea6c5) Change TagHelperDescriptorFactory IsValidProperty => IsAccessibleProperty.
* [`[2c4c35e126]`](https://github.com/aspnet/AspNetCore/commit/2c4c35e126) Add rendering logic for PreElement and PostElement on TagHelperOutput.
* [`[c9c8e802a7]`](https://github.com/aspnet/AspNetCore/commit/c9c8e802a7) Add PreElement and PostElement to TagHelperOutput.
* [`[d0e5118741]`](https://github.com/aspnet/AspNetCore/commit/d0e5118741) Delay Attribute Route initialization to the first request
* [`[24b930fa7c]`](https://github.com/aspnet/AspNetCore/commit/24b930fa7c) Clean up logging. - Removing scopes as we want to limit the number of scopes being created. - Added new log statements using the new log format string.
* [`[5e03a6c1ad]`](https://github.com/aspnet/AspNetCore/commit/5e03a6c1ad) Fix incorrect handler delegation and update SignInScheme documentation
* [`[4a2a742ad5]`](https://github.com/aspnet/AspNetCore/commit/4a2a742ad5) Fix SecurityTokenValidated and rework the different OAuth2 Bearer middleware tests
* [`[03c47ad582]`](https://github.com/aspnet/AspNetCore/commit/03c47ad582) Spelling mistake.
* [`[a23b665e8d]`](https://github.com/aspnet/AspNetCore/commit/a23b665e8d) Update IServerInformation namespace.
* [`[e03c015065]`](https://github.com/aspnet/AspNetCore/commit/e03c015065) Update IServerInformation namespace.
* [`[7fb8053700]`](https://github.com/aspnet/AspNetCore/commit/7fb8053700) Move IServerInformation to Server.Interfaces.
* [`[58f759ac25]`](https://github.com/aspnet/AspNetCore/commit/58f759ac25) Move IServerInformation to Hosting.
* [`[ea636140c7]`](https://github.com/aspnet/AspNetCore/commit/ea636140c7) Allow Kestrel to boot when on CoreCLR and *NIX
* [`[7ea467f73d]`](https://github.com/aspnet/AspNetCore/commit/7ea467f73d) Adding functional test for CacheTagHelper's enabled property.
* [`[744c9c47b4]`](https://github.com/aspnet/AspNetCore/commit/744c9c47b4) Adding NotNulls for format and format provider in DefaultTagHelperContent.AppendFormat.
* [`[8965ac96c0]`](https://github.com/aspnet/AspNetCore/commit/8965ac96c0) Add more functional tests of cache profiles
* [`[58a5ad2279]`](https://github.com/aspnet/AspNetCore/commit/58a5ad2279) Adding Outputformatter in resource filters.
* [`[f60896bd90]`](https://github.com/aspnet/AspNetCore/commit/f60896bd90) [Fixes #2259] Use fast property setter in MutableObjectModelBinder
* [`[fab55afca5]`](https://github.com/aspnet/AspNetCore/commit/fab55afca5) Update resource names
* [`[7e5387e7ab]`](https://github.com/aspnet/AspNetCore/commit/7e5387e7ab) Update resource names
* [`[a10245d39f]`](https://github.com/aspnet/AspNetCore/commit/a10245d39f) Replace WebSocket dependency.
* [`[0e5c83c402]`](https://github.com/aspnet/AspNetCore/commit/0e5c83c402) Replace WebSocket dependency.
* [`[b08a2154c1]`](https://github.com/aspnet/AspNetCore/commit/b08a2154c1) #2142: Introducing enabled attribute for CacheTagHelper.
* [`[d9c52d01cf]`](https://github.com/aspnet/AspNetCore/commit/d9c52d01cf) Updating readme
* [`[2391b41aa8]`](https://github.com/aspnet/AspNetCore/commit/2391b41aa8) Initial commit
* [`[43e24b2aad]`](https://github.com/aspnet/AspNetCore/commit/43e24b2aad) Removing IInputFormatterSelector
* [`[73e8fc10e4]`](https://github.com/aspnet/AspNetCore/commit/73e8fc10e4) Automatically use `type="number"` for expressions of more types - #2261 - include `short`, `ushort`, `float`, `double`
* [`[e469b26b45]`](https://github.com/aspnet/AspNetCore/commit/e469b26b45) Rationalize some names and namespaces - #320 - `ParserErrorSink` -> `ErrorSink` - move `ErrorSink`, `RazorError`, and `SourceLocation` to root namespace - move `RazorErrorTest` and `SourceLocationTest` to root test namespace
* [`[6c9055cadc]`](https://github.com/aspnet/AspNetCore/commit/6c9055cadc) Fix CJK Ideographs and Hangul Syllables representation Characters in these blocks weren't correctly identified as assigned characters, which caused the encoders to always encode them, even if the ranges were in the allow list.
* [`[689f5bfa79]`](https://github.com/aspnet/AspNetCore/commit/689f5bfa79) Use `XmlAssert` to avoid functional test failures - #2311
* [`[585002baf8]`](https://github.com/aspnet/AspNetCore/commit/585002baf8) Issue #2123 - Adding AppendFormat to TagHelperContent.
* [`[aac9beb1fd]`](https://github.com/aspnet/AspNetCore/commit/aac9beb1fd) Adding a coreclr variation of openidconnect
* [`[8da763a14a]`](https://github.com/aspnet/AspNetCore/commit/8da763a14a) Disable false positive date parser test.
* [`[0c0fa10ed0]`](https://github.com/aspnet/AspNetCore/commit/0c0fa10ed0) Fixes 2307. MutableObjectBinder now relies on ModelMetadata to decide if a type is a complex type. This avoids reflection at multiple places and allows caching.
* [`[957a77219c]`](https://github.com/aspnet/AspNetCore/commit/957a77219c) Use MemberData instead of InlineData.
* [`[b62dde23e6]`](https://github.com/aspnet/AspNetCore/commit/b62dde23e6) Add quotes in project.json file.
* [`[31dae81405]`](https://github.com/aspnet/AspNetCore/commit/31dae81405) Short circuit empty inputs.
* [`[c24a40517f]`](https://github.com/aspnet/AspNetCore/commit/c24a40517f) #246 Fix multipart test on linux.
* [`[888ed48249]`](https://github.com/aspnet/AspNetCore/commit/888ed48249) Using in memory store on mono
* [`[1f127d25c3]`](https://github.com/aspnet/AspNetCore/commit/1f127d25c3) * Adding TimeSpan to DateTimeOffset so test succeeds in non-PST timezones * Removing unused dependency from project.json
* [`[ba80195851]`](https://github.com/aspnet/AspNetCore/commit/ba80195851) Tag helpers
* [`[c4e7a539fa]`](https://github.com/aspnet/AspNetCore/commit/c4e7a539fa) Fix README.md.
* [`[7d7b2795e1]`](https://github.com/aspnet/AspNetCore/commit/7d7b2795e1) Change tests to utilize Environment.NewLine.
* [`[044f1b8036]`](https://github.com/aspnet/AspNetCore/commit/044f1b8036) Updating grunt-typescript since old version causes error
* [`[4e1e03db10]`](https://github.com/aspnet/AspNetCore/commit/4e1e03db10) Fixing tests to run successfully on mono
* [`[18153af367]`](https://github.com/aspnet/AspNetCore/commit/18153af367) Add a few more `<Service/>` items
* [`[01aa492b7e]`](https://github.com/aspnet/AspNetCore/commit/01aa492b7e) Add a few more `<Service/>` items
* [`[9d35441ac3]`](https://github.com/aspnet/AspNetCore/commit/9d35441ac3) Add another `<Service/>` item
* [`[7916cb9c68]`](https://github.com/aspnet/AspNetCore/commit/7916cb9c68) Add a few more `<Service/>` items
* [`[086eee4cf3]`](https://github.com/aspnet/AspNetCore/commit/086eee4cf3) Add RazorTooling and Common to Universe.
* [`[e75f40bd24]`](https://github.com/aspnet/AspNetCore/commit/e75f40bd24) Fix paths in map path test
* [`[2b07b1a5fa]`](https://github.com/aspnet/AspNetCore/commit/2b07b1a5fa) Added test that injects IHostingEnvironment
* [`[3c622cb8ef]`](https://github.com/aspnet/AspNetCore/commit/3c622cb8ef) Fix theory based test for Mono.
* [`[fd85a8b3a5]`](https://github.com/aspnet/AspNetCore/commit/fd85a8b3a5) Adding status badges
* [`[7a41c72711]`](https://github.com/aspnet/AspNetCore/commit/7a41c72711) Adding status badges
* [`[36d155ab96]`](https://github.com/aspnet/AspNetCore/commit/36d155ab96) Adding status badges
* [`[a8134feb03]`](https://github.com/aspnet/AspNetCore/commit/a8134feb03) Adding status badges
* [`[2562becc0b]`](https://github.com/aspnet/AspNetCore/commit/2562becc0b) Adding status badges
* [`[f6ad0a32f0]`](https://github.com/aspnet/AspNetCore/commit/f6ad0a32f0) Tables aren't cool anymore
* [`[5d37101760]`](https://github.com/aspnet/AspNetCore/commit/5d37101760) Fixing namespaces.
* [`[3b8d53e010]`](https://github.com/aspnet/AspNetCore/commit/3b8d53e010) Fixing namespaces.
* [`[a4f3b86865]`](https://github.com/aspnet/AspNetCore/commit/a4f3b86865) Prevent RazorErrorExtensions.ToDiagnostics from throwing when it encounters SourceLocation.Undefined \ negative error lengths
* [`[56cfbdde82]`](https://github.com/aspnet/AspNetCore/commit/56cfbdde82) Fixing dataprotection on IIS
* [`[c6a1af97b0]`](https://github.com/aspnet/AspNetCore/commit/c6a1af97b0) Use Hosting.Interfaces
* [`[33fa06a25c]`](https://github.com/aspnet/AspNetCore/commit/33fa06a25c) Fixing dataprotection on IIS
* [`[6caa2871aa]`](https://github.com/aspnet/AspNetCore/commit/6caa2871aa) Use DataProtection.Interfaces
* [`[acb657d951]`](https://github.com/aspnet/AspNetCore/commit/acb657d951) [Perf] Fully cache model metadata
* [`[6b1cb5ca7a]`](https://github.com/aspnet/AspNetCore/commit/6b1cb5ca7a) Skip projects that were not cloned
* [`[8639f3edbc]`](https://github.com/aspnet/AspNetCore/commit/8639f3edbc) Renamed M.A.Server.Interfaces -> M.A.Hosting.Server.Interfaces
* [`[4b8f02d7af]`](https://github.com/aspnet/AspNetCore/commit/4b8f02d7af) Sort dependencies
* [`[04e5a558ab]`](https://github.com/aspnet/AspNetCore/commit/04e5a558ab) Move interfaces around - Moved IServerFactory to Microsoft.AspNet.Server.Interfaces - Moved IHttpContextAccessor to Microsoft.AspNet.Hosting.Interfaces - Fixed dependencies so that they are minimal
* [`[9048a9e445]`](https://github.com/aspnet/AspNetCore/commit/9048a9e445) Removing the default compile values.
* [`[1a37bf1747]`](https://github.com/aspnet/AspNetCore/commit/1a37bf1747) Changing Wilson package versions to beta4
* [`[c354f0a8ba]`](https://github.com/aspnet/AspNetCore/commit/c354f0a8ba) New assembly file version (with year)
* [`[fd9f845dc9]`](https://github.com/aspnet/AspNetCore/commit/fd9f845dc9) Don't blast null values into UseStartup/Server
* [`[101b719994]`](https://github.com/aspnet/AspNetCore/commit/101b719994) Changing Wilson packages to beta4
* [`[77e2dc263f]`](https://github.com/aspnet/AspNetCore/commit/77e2dc263f) Hosting rework #2
* [`[2aaeedc48a]`](https://github.com/aspnet/AspNetCore/commit/2aaeedc48a) Fix newly added --no-source variations
* [`[6e9533ce9c]`](https://github.com/aspnet/AspNetCore/commit/6e9533ce9c) #2295 - Disposing the read stream after computing file hash.
* [`[50ea1fb3d2]`](https://github.com/aspnet/AspNetCore/commit/50ea1fb3d2) Rename "dnu bundle" to "dnu publish"
* [`[188f5e8328]`](https://github.com/aspnet/AspNetCore/commit/188f5e8328) Set the file version environment variable
* [`[e3ea602775]`](https://github.com/aspnet/AspNetCore/commit/e3ea602775) Renaming incorrectly named file name.
* [`[2f36a9cd6b]`](https://github.com/aspnet/AspNetCore/commit/2f36a9cd6b) Using optional configuration for IIS deployment
* [`[33407ef1be]`](https://github.com/aspnet/AspNetCore/commit/33407ef1be) Enforce new invariants around HTML encoding - #335 - bound `string` attribute values are _not_ encoded  - rework `CSharpCodeVisitor` and `CSharpTagHelperCodeRenderer` to enable this case - values in `TagHelperOutput.Attributes` are encoded unless special-cased elsewhere  - `Dictionary<string, object>` type allows `RazorPage` to use `HtmlString` - wrap HTML unbound attribute values using `Html.Raw()`
* [`[60381c415e]`](https://github.com/aspnet/AspNetCore/commit/60381c415e) Unrendered sections does not throw when redefined and rendered in nested layout.
* [`[fefad346ba]`](https://github.com/aspnet/AspNetCore/commit/fefad346ba) fix newline
* [`[099d910579]`](https://github.com/aspnet/AspNetCore/commit/099d910579) Rename "dnu bundle" to "dnu publish"
* [`[fe165bbafc]`](https://github.com/aspnet/AspNetCore/commit/fe165bbafc) Rename "dnu bundle" to "dnu publish"
* [`[1e29b52278]`](https://github.com/aspnet/AspNetCore/commit/1e29b52278) Rename "dnu bundle" to "dnu publish"
* [`[f4794e5c7f]`](https://github.com/aspnet/AspNetCore/commit/f4794e5c7f) Make pushing to NuGet feed more resilient.
* [`[a3b1954810]`](https://github.com/aspnet/AspNetCore/commit/a3b1954810) Changing --no-source variation to use desktop clr
* [`[6dbe8dd993]`](https://github.com/aspnet/AspNetCore/commit/6dbe8dd993) Enabling --no-source variations
* [`[e571f401c3]`](https://github.com/aspnet/AspNetCore/commit/e571f401c3) Enable a skipped test to run on coreclr
* [`[1eb38e5708]`](https://github.com/aspnet/AspNetCore/commit/1eb38e5708) Adding CORS to the sample
* [`[38eff2ddbc]`](https://github.com/aspnet/AspNetCore/commit/38eff2ddbc) Change casing of the "compiler" folder
* [`[273ad22337]`](https://github.com/aspnet/AspNetCore/commit/273ad22337) Add precompiler to allow kre precompile views
* [`[2fc5508dec]`](https://github.com/aspnet/AspNetCore/commit/2fc5508dec) Updated Nuget.config to release feed
* [`[8cc1d57ab2]`](https://github.com/aspnet/AspNetCore/commit/8cc1d57ab2) UpdateRepos for release
* [`[9cffbd171b]`](https://github.com/aspnet/AspNetCore/commit/9cffbd171b) Fix Elm extensions
* [`[e23365f757]`](https://github.com/aspnet/AspNetCore/commit/e23365f757) Fixing the namespace in the sample view page
* [`[cb6600abaf]`](https://github.com/aspnet/AspNetCore/commit/cb6600abaf) Updating release NuGet.config
* [`[7b16347079]`](https://github.com/aspnet/AspNetCore/commit/7b16347079) Updating to release NuGet.config
* [`[ba3a544b8a]`](https://github.com/aspnet/AspNetCore/commit/ba3a544b8a) Updating to release NuGet.config
* [`[0c1e234305]`](https://github.com/aspnet/AspNetCore/commit/0c1e234305) Updating to release NuGet.config
* [`[012146e5a6]`](https://github.com/aspnet/AspNetCore/commit/012146e5a6) Updating to release NuGet.config
* [`[fb871109c7]`](https://github.com/aspnet/AspNetCore/commit/fb871109c7) Updating to release NuGet.config
* [`[c60cb09591]`](https://github.com/aspnet/AspNetCore/commit/c60cb09591) Updating to release NuGet.config
* [`[9c9aa499a0]`](https://github.com/aspnet/AspNetCore/commit/9c9aa499a0) Updating to release NuGet.config
* [`[80566401f8]`](https://github.com/aspnet/AspNetCore/commit/80566401f8) Updating to release NuGet.config
* [`[b62578d4a1]`](https://github.com/aspnet/AspNetCore/commit/b62578d4a1) Updating to release NuGet.config
* [`[fd86bf74c5]`](https://github.com/aspnet/AspNetCore/commit/fd86bf74c5) Updating to release NuGet.config
* [`[e28b328186]`](https://github.com/aspnet/AspNetCore/commit/e28b328186) Updating to release NuGet.config
* [`[13dc9d6018]`](https://github.com/aspnet/AspNetCore/commit/13dc9d6018) Updating to release NuGet.config
* [`[92101641a7]`](https://github.com/aspnet/AspNetCore/commit/92101641a7) Updating to release NuGet.config
* [`[3bb43e121b]`](https://github.com/aspnet/AspNetCore/commit/3bb43e121b) Updating feed to release
* [`[4ccf7b090b]`](https://github.com/aspnet/AspNetCore/commit/4ccf7b090b) Fixing test helpers
* [`[939fb2ba53]`](https://github.com/aspnet/AspNetCore/commit/939fb2ba53) Stop passing around IServiceProvider in RazorPreCompiler
* [`[b233a7ee25]`](https://github.com/aspnet/AspNetCore/commit/b233a7ee25) Re-enabling coreclr based E2E tests
* [`[99d9b9d511]`](https://github.com/aspnet/AspNetCore/commit/99d9b9d511) Add Razor TagHelper tooling reference to TagHelperSample.Web.
* [`[0e783ace58]`](https://github.com/aspnet/AspNetCore/commit/0e783ace58) Issue #2141 - Script & Link tag helpers should support generating cache-busting file version hash in URL.
* [`[0462dd6be3]`](https://github.com/aspnet/AspNetCore/commit/0462dd6be3) [JsonPatch]Rename SimpleObjectAdapter; Include statuscode in JsonPatchException
* [`[ac63ee96ae]`](https://github.com/aspnet/AspNetCore/commit/ac63ee96ae) Fixing tests after ElmMiddleware change
* [`[cb159a678a]`](https://github.com/aspnet/AspNetCore/commit/cb159a678a) Fixing the Elm middleware to check if request has form content
* [`[2d304e5da1]`](https://github.com/aspnet/AspNetCore/commit/2d304e5da1) Disable Core functional tests (again) - avoid System.Private.DataContractSerialization problem
* [`[0f0fc2e23e]`](https://github.com/aspnet/AspNetCore/commit/0f0fc2e23e) Rename kpm to dnu
* [`[28ca45e077]`](https://github.com/aspnet/AspNetCore/commit/28ca45e077) Quick fix: Correct invalid HTML in some of our tag helper-related views - few end tags for void elements e.g. `</input>` - fair number of self-closing flow elements e.g. `<label .../>` - most-visible change is correction of `<textarea>` in tag helper sample - no product code changes
* [`[4a5b9f6b6e]`](https://github.com/aspnet/AspNetCore/commit/4a5b9f6b6e) Add a description for the OpenIdConnect package
* [`[54c1fed254]`](https://github.com/aspnet/AspNetCore/commit/54c1fed254) Issue #1736 - Razor view searches in case-sensitive filesystems.
* [`[784021cf85]`](https://github.com/aspnet/AspNetCore/commit/784021cf85) Fix ModelMetadata.IsRequired
* [`[f1e1d8f4df]`](https://github.com/aspnet/AspNetCore/commit/f1e1d8f4df) Initial Json Patch check-in
* [`[5818c0b5b7]`](https://github.com/aspnet/AspNetCore/commit/5818c0b5b7) Fixes #583 Generating a unique cookie name for an application.
* [`[f6ff2deebd]`](https://github.com/aspnet/AspNetCore/commit/f6ff2deebd) Added readme file to enable git add wwwroot folder
* [`[ff209f04bb]`](https://github.com/aspnet/AspNetCore/commit/ff209f04bb) Should GetVirtualPath returns PathString
* [`[570b1e583a]`](https://github.com/aspnet/AspNetCore/commit/570b1e583a) Add `Html.GetEnumSelectList()` helpers - #438 part 2/2
* [`[ec6f1907c5]`](https://github.com/aspnet/AspNetCore/commit/ec6f1907c5) Add USE_REAL_RESOURCES to easily test if `[Display]` usability has improved - `[Display]` works only with `public` resources (classes and properties) - also change `TestResources` to make `Resources` the single source of truth
* [`[7dd3afe3d1]`](https://github.com/aspnet/AspNetCore/commit/7dd3afe3d1) Add `enum`-related details to `ModelMetadata` - #438 part 1/2 and #2027 part 1/3
* [`[c62974d39b]`](https://github.com/aspnet/AspNetCore/commit/c62974d39b) [Fixes #2179] Validation fix for supporting nested sections in layouts
* [`[f35bfcd271]`](https://github.com/aspnet/AspNetCore/commit/f35bfcd271) Adding MapPath extension
* [`[adeb1ba194]`](https://github.com/aspnet/AspNetCore/commit/adeb1ba194) Adding support for model binding specifically marked controller properties.
* [`[9b188a047d]`](https://github.com/aspnet/AspNetCore/commit/9b188a047d) Use UseSqlServer in tests
* [`[7d97d61950]`](https://github.com/aspnet/AspNetCore/commit/7d97d61950) Another using
* [`[c082d4aa49]`](https://github.com/aspnet/AspNetCore/commit/c082d4aa49) Fix Razor tag helpers pre-compilation bug: - #2227
* [`[0812658de4]`](https://github.com/aspnet/AspNetCore/commit/0812658de4) Add usings
* [`[fd5e07dd03]`](https://github.com/aspnet/AspNetCore/commit/fd5e07dd03) TagHelpers attribute targeting - part 3
* [`[1428d31463]`](https://github.com/aspnet/AspNetCore/commit/1428d31463) Read connection string explicitly.
* [`[f5e7a69693]`](https://github.com/aspnet/AspNetCore/commit/f5e7a69693) Updates to the extensibility for validator providers
* [`[fe5b6d67c5]`](https://github.com/aspnet/AspNetCore/commit/fe5b6d67c5) Fix routing sample
* [`[1ba4700339]`](https://github.com/aspnet/AspNetCore/commit/1ba4700339) Update default LinkTagHelper logger to log for a LinkTagHelper instead of ScriptTagHelper.
* [`[a76b6cac24]`](https://github.com/aspnet/AspNetCore/commit/a76b6cac24) Stop passing IConfiguration to AddEntityFramework
* [`[533474d07c]`](https://github.com/aspnet/AspNetCore/commit/533474d07c) Bind POCO model correctly; fallback to empty prefix despite exact name match - #1865 - change `MutableObjectModelBinder` to ignore exact match in value providers  - had an incorrect assumption: don't want exact model name to match since    this binder supports only complex objects  - also ignored `BinderModelName`, value provider filtering, et cetera - reduces over-binding e.g. `[Required]` validation within missing properties
* [`[94e326f953]`](https://github.com/aspnet/AspNetCore/commit/94e326f953) `CompositeModelBinder.TryBind()` should return `null` more often - #2129 - do not propagate results with `!IsModelSet`, allowing empty prefix fallback - adjust `ComplexModelDtoModelBinder` to at least fake-bind all properties  - default values not consistently picked up otherwise
* [`[103538b889]`](https://github.com/aspnet/AspNetCore/commit/103538b889) Fix NRE in `MutableObjectModelBinder`
* [`[1c6800beab]`](https://github.com/aspnet/AspNetCore/commit/1c6800beab) List of assembly names in DefaultAssemblyProvider needs to be kept up to date
* [`[e2058905ec]`](https://github.com/aspnet/AspNetCore/commit/e2058905ec) TagHelpers attribute targeting - part 2
* [`[bfdeda797d]`](https://github.com/aspnet/AspNetCore/commit/bfdeda797d) TagHelpers attribute targeting - part 1
* [`[3cd272a96a]`](https://github.com/aspnet/AspNetCore/commit/3cd272a96a) Rename kpm to dnu in standard goal scripts
* [`[2b6220205d]`](https://github.com/aspnet/AspNetCore/commit/2b6220205d) Updated duplicate TargetElement TagHelper tests.
* [`[842549bba9]`](https://github.com/aspnet/AspNetCore/commit/842549bba9) De-dupe TagHelperDescriptors based on Type for rendering.
* [`[3693002b02]`](https://github.com/aspnet/AspNetCore/commit/3693002b02) Introducing VirtualPathData for IRouter.GetVirtualPath
* [`[543b08c254]`](https://github.com/aspnet/AspNetCore/commit/543b08c254) Fixed CORS dependencies
* [`[0f1292abf6]`](https://github.com/aspnet/AspNetCore/commit/0f1292abf6) Transition root paths => relative for tooling.
* [`[9a6f8b392d]`](https://github.com/aspnet/AspNetCore/commit/9a6f8b392d) [Fixes #852] XmlDictionaryReader.CreateTextReader overload which supports Encoding is missing
* [`[ac908d405e]`](https://github.com/aspnet/AspNetCore/commit/ac908d405e) Removing ModelMetadataProvider.GetModelMetadataForParameters
* [`[7b468344c0]`](https://github.com/aspnet/AspNetCore/commit/7b468344c0) [Fixes #169] Await TagHelper generated objects
* [`[7e3db8935e]`](https://github.com/aspnet/AspNetCore/commit/7e3db8935e) Fix views
* [`[e68de43bce]`](https://github.com/aspnet/AspNetCore/commit/e68de43bce) Using 'nameof' operator instead of magic strings
* [`[794f60b104]`](https://github.com/aspnet/AspNetCore/commit/794f60b104) Fix content path for config transform This forces installation failure in a 4.5 project.
* [`[19b75b688a]`](https://github.com/aspnet/AspNetCore/commit/19b75b688a) Rework hosting
* [`[015edefa96]`](https://github.com/aspnet/AspNetCore/commit/015edefa96) Cors Support in MVC.
* [`[6086bb0a62]`](https://github.com/aspnet/AspNetCore/commit/6086bb0a62) Fixing the OpenIdConnect sample
* [`[9faa6f8230]`](https://github.com/aspnet/AspNetCore/commit/9faa6f8230) Copying the AspNet.Loader.dll only on non-kpm bundle scenario
* [`[fd08325918]`](https://github.com/aspnet/AspNetCore/commit/fd08325918) Skip registry checks on non-Windows platforms
* [`[777e6950fd]`](https://github.com/aspnet/AspNetCore/commit/777e6950fd) Changing project.json code node => compile
* [`[55af12b620]`](https://github.com/aspnet/AspNetCore/commit/55af12b620) Fixing break
* [`[57f22197a9]`](https://github.com/aspnet/AspNetCore/commit/57f22197a9) Enable and Disable Interface renames
* [`[da6a4f2ab7]`](https://github.com/aspnet/AspNetCore/commit/da6a4f2ab7) Adding Cors Middleware.
* [`[d22246f636]`](https://github.com/aspnet/AspNetCore/commit/d22246f636) Add TagHelper attribute targeting.
* [`[271ec1bd4b]`](https://github.com/aspnet/AspNetCore/commit/271ec1bd4b) Move IApplicationDiscriminator to Infrastructure namespace
* [`[33e3c944d0]`](https://github.com/aspnet/AspNetCore/commit/33e3c944d0) Reenabling the tests
* [`[1e9d57f80c]`](https://github.com/aspnet/AspNetCore/commit/1e9d57f80c) UrlEncoder should always encode the U+003A COLON character Provides extra defense-in-depth in case an application is using this API to encode a relative URL, otherwise the part before the colon could inadvertently be treated as a scheme.
* [`[fc9e1caf43]`](https://github.com/aspnet/AspNetCore/commit/fc9e1caf43) [Fixes #1331] Register object for dispose in ObjectResult and FileStreamResult
* [`[22927ec289]`](https://github.com/aspnet/AspNetCore/commit/22927ec289) Add simple file-based provider instantiation APIs
* [`[84490846b6]`](https://github.com/aspnet/AspNetCore/commit/84490846b6) Move time-limited data protector to Extensions project
* [`[36a3262661]`](https://github.com/aspnet/AspNetCore/commit/36a3262661) Moving some IIS express related helpers to a different class.
* [`[6445f6388b]`](https://github.com/aspnet/AspNetCore/commit/6445f6388b) Temporarily disable the --no-source test variation
* [`[d2bdd4f1d4]`](https://github.com/aspnet/AspNetCore/commit/d2bdd4f1d4) Removing 'Options' from ConfigureMvcOptions and ConfigureRazorViewEngineOptions.
* [`[7daec14e49]`](https://github.com/aspnet/AspNetCore/commit/7daec14e49) Issue #318: Removing Generate*() methods.
* [`[6dc2417f9e]`](https://github.com/aspnet/AspNetCore/commit/6dc2417f9e) Adding some coverage for the --no-source switch
* [`[489fc52df8]`](https://github.com/aspnet/AspNetCore/commit/489fc52df8) [Fixes #2108] StringOutputFormatter fails when HttpNotAcceptableOutputFormatter is used
* [`[ee49ab727f]`](https://github.com/aspnet/AspNetCore/commit/ee49ab727f) RazorPage.User should be ClaimsPrincipal
* [`[d673df7ef3]`](https://github.com/aspnet/AspNetCore/commit/d673df7ef3) Reliability improvements to key ring updates - Optimistically treat failures as transient and continue to use any existing cached key ring for a short period of time - Updates to the key ring shouldn't block other threads; they can use the outdated version while waiting for the update
* [`[612a81d9ce]`](https://github.com/aspnet/AspNetCore/commit/612a81d9ce) Defer processing <key> descriptors until necessary - Make CreateNewKey more robust against bad key repositories - Don't hide key deserialization errors
* [`[36f02690d2]`](https://github.com/aspnet/AspNetCore/commit/36f02690d2) Expose source start/end tags on TagHelperBlocks.
* [`[f49d52b5fc]`](https://github.com/aspnet/AspNetCore/commit/f49d52b5fc) Add @tagHelperPrefix inheritance support.
* [`[7a245eba5b]`](https://github.com/aspnet/AspNetCore/commit/7a245eba5b) Update welcome page text from ASP.NET vnext to 5
* [`[f63702754f]`](https://github.com/aspnet/AspNetCore/commit/f63702754f) [Fixes #160] Added OnResponseCompleted to HttpResponse
* [`[14d1b467c6]`](https://github.com/aspnet/AspNetCore/commit/14d1b467c6) ClaimsXform and RIP AutoAuthHandler
* [`[e16d263cd5]`](https://github.com/aspnet/AspNetCore/commit/e16d263cd5) Reduce use of TypeActivation for ModelBinders
* [`[29909e15f3]`](https://github.com/aspnet/AspNetCore/commit/29909e15f3) Cleaning up AntiForgery
* [`[37dc8581de]`](https://github.com/aspnet/AspNetCore/commit/37dc8581de) Removing 'Options' from the 'ConfigureRouteOptions' extension method name.
* [`[b485b60014]`](https://github.com/aspnet/AspNetCore/commit/b485b60014) Updating the version of System.Runtime.Serialization.Primitives
* [`[3b0d5fd422]`](https://github.com/aspnet/AspNetCore/commit/3b0d5fd422) Add extension method for getting environment name
* [`[3d247ec028]`](https://github.com/aspnet/AspNetCore/commit/3d247ec028) [Fixes #2086] FilePathResult WriteFileAsync uses SendFile feature incorrectly
* [`[403f7c7585]`](https://github.com/aspnet/AspNetCore/commit/403f7c7585) Ef : Enabled Autogeneration for ArtistId & GenreId using sequence which allows explicit values
* [`[e8d3fbf7bc]`](https://github.com/aspnet/AspNetCore/commit/e8d3fbf7bc) Using [NotNull] from common repo package
* [`[4373b6bf62]`](https://github.com/aspnet/AspNetCore/commit/4373b6bf62) Using [NotNull] from the common repo package
* [`[bd7f07052e]`](https://github.com/aspnet/AspNetCore/commit/bd7f07052e) Using [NotNull] from the common package
* [`[fb08460770]`](https://github.com/aspnet/AspNetCore/commit/fb08460770) Using [NotNull] from common repo package
* [`[b77e9d2d9c]`](https://github.com/aspnet/AspNetCore/commit/b77e9d2d9c) Using [NotNull] attribute from the Common repo package
* [`[b879f4a084]`](https://github.com/aspnet/AspNetCore/commit/b879f4a084) using [NotNull] attribute from the Common repo
* [`[6ee155c40f]`](https://github.com/aspnet/AspNetCore/commit/6ee155c40f) Move IServiceCollection extension to Microsoft.Framework.DependencyInjection namespace
* [`[61e4f55075]`](https://github.com/aspnet/AspNetCore/commit/61e4f55075) Moving the IServiceCollection extension into Microsoft.Framework.DependencyInjection namespace
* [`[c4aa387cd2]`](https://github.com/aspnet/AspNetCore/commit/c4aa387cd2) Temporarily skipping a couple of tests to work around Url encoder bug
* [`[ca07b6e2fd]`](https://github.com/aspnet/AspNetCore/commit/ca07b6e2fd) Using new encoders over the old encoders.
* [`[9a44e3e08b]`](https://github.com/aspnet/AspNetCore/commit/9a44e3e08b) [Fixes #2095] Mark IControllerFactory methods in DefaultControllerFactory as virtual
* [`[6c57ca7c1e]`](https://github.com/aspnet/AspNetCore/commit/6c57ca7c1e) Move IServiceCollection extensions into Microsoft.Framework.DependencyInjection namespace
* [`[177d1ffb64]`](https://github.com/aspnet/AspNetCore/commit/177d1ffb64) Adds CookiePath to SessionDefaults
* [`[2337d7808d]`](https://github.com/aspnet/AspNetCore/commit/2337d7808d) Change dependency reference WebEncoders -> WebEncoders.Core
* [`[44b530dd22]`](https://github.com/aspnet/AspNetCore/commit/44b530dd22) Change reference WebEncoders -> WebEncoders.Core
* [`[8ca2728ef8]`](https://github.com/aspnet/AspNetCore/commit/8ca2728ef8) Split encoders into two packages to resolve layering issues The core package has no external dependencies aside from NetFX-produced packages
* [`[bf7283697d]`](https://github.com/aspnet/AspNetCore/commit/bf7283697d) Flow logging through the AuthenticatedEncryption types
* [`[4883cfe40d]`](https://github.com/aspnet/AspNetCore/commit/4883cfe40d) XRE name changes
* [`[4f2288c3da]`](https://github.com/aspnet/AspNetCore/commit/4f2288c3da) Introduce concept of a "fallback key" This key is used if there is no preferred default key and the developer has disabled automatic key generation. This will keep the service from falling over if the keys are not rolled and they all expire.
* [`[58c823bc45]`](https://github.com/aspnet/AspNetCore/commit/58c823bc45) Rename KeyLifetimeOptions -> KeyManagementOptions Simplify default key resolution logic Introduce API for disabling automatic key generation
* [`[f3a9ce1ec1]`](https://github.com/aspnet/AspNetCore/commit/f3a9ce1ec1) Welcome home ScopedInstance
* [`[39fc5ebdc4]`](https://github.com/aspnet/AspNetCore/commit/39fc5ebdc4) Making the tests robust
* [`[b0c989ce90]`](https://github.com/aspnet/AspNetCore/commit/b0c989ce90) Modifying the logic to identify the runtime to use
* [`[79c1672e65]`](https://github.com/aspnet/AspNetCore/commit/79c1672e65) Another namespace issue
* [`[b016764f26]`](https://github.com/aspnet/AspNetCore/commit/b016764f26) Went a bit too far. :-)
* [`[e2b83aee92]`](https://github.com/aspnet/AspNetCore/commit/e2b83aee92) Use some namespaces
* [`[456a38a249]`](https://github.com/aspnet/AspNetCore/commit/456a38a249) Fix the `init` target - correct check for whether target file is present - correct `makefile.shade` filename - do not copy master and release config files into every repo
* [`[7b18d1d3f1]`](https://github.com/aspnet/AspNetCore/commit/7b18d1d3f1) Clear ModelState errors of model before TryValidateModel or TryUpdateModel
* [`[bb1b49cc1c]`](https://github.com/aspnet/AspNetCore/commit/bb1b49cc1c) Fix PoliCheck violations.
* [`[e9f56055eb]`](https://github.com/aspnet/AspNetCore/commit/e9f56055eb) Need `[NotNull]` for all `TextWriter parameters in `RazorPage` - #2102 - `PositionTagged<string>` and `RenderAsyncDelegate` parameters too - and a few `string` parameters dereferenced or used as `Dictionary` keys
* [`[a6670114b1]`](https://github.com/aspnet/AspNetCore/commit/a6670114b1) Adding more fallbacks for BufferingHelper temporary folder location
* [`[332900b175]`](https://github.com/aspnet/AspNetCore/commit/332900b175) Allow XyzEncoder.Default to be settable.
* [`[ae456401a8]`](https://github.com/aspnet/AspNetCore/commit/ae456401a8) Change AllowedCharsBitmap back to a struct. I also experimented with having a fixed uint[] field inside the struct, but this actually ended up having worse performance than a proper uint[] array reference since it defeated some of the JITter's optimizations.
* [`[8e399cd83d]`](https://github.com/aspnet/AspNetCore/commit/8e399cd83d) Adding Base interfaces for Cors.Core
* [`[763051e6b8]`](https://github.com/aspnet/AspNetCore/commit/763051e6b8) Updating nuget.master.config template to have aspnetmasterfeed
* [`[681eafb438]`](https://github.com/aspnet/AspNetCore/commit/681eafb438) Renaming Nuget.org feed key name to Nuget.
* [`[db728cd386]`](https://github.com/aspnet/AspNetCore/commit/db728cd386) Introducing TempData  - Issue #455  - Updated MVC sample  - Added relevant tests
* [`[397e2c9968]`](https://github.com/aspnet/AspNetCore/commit/397e2c9968) Renaming Nuget.org feed key name to Nuget in config templates.
* [`[167b7b9317]`](https://github.com/aspnet/AspNetCore/commit/167b7b9317) Renaming Nuget.org feed key name to Nuget.
* [`[755ad7bd2b]`](https://github.com/aspnet/AspNetCore/commit/755ad7bd2b) Renaming Nuget.org feed key name to Nuget.
* [`[a7a6242a17]`](https://github.com/aspnet/AspNetCore/commit/a7a6242a17) Renaming Nuget.org feed key name to Nuget.
* [`[0a05c3b5a0]`](https://github.com/aspnet/AspNetCore/commit/0a05c3b5a0) Renaming Nuget.org feed key name to Nuget.
* [`[1ba9e04950]`](https://github.com/aspnet/AspNetCore/commit/1ba9e04950) Renaming Nuget.org feed key name to Nuget.
* [`[b3902f80c4]`](https://github.com/aspnet/AspNetCore/commit/b3902f80c4) Renaming Nuget.org feed key name to Nuget.
* [`[e31709bfcd]`](https://github.com/aspnet/AspNetCore/commit/e31709bfcd) Renaming Nuget.org feed key name to Nuget.
* [`[4e9e33fc07]`](https://github.com/aspnet/AspNetCore/commit/4e9e33fc07) Renaming Nuget.org feed key name to Nuget.
* [`[a4e01bfe35]`](https://github.com/aspnet/AspNetCore/commit/a4e01bfe35) Correct setup of three tests added in prior commit - compiler given `ApplicationName`, not `ApplicationBasePath` - @pranavkm wrote the tests prior to 64ddbe0160d4b742e000a9144d90e8dfccbfdd82
* [`[cb323e8c7e]`](https://github.com/aspnet/AspNetCore/commit/cb323e8c7e) Renaming Nuget.org feed key name to Nuget.
* [`[ed380ef61c]`](https://github.com/aspnet/AspNetCore/commit/ed380ef61c) Renaming Nuget.org feed key name to Nuget.
* [`[062214538e]`](https://github.com/aspnet/AspNetCore/commit/062214538e) Renaming Nuget.org feed key name to Nuget.
* [`[917b9e9c2e]`](https://github.com/aspnet/AspNetCore/commit/917b9e9c2e) Renaming Nuget.org feed key name to Nuget.
* [`[04008af479]`](https://github.com/aspnet/AspNetCore/commit/04008af479) Renaming Nuget.org feed key name to Nuget.
* [`[991c69b8cc]`](https://github.com/aspnet/AspNetCore/commit/991c69b8cc) Renaming Nuget.org feed key name to Nuget
* [`[b7c8af8503]`](https://github.com/aspnet/AspNetCore/commit/b7c8af8503) Reading AuthenticationProperties from SignOutContext
* [`[58c45cd379]`](https://github.com/aspnet/AspNetCore/commit/58c45cd379) SignOutContext needs AuthenticationProperties
* [`[894a14b8c3]`](https://github.com/aspnet/AspNetCore/commit/894a14b8c3) Moving the sendfile httpresponse extensions to Microsoft.AspNet.Http.Extensions package
* [`[9463b08d7b]`](https://github.com/aspnet/AspNetCore/commit/9463b08d7b) Move SendFile HttpResponse extensions to Microsoft.AspNet.Http.Extensions
* [`[717c2bfd39]`](https://github.com/aspnet/AspNetCore/commit/717c2bfd39) * Redesign CompilationResult so that it does not throw when CompiledType is accessed. * Update to use ICompilationException interface from   Microsoft.Framework.Runtime * Update to use RoslynCompilationException
* [`[de25ccc9cd]`](https://github.com/aspnet/AspNetCore/commit/de25ccc9cd) Temporarily update struct => class.
* [`[e46896b7cd]`](https://github.com/aspnet/AspNetCore/commit/e46896b7cd) Futher renaming work
* [`[89a1ec1cb5]`](https://github.com/aspnet/AspNetCore/commit/89a1ec1cb5) Apply `configureHostServices` after the `fallbackProvider` - allows MVC to override `IApplicationEnvironment` in functional tests
* [`[c483b846e4]`](https://github.com/aspnet/AspNetCore/commit/c483b846e4) Fixing the test to expect characters produced by new IHtmlEncoder
* [`[5e7f1d7eff]`](https://github.com/aspnet/AspNetCore/commit/5e7f1d7eff) Add Configure overloads for Auth for config/name
* [`[18696828cc]`](https://github.com/aspnet/AspNetCore/commit/18696828cc) Using new IHtmlEncoders
* [`[b2f66944da]`](https://github.com/aspnet/AspNetCore/commit/b2f66944da) Logging.Testing and Http.Interfaces change
* [`[1144ba72d5]`](https://github.com/aspnet/AspNetCore/commit/1144ba72d5) Porting HttpUnauthorizedResult
* [`[e738bd467d]`](https://github.com/aspnet/AspNetCore/commit/e738bd467d) Logging.Testing namespace change
* [`[3e99d38dbb]`](https://github.com/aspnet/AspNetCore/commit/3e99d38dbb) Logging.Testing namespace change
* [`[28cc37de96]`](https://github.com/aspnet/AspNetCore/commit/28cc37de96) Add another Create overload that was missing
* [`[7c18e666a3]`](https://github.com/aspnet/AspNetCore/commit/7c18e666a3) Added FormTagHelperOptions for configuring default behavior of FormTagHelper: - #1689
* [`[d03b3f2ac8]`](https://github.com/aspnet/AspNetCore/commit/d03b3f2ac8) add Heroku button to README
* [`[0f5365e5e5]`](https://github.com/aspnet/AspNetCore/commit/0f5365e5e5) add app.json
* [`[940a5a0c29]`](https://github.com/aspnet/AspNetCore/commit/940a5a0c29) Rename Microsoft.AspNet.Http.Interfaces => Microsoft.AspNet.Http
* [`[ce8caf0b9a]`](https://github.com/aspnet/AspNetCore/commit/ce8caf0b9a) Rename Microsoft.AspNet.Http.Interfaces => Microsoft.AspNet.Http
* [`[eeda8e3d73]`](https://github.com/aspnet/AspNetCore/commit/eeda8e3d73) Rename Microsoft.AspNet.Http.Interfaces => Microsoft.AspNet.Http
* [`[d5e1b198dc]`](https://github.com/aspnet/AspNetCore/commit/d5e1b198dc) Rename Microsoft.AspNet.Http.Interfaces => Microsoft.AspNet.Http
* [`[9bcc863321]`](https://github.com/aspnet/AspNetCore/commit/9bcc863321) Rename Microsoft.AspNet.Http.Interfaces => Microsoft.AspNet.Http
* [`[74ea7f723d]`](https://github.com/aspnet/AspNetCore/commit/74ea7f723d) Rename Microsoft.AspNet.Http.Interfaces => Microsoft.AspNet.Http
* [`[d6f3c05281]`](https://github.com/aspnet/AspNetCore/commit/d6f3c05281) Rename Microsoft.AspNet.Http.Interfaces => Microsoft.AspNet.Http
* [`[a9feed4de1]`](https://github.com/aspnet/AspNetCore/commit/a9feed4de1) Rename Microsoft.AspNet.Http.Interfaces => Microsoft.AspNet.Http
* [`[620e83b590]`](https://github.com/aspnet/AspNetCore/commit/620e83b590) Rename Microsoft.AspNet.Http.Interfaces => Microsoft.AspNet.Http
* [`[aacc00aaee]`](https://github.com/aspnet/AspNetCore/commit/aacc00aaee) Move extension methods to proper namespaces
* [`[e2bb76280f]`](https://github.com/aspnet/AspNetCore/commit/e2bb76280f) Support AccessDeniedPath for Cookie 403 redirection
* [`[f8453d1a9a]`](https://github.com/aspnet/AspNetCore/commit/f8453d1a9a) Fix docs errors
* [`[ca9d6bcd77]`](https://github.com/aspnet/AspNetCore/commit/ca9d6bcd77) DI API changes
* [`[09ccc84a17]`](https://github.com/aspnet/AspNetCore/commit/09ccc84a17) DI API changes
* [`[88eb10dcfe]`](https://github.com/aspnet/AspNetCore/commit/88eb10dcfe) DI API changes
* [`[ccb9f70545]`](https://github.com/aspnet/AspNetCore/commit/ccb9f70545) Go back to LoggerFactory temporarily
* [`[f7c78b8fbc]`](https://github.com/aspnet/AspNetCore/commit/f7c78b8fbc) Make it easier to add hosting services
* [`[eeabe27606]`](https://github.com/aspnet/AspNetCore/commit/eeabe27606) Including Mvc.js script which enables Mvc.stringify(data) used in JQuery.Post() to send data understandable by MVC.
* [`[8e4ea775ac]`](https://github.com/aspnet/AspNetCore/commit/8e4ea775ac) Fixed the solution file
* [`[f46b373acb]`](https://github.com/aspnet/AspNetCore/commit/f46b373acb) Depend on interfaces
* [`[2141edd46b]`](https://github.com/aspnet/AspNetCore/commit/2141edd46b) Fixed up solution and other things - Reduce dependencies
* [`[c230aa23e1]`](https://github.com/aspnet/AspNetCore/commit/c230aa23e1) Logging API changes
* [`[f4ea1b82fa]`](https://github.com/aspnet/AspNetCore/commit/f4ea1b82fa) Logging API changes
* [`[1e6b34a043]`](https://github.com/aspnet/AspNetCore/commit/1e6b34a043) Documentation
* [`[00a1127676]`](https://github.com/aspnet/AspNetCore/commit/00a1127676) Missed some logging API
* [`[4a37359174]`](https://github.com/aspnet/AspNetCore/commit/4a37359174) Logging API changes
* [`[02ed770353]`](https://github.com/aspnet/AspNetCore/commit/02ed770353) Logging API changes
* [`[c2a89b14a2]`](https://github.com/aspnet/AspNetCore/commit/c2a89b14a2) Removing Null* using Testing Null* classes
* [`[859a0d62b8]`](https://github.com/aspnet/AspNetCore/commit/859a0d62b8) Logging API changes
* [`[b581ff343c]`](https://github.com/aspnet/AspNetCore/commit/b581ff343c) Making RazorPage.Write() handle TagHelperContent.
* [`[ca32af61a7]`](https://github.com/aspnet/AspNetCore/commit/ca32af61a7) Removing Null* using Testing Null* classes
* [`[cdf6350b93]`](https://github.com/aspnet/AspNetCore/commit/cdf6350b93) Logging API changes
* [`[ddd369f7d9]`](https://github.com/aspnet/AspNetCore/commit/ddd369f7d9) Logging API changes
* [`[329d826857]`](https://github.com/aspnet/AspNetCore/commit/329d826857) Logging API changes
* [`[16f1ebe6a8]`](https://github.com/aspnet/AspNetCore/commit/16f1ebe6a8) Logging API changes
* [`[5655751d84]`](https://github.com/aspnet/AspNetCore/commit/5655751d84) Logging API changes
* [`[4887a77498]`](https://github.com/aspnet/AspNetCore/commit/4887a77498) Logging API changes
* [`[2af7332667]`](https://github.com/aspnet/AspNetCore/commit/2af7332667) Adding ILogger<> to the manifest
* [`[718d923c7d]`](https://github.com/aspnet/AspNetCore/commit/718d923c7d) Adding IApplicationLifetime to the manifest
* [`[ca3259f703]`](https://github.com/aspnet/AspNetCore/commit/ca3259f703) Implementing IRequestIdentifierFeature
* [`[ae23f7c7bc]`](https://github.com/aspnet/AspNetCore/commit/ae23f7c7bc) Adding a feature to get the traceidentifier for a request
* [`[bd9d57d33e]`](https://github.com/aspnet/AspNetCore/commit/bd9d57d33e) Introducing buffering in TagHelperOutput.PreContent, Content, PostContent.
* [`[2e84d68973]`](https://github.com/aspnet/AspNetCore/commit/2e84d68973) Replaced BuddyType attribute with ModelMetadatType and SimpleMapper with Automapper
* [`[89f2e3e32a]`](https://github.com/aspnet/AspNetCore/commit/89f2e3e32a) Removing check for NTLM altogether
* [`[7b8ace5489]`](https://github.com/aspnet/AspNetCore/commit/7b8ace5489) Re-enable the Ntlm authentication tests
* [`[1df35b8e8b]`](https://github.com/aspnet/AspNetCore/commit/1df35b8e8b) Reenable OpenId test
* [`[0577454f13]`](https://github.com/aspnet/AspNetCore/commit/0577454f13) Fix for OpenIdConnect
* [`[f2d345855b]`](https://github.com/aspnet/AspNetCore/commit/f2d345855b) Adding a test for mutable feature collection
* [`[81c3b75980]`](https://github.com/aspnet/AspNetCore/commit/81c3b75980) Replaced WebUtility.HtmlEnode with IHtmlEncoder.HtmlEncode
* [`[fde3b0d2af]`](https://github.com/aspnet/AspNetCore/commit/fde3b0d2af) OwinFeature collection throws NotSupported exception as the featurecollection is immutable
* [`[7ecce1b666]`](https://github.com/aspnet/AspNetCore/commit/7ecce1b666) Replaced WebUtility.HtmlEncode with IHtmlEncoder.HtmlEncode
* [`[e4b1242328]`](https://github.com/aspnet/AspNetCore/commit/e4b1242328) Update missed GlobalImport naming bits in MvcRazorParser.
* [`[d890f49fc0]`](https://github.com/aspnet/AspNetCore/commit/d890f49fc0) Fix sln and kproj
* [`[4d97a544f1]`](https://github.com/aspnet/AspNetCore/commit/4d97a544f1) Add TagHelperPrefix directive.
* [`[775eb5ece4]`](https://github.com/aspnet/AspNetCore/commit/775eb5ece4) Split Security into AuthN/AuthZ
* [`[de1e8763dd]`](https://github.com/aspnet/AspNetCore/commit/de1e8763dd) Security -> Authentication
* [`[ae4cafc002]`](https://github.com/aspnet/AspNetCore/commit/ae4cafc002) Correct evaluation of expression result in `GenerateSelect()` - #1468 - Always use `ModelExplorer` in `<select/>`, `DropDownListFor()` and `ListBoxFor()` cases  - allows evaluation of more-complex expressions - Use `ViewData.Model` in `DropDownList()` and `ListBox()` template cases  - `ViewData` was previously ignored in these cases
* [`[d6535eeba0]`](https://github.com/aspnet/AspNetCore/commit/d6535eeba0) Rename IHttpContextAccessor.Value to IHttpContextAccessor.HttpContext
* [`[16c8d51d0b]`](https://github.com/aspnet/AspNetCore/commit/16c8d51d0b) Fixes #76 - improve error messages in Hosting
* [`[28561e9924]`](https://github.com/aspnet/AspNetCore/commit/28561e9924) Follow up to `ModelExplorer` creation - see commit 9d5364c - never correct to pass a `Func<object>` to `GetExplorerForExpression()` - `<label/>` tests succeeded because that tag helper doesn't use expression result - `<select/>` tests succeeded because that tag helper gets result from `ViewData`  - does not use `ModelExplorer` due to #1468
* [`[a1dbce9065]`](https://github.com/aspnet/AspNetCore/commit/a1dbce9065) Rename AddEncoders -> AddWebEncoders
* [`[6bf5eabd9f]`](https://github.com/aspnet/AspNetCore/commit/6bf5eabd9f) Hosting API review # 2
* [`[eb42bc51fb]`](https://github.com/aspnet/AspNetCore/commit/eb42bc51fb) CodePointFilter parameterless ctor should be empty, not Basic Latin
* [`[72533d66df]`](https://github.com/aspnet/AspNetCore/commit/72533d66df) Update functional test: - #1577
* [`[8b64e3c7bb]`](https://github.com/aspnet/AspNetCore/commit/8b64e3c7bb) Add support for globbing to ScriptTagHelper: - Fixes #1577
* [`[6490b113d8]`](https://github.com/aspnet/AspNetCore/commit/6490b113d8) Make LinkTagHelper JS down-level browser safe: - #2088
* [`[bf0f94ce20]`](https://github.com/aspnet/AspNetCore/commit/bf0f94ce20) Store reg keys in a different folder to mitigate impact of renaming changes
* [`[3260787f2b]`](https://github.com/aspnet/AspNetCore/commit/3260787f2b) NullLogger moved location
* [`[73f44889f2]`](https://github.com/aspnet/AspNetCore/commit/73f44889f2) ViewLocationExpanderContext should have a flag that indicates if the lookup is for a full or partial view
* [`[e4db4b1189]`](https://github.com/aspnet/AspNetCore/commit/e4db4b1189) Temporarily store keys in different folder to resolve issues caused by package renaming
* [`[a2eec4f863]`](https://github.com/aspnet/AspNetCore/commit/a2eec4f863) Changing the IHttpContextFactory.CreateHttpContext take in a IFeatureCollection
* [`[fc6b855f42]`](https://github.com/aspnet/AspNetCore/commit/fc6b855f42) Changing the AppFunc signature to pass IFeatureCollection
* [`[cb3def5668]`](https://github.com/aspnet/AspNetCore/commit/cb3def5668) Changing signature of AppFunc to pass on IFeatureCollection
* [`[e2ca9fc652]`](https://github.com/aspnet/AspNetCore/commit/e2ca9fc652) Rename to Microsoft.AspNet.DataProtection from Microsoft.AspNet.Security.DataProtection
* [`[e8e2fbbdeb]`](https://github.com/aspnet/AspNetCore/commit/e8e2fbbdeb) Reference WebEncoders package
* [`[be7984eebc]`](https://github.com/aspnet/AspNetCore/commit/be7984eebc) Logging test objects were copy-pasta from logging repo, removing and using official version
* [`[ab18f52e98]`](https://github.com/aspnet/AspNetCore/commit/ab18f52e98) Add CreateProtector convenience extension method
* [`[6637cb264f]`](https://github.com/aspnet/AspNetCore/commit/6637cb264f) Split KeyDerivation into its own project Move shared crypto code to a common project
* [`[8f1ab39f6c]`](https://github.com/aspnet/AspNetCore/commit/8f1ab39f6c) Added Microsoft.AspNet.Testing.Logging to test project.
* [`[9b69e6f234]`](https://github.com/aspnet/AspNetCore/commit/9b69e6f234) LogFormatter API change
* [`[594ccb98cc]`](https://github.com/aspnet/AspNetCore/commit/594ccb98cc) Initial Commit to enable CI
* [`[dc49a2c194]`](https://github.com/aspnet/AspNetCore/commit/dc49a2c194) Added HttpNotFoundObjectResult and added relevant tests
* [`[f737083c94]`](https://github.com/aspnet/AspNetCore/commit/f737083c94) Added JsonContractResolver to validate value type properties
* [`[c276ddaa39]`](https://github.com/aspnet/AspNetCore/commit/c276ddaa39) Added support for validation of Required attributes in case of XmlDataContractSerializerInputFormatter
* [`[eef8884d0f]`](https://github.com/aspnet/AspNetCore/commit/eef8884d0f) LinkTagHelper & ScriptTagHelper now log view path: - #1949
* [`[9d5364cf9b]`](https://github.com/aspnet/AspNetCore/commit/9d5364cf9b) Removing ModelMetadata.Model
* [`[3dbdf3b2d6]`](https://github.com/aspnet/AspNetCore/commit/3dbdf3b2d6) Avoid exception in `MvcTagHelper` JavaScript - `blank` is undefined so `blank.wooptido` threw
* [`[7c2d4593de]`](https://github.com/aspnet/AspNetCore/commit/7c2d4593de) Clean up the framework detection logic in _k-test.shade
* [`[b95e73e2b0]`](https://github.com/aspnet/AspNetCore/commit/b95e73e2b0) Add Items bag to TagHelperContext.
* [`[0ef3921e20]`](https://github.com/aspnet/AspNetCore/commit/0ef3921e20) Removing aspnetcore50 from test project.json
* [`[0e72888105]`](https://github.com/aspnet/AspNetCore/commit/0e72888105) Making tests runnable on coreclr
* [`[df4b92b1c1]`](https://github.com/aspnet/AspNetCore/commit/df4b92b1c1) Update MVC projects to utilize Common repo classes.
* [`[e6b75de0af]`](https://github.com/aspnet/AspNetCore/commit/e6b75de0af) Cache the result of ViewComponent discovery
* [`[23e6264715]`](https://github.com/aspnet/AspNetCore/commit/23e6264715) Fix1571 - Supporting self-closing tags for taghelpers
* [`[4f0ba26c79]`](https://github.com/aspnet/AspNetCore/commit/4f0ba26c79) Adding the test cases for generating lower case URLs
* [`[81a17300b2]`](https://github.com/aspnet/AspNetCore/commit/81a17300b2) Issue 140: Support lower case routes
* [`[62036bf74b]`](https://github.com/aspnet/AspNetCore/commit/62036bf74b) Using IHtmlEncode to encode content
* [`[43fc844524]`](https://github.com/aspnet/AspNetCore/commit/43fc844524) Correct `grunt-bower-task` operation - jQuery and jQuery-validation files were not being copied - update to match more-recent VS templates
* [`[e797b0af51]`](https://github.com/aspnet/AspNetCore/commit/e797b0af51) Disable functional tests in CoreCLR until System.Runtime.Dynamic issue is sorted out
* [`[ffb388ab62]`](https://github.com/aspnet/AspNetCore/commit/ffb388ab62) Changes for tag helper precompilation with tests
* [`[57f5b19f25]`](https://github.com/aspnet/AspNetCore/commit/57f5b19f25) * Move precompiled assemblies into a resource in the primary assembly. * Emit the primary assembly if a tag helper requires it. * Make TagHelperSample.Web use precompilation.
* [`[61be874af8]`](https://github.com/aspnet/AspNetCore/commit/61be874af8) Changes to support use of TagHelpers in applications with precompiled views.
* [`[b510370c9b]`](https://github.com/aspnet/AspNetCore/commit/b510370c9b) Add ILogger to manifest
* [`[21d5ae540e]`](https://github.com/aspnet/AspNetCore/commit/21d5ae540e) Fix for MVC functional failures
* [`[f41b6e4d10]`](https://github.com/aspnet/AspNetCore/commit/f41b6e4d10) other interface implementation
* [`[b0b1bb3032]`](https://github.com/aspnet/AspNetCore/commit/b0b1bb3032) fixing logging interface change
* [`[d9e2581c9a]`](https://github.com/aspnet/AspNetCore/commit/d9e2581c9a) responding to interface break
* [`[c551ec2490]`](https://github.com/aspnet/AspNetCore/commit/c551ec2490) Add encoder extension methods
* [`[2ee12735b3]`](https://github.com/aspnet/AspNetCore/commit/2ee12735b3) Make it easier to add hosting services
* [`[9fcf31fa43]`](https://github.com/aspnet/AspNetCore/commit/9fcf31fa43) Activate ViewDataDictionary in DefaultTagHelperActivator
* [`[d236d4ffde]`](https://github.com/aspnet/AspNetCore/commit/d236d4ffde) Added CanReadType to InputFormatter
* [`[bb31e2aec5]`](https://github.com/aspnet/AspNetCore/commit/bb31e2aec5) Rename Microsoft.AspNet.PageExecutionInstrumentation to Microsoft.AspNet.PageExecutionInstrumentation.Interfaces
* [`[e0f7c1b810]`](https://github.com/aspnet/AspNetCore/commit/e0f7c1b810) Fixing Readme
* [`[565a31b200]`](https://github.com/aspnet/AspNetCore/commit/565a31b200) Change SourceLocation to be serializable.
* [`[85b6382c69]`](https://github.com/aspnet/AspNetCore/commit/85b6382c69) Fix for #563 - FromForm, FromQuery and FromValue allow providing a Name which is used as a prefix. Also the name is used for reporting model state errors.
* [`[42da0144b9]`](https://github.com/aspnet/AspNetCore/commit/42da0144b9) Ensure the latest AspNet.Loader.dll is retrieved
* [`[1cb170ce02]`](https://github.com/aspnet/AspNetCore/commit/1cb170ce02) Add delay after _GlobalImport is deleted to allow file system watcher to react
* [`[4ac3acca22]`](https://github.com/aspnet/AspNetCore/commit/4ac3acca22) Wait for precompiled file to change.
* [`[7ace9dece4]`](https://github.com/aspnet/AspNetCore/commit/7ace9dece4) Update kvm.ps1
* [`[8eb63271b5]`](https://github.com/aspnet/AspNetCore/commit/8eb63271b5) Make HTML helper parameter names consistent - #944 - name `string` expression name and `Expression<Func<TModel, TResult>>`   parameters "expression"  - single special case is `GenerateIdFromName(string fullName)` since every    other expression name is relative to the current    `ViewData,TemplateInfo.HtmlFieldPrefix` value  - applied from `IHtmlHelper` and `IHtmlGenerator` on up - name `IHtmlHelper` and `IHtmlHelper<TModel>` parameters "htmlHelper" - rename `TProperty` and `TValue` type parameters to `TResult`
* [`[f19c2e493d]`](https://github.com/aspnet/AspNetCore/commit/f19c2e493d) Merging Model Validation for body and non body validation. This also fixes #1503.
* [`[3d6a018793]`](https://github.com/aspnet/AspNetCore/commit/3d6a018793) Upgrading Roslyn version to 1.0.0-rc2
* [`[fa18a8fb30]`](https://github.com/aspnet/AspNetCore/commit/fa18a8fb30) Rename HttpRequest.IsSecure -> HttpRequest.IsHttps
* [`[3dc3d280d5]`](https://github.com/aspnet/AspNetCore/commit/3dc3d280d5) Fixed XmlAssert and added tests
* [`[a0fa8fff16]`](https://github.com/aspnet/AspNetCore/commit/a0fa8fff16) Initial commit
* [`[6e845f0171]`](https://github.com/aspnet/AspNetCore/commit/6e845f0171) Add globbing support to the LinkTagHelper: - #1581
* [`[f9a9b80681]`](https://github.com/aspnet/AspNetCore/commit/f9a9b80681) Fixing the error message. The error message for malformed template was too complex listing all the errors that can happen in one message. I have separated the message in 2 different messages.  1. When there is a parameter or a literal following the optional parameter.  2. when optional parameter is preceded by a literal other than period which is not allowed.
* [`[7da407a17a]`](https://github.com/aspnet/AspNetCore/commit/7da407a17a) Using statuscode pages in the sample
* [`[3f9423eda9]`](https://github.com/aspnet/AspNetCore/commit/3f9423eda9) Provide a facility for registering encoder services
* [`[af58d878ba]`](https://github.com/aspnet/AspNetCore/commit/af58d878ba) Fix MusicStore.Spa
* [`[71a4b6f6b7]`](https://github.com/aspnet/AspNetCore/commit/71a4b6f6b7) Fully qualify attribute
* [`[af908d67e4]`](https://github.com/aspnet/AspNetCore/commit/af908d67e4) Switch to Security Authorize attribute
* [`[fc933c83c2]`](https://github.com/aspnet/AspNetCore/commit/fc933c83c2) Fixing a test issue
* [`[5094b85ac9]`](https://github.com/aspnet/AspNetCore/commit/5094b85ac9) Latest AuthZ iteration
* [`[42aedab4ec]`](https://github.com/aspnet/AspNetCore/commit/42aedab4ec) Add project.lock.json to .gitignore
* [`[9511a7a718]`](https://github.com/aspnet/AspNetCore/commit/9511a7a718) Add project.lock.json to .gitignore
* [`[bd9ced4b10]`](https://github.com/aspnet/AspNetCore/commit/bd9ced4b10) Add project.lock.json to .gitignore
* [`[58661b2734]`](https://github.com/aspnet/AspNetCore/commit/58661b2734) Add project.lock.json to .gitignore
* [`[1d92960ccd]`](https://github.com/aspnet/AspNetCore/commit/1d92960ccd) Add project.lock.json to .gitignore
* [`[1dd54e4331]`](https://github.com/aspnet/AspNetCore/commit/1dd54e4331) Add project.lock.json to .gitignore
* [`[518887beda]`](https://github.com/aspnet/AspNetCore/commit/518887beda) Add project.lock.json to .gitignore
* [`[3d30fd653e]`](https://github.com/aspnet/AspNetCore/commit/3d30fd653e) added Link method to IUrlHelper
* [`[0da745439c]`](https://github.com/aspnet/AspNetCore/commit/0da745439c) Add project.lock.json to .gitignore
* [`[d0543305f0]`](https://github.com/aspnet/AspNetCore/commit/d0543305f0) Add project.lock.json to .gitignore
* [`[34acb16e20]`](https://github.com/aspnet/AspNetCore/commit/34acb16e20) Add project.lock.json to .gitignore
* [`[690069c53e]`](https://github.com/aspnet/AspNetCore/commit/690069c53e) Add project.lock.json to .gitignore
* [`[20cdbcd711]`](https://github.com/aspnet/AspNetCore/commit/20cdbcd711) Add project.lock.json to .gitignore
* [`[5e69d90076]`](https://github.com/aspnet/AspNetCore/commit/5e69d90076) * Modify DefaultControllerTypeProvider to look at the object graph to determine if any ancestor has the "Controller" suffix.
* [`[8a9d0d16f7]`](https://github.com/aspnet/AspNetCore/commit/8a9d0d16f7) Add project.lock.json to .gitignore
* [`[7df56f6d2d]`](https://github.com/aspnet/AspNetCore/commit/7df56f6d2d) Porting Session from Microsoft.Framework.Cache
* [`[7b45ab2065]`](https://github.com/aspnet/AspNetCore/commit/7b45ab2065) Fixing test
* [`[3fc61eeac9]`](https://github.com/aspnet/AspNetCore/commit/3fc61eeac9) Introducing SkipStatusCodePagesAttribute attribute to disable StatusCodepages
* [`[fbe331c1ab]`](https://github.com/aspnet/AspNetCore/commit/fbe331c1ab) Camel-case tag helper directives - #264
* [`[d16a73cc05]`](https://github.com/aspnet/AspNetCore/commit/d16a73cc05) Adding woff2 MIME type
* [`[fc52487294]`](https://github.com/aspnet/AspNetCore/commit/fc52487294) Encoders should forbid Zs (space separator) characters except U+0020 SPACE
* [`[e14dbdf9be]`](https://github.com/aspnet/AspNetCore/commit/e14dbdf9be) Add parser error for empty TagHelper bound attributes.
* [`[2e2ca59aa5]`](https://github.com/aspnet/AspNetCore/commit/2e2ca59aa5) Updating MusicStore for better unit-testability
* [`[088bb18eed]`](https://github.com/aspnet/AspNetCore/commit/088bb18eed) Added support for binding FormCollection  - Added FormCollectionModelBinder  - Added relevant unit and functional tests
* [`[a33e83f363]`](https://github.com/aspnet/AspNetCore/commit/a33e83f363) Adding IView.Path and ViewContext.ExecutingPagePath
* [`[daaeca8681]`](https://github.com/aspnet/AspNetCore/commit/daaeca8681) Skip a few CoreCLR tests temporarily
* [`[77947d1cb5]`](https://github.com/aspnet/AspNetCore/commit/77947d1cb5) Fixing System.IO version
* [`[e95472e953]`](https://github.com/aspnet/AspNetCore/commit/e95472e953) Switch from tabs to spaces
* [`[0cd3d3767e]`](https://github.com/aspnet/AspNetCore/commit/0cd3d3767e) Deep clean on the CI as part of clean
* [`[a48f76da7c]`](https://github.com/aspnet/AspNetCore/commit/a48f76da7c) Update IServiceProvider references
* [`[fe3675a9e0]`](https://github.com/aspnet/AspNetCore/commit/fe3675a9e0) Ability to derive Startup from a base class and have "Configure" and "ConfigureServices" be invoked from the base class when present.
* [`[5038c369db]`](https://github.com/aspnet/AspNetCore/commit/5038c369db) Using IServiceManifest from Microsoft.Framework.Runtime.Interfaces
* [`[0dd3a49463]`](https://github.com/aspnet/AspNetCore/commit/0dd3a49463) Perf: Eliminate chatty virtual dispatches This gives a speedup of approx. 20% (for overloads which take TextWriter) to 40% (for overloads which don't take TextWriter) for inputs in which at least one character requires encoding.
* [`[f243244972]`](https://github.com/aspnet/AspNetCore/commit/f243244972) Adding ability to turn off the status code pages
* [`[26cd8d51b6]`](https://github.com/aspnet/AspNetCore/commit/26cd8d51b6) Removing ANIs
* [`[5ed0638402]`](https://github.com/aspnet/AspNetCore/commit/5ed0638402) Move PageExecutionListener interfaces to a separate assembly.
* [`[e5c6fd401f]`](https://github.com/aspnet/AspNetCore/commit/e5c6fd401f) Add TextWriter-based overloads to the encoding routines These make the core implementations slightly slower but provide the benefit of reducing allocations, which is useful when these methods are called frequently by Razor.
* [`[13e1c9d5e1]`](https://github.com/aspnet/AspNetCore/commit/13e1c9d5e1) added InputFormatter base type
* [`[e1e43e1e8c]`](https://github.com/aspnet/AspNetCore/commit/e1e43e1e8c) ControllerActivator should be able to use controllers registered as services
* [`[7cb6c1065c]`](https://github.com/aspnet/AspNetCore/commit/7cb6c1065c) Fix for #1913 - Improve attribute route link generation for areas
* [`[1721d90065]`](https://github.com/aspnet/AspNetCore/commit/1721d90065) Fixes for changes in routing
* [`[9ee946073a]`](https://github.com/aspnet/AspNetCore/commit/9ee946073a) Add support for best-effort link-generation
* [`[14c872d981]`](https://github.com/aspnet/AspNetCore/commit/14c872d981) Update HtmlEncoder to wrap UnicodeEncoderBase
* [`[fc7ed3a9cd]`](https://github.com/aspnet/AspNetCore/commit/fc7ed3a9cd) Add TLS token binding feature
* [`[7e166295ba]`](https://github.com/aspnet/AspNetCore/commit/7e166295ba) Simplify `<select/>` tag helper `multiple` attribute handling - #1516 - `allowMultiple == true` when model has a collection type  - ignore any `multiple` attribute in Razor source when generating element - simplify tests too: fewer error cases
* [`[dd3f67c93f]`](https://github.com/aspnet/AspNetCore/commit/dd3f67c93f) Update dictionary initializer in ScriptTagHelperTest to C#6
* [`[31afaca7e3]`](https://github.com/aspnet/AspNetCore/commit/31afaca7e3) Renaming some extensions to disambiguate ones with similar parameters.
* [`[7d56399702]`](https://github.com/aspnet/AspNetCore/commit/7d56399702) xml doc fix
* [`[686d517966]`](https://github.com/aspnet/AspNetCore/commit/686d517966) Updating extension names
* [`[b4d1eec87a]`](https://github.com/aspnet/AspNetCore/commit/b4d1eec87a) Makes attribute routing respond to AD updates
* [`[9e7fbde9f1]`](https://github.com/aspnet/AspNetCore/commit/9e7fbde9f1) Logical AND would never be true; broke into OR statement
* [`[70ce04ff21]`](https://github.com/aspnet/AspNetCore/commit/70ce04ff21) Results of parsing _ViewStart files should be cached
* [`[6444f3e15d]`](https://github.com/aspnet/AspNetCore/commit/6444f3e15d) Move the reason phrase lookup to WebUtilities.
* [`[cd238d4545]`](https://github.com/aspnet/AspNetCore/commit/cd238d4545) Outline for StatusCodePages middleware.
* [`[04c6b1f101]`](https://github.com/aspnet/AspNetCore/commit/04c6b1f101) Adding necessary dependencies to OpenIdConnect directly
* [`[4e5fc2e2dd]`](https://github.com/aspnet/AspNetCore/commit/4e5fc2e2dd) Fixing Routing Issue: 136 The RegEx inline constraint doesn't take care of Escape characters.
* [`[6208698a5c]`](https://github.com/aspnet/AspNetCore/commit/6208698a5c) Added Microsoft.AspNet.Hosting.Interfaces package
* [`[b3c38bc573]`](https://github.com/aspnet/AspNetCore/commit/b3c38bc573) Temporarily skip MvcSampleTests scenario to workaround System.Dynamic.Runtime issue
* [`[65839b678c]`](https://github.com/aspnet/AspNetCore/commit/65839b678c) Feature: Add DebuggerInfo to ApplicationModel
* [`[4ecbe8c709]`](https://github.com/aspnet/AspNetCore/commit/4ecbe8c709) [Fixes #1065] Need a way to specify "just type" with produces
* [`[57c04835de]`](https://github.com/aspnet/AspNetCore/commit/57c04835de) Updating ActionContext for the default constructor and the setter methods
* [`[2e938a51f8]`](https://github.com/aspnet/AspNetCore/commit/2e938a51f8) [Fixes #1878] Investigate Xml formatters tests failures on Windows 2008 R2 OS
* [`[2c881cf6a6]`](https://github.com/aspnet/AspNetCore/commit/2c881cf6a6) Adding verification for openIdconnect logout flow
* [`[c7d09d7ad7]`](https://github.com/aspnet/AspNetCore/commit/c7d09d7ad7) Introducing UrlActionContext and UrlRouteContext, and updating IUrlHelper accordingly
* [`[ac6a1a6a80]`](https://github.com/aspnet/AspNetCore/commit/ac6a1a6a80) Replaced status code number with constants
* [`[3c380bc38e]`](https://github.com/aspnet/AspNetCore/commit/3c380bc38e) [Perf] #1550 - Turn ModelMetadataProvider into a singleton
* [`[710c2d7d21]`](https://github.com/aspnet/AspNetCore/commit/710c2d7d21) Removing the AzureAD feed from security repo
* [`[e94cec51fa]`](https://github.com/aspnet/AspNetCore/commit/e94cec51fa) Script Tag Helper
* [`[530d655d59]`](https://github.com/aspnet/AspNetCore/commit/530d655d59) Use `default` for `*GloballyInstalled` variables - allows calling .shade files to avoid repeated `TestCommand()` calls
* [`[12f8f23ccb]`](https://github.com/aspnet/AspNetCore/commit/12f8f23ccb) Make BindingSource extensible
* [`[80f7e445e5]`](https://github.com/aspnet/AspNetCore/commit/80f7e445e5) Pay attention to `bower` and `grunt` libraries, not containing folder - should help to avoid repeated CI failures executing `bower`
* [`[5e704cd5ef]`](https://github.com/aspnet/AspNetCore/commit/5e704cd5ef) Added custom exception message for Format Exception
* [`[c635116278]`](https://github.com/aspnet/AspNetCore/commit/c635116278) Changing some more logger usage to use structured logging.
* [`[59db8143da]`](https://github.com/aspnet/AspNetCore/commit/59db8143da) Updating CompilerCache to use IMemoryCache and file system watcher to expire files in razor file cache.
* [`[d78932d927]`](https://github.com/aspnet/AspNetCore/commit/d78932d927) Using structure logging strings.
* [`[19ca77ac2d]`](https://github.com/aspnet/AspNetCore/commit/19ca77ac2d) Fixed xml docs.
* [`[4691823a50]`](https://github.com/aspnet/AspNetCore/commit/4691823a50) Issue #1785 - Changes to add CacheProfiles for response caching.
* [`[4a0518ec99]`](https://github.com/aspnet/AspNetCore/commit/4a0518ec99) Updating .kproj file
* [`[51b80f660e]`](https://github.com/aspnet/AspNetCore/commit/51b80f660e) Updating .kproj file
* [`[b17d718d27]`](https://github.com/aspnet/AspNetCore/commit/b17d718d27) Updating .kproj files
* [`[6224268953]`](https://github.com/aspnet/AspNetCore/commit/6224268953) Updating .kproj files
* [`[6e8cc6ba74]`](https://github.com/aspnet/AspNetCore/commit/6e8cc6ba74) Adding extension methods ConfigureMvcOptions and ConfigureRazorViewEngineOptions.
* [`[1165ba363e]`](https://github.com/aspnet/AspNetCore/commit/1165ba363e) Increasing time out for mono
* [`[8617bdc223]`](https://github.com/aspnet/AspNetCore/commit/8617bdc223) Printing the runtime information at the beginning of the test
* [`[a54886b3f3]`](https://github.com/aspnet/AspNetCore/commit/a54886b3f3) Updating .kproj files
* [`[e805e67b4c]`](https://github.com/aspnet/AspNetCore/commit/e805e67b4c) [Fix for #1929] HeaderModelBinder needs to honor explicit name.
* [`[ff63cb8b0d]`](https://github.com/aspnet/AspNetCore/commit/ff63cb8b0d) Move grunt execution to before compilation
* [`[67dcdbf8a1]`](https://github.com/aspnet/AspNetCore/commit/67dcdbf8a1) Issue #1669: Adding extension method ConfigureRouteOptions.
* [`[5df0d884aa]`](https://github.com/aspnet/AspNetCore/commit/5df0d884aa) Removing a fixed waittime of 25 seconds on mono
* [`[94230a5a14]`](https://github.com/aspnet/AspNetCore/commit/94230a5a14) Add TagHelper parse level opt-out character '!'.
* [`[2c5ae68ab6]`](https://github.com/aspnet/AspNetCore/commit/2c5ae68ab6) Issue #1944: Move DelegatingStream to internal namespace and rename to NonDisposableStream.
* [`[c669f7a612]`](https://github.com/aspnet/AspNetCore/commit/c669f7a612) Fixing xml doc issue
* [`[ad66a71eeb]`](https://github.com/aspnet/AspNetCore/commit/ad66a71eeb) LinkTagHelper activates ILogger directly from DI: - #1948
* [`[eba2808109]`](https://github.com/aspnet/AspNetCore/commit/eba2808109) Register ILogger<T> -> Logger<T> in default services
* [`[3d33418f31]`](https://github.com/aspnet/AspNetCore/commit/3d33418f31) Add the LinkTagHelper: - #1580
* [`[e26705e2de]`](https://github.com/aspnet/AspNetCore/commit/e26705e2de) Changing codeplex -> github.com/aspnet/musicstore
* [`[7afd78b36a]`](https://github.com/aspnet/AspNetCore/commit/7afd78b36a) Fix empty attribute projections for TagHelpers.
* [`[b48c46ee7d]`](https://github.com/aspnet/AspNetCore/commit/b48c46ee7d) Reenabling the open idconnect test
* [`[4e83a678c0]`](https://github.com/aspnet/AspNetCore/commit/4e83a678c0) Creating authentication ticket by passing in a principal
* [`[514460b801]`](https://github.com/aspnet/AspNetCore/commit/514460b801) Making FormatFilter a Service and some test changes
* [`[d7f2630ad2]`](https://github.com/aspnet/AspNetCore/commit/d7f2630ad2) Making FormatFilterAttribute an IFilterFactory
* [`[addd8dd5d2]`](https://github.com/aspnet/AspNetCore/commit/addd8dd5d2) Changing produces and format filter interaction
* [`[c8b911b596]`](https://github.com/aspnet/AspNetCore/commit/c8b911b596) Adding functional tests and attribute route tests. Incorporating PR coments.
* [`[d91b7776b3]`](https://github.com/aspnet/AspNetCore/commit/d91b7776b3) This is MVC part of feature URL Extensions. It does following: 1. Creates a filter called FormatFilter. This will look at the format parameter if present    in the route data or query data and sets the content type in ObjectResult 2. It adds new options called FormatterOptions, that contains the map of format to content tyepe 3. A method in MVC options to add the formatter mapping
* [`[6d39addb5b]`](https://github.com/aspnet/AspNetCore/commit/6d39addb5b) Create target directory for `npm` installations - #144 - problems seem primarily to occur when `node` is globally installed but a   package (`grunt` or `bower`) is not; `npm install X` fails in this case - create the `--prefix` directory first to avoid these installation failures - change _node-install.shade to avoid confusion when directory exists
* [`[e5176d22f6]`](https://github.com/aspnet/AspNetCore/commit/e5176d22f6) [Fixes #1121,#1508] Wrap objects for serialization/deserialization and DelegatingEnumerable<> support for IEnumerable<T> and IQueryable<T>
* [`[7c7eaa264d]`](https://github.com/aspnet/AspNetCore/commit/7c7eaa264d) Use CRC32 instead of MD5 for hashing the file content.
* [`[7783c36856]`](https://github.com/aspnet/AspNetCore/commit/7783c36856) Disabling the openIdc test to enable coherence
* [`[da5a292b12]`](https://github.com/aspnet/AspNetCore/commit/da5a292b12) :arrow_up: kvm again
* [`[5b55da271c]`](https://github.com/aspnet/AspNetCore/commit/5b55da271c) Use Add instead of AddAsync
* [`[6adb92fea6]`](https://github.com/aspnet/AspNetCore/commit/6adb92fea6) :arrow_up: kvm
* [`[6cc5cfeae2]`](https://github.com/aspnet/AspNetCore/commit/6cc5cfeae2) Download and install jQuery Unobtrusive Validation and its dependencies - avoids checking these external .js files into our repo - limit jQuery*.js versions to single value, mostly the latest but don't   cross over to jQuery.js 2.0.x range (incompatible with IE 6, 7, 8)
* [`[1a62f104b4]`](https://github.com/aspnet/AspNetCore/commit/1a62f104b4) Add functional test of `[Remote]` - #439 (3 of 3) - extended the Validation web site to include use of `[Remote]` - also confirm operation of the validation actions (which all reject their input)
* [`[1af1583302]`](https://github.com/aspnet/AspNetCore/commit/1af1583302) Copy `[Remote]` and supporting classes from MVC 5.2 - #439 (1 of 3)
* [`[7431356913]`](https://github.com/aspnet/AspNetCore/commit/7431356913) Short-circuit `TestCommand()` calls once commands are installed locally
* [`[56f45e0c7d]`](https://github.com/aspnet/AspNetCore/commit/56f45e0c7d) Include `bower` and `npm` commands in `--quiet` target
* [`[7da71fc5ee]`](https://github.com/aspnet/AspNetCore/commit/7da71fc5ee) Fix Open ID test case
* [`[f9d3f6fe17]`](https://github.com/aspnet/AspNetCore/commit/f9d3f6fe17) Fixing release NuGet.config
* [`[a452205e60]`](https://github.com/aspnet/AspNetCore/commit/a452205e60) Moving Microsoft.AspNet.Mvc.Xml to src dir
* [`[fde1b13b4a]`](https://github.com/aspnet/AspNetCore/commit/fde1b13b4a) Updating Mvc.NoFun.sln
* [`[8779cafbab]`](https://github.com/aspnet/AspNetCore/commit/8779cafbab) Use `[Display(Order=x)]` to sort validation messages and properties - #964 - compute `ModelMetadata.Order` based on `[Display]` attribute  - property affects e.g. `@Html.DisplayFor()` generation for complex objects  - also affects order of messages in validation summaries - test new scenarios involving `ModelMetadata.Order`  - per-property `ModelMetadata` and related tests  - validation and `HtmlHelper` tests  - add `HtmlHelperValidationSummaryTest` (which touches on #453) - update ModelBinding functional test to show use of `[Display(Order = x)]`
* [`[bccef90a2c]`](https://github.com/aspnet/AspNetCore/commit/bccef90a2c) Fixing Nuget.config
* [`[70efc5ae0a]`](https://github.com/aspnet/AspNetCore/commit/70efc5ae0a) Creating UrlUtility for IsLocalUrl, and cleaning up UrlHelper
* [`[3416bfcc80]`](https://github.com/aspnet/AspNetCore/commit/3416bfcc80) Fixing NuGet.config
* [`[f51fe93b1c]`](https://github.com/aspnet/AspNetCore/commit/f51fe93b1c) Fixing NuGet.config
* [`[37433056be]`](https://github.com/aspnet/AspNetCore/commit/37433056be) Fixing NuGet.config
* [`[ba58c767e8]`](https://github.com/aspnet/AspNetCore/commit/ba58c767e8) Fixing NuGet.config
* [`[334fa34e0c]`](https://github.com/aspnet/AspNetCore/commit/334fa34e0c) Change SKIP_DOTNET_INSTALL to SKIP_KRE_INSTALL
* [`[8621da6cac]`](https://github.com/aspnet/AspNetCore/commit/8621da6cac) Change SKIP_DOTNET_INSTALL to SKIP_KRE_INSTALL
* [`[a7a1f97e7a]`](https://github.com/aspnet/AspNetCore/commit/a7a1f97e7a) Change SKIP_DOTNET_INSTALL to SKIP_KRE_INSTALL
* [`[24e68d81ea]`](https://github.com/aspnet/AspNetCore/commit/24e68d81ea) Change SKIP_DOTNET_INSTALL to SKIP_KRE_INSTALL
* [`[edc0aef067]`](https://github.com/aspnet/AspNetCore/commit/edc0aef067) Change SKIP_DOTNET_INSTALL to SKIP_KRE_INSTALL
* [`[211dc7d9d8]`](https://github.com/aspnet/AspNetCore/commit/211dc7d9d8) Change SKIP_DOTNET_INSTALL to SKIP_KRE_INSTALL
* [`[e81f4a8e22]`](https://github.com/aspnet/AspNetCore/commit/e81f4a8e22) Change SKIP_DOTNET_INSTALL to SKIP_KRE_INSTALL
* [`[9800bc82bd]`](https://github.com/aspnet/AspNetCore/commit/9800bc82bd) Change SKIP_DOTNET_INSTALL to SKIP_KRE_INSTALL
* [`[37eb84a840]`](https://github.com/aspnet/AspNetCore/commit/37eb84a840) Change SKIP_DOTNET_INSTALL to SKIP_KRE_INSTALL
* [`[ae56486c6a]`](https://github.com/aspnet/AspNetCore/commit/ae56486c6a) Change SKIP_DOTNET_INSTALL to SKIP_KRE_INSTALL
* [`[89484cdffb]`](https://github.com/aspnet/AspNetCore/commit/89484cdffb) Change SKIP_DOTNET_INSTALL to SKIP_KRE_INSTALL
* [`[dd1f5ea42c]`](https://github.com/aspnet/AspNetCore/commit/dd1f5ea42c) Change SKIP_DOTNET_INSTALL to SKIP_KRE_INSTALL
* [`[de6cbb05df]`](https://github.com/aspnet/AspNetCore/commit/de6cbb05df) Change SKIP_DOTNET_INSTALL to SKIP_KRE_INSTALL
* [`[42df4cf2ed]`](https://github.com/aspnet/AspNetCore/commit/42df4cf2ed) Fix for #1538 and #1891
* [`[6c55b360d0]`](https://github.com/aspnet/AspNetCore/commit/6c55b360d0) Rename dotnetsdk to kvm
* [`[4821108307]`](https://github.com/aspnet/AspNetCore/commit/4821108307) Add SerializerSettings property to Xml DataContractSerializer input  and output formatters.
* [`[096a0bf298]`](https://github.com/aspnet/AspNetCore/commit/096a0bf298) #174 - Constants for status codes, lookup for reason phrases.
* [`[3483842ab7]`](https://github.com/aspnet/AspNetCore/commit/3483842ab7) Rollback of setting Principal on AuthenticationTicket. adjust formating of messages.
* [`[4f32cb95fa]`](https://github.com/aspnet/AspNetCore/commit/4f32cb95fa) Fixing some issues with OpenIdconnect E2E test
* [`[53d60159f9]`](https://github.com/aspnet/AspNetCore/commit/53d60159f9) Add order property to control TagHelper execution order.
* [`[3ec5584c8c]`](https://github.com/aspnet/AspNetCore/commit/3ec5584c8c) Adding an E2E flow for OpenIDC
* [`[f1c62ef302]`](https://github.com/aspnet/AspNetCore/commit/f1c62ef302) Fix for #1837 - Determine model type at runtime for TryUpdateModel and added a test
* [`[08a578d01f]`](https://github.com/aspnet/AspNetCore/commit/08a578d01f) Issue #1525 - Enhancements to ActionContext
* [`[19de5f1be1]`](https://github.com/aspnet/AspNetCore/commit/19de5f1be1) Fix for test hang issue
* [`[e04358f7f9]`](https://github.com/aspnet/AspNetCore/commit/e04358f7f9) Missing resource file.
* [`[e5518e6fc2]`](https://github.com/aspnet/AspNetCore/commit/e5518e6fc2) ChallengeContext will be null with [Authorize] attribute OpenIdConnect set Ticket.Principal, get identity from there.
* [`[17aa21dc25]`](https://github.com/aspnet/AspNetCore/commit/17aa21dc25) Added StatusCode property to OutputFormatterContext  - Fixes issue #1809  - Added relevant tests
* [`[e3637924ee]`](https://github.com/aspnet/AspNetCore/commit/e3637924ee) Adding a basic smoke test for OpenIdConnect
* [`[8e85d53c88]`](https://github.com/aspnet/AspNetCore/commit/8e85d53c88) Provided a way to add data to ActionDescriptor from ApplicationModel.  - Added Properties to Action, Controller and Application model  - Added relevant tests
* [`[ee419e2442]`](https://github.com/aspnet/AspNetCore/commit/ee419e2442) Add ApiExplorer details to ApplicationModel
* [`[8399dc5f4e]`](https://github.com/aspnet/AspNetCore/commit/8399dc5f4e) Add a custom collection type for ModelMetadata.Properties
* [`[c82cda4a78]`](https://github.com/aspnet/AspNetCore/commit/c82cda4a78) Fixing the openIdconnect Startup class to add loggerfactory
* [`[d29f24f4ad]`](https://github.com/aspnet/AspNetCore/commit/d29f24f4ad) Using session to store the cart details instead of cookies.
* [`[eb192a36a6]`](https://github.com/aspnet/AspNetCore/commit/eb192a36a6) Renaming kpm-local-publish to kpm-publish
* [`[99a22149a9]`](https://github.com/aspnet/AspNetCore/commit/99a22149a9) Changes to allow using kpm add to publish artifacts to CI volatile directory
* [`[36413b4d81]`](https://github.com/aspnet/AspNetCore/commit/36413b4d81) Removing XmlSerializer from TagHelpersSample.Web
* [`[074eae6059]`](https://github.com/aspnet/AspNetCore/commit/074eae6059) Fixed Microsoft.AspNet.Mvc.Common unneeded assemblyinfo.
* [`[29a5cb8aa9]`](https://github.com/aspnet/AspNetCore/commit/29a5cb8aa9) Change the namespace for the MapRoute extension
* [`[eabe6b1aa7]`](https://github.com/aspnet/AspNetCore/commit/eabe6b1aa7) Fixing start mono processstartinfo
* [`[6c21b40894]`](https://github.com/aspnet/AspNetCore/commit/6c21b40894) EntryLinkHelpers.ContentLink should be available to use for user code inside of a cache tag helper's body.
* [`[5c2dc5db11]`](https://github.com/aspnet/AspNetCore/commit/5c2dc5db11) [Fixes#1792]Separate XML serializers to Microsoft.AspNet.Mvc.Xml
* [`[14bd7dcd5e]`](https://github.com/aspnet/AspNetCore/commit/14bd7dcd5e) Handle trailing semicolon after @inject.
* [`[09928a2818]`](https://github.com/aspnet/AspNetCore/commit/09928a2818) Adds parameter information to ApiExplorer
* [`[931d7c4774]`](https://github.com/aspnet/AspNetCore/commit/931d7c4774) Change ASP.NET vNext to ASP.Net 5 in the Readme.md
* [`[7793034b91]`](https://github.com/aspnet/AspNetCore/commit/7793034b91) Change ASP.NET vNext to ASP.Net 5 in the Readme.md
* [`[759fbbd661]`](https://github.com/aspnet/AspNetCore/commit/759fbbd661) Added the EnvironmentTagHelper: - #1553
* [`[15a51e423f]`](https://github.com/aspnet/AspNetCore/commit/15a51e423f) #175 - Decode multipart headers as UTF-8.
* [`[938f98f7ce]`](https://github.com/aspnet/AspNetCore/commit/938f98f7ce) Adding AzureADNighty feed to release NuGet.config
* [`[d7b389e595]`](https://github.com/aspnet/AspNetCore/commit/d7b389e595) Updating release NuGet.config to include AzureADNighty feed
* [`[1532abba8a]`](https://github.com/aspnet/AspNetCore/commit/1532abba8a) Updating to release NuGet.config
* [`[f945f03714]`](https://github.com/aspnet/AspNetCore/commit/f945f03714) Updating to release NuGet.config
* [`[25e1fefaf5]`](https://github.com/aspnet/AspNetCore/commit/25e1fefaf5) Updating to release NuGet.config
* [`[0ebd307a0f]`](https://github.com/aspnet/AspNetCore/commit/0ebd307a0f) Updating to release NuGet.config
* [`[b54f2f2423]`](https://github.com/aspnet/AspNetCore/commit/b54f2f2423) Updating to release NuGet.config
* [`[4193fa29b7]`](https://github.com/aspnet/AspNetCore/commit/4193fa29b7) Updating to release NuGet.config
* [`[d10ad558e5]`](https://github.com/aspnet/AspNetCore/commit/d10ad558e5) Updating to release NuGet.config
* [`[26d7a6f6ee]`](https://github.com/aspnet/AspNetCore/commit/26d7a6f6ee) Updating to release NuGet.config
* [`[a0440ff918]`](https://github.com/aspnet/AspNetCore/commit/a0440ff918) Updating to release NuGet.config
* [`[f733c18075]`](https://github.com/aspnet/AspNetCore/commit/f733c18075) Updating to release NuGet.config
* [`[97c9f8f479]`](https://github.com/aspnet/AspNetCore/commit/97c9f8f479) Updating to release NuGet.config
* [`[bd9954fd1a]`](https://github.com/aspnet/AspNetCore/commit/bd9954fd1a) Updating to release NuGet.config
* [`[b5f1eff89e]`](https://github.com/aspnet/AspNetCore/commit/b5f1eff89e) Updating to release NuGet.config
* [`[780564b8c3]`](https://github.com/aspnet/AspNetCore/commit/780564b8c3) Change ASP.NET vNext to ASP.Net 5 in the Readme.md
* [`[ea4a2437e7]`](https://github.com/aspnet/AspNetCore/commit/ea4a2437e7) Change ASP.NET vNext to ASP.Net 5 in the Readme.md
* [`[dd8dee2979]`](https://github.com/aspnet/AspNetCore/commit/dd8dee2979) Change ASP.NET vNext to ASP.Net 5 in the Readme.md
* [`[2abc09fb80]`](https://github.com/aspnet/AspNetCore/commit/2abc09fb80) Change ASP.NET vNext to ASP.Net 5 in the Readme.md
* [`[5328c7f539]`](https://github.com/aspnet/AspNetCore/commit/5328c7f539) Change ASP.NET vNext to ASP.Net 5 in the Readme.md
* [`[27cde37107]`](https://github.com/aspnet/AspNetCore/commit/27cde37107) Change ASP.NET vNext to ASP.Net 5 in the Readme.md
* [`[8a28fbb6b5]`](https://github.com/aspnet/AspNetCore/commit/8a28fbb6b5) Rename SKIP_KRE_INSTALL to SKIP_DOTNET_INSTALL
* [`[66611292cf]`](https://github.com/aspnet/AspNetCore/commit/66611292cf) Rename SKIP_KRE_INSTALL to SKIP_DOTNET_INSTALL
* [`[fbc35f8c52]`](https://github.com/aspnet/AspNetCore/commit/fbc35f8c52) Rename SKIP_KRE_INSTALL to SKIP_DOTNET_INSTALL
* [`[231994217b]`](https://github.com/aspnet/AspNetCore/commit/231994217b) Rename SKIP_KRE_INSTALL to SKIP_DOTNET_INSTALL
* [`[7b2bd8681f]`](https://github.com/aspnet/AspNetCore/commit/7b2bd8681f) Rename SKIP_KRE_INSTALL to SKIP_DOTNET_INSTALL
* [`[1bb8dc0aff]`](https://github.com/aspnet/AspNetCore/commit/1bb8dc0aff) Rename SKIP_KRE_INSTALL to SKIP_DOTNET_INSTALL
* [`[edb520cb94]`](https://github.com/aspnet/AspNetCore/commit/edb520cb94) Rename SKIP_KRE_INSTALL to SKIP_DOTNET_INSTALL
* [`[392e972acb]`](https://github.com/aspnet/AspNetCore/commit/392e972acb) Rename SKIP_KRE_INSTALL to SKIP_DOTNET_INSTALL
* [`[34a23df76b]`](https://github.com/aspnet/AspNetCore/commit/34a23df76b) Rename SKIP_KRE_INSTALL to SKIP_DOTNET_INSTALL
* [`[62e48aef34]`](https://github.com/aspnet/AspNetCore/commit/62e48aef34) Fixing issue that pushes nuget.config to release
* [`[93c5b0f2c8]`](https://github.com/aspnet/AspNetCore/commit/93c5b0f2c8) Rename SKIP_KRE_INSTALL to SKIP_DOTNET_INSTALL
* [`[e9c79612aa]`](https://github.com/aspnet/AspNetCore/commit/e9c79612aa) Rename SKIP_KRE_INSTALL to SKIP_DOTNET_INSTALL
* [`[f8db022888]`](https://github.com/aspnet/AspNetCore/commit/f8db022888) Rename SKIP_KRE_INSTALL to SKIP_DOTNET_INSTALL
* [`[9f08833210]`](https://github.com/aspnet/AspNetCore/commit/9f08833210) Rename SKIP_KRE_INSTALL to SKIP_DOTNET_INSTALL
* [`[446b0bf9c3]`](https://github.com/aspnet/AspNetCore/commit/446b0bf9c3) Updating to release NuGet.config
* [`[3f67e10dbe]`](https://github.com/aspnet/AspNetCore/commit/3f67e10dbe) Updating to release NuGet.config
* [`[de5c079bf0]`](https://github.com/aspnet/AspNetCore/commit/de5c079bf0) Updating NuGet.config
* [`[653f8c8b57]`](https://github.com/aspnet/AspNetCore/commit/653f8c8b57) Updating NuGet.config
* [`[4265934e12]`](https://github.com/aspnet/AspNetCore/commit/4265934e12) Updating NuGet.config
* [`[825823fd4c]`](https://github.com/aspnet/AspNetCore/commit/825823fd4c) Updating NuGet.config
* [`[2c6411e95d]`](https://github.com/aspnet/AspNetCore/commit/2c6411e95d) Updating NuGet.config
* [`[118fc73707]`](https://github.com/aspnet/AspNetCore/commit/118fc73707) Updating NuGet.config
* [`[0e9091f0eb]`](https://github.com/aspnet/AspNetCore/commit/0e9091f0eb) [Fixes #1841] Change XML DCS and XmlSerializer output formatters to not derive from the base XmlOutputFormatter
* [`[3e30639184]`](https://github.com/aspnet/AspNetCore/commit/3e30639184) Updating NuGet.config
* [`[0873c6710f]`](https://github.com/aspnet/AspNetCore/commit/0873c6710f) Updating NuGet.config
* [`[c8bbfb15e8]`](https://github.com/aspnet/AspNetCore/commit/c8bbfb15e8) Pointing to wwwroot for NtlmAuth test
* [`[c3a6095bf1]`](https://github.com/aspnet/AspNetCore/commit/c3a6095bf1) Pointing IIS Express to the wwwroot folder instead of app base.
* [`[04e7bca8bf]`](https://github.com/aspnet/AspNetCore/commit/04e7bca8bf) Normalize .kproj files BOM and line endings
* [`[d51dad9560]`](https://github.com/aspnet/AspNetCore/commit/d51dad9560) Handle IFileSystem rename.
* [`[7667eba34e]`](https://github.com/aspnet/AspNetCore/commit/7667eba34e) Layouts for partials Fixes #1621
* [`[73b30c0fbf]`](https://github.com/aspnet/AspNetCore/commit/73b30c0fbf) Change K_DETAILED_ERRORS to ASPNET_DETAILED_ERRORS
* [`[12243e7d97]`](https://github.com/aspnet/AspNetCore/commit/12243e7d97) * Modifying RazorPrecompiler to use IMemoryCache to cache results when   precompilation is invoked via Design Time Host. * Change compilation to occur in parallel
* [`[96835bd761]`](https://github.com/aspnet/AspNetCore/commit/96835bd761) Handle IFileSystem rename.
* [`[36c2a44b91]`](https://github.com/aspnet/AspNetCore/commit/36c2a44b91) Handle IFileSystem rename.
* [`[ce72c2fc7e]`](https://github.com/aspnet/AspNetCore/commit/ce72c2fc7e) Renaming klr.exe => dotnet.exe
* [`[eda4b16cc5]`](https://github.com/aspnet/AspNetCore/commit/eda4b16cc5) [Fixes #1836]SupportedMediaTypes for output formatters are incorrectly updated with charset data during requests
* [`[5e3eb96b12]`](https://github.com/aspnet/AspNetCore/commit/5e3eb96b12) Fixing a regression in dotnet path.
* [`[71c171c052]`](https://github.com/aspnet/AspNetCore/commit/71c171c052) Renaming KRE -> Dotnet
* [`[951ed05893]`](https://github.com/aspnet/AspNetCore/commit/951ed05893) Added SetAntiForgeryCookieAndHeader method that sets cookie token and header
* [`[67b078862e]`](https://github.com/aspnet/AspNetCore/commit/67b078862e) Fixed content-disposition quoted filename bug
* [`[d34554e3ff]`](https://github.com/aspnet/AspNetCore/commit/d34554e3ff) Handle HttpFeature rename
* [`[cc720bd3fe]`](https://github.com/aspnet/AspNetCore/commit/cc720bd3fe) Handle HttpFeature rename
* [`[48e8f92aab]`](https://github.com/aspnet/AspNetCore/commit/48e8f92aab) Handle HttpFeature rename
* [`[65adcffb92]`](https://github.com/aspnet/AspNetCore/commit/65adcffb92) Handle HttpFeature rename
* [`[1820edb326]`](https://github.com/aspnet/AspNetCore/commit/1820edb326) Handle HttpFeature rename
* [`[ac03ad3edf]`](https://github.com/aspnet/AspNetCore/commit/ac03ad3edf) Handle HttpFeature rename
* [`[bf9d22bb89]`](https://github.com/aspnet/AspNetCore/commit/bf9d22bb89) Handle HttpFeature rename
* [`[7847fb8257]`](https://github.com/aspnet/AspNetCore/commit/7847fb8257) Increasing the retry count
* [`[123065c0ae]`](https://github.com/aspnet/AspNetCore/commit/123065c0ae) Add some sugar for AuthZ
* [`[0c5a702245]`](https://github.com/aspnet/AspNetCore/commit/0c5a702245) Changing when controllers are created
* [`[db484a7dcb]`](https://github.com/aspnet/AspNetCore/commit/db484a7dcb) Rename Microsoft.AspNet.HttpFeature to Microsoft.AspNet.Http.Interfaces
* [`[e1069dbf65]`](https://github.com/aspnet/AspNetCore/commit/e1069dbf65) Fix for #384 - And some other changes to controller as filter
* [`[12c2759cec]`](https://github.com/aspnet/AspNetCore/commit/12c2759cec) Fix for #384 - And some other changes to controller as filter
* [`[51e7812e7e]`](https://github.com/aspnet/AspNetCore/commit/51e7812e7e) Fix for #1722 - FromHeader does not respect default value
* [`[e41e5066f9]`](https://github.com/aspnet/AspNetCore/commit/e41e5066f9) Added support for TryValidateModel and its corresponding tests
* [`[80ada8d01b]`](https://github.com/aspnet/AspNetCore/commit/80ada8d01b) Introducing 'cache' tag helper
* [`[3626900bc9]`](https://github.com/aspnet/AspNetCore/commit/3626900bc9) Basic URL Extension functionality working. 1. Template parser now allows a parameter to be an optional parameter in a complex segment if    it is the last and only optional parameter and it is followed by a period. 2. Template matcher modified to take into consideration the optional parameter in the complex    segment. Also the period shouldn't be present if the optional parameter is not present
* [`[eb1eca9e1a]`](https://github.com/aspnet/AspNetCore/commit/eb1eca9e1a) Modify TagHelper tests to abide by new content mode design.
* [`[7b52559366]`](https://github.com/aspnet/AspNetCore/commit/7b52559366) Modify TagHelpers to use new content mode design.
* [`[464438862a]`](https://github.com/aspnet/AspNetCore/commit/464438862a) Fix music store policies
* [`[cdbd003bb1]`](https://github.com/aspnet/AspNetCore/commit/cdbd003bb1) Adding token property to MessageReceivedNotification
* [`[de56109c16]`](https://github.com/aspnet/AspNetCore/commit/de56109c16) Fixing Issue #120
* [`[a94d5223e1]`](https://github.com/aspnet/AspNetCore/commit/a94d5223e1) Modify RoslynCompilationService to read MetadataReferences from the target
* [`[b02dea98e7]`](https://github.com/aspnet/AspNetCore/commit/b02dea98e7) Using set instead of add in Created ActionResults
* [`[7c0eb56e59]`](https://github.com/aspnet/AspNetCore/commit/7c0eb56e59) ContentResult sets Charset along with ContentType - Sets default ContentType and Charset if null - Added relevant unit and functional tests
* [`[a5a3eb44b9]`](https://github.com/aspnet/AspNetCore/commit/a5a3eb44b9) Activation behavior modification made easier  - Made Activate method virtual  - Changed IReadOnlyDictionary to IDictionary
* [`[a658c1336f]`](https://github.com/aspnet/AspNetCore/commit/a658c1336f) Added CodeGen for TagHelper content mode redesign.
* [`[1ef8c088d1]`](https://github.com/aspnet/AspNetCore/commit/1ef8c088d1) Re-design TagHelperOutput and runtime dependencies to allow all content modes.
* [`[86ab6b7256]`](https://github.com/aspnet/AspNetCore/commit/86ab6b7256) Changing an error string in the tests due to identity change.
* [`[9e68b43069]`](https://github.com/aspnet/AspNetCore/commit/9e68b43069) Adding authorization policy for the missed startup class.
* [`[90f2ece84d]`](https://github.com/aspnet/AspNetCore/commit/90f2ece84d) Work around dependency resolution problem
* [`[4a635835af]`](https://github.com/aspnet/AspNetCore/commit/4a635835af) Initial iteration of new Authorization Service
* [`[262bb9a732]`](https://github.com/aspnet/AspNetCore/commit/262bb9a732) Changes introducing ResponseCache to cache content in the client/proxy.
* [`[3dea6b11a3]`](https://github.com/aspnet/AspNetCore/commit/3dea6b11a3) Issue #1695 - Create a pattern for a 'greedy' model binder.
* [`[7b8126367c]`](https://github.com/aspnet/AspNetCore/commit/7b8126367c) Minor: `LineMapping` and `MappingLocation` debug visualizations were types' full names - add `ToString()` overrides for these classes
* [`[623b733eaa]`](https://github.com/aspnet/AspNetCore/commit/623b733eaa) Adding a sample (test) for using custom IRouter implementation with MVC
* [`[9aff289dfe]`](https://github.com/aspnet/AspNetCore/commit/9aff289dfe) Handle PipelineCore rename.
* [`[f38d08a408]`](https://github.com/aspnet/AspNetCore/commit/f38d08a408) #37, Support sample- or test-only repositories - skip a few targets when src directory does not exist
* [`[5e55833168]`](https://github.com/aspnet/AspNetCore/commit/5e55833168) Handle PipelineCore rename.
* [`[8385a3c3fc]`](https://github.com/aspnet/AspNetCore/commit/8385a3c3fc) Handle PipelineCore rename.
* [`[19ccebb4ce]`](https://github.com/aspnet/AspNetCore/commit/19ccebb4ce) Handle PipelineCore rename.
* [`[fe1bcc7a24]`](https://github.com/aspnet/AspNetCore/commit/fe1bcc7a24) ElementalValueProvider performs incorrect prefix check in ContainsPrefixAsync
* [`[b24cec0add]`](https://github.com/aspnet/AspNetCore/commit/b24cec0add) Add net45 as a target framework for Microsoft.AspNet.Mvc.Common
* [`[f7c502a9e6]`](https://github.com/aspnet/AspNetCore/commit/f7c502a9e6) Handle PipelineCore rename.
* [`[437eb93bde]`](https://github.com/aspnet/AspNetCore/commit/437eb93bde) File upload model binder - Support for binding posted file to type IFormFile - Support for multipart/form-data in FormValueProviderFactory - Updated Mvc Sample - Added relevant unit and functional tests
* [`[6a824a4394]`](https://github.com/aspnet/AspNetCore/commit/6a824a4394) Added ModelMetadataType Attribute and logic to get attributes from ModelMetadata class
* [`[0f9173ecb0]`](https://github.com/aspnet/AspNetCore/commit/0f9173ecb0) Adding a Start up class for OpenIdConnect authentication
* [`[9746a67990]`](https://github.com/aspnet/AspNetCore/commit/9746a67990) Handle PipelineCore rename.
* [`[d43cf30eff]`](https://github.com/aspnet/AspNetCore/commit/d43cf30eff) #162 - Rename PipelineCore project to Http.Core. Part 2.
* [`[68be1d1b19]`](https://github.com/aspnet/AspNetCore/commit/68be1d1b19) #162 - Change PipelineCore namespace to Http.Core. Part-1.
* [`[106b9fc30c]`](https://github.com/aspnet/AspNetCore/commit/106b9fc30c) Adding proper descriptions in readme.md files for functional tests.
* [`[123e649ee2]`](https://github.com/aspnet/AspNetCore/commit/123e649ee2) * Removing transitive dependencies from project.json * Fix casing for project.json
* [`[16a811479e]`](https://github.com/aspnet/AspNetCore/commit/16a811479e) Simplify HttpContextAccessor (now singleton)
* [`[b46bec1a7e]`](https://github.com/aspnet/AspNetCore/commit/b46bec1a7e) Increase wait time for server to start
* [`[5c189d87ad]`](https://github.com/aspnet/AspNetCore/commit/5c189d87ad) Prepend all links with ./.
* [`[212c264ed3]`](https://github.com/aspnet/AspNetCore/commit/212c264ed3) Use strongly typed headers.
* [`[4fb21644fc]`](https://github.com/aspnet/AspNetCore/commit/4fb21644fc) Implement strongly typed headers.
* [`[38fb911afc]`](https://github.com/aspnet/AspNetCore/commit/38fb911afc) Clean up auth types, copywrite headers, file names, exceptions.
* [`[91242245f3]`](https://github.com/aspnet/AspNetCore/commit/91242245f3) Fix directory casing, part 2.
* [`[8e6e7f9590]`](https://github.com/aspnet/AspNetCore/commit/8e6e7f9590) Fix directory casing, part1.
* [`[49e66f0311]`](https://github.com/aspnet/AspNetCore/commit/49e66f0311) Additions for OpenIdConnectMiddleware and OAuthBearer Beta1.
* [`[2ad828f5bc]`](https://github.com/aspnet/AspNetCore/commit/2ad828f5bc) Change TagHelper tag and attribute names to be lower kebab cased.
* [`[8864111f5b]`](https://github.com/aspnet/AspNetCore/commit/8864111f5b) Increasing wait time out on mono tests
* [`[2d2c2cdf0f]`](https://github.com/aspnet/AspNetCore/commit/2d2c2cdf0f) Add warning disable for unused variable warnings for TagHelper fields.
* [`[cc38726ec8]`](https://github.com/aspnet/AspNetCore/commit/cc38726ec8) LoggerExtensions can take in param objects[] instead of param string[]
* [`[89fd1abc58]`](https://github.com/aspnet/AspNetCore/commit/89fd1abc58) Nit: Clean up duplicate tests - lead to errors during test discovery in VS
* [`[2df24fd02a]`](https://github.com/aspnet/AspNetCore/commit/2df24fd02a) Creating a helper to retry a piece of code.
* [`[b7d44666b8]`](https://github.com/aspnet/AspNetCore/commit/b7d44666b8) Adding support for flowing compilation errors to Diagnostics middleware
* [`[4377bb24ce]`](https://github.com/aspnet/AspNetCore/commit/4377bb24ce) Added extension methods for FormFile
* [`[576731e86e]`](https://github.com/aspnet/AspNetCore/commit/576731e86e) Adding contract interfaces for specifying runtime compilation exceptions.
* [`[5ac5c53c09]`](https://github.com/aspnet/AspNetCore/commit/5ac5c53c09) Adding Resource Filters
* [`[990473aebc]`](https://github.com/aspnet/AspNetCore/commit/990473aebc) Change remark for FlushAsync method. close #1721
* [`[d5143f5004]`](https://github.com/aspnet/AspNetCore/commit/d5143f5004) Change ASP.NET vNext to ASP.Net 5
* [`[f786fb7bd0]`](https://github.com/aspnet/AspNetCore/commit/f786fb7bd0) Add HttpContextAccessor
* [`[fdfe88f8e0]`](https://github.com/aspnet/AspNetCore/commit/fdfe88f8e0) Using Console logger to print logs instead of using Console.WriteLine
* [`[a6bf0e16aa]`](https://github.com/aspnet/AspNetCore/commit/a6bf0e16aa) Adding console logger to the sample
* [`[ce178243fc]`](https://github.com/aspnet/AspNetCore/commit/ce178243fc) Fixing a test regression
* [`[56d6dfeb1b]`](https://github.com/aspnet/AspNetCore/commit/56d6dfeb1b) Adding a retry logic for NtlmAuth test
* [`[44dadb1d0f]`](https://github.com/aspnet/AspNetCore/commit/44dadb1d0f) Handle ReadForAsync changes.
* [`[fbe80ee64e]`](https://github.com/aspnet/AspNetCore/commit/fbe80ee64e) Handle ReadFormAsync breaking changes.
* [`[97b151f2c2]`](https://github.com/aspnet/AspNetCore/commit/97b151f2c2) Handle ReadFormAsync breaking change.
* [`[76017af97c]`](https://github.com/aspnet/AspNetCore/commit/76017af97c) Handle Form and helpers breaking changes.
* [`[5872feb224]`](https://github.com/aspnet/AspNetCore/commit/5872feb224) #139 - Mime multipart request parsing.
* [`[fec32f6746]`](https://github.com/aspnet/AspNetCore/commit/fec32f6746) #82 - Improve error handling mechanics.
* [`[6df288bce7]`](https://github.com/aspnet/AspNetCore/commit/6df288bce7) Correct StyleCop violations - StyleCop working again (handles C# 6.0 additions) though only locally for me - disable some new rules:  - ConstFieldNamesMustBeginWithUpperCaseLetter  - InstanceReadonlyElementsMustAppearBeforeInstanceNonReadonlyElements  - StaticReadonlyElementsMustAppearBeforeStaticNonReadonlyElements  - StaticReadonlyFieldsMustBeginWithUpperCaseLetter  - PrefixCallsCorrectly - correct remaining violations  - lots of long lines for example  - use more `var`; some manual updates since StyleCop doesn't check seemingly-unused blocks
* [`[227f564098]`](https://github.com/aspnet/AspNetCore/commit/227f564098) Logging functional tests using ElmLogger
* [`[fb21b736ee]`](https://github.com/aspnet/AspNetCore/commit/fb21b736ee) Issue #1754 - Change List to IList in application model
* [`[5262dfd577]`](https://github.com/aspnet/AspNetCore/commit/5262dfd577) Adding SerializableError - a serializable container for the purpose of output conneg.
* [`[51567194dc]`](https://github.com/aspnet/AspNetCore/commit/51567194dc) deleted duplicate action results in WebapiCompatShim
* [`[87f895f2e6]`](https://github.com/aspnet/AspNetCore/commit/87f895f2e6) Updating path to kvm
* [`[c008b3922d]`](https://github.com/aspnet/AspNetCore/commit/c008b3922d) Fixed the casing of the configuration
* [`[391816eb71]`](https://github.com/aspnet/AspNetCore/commit/391816eb71) [Fixes #1713]WebApiCompatShim doesn't work with Transfer Encoding: chunked
* [`[95ae4cb3a5]`](https://github.com/aspnet/AspNetCore/commit/95ae4cb3a5) Use optimal StringComparison for symbol strings
* [`[eb7283fced]`](https://github.com/aspnet/AspNetCore/commit/eb7283fced) added BadRequest and Created Action Results with related unit and functional tests.
* [`[68fcb2bfca]`](https://github.com/aspnet/AspNetCore/commit/68fcb2bfca) Temporarily disabling running UpdateVehicle_WithXml_BindsBodyServicesAndHeaders until we get a resolution for DataContractSerializer behaving differently in CoreCLR.
* [`[110ee28e3e]`](https://github.com/aspnet/AspNetCore/commit/110ee28e3e) Adding support for flowing compilation settings to views
* [`[ae9fc793ec]`](https://github.com/aspnet/AspNetCore/commit/ae9fc793ec) Adding IRouteConstraintProvider and supporting it on actions
* [`[5dfd27e51f]`](https://github.com/aspnet/AspNetCore/commit/5dfd27e51f) Removing dead code in sample
* [`[a4d2d185e1]`](https://github.com/aspnet/AspNetCore/commit/a4d2d185e1) Fixing tests on mono
* [`[891dfa5e3e]`](https://github.com/aspnet/AspNetCore/commit/891dfa5e3e) renamed TagNameAttribute to HtmlElementNameAttribute
* [`[6cd5744383]`](https://github.com/aspnet/AspNetCore/commit/6cd5744383) Catch exceptions while disposing
* [`[e421b3f01c]`](https://github.com/aspnet/AspNetCore/commit/e421b3f01c) Throw better error when libuv can't be loaded - Throw more specific exception for *nix machines
* [`[d9148bd6f7]`](https://github.com/aspnet/AspNetCore/commit/d9148bd6f7) Fixing KRE_ENV to ASPNET_ENV
* [`[e30e74dc5a]`](https://github.com/aspnet/AspNetCore/commit/e30e74dc5a) Handle unclosed and invalid structure HTML tags for TagHelpers.
* [`[9e62865dd9]`](https://github.com/aspnet/AspNetCore/commit/9e62865dd9) Fixing code to pass KRE folder path not including bin
* [`[cce76cffd4]`](https://github.com/aspnet/AspNetCore/commit/cce76cffd4) * Removing transitive dependencies from   Microsoft.AspNet.StaticFiles/project.json * Replacing Contract.Assert with Debug.Assert and removing   System.Diagnostics.Contracts dependency * Fixing casing for Microsoft.AspNet.StaticFiles.Tests/project.json file   name
* [`[dc74729b6c]`](https://github.com/aspnet/AspNetCore/commit/dc74729b6c) More changes to DateTimeOffset
* [`[a86b0dca3e]`](https://github.com/aspnet/AspNetCore/commit/a86b0dca3e) Add line mappings to project TagHelper attribute values.
* [`[a9ea8a87c8]`](https://github.com/aspnet/AspNetCore/commit/a9ea8a87c8) Fixing the KRE name issue on mono
* [`[e5a92daa51]`](https://github.com/aspnet/AspNetCore/commit/e5a92daa51) Corrected json for mono
* [`[2dae44a607]`](https://github.com/aspnet/AspNetCore/commit/2dae44a607) Disabling IIS variation test as CI machine does not have IIS installed.
* [`[68102b8786]`](https://github.com/aspnet/AspNetCore/commit/68102b8786) Enabling IIS variation of the test
* [`[3c49e439c9]`](https://github.com/aspnet/AspNetCore/commit/3c49e439c9) Removing an incorrect test variation.
* [`[e9c4a8c9de]`](https://github.com/aspnet/AspNetCore/commit/e9c4a8c9de) Conditionally run CNG tests only on supported platforms.
* [`[4333003df0]`](https://github.com/aspnet/AspNetCore/commit/4333003df0) Generalize BasePath logic.
* [`[8b7d33baaf]`](https://github.com/aspnet/AspNetCore/commit/8b7d33baaf) #63 - Use the PathBase in the Cookie path by default.
* [`[5e00937d59]`](https://github.com/aspnet/AspNetCore/commit/5e00937d59) Handle wrapped exceptions in Database Error Page If a database exception is wrapped later in the request (after EF has logged it) then we were not displaying the database error page. This was occurring in ASP.NET Identity where the exception was getting wrapped in an AggregateException. We now walk the tree of inner exceptions looking for a match. Also adding some extra logging as this was hard to debug without resorting to source code.
* [`[c936ae80ca]`](https://github.com/aspnet/AspNetCore/commit/c936ae80ca) Logging assemblies, controllers, and actions
* [`[03d174efe2]`](https://github.com/aspnet/AspNetCore/commit/03d174efe2) Skip bug config on CI
* [`[3b99fb5b9e]`](https://github.com/aspnet/AspNetCore/commit/3b99fb5b9e) Added new target for release check
* [`[04c37a8d51]`](https://github.com/aspnet/AspNetCore/commit/04c37a8d51) added few taghelper functional tests
* [`[2a57f93117]`](https://github.com/aspnet/AspNetCore/commit/2a57f93117) Updating Razor to not use K.Roslyn
* [`[c00007caab]`](https://github.com/aspnet/AspNetCore/commit/c00007caab) More disabled tests
* [`[368e96ad32]`](https://github.com/aspnet/AspNetCore/commit/368e96ad32) Fixes teamcity issue with Console.ReadLine()
* [`[e0beec90f4]`](https://github.com/aspnet/AspNetCore/commit/e0beec90f4) Fixed folder name casing of Compiler/*
* [`[1570e198ef]`](https://github.com/aspnet/AspNetCore/commit/1570e198ef) Bug #1354 - ViewComponent View() fails on CoreCLR with IEnumerable<> passed in. Fix - When the model is passed in to a View, ViewDataDictionary sets it. During this process, we recurse through all the properties and create FastPropertyGetters for each of them. In this case, since it is an enumerable, the properties which we recurse through are not the elements of the collection but the properties of the Enumerable instead. i.e - Enumerable.Current. Creating getters for these properties are not necessary. The fix moves the property iteration step to a place where the properties are actually requested. - Splitting TypeInformation class into two and separating their caches appropriately.
* [`[e078076408]`](https://github.com/aspnet/AspNetCore/commit/e078076408) Adding functional test for RazorViewEngineOptions.FileSystem
* [`[51f60d5fd5]`](https://github.com/aspnet/AspNetCore/commit/51f60d5fd5) Enabling native module variations.
* [`[8136affef9]`](https://github.com/aspnet/AspNetCore/commit/8136affef9) Updating exception filters to use when instead of if
* [`[d3344f0766]`](https://github.com/aspnet/AspNetCore/commit/d3344f0766) Changed hard coded argument string in the throw to use nameof
* [`[fcf2f93aa3]`](https://github.com/aspnet/AspNetCore/commit/fcf2f93aa3) Updating System.ObjectModel version that was copied incorrectly
* [`[e10f64c32f]`](https://github.com/aspnet/AspNetCore/commit/e10f64c32f) Ignore some tests on downlevel
* [`[6390bad0d3]`](https://github.com/aspnet/AspNetCore/commit/6390bad0d3) Adding a pattern for returning 'unhandled' exception information via middleware.
* [`[20f21aa57f]`](https://github.com/aspnet/AspNetCore/commit/20f21aa57f) Removing transitive dependencies from Microsoft.AspNet.Security.OAuth
* [`[04fbb076b2]`](https://github.com/aspnet/AspNetCore/commit/04fbb076b2) #22 - Update client tests to use Kestrel so they can run on Win7.
* [`[4315eb231f]`](https://github.com/aspnet/AspNetCore/commit/4315eb231f) Some more fixes
* [`[50b756a776]`](https://github.com/aspnet/AspNetCore/commit/50b756a776) Clean up - removing work arounds for bugs
* [`[1a617eb533]`](https://github.com/aspnet/AspNetCore/commit/1a617eb533) Fix an inadvertent 204 in activator tests
* [`[4f75ae6485]`](https://github.com/aspnet/AspNetCore/commit/4f75ae6485) grouping elm by activity context
* [`[7890a1b34c]`](https://github.com/aspnet/AspNetCore/commit/7890a1b34c) Added TagHelperContext.UniqueId: - The ID is created at view compilation time and is unique per TagHelperExecutionContext and thus per HTML element in the source for which Tag Helpers will run - #241
* [`[0c59794996]`](https://github.com/aspnet/AspNetCore/commit/0c59794996) A few changes
* [`[2cdce758b1]`](https://github.com/aspnet/AspNetCore/commit/2cdce758b1) Fix dependency versions.
* [`[5243789dd2]`](https://github.com/aspnet/AspNetCore/commit/5243789dd2) Handle DI changes in tests.
* [`[71a4c18598]`](https://github.com/aspnet/AspNetCore/commit/71a4c18598) Collapsed Logs
* [`[170b7a76fd]`](https://github.com/aspnet/AspNetCore/commit/170b7a76fd) Expose TagHelperDescriptors on TagHelperBlock.
* [`[3dfcc884fe]`](https://github.com/aspnet/AspNetCore/commit/3dfcc884fe) Changes to address IFileSystem.Watch method addition
* [`[c6bc97afbf]`](https://github.com/aspnet/AspNetCore/commit/c6bc97afbf) Update precompilation to use the library manager instead of relative paths.
* [`[f338f70e06]`](https://github.com/aspnet/AspNetCore/commit/f338f70e06) Update WebAPI shim functional tests to use a header for payload
* [`[b4975b779c]`](https://github.com/aspnet/AspNetCore/commit/b4975b779c) Update names of WebSite projects for consistency
* [`[e65218d6df]`](https://github.com/aspnet/AspNetCore/commit/e65218d6df) Adding servers and wwwroot folder to test websites
* [`[9d643ae1ee]`](https://github.com/aspnet/AspNetCore/commit/9d643ae1ee) Move web.config from project root to wwwroot
* [`[1631ca1a47]`](https://github.com/aspnet/AspNetCore/commit/1631ca1a47) Fix for #1681 - Model state errors are wrong with attributes like [FromHeader]
* [`[c680833350]`](https://github.com/aspnet/AspNetCore/commit/c680833350) Expose GetExportedTypes on TagHelperTypeResolver.
* [`[9e9f331025]`](https://github.com/aspnet/AspNetCore/commit/9e9f331025) Updating to dev NuGet.config
* [`[d74c4201f2]`](https://github.com/aspnet/AspNetCore/commit/d74c4201f2) Updating to dev NuGet.config
* [`[425e9305a5]`](https://github.com/aspnet/AspNetCore/commit/425e9305a5) Updating to dev NuGet.config
* [`[f380f6982f]`](https://github.com/aspnet/AspNetCore/commit/f380f6982f) Updating to dev NuGet.config
* [`[781615a29b]`](https://github.com/aspnet/AspNetCore/commit/781615a29b) Updating to dev NuGet.config
* [`[915d3a6b16]`](https://github.com/aspnet/AspNetCore/commit/915d3a6b16) Updating to dev NuGet.config
* [`[274c9dbc4b]`](https://github.com/aspnet/AspNetCore/commit/274c9dbc4b) Updating to dev NuGet.config
* [`[7ce8d6c801]`](https://github.com/aspnet/AspNetCore/commit/7ce8d6c801) Updating to dev NuGet.config
* [`[6d2fb23f7d]`](https://github.com/aspnet/AspNetCore/commit/6d2fb23f7d) Updating to dev NuGet.config
* [`[f958bbf774]`](https://github.com/aspnet/AspNetCore/commit/f958bbf774) Updating to dev NuGet.config
* [`[fd45ff532c]`](https://github.com/aspnet/AspNetCore/commit/fd45ff532c) Updating to dev NuGet.config
* [`[cb6639c818]`](https://github.com/aspnet/AspNetCore/commit/cb6639c818) Updating to dev NuGet.config
* [`[ae6698a924]`](https://github.com/aspnet/AspNetCore/commit/ae6698a924) Updating to dev NuGet.config
* [`[9214253ba6]`](https://github.com/aspnet/AspNetCore/commit/9214253ba6) Updating to release NuGet.config
* [`[42c2a0a56d]`](https://github.com/aspnet/AspNetCore/commit/42c2a0a56d) Updating to release NuGet.config
* [`[ae6c971bfb]`](https://github.com/aspnet/AspNetCore/commit/ae6c971bfb) Updating to release NuGet.config
* [`[4585b8d767]`](https://github.com/aspnet/AspNetCore/commit/4585b8d767) Updating to release NuGet.config
* [`[6c82862688]`](https://github.com/aspnet/AspNetCore/commit/6c82862688) Updating to release NuGet.config
* [`[23ce588f7b]`](https://github.com/aspnet/AspNetCore/commit/23ce588f7b) Updating to release NuGet.config
* [`[b1b541404c]`](https://github.com/aspnet/AspNetCore/commit/b1b541404c) Updating to release NuGet.config
* [`[3229ae2d7a]`](https://github.com/aspnet/AspNetCore/commit/3229ae2d7a) Updating to release NuGet.config
* [`[b94ea56b72]`](https://github.com/aspnet/AspNetCore/commit/b94ea56b72) Updating to release NuGet.config
* [`[9c28fc93c3]`](https://github.com/aspnet/AspNetCore/commit/9c28fc93c3) Updating to release NuGet.config
* [`[d75e4c87ba]`](https://github.com/aspnet/AspNetCore/commit/d75e4c87ba) Updating to release NuGet.config
* [`[523265de00]`](https://github.com/aspnet/AspNetCore/commit/523265de00) Updating to release NuGet.config
* [`[641cb38d5d]`](https://github.com/aspnet/AspNetCore/commit/641cb38d5d) Updating to release NuGet.config
* [`[9468d741ee]`](https://github.com/aspnet/AspNetCore/commit/9468d741ee) Fix for #1671 - Adding [FromHeader] attribute
* [`[62ec496aa3]`](https://github.com/aspnet/AspNetCore/commit/62ec496aa3) fixing test failures
* [`[234c9ec935]`](https://github.com/aspnet/AspNetCore/commit/234c9ec935) adding a clear button to elm
* [`[559f5491d4]`](https://github.com/aspnet/AspNetCore/commit/559f5491d4) Make services registered in ConfigureServices work in Configure - Added a test
* [`[d7094fd32d]`](https://github.com/aspnet/AspNetCore/commit/d7094fd32d) Adding Support for TryUpdateModel using include expressions and predicate.
* [`[f94bd53464]`](https://github.com/aspnet/AspNetCore/commit/f94bd53464) Add functional test of MVC tag helper sample - ensure future changes don't break this sample
* [`[27beca7738]`](https://github.com/aspnet/AspNetCore/commit/27beca7738) Fix #1618, Add asp- prefix to custom attributes of MVC tag helpers - update XML docs to reflect new HTML / custom attribute separation - update `Exception` messages to use new attribute names - update MVC tag helper sample to use new custom attribute names - add missing `<input/>` tag helper `throw`s test
* [`[69f63db7bf]`](https://github.com/aspnet/AspNetCore/commit/69f63db7bf) Add out-of-order HTML attributes to MVC tag helper sample - these are rendered in the same, non-alphabetic order - demonstrates aspnet/Razor#225 does not affect HTML attributes
* [`[b666cce854]`](https://github.com/aspnet/AspNetCore/commit/b666cce854) Reacted to aspnet/Razor#215 changes.
* [`[c2fae3b6fc]`](https://github.com/aspnet/AspNetCore/commit/c2fae3b6fc) Change TagHelperDescriptor to 1 ctor so it can be deserialized.
* [`[d8455c3e64]`](https://github.com/aspnet/AspNetCore/commit/d8455c3e64) Make Flush work without requiring curly braces Fixes #1547
* [`[cc0d5dd324]`](https://github.com/aspnet/AspNetCore/commit/cc0d5dd324) Add found TagHelperDescriptors on a Razor page to GeneratorResults.
* [`[275d03a958]`](https://github.com/aspnet/AspNetCore/commit/275d03a958) Compilation of Views should be affected by changes to _ViewStart files that are applicable to the view.
* [`[e94e3dc44e]`](https://github.com/aspnet/AspNetCore/commit/e94e3dc44e) adding some logging statements
* [`[e9bcc3f0e8]`](https://github.com/aspnet/AspNetCore/commit/e9bcc3f0e8) Adding support for ModelMetadataAttribute in core.
* [`[4e929bb300]`](https://github.com/aspnet/AspNetCore/commit/4e929bb300) Stop setting WebRoot explicitly.
* [`[2155c08e76]`](https://github.com/aspnet/AspNetCore/commit/2155c08e76) Make WebRootFileSystem settable.
* [`[b883968eef]`](https://github.com/aspnet/AspNetCore/commit/b883968eef) #86 - Implement IWebRootFileSystemProvider
* [`[a67bd6820c]`](https://github.com/aspnet/AspNetCore/commit/a67bd6820c) Adding some coverage for the .Include EF statements
* [`[f549a550a9]`](https://github.com/aspnet/AspNetCore/commit/f549a550a9) Fixing the issue #123. Added OptionalRouteConstraint class to take care of optional inline parameter. It will create the OptionalRouteConstraint for a inline parameter that is optional with real constraint on the parameter as inner constraint of OptionalRouteConstraint.
* [`[99c566cac1]`](https://github.com/aspnet/AspNetCore/commit/99c566cac1) NDC London bug fix! , changing environment variable name
* [`[b580856e66]`](https://github.com/aspnet/AspNetCore/commit/b580856e66) Updating for EntityFramework API change to DbContext Entry Methods
* [`[2286b14290]`](https://github.com/aspnet/AspNetCore/commit/2286b14290) Add retry logic for Publishtests
* [`[00b61ec1e6]`](https://github.com/aspnet/AspNetCore/commit/00b61ec1e6) [Partial fix for #1372]Added SimpleTypesExcludeFilter to exlcude validation on simple types and also added tests to cover scenarios.
* [`[d85580649f]`](https://github.com/aspnet/AspNetCore/commit/d85580649f) Update the expected exception from DI
* [`[dbdf2e66ba]`](https://github.com/aspnet/AspNetCore/commit/dbdf2e66ba) Update message from DI exception
* [`[933f7eeb22]`](https://github.com/aspnet/AspNetCore/commit/933f7eeb22) Layout specification and discovery should follow the same behavior as partials
* [`[765f113515]`](https://github.com/aspnet/AspNetCore/commit/765f113515) Checkin VS auto-modifications to kproj files
* [`[cfd5630cf2]`](https://github.com/aspnet/AspNetCore/commit/cfd5630cf2) Addressing breaking IFileSystem changes
* [`[ce8abf7767]`](https://github.com/aspnet/AspNetCore/commit/ce8abf7767) Ensure the logger factory is initialized.
* [`[f75140765c]`](https://github.com/aspnet/AspNetCore/commit/f75140765c) Rename FromSericesAttribute.cs to FromServicesAttribute.cs
* [`[65f58b98a8]`](https://github.com/aspnet/AspNetCore/commit/65f58b98a8) Fixing the test failure
* [`[e21f6052f2]`](https://github.com/aspnet/AspNetCore/commit/e21f6052f2) Using .Include in queries instead of manual joining
* [`[0152aac7f4]`](https://github.com/aspnet/AspNetCore/commit/0152aac7f4) Fix for #1652 - Make Authorization Filters run first
* [`[2ecf92f7e8]`](https://github.com/aspnet/AspNetCore/commit/2ecf92f7e8) #79 - Log verbose request & response details.
* [`[3fdf656353]`](https://github.com/aspnet/AspNetCore/commit/3fdf656353) #74 - Log the listening addresses at startup.
* [`[ce46ac455e]`](https://github.com/aspnet/AspNetCore/commit/ce46ac455e) Fix for EF issue 1109 - removing Microsoft.DataAnnotations nuget package. Replacing dependencies with direct dependencies on the underlying packages/assemblies.
* [`[681327f396]`](https://github.com/aspnet/AspNetCore/commit/681327f396) Fixed tests to run on Mono
* [`[b5a328aa0e]`](https://github.com/aspnet/AspNetCore/commit/b5a328aa0e) fixing dependencies
* [`[22e94d2fbb]`](https://github.com/aspnet/AspNetCore/commit/22e94d2fbb) Add IsTeamCity flag
* [`[1431d1ae0b]`](https://github.com/aspnet/AspNetCore/commit/1431d1ae0b) Quit fighting VisualStudio - let it reformat project file and add `<DevelopmentServerPort/>` element
* [`[2353bd911a]`](https://github.com/aspnet/AspNetCore/commit/2353bd911a) Adding Support for TryUpdateModel using include expressions and predicate.
* [`[688771ad10]`](https://github.com/aspnet/AspNetCore/commit/688771ad10) Corresponding changes for changing AssociatedMetadataProvider's interface
* [`[b54c326ee6]`](https://github.com/aspnet/AspNetCore/commit/b54c326ee6) Updating Associated Metadata Provider to follow the existing pattern.
* [`[680cdf4d57]`](https://github.com/aspnet/AspNetCore/commit/680cdf4d57) Update Project.json to download TagHelpers assembly
* [`[8ce069f56a]`](https://github.com/aspnet/AspNetCore/commit/8ce069f56a) [Fixes #393] [Design] Update ViewComponent result apis to be consistent with Controller
* [`[d2aff42e25]`](https://github.com/aspnet/AspNetCore/commit/d2aff42e25) Adding FromServicesAttribute.
* [`[1bc4e21c22]`](https://github.com/aspnet/AspNetCore/commit/1bc4e21c22) Addressing IFileSystem breaking changes
* [`[ff3282827a]`](https://github.com/aspnet/AspNetCore/commit/ff3282827a) Fix a test based on the resolution of #1609
* [`[b8626a75ca]`](https://github.com/aspnet/AspNetCore/commit/b8626a75ca) Updating Elm to depend on Razor instead of Mvc.Razor * Removing dependencies that are transitively included.
* [`[86432baac7]`](https://github.com/aspnet/AspNetCore/commit/86432baac7) File names and line numbers don't appear on mono error page
* [`[ce59419893]`](https://github.com/aspnet/AspNetCore/commit/ce59419893) elm logger
* [`[de50d3dbf9]`](https://github.com/aspnet/AspNetCore/commit/de50d3dbf9) Move MvcOptions to the root folder (reviewed by @pranavkm)
* [`[9f1cb655f6]`](https://github.com/aspnet/AspNetCore/commit/9f1cb655f6) matched classnames with filenames
* [`[1120863c84]`](https://github.com/aspnet/AspNetCore/commit/1120863c84) Add schema version to kproj files
* [`[f505d52771]`](https://github.com/aspnet/AspNetCore/commit/f505d52771) Add schema version to kproj files
* [`[f6aa12cfa8]`](https://github.com/aspnet/AspNetCore/commit/f6aa12cfa8) Add schema version to kproj files
* [`[fb9fc12cec]`](https://github.com/aspnet/AspNetCore/commit/fb9fc12cec) Add schema version to kproj files
* [`[0a71973513]`](https://github.com/aspnet/AspNetCore/commit/0a71973513) Add schema version to kproj files
* [`[8b93a0c018]`](https://github.com/aspnet/AspNetCore/commit/8b93a0c018) Add schema version to kproj files
* [`[810146115b]`](https://github.com/aspnet/AspNetCore/commit/810146115b) Add schema version to kproj files
* [`[99b5f430ff]`](https://github.com/aspnet/AspNetCore/commit/99b5f430ff) Add schema version to kproj files
* [`[4a2dd8f279]`](https://github.com/aspnet/AspNetCore/commit/4a2dd8f279) Add schema version to kproj files
* [`[7569703906]`](https://github.com/aspnet/AspNetCore/commit/7569703906) Add schema version to kproj files
* [`[bf0c8c95b0]`](https://github.com/aspnet/AspNetCore/commit/bf0c8c95b0) Add schema version to kproj files
* [`[eb99bf25a3]`](https://github.com/aspnet/AspNetCore/commit/eb99bf25a3) Add schema version to kproj files
* [`[0c841f934e]`](https://github.com/aspnet/AspNetCore/commit/0c841f934e) Add schema version to kproj files
* [`[d00c7ef597]`](https://github.com/aspnet/AspNetCore/commit/d00c7ef597) Adding support for property level binding using IBinderMetadata and enabling FromXXX attributes to be decorated on properties.
* [`[a9827a4310]`](https://github.com/aspnet/AspNetCore/commit/a9827a4310) GetDefaultServices -> AddHosting
* [`[f3e9381f16]`](https://github.com/aspnet/AspNetCore/commit/f3e9381f16) GetServices -> AddDataProtection
* [`[21a6f44c38]`](https://github.com/aspnet/AspNetCore/commit/21a6f44c38) GetDefaultServices -> AddRouting with TryAdd
* [`[f61b1496b2]`](https://github.com/aspnet/AspNetCore/commit/f61b1496b2) Updating commands for non windows machines
* [`[c947e9ffaa]`](https://github.com/aspnet/AspNetCore/commit/c947e9ffaa) Changed TagHelper attributes to be SpanKind.Code if not string typed.
* [`[ed9c432889]`](https://github.com/aspnet/AspNetCore/commit/ed9c432889) Modify TagHelperDescriptorResolver and dependencies to not throw.
* [`[075edc516c]`](https://github.com/aspnet/AspNetCore/commit/075edc516c) Handle null configuration in HostingServices.Create
* [`[823229279a]`](https://github.com/aspnet/AspNetCore/commit/823229279a) Extend MVC Sample functional test to include all Home views
* [`[ab8a77bb70]`](https://github.com/aspnet/AspNetCore/commit/ab8a77bb70) Avoid NREs in MVC sample - see e.g. results of `GET ~/Home/Post` - use parentheses to avoid `?` confusing Razor
* [`[bd5c07d66a]`](https://github.com/aspnet/AspNetCore/commit/bd5c07d66a) Move default hosting environment code
* [`[2f02fc6091]`](https://github.com/aspnet/AspNetCore/commit/2f02fc6091) Fix SelfHost to default to config environment
* [`[e54bf866e0]`](https://github.com/aspnet/AspNetCore/commit/e54bf866e0) Simplifying InlineConstraints tests
* [`[44b50b46f9]`](https://github.com/aspnet/AspNetCore/commit/44b50b46f9) updating the page generator and base view to work with razor helper functions
* [`[1f67f69205]`](https://github.com/aspnet/AspNetCore/commit/1f67f69205) Add missing license headers - #EngineeringDay
* [`[a477bd5cb1]`](https://github.com/aspnet/AspNetCore/commit/a477bd5cb1) Add missing license headers - #EngineeringDay - skip generated files such as Resources.Designer.cs and files under   test\Microsoft.AspNet.Razor.Test\TestFiles\CodeGenerator\CS\Output
* [`[7eb106676c]`](https://github.com/aspnet/AspNetCore/commit/7eb106676c) Add missing license headers - #EngineeringDay - license present but incorrect in just a few files - skip generated files such as Resources.Designer.cs and files under   test\Microsoft.AspNet.Mvc.Razor.Host.Test\TestFiles\Output
* [`[781bdce0eb]`](https://github.com/aspnet/AspNetCore/commit/781bdce0eb) Add IServiceManifest
* [`[63c8e1889b]`](https://github.com/aspnet/AspNetCore/commit/63c8e1889b) Add IServiceManifest
* [`[90098411c6]`](https://github.com/aspnet/AspNetCore/commit/90098411c6) [Fixes issue #1528] default reference assemblies made extensible - Made ReferenceAssemblies and GetCandidateLibraries virtual - Added relevant tests
* [`[58b1ae1712]`](https://github.com/aspnet/AspNetCore/commit/58b1ae1712) A regression introduced in a recent change
* [`[5e067cdb9e]`](https://github.com/aspnet/AspNetCore/commit/5e067cdb9e) Delete trailing whitespace - #EngineeringDay - Total replaced: 660  Matching files: 270 in *.cs - Total replaced: 250  Matching files: 32 in all other files - Total replaced: 22  Matching files: 8 in a few stragglers
* [`[5ae536fe0a]`](https://github.com/aspnet/AspNetCore/commit/5ae536fe0a) Some fixes
* [`[7c961e3ce8]`](https://github.com/aspnet/AspNetCore/commit/7c961e3ce8) TODO removal
* [`[0f724a51df]`](https://github.com/aspnet/AspNetCore/commit/0f724a51df) Delete trailing whitespace - #EngineeringDay - Total replaced: 506  Matching files: 118
* [`[1563700feb]`](https://github.com/aspnet/AspNetCore/commit/1563700feb) Fix for #1539 - We're not going to do anything special when request services aren't enabled
* [`[62e07305cf]`](https://github.com/aspnet/AspNetCore/commit/62e07305cf) Add hook to add TagHelperDirectiveDescriptors.
* [`[c35d19142c]`](https://github.com/aspnet/AspNetCore/commit/c35d19142c) Add ability to resolve all TagHelperDescriptors with one method call.
* [`[1a101d7815]`](https://github.com/aspnet/AspNetCore/commit/1a101d7815) Delete trailing whitespace - #EngineeringDay - Total replaced: 105  Matching files: 44 in *.cs files - Total replaced: 27  Matching files: 1 in all other files
* [`[6c4b1398b8]`](https://github.com/aspnet/AspNetCore/commit/6c4b1398b8) Address small `InputTagHelper` bug discovered while testing - Type attribute value was "Type", not "type", when determined from template hints
* [`[12858aef79]`](https://github.com/aspnet/AspNetCore/commit/12858aef79) Fixing port number to 5001 as social logins need this port number to work
* [`[99a1848598]`](https://github.com/aspnet/AspNetCore/commit/99a1848598) Checkin VS modifications to kproj
* [`[ed8ba5ae9c]`](https://github.com/aspnet/AspNetCore/commit/ed8ba5ae9c) Fix for #1194 - Error using [HttpPost] and [Route] together
* [`[e21f157095]`](https://github.com/aspnet/AspNetCore/commit/e21f157095) changed contract.assert to debug.assert
* [`[f72b23c871]`](https://github.com/aspnet/AspNetCore/commit/f72b23c871) Test flakiness - Moving the first request into a retry block
* [`[dbee8c1f6b]`](https://github.com/aspnet/AspNetCore/commit/dbee8c1f6b) And you get NoCache, and you get NoCache, and you get NoCache - NoCache for everybody!
* [`[62e84ae620]`](https://github.com/aspnet/AspNetCore/commit/62e84ae620) Make MusicStore.Spa..NoCacheAttribute try *really* hard to prevent caching
* [`[22ad9b9572]`](https://github.com/aspnet/AspNetCore/commit/22ad9b9572) MusicStore.Spa changes: - Upgraded to Angular 1.3 (Fixes #267) - Fix XHR GET caching issue in IE with new NoCacheAttribute - Slight fix in admin home page (album list) to ensure initial data fetch has the sort expression in the query
* [`[ba5d235a32]`](https://github.com/aspnet/AspNetCore/commit/ba5d235a32) Function name not passed to LoadFrame method when file name is not present in stacktrace
* [`[7b58d569eb]`](https://github.com/aspnet/AspNetCore/commit/7b58d569eb) ReadOnly attributes for Action, Controller, and Parameter
* [`[b37966f7ef]`](https://github.com/aspnet/AspNetCore/commit/b37966f7ef) Fix DataProtection DI dependencies.
* [`[91c3a550f1]`](https://github.com/aspnet/AspNetCore/commit/91c3a550f1) changed contracts.assert to debug.assert
* [`[38b3b61485]`](https://github.com/aspnet/AspNetCore/commit/38b3b61485) update due to breaking changes in routing
* [`[01345eca91]`](https://github.com/aspnet/AspNetCore/commit/01345eca91) Fix for #92 - Make Constraints, DataTokens, and Defaults readonly
* [`[661583f694]`](https://github.com/aspnet/AspNetCore/commit/661583f694) Fix for #1447 - Adding functional tests that verify per-request services
* [`[ca92700a6f]`](https://github.com/aspnet/AspNetCore/commit/ca92700a6f) Adding a functional test that modifies data tokens
* [`[d9a3c265ea]`](https://github.com/aspnet/AspNetCore/commit/d9a3c265ea) Fix for MVC #1539 - Deal with the case where request services are not set
* [`[fad5ba4323]`](https://github.com/aspnet/AspNetCore/commit/fad5ba4323) Copy of Microsoft.AspNet.Diagnostics.Entity code from EntityFramework Straight copy of code with no modification so that we have a baseline of changes made to port the code to the Diagnostics repo
* [`[6a4f49a188]`](https://github.com/aspnet/AspNetCore/commit/6a4f49a188) Fix facebook endpoint tests.
* [`[1dd3a2ee1f]`](https://github.com/aspnet/AspNetCore/commit/1dd3a2ee1f) #147 - OWIN: Throw KeyNotFoundException if the underlying Feature is missing. Return defaults for required entries.
* [`[0fee3c87a0]`](https://github.com/aspnet/AspNetCore/commit/0fee3c87a0) #85 - Update the targeted Facebook API version to v2.2.
* [`[052ad3e95f]`](https://github.com/aspnet/AspNetCore/commit/052ad3e95f) RenderSection \ RenderSectionAsync does not work in sections Fixes #1509
* [`[bad8b16a2a]`](https://github.com/aspnet/AspNetCore/commit/bad8b16a2a) Add extensibility point to resolve descriptors in assembly.
* [`[829faaaa4b]`](https://github.com/aspnet/AspNetCore/commit/829faaaa4b) Change TagHelperAttributeDescriptor to not depend on PropertyInfo.
* [`[2200f7dc3a]`](https://github.com/aspnet/AspNetCore/commit/2200f7dc3a) Add AssemblyName to TagHelperDescriptor.
* [`[8d4bdbdb84]`](https://github.com/aspnet/AspNetCore/commit/8d4bdbdb84) Allow invalid HTML to be in Razor pages.
* [`[b7bb7f8fcf]`](https://github.com/aspnet/AspNetCore/commit/b7bb7f8fcf) Fix issue with empty path.
* [`[4f90920b6d]`](https://github.com/aspnet/AspNetCore/commit/4f90920b6d) Added kestrel and running on IIS support
* [`[bf5d14f477]`](https://github.com/aspnet/AspNetCore/commit/bf5d14f477) #78 - Enable TestServer to populate the PathBase.
* [`[2f7c186b24]`](https://github.com/aspnet/AspNetCore/commit/2f7c186b24) Adding necesary files for IIS hosting
* [`[23a7aa813d]`](https://github.com/aspnet/AspNetCore/commit/23a7aa813d) Updating FindView_UsesViewLocationExpandersToLocateViews for IRazorViewFactory.
* [`[e9c7a34cfc]`](https://github.com/aspnet/AspNetCore/commit/e9c7a34cfc) Introducing RazorViewFactory for RazorView
* [`[2982c72547]`](https://github.com/aspnet/AspNetCore/commit/2982c72547) Add `Html.BeginForm()` and `Html.BeginRouteForm()` tests - helps w/ #453 since `Html.BeginForm()` wasn't previously tested - provide a `DefaultTemplatesUtilities.GetHtmlHelper()` overload with an   `IHtmlGenerator` parameter - update `DefaultTemplateUtilities` to use `DefaultHttpContext`  - stop using a mock for this purpose; provides a non-`null` `Request`
* [`[2970af14b1]`](https://github.com/aspnet/AspNetCore/commit/2970af14b1) Update KProj to the latest format
* [`[c0d8e94287]`](https://github.com/aspnet/AspNetCore/commit/c0d8e94287) Update KProj to the latest format
* [`[15344d8d7a]`](https://github.com/aspnet/AspNetCore/commit/15344d8d7a) Update KProj to the latest format
* [`[a3a59f122d]`](https://github.com/aspnet/AspNetCore/commit/a3a59f122d) Update KProj to the latest format
* [`[ee162013a5]`](https://github.com/aspnet/AspNetCore/commit/ee162013a5) Update KProj to the latest format
* [`[39accef1ad]`](https://github.com/aspnet/AspNetCore/commit/39accef1ad) Update KProj to the latest format
* [`[1b8f25f7d4]`](https://github.com/aspnet/AspNetCore/commit/1b8f25f7d4) Update KProj to the latest format
* [`[76bb27e5d3]`](https://github.com/aspnet/AspNetCore/commit/76bb27e5d3) Update KProj to the latest format
* [`[d25ffec655]`](https://github.com/aspnet/AspNetCore/commit/d25ffec655) Update KProj to latest version
* [`[b466013235]`](https://github.com/aspnet/AspNetCore/commit/b466013235) Update KProj to the latest format
* [`[4598505652]`](https://github.com/aspnet/AspNetCore/commit/4598505652) Fix to special case Dispose method to be treated as non-action
* [`[e9d8c845d6]`](https://github.com/aspnet/AspNetCore/commit/e9d8c845d6) Create a new routedata for each 'router' for MVC
* [`[ac129c71ac]`](https://github.com/aspnet/AspNetCore/commit/ac129c71ac) Updating update-master to reset to release and copy NuGet.master.config to repos
* [`[73a439804b]`](https://github.com/aspnet/AspNetCore/commit/73a439804b) Skip calling clean-npm-modules from #run-grunt on Mono
* [`[88ebb165e7]`](https://github.com/aspnet/AspNetCore/commit/88ebb165e7) Fixed kproj artifacts dir location
* [`[9c279164c4]`](https://github.com/aspnet/AspNetCore/commit/9c279164c4) Updated the grunt target to delete node_modules directory afterward - It shelss out to "robocopy" tool as that is safe for long paths - Doing this to work around the issue with KRE compile failing when long paths are present in the project folder
* [`[17e4dd2bf6]`](https://github.com/aspnet/AspNetCore/commit/17e4dd2bf6) [Fixes #1429] Content negotiation does a case-sensitive matching of media type's parameter values
* [`[1e2152cd26]`](https://github.com/aspnet/AspNetCore/commit/1e2152cd26) Update kproj files to move artifacts out of project folder
* [`[fc99ba1426]`](https://github.com/aspnet/AspNetCore/commit/fc99ba1426) Updating kvm.ps1 and kvm.sh scripts
* [`[2d32420f01]`](https://github.com/aspnet/AspNetCore/commit/2d32420f01) Add `<option/>` tag helper - #1423
* [`[30f25fec99]`](https://github.com/aspnet/AspNetCore/commit/30f25fec99) Provide selected values to `<option/>` tag helpers - value may remain in the `FormContext` beyond `</select>` end tag but will   be cleaned up at the `</form>` end tag of the containing `<form/>` element  - `SelectTagHelper` called prior to helpers for contained `<option/>`s and    not again later - adjust mock setups to handle new `GenerateSelect()` call - add assertions for expected `FormContext.FormData` entry
* [`[3d84b528e5]`](https://github.com/aspnet/AspNetCore/commit/3d84b528e5) Extend `IHtmlGenerator.GenerateSelect()` to make selected values available
* [`[54155e47e5]`](https://github.com/aspnet/AspNetCore/commit/54155e47e5) Add DesignTime code generation support for TagHelpers.
* [`[424099bd57]`](https://github.com/aspnet/AspNetCore/commit/424099bd57) Updated readme
* [`[8f16060f94]`](https://github.com/aspnet/AspNetCore/commit/8f16060f94) Fixing dev NuGet.config
* [`[970ee1b71f]`](https://github.com/aspnet/AspNetCore/commit/970ee1b71f) Fixing dev NuGet.config
* [`[72604cb327]`](https://github.com/aspnet/AspNetCore/commit/72604cb327) Fixing dev NuGet.config
* [`[0352ef8a79]`](https://github.com/aspnet/AspNetCore/commit/0352ef8a79) MusicStore.Spa changes: - Added buddy validation provider
* [`[087552dc5f]`](https://github.com/aspnet/AspNetCore/commit/087552dc5f) Updating to release NuGet.config
* [`[cd184e3e33]`](https://github.com/aspnet/AspNetCore/commit/cd184e3e33) Updating to release NuGet.config
* [`[ed64922499]`](https://github.com/aspnet/AspNetCore/commit/ed64922499) Updating to release NuGet.config
* [`[045a6eb4ba]`](https://github.com/aspnet/AspNetCore/commit/045a6eb4ba) Add new HeadersSent API.
* [`[65f595ca02]`](https://github.com/aspnet/AspNetCore/commit/65f595ca02) Add new HeadersSent API.
* [`[f6c1a559a0]`](https://github.com/aspnet/AspNetCore/commit/f6c1a559a0) Add new HeadersSent API.
* [`[641c4528e9]`](https://github.com/aspnet/AspNetCore/commit/641c4528e9) Updating to release NuGet.config
* [`[6b2f331e8d]`](https://github.com/aspnet/AspNetCore/commit/6b2f331e8d) Adding support for excluding types for validation, based on type names for body bound models.
* [`[389e27e460]`](https://github.com/aspnet/AspNetCore/commit/389e27e460) #134 - Add HeadersSent api.
* [`[ca6aab28c1]`](https://github.com/aspnet/AspNetCore/commit/ca6aab28c1) Updating to release NuGet.config
* [`[d1a784e98d]`](https://github.com/aspnet/AspNetCore/commit/d1a784e98d) Updating to release NuGet.config
* [`[f19ae9828c]`](https://github.com/aspnet/AspNetCore/commit/f19ae9828c) Updating to release NuGet.config
* [`[aa7109b6e1]`](https://github.com/aspnet/AspNetCore/commit/aa7109b6e1) Updating to release NuGet.config
* [`[32a967d58f]`](https://github.com/aspnet/AspNetCore/commit/32a967d58f) Updating to release NuGet.config
* [`[860d81068c]`](https://github.com/aspnet/AspNetCore/commit/860d81068c) Updating to release NuGet.config
* [`[674324ec28]`](https://github.com/aspnet/AspNetCore/commit/674324ec28) Updating to release NuGet.config
* [`[2efbc75f8e]`](https://github.com/aspnet/AspNetCore/commit/2efbc75f8e) Updating to release NuGet.config
* [`[5a55767162]`](https://github.com/aspnet/AspNetCore/commit/5a55767162) Updating to release NuGet.config
* [`[75d8a81386]`](https://github.com/aspnet/AspNetCore/commit/75d8a81386) Updating to release NuGet.config
* [`[bbb6a56993]`](https://github.com/aspnet/AspNetCore/commit/bbb6a56993) Updating to release NuGet.config
* [`[71d283a4c0]`](https://github.com/aspnet/AspNetCore/commit/71d283a4c0) Updating to release NuGet.config
* [`[27e0323a8a]`](https://github.com/aspnet/AspNetCore/commit/27e0323a8a) renaming TraceType to LogLevel
* [`[cce11ad2ae]`](https://github.com/aspnet/AspNetCore/commit/cce11ad2ae) Update .kproj files to follow modern conventions
* [`[b7d9e11a84]`](https://github.com/aspnet/AspNetCore/commit/b7d9e11a84) Middleware invokation with per-request services
* [`[673854b060]`](https://github.com/aspnet/AspNetCore/commit/673854b060) renaming TraceType to LogLevel
* [`[687b174b63]`](https://github.com/aspnet/AspNetCore/commit/687b174b63) Accept VS changes to avoid noise later
* [`[f7ef604b86]`](https://github.com/aspnet/AspNetCore/commit/f7ef604b86) Regenerate .kproj files - does not seem to have a negative impact - e.g. sample web projects run / debug fine
* [`[7f1024aac0]`](https://github.com/aspnet/AspNetCore/commit/7f1024aac0) Unify ConfigureServices to take IServiceCollection with Options
* [`[08c591c74b]`](https://github.com/aspnet/AspNetCore/commit/08c591c74b) Fix for #104 - RouterMiddleware should take ILoggerFactory in the constructor
* [`[90e41b905a]`](https://github.com/aspnet/AspNetCore/commit/90e41b905a) Add `ModelMetadata.HtmlEncode` property - use new `ModelMetadata.HtmlEncode` property in HTML helpers  - specifically in default HTML display and editor object templates (e.g.    `@Html.DisplayFor()`) when value is non-`null` and the template is invoked    with template depth greater than 1 - similar to MVC 5.2 commit [2b12791aee4f](https://aspnetwebstack.codeplex.com/SourceControl/changeset/2b12791aee4ffc56c7928b623bb45ee425813021)
* [`[d5515bfbb6]`](https://github.com/aspnet/AspNetCore/commit/d5515bfbb6) Adding arg null or empty checks to RazorViewEngine.FindView & FindPartialView
* [`[4720381d78]`](https://github.com/aspnet/AspNetCore/commit/4720381d78) Change the IRazorCompilationService's DI lifetime.
* [`[30884d8d26]`](https://github.com/aspnet/AspNetCore/commit/30884d8d26) Removing types marked as obsolete
* [`[b8645eeb31]`](https://github.com/aspnet/AspNetCore/commit/b8645eeb31) Follow up to JsonResult changes
* [`[0ccfcc4316]`](https://github.com/aspnet/AspNetCore/commit/0ccfcc4316) Fix for breaking API change from routing
* [`[aae9e67773]`](https://github.com/aspnet/AspNetCore/commit/aae9e67773) add docs
* [`[105c99cbf2]`](https://github.com/aspnet/AspNetCore/commit/105c99cbf2) Fix #1370 - Always use the provided formatter in JsonResult
* [`[d78e5478a7]`](https://github.com/aspnet/AspNetCore/commit/d78e5478a7) Fix for #65,116 - Implement 'stack of routers'
* [`[1768bfd25f]`](https://github.com/aspnet/AspNetCore/commit/1768bfd25f) Added package descriptions
* [`[82511a8489]`](https://github.com/aspnet/AspNetCore/commit/82511a8489) Added package descriptions
* [`[01a4d8d5bb]`](https://github.com/aspnet/AspNetCore/commit/01a4d8d5bb) Added package descriptions
* [`[c6c7b48358]`](https://github.com/aspnet/AspNetCore/commit/c6c7b48358) Added package descriptions
* [`[a5bd9d29e5]`](https://github.com/aspnet/AspNetCore/commit/a5bd9d29e5) Added package descriptions
* [`[0174d213d1]`](https://github.com/aspnet/AspNetCore/commit/0174d213d1) Added package descriptions
* [`[3bbdce3511]`](https://github.com/aspnet/AspNetCore/commit/3bbdce3511) Added package descriptions
* [`[c9e0f9beb1]`](https://github.com/aspnet/AspNetCore/commit/c9e0f9beb1) Added package descriptions
* [`[5ae262f394]`](https://github.com/aspnet/AspNetCore/commit/5ae262f394) Added package descriptions
* [`[5420b9d382]`](https://github.com/aspnet/AspNetCore/commit/5420b9d382) More `ViewDataDictionary` tests - separate and extend `ViewDataDictionary<TModel>` tests
* [`[c89bca5924]`](https://github.com/aspnet/AspNetCore/commit/c89bca5924) Adjust tests to handle new `ViewDataDictionary` invariants - ensure `ViewDataDictionary` constructors are not passed a `null` or   `Mock.Of<IModelMetadataProvider>()` instance  - `ViewDataDictionary` constructors always use the `IModelMetadataProvider` - `viewData.ModelMetadata` now never `null` - `ViewDataDictionary<int>.Model` no longer throws if read before it's written - `ViewDataDictionary.ModelMetadata` now copied to new instances in fewer cases  - e.g. don't use unusual `object` datatype with customized `ModelMetadata`
* [`[83187945d1]`](https://github.com/aspnet/AspNetCore/commit/83187945d1) Fix for #1052 - ViewComponents should support fully qualified names
* [`[028a2359a4]`](https://github.com/aspnet/AspNetCore/commit/028a2359a4) Added description in project.json for all projects
* [`[40b2da7cc7]`](https://github.com/aspnet/AspNetCore/commit/40b2da7cc7) Added description to project.json
* [`[85d0ddc45a]`](https://github.com/aspnet/AspNetCore/commit/85d0ddc45a) Added description in project.json for all projects
* [`[ac14c3222b]`](https://github.com/aspnet/AspNetCore/commit/ac14c3222b) making page generator work for different libraries
* [`[2934bb866d]`](https://github.com/aspnet/AspNetCore/commit/2934bb866d) Removing transitive dependencies from project.json
* [`[edefdf6b2f]`](https://github.com/aspnet/AspNetCore/commit/edefdf6b2f) Updating Newtonsoft.json version to 6.0.6
* [`[5b515fd132]`](https://github.com/aspnet/AspNetCore/commit/5b515fd132) Updated JSON.NET to 6.0.6
* [`[07ff6eb3be]`](https://github.com/aspnet/AspNetCore/commit/07ff6eb3be) Update to JSON.Net 6.0.6
* [`[310feeb826]`](https://github.com/aspnet/AspNetCore/commit/310feeb826) Added a functional test for view precompilation
* [`[305dd87b9b]`](https://github.com/aspnet/AspNetCore/commit/305dd87b9b) Fix for #1442 - Find better names for ApiExplorerProperties
* [`[46897037e9]`](https://github.com/aspnet/AspNetCore/commit/46897037e9) TODO removal part 1 - ActionExecutorTests
* [`[9a77c2bc1e]`](https://github.com/aspnet/AspNetCore/commit/9a77c2bc1e) Fix for #1448 - ViewComponents must be public top-level classes
* [`[e25e4c4a5d]`](https://github.com/aspnet/AspNetCore/commit/e25e4c4a5d) Change logging in Mvc to log with TraceType.Verbose Fixes #1457
* [`[0350ca1dba]`](https://github.com/aspnet/AspNetCore/commit/0350ca1dba) Switching TraceType to Verbose
* [`[4bde6f6caf]`](https://github.com/aspnet/AspNetCore/commit/4bde6f6caf) Add "/home/nulluser" view to MVC sample - exercises display and editor helpers when `Model==null`
* [`[8d2a1c47e5]`](https://github.com/aspnet/AspNetCore/commit/8d2a1c47e5) Change `ViewDataDictionary` copy constructor to ensure `ModelMetadata` is  never that for `object` - `ViewDataDictionary<TModel>.ModelMetadata` was for `object` after base  copy constructor got value from `ViewDataDictionary<object>` - problem led to #1426 symptoms - with copy constructor leaving `base.ModelMetadata==null` more often,  `ViewDataDictionary<TModel>.ModelMetadata` usually tracks `TModel` if  `Model==null`
* [`[fc4213b1f8]`](https://github.com/aspnet/AspNetCore/commit/fc4213b1f8) Reliability: Don't compile against 'experimental' language features. This will help prevent Roslyn changes from breaking us.
* [`[653d31b336]`](https://github.com/aspnet/AspNetCore/commit/653d31b336) Don't lock metadata references
* [`[a492b8fcbd]`](https://github.com/aspnet/AspNetCore/commit/a492b8fcbd) #84 - Fix regression with OAuth Notifications.
* [`[e0116bab30]`](https://github.com/aspnet/AspNetCore/commit/e0116bab30) Modifying ArgumentNullOrEmpty message to be consistent with Mvc 5 \ testing code.
* [`[6797dfea48]`](https://github.com/aspnet/AspNetCore/commit/6797dfea48) Fix %APPDATA% detection logic.
* [`[035983f90e]`](https://github.com/aspnet/AspNetCore/commit/035983f90e) Add missing dependency.
* [`[76d3043bbe]`](https://github.com/aspnet/AspNetCore/commit/76d3043bbe) Update Autobahn server app with native and managed paths.
* [`[6e2b94dde3]`](https://github.com/aspnet/AspNetCore/commit/6e2b94dde3) #76 - Suppress shutdown error logs.
* [`[f38e258f89]`](https://github.com/aspnet/AspNetCore/commit/f38e258f89) Removing unused references from project.json
* [`[9309765ffa]`](https://github.com/aspnet/AspNetCore/commit/9309765ffa) Fixing System.Diagnostics.Contracts reference
* [`[1e3828eb7d]`](https://github.com/aspnet/AspNetCore/commit/1e3828eb7d) Changing NewtonSoft.Json version to 6.0.6
* [`[16725ac0d7]`](https://github.com/aspnet/AspNetCore/commit/16725ac0d7) Adding reference to System.Reflection.Extensions
* [`[c9fbaccde1]`](https://github.com/aspnet/AspNetCore/commit/c9fbaccde1) Cleaning up project.json Updating Newtonsoft.Json version to 6.0.6
* [`[0dba621965]`](https://github.com/aspnet/AspNetCore/commit/0dba621965) Make TagHelperOutput.Attributes case insensitive.
* [`[98e9285fa8]`](https://github.com/aspnet/AspNetCore/commit/98e9285fa8) #13 - Detailed UTF-8 validation.
* [`[0a3ad09466]`](https://github.com/aspnet/AspNetCore/commit/0a3ad09466) Rename GlobalModel -> ApplicationModel
* [`[7012b3fc2b]`](https://github.com/aspnet/AspNetCore/commit/7012b3fc2b) Fix for #996 - ViewComponentInvoker should get TypeActivator from DI.
* [`[756f8be49c]`](https://github.com/aspnet/AspNetCore/commit/756f8be49c) CompositeValueProvider.GetKeysFromPrefixAsync throws null if provider is not an IEnumerableValueProvider
* [`[26cd8df577]`](https://github.com/aspnet/AspNetCore/commit/26cd8df577) Adding functional tests to verify round tripping of names generated by HtmlHelpers
* [`[ae77def939]`](https://github.com/aspnet/AspNetCore/commit/ae77def939) #20 - Validate OpCodes.
* [`[08441efeae]`](https://github.com/aspnet/AspNetCore/commit/08441efeae) #18 - Validate close status codes.
* [`[b7c8d5cd42]`](https://github.com/aspnet/AspNetCore/commit/b7c8d5cd42) #17 - Validate close frame body.
* [`[e8c4985322]`](https://github.com/aspnet/AspNetCore/commit/e8c4985322) Verify contination frames.
* [`[db140c9f21]`](https://github.com/aspnet/AspNetCore/commit/db140c9f21) Fix #91 - Make LoggerExtensions public but in an internal namespace
* [`[31c76a0032]`](https://github.com/aspnet/AspNetCore/commit/31c76a0032) Clean up error handling. Check for control frame fragmentation.
* [`[f9661dfcd0]`](https://github.com/aspnet/AspNetCore/commit/f9661dfcd0) Fix pdb generation for win7/coreclr
* [`[7d11034790]`](https://github.com/aspnet/AspNetCore/commit/7d11034790) #14 - Validate reserved bits.
* [`[207767a9b0]`](https://github.com/aspnet/AspNetCore/commit/207767a9b0) #15 - Validate ping frame size limits.
* [`[4a5dbccb46]`](https://github.com/aspnet/AspNetCore/commit/4a5dbccb46) #13 - Utf8 validation.
* [`[02a0a218b9]`](https://github.com/aspnet/AspNetCore/commit/02a0a218b9) [Fixes #90] RouteTemplate does not take RouteData
* [`[bd529b3b5b]`](https://github.com/aspnet/AspNetCore/commit/bd529b3b5b) Fix ManagedAuthenticatedEncryptor not round-tripping payloads properly.
* [`[6050d73554]`](https://github.com/aspnet/AspNetCore/commit/6050d73554) Mvc should not pull in the K.Roslyn package Fixes #1427
* [`[ade78b1aba]`](https://github.com/aspnet/AspNetCore/commit/ade78b1aba) #1 - Implement Autobahn test client & server.
* [`[78bda87730]`](https://github.com/aspnet/AspNetCore/commit/78bda87730) Replacing ViewResultBase with ViewExecutor
* [`[582a6b3eec]`](https://github.com/aspnet/AspNetCore/commit/582a6b3eec) Updated Nuget.Config to point to aspnetrelease feed
* [`[6e557dc193]`](https://github.com/aspnet/AspNetCore/commit/6e557dc193) Fix ManagedAuthenticatedEncryptor not round-tripping payloads correctly.
* [`[95f19407fc]`](https://github.com/aspnet/AspNetCore/commit/95f19407fc) #74 - Clean up data protection provider helper.
* [`[a2e005c017]`](https://github.com/aspnet/AspNetCore/commit/a2e005c017) Update MusicStore.Spa to latest angular-ui-bootstrap
* [`[9b33f3f9d9]`](https://github.com/aspnet/AspNetCore/commit/9b33f3f9d9) Changes to run smoke test on Mono
* [`[c320b1caaf]`](https://github.com/aspnet/AspNetCore/commit/c320b1caaf) Updating startup for ntml as well
* [`[28d49310bf]`](https://github.com/aspnet/AspNetCore/commit/28d49310bf) Added for configuration to use only Identity
* [`[91ec215469]`](https://github.com/aspnet/AspNetCore/commit/91ec215469) Removing repos Home and BugTracker
* [`[e550d1f1ec]`](https://github.com/aspnet/AspNetCore/commit/e550d1f1ec) Updating Darwin OS detection
* [`[76b76ba099]`](https://github.com/aspnet/AspNetCore/commit/76b76ba099) DataProtectionServices should use keys stored in HKLM auto-gen registry when running on IIS without user profile.
* [`[ca95189a3b]`](https://github.com/aspnet/AspNetCore/commit/ca95189a3b) Allow DpapiNGXmlEncryptor to get the current identity's SID on CoreCLR.
* [`[390bf8f024]`](https://github.com/aspnet/AspNetCore/commit/390bf8f024) Update MemoryCache DI.
* [`[a42a069dcf]`](https://github.com/aspnet/AspNetCore/commit/a42a069dcf) Enable WindowsIdentity for CoreCLR.
* [`[114d834876]`](https://github.com/aspnet/AspNetCore/commit/114d834876) Add Session feature, object model, etc..
* [`[dc600a636a]`](https://github.com/aspnet/AspNetCore/commit/dc600a636a) Support removing features from FeatureCollection.
* [`[d31e107619]`](https://github.com/aspnet/AspNetCore/commit/d31e107619) Add `SelectTagHelper` tests
* [`[2fd51c82f9]`](https://github.com/aspnet/AspNetCore/commit/2fd51c82f9) Add `<select/>` tag helper - #1248
* [`[473f642dde]`](https://github.com/aspnet/AspNetCore/commit/473f642dde) Modifying tests to run in both in aspnet50 and aspnetcore50
* [`[557974b948]`](https://github.com/aspnet/AspNetCore/commit/557974b948) Removing BodyParameterInfo and ParameterBindingInfo
* [`[61f218c8e4]`](https://github.com/aspnet/AspNetCore/commit/61f218c8e4) Renaming IBinderMarker and friends to some more descriptive names.
* [`[d1c0213a10]`](https://github.com/aspnet/AspNetCore/commit/d1c0213a10) Adding PropertyFilter instead of depending on model metadata to concatenate Metadata for parameter/property and type metadata
* [`[77c4391e47]`](https://github.com/aspnet/AspNetCore/commit/77c4391e47) Fix for #1401 - Change namespace of HttpResponseException
* [`[72960ffef4]`](https://github.com/aspnet/AspNetCore/commit/72960ffef4) Updating startup for ntml as well
* [`[df8f84b772]`](https://github.com/aspnet/AspNetCore/commit/df8f84b772) Fix #1287 - Port WebAPI parameter binding behavior
* [`[5b1bcb6079]`](https://github.com/aspnet/AspNetCore/commit/5b1bcb6079) Issue #1214: Cannot pass a int parameter to the views from ViewComponent. Fix: Checking if the model is not null in the Copy constructor of ViewDataDictionary.
* [`[f53538d598]`](https://github.com/aspnet/AspNetCore/commit/f53538d598) Added for configuration to use only Identity
* [`[75405e3b76]`](https://github.com/aspnet/AspNetCore/commit/75405e3b76) Adding support for bind attribute.
* [`[dd5da33a62]`](https://github.com/aspnet/AspNetCore/commit/dd5da33a62) Sanitize "id" attributes for HTML 4.0.1 - #704 part 2 of 2 - change `@Html.Id()` to sanitize return value; was identical to `@Html.Name()`
* [`[98d749d03c]`](https://github.com/aspnet/AspNetCore/commit/98d749d03c) [Fixes #1389] Can't bind complex type data from route parameters.
* [`[fff1d62f01]`](https://github.com/aspnet/AspNetCore/commit/fff1d62f01) Change GetService calls to GetRequiredService
* [`[2352bd7ca3]`](https://github.com/aspnet/AspNetCore/commit/2352bd7ca3) Change GetService calls to GetRequiredService
* [`[5119d16b64]`](https://github.com/aspnet/AspNetCore/commit/5119d16b64) ViewComponent.Invoke() should be able to invoke views Fixes #285
* [`[8fc3607a68]`](https://github.com/aspnet/AspNetCore/commit/8fc3607a68) Fix Win7 vs Win8 detection logic for SP800-108-CTR-HMACSHA512.
* [`[993e8fd077]`](https://github.com/aspnet/AspNetCore/commit/993e8fd077) Removing unnecessary references from Microsoft.AspNet.Mvc.TagHelpers/project.json
* [`[b8d30f29c6]`](https://github.com/aspnet/AspNetCore/commit/b8d30f29c6) Add IsPartial property to IRazorPage
* [`[ba8b91646a]`](https://github.com/aspnet/AspNetCore/commit/ba8b91646a) Update Claims dependency.
* [`[b7fb516aac]`](https://github.com/aspnet/AspNetCore/commit/b7fb516aac) Update Claims dependency.
* [`[d4778e1ad1]`](https://github.com/aspnet/AspNetCore/commit/d4778e1ad1) Add missing Contracts dependency.
* [`[89ade800c4]`](https://github.com/aspnet/AspNetCore/commit/89ade800c4) Update Claims dependency.
* [`[dcb710cfbe]`](https://github.com/aspnet/AspNetCore/commit/dcb710cfbe) Update Claims dependency.
* [`[ff4df72105]`](https://github.com/aspnet/AspNetCore/commit/ff4df72105) Removing extra dependencies from sample
* [`[274d40459f]`](https://github.com/aspnet/AspNetCore/commit/274d40459f) Cleaning up sample project.json
* [`[4e4d7d6717]`](https://github.com/aspnet/AspNetCore/commit/4e4d7d6717) Fix MusicStore.Spa/Models/MusicStoreContext.cs for EF changes
* [`[bc1994eebd]`](https://github.com/aspnet/AspNetCore/commit/bc1994eebd) Updating MusicStore.Spa for EF and Identity changes
* [`[f8b0249918]`](https://github.com/aspnet/AspNetCore/commit/f8b0249918) Add Label TagHelper.
* [`[9c07055ac7]`](https://github.com/aspnet/AspNetCore/commit/9c07055ac7) Add ValidationSummaryTagHelper.
* [`[70e695b665]`](https://github.com/aspnet/AspNetCore/commit/70e695b665) Moved @addtaghelper to ViewStart.
* [`[2729cdc9b7]`](https://github.com/aspnet/AspNetCore/commit/2729cdc9b7) Add ValidationMessageTagHelper.
* [`[57d1c542db]`](https://github.com/aspnet/AspNetCore/commit/57d1c542db) Add AnchorTagHelper.
* [`[4c98c8fcb9]`](https://github.com/aspnet/AspNetCore/commit/4c98c8fcb9) Add FormTagHelper.
* [`[20cc294c70]`](https://github.com/aspnet/AspNetCore/commit/20cc294c70) Reacted to options and hosting changes after rebase.
* [`[eb7c82d7c2]`](https://github.com/aspnet/AspNetCore/commit/eb7c82d7c2) Add `IHtmlGenerator` to DI and enable MVC tag helpers in TagHelperSample.Web - also fix a couple of minor issues in TagHelperSample.Web
* [`[659e759de2]`](https://github.com/aspnet/AspNetCore/commit/659e759de2) Add TagHelperSample.Web
* [`[9fadcf74ca]`](https://github.com/aspnet/AspNetCore/commit/9fadcf74ca) Fix for item #1278 - Add WebAPI ActionResult types and helper methods on ApiController
* [`[fd677047f4]`](https://github.com/aspnet/AspNetCore/commit/fd677047f4) Change GetService call to GetRequiredService
* [`[8966680075]`](https://github.com/aspnet/AspNetCore/commit/8966680075) [Fixes #1332] Port IContentNegotiator to WebAPI shim for CoreCLR support
* [`[cd90a337ee]`](https://github.com/aspnet/AspNetCore/commit/cd90a337ee) Change GetService calls to GetRequiredService
* [`[7dd78bbfef]`](https://github.com/aspnet/AspNetCore/commit/7dd78bbfef) Changes to use AddDbContext method
* [`[53379e4395]`](https://github.com/aspnet/AspNetCore/commit/53379e4395) Issue #1206 - DefaultBodyModelValidator throws if get accessor throws. Fix: The MvcOptions takes in a list of ExcludeFromValidationDelegate (Func<Type,bool>). This func verifies if the type is excluded in validation or not.
* [`[34f17db94c]`](https://github.com/aspnet/AspNetCore/commit/34f17db94c) Add `DefaultEditorTemplates.MultilineTemplate` - #965 - test call-throughs from `Html.Editor[For]()` to inner `IHtmlHelper`  - add another parameter to `DefaultTemplatesUtilities.GetHtmlHelper()`
* [`[c16214a53d]`](https://github.com/aspnet/AspNetCore/commit/c16214a53d) Split line made over 120 chars by call to GetRequiredService
* [`[a21ed4bc51]`](https://github.com/aspnet/AspNetCore/commit/a21ed4bc51) Replace calls to GetService<T> with GetRequiredService<T>
* [`[54ac14fa0f]`](https://github.com/aspnet/AspNetCore/commit/54ac14fa0f) IServiceProvider.GetService now returns null for missing services
* [`[f8035d6b04]`](https://github.com/aspnet/AspNetCore/commit/f8035d6b04) [Fixes #1201] Handle virtual paths in FilePathResult
* [`[9a08e42612]`](https://github.com/aspnet/AspNetCore/commit/9a08e42612) Add WebRoot node to project.json on MvcSample.Web
* [`[4efa6a428b]`](https://github.com/aspnet/AspNetCore/commit/4efa6a428b) Support IServiceProvider ConfigureServices()
* [`[78f472fd20]`](https://github.com/aspnet/AspNetCore/commit/78f472fd20) Switch to automatically ensure request services
* [`[8f933b2ac3]`](https://github.com/aspnet/AspNetCore/commit/8f933b2ac3) [Fixefor #860]- Adding Support for [FromFormData] [FromQuery] and [FromRoute], also updates FromBody to use the new pattern for model binding.
* [`[0ef93b94dc]`](https://github.com/aspnet/AspNetCore/commit/0ef93b94dc) Add the runtime info page when running in dev environment
* [`[b2a01e7b45]`](https://github.com/aspnet/AspNetCore/commit/b2a01e7b45) Adding support for inheriting tag helpers from _ViewStart files
* [`[99fe8294e9]`](https://github.com/aspnet/AspNetCore/commit/99fe8294e9) Modifications to support providing tag descriptors from derived hosts
* [`[0ad959e236]`](https://github.com/aspnet/AspNetCore/commit/0ad959e236) DateTimeOffset doesn't have a TypeConverter in Mono
* [`[796acc0e34]`](https://github.com/aspnet/AspNetCore/commit/796acc0e34) Restore Win7 + Server Core support routines.
* [`[75c6327b2e]`](https://github.com/aspnet/AspNetCore/commit/75c6327b2e) Layout property needs to be propogated between nested view starts Fixes #1364
* [`[de77c92a0a]`](https://github.com/aspnet/AspNetCore/commit/de77c92a0a) Reviving PartialViewResult and associated methods on Controller
* [`[5f47546d40]`](https://github.com/aspnet/AspNetCore/commit/5f47546d40) Use DefaultOrder in MvcOptionsSetup
* [`[8713dc9ba1]`](https://github.com/aspnet/AspNetCore/commit/8713dc9ba1) Dependency changes.
* [`[45836c8041]`](https://github.com/aspnet/AspNetCore/commit/45836c8041) Update UseMiddleware dependencies.
* [`[33dd087e0f]`](https://github.com/aspnet/AspNetCore/commit/33dd087e0f) Move UseMiddleware from RequestContainer to Http.Extensions.
* [`[44d888c319]`](https://github.com/aspnet/AspNetCore/commit/44d888c319) ViewStartUtility should not return current path if current is a view start file
* [`[132802435b]`](https://github.com/aspnet/AspNetCore/commit/132802435b) Add time-limiting data protection capabilities.
* [`[f8020e8e85]`](https://github.com/aspnet/AspNetCore/commit/f8020e8e85) Make @addtaghelper directive not be nested.
* [`[a0138735a8]`](https://github.com/aspnet/AspNetCore/commit/a0138735a8) Add string-based extension methods to IDataProtector.
* [`[8bd068f4a6]`](https://github.com/aspnet/AspNetCore/commit/8bd068f4a6) Move UseMiddleware from RequestContainer to Http.Extensions.
* [`[e985c22528]`](https://github.com/aspnet/AspNetCore/commit/e985c22528) [Fixes #1216] Provide a property on JsonOutputFormatter to set serializer settings [Fixes #1221] Rename OutputFormatter's WriteResponseContentHeaders to WriteResponseHeaders [Fixes #932] Setting Json Serializer Settings
* [`[ebf64ce4e3]`](https://github.com/aspnet/AspNetCore/commit/ebf64ce4e3) Adding HttpResponseException to WebApi Shim.
* [`[28bdedab22]`](https://github.com/aspnet/AspNetCore/commit/28bdedab22) Fixed FakeLibraryInformation
* [`[d915994f0b]`](https://github.com/aspnet/AspNetCore/commit/d915994f0b) Only load loadable assemblies
* [`[16fee38c95]`](https://github.com/aspnet/AspNetCore/commit/16fee38c95) Handle null httpContext.ApplicationServices
* [`[e5a21520e5]`](https://github.com/aspnet/AspNetCore/commit/e5a21520e5) Add HtmlAttributeNameAttribute for TagHelpers.
* [`[6466d1061e]`](https://github.com/aspnet/AspNetCore/commit/6466d1061e) Use/EnsureRequestServices changes
* [`[3b19de0e42]`](https://github.com/aspnet/AspNetCore/commit/3b19de0e42) Fixing #106
* [`[c3b76d14a3]`](https://github.com/aspnet/AspNetCore/commit/c3b76d14a3) Make EphemeralDataProtectionProvider and ProtectedMemoryBlob work on non-Windows platforms.
* [`[8d0c6052a7]`](https://github.com/aspnet/AspNetCore/commit/8d0c6052a7) Change 'pack-exclude' to 'packExclude'
* [`[0f2b9b3701]`](https://github.com/aspnet/AspNetCore/commit/0f2b9b3701) Add Base64UrlEncode / Base64UrlDecode.
* [`[2d67f2fc27]`](https://github.com/aspnet/AspNetCore/commit/2d67f2fc27) Modify precompilation to always generate instrumentation
* [`[5fa8a91111]`](https://github.com/aspnet/AspNetCore/commit/5fa8a91111) -Issue #913 - Model-binding is being case-sensitive when binding Url data to Enum parameter. Fix: Using TypeConverter solves this problem. -Issue #1123 - TypeConverterModelBinder cannot bind "byte" and "short". Fix: Modified code to use TypeConverter which can handle these scenarios. -Removing the GetConverterDelegate method and making the code similar to the WebApi.
* [`[3c7ba368fe]`](https://github.com/aspnet/AspNetCore/commit/3c7ba368fe) Added Error Handler middleware and Configure methods based on compilation types
* [`[a41b9dc983]`](https://github.com/aspnet/AspNetCore/commit/a41b9dc983) Add Html.Partial - sync versions of Html.PartialAsync
* [`[d9ebb37906]`](https://github.com/aspnet/AspNetCore/commit/d9ebb37906) Removing Microsoft.AspNet.Mvc dependency from ModelBinding
* [`[0f5bbdf417]`](https://github.com/aspnet/AspNetCore/commit/0f5bbdf417) updating ILogger, see aspnet/Logging#3
* [`[3f29de5a5f]`](https://github.com/aspnet/AspNetCore/commit/3f29de5a5f) Ensure PDB writer component is available before emiting PDB Ported from https://github.com/aspnet/KRuntime/commit/36cd4901f6b13d135b82dd026768a37ee36bdedb
* [`[dcf55abc9f]`](https://github.com/aspnet/AspNetCore/commit/dcf55abc9f) Changing shared library name on Unix OS type
* [`[dd587f743b]`](https://github.com/aspnet/AspNetCore/commit/dd587f743b) [Fixes #1331] Dispose HttpResponseMessage once its written out in HttpResponseMessageOutputFormatter
* [`[2766b3a4f0]`](https://github.com/aspnet/AspNetCore/commit/2766b3a4f0) Fix sample data in MusicStore.Spa
* [`[e1c385d27f]`](https://github.com/aspnet/AspNetCore/commit/e1c385d27f) Fix startup.cs in MusicStore.Spa
* [`[4ec6da1ed3]`](https://github.com/aspnet/AspNetCore/commit/4ec6da1ed3) Adding RenderSectionAsync to RazorPage Fixes #845
* [`[ca6eafc5f7]`](https://github.com/aspnet/AspNetCore/commit/ca6eafc5f7) Actually deleted the MusicStore.Spa/Client folder: - Updated Startup.cs for startup/configuration changes
* [`[a2a05e7153]`](https://github.com/aspnet/AspNetCore/commit/a2a05e7153) Modify CSharpCodeWriter to generate async lambdas for section
* [`[3ff9d6e8a0]`](https://github.com/aspnet/AspNetCore/commit/3ff9d6e8a0) [Fixes #108] Disallow the use of '*' in route parameter names
* [`[4f9a6fed93]`](https://github.com/aspnet/AspNetCore/commit/4f9a6fed93) Fix inherited TagHelper properties.
* [`[39376617cc]`](https://github.com/aspnet/AspNetCore/commit/39376617cc) [Fixes #809] Multiple [Http*] verbs should create multiple actions
* [`[3f54492930]`](https://github.com/aspnet/AspNetCore/commit/3f54492930) [Fixes #885] API Explorer: Link Generation
* [`[a633ef4f97]`](https://github.com/aspnet/AspNetCore/commit/a633ef4f97) Modify Razor components to use RazorViewEngineOptions.FileSystem Fixes #1302
* [`[6965a66f18]`](https://github.com/aspnet/AspNetCore/commit/6965a66f18) #59 - Use Task.GetAwaiter().GetResult() instead of Task.Result.
* [`[24904bb884]`](https://github.com/aspnet/AspNetCore/commit/24904bb884) More MusicStore.Spa changes RE wwwroot, Client source & grunt: - Got rid of the Client folder - wwwroot is now checked in and is source of truth for static files - Moved TypeScript & Angular templates to ~/ng-apps - Updated grunt config for above changes
* [`[3e88f44552]`](https://github.com/aspnet/AspNetCore/commit/3e88f44552) #69 - Properly delete Twitter state cookie.
* [`[d912f6cd39]`](https://github.com/aspnet/AspNetCore/commit/d912f6cd39) Removing unused types
* [`[18e11f546d]`](https://github.com/aspnet/AspNetCore/commit/18e11f546d) DecorateWriter does not get called for partial views rendered via Html.PartialAsync
* [`[75084ba0cd]`](https://github.com/aspnet/AspNetCore/commit/75084ba0cd) Move caching of compilation results to its own layer.
* [`[13ee27c92c]`](https://github.com/aspnet/AspNetCore/commit/13ee27c92c) Rename IControllerAssemblyProvider to IAssemblyProvider and follow through resultant renames
* [`[a0f3560095]`](https://github.com/aspnet/AspNetCore/commit/a0f3560095) New ErrorHandler middleware.
* [`[93a88af467]`](https://github.com/aspnet/AspNetCore/commit/93a88af467) Purge old tests.
* [`[ebe4948a3e]`](https://github.com/aspnet/AspNetCore/commit/ebe4948a3e) Add a discriminator so that DataProtection doesn't use the same subkey across apps by default.
* [`[e8de0f9d6e]`](https://github.com/aspnet/AspNetCore/commit/e8de0f9d6e) Updating System.Text.RegularExpressions version
* [`[9ad3d5e68f]`](https://github.com/aspnet/AspNetCore/commit/9ad3d5e68f) Separate ApiControllers from MVC Controllers in routing
* [`[3968df90e4]`](https://github.com/aspnet/AspNetCore/commit/3968df90e4) Fix issue #1282 - Add Request.CreateResponse extension methods
* [`[5a83383179]`](https://github.com/aspnet/AspNetCore/commit/5a83383179) Adding ApiController.Validate : Fixes #1286
* [`[22869b41c0]`](https://github.com/aspnet/AspNetCore/commit/22869b41c0) Fix issue #1280 - Add HttpResponseMessageFormatter
* [`[aad3ae42ca]`](https://github.com/aspnet/AspNetCore/commit/aad3ae42ca) Fix for issue #1281 - Add ModelBinder for HttpRequestMessage
* [`[e51e0e1d52]`](https://github.com/aspnet/AspNetCore/commit/e51e0e1d52) Fix for issue #1279 - Add .Request property to ApiController
* [`[9b11c1d90f]`](https://github.com/aspnet/AspNetCore/commit/9b11c1d90f) Fix #1276 - Implement WebAPI action conventions and overloading
* [`[2578b8107f]`](https://github.com/aspnet/AspNetCore/commit/2578b8107f) Fix for #1277 - Add Options/Startup API for WebAPI shim
* [`[d9fe305802]`](https://github.com/aspnet/AspNetCore/commit/d9fe305802) Fix for #1275 - Adding ApiController
* [`[f66345263d]`](https://github.com/aspnet/AspNetCore/commit/f66345263d) Add WebApiCompatShim project structure
* [`[acac2802db]`](https://github.com/aspnet/AspNetCore/commit/acac2802db) Removing version token from framework assemblies node
* [`[2e65a40555]`](https://github.com/aspnet/AspNetCore/commit/2e65a40555) Update Security to account for DataProtector API changes.
* [`[0d27849c14]`](https://github.com/aspnet/AspNetCore/commit/0d27849c14) Removing version token from framework assemblies node
* [`[e319fef5cb]`](https://github.com/aspnet/AspNetCore/commit/e319fef5cb) Adding CancellationTokenModelBinder.
* [`[821e13a1a7]`](https://github.com/aspnet/AspNetCore/commit/821e13a1a7) Update Hosting to account for DataProtection API changes.
* [`[ad208442d8]`](https://github.com/aspnet/AspNetCore/commit/ad208442d8) Updating functional tests to restore CallContextServiceLocator.Locator.Service on test finish
* [`[769f21783a]`](https://github.com/aspnet/AspNetCore/commit/769f21783a) Implement new DataProtection pipeline.
* [`[fafc191d05]`](https://github.com/aspnet/AspNetCore/commit/fafc191d05) Removing version from framework assemblies node
* [`[9e2f992479]`](https://github.com/aspnet/AspNetCore/commit/9e2f992479) Removing version from framework assemblies node
* [`[c6d2d2ce24]`](https://github.com/aspnet/AspNetCore/commit/c6d2d2ce24) Removing version from framework assemblies node
* [`[542d87d9d2]`](https://github.com/aspnet/AspNetCore/commit/542d87d9d2) Removing version from framework assemblies node
* [`[a023b08282]`](https://github.com/aspnet/AspNetCore/commit/a023b08282) replacing newlines inside the error message with the HTML br tag on error page to properly dispaly the newlines on the error page
* [`[fb6b1748a6]`](https://github.com/aspnet/AspNetCore/commit/fb6b1748a6) Move ITagHelperActivator DI registration.
* [`[275f63e91f]`](https://github.com/aspnet/AspNetCore/commit/275f63e91f) Prevent Roslyn from loading prematurely on cold start
* [`[2005c3cd85]`](https://github.com/aspnet/AspNetCore/commit/2005c3cd85) Add ModelExpression code generation.
* [`[ba6813a418]`](https://github.com/aspnet/AspNetCore/commit/ba6813a418) Support specifying paths starting with ~/ for layout and partial views Fixes #821
* [`[4baa2910b7]`](https://github.com/aspnet/AspNetCore/commit/4baa2910b7) Add compatibility items for controller back from MVC 5
* [`[ae91663eb7]`](https://github.com/aspnet/AspNetCore/commit/ae91663eb7) Fixing a few things
* [`[f35dd45ea6]`](https://github.com/aspnet/AspNetCore/commit/f35dd45ea6) HTML decode URL.
* [`[3e9f251618]`](https://github.com/aspnet/AspNetCore/commit/3e9f251618) Update MusicStore SPA
* [`[6fe663951d]`](https://github.com/aspnet/AspNetCore/commit/6fe663951d) Update new test to use UsePerRequestServices
* [`[babb296f35]`](https://github.com/aspnet/AspNetCore/commit/babb296f35) Rename UseServices -> UsePerRequestServices
* [`[ae4adf6af6]`](https://github.com/aspnet/AspNetCore/commit/ae4adf6af6) Fixed rebasing issues.
* [`[c87de5a0fc]`](https://github.com/aspnet/AspNetCore/commit/c87de5a0fc) Add TagHelper functional test.
* [`[74974d371c]`](https://github.com/aspnet/AspNetCore/commit/74974d371c) Add error mechanism for TagHelperParseTreeRewriter.
* [`[72c449bf86]`](https://github.com/aspnet/AspNetCore/commit/72c449bf86) Add TagName attribute for tag helpers.
* [`[ec638b147a]`](https://github.com/aspnet/AspNetCore/commit/ec638b147a) Add ContentBehaviorAttribute for TagHelpers.
* [`[d080dc8f71]`](https://github.com/aspnet/AspNetCore/commit/d080dc8f71) Test TagHelperScopeManager functionality.
* [`[66aea52542]`](https://github.com/aspnet/AspNetCore/commit/66aea52542) Add TagHelperScopeManager for runtime.
* [`[b1a3c8c1d4]`](https://github.com/aspnet/AspNetCore/commit/b1a3c8c1d4) Test TagHelperRunner, TagHelperOutput and TagHelperExecutionContext.
* [`[4378f9613e]`](https://github.com/aspnet/AspNetCore/commit/4378f9613e) Add TagHelperRunner for TagHelper runtime.
* [`[dfe41eced8]`](https://github.com/aspnet/AspNetCore/commit/dfe41eced8) Updated versions for runtime project.
* [`[f9c70a0644]`](https://github.com/aspnet/AspNetCore/commit/f9c70a0644) Add TagHelperDescriptorResolver.
* [`[b67b8dae3d]`](https://github.com/aspnet/AspNetCore/commit/b67b8dae3d) Add @addtaghelper directive.
* [`[2b6b437952]`](https://github.com/aspnet/AspNetCore/commit/2b6b437952) Add extensibility point for TH attribute code gen.
* [`[50fa3ee3e3]`](https://github.com/aspnet/AspNetCore/commit/50fa3ee3e3) Create TagHelper specific C# code Generation.
* [`[0b5f0cd565]`](https://github.com/aspnet/AspNetCore/commit/0b5f0cd565) Rebased onto latest dev.
* [`[b1b1da0781]`](https://github.com/aspnet/AspNetCore/commit/b1b1da0781) Add Microsoft.AspNet.Razor.Runtime src and test project.
* [`[3cba84104d]`](https://github.com/aspnet/AspNetCore/commit/3cba84104d) Add TagHelper parse tree visitor.
* [`[3dff1ca410]`](https://github.com/aspnet/AspNetCore/commit/3dff1ca410) Add ITagHelperActivator.
* [`[05c35dd3ba]`](https://github.com/aspnet/AspNetCore/commit/05c35dd3ba) Add missing access modifier
* [`[3492be3c6c]`](https://github.com/aspnet/AspNetCore/commit/3492be3c6c) Add copyright notices to new files
* [`[639a788ed8]`](https://github.com/aspnet/AspNetCore/commit/639a788ed8) Tag Helpers: add `ModelExpression` class to support `Expression<Func<TModel, TValue>>` attributes - includes new `RazorPage<TModel>.CreateModelExpression<TValue>()` method - #1240
* [`[3290791c5f]`](https://github.com/aspnet/AspNetCore/commit/3290791c5f) Use nameof when initializing `GeneratedTagHelperContext`
* [`[e44e59fd29]`](https://github.com/aspnet/AspNetCore/commit/e44e59fd29) Updated to work with latest Razor changes.
* [`[d041249b27]`](https://github.com/aspnet/AspNetCore/commit/d041249b27) Add CreateTagHelper to RazorPage.
* [`[082512f63c]`](https://github.com/aspnet/AspNetCore/commit/082512f63c) Add writing scopes to RazorPage.
* [`[e995e7a3e2]`](https://github.com/aspnet/AspNetCore/commit/e995e7a3e2) Configure host to utilize tag helper types.
* [`[757441777e]`](https://github.com/aspnet/AspNetCore/commit/757441777e) Use Microsoft.AspNet.Razor.Runtime project.
* [`[be4a6c8d98]`](https://github.com/aspnet/AspNetCore/commit/be4a6c8d98) Split FunctionalTests from Mvc solution.
* [`[4853554147]`](https://github.com/aspnet/AspNetCore/commit/4853554147) #39 - Port the OAuth Bearer middleware from Katana.
* [`[ece6fc6c47]`](https://github.com/aspnet/AspNetCore/commit/ece6fc6c47) SignInAsAuthenticationType value changed with identity changes
* [`[b2a20bf4f5]`](https://github.com/aspnet/AspNetCore/commit/b2a20bf4f5) GetExternalAuthenticationTypes moved to SignInManager now
* [`[3426034bcb]`](https://github.com/aspnet/AspNetCore/commit/3426034bcb) Use DI activated options for auth middlewares
* [`[53eea70c06]`](https://github.com/aspnet/AspNetCore/commit/53eea70c06) Startup: Call ConfigureServices if exists
* [`[83da8e257d]`](https://github.com/aspnet/AspNetCore/commit/83da8e257d) Generate code for expressions in design time to enable intellisense Fixes #80
* [`[d3ef91ea91]`](https://github.com/aspnet/AspNetCore/commit/d3ef91ea91) Fixing NRE with logging
* [`[fea30a4096]`](https://github.com/aspnet/AspNetCore/commit/fea30a4096) Making action selection logging not throw on 404
* [`[ba1884aacb]`](https://github.com/aspnet/AspNetCore/commit/ba1884aacb) Make wait service not timeout without yelling, and making the timeout longer
* [`[67a30e491f]`](https://github.com/aspnet/AspNetCore/commit/67a30e491f) Introduce default order for framework ordered items to be -1000
* [`[8a3e64e164]`](https://github.com/aspnet/AspNetCore/commit/8a3e64e164) fix doc error
* [`[19fbcdf5a8]`](https://github.com/aspnet/AspNetCore/commit/19fbcdf5a8) Fix for #1271 - Add copy constructors for ApplicationModel types.
* [`[5b2948dd73]`](https://github.com/aspnet/AspNetCore/commit/5b2948dd73) Excluding a test case in Mono + Fixing a test case. Fixing line lengths. Fixing error messages for tests to pass in Mono.
* [`[536f6830ba]`](https://github.com/aspnet/AspNetCore/commit/536f6830ba) Fix ILibaryInformation.Version break.
* [`[fc5f702162]`](https://github.com/aspnet/AspNetCore/commit/fc5f702162) Made GetVirtualPath virtual
* [`[144a4b5921]`](https://github.com/aspnet/AspNetCore/commit/144a4b5921) Make RouteDataActionConstraint be POCO only
* [`[f332bf6800]`](https://github.com/aspnet/AspNetCore/commit/f332bf6800) Fix issues in MusicStore.Spa package.json
* [`[788f0b7c07]`](https://github.com/aspnet/AspNetCore/commit/788f0b7c07) Fix missing npm module in MusicStore.Spa
* [`[18bd42bcfe]`](https://github.com/aspnet/AspNetCore/commit/18bd42bcfe) Use grunt-bower-task in MusicStore.Spa
* [`[d86bb2d9c8]`](https://github.com/aspnet/AspNetCore/commit/d86bb2d9c8) Add Home & BugTracker to "all repos" list
* [`[7055949e7b]`](https://github.com/aspnet/AspNetCore/commit/7055949e7b) Enabling admin pages in MusicStore.Spa: - Updated attribute routing so it works now - Created a Pages folder and PageController for serving pages, I don't   like views very much - Worked around an EF issue - Fixed ApiResult to use JsonResult.ExecuteResultAsync - Made PagedList take the sort expression so it can be conditionally applied as calling Count on the query passed causes issues if it contains an OrderBy expression - Made web server ports not conflict with non-SPA MusicStore
* [`[ba1b99c745]`](https://github.com/aspnet/AspNetCore/commit/ba1b99c745) Re-add checkout command to update-master task
* [`[c0e077dcd4]`](https://github.com/aspnet/AspNetCore/commit/c0e077dcd4) Updating ConnegWebSite name in tests
* [`[6d1a6c5231]`](https://github.com/aspnet/AspNetCore/commit/6d1a6c5231) Add update-master target
* [`[0124d06ced]`](https://github.com/aspnet/AspNetCore/commit/0124d06ced) Create LICENSE.txt
* [`[78cb314dd2]`](https://github.com/aspnet/AspNetCore/commit/78cb314dd2) Activator change requires TypeActivator to be singlton
* [`[e50cb5262a]`](https://github.com/aspnet/AspNetCore/commit/e50cb5262a) Fixup references
* [`[4c4d8e4644]`](https://github.com/aspnet/AspNetCore/commit/4c4d8e4644) Fixup references
* [`[787138322b]`](https://github.com/aspnet/AspNetCore/commit/787138322b) Fixup references
* [`[31b4a9598d]`](https://github.com/aspnet/AspNetCore/commit/31b4a9598d) Fixup references
* [`[5890b5b254]`](https://github.com/aspnet/AspNetCore/commit/5890b5b254) Fixed up references
* [`[964e84e57b]`](https://github.com/aspnet/AspNetCore/commit/964e84e57b) Fixup references
* [`[23c024ef41]`](https://github.com/aspnet/AspNetCore/commit/23c024ef41) Fixup references
* [`[9bb460d5ab]`](https://github.com/aspnet/AspNetCore/commit/9bb460d5ab) Fixup references
* [`[72c32367a4]`](https://github.com/aspnet/AspNetCore/commit/72c32367a4) Fixup references and the sample
* [`[20de1d0597]`](https://github.com/aspnet/AspNetCore/commit/20de1d0597) Fix up references
* [`[07ccfe880b]`](https://github.com/aspnet/AspNetCore/commit/07ccfe880b) Fixup references
* [`[b7a8d6a1f7]`](https://github.com/aspnet/AspNetCore/commit/b7a8d6a1f7) Fixup references
* [`[55922d9107]`](https://github.com/aspnet/AspNetCore/commit/55922d9107) Fixed references
* [`[49fcaa7862]`](https://github.com/aspnet/AspNetCore/commit/49fcaa7862) Updated the target framework
* [`[6607fa5fdb]`](https://github.com/aspnet/AspNetCore/commit/6607fa5fdb) Updated target framework
* [`[01605cd695]`](https://github.com/aspnet/AspNetCore/commit/01605cd695) Fixed project.json casing
* [`[8d6684ab09]`](https://github.com/aspnet/AspNetCore/commit/8d6684ab09) Renamed Project.json to Project.json2
* [`[8802c831a0]`](https://github.com/aspnet/AspNetCore/commit/8802c831a0) [Fixes #1155] Added functional tests to cover common versioning scenarios.
* [`[78a4e78358]`](https://github.com/aspnet/AspNetCore/commit/78a4e78358) Fix for #975 - Implementing IActionConstraint and ActionMethodSelectorAttribute
* [`[0d8a7368d9]`](https://github.com/aspnet/AspNetCore/commit/0d8a7368d9) Issue #1141 - When Accept header or Accept-Charset header has invalid QualityFactor we throw. Fix: Imitating the same behavior as it is in WebApi. We ignore the entire header even if one part of it is invalid.
* [`[572ec0175c]`](https://github.com/aspnet/AspNetCore/commit/572ec0175c) Fix for 1071: Output Formatters should be invoked for writing out the response.
* [`[0d92a829ff]`](https://github.com/aspnet/AspNetCore/commit/0d92a829ff) Correct minor problem in `CachedDataAnnotationsModelMetadata.ComputeDisplayFormatString()` - only affects an extreme corner case: user sets `metadata.EditFormatString` then reads   `metadata.DisplayFormatString` - an extreme case because `EditFormatString` is normally set only when   `DisplayFormatString` is set and, if set, it's to the same value - happened to see this while updating `CachedDataAnnotationsModelMetadata` for this PR
* [`[a5600a74a3]`](https://github.com/aspnet/AspNetCore/commit/a5600a74a3) Calculate `ModelMetadata.DataTypeName` based on metadata - helps MVC helpers like `@Html.EditorFor()` select the correct template - #933
* [`[12477c9f52]`](https://github.com/aspnet/AspNetCore/commit/12477c9f52) Changes to make EnableInstrumentation conditionally enabled
* [`[5d32d224f4]`](https://github.com/aspnet/AspNetCore/commit/5d32d224f4) Changes to support PageExecutionContext in Razor Fixes #1083
* [`[8bbf5db1ac]`](https://github.com/aspnet/AspNetCore/commit/8bbf5db1ac) #69 - Make WebListener target Net45.
* [`[a2023d35ee]`](https://github.com/aspnet/AspNetCore/commit/a2023d35ee) [Fixes #429] FileResult
* [`[0f9ac1f84f]`](https://github.com/aspnet/AspNetCore/commit/0f9ac1f84f) #52 - Set a default user-agent for the OAuth backchannel.
* [`[414c009b80]`](https://github.com/aspnet/AspNetCore/commit/414c009b80) Removing Overloading and Automatic verb-mapping
* [`[f913d8929f]`](https://github.com/aspnet/AspNetCore/commit/f913d8929f) Updating CSharpCodeVisitor to generate implicit expressions on a single line
* [`[ad8ab4b8fd]`](https://github.com/aspnet/AspNetCore/commit/ad8ab4b8fd) Adding support for ViewLocationExpanders to allow modifying view locations without changing the view engine.
* [`[0c3f7eab9e]`](https://github.com/aspnet/AspNetCore/commit/0c3f7eab9e) Runtime information page
* [`[4350866536]`](https://github.com/aspnet/AspNetCore/commit/4350866536) change-to-libraryloader-l1-1-0
* [`[47f0699235]`](https://github.com/aspnet/AspNetCore/commit/47f0699235) Win7PlusCoreSystem
* [`[c6357bd2f6]`](https://github.com/aspnet/AspNetCore/commit/c6357bd2f6) Removing declaration expressions
* [`[43cdd54c16]`](https://github.com/aspnet/AspNetCore/commit/43cdd54c16) Removing declaration expressions
* [`[7574378d37]`](https://github.com/aspnet/AspNetCore/commit/7574378d37) Removing declaration expressions
* [`[a4fff7a2e0]`](https://github.com/aspnet/AspNetCore/commit/a4fff7a2e0) Removing declaration expressions
* [`[e5f157565c]`](https://github.com/aspnet/AspNetCore/commit/e5f157565c) Removing out var usage
* [`[38e085e3ef]`](https://github.com/aspnet/AspNetCore/commit/38e085e3ef) Removing out var usage
* [`[d8995a7767]`](https://github.com/aspnet/AspNetCore/commit/d8995a7767) Fix for #1192 - Support customizing reflected model through attributes
* [`[970418448c]`](https://github.com/aspnet/AspNetCore/commit/970418448c) Passing in request cancellation tokens to all async methods
* [`[6c49d0b40e]`](https://github.com/aspnet/AspNetCore/commit/6c49d0b40e) Updating SyncAction_WithException to not test for exception message Skipping PropertyHelper_WorksForStruct on Mono until further investigation.
* [`[7b5a97d04e]`](https://github.com/aspnet/AspNetCore/commit/7b5a97d04e) Updating TokenProviderTests to use GetAuthenticatedIdentity instead of creating GenericIdentity
* [`[38e82c0aa5]`](https://github.com/aspnet/AspNetCore/commit/38e82c0aa5) Updating Microsoft.AspNet.Mvc.Core.Test to work on Mono
* [`[1c8582d77a]`](https://github.com/aspnet/AspNetCore/commit/1c8582d77a) [Fixes #1183] Response uses chunked encoding when returning a string
* [`[3cd5c17da7]`](https://github.com/aspnet/AspNetCore/commit/3cd5c17da7) Updating ModelBinding tests to work in Mono
* [`[f33eec4845]`](https://github.com/aspnet/AspNetCore/commit/f33eec4845) Updating MvcRazorHost to use overload that generates pragma checksum Fixes #1152
* [`[f82516d155]`](https://github.com/aspnet/AspNetCore/commit/f82516d155) Fix issue https://github.com/aspnet/Mvc/issues/1202
* [`[038b8c7f19]`](https://github.com/aspnet/AspNetCore/commit/038b8c7f19) Commonizing Razor Host tests
* [`[9a8f003cd0]`](https://github.com/aspnet/AspNetCore/commit/9a8f003cd0) Updated attribute routes in MusicStore.Spa - Also unbound grunt tasks as it causes issues on launch
* [`[6a886d39ab]`](https://github.com/aspnet/AspNetCore/commit/6a886d39ab) Add razor parser errors to show up
* [`[d58a6c8c1b]`](https://github.com/aspnet/AspNetCore/commit/d58a6c8c1b) Don't calculate checksum in design time mode
* [`[750d459d02]`](https://github.com/aspnet/AspNetCore/commit/750d459d02) Minor MusicStore.Spa grunt updates
* [`[5369842384]`](https://github.com/aspnet/AspNetCore/commit/5369842384) Ensure pragma checksum is prepended to generated file Fixes #160
* [`[f16a0c0f19]`](https://github.com/aspnet/AspNetCore/commit/f16a0c0f19) Adding some mocks for MicrosoftAccount
* [`[fdeff1188b]`](https://github.com/aspnet/AspNetCore/commit/fdeff1188b) [Fixes #926] Protocol & Host name ignored when creating action link
* [`[b9d433168e]`](https://github.com/aspnet/AspNetCore/commit/b9d433168e) Convert memory streams to the byte[] before passing it to roslyn
* [`[6bbc74434d]`](https://github.com/aspnet/AspNetCore/commit/6bbc74434d) Fix grunt clean in MusicStore.Spa to not delete wwwroot\bin
* [`[a6ef46102e]`](https://github.com/aspnet/AspNetCore/commit/a6ef46102e) Added TRX bindings to the Gruntfile.js in MusicStore.Spa
* [`[ccc077bd00]`](https://github.com/aspnet/AspNetCore/commit/ccc077bd00) Updated MusicStore.Spa to fix it due to latest changes
* [`[63732198cc]`](https://github.com/aspnet/AspNetCore/commit/63732198cc) Updating the solution
* [`[66144c864e]`](https://github.com/aspnet/AspNetCore/commit/66144c864e) #67 - Fire disconnect notifications even for gracefull disconnects.
* [`[8b62057aa3]`](https://github.com/aspnet/AspNetCore/commit/8b62057aa3) Don't close the stream when reading AssemblyMetadata
* [`[17dd874996]`](https://github.com/aspnet/AspNetCore/commit/17dd874996) Only turn off identity columns for artists and genres.
* [`[cbde5ba982]`](https://github.com/aspnet/AspNetCore/commit/cbde5ba982) Disable store generated properties for the Ids.
* [`[75d3937959]`](https://github.com/aspnet/AspNetCore/commit/75d3937959) Updated MusicStore.Spa with webroot
* [`[fd135e29b6]`](https://github.com/aspnet/AspNetCore/commit/fd135e29b6) Renaming GetOrAdd to GetOrSet.
* [`[6f7560e33b]`](https://github.com/aspnet/AspNetCore/commit/6f7560e33b) Rename GetOrAdd to GetOrSet.
* [`[3cd6d3e060]`](https://github.com/aspnet/AspNetCore/commit/3cd6d3e060) Adding Api Explorer
* [`[6d9bc21e83]`](https://github.com/aspnet/AspNetCore/commit/6d9bc21e83) Disabled tests by mistake
* [`[42e23bd261]`](https://github.com/aspnet/AspNetCore/commit/42e23bd261) Enabling the E2E automation for social logins.
* [`[6600e68fc0]`](https://github.com/aspnet/AspNetCore/commit/6600e68fc0) Create a pre compilation module and apis to allow meta programming to precompile razor pages.
* [`[3e6ce61f27]`](https://github.com/aspnet/AspNetCore/commit/3e6ce61f27) Enabling social logins
* [`[ef11294897]`](https://github.com/aspnet/AspNetCore/commit/ef11294897) Squashed commit of the following:
* [`[4d2b2a14d5]`](https://github.com/aspnet/AspNetCore/commit/4d2b2a14d5) Win7PlusCoreSystem
* [`[647a5b6031]`](https://github.com/aspnet/AspNetCore/commit/647a5b6031) Enabling account validation, 2FA, Forgot password in the sample
* [`[56483cb0ed]`](https://github.com/aspnet/AspNetCore/commit/56483cb0ed) #54 - Throw if anyone tries to modify the response headers after they are sent.
* [`[43c7ddb9b7]`](https://github.com/aspnet/AspNetCore/commit/43c7ddb9b7) Making UrlHelper's methods virtual
* [`[71964a813c]`](https://github.com/aspnet/AspNetCore/commit/71964a813c) Renamed configurations to frameworks in project.json
* [`[1867d11a43]`](https://github.com/aspnet/AspNetCore/commit/1867d11a43) Using QueryHelpers.ParseQuery for parsing query string.
* [`[c2934912af]`](https://github.com/aspnet/AspNetCore/commit/c2934912af) #121 - Make the query parsing API public.
* [`[11ee402eec]`](https://github.com/aspnet/AspNetCore/commit/11ee402eec) Reviving support for instrumentation in CSharpCodeVisitor
* [`[f2dab5eaa7]`](https://github.com/aspnet/AspNetCore/commit/f2dab5eaa7) [Fixes #1156] EmptyResult should not set status code (or do anything for that matter)
* [`[131c973853]`](https://github.com/aspnet/AspNetCore/commit/131c973853) Fix for #90 - removing Enum.HasFlags
* [`[7dc6019839]`](https://github.com/aspnet/AspNetCore/commit/7dc6019839) Adding quotes around boolean value in project.json to make JavaScriptSerializer on Mono happy
* [`[2d9b3dd4fb]`](https://github.com/aspnet/AspNetCore/commit/2d9b3dd4fb) Fix for #91 - Turn some commonly allocated types into structs
* [`[0b1ad4ce35]`](https://github.com/aspnet/AspNetCore/commit/0b1ad4ce35) Removing XmlSerializerInputFormatter from the list of Formatters. Introducing a functional test for XmlSerializerInputFormatter.
* [`[83f1901844]`](https://github.com/aspnet/AspNetCore/commit/83f1901844) Modify .gitattributes to ensure sh files always have LF line endings
* [`[4c951cc635]`](https://github.com/aspnet/AspNetCore/commit/4c951cc635) Issue #1081 - XML DataContract Formatter can fail to write when instance type != declaredType.
* [`[3ce74b6c4e]`](https://github.com/aspnet/AspNetCore/commit/3ce74b6c4e) Adding a way to do a graceful shutdown of the server.
* [`[7eb78b8dd1]`](https://github.com/aspnet/AspNetCore/commit/7eb78b8dd1) Adding ability to add a Helios native module based test
* [`[1916560546]`](https://github.com/aspnet/AspNetCore/commit/1916560546) Porting razorpage perf improvements from codeplex-2119
* [`[529b17ea70]`](https://github.com/aspnet/AspNetCore/commit/529b17ea70) Fix for codeplex-1120 - Move CreateSerializer out of the base class
* [`[aadcdf715f]`](https://github.com/aspnet/AspNetCore/commit/aadcdf715f) Adding a variation to start weblistener from kpm pack output
* [`[c7cd2e004f]`](https://github.com/aspnet/AspNetCore/commit/c7cd2e004f) Removing the work around applied for the multi Antiforgery token issue
* [`[bc7241d87a]`](https://github.com/aspnet/AspNetCore/commit/bc7241d87a) Changes to show intellisense for @inject directive
* [`[a5668bdbab]`](https://github.com/aspnet/AspNetCore/commit/a5668bdbab) Make CompleteBlock accessible to derived parser
* [`[6d17f77cd2]`](https://github.com/aspnet/AspNetCore/commit/6d17f77cd2) Updating dev NuGet.config
* [`[100466112d]`](https://github.com/aspnet/AspNetCore/commit/100466112d) Updating release NuGet.config
* [`[b704f61420]`](https://github.com/aspnet/AspNetCore/commit/b704f61420) Updating dev NuGet.config
* [`[3b5c3daf08]`](https://github.com/aspnet/AspNetCore/commit/3b5c3daf08) Updating release NuGet.config
* [`[b5df3eb1d5]`](https://github.com/aspnet/AspNetCore/commit/b5df3eb1d5) Updating dev NuGet.config
* [`[69237f5c19]`](https://github.com/aspnet/AspNetCore/commit/69237f5c19) Updating release NuGet.config
* [`[281ef61e8c]`](https://github.com/aspnet/AspNetCore/commit/281ef61e8c) Updating dev NuGet.config
* [`[4062014cc6]`](https://github.com/aspnet/AspNetCore/commit/4062014cc6) Updating release NuGet.config
* [`[4fd4b3fb3c]`](https://github.com/aspnet/AspNetCore/commit/4fd4b3fb3c) Updating dev NuGet.config
* [`[8a0e1990f7]`](https://github.com/aspnet/AspNetCore/commit/8a0e1990f7) Updating release NuGet.config
* [`[ffedd04657]`](https://github.com/aspnet/AspNetCore/commit/ffedd04657) Updating dev NuGet.config
* [`[1a6b6fdd91]`](https://github.com/aspnet/AspNetCore/commit/1a6b6fdd91) Updating release NuGet.config
* [`[6bddce7815]`](https://github.com/aspnet/AspNetCore/commit/6bddce7815) Updating dev NuGet.config
* [`[7f347093bb]`](https://github.com/aspnet/AspNetCore/commit/7f347093bb) Updating release NuGet.config
* [`[8de83ce117]`](https://github.com/aspnet/AspNetCore/commit/8de83ce117) Updating dev NuGet.config
* [`[54c8f97615]`](https://github.com/aspnet/AspNetCore/commit/54c8f97615) Updating release NuGet.config
* [`[a5201b705a]`](https://github.com/aspnet/AspNetCore/commit/a5201b705a) Updating dev NuGet.config
* [`[83c4fde451]`](https://github.com/aspnet/AspNetCore/commit/83c4fde451) Updating release NuGet.config
* [`[0c6dd83ac2]`](https://github.com/aspnet/AspNetCore/commit/0c6dd83ac2) Updating dev NuGet.config
* [`[425e2c5527]`](https://github.com/aspnet/AspNetCore/commit/425e2c5527) Updating release NuGet.config
* [`[d61b683549]`](https://github.com/aspnet/AspNetCore/commit/d61b683549) Updating dev NuGet.config
* [`[ae0a44a0e1]`](https://github.com/aspnet/AspNetCore/commit/ae0a44a0e1) Updating release NuGet.config
* [`[2ce4a0260d]`](https://github.com/aspnet/AspNetCore/commit/2ce4a0260d) Updating dev NuGet.config
* [`[922dd2a86e]`](https://github.com/aspnet/AspNetCore/commit/922dd2a86e) Updating release NuGet.config
* [`[93a0a99784]`](https://github.com/aspnet/AspNetCore/commit/93a0a99784) Updating dev NuGet.config
* [`[94c689b4b9]`](https://github.com/aspnet/AspNetCore/commit/94c689b4b9) Updating release NuGet.config
* [`[c8c6b4e02d]`](https://github.com/aspnet/AspNetCore/commit/c8c6b4e02d) Suppress InvalidParameter errors on respone Dispose for aborted requests.
* [`[de6b05cd86]`](https://github.com/aspnet/AspNetCore/commit/de6b05cd86) Updating Social startup as well to use chaining to add configuration sources.
* [`[0a3456042a]`](https://github.com/aspnet/AspNetCore/commit/0a3456042a) Updating sample to use config file named config.json instead of LocalConfig.json
* [`[671c619a11]`](https://github.com/aspnet/AspNetCore/commit/671c619a11) Fixing Program.cs to populate a IHostingEnvironment service
* [`[646c0d704d]`](https://github.com/aspnet/AspNetCore/commit/646c0d704d) Limit the maximum number of Model errors to a reasonable value.
* [`[3d79659cc0]`](https://github.com/aspnet/AspNetCore/commit/3d79659cc0) Updating sample readme
* [`[9befa6e3a2]`](https://github.com/aspnet/AspNetCore/commit/9befa6e3a2) Fixing af tests which are failing due to hardcoded values of the tokens.
* [`[f400550b5b]`](https://github.com/aspnet/AspNetCore/commit/f400550b5b) Adding a variation that does a kpm pack and starts the application
* [`[0c6154fcd0]`](https://github.com/aspnet/AspNetCore/commit/0c6154fcd0) Enabling "authors" element in project.json
* [`[0c13563e33]`](https://github.com/aspnet/AspNetCore/commit/0c13563e33) AF Cookie should be reused within the context of same request. Fixes issue #959
* [`[b832636484]`](https://github.com/aspnet/AspNetCore/commit/b832636484) Clean sample dependencies.
* [`[7ed2de297e]`](https://github.com/aspnet/AspNetCore/commit/7ed2de297e) moving global filters to options
* [`[c47d6d0c78]`](https://github.com/aspnet/AspNetCore/commit/c47d6d0c78) #74 - Parse the project.json file with Newtonsoft directly.
* [`[a468986155]`](https://github.com/aspnet/AspNetCore/commit/a468986155) Removing unused variable from RoslynCompilationService
* [`[5f7c06d0ec]`](https://github.com/aspnet/AspNetCore/commit/5f7c06d0ec) Fix request stream tests.
* [`[2712ae3478]`](https://github.com/aspnet/AspNetCore/commit/2712ae3478) Changing the project folder structure to include wwwroot
* [`[25838cee55]`](https://github.com/aspnet/AspNetCore/commit/25838cee55) [Fixes #911] RequireHttpsAttribute does not exist in MVC 6
* [`[7c917a760a]`](https://github.com/aspnet/AspNetCore/commit/7c917a760a) Enabling the Ntlm+WebListener combination back as the issue is fixed.
* [`[0139bea6d2]`](https://github.com/aspnet/AspNetCore/commit/0139bea6d2) #56 - Make Request & Response Stream throw IOException.
* [`[3811f47b23]`](https://github.com/aspnet/AspNetCore/commit/3811f47b23) Use out var syntax.
* [`[db78efda4f]`](https://github.com/aspnet/AspNetCore/commit/db78efda4f) Disabling Ntlm+WebListener test combination
* [`[775a780f49]`](https://github.com/aspnet/AspNetCore/commit/775a780f49) [Fixes #739] Attribute Routing: Multiple routes per-action
* [`[55f8b9d41d]`](https://github.com/aspnet/AspNetCore/commit/55f8b9d41d) Rebase.
* [`[7a3dc352c9]`](https://github.com/aspnet/AspNetCore/commit/7a3dc352c9) 1. Moving the HttpNotAcceptableOutputFormatter to product code. 2. Renaming the NoContentFormatter to HttpNoContentOutputFormatter. 3. Updating the test to use mock.
* [`[abf27d883f]`](https://github.com/aspnet/AspNetCore/commit/abf27d883f) GetSupportedContentTypes to take in declared and runtime type.
* [`[d57c34392f]`](https://github.com/aspnet/AspNetCore/commit/d57c34392f) stylecop fix
* [`[0bfe3c14db]`](https://github.com/aspnet/AspNetCore/commit/0bfe3c14db) Port AuthProperties.AllowRefresh from Katana.
* [`[f258724cbd]`](https://github.com/aspnet/AspNetCore/commit/f258724cbd) #32 - Honor AuthenticationProperties.AllowRefresh.
* [`[a9e40ac895]`](https://github.com/aspnet/AspNetCore/commit/a9e40ac895) Properly delete the correlation cookie. See Katana #230.
* [`[b10cda80a7]`](https://github.com/aspnet/AspNetCore/commit/b10cda80a7) #32 - Port Cookies OnException notification from Katana.
* [`[83bffe3542]`](https://github.com/aspnet/AspNetCore/commit/83bffe3542) #32 - Port Cookies OnSignedIn notification from Katana.
* [`[d6b82b8799]`](https://github.com/aspnet/AspNetCore/commit/d6b82b8799) #32 - Port cookie auth session store from Katana. Add MemoryCache sample.
* [`[f6d6f31414]`](https://github.com/aspnet/AspNetCore/commit/f6d6f31414) #32 - Port Cookie chunking from Katana.
* [`[ea3ea90b7a]`](https://github.com/aspnet/AspNetCore/commit/ea3ea90b7a) #8 - Use IHostingEnvironment.WebRoot as the default static files root.
* [`[8a66871139]`](https://github.com/aspnet/AspNetCore/commit/8a66871139) #71 - Create IHostingEnvironment.
* [`[e63d4f95d2]`](https://github.com/aspnet/AspNetCore/commit/e63d4f95d2) Adding an Ntlm variation of the test
* [`[9c31dbc684]`](https://github.com/aspnet/AspNetCore/commit/9c31dbc684) Bulding Universe does not require kvm
* [`[cde1a95d49]`](https://github.com/aspnet/AspNetCore/commit/cde1a95d49) [Fixes #900] Use [Route(...)] on action methods to specify an attribute route that allows all verbs.
* [`[13adde63fa]`](https://github.com/aspnet/AspNetCore/commit/13adde63fa) Update the method used to read JSON asynchronously
* [`[44ccea6871]`](https://github.com/aspnet/AspNetCore/commit/44ccea6871) Upgrade Newtonsoft.Json to 6.0.4 version
* [`[43fdf2a460]`](https://github.com/aspnet/AspNetCore/commit/43fdf2a460) Upgrade Newtonsoft.Json to 6.0.4 version
* [`[c41407d7b7]`](https://github.com/aspnet/AspNetCore/commit/c41407d7b7) Adding cache service to the Ntlm startup
* [`[bb9934a565]`](https://github.com/aspnet/AspNetCore/commit/bb9934a565) Fixing KRE name for mono in deployment utility
* [`[8fd7cd51e2]`](https://github.com/aspnet/AspNetCore/commit/8fd7cd51e2) Fix the sample to await when writing directly to the output stream in a controller.
* [`[093caaae7e]`](https://github.com/aspnet/AspNetCore/commit/093caaae7e) Adding some mocks for Google, Facebook and Twitter for E2Evalidation
* [`[489caed17c]`](https://github.com/aspnet/AspNetCore/commit/489caed17c) Validate Tag Helper registration system functionality.
* [`[555615f60e]`](https://github.com/aspnet/AspNetCore/commit/555615f60e) Add TagHelper registration system.
* [`[a9f6a63e7f]`](https://github.com/aspnet/AspNetCore/commit/a9f6a63e7f) Test nested tags in script tag fix.
* [`[82b45387a1]`](https://github.com/aspnet/AspNetCore/commit/82b45387a1) Fix nested tags in script tag.
* [`[9fc4e8704b]`](https://github.com/aspnet/AspNetCore/commit/9fc4e8704b) #62 - Abort the request for read/write failures.
* [`[77f9fc496d]`](https://github.com/aspnet/AspNetCore/commit/77f9fc496d) Update dependecy versions.
* [`[80c8891c08]`](https://github.com/aspnet/AspNetCore/commit/80c8891c08) #49 - OAuth base middleware.
* [`[df0b33a378]`](https://github.com/aspnet/AspNetCore/commit/df0b33a378) Updating ViewStartUtility to use IFileSystem.TryGetParentPath
* [`[7e77078160]`](https://github.com/aspnet/AspNetCore/commit/7e77078160) Adding in memory caching to the sample
* [`[f4953a0b29]`](https://github.com/aspnet/AspNetCore/commit/f4953a0b29) Updated to use the new target framework in project.json
* [`[90d0ad969d]`](https://github.com/aspnet/AspNetCore/commit/90d0ad969d) Adding some diagnostics to the Win32Exception
* [`[2471d21d93]`](https://github.com/aspnet/AspNetCore/commit/2471d21d93) Fixed CLR switching behavior in tests
* [`[d8eb06c0f0]`](https://github.com/aspnet/AspNetCore/commit/d8eb06c0f0) Updated kvm to the latest - Added -runtime switch
* [`[28e334d3db]`](https://github.com/aspnet/AspNetCore/commit/28e334d3db) Issue #668: Sample should be covered by a basic functional test.
* [`[c299a13927]`](https://github.com/aspnet/AspNetCore/commit/c299a13927) Updated to use the new target framework in project.json
* [`[34add2249e]`](https://github.com/aspnet/AspNetCore/commit/34add2249e) Updated to use the new target framework in project.json
* [`[418f745292]`](https://github.com/aspnet/AspNetCore/commit/418f745292) Updated to use the new target framework in project.json
* [`[4a8de5dad4]`](https://github.com/aspnet/AspNetCore/commit/4a8de5dad4) Updated to use the new target framework in project.json
* [`[810c96e939]`](https://github.com/aspnet/AspNetCore/commit/810c96e939) Updated to use the new target framework in project.json
* [`[a1c2f68a58]`](https://github.com/aspnet/AspNetCore/commit/a1c2f68a58) Updated to use the new target framework in project.json
* [`[ddcce629cf]`](https://github.com/aspnet/AspNetCore/commit/ddcce629cf) Made the server project aspnet50 instead of net45
* [`[5f685a6629]`](https://github.com/aspnet/AspNetCore/commit/5f685a6629) Updated to use the new target framework in project.json
* [`[494900aa89]`](https://github.com/aspnet/AspNetCore/commit/494900aa89) Updated to use the new target framework in project.json
* [`[90dad40029]`](https://github.com/aspnet/AspNetCore/commit/90dad40029) Updated to use the new target framework in project.json
* [`[a9ec7cfb62]`](https://github.com/aspnet/AspNetCore/commit/a9ec7cfb62) Changing net45 to aspnet50
* [`[f04921a26a]`](https://github.com/aspnet/AspNetCore/commit/f04921a26a) Fixing the name of the APP_BASE environment variable to KRE_APPBASE (mono)
* [`[6cf7cbfa5b]`](https://github.com/aspnet/AspNetCore/commit/6cf7cbfa5b) Adding all the Social login middlewares to the pipeline
* [`[265a220142]`](https://github.com/aspnet/AspNetCore/commit/265a220142) Adding SignalR components to the Ntlm based Startup class.
* [`[b054f392f5]`](https://github.com/aspnet/AspNetCore/commit/b054f392f5) Adding a what's new in the store signalr announcement panel in the sample
* [`[565fde5187]`](https://github.com/aspnet/AspNetCore/commit/565fde5187) Fixed packages
* [`[b6fb7ac7df]`](https://github.com/aspnet/AspNetCore/commit/b6fb7ac7df) Take advantage of nameof to improve our usage of MemberData across the code base.
* [`[49ba8ce9ac]`](https://github.com/aspnet/AspNetCore/commit/49ba8ce9ac) Adding a startup class to setup Ntlm authentication
* [`[904eeb76f9]`](https://github.com/aspnet/AspNetCore/commit/904eeb76f9) Removing TestClient from TestServer
* [`[b8692c2c21]`](https://github.com/aspnet/AspNetCore/commit/b8692c2c21) Updating FunctionalTests to use HttpClient abstractions
* [`[ccc20a38c1]`](https://github.com/aspnet/AspNetCore/commit/ccc20a38c1) [Fixes #734] Attribute Routing: Implement Name
* [`[01c6489454]`](https://github.com/aspnet/AspNetCore/commit/01c6489454) Adding a LINQ query to get all albums to improve performance
* [`[06bdcebf63]`](https://github.com/aspnet/AspNetCore/commit/06bdcebf63) Fixed project.json casing
* [`[6b0c51a531]`](https://github.com/aspnet/AspNetCore/commit/6b0c51a531) Renamed Project.json to Project.json2
* [`[3a3816af41]`](https://github.com/aspnet/AspNetCore/commit/3a3816af41) #41 - Port MicrosoftAccount middleware from Katana.
* [`[45406bf082]`](https://github.com/aspnet/AspNetCore/commit/45406bf082) Moving the admin into a separate area
* [`[293c761eaf]`](https://github.com/aspnet/AspNetCore/commit/293c761eaf) Run tests targeting aspnet* frameworks
* [`[a931e21456]`](https://github.com/aspnet/AspNetCore/commit/a931e21456) Adding support for flush points in Razor pages
* [`[94258eba8a]`](https://github.com/aspnet/AspNetCore/commit/94258eba8a) Updated to use the new target framework in project.json
* [`[ca360a25f7]`](https://github.com/aspnet/AspNetCore/commit/ca360a25f7) Updated to use the new target framework in project.json
* [`[a7e97313b5]`](https://github.com/aspnet/AspNetCore/commit/a7e97313b5) Updated to use the new target framework in project.json
* [`[13a9613d5b]`](https://github.com/aspnet/AspNetCore/commit/13a9613d5b) Updated to use the new target framework in project.json
* [`[536da06660]`](https://github.com/aspnet/AspNetCore/commit/536da06660) Updated to use the new target framework in project.json
* [`[81e905cfa9]`](https://github.com/aspnet/AspNetCore/commit/81e905cfa9) Updated to use the new target framework in project.json
* [`[947ec326e0]`](https://github.com/aspnet/AspNetCore/commit/947ec326e0) Updated to use the new target framework in project.json
* [`[77d6318cfc]`](https://github.com/aspnet/AspNetCore/commit/77d6318cfc) Updated to use the new target framework in project.json
* [`[aac0ce134c]`](https://github.com/aspnet/AspNetCore/commit/aac0ce134c) Updated to use the new target framework in project.json
* [`[630abe6a5d]`](https://github.com/aspnet/AspNetCore/commit/630abe6a5d) Updated to use the new target framework in project.json
* [`[f7e3823bf1]`](https://github.com/aspnet/AspNetCore/commit/f7e3823bf1) Updated to use the new target framework in project.json
* [`[88eb29b5d0]`](https://github.com/aspnet/AspNetCore/commit/88eb29b5d0) Changed remaining ifdefs from K10 and ASPNETCORE50
* [`[2e6e5307f6]`](https://github.com/aspnet/AspNetCore/commit/2e6e5307f6) Updated to use the new target framework in project.json
* [`[cce48f4cdf]`](https://github.com/aspnet/AspNetCore/commit/cce48f4cdf) Updated to use the new target framework in project.json
* [`[9f4d46714b]`](https://github.com/aspnet/AspNetCore/commit/9f4d46714b) Updating the sample to use VS 2013 Update 3 templates for Identity
* [`[e40dbcaebf]`](https://github.com/aspnet/AspNetCore/commit/e40dbcaebf) Prevent flushing when writing out from the formatters. Also make the XML formatter respect object as a return type.
* [`[05cd84667a]`](https://github.com/aspnet/AspNetCore/commit/05cd84667a) Enabling X64/CoreClr based test variations as the CLR issues are resolved
* [`[e5543d6adf]`](https://github.com/aspnet/AspNetCore/commit/e5543d6adf) Move RequestStreamAsyncResult to its own file.
* [`[8cda77db5a]`](https://github.com/aspnet/AspNetCore/commit/8cda77db5a) #25 - Fix request stream async memory leak, dispose RequestStreamAsyncResult.
* [`[b9eb7ba282]`](https://github.com/aspnet/AspNetCore/commit/b9eb7ba282) #38 - Port the Twitter middleware from katana
* [`[963c76f770]`](https://github.com/aspnet/AspNetCore/commit/963c76f770) Updating deployment helpers to start the host on mono.
* [`[6114d5d269]`](https://github.com/aspnet/AspNetCore/commit/6114d5d269) Modify parser to group html begin/end elements.
* [`[5beed03b10]`](https://github.com/aspnet/AspNetCore/commit/5beed03b10) Removing unused namespaces
* [`[d604c18368]`](https://github.com/aspnet/AspNetCore/commit/d604c18368) Moving IModelValidatorProvider to Options
* [`[d77b06f742]`](https://github.com/aspnet/AspNetCore/commit/d77b06f742) Fixing IFileSystem in Razor test
* [`[5de5534982]`](https://github.com/aspnet/AspNetCore/commit/5de5534982) #43 - Honor CancellationTokens for Read/Write/Flush/SendFileAsync.
* [`[5577159453]`](https://github.com/aspnet/AspNetCore/commit/5577159453) #37 - Port the Google auth middleware from Katana.
* [`[313a537ea1]`](https://github.com/aspnet/AspNetCore/commit/313a537ea1) Adding ModelStateError if there is no input formatter selected.
* [`[9faca78a84]`](https://github.com/aspnet/AspNetCore/commit/9faca78a84) Optimize attribute routing link generation
* [`[fd5f081cb6]`](https://github.com/aspnet/AspNetCore/commit/fd5f081cb6) Increasing the wait timeout after the application deployment
* [`[2dcbbf70b0]`](https://github.com/aspnet/AspNetCore/commit/2dcbbf70b0) Modifying RazorViewEngine to create IRazorView instances from service container
* [`[c7defa70c9]`](https://github.com/aspnet/AspNetCore/commit/c7defa70c9) Updating instructions to run the sample on Mono
* [`[a490abc6e8]`](https://github.com/aspnet/AspNetCore/commit/a490abc6e8) Adding support for inheriting chunks from _ViewStarts as part of host parsing.
* [`[1aed739edb]`](https://github.com/aspnet/AspNetCore/commit/1aed739edb) WebUtilities: Add more query helpers.
* [`[791518d44d]`](https://github.com/aspnet/AspNetCore/commit/791518d44d) Issue #347: Throw a better exception when the user didn't add the MVC services. Introducing MarkerService for identifying if MvcServices were added.
* [`[5878f8ccb8]`](https://github.com/aspnet/AspNetCore/commit/5878f8ccb8) Increasing the wait time out to 3 seconds after the db file is created.
* [`[eccd25bedd]`](https://github.com/aspnet/AspNetCore/commit/eccd25bedd) Change ThrowIfFaulted to WaitAndThrowIfFaulted
* [`[9c4df4606f]`](https://github.com/aspnet/AspNetCore/commit/9c4df4606f) Modify TemplateRenderer to use ThrowIfFaulted instead of Task.Wait Fixes #782
* [`[4588b1c898]`](https://github.com/aspnet/AspNetCore/commit/4588b1c898) Add preliminary PBKDF2 routines to unblock identity work. Win7 and Win8 optimizations will be committed as part of the larger DataProtection overhaul.
* [`[df3d56be5e]`](https://github.com/aspnet/AspNetCore/commit/df3d56be5e) Enabling the test code to run on mono
* [`[919fa0c195]`](https://github.com/aspnet/AspNetCore/commit/919fa0c195) Port Facebook middleware from Katana.
* [`[76ecb73040]`](https://github.com/aspnet/AspNetCore/commit/76ecb73040) Fix abstractions break in tests.
* [`[ff944e5948]`](https://github.com/aspnet/AspNetCore/commit/ff944e5948) Fix for Razor #84 - Optimize GetSourceLocation
* [`[7230a3d78e]`](https://github.com/aspnet/AspNetCore/commit/7230a3d78e) Add form and query helpers needed for Facebook auth.
* [`[b9f1586008]`](https://github.com/aspnet/AspNetCore/commit/b9f1586008) Changes to introduce CanWriteResult for Xml OutputFormatters.
* [`[0b548997d2]`](https://github.com/aspnet/AspNetCore/commit/0b548997d2) Back `HtmlHelper.Html5DateRenderingMode` with new `ViewContext` property - provides expected scoped semantics - helps a bit with #448 but does not provide an app-wide default
* [`[dfcd5fe9a9]`](https://github.com/aspnet/AspNetCore/commit/dfcd5fe9a9) Address TODO item with new `HasNonDefaultEditFormat` - avoid overriding a datetime format if format was already customized - primarily affects the default Date and Time editor templates because they   are often used due to `[DataType]` attributes with "default" edit formats
* [`[98e23075dd]`](https://github.com/aspnet/AspNetCore/commit/98e23075dd) Test `DisplayFormatString`, `EditFormatString`, and `HasNonDefaultEditFormat` - `DisplayFormatString` and `EditFormatString` now based on attributes - `HasNonDefaultEditFormat` is new - confirm `DataType` and `ScaffoldColumn` in `CachedDataAnnotationsMetadataAttributes`
* [`[0595e9ebc9]`](https://github.com/aspnet/AspNetCore/commit/0595e9ebc9) Move two recently-added `[HiddenInput]` tests into `CachedDataAnnotationsModelMetadataProviderTest`
* [`[e61a7e1927]`](https://github.com/aspnet/AspNetCore/commit/e61a7e1927) Adding Caching to Universe repo list
* [`[2eec0bbf6d]`](https://github.com/aspnet/AspNetCore/commit/2eec0bbf6d) [Fixes #1035] RouteGroupConstraint should only be added once for non attribute routed actions
* [`[6f0fa67170]`](https://github.com/aspnet/AspNetCore/commit/6f0fa67170) Enabling basic input formatter selection.
* [`[764b1e64b8]`](https://github.com/aspnet/AspNetCore/commit/764b1e64b8) RoslynCompilationService should set the generated code when compilation is successful
* [`[d97a427b3d]`](https://github.com/aspnet/AspNetCore/commit/d97a427b3d) Adding Input Formatters to MVC Options and using HeaderValueAbstractions
* [`[25b1243c7f]`](https://github.com/aspnet/AspNetCore/commit/25b1243c7f) Adding a target to force push master branch
* [`[f3d544bc1f]`](https://github.com/aspnet/AspNetCore/commit/f3d544bc1f) Changes to support reseting master to release
* [`[944fafb589]`](https://github.com/aspnet/AspNetCore/commit/944fafb589) Fixing sample
* [`[30084b061b]`](https://github.com/aspnet/AspNetCore/commit/30084b061b) Removing stale entry in .kproj
* [`[70402c8f2c]`](https://github.com/aspnet/AspNetCore/commit/70402c8f2c) Adding RegexInlineRouteConstraint
* [`[5de2bc8243]`](https://github.com/aspnet/AspNetCore/commit/5de2bc8243) Implementing ILoggerFactory.AddProvider
* [`[b9baae4693]`](https://github.com/aspnet/AspNetCore/commit/b9baae4693) Implementing ILoggerFactory.AddProvider
* [`[c720364d0e]`](https://github.com/aspnet/AspNetCore/commit/c720364d0e) Registering standard LoggerFactory : ILoggerFactory implementation
* [`[bb452f19a7]`](https://github.com/aspnet/AspNetCore/commit/bb452f19a7) JsonResult to use ObjectResult for content negotiation to pick default json formatter.
* [`[1a4bd25e0f]`](https://github.com/aspnet/AspNetCore/commit/1a4bd25e0f) Add `[HiddenInput]`, `ModelMetadata.HideSurroundingHtml`, and `.Properties` tests
* [`[c0179f74cc]`](https://github.com/aspnet/AspNetCore/commit/c0179f74cc) Do not repeatedly evaluate `ModelMetadata.Properties` enumeration - supports useful property updates of `ModelMetadata` instances in the collection - provide a controllable ordering using the `Order` value - part of #964
* [`[53432e1483]`](https://github.com/aspnet/AspNetCore/commit/53432e1483) Address TODO item in default `object` editor template - add validation elements per property in this template - update editor template test to expect new `<span>` in result
* [`[796ff1d3d3]`](https://github.com/aspnet/AspNetCore/commit/796ff1d3d3) Add `HideSurroundingHtml` property to `ModelMetadata` - #843 - add property as well as the related `[HiddenInput]` attribute - use this property to address some TODOs in default display and editor templates
* [`[23d2830960]`](https://github.com/aspnet/AspNetCore/commit/23d2830960) Updated solution file
* [`[1684d1d322]`](https://github.com/aspnet/AspNetCore/commit/1684d1d322) NoContentFormatter: Writes 204 to the response status code if the value returned is null.
* [`[538e589894]`](https://github.com/aspnet/AspNetCore/commit/538e589894) Modifying ViewDataDictionary and RouteValueDictionary to copy on write instead of eagerly copying.
* [`[b72b44c20c]`](https://github.com/aspnet/AspNetCore/commit/b72b44c20c) Implement RouteKeyHandling.CatchAll
* [`[8bfb6eb8d5]`](https://github.com/aspnet/AspNetCore/commit/8bfb6eb8d5) implement a decision-tree-based action selector
* [`[28092d975b]`](https://github.com/aspnet/AspNetCore/commit/28092d975b) Fixing a warning
* [`[3770906c3b]`](https://github.com/aspnet/AspNetCore/commit/3770906c3b) Issue #862 Extensibility for action invoker
* [`[ca7b1bfb1f]`](https://github.com/aspnet/AspNetCore/commit/ca7b1bfb1f) Rename ReflectedActionInvoke.cs for history tracking
* [`[3ab0c3af29]`](https://github.com/aspnet/AspNetCore/commit/3ab0c3af29) [Issue #733] Attribute Routing: Implement Order
* [`[63d9625536]`](https://github.com/aspnet/AspNetCore/commit/63d9625536) [Issue #730] Attribute Routing: Flesh out attributes - Part 2
* [`[21b1174d76]`](https://github.com/aspnet/AspNetCore/commit/21b1174d76) [Issue #730] Attribute Routing: Flesh out attributes - Part 1
* [`[26f98b481a]`](https://github.com/aspnet/AspNetCore/commit/26f98b481a) ViewComponents should render partial views Fixes #960
* [`[fb773f4814]`](https://github.com/aspnet/AspNetCore/commit/fb773f4814) ViewEngine shouldn't throw when it doesn't know about the extension Fixes #984
* [`[9c4d7806a7]`](https://github.com/aspnet/AspNetCore/commit/9c4d7806a7) Introducing ByteArrayModelBinder. -Checks for ModelType before processing. -Ignores quotes in ByteArrayModelBinder. -Unit,functional Tests. -ModelStateError is set when Covert.FromBase64String(value) throws.
* [`[8d3d15fb4a]`](https://github.com/aspnet/AspNetCore/commit/8d3d15fb4a) Adding a functional test for anti forgery.
* [`[e6f4f0fec6]`](https://github.com/aspnet/AspNetCore/commit/e6f4f0fec6) Introducing Activator for ViewComponents.
* [`[75525ab525]`](https://github.com/aspnet/AspNetCore/commit/75525ab525) Wrap a long URI
* [`[6f54d05105]`](https://github.com/aspnet/AspNetCore/commit/6f54d05105) Made razor compilation more robust - Support other kinds of references when compiling razor views - Cache application references since they can't change throughout the lifetime of the running application
* [`[cb9184e1c0]`](https://github.com/aspnet/AspNetCore/commit/cb9184e1c0) Prevent binding on some columns in order
* [`[abd215a543]`](https://github.com/aspnet/AspNetCore/commit/abd215a543) Using HttpNotFound helper in actions returning 404
* [`[90b40832ff]`](https://github.com/aspnet/AspNetCore/commit/90b40832ff) Modify RazorView to be instantiated via TypeActivator
* [`[9e68a163fd]`](https://github.com/aspnet/AspNetCore/commit/9e68a163fd) Make RazorPage.IUrlHelper a non-public property * This allows for injection of the property in cshtml files wthout running in to compilation errors * Make IUrlHelper a default injected service
* [`[6ee034e64f]`](https://github.com/aspnet/AspNetCore/commit/6ee034e64f) ProducesAttribute + Adding Functional Tests
* [`[efdd3054d2]`](https://github.com/aspnet/AspNetCore/commit/efdd3054d2) Adding DataTokens Support.
* [`[927821a8ac]`](https://github.com/aspnet/AspNetCore/commit/927821a8ac) Data Token support changes
* [`[c12a4795ca]`](https://github.com/aspnet/AspNetCore/commit/c12a4795ca) Removing AdditionalInfo from CompilationResult since we can't always pass it into exception thrown
* [`[ca515e3e87]`](https://github.com/aspnet/AspNetCore/commit/ca515e3e87) Adding missing Anti-Xsrf token validations in some Post actions
* [`[05804c78db]`](https://github.com/aspnet/AspNetCore/commit/05804c78db) Port more security tests from Katana.
* [`[cd3e1da219]`](https://github.com/aspnet/AspNetCore/commit/cd3e1da219) Fix Challenge params order.
* [`[6d45f817f9]`](https://github.com/aspnet/AspNetCore/commit/6d45f817f9) Make new overloads virtual.
* [`[22f3d52762]`](https://github.com/aspnet/AspNetCore/commit/22f3d52762) #111 - Change Challenge, SignIn parameter order to support params.
* [`[d3407ff212]`](https://github.com/aspnet/AspNetCore/commit/d3407ff212) Routing related fixes for #55
* [`[5b849596bb]`](https://github.com/aspnet/AspNetCore/commit/5b849596bb) Fix for Issue#55 Changing Template->RouteTemplate
* [`[5bdf7955a0]`](https://github.com/aspnet/AspNetCore/commit/5bdf7955a0) Correct extension class names to match containing files - #874 line 5 - `EditorExtensions` -> `HtmlHelperEditorExtensions` - `SelectExtensions` -> `HtmlHelperSelectExtensions`
* [`[1416cc4d69]`](https://github.com/aspnet/AspNetCore/commit/1416cc4d69) #46 - Rename Microsoft.Net.Server to Microsoft.Net.Http.Server.
* [`[66a15775cb]`](https://github.com/aspnet/AspNetCore/commit/66a15775cb) Updating dev Nuget.config
* [`[18ac38e4a7]`](https://github.com/aspnet/AspNetCore/commit/18ac38e4a7) Updating dev Nuget.config
* [`[5aa8f3b459]`](https://github.com/aspnet/AspNetCore/commit/5aa8f3b459) Updating dev Nuget.config
* [`[ddd0ba653b]`](https://github.com/aspnet/AspNetCore/commit/ddd0ba653b) Updating dev Nuget.config
* [`[d5ce9fe736]`](https://github.com/aspnet/AspNetCore/commit/d5ce9fe736) Updating dev Nuget.config
* [`[4bf078269f]`](https://github.com/aspnet/AspNetCore/commit/4bf078269f) Updating dev Nuget.config
* [`[20ec60f921]`](https://github.com/aspnet/AspNetCore/commit/20ec60f921) Updating dev Nuget.config
* [`[f7efb8e90a]`](https://github.com/aspnet/AspNetCore/commit/f7efb8e90a) Updating dev Nuget.config
* [`[faf406736d]`](https://github.com/aspnet/AspNetCore/commit/faf406736d) Updating dev Nuget.config
* [`[cd78e115d4]`](https://github.com/aspnet/AspNetCore/commit/cd78e115d4) Updating dev Nuget.config
* [`[2505aa0590]`](https://github.com/aspnet/AspNetCore/commit/2505aa0590) Updating dev Nuget.config
* [`[7ca4ba5d65]`](https://github.com/aspnet/AspNetCore/commit/7ca4ba5d65) Updating dev Nuget.config
* [`[907a3c6cf3]`](https://github.com/aspnet/AspNetCore/commit/907a3c6cf3) Updating dev Nuget.config
* [`[ffe3767467]`](https://github.com/aspnet/AspNetCore/commit/ffe3767467) Updating NuGet.config
* [`[e86cae43bb]`](https://github.com/aspnet/AspNetCore/commit/e86cae43bb) Updating release Nuget.config
* [`[f2a99aa352]`](https://github.com/aspnet/AspNetCore/commit/f2a99aa352) Updating release Nuget.config
* [`[a2a663b240]`](https://github.com/aspnet/AspNetCore/commit/a2a663b240) Updating release Nuget.config
* [`[382573a6dc]`](https://github.com/aspnet/AspNetCore/commit/382573a6dc) Updating release Nuget.config
* [`[dc57fd8dc2]`](https://github.com/aspnet/AspNetCore/commit/dc57fd8dc2) Updating release Nuget.config
* [`[e48ef7b58a]`](https://github.com/aspnet/AspNetCore/commit/e48ef7b58a) Updating release Nuget.config
* [`[4642d3968d]`](https://github.com/aspnet/AspNetCore/commit/4642d3968d) Updating release Nuget.config
* [`[624d49df36]`](https://github.com/aspnet/AspNetCore/commit/624d49df36) Updating release Nuget.config
* [`[0c3afe95f5]`](https://github.com/aspnet/AspNetCore/commit/0c3afe95f5) Updating release Nuget.config
* [`[10cbe6bab3]`](https://github.com/aspnet/AspNetCore/commit/10cbe6bab3) Updating release Nuget.config
* [`[8d075ea9b9]`](https://github.com/aspnet/AspNetCore/commit/8d075ea9b9) Updating release Nuget.config
* [`[4d5e4ff20f]`](https://github.com/aspnet/AspNetCore/commit/4d5e4ff20f) Updating release Nuget.config
* [`[28389dc20d]`](https://github.com/aspnet/AspNetCore/commit/28389dc20d) Fixing vNext branch to point to aspnetvnext
* [`[80c48ca216]`](https://github.com/aspnet/AspNetCore/commit/80c48ca216) Changing case for NuGet.config extension to make it inline with casing for all other repos
* [`[30280ee54e]`](https://github.com/aspnet/AspNetCore/commit/30280ee54e) Adding scaffolding to Universe
* [`[eaee27756c]`](https://github.com/aspnet/AspNetCore/commit/eaee27756c) Updating project.json to use frameworks token
* [`[5168808906]`](https://github.com/aspnet/AspNetCore/commit/5168808906) Introducing RazorTextWriter
* [`[383c6305e1]`](https://github.com/aspnet/AspNetCore/commit/383c6305e1) Fix for issue #349
* [`[2c4811f201]`](https://github.com/aspnet/AspNetCore/commit/2c4811f201) Import static file tests from Katana.
* [`[9e950fba27]`](https://github.com/aspnet/AspNetCore/commit/9e950fba27) More var.
* [`[c9b2323592]`](https://github.com/aspnet/AspNetCore/commit/c9b2323592) Move web site projects back where they belong - solution corrupted in a recent checkin
* [`[d0d7c6aef8]`](https://github.com/aspnet/AspNetCore/commit/d0d7c6aef8) Add `HtmlHelperDisplayTextTest` and `HtmlHelperValueExtensionsTest` classes
* [`[01f5fec210]`](https://github.com/aspnet/AspNetCore/commit/01f5fec210) Added Logging to Mvc
* [`[11d6c507f9]`](https://github.com/aspnet/AspNetCore/commit/11d6c507f9) Stylecop fixes
* [`[fca9831115]`](https://github.com/aspnet/AspNetCore/commit/fca9831115) Routing Logging Added scoped logging to RouterMiddleware, RouteCollection, and TemplateRoute.
* [`[19f3f78b3e]`](https://github.com/aspnet/AspNetCore/commit/19f3f78b3e) Adding TextPlainFormatter to always handle returning strings as text\plain format.
* [`[5708f7592b]`](https://github.com/aspnet/AspNetCore/commit/5708f7592b) Changing GetLibraryExport to GetAllExports
* [`[99d053ef81]`](https://github.com/aspnet/AspNetCore/commit/99d053ef81) Return a copy of the route values in functional tests.
* [`[7ec4ab021e]`](https://github.com/aspnet/AspNetCore/commit/7ec4ab021e) Make longest `@Html.DisplayForModel()` overload an extension method - consistent with @Html.EditorForModel()` overloads
* [`[40eb05f7e4]`](https://github.com/aspnet/AspNetCore/commit/40eb05f7e4) Improve `HtmlHelper` extension points - address all of #659 and a bit of #874 (avoid `public virtual` methods in   `HtmlHelper`)
* [`[b8960219b4]`](https://github.com/aspnet/AspNetCore/commit/b8960219b4) Fix Stylecop failure - long line
* [`[c6623509e6]`](https://github.com/aspnet/AspNetCore/commit/c6623509e6) Fixing readme with latest instructions
* [`[302f5a00fa]`](https://github.com/aspnet/AspNetCore/commit/302f5a00fa) Using auto generated id for albums
* [`[7470e3cb28]`](https://github.com/aspnet/AspNetCore/commit/7470e3cb28) @Html.ValueFor replaced with @Html.DisplayFor
* [`[644c45ae5c]`](https://github.com/aspnet/AspNetCore/commit/644c45ae5c) Adding a _ViewStart page to define the Layoutpage
* [`[8f00b9a7b4]`](https://github.com/aspnet/AspNetCore/commit/8f00b9a7b4) Removing a stale proj reference in .sln
* [`[75d9ef5e0d]`](https://github.com/aspnet/AspNetCore/commit/75d9ef5e0d) Changing the tests to use Dev14 connection string
* [`[9c545aa343]`](https://github.com/aspnet/AspNetCore/commit/9c545aa343) Updating System.Xml.ReaderWriter to 4.0.10.0
* [`[2fe2efa94a]`](https://github.com/aspnet/AspNetCore/commit/2fe2efa94a) Moving to the latest pattern of Specifying formatters using options
* [`[307c191c17]`](https://github.com/aspnet/AspNetCore/commit/307c191c17) Adding support for content negotiation. This change consists of : 1. Conneg based on request headers, supports the following 3 scenarios: 	a. ContentType property on ObjectResult set to null or is empty. 	b. ContentType property on ObjectResult set to a single content type. 	c. ContentType property on ObjectResult set to multiple content types.
* [`[2987f98283]`](https://github.com/aspnet/AspNetCore/commit/2987f98283) Adding parameter replacement
* [`[96c759e25c]`](https://github.com/aspnet/AspNetCore/commit/96c759e25c) Add friendly name to action descriptor. Issue 820
* [`[2f9501458f]`](https://github.com/aspnet/AspNetCore/commit/2f9501458f) Add friendly name to action descriptor. Issue 820
* [`[b4ee3ac6cf]`](https://github.com/aspnet/AspNetCore/commit/b4ee3ac6cf) Install 64 bit KRE always
* [`[c733aa8804]`](https://github.com/aspnet/AspNetCore/commit/c733aa8804) #28 - Use a GZipStream constructor that's supported on Mono.
* [`[ae65001e84]`](https://github.com/aspnet/AspNetCore/commit/ae65001e84) Fix for issue 85 - Dictionary types should return null on key not found
* [`[b0d52f73fd]`](https://github.com/aspnet/AspNetCore/commit/b0d52f73fd) [Issue #527] Revive common ActionResults - Part 1.
* [`[cd0285183e]`](https://github.com/aspnet/AspNetCore/commit/cd0285183e) Fix StyleCop issues
* [`[5bace02518]`](https://github.com/aspnet/AspNetCore/commit/5bace02518) Removing BaseController from MusicStore
* [`[24f74222f5]`](https://github.com/aspnet/AspNetCore/commit/24f74222f5) Introducing Controller.TryUpdateModel
* [`[da0bf6f7d8]`](https://github.com/aspnet/AspNetCore/commit/da0bf6f7d8) Commonizing code in option provider
* [`[92e26cf8e0]`](https://github.com/aspnet/AspNetCore/commit/92e26cf8e0) RazorView should not create new ViewContext when rendering pages.
* [`[3746e44dc3]`](https://github.com/aspnet/AspNetCore/commit/3746e44dc3) Add more `ModelMetadata` and HTML helper tests - add `CachedDataAnnotationsMetadataAttributesTest` - add `CachedDataAnnotationsModelMetadataTest` - confirm more default property values in `ModelMetadataTest` - confirm use of `DisplayName` in `ModelMetadataTest` - add `HtmlHelperDisplayNameExtensionsTest` - add `HtmlHelperLabelExtensionsTest` - add `HtmlHelperNameExtensionsTest`
* [`[48085eea08]`](https://github.com/aspnet/AspNetCore/commit/48085eea08) Correct `ModelMetadata.IsRequired` to honour overrides - subclasses would not calculate a value because `ModelMetadata` constructor   set this property - meant presence of a `[Required]` attribute in the model was ignored
* [`[907f05acf5]`](https://github.com/aspnet/AspNetCore/commit/907f05acf5) Added try catch around logging statement
* [`[6fab49b6e0]`](https://github.com/aspnet/AspNetCore/commit/6fab49b6e0) #52 - Enable parallel tests by using dynamic ports.
* [`[ae7fae0bce]`](https://github.com/aspnet/AspNetCore/commit/ae7fae0bce) Formatted document and added bug numbers
* [`[d1f5802c87]`](https://github.com/aspnet/AspNetCore/commit/d1f5802c87) Fixed check to install x64 KRE
* [`[77a9885118]`](https://github.com/aspnet/AspNetCore/commit/77a9885118) Handled starting IISExpress based on architecture
* [`[759eee9734]`](https://github.com/aspnet/AspNetCore/commit/759eee9734) Added support for kre architecture
* [`[c391427f65]`](https://github.com/aspnet/AspNetCore/commit/c391427f65) Formatted document and added bug numbers
* [`[fb32578f37]`](https://github.com/aspnet/AspNetCore/commit/fb32578f37) Fixed check to install x64 KRE
* [`[c74bb9258a]`](https://github.com/aspnet/AspNetCore/commit/c74bb9258a) Handled starting IISExpress based on architecture
* [`[b1912d799c]`](https://github.com/aspnet/AspNetCore/commit/b1912d799c) Moving to RandomNumberGenerator as CryptRandom is not supported in Mono
* [`[6fb56ccdad]`](https://github.com/aspnet/AspNetCore/commit/6fb56ccdad) Added support for kre architecture
* [`[47d227cbf2]`](https://github.com/aspnet/AspNetCore/commit/47d227cbf2) Modify FindView and FindPartialView to accept ActionContext
* [`[a2561281b7]`](https://github.com/aspnet/AspNetCore/commit/a2561281b7) Adding MvcOptions.OutputFormatters property.
* [`[8ed7dadfd8]`](https://github.com/aspnet/AspNetCore/commit/8ed7dadfd8) Fixing project.json in Mvc
* [`[1df4738a19]`](https://github.com/aspnet/AspNetCore/commit/1df4738a19) Adding OutputFormatter base class
* [`[e28adbfb3d]`](https://github.com/aspnet/AspNetCore/commit/e28adbfb3d) ViewStarts need to be executed as part of View execution
* [`[b8ab5c5063]`](https://github.com/aspnet/AspNetCore/commit/b8ab5c5063) Http Abstractions for parsing Http headers needed for conneg.
* [`[80ffd26465]`](https://github.com/aspnet/AspNetCore/commit/80ffd26465) Adding abstractions for request headers viz. Accept, Accept-Charset and Content-Type.
* [`[53e38e2a23]`](https://github.com/aspnet/AspNetCore/commit/53e38e2a23) #45 Add friendly header collection APIs for people using WebListener directly.
* [`[b440d4ff66]`](https://github.com/aspnet/AspNetCore/commit/b440d4ff66) Use InMemoryStore if the sample is being run on Mono
* [`[863888bfb4]`](https://github.com/aspnet/AspNetCore/commit/863888bfb4) Fixing a test failure due to a recent change.
* [`[91cc369f4f]`](https://github.com/aspnet/AspNetCore/commit/91cc369f4f) Fixing CopyAspNetLoader batch file to consider the new location of AspNet.Loader.dll
* [`[3c0eefe12e]`](https://github.com/aspnet/AspNetCore/commit/3c0eefe12e) Merging the MusicStore & MusicStoreIdentity Db into one.
* [`[745239f09f]`](https://github.com/aspnet/AspNetCore/commit/745239f09f) Adding Attribute Routing Link Generation
* [`[340bd7550a]`](https://github.com/aspnet/AspNetCore/commit/340bd7550a) Adding RazorView to Microsoft.AspNet.Mvc.Razor
* [`[9e535f6897]`](https://github.com/aspnet/AspNetCore/commit/9e535f6897) Separating view execution and Razor behavior
* [`[c1112fcaf1]`](https://github.com/aspnet/AspNetCore/commit/c1112fcaf1) Move ValueProviders to MvcOptions Fixes #778
* [`[0ba1731928]`](https://github.com/aspnet/AspNetCore/commit/0ba1731928) Add more feature constructors.
* [`[8b0500dacf]`](https://github.com/aspnet/AspNetCore/commit/8b0500dacf) Replace RNGCryptoServiceProvider with RandomNumberGenerator
* [`[bff94f169f]`](https://github.com/aspnet/AspNetCore/commit/bff94f169f) Fix for issue #610 - Ignore internal and nested types
* [`[9f8c656b31]`](https://github.com/aspnet/AspNetCore/commit/9f8c656b31) IUrlHelper and IViewComponentHelper need to be activated
* [`[dc055f783a]`](https://github.com/aspnet/AspNetCore/commit/dc055f783a) #91 Add constructors to Form, Query, and Cookie features for testing.
* [`[e09448a383]`](https://github.com/aspnet/AspNetCore/commit/e09448a383) Update solution.
* [`[fadf6ae5e2]`](https://github.com/aspnet/AspNetCore/commit/fadf6ae5e2) Add missing sample namespace.
* [`[8b46d43dcb]`](https://github.com/aspnet/AspNetCore/commit/8b46d43dcb) Make middleware report when auth fails (async).
* [`[472e500864]`](https://github.com/aspnet/AspNetCore/commit/472e500864) Cache file info access in viewengine
* [`[dd7537de4a]`](https://github.com/aspnet/AspNetCore/commit/dd7537de4a) #103 Fix ambigious Keys property on IHeaderDictionary.
* [`[87c430ae19]`](https://github.com/aspnet/AspNetCore/commit/87c430ae19) [#732] Attribute Routing: Implement `~/` for overriding a prefix
* [`[bbdb2dfbf2]`](https://github.com/aspnet/AspNetCore/commit/bbdb2dfbf2) Adding support for activating view properties Fixes #700
* [`[3eb6c22330]`](https://github.com/aspnet/AspNetCore/commit/3eb6c22330) Make RoutePartsEqual public.
* [`[038802ee45]`](https://github.com/aspnet/AspNetCore/commit/038802ee45) removing unneeded web.config
* [`[21bb8cb9fb]`](https://github.com/aspnet/AspNetCore/commit/21bb8cb9fb) Adding support for activating view properties Fixes #700
* [`[30df49535c]`](https://github.com/aspnet/AspNetCore/commit/30df49535c) Fixed project.json casing
* [`[85d0abecad]`](https://github.com/aspnet/AspNetCore/commit/85d0abecad) Renamed Project.json to Project.json2
* [`[efd225a9cd]`](https://github.com/aspnet/AspNetCore/commit/efd225a9cd) Renamed configurations to frameworks in project.json
* [`[33cd0d89aa]`](https://github.com/aspnet/AspNetCore/commit/33cd0d89aa) Renamed configurations to frameworks in project.json
* [`[0a50505f4d]`](https://github.com/aspnet/AspNetCore/commit/0a50505f4d) Renamed configurations to frameworks in project.json
* [`[b2d2840a6f]`](https://github.com/aspnet/AspNetCore/commit/b2d2840a6f) Renamed configurations to frameworks in project.json
* [`[25efba7563]`](https://github.com/aspnet/AspNetCore/commit/25efba7563) Renamed configurations to frameworks in project.json
* [`[ea98a50e43]`](https://github.com/aspnet/AspNetCore/commit/ea98a50e43) Renamed configurations to frameworks in project.json
* [`[f696a06012]`](https://github.com/aspnet/AspNetCore/commit/f696a06012) Renamed configurations to frameworks in project.json
* [`[0d1f308753]`](https://github.com/aspnet/AspNetCore/commit/0d1f308753) Renamed configurations to frameworks in project.json
* [`[7e7c56ce48]`](https://github.com/aspnet/AspNetCore/commit/7e7c56ce48) Renamed configurations to frameworks in project.json
* [`[8f39f6d4b5]`](https://github.com/aspnet/AspNetCore/commit/8f39f6d4b5) Renamed configurations to frameworks in project.json
* [`[b6243326c3]`](https://github.com/aspnet/AspNetCore/commit/b6243326c3) Renamed configurations to frameworks in project.json
* [`[91ee6ed484]`](https://github.com/aspnet/AspNetCore/commit/91ee6ed484) Renamed configurations to frameworks in project.json
* [`[4e9a6b7678]`](https://github.com/aspnet/AspNetCore/commit/4e9a6b7678) Renamed configurations to frameworks in project.json
* [`[ff9e21b647]`](https://github.com/aspnet/AspNetCore/commit/ff9e21b647) Use runtime APIs to locate AspNet.Loader.dll
* [`[1e1e55b362]`](https://github.com/aspnet/AspNetCore/commit/1e1e55b362) Fix not shown 'exception page' on non windows system
* [`[720923a1a4]`](https://github.com/aspnet/AspNetCore/commit/720923a1a4) Moving UTF8EncodingWithoutBOM.cs to Common and renaming it as Encodings.
* [`[b1c0792e8c]`](https://github.com/aspnet/AspNetCore/commit/b1c0792e8c) Added Configuration to TestApplicationEnvironment
* [`[5208421ad5]`](https://github.com/aspnet/AspNetCore/commit/5208421ad5) Fixed dependencies to get the right version of IApplicationEnvironment
* [`[221a8f4f50]`](https://github.com/aspnet/AspNetCore/commit/221a8f4f50) Changed defines from DEBUG to DIAGNOSTICS_PAGE_MIDDLEWARE
* [`[fbd2c4a08e]`](https://github.com/aspnet/AspNetCore/commit/fbd2c4a08e) Added Configuration to TestApplicationEnvironment
* [`[bcb816f7d1]`](https://github.com/aspnet/AspNetCore/commit/bcb816f7d1) Fixed if DEBUG
* [`[b1c82c0066]`](https://github.com/aspnet/AspNetCore/commit/b1c82c0066) #96 Enable AspNet->Owin WebSockets.
* [`[31edabdfcb]`](https://github.com/aspnet/AspNetCore/commit/31edabdfcb) #96 Enable Owin->AspNet WebSockets.
* [`[23eefed31a]`](https://github.com/aspnet/AspNetCore/commit/23eefed31a) Move setting up options to MvcOptionsSetup Fixes #760
* [`[1ece87ef68]`](https://github.com/aspnet/AspNetCore/commit/1ece87ef68) Fix mispelled class name.
* [`[db429b0d59]`](https://github.com/aspnet/AspNetCore/commit/db429b0d59) Updated AngularHtmlHelper based on MVC changes
* [`[de6c32dc4b]`](https://github.com/aspnet/AspNetCore/commit/de6c32dc4b) Guarding against leaking GCHandles in read/write operations
* [`[5194adfaf5]`](https://github.com/aspnet/AspNetCore/commit/5194adfaf5) Moving IViewEngine to MvcOptions
* [`[42b5aac1b1]`](https://github.com/aspnet/AspNetCore/commit/42b5aac1b1) fixing a broken link in musicstore.
* [`[27d6a735af]`](https://github.com/aspnet/AspNetCore/commit/27d6a735af) Implement a 'required' constraint
* [`[1406ec94c3]`](https://github.com/aspnet/AspNetCore/commit/1406ec94c3) Fixing WriteAsync reference
* [`[2da561cb7a]`](https://github.com/aspnet/AspNetCore/commit/2da561cb7a) Garbage collecting safe handles need to queue the uv_close
* [`[836be5565a]`](https://github.com/aspnet/AspNetCore/commit/836be5565a) Using weak gchandles from native to managed
* [`[79111650f0]`](https://github.com/aspnet/AspNetCore/commit/79111650f0) Fixed node/npm/grunt tasks to use global install if available
* [`[861e3df43b]`](https://github.com/aspnet/AspNetCore/commit/861e3df43b) Only install node/npm/bower if not installed globally
* [`[6c5b836070]`](https://github.com/aspnet/AspNetCore/commit/6c5b836070) Removing magic link generation
* [`[8d270ae328]`](https://github.com/aspnet/AspNetCore/commit/8d270ae328) Add namespace for Response.Write extension.
* [`[240d969899]`](https://github.com/aspnet/AspNetCore/commit/240d969899) Add using statement for extension methods.
* [`[63dcdd6ca5]`](https://github.com/aspnet/AspNetCore/commit/63dcdd6ca5) Fix for #77 - pass ambient values not in the template to constraints
* [`[91b61bf6f6]`](https://github.com/aspnet/AspNetCore/commit/91b61bf6f6) Add using statement for extension methods.
* [`[6afcadd66a]`](https://github.com/aspnet/AspNetCore/commit/6afcadd66a) Add using statement for extension methods.
* [`[bd872c5fb0]`](https://github.com/aspnet/AspNetCore/commit/bd872c5fb0) Fix rebase issue in tests.
* [`[578518d5c4]`](https://github.com/aspnet/AspNetCore/commit/578518d5c4) #66 Add response writing extensions.
* [`[ca9e837048]`](https://github.com/aspnet/AspNetCore/commit/ca9e837048) Need to add content type to dylib for nupkg file format to see it
* [`[b0f738651e]`](https://github.com/aspnet/AspNetCore/commit/b0f738651e) WebSockets package renamed to .Server
* [`[21778f631a]`](https://github.com/aspnet/AspNetCore/commit/21778f631a) Guarding against more read_cb cases
* [`[9c1cb29cdd]`](https://github.com/aspnet/AspNetCore/commit/9c1cb29cdd) SampleApp changed location
* [`[74a4c8cd27]`](https://github.com/aspnet/AspNetCore/commit/74a4c8cd27) Renaming KestralTests folder KestrelTests
* [`[8624b82b2b]`](https://github.com/aspnet/AspNetCore/commit/8624b82b2b) Improving callback exception support
* [`[8e0876e440]`](https://github.com/aspnet/AspNetCore/commit/8e0876e440) sorted dependencies corrctly on sample
* [`[1e7da1dc61]`](https://github.com/aspnet/AspNetCore/commit/1e7da1dc61) Fix versioning for Microsoft.Net.WebSockets
* [`[5bf4883cd9]`](https://github.com/aspnet/AspNetCore/commit/5bf4883cd9) #91 Provide a default constructor for DefaultHttpContext.
* [`[b855b69e5a]`](https://github.com/aspnet/AspNetCore/commit/b855b69e5a) added Microsoft.AspNet.StaticFiles package to be able to serve static files for the sample
* [`[0f9e232759]`](https://github.com/aspnet/AspNetCore/commit/0f9e232759) Updating ILogger descendants for interface change.
* [`[e396f1b451]`](https://github.com/aspnet/AspNetCore/commit/e396f1b451) Adding attribute routing
* [`[0b0b5837fd]`](https://github.com/aspnet/AspNetCore/commit/0b0b5837fd) A few changes with this checkin 1. Fixed the delete album action 2. Added a test for add to cart, checkout & delete an album scenarios.
* [`[6edd238f38]`](https://github.com/aspnet/AspNetCore/commit/6edd238f38) Rename IHttpOpaqueUpgradeFeature to IHttpUpgradeFeature.
* [`[7133ab1b2a]`](https://github.com/aspnet/AspNetCore/commit/7133ab1b2a) Rename IHttpOpaqueUpgradeFeature to IHttpUpgradeFeature.
* [`[112e3e5358]`](https://github.com/aspnet/AspNetCore/commit/112e3e5358) Rename IHttpOpaqueUpgradeFeature to IHttpUpgradeFeature.
* [`[3fdb2e3e57]`](https://github.com/aspnet/AspNetCore/commit/3fdb2e3e57) Adding some verifications for static file serving.
* [`[047db6d5f4]`](https://github.com/aspnet/AspNetCore/commit/047db6d5f4) Change with this submission
* [`[8c7bc1a9c8]`](https://github.com/aspnet/AspNetCore/commit/8c7bc1a9c8) Auto id generation is available for entities
* [`[04de187189]`](https://github.com/aspnet/AspNetCore/commit/04de187189) Changing the connection strings to use Dev14 LocalDB
* [`[9028c6a1a5]`](https://github.com/aspnet/AspNetCore/commit/9028c6a1a5) #88 Rename IHttpOpaqueUpgradeFeature to IHttpUpgradeFeature.
* [`[747777ab54]`](https://github.com/aspnet/AspNetCore/commit/747777ab54) Adding dylib binary to source control
* [`[287eebe244]`](https://github.com/aspnet/AspNetCore/commit/287eebe244) Handle change from IList to IEnumerable.
* [`[fe0e5be913]`](https://github.com/aspnet/AspNetCore/commit/fe0e5be913) Fix IList to IEnumerable change.
* [`[10d8b1015e]`](https://github.com/aspnet/AspNetCore/commit/10d8b1015e) #69 Make auth APIs use IEnumerable instead of IList.
* [`[974bfcab7a]`](https://github.com/aspnet/AspNetCore/commit/974bfcab7a) Adding kestrel variation of the MusicStore tests
* [`[f290ec014f]`](https://github.com/aspnet/AspNetCore/commit/f290ec014f) Change native-compile to no-op if no native projects found - #93
* [`[19cf259d60]`](https://github.com/aspnet/AspNetCore/commit/19cf259d60) Create README.md
* [`[365352ce35]`](https://github.com/aspnet/AspNetCore/commit/365352ce35) Create CONTRIBUTING.md
* [`[04f3e5283d]`](https://github.com/aspnet/AspNetCore/commit/04f3e5283d) Rename OnRequestAborted to RequestAborted.
* [`[81c967dfa4]`](https://github.com/aspnet/AspNetCore/commit/81c967dfa4) Rename OnRequestAborted to RequestAborted.
* [`[bc2cf1223e]`](https://github.com/aspnet/AspNetCore/commit/bc2cf1223e) #89 - Rename OnRequestAborted to RequestAborted.
* [`[1a579aba01]`](https://github.com/aspnet/AspNetCore/commit/1a579aba01) Add missing using.
* [`[872f18b63b]`](https://github.com/aspnet/AspNetCore/commit/872f18b63b) Update Claims dependency to 1.0.0-*.
* [`[136811e732]`](https://github.com/aspnet/AspNetCore/commit/136811e732) Make IServerFactory AssemblyNeutral.
* [`[e15fe540a8]`](https://github.com/aspnet/AspNetCore/commit/e15fe540a8) Enable custom auth challenges. Integrate IAuthenticationHandler.
* [`[0e197a59ed]`](https://github.com/aspnet/AspNetCore/commit/0e197a59ed) More HTTPS tests.
* [`[6f550d67a4]`](https://github.com/aspnet/AspNetCore/commit/6f550d67a4) Improve the auth infrastructure. Expose the user.
* [`[bb0fb639ae]`](https://github.com/aspnet/AspNetCore/commit/bb0fb639ae) Updated packages due to changes in security contracts
* [`[d98df8a873]`](https://github.com/aspnet/AspNetCore/commit/d98df8a873) Updated packages due to changes in security contracts
* [`[81c06fa558]`](https://github.com/aspnet/AspNetCore/commit/81c06fa558) Make middleware report when auth fails.
* [`[8d527e4e0b]`](https://github.com/aspnet/AspNetCore/commit/8d527e4e0b) Removing a reference to make things work better
* [`[df425e4796]`](https://github.com/aspnet/AspNetCore/commit/df425e4796) Server: Expose WebSocketOptions. Make feature replacement configurable.
* [`[b24d808b58]`](https://github.com/aspnet/AspNetCore/commit/b24d808b58) #10 - Rename Middleware package to Server.
* [`[05a275faae]`](https://github.com/aspnet/AspNetCore/commit/05a275faae) OWIN: #87 Make IHttpAuthenticationFeature.Handler not throw.
* [`[6277e70ac8]`](https://github.com/aspnet/AspNetCore/commit/6277e70ac8) Added KestrelHttpServer
* [`[9118d037fe]`](https://github.com/aspnet/AspNetCore/commit/9118d037fe) Updated the kproj
* [`[7c626431a1]`](https://github.com/aspnet/AspNetCore/commit/7c626431a1) Adding Upgrade support, using WebSocket middleware from sample app
* [`[5e51783087]`](https://github.com/aspnet/AspNetCore/commit/5e51783087) Recompiling windows binaries because uv_loop_size was added
* [`[0f1a72e7e0]`](https://github.com/aspnet/AspNetCore/commit/0f1a72e7e0) Tiny CLR won't tell you what the OS is. Assume tiny CLR is running on Windows.
* [`[e4b9bd265c]`](https://github.com/aspnet/AspNetCore/commit/e4b9bd265c) Adjusting Kestrel to run cross platform
* [`[9c29ccdd32]`](https://github.com/aspnet/AspNetCore/commit/9c29ccdd32) Cross-platform LoadLibrary, adjusting libuv apis
* [`[08a3685f53]`](https://github.com/aspnet/AspNetCore/commit/08a3685f53) Moving native resources, updating loading code
* [`[c17d33154f]`](https://github.com/aspnet/AspNetCore/commit/c17d33154f) Fix for #617 - ViewResult can be constructed without a view engine
* [`[bbf470bd34]`](https://github.com/aspnet/AspNetCore/commit/bbf470bd34) Also test `string.Empty` model
* [`[6eb1e38e33]`](https://github.com/aspnet/AspNetCore/commit/6eb1e38e33) Add `@Html.Display()` and `@Html.Editor()` tests with values in `ViewData`
* [`[88cd886a5b]`](https://github.com/aspnet/AspNetCore/commit/88cd886a5b) Ensure `TemplateInfo.FormattedModelValue` & `HtmlFieldPrefix` are not `null` - Fixes #705
* [`[e32d1b069f]`](https://github.com/aspnet/AspNetCore/commit/e32d1b069f) Using the default namespace for the resources class
* [`[e7c2faff32]`](https://github.com/aspnet/AspNetCore/commit/e7c2faff32) Unwrap nullable types in PropertyHelper prior to looking up properties
* [`[ecbf6e27fa]`](https://github.com/aspnet/AspNetCore/commit/ecbf6e27fa) Adding more diagnostics to the test
* [`[0f0d44c6b3]`](https://github.com/aspnet/AspNetCore/commit/0f0d44c6b3) Fixing ModelChunkVisitorTest to match resource name Fixing stylecop issues
* [`[83f585e583]`](https://github.com/aspnet/AspNetCore/commit/83f585e583) Addressed stylecop and CR issues.
* [`[2ad175b687]`](https://github.com/aspnet/AspNetCore/commit/2ad175b687) Add @model specific tests to validate output.
* [`[b808c48faf]`](https://github.com/aspnet/AspNetCore/commit/b808c48faf) Add Model specific code generation.
* [`[b9fd70b930]`](https://github.com/aspnet/AspNetCore/commit/b9fd70b930) Fixing more tslint errors
* [`[f1a82e6456]`](https://github.com/aspnet/AspNetCore/commit/f1a82e6456) Fixing tslint errors
* [`[2aacdeca4a]`](https://github.com/aspnet/AspNetCore/commit/2aacdeca4a) Modify AssociatedMetadataProvider to use PropertyHelper to create accessor
* [`[aae0635911]`](https://github.com/aspnet/AspNetCore/commit/aae0635911) Updating MusicStore.Spa for latest MVC changes
* [`[13f4c242ab]`](https://github.com/aspnet/AspNetCore/commit/13f4c242ab) Rename T to TFeature, Creator to Factory.
* [`[f4a397dfcc]`](https://github.com/aspnet/AspNetCore/commit/f4a397dfcc) OWIN: Support dynamically creatable features.
* [`[f5173e44ae]`](https://github.com/aspnet/AspNetCore/commit/f5173e44ae) Expand feature support for OWIN->K.
* [`[3c092cb083]`](https://github.com/aspnet/AspNetCore/commit/3c092cb083) Moving model binders from DI to MvcOptions
* [`[1d3e6b0dd0]`](https://github.com/aspnet/AspNetCore/commit/1d3e6b0dd0) Fix breaks from GetFormAsync, IReadableStringCollection.Keys.
* [`[0103307aac]`](https://github.com/aspnet/AspNetCore/commit/0103307aac) Fix https tests.
* [`[e7508af2d9]`](https://github.com/aspnet/AspNetCore/commit/e7508af2d9) Include IHttpClientCertificateFeature changes.
* [`[df730a47a9]`](https://github.com/aspnet/AspNetCore/commit/df730a47a9) Rename CancellationToken parameter.
* [`[55e491e354]`](https://github.com/aspnet/AspNetCore/commit/55e491e354) Make CancellationToken a default param.
* [`[ff31b958fe]`](https://github.com/aspnet/AspNetCore/commit/ff31b958fe) #80 - Add CancellationToken to GetClientCertAsyc, GetFormAsync.
* [`[63637be073]`](https://github.com/aspnet/AspNetCore/commit/63637be073) Listener.Dispose should block until operation is complete
* [`[efd257a7be]`](https://github.com/aspnet/AspNetCore/commit/efd257a7be) Run tests on both k10 and net45
* [`[0d7f38e10e]`](https://github.com/aspnet/AspNetCore/commit/0d7f38e10e) Commonize code to limit functional tests to a single site each
* [`[23146787dc]`](https://github.com/aspnet/AspNetCore/commit/23146787dc) NET45-ify our Autofac functional test - see loads of load failures after `kvm.ps1 upgrade -svrc50` otherwise
* [`[5149c7cd19]`](https://github.com/aspnet/AspNetCore/commit/5149c7cd19) Get ModelBinding test project working on K10 again - restore `ClientRulesWithCompareAttribute_ErrorMessageUsesResourceOverride` since   DataAnnotations has fixed underlying problem
* [`[82f72581c9]`](https://github.com/aspnet/AspNetCore/commit/82f72581c9) Add an explict Count to IHeaderDictionary to resolve ambiguity.
* [`[f08b6a8d53]`](https://github.com/aspnet/AspNetCore/commit/f08b6a8d53) #3 - Add Count, Keys, and ContainsKey to IReadableStringCollection
* [`[8f31665478]`](https://github.com/aspnet/AspNetCore/commit/8f31665478) Make IServerFactory AssemblyNeutral.
* [`[24e1ac7ca1]`](https://github.com/aspnet/AspNetCore/commit/24e1ac7ca1) Revive ModelMetadata.ShowForDisplay and ModelMetadata.ShowForEdit
* [`[6cc47cd5f1]`](https://github.com/aspnet/AspNetCore/commit/6cc47cd5f1) Add Autofac functional test.
* [`[23740085f1]`](https://github.com/aspnet/AspNetCore/commit/23740085f1) Catch MVC up with Helios rename - one more file to change on dev branch
* [`[15b06a4057]`](https://github.com/aspnet/AspNetCore/commit/15b06a4057) Fixing the TODOs dependent on SimpleDisplayText.
* [`[cca78bb055]`](https://github.com/aspnet/AspNetCore/commit/cca78bb055) Adding support for ActivateAttribute via IControllerActivator
* [`[9e4bc60205]`](https://github.com/aspnet/AspNetCore/commit/9e4bc60205) Adding amd64 support
* [`[d39b1a3786]`](https://github.com/aspnet/AspNetCore/commit/d39b1a3786) ActionDescriptor.Parameters is not populated by provider
* [`[4c9f19aafc]`](https://github.com/aspnet/AspNetCore/commit/4c9f19aafc) Update controller methods to be all virtual Fix #596
* [`[1703bf7445]`](https://github.com/aspnet/AspNetCore/commit/1703bf7445) Updating dev Nuget.config
* [`[a7ce8c9814]`](https://github.com/aspnet/AspNetCore/commit/a7ce8c9814) Updating release Nuget.config
* [`[75915500cc]`](https://github.com/aspnet/AspNetCore/commit/75915500cc) Updating dev Nuget.config
* [`[4f54640fb5]`](https://github.com/aspnet/AspNetCore/commit/4f54640fb5) Updating release Nuget.config
* [`[b89a64281f]`](https://github.com/aspnet/AspNetCore/commit/b89a64281f) Updating dev Nuget.config
* [`[5f9cfb8c62]`](https://github.com/aspnet/AspNetCore/commit/5f9cfb8c62) Updating release Nuget.config
* [`[186f69042a]`](https://github.com/aspnet/AspNetCore/commit/186f69042a) Updating dev Nuget.config
* [`[9fcfc9db62]`](https://github.com/aspnet/AspNetCore/commit/9fcfc9db62) Updating release Nuget.config
* [`[779de7ae36]`](https://github.com/aspnet/AspNetCore/commit/779de7ae36) Updating dev Nuget.config
* [`[4ca0a78bbd]`](https://github.com/aspnet/AspNetCore/commit/4ca0a78bbd) Updating release Nuget.config
* [`[cf22fe1973]`](https://github.com/aspnet/AspNetCore/commit/cf22fe1973) Updating dev Nuget.config
* [`[0ab3f0ccf6]`](https://github.com/aspnet/AspNetCore/commit/0ab3f0ccf6) Updating release Nuget.config
* [`[1f9b7f00d6]`](https://github.com/aspnet/AspNetCore/commit/1f9b7f00d6) Updating dev Nuget.config
* [`[a86965f00e]`](https://github.com/aspnet/AspNetCore/commit/a86965f00e) Updating release Nuget.config
* [`[97eda9d22e]`](https://github.com/aspnet/AspNetCore/commit/97eda9d22e) Updating dev Nuget.config
* [`[dbd69a4464]`](https://github.com/aspnet/AspNetCore/commit/dbd69a4464) Updating release Nuget.config
* [`[2e291cf033]`](https://github.com/aspnet/AspNetCore/commit/2e291cf033) Updating dev Nuget.config
* [`[53d1a62eaa]`](https://github.com/aspnet/AspNetCore/commit/53d1a62eaa) Updating release Nuget.config
* [`[f6f7c30a05]`](https://github.com/aspnet/AspNetCore/commit/f6f7c30a05) Updating dev Nuget.config
* [`[940d3554ae]`](https://github.com/aspnet/AspNetCore/commit/940d3554ae) Updating release Nuget.config
* [`[7c7628cec9]`](https://github.com/aspnet/AspNetCore/commit/7c7628cec9) Updating dev Nuget.config
* [`[cc0ab2e5a1]`](https://github.com/aspnet/AspNetCore/commit/cc0ab2e5a1) Updating release Nuget.config
* [`[491dafb7a7]`](https://github.com/aspnet/AspNetCore/commit/491dafb7a7) Updating dev Nuget.config
* [`[67398cf649]`](https://github.com/aspnet/AspNetCore/commit/67398cf649) Updating release Nuget.config
* [`[980e28a79f]`](https://github.com/aspnet/AspNetCore/commit/980e28a79f) Updated kvm.ps1
* [`[a9fb12a597]`](https://github.com/aspnet/AspNetCore/commit/a9fb12a597) Removing sample
* [`[d803dc84d8]`](https://github.com/aspnet/AspNetCore/commit/d803dc84d8) Fixed websockets version
* [`[3cd3e31644]`](https://github.com/aspnet/AspNetCore/commit/3cd3e31644) Temporarily reference Microsoft.AspNet.Server.WebListener 0.1-*
* [`[d1e8cdc95c]`](https://github.com/aspnet/AspNetCore/commit/d1e8cdc95c) Fix version of Microsoft.AspNet.Razor reference
* [`[cef4a3ec05]`](https://github.com/aspnet/AspNetCore/commit/cef4a3ec05) Removing dictionary overloads from MapRoute.
* [`[741d5b57ee]`](https://github.com/aspnet/AspNetCore/commit/741d5b57ee) Include client certificate feature renames.
* [`[80eb5ab745]`](https://github.com/aspnet/AspNetCore/commit/80eb5ab745) Use updated request cancellation API.
* [`[a3dfa41372]`](https://github.com/aspnet/AspNetCore/commit/a3dfa41372) Add WebSocket tests. Fix Connection header.
* [`[6a810fd648]`](https://github.com/aspnet/AspNetCore/commit/6a810fd648) Add opaque upgrade tests.
* [`[d1dab1665e]`](https://github.com/aspnet/AspNetCore/commit/d1dab1665e) Expose Opaque and WebSockets.
* [`[9a53c1d773]`](https://github.com/aspnet/AspNetCore/commit/9a53c1d773) Change the author of package to MS OpenTech
* [`[f938a6ad75]`](https://github.com/aspnet/AspNetCore/commit/f938a6ad75) Change the default author in makefile.shade
* [`[1ef31a943a]`](https://github.com/aspnet/AspNetCore/commit/1ef31a943a) Change the default author in makefile.shade
* [`[93e27e2e40]`](https://github.com/aspnet/AspNetCore/commit/93e27e2e40) Change the default author in makefile.shade
* [`[8841f642fb]`](https://github.com/aspnet/AspNetCore/commit/8841f642fb) Change the default author in makefile.shade
* [`[a6c872bb08]`](https://github.com/aspnet/AspNetCore/commit/a6c872bb08) Change the default author in makefile.shade
* [`[682c2fd007]`](https://github.com/aspnet/AspNetCore/commit/682c2fd007) Change the default author in makefile.shade
* [`[eabd1b6ec4]`](https://github.com/aspnet/AspNetCore/commit/eabd1b6ec4) Change the default author in makefile.shade
* [`[7724182925]`](https://github.com/aspnet/AspNetCore/commit/7724182925) Change the default author in makefile.shade
* [`[fbffcb7b40]`](https://github.com/aspnet/AspNetCore/commit/fbffcb7b40) Adding Remaining Inline Route Constraints.
* [`[cd906e306e]`](https://github.com/aspnet/AspNetCore/commit/cd906e306e) Change the default author in makefile.shade
* [`[e34a149f85]`](https://github.com/aspnet/AspNetCore/commit/e34a149f85) Change the default author in makefile.shade
* [`[a7be2e0b30]`](https://github.com/aspnet/AspNetCore/commit/a7be2e0b30) Change the default author in makefile.shade
* [`[fa27f77150]`](https://github.com/aspnet/AspNetCore/commit/fa27f77150) Change the default author in makefile.shade
* [`[08b64a2a4a]`](https://github.com/aspnet/AspNetCore/commit/08b64a2a4a) InlineConstraint Functional Test, removing the dependency on a physical file.
* [`[17e566c5d1]`](https://github.com/aspnet/AspNetCore/commit/17e566c5d1) Adding "server.urls" configuration support to kestrel
* [`[45933b149e]`](https://github.com/aspnet/AspNetCore/commit/45933b149e) IServerFactory is never a registered service
* [`[14c43c351d]`](https://github.com/aspnet/AspNetCore/commit/14c43c351d) Use request services instead of application services by default
* [`[6aa1f84420]`](https://github.com/aspnet/AspNetCore/commit/6aa1f84420) Add Service monitoring as middleware to make sure the monitoring doesn't affect autofac services counts Scoping of three services Caching of action binding context. Make input formatters lazy
* [`[0ab560e086]`](https://github.com/aspnet/AspNetCore/commit/0ab560e086) Add UseServices overload that takes a Func returning IServiceProvider
* [`[7ec9c71181]`](https://github.com/aspnet/AspNetCore/commit/7ec9c71181) MusicStore.Spa changes: - Make the account manage page work - Changed ngTextBoxFor extension not use the base TextBoxFor helper as it was adding unwanted client validation attributes - Fix controller route
* [`[e27742fd0b]`](https://github.com/aspnet/AspNetCore/commit/e27742fd0b) IsValidActionMethod fails to check static methods.   Fix #638
* [`[85bd056780]`](https://github.com/aspnet/AspNetCore/commit/85bd056780) CreateActionResult should work when action returns Task. Fixes #647
* [`[4a4fe86df4]`](https://github.com/aspnet/AspNetCore/commit/4a4fe86df4) Changed use of custom SmartJsonResult to JsonResult in MusicStore.Spa
* [`[170283c724]`](https://github.com/aspnet/AspNetCore/commit/170283c724) Fixing StyleCop Issues for issues reported for commit# b58083f73a79efa02b40e8b389c45a55a933c8b4
* [`[1bae3bcaa2]`](https://github.com/aspnet/AspNetCore/commit/1bae3bcaa2) Issue #592 - ActionResult is not being executed by ResultFilterAttribute
* [`[10285d7d39]`](https://github.com/aspnet/AspNetCore/commit/10285d7d39) This additional constraint enables adding a route to the template (and potentially to the UseMvc method) without actually implementing the actual artifact. For example without adding an area to a controller, a route can still be added to the template. - Also added functional tests.
* [`[0ca5576926]`](https://github.com/aspnet/AspNetCore/commit/0ca5576926) StyleCop Fixes for routing.
* [`[2e6f9859a9]`](https://github.com/aspnet/AspNetCore/commit/2e6f9859a9) Fixed duplicates in repo list
* [`[8422d7413a]`](https://github.com/aspnet/AspNetCore/commit/8422d7413a) Fix dependency order or projects
* [`[6ac6419f4f]`](https://github.com/aspnet/AspNetCore/commit/6ac6419f4f) Adding support for 'k web --server kestrel'
* [`[434a128f1a]`](https://github.com/aspnet/AspNetCore/commit/434a128f1a) Rename AcceptWebSocket to AcceptWebSocketAsync.
* [`[32aa84d975]`](https://github.com/aspnet/AspNetCore/commit/32aa84d975) Fixed project.json casing
* [`[0c0321c694]`](https://github.com/aspnet/AspNetCore/commit/0c0321c694) Renamed Project.json to Project.json2
* [`[2deea2c299]`](https://github.com/aspnet/AspNetCore/commit/2deea2c299) Delete old file.
* [`[7484db54c6]`](https://github.com/aspnet/AspNetCore/commit/7484db54c6) Compile for CoreClr. Seperate Client project. Rename everything.
* [`[c5593491e0]`](https://github.com/aspnet/AspNetCore/commit/c5593491e0) fix breaking change from mvc
* [`[b58083f73a]`](https://github.com/aspnet/AspNetCore/commit/b58083f73a) Renaming AntiForgeryConfig-> AntiForgeryOptions. Adding MvcOptions and updating AntiForgery system to use AntiForgeryConfiguration from MvcOptions
* [`[b9d7561bf9]`](https://github.com/aspnet/AspNetCore/commit/b9d7561bf9) Enable WebSocket and Opaque features.
* [`[ced2c3950f]`](https://github.com/aspnet/AspNetCore/commit/ced2c3950f) Delete pre-processed *.ng.ts files from repo
* [`[abbd763f0f]`](https://github.com/aspnet/AspNetCore/commit/abbd763f0f) Use GetServiceOrDefault for optional dependency
* [`[7f34c94de7]`](https://github.com/aspnet/AspNetCore/commit/7f34c94de7) Adding a context class for ValueProviderFactories
* [`[545c614320]`](https://github.com/aspnet/AspNetCore/commit/545c614320) temporarily disable stylecop for tests
* [`[1ca9e25e54]`](https://github.com/aspnet/AspNetCore/commit/1ca9e25e54) Fixing an invalid 'And' condition while checking for process exited already
* [`[6b1a61f208]`](https://github.com/aspnet/AspNetCore/commit/6b1a61f208) Checking if the host process is actually running before attempting to kill
* [`[60443101d5]`](https://github.com/aspnet/AspNetCore/commit/60443101d5) Enable request to reach base controller class's action Fix #378
* [`[660babcd7f]`](https://github.com/aspnet/AspNetCore/commit/660babcd7f) Adding core clr configurations
* [`[a4ae444594]`](https://github.com/aspnet/AspNetCore/commit/a4ae444594) Enabling CoreCLR variation of the test
* [`[95aa6ad607]`](https://github.com/aspnet/AspNetCore/commit/95aa6ad607) Add AutoFac to the MVC sample
* [`[0123b38840]`](https://github.com/aspnet/AspNetCore/commit/0123b38840) Adding missing files to kproj
* [`[c2a22b57b0]`](https://github.com/aspnet/AspNetCore/commit/c2a22b57b0) Run tests on both net45 and k10 (Fix #42)
* [`[59e419ba0a]`](https://github.com/aspnet/AspNetCore/commit/59e419ba0a) Adding support for @Inject to Mvc
* [`[c98bc503e8]`](https://github.com/aspnet/AspNetCore/commit/c98bc503e8) Check for result.Body.Length = 0 instead of checking that the body is the empty string
* [`[16f19b5cc6]`](https://github.com/aspnet/AspNetCore/commit/16f19b5cc6) Added functional tests to cover rendering views without layout and to return a result without content.
* [`[84396ad875]`](https://github.com/aspnet/AspNetCore/commit/84396ad875) Clean up trailing whitespace in Core project - checked and found no tabs in this project :smile:
* [`[822d84a2b4]`](https://github.com/aspnet/AspNetCore/commit/822d84a2b4) Use default values when binding action arguments
* [`[a1fe088d3a]`](https://github.com/aspnet/AspNetCore/commit/a1fe088d3a) Removing RouteContext.RequestPath and calculating it from HttpContext as needed.
* [`[1b7d52c84c]`](https://github.com/aspnet/AspNetCore/commit/1b7d52c84c) fixing stylecop in .Mvc and .Mvc.Common
* [`[ad738561af]`](https://github.com/aspnet/AspNetCore/commit/ad738561af) Fixed project.json casing
* [`[75d0b29954]`](https://github.com/aspnet/AspNetCore/commit/75d0b29954) Renamed Project.json to Project.json2
* [`[022ff067ad]`](https://github.com/aspnet/AspNetCore/commit/022ff067ad) Moving the host start process into the try block
* [`[c5f2b4054f]`](https://github.com/aspnet/AspNetCore/commit/c5f2b4054f) Fixing a test bug resulting in a null reference
* [`[ebd6af0fd6]`](https://github.com/aspnet/AspNetCore/commit/ebd6af0fd6) Trying to get 100 Continue working again
* [`[044bbb83e6]`](https://github.com/aspnet/AspNetCore/commit/044bbb83e6) Getting request body variations to work
* [`[313db3f0cf]`](https://github.com/aspnet/AspNetCore/commit/313db3f0cf) Removing unnecessary using statements
* [`[e517e39aac]`](https://github.com/aspnet/AspNetCore/commit/e517e39aac) Not working, but worth taking a snapshot of the source
* [`[59fad3bbb3]`](https://github.com/aspnet/AspNetCore/commit/59fad3bbb3) Adding CoreCLR variation of test on selfhost
* [`[dd3dafddb8]`](https://github.com/aspnet/AspNetCore/commit/dd3dafddb8) Mvc Changes corresponding to Routing DI changes. Refer pr#63
* [`[a499d4a92a]`](https://github.com/aspnet/AspNetCore/commit/a499d4a92a) Routing DI Changes II : Adding services for routing.
* [`[6d78f8adb3]`](https://github.com/aspnet/AspNetCore/commit/6d78f8adb3) Cache action descriptor providers and provide a race safe data structure to get the version. The default implementation has a safe race, and does not allow for action description addition at runtime.
* [`[b53404596f]`](https://github.com/aspnet/AspNetCore/commit/b53404596f) Updating to add new parameter for Navigation class
* [`[2f88fb4d9d]`](https://github.com/aspnet/AspNetCore/commit/2f88fb4d9d) Removing work around applied
* [`[d112adc1f2]`](https://github.com/aspnet/AspNetCore/commit/d112adc1f2) Fix breaking changes from MVC
* [`[31d3180635]`](https://github.com/aspnet/AspNetCore/commit/31d3180635) setting line length to 120 to match our guidelines
* [`[a3314a4805]`](https://github.com/aspnet/AspNetCore/commit/a3314a4805) changing to use list instead of stack
* [`[6b836e9e77]`](https://github.com/aspnet/AspNetCore/commit/6b836e9e77) Introducing ChallengeResult to call Response.Challenge()
* [`[28b89c8fe5]`](https://github.com/aspnet/AspNetCore/commit/28b89c8fe5) Changing to list
* [`[d10682d15b]`](https://github.com/aspnet/AspNetCore/commit/d10682d15b) Issue aspnet/Mvc#56 - merging RouteContext and RequestContext
* [`[71a77685e6]`](https://github.com/aspnet/AspNetCore/commit/71a77685e6) Add Resources.cs to fix VS warnings
* [`[b29ecea4b5]`](https://github.com/aspnet/AspNetCore/commit/b29ecea4b5) activate line length rule
* [`[cf0304b897]`](https://github.com/aspnet/AspNetCore/commit/cf0304b897) Fixing style issues in Mvc.Core
* [`[ecbc179d76]`](https://github.com/aspnet/AspNetCore/commit/ecbc179d76) Fix stylecop in Microsoft.AspNet.Mvc
* [`[1d4ceef81b]`](https://github.com/aspnet/AspNetCore/commit/1d4ceef81b) Turning on warnings as errors for routing
* [`[879a50846a]`](https://github.com/aspnet/AspNetCore/commit/879a50846a) Transition Microsoft.AspNet.Razor.Test from csproj to kproj.
* [`[9a6a3af450]`](https://github.com/aspnet/AspNetCore/commit/9a6a3af450) Transition Microsoft.AspNet.Razor from csproj to kproj.
* [`[97e06138ed]`](https://github.com/aspnet/AspNetCore/commit/97e06138ed) Cleaning up StyleCop errors
* [`[4a51ced5de]`](https://github.com/aspnet/AspNetCore/commit/4a51ced5de) Fix project file
* [`[6d50b397c0]`](https://github.com/aspnet/AspNetCore/commit/6d50b397c0) The cookie name pointed by DefaultAuthenticationTypes.ApplicationCookie changed
* [`[a7e4fa9c9d]`](https://github.com/aspnet/AspNetCore/commit/a7e4fa9c9d) OptionsServices.GetDefaultServices() call no longer required
* [`[c9d6db14bc]`](https://github.com/aspnet/AspNetCore/commit/c9d6db14bc) Adding an engine, a thread manager, an accept loop
* [`[dffc58dedc]`](https://github.com/aspnet/AspNetCore/commit/dffc58dedc) Issue #242 - Introducing ObjectContentResult
* [`[3fb1a06e25]`](https://github.com/aspnet/AspNetCore/commit/3fb1a06e25) Add OptionsServices in UseServices
* [`[4f255f8583]`](https://github.com/aspnet/AspNetCore/commit/4f255f8583) Changes for @inject support Fixes #35
* [`[483e9038b4]`](https://github.com/aspnet/AspNetCore/commit/483e9038b4) Supporting Urls With ~/ while redirecting. Fix for Issue#304
* [`[caa18342bc]`](https://github.com/aspnet/AspNetCore/commit/caa18342bc) Updating makefile to include Options and Logging repos
* [`[032ad4a444]`](https://github.com/aspnet/AspNetCore/commit/032ad4a444) Updating makefile to include Options and Logging repos
* [`[967ca3757e]`](https://github.com/aspnet/AspNetCore/commit/967ca3757e) Updating makefile to include Options and Logging repos
* [`[a6d89c4482]`](https://github.com/aspnet/AspNetCore/commit/a6d89c4482) Copy CodePlex #1836 and #1878 fixes over (Fix #296).
* [`[6082cd9f36]`](https://github.com/aspnet/AspNetCore/commit/6082cd9f36) View components - More built in return methods (Fix #354)
* [`[1b412bc99f]`](https://github.com/aspnet/AspNetCore/commit/1b412bc99f) Adding libuv p/invokes
* [`[3404100f08]`](https://github.com/aspnet/AspNetCore/commit/3404100f08) Adding empty projects and solution
* [`[f099426a9e]`](https://github.com/aspnet/AspNetCore/commit/f099426a9e) Adding empty project structure
* [`[cfe078059b]`](https://github.com/aspnet/AspNetCore/commit/cfe078059b) updating the file header text and rule name
* [`[a5a9c03d0a]`](https://github.com/aspnet/AspNetCore/commit/a5a9c03d0a) Fixing file name in kproj
* [`[516251a1c3]`](https://github.com/aspnet/AspNetCore/commit/516251a1c3) Enabling self-host variation of the MusicStore tests
* [`[19ab3a4fc6]`](https://github.com/aspnet/AspNetCore/commit/19ab3a4fc6) * Moving Utf8EncodingWithoutBOM to a shared type
* [`[63f643e0c1]`](https://github.com/aspnet/AspNetCore/commit/63f643e0c1) Fix up the project/sln files
* [`[04ca5e968d]`](https://github.com/aspnet/AspNetCore/commit/04ca5e968d) Fixed tests
* [`[065ee36fdd]`](https://github.com/aspnet/AspNetCore/commit/065ee36fdd) Reflect recently-added file in .kproj - from commit 6f3511379f31f65d610631550ff07d7dceeda138
* [`[25db412332]`](https://github.com/aspnet/AspNetCore/commit/25db412332) Clean up IApplicaitonLifetime service injection.
* [`[9191bddf00]`](https://github.com/aspnet/AspNetCore/commit/9191bddf00) Wait for requests to drain during shutdown.
* [`[43ae61f7bc]`](https://github.com/aspnet/AspNetCore/commit/43ae61f7bc) #23 - Implement graceful shutdown.
* [`[9885830200]`](https://github.com/aspnet/AspNetCore/commit/9885830200) Support for InlineConstraints in Route Template
* [`[187d8e4911]`](https://github.com/aspnet/AspNetCore/commit/187d8e4911) Support for InlineConstraints in Route Template
* [`[6cd501c5f7]`](https://github.com/aspnet/AspNetCore/commit/6cd501c5f7) Work around for the identity bug to unblock CI test
* [`[6f3511379f]`](https://github.com/aspnet/AspNetCore/commit/6f3511379f) Modify JsonResult to generate results in UTF8 without BOM by default
* [`[1284ab63b6]`](https://github.com/aspnet/AspNetCore/commit/1284ab63b6) Re-enabled the test
* [`[9d3b449f9f]`](https://github.com/aspnet/AspNetCore/commit/9d3b449f9f) Use '\n' instead of Environment.NewLine when tokenizing multi-line resx statements
* [`[e9a31773a9]`](https://github.com/aspnet/AspNetCore/commit/e9a31773a9) Fix for Issue #579
* [`[025c8cb4d8]`](https://github.com/aspnet/AspNetCore/commit/025c8cb4d8) Adding stylecop settings
* [`[083601c539]`](https://github.com/aspnet/AspNetCore/commit/083601c539) Add options services to Startup
* [`[9a960a5831]`](https://github.com/aspnet/AspNetCore/commit/9a960a5831) Adding scripts for stylecop
* [`[043dbb2940]`](https://github.com/aspnet/AspNetCore/commit/043dbb2940) Changes for OptionsModel
* [`[c356d8e824]`](https://github.com/aspnet/AspNetCore/commit/c356d8e824) Printing out cold start time, test runtime and total time
* [`[52c2e41bbb]`](https://github.com/aspnet/AspNetCore/commit/52c2e41bbb) Adding default values to MvcSample.Web's FiltersController. Otherwise accessing the Actions would return 404 by default.
* [`[fdfaeacbf1]`](https://github.com/aspnet/AspNetCore/commit/fdfaeacbf1) Adding a scenario to login with latest password after a password change
* [`[b8782ee2bf]`](https://github.com/aspnet/AspNetCore/commit/b8782ee2bf) Adding a REST method to the StoreManagerController for automation purpose.
* [`[de955c6d90]`](https://github.com/aspnet/AspNetCore/commit/de955c6d90) Adding some more logging for DB clean up Added a scenario to verify the created album.
* [`[ba2afd923b]`](https://github.com/aspnet/AspNetCore/commit/ba2afd923b) Renaming some variables Renaming some variables Moving the httpClient and httpClientHandler variables to class level variables to avoid passing them in for every method call.
* [`[d8ba998dec]`](https://github.com/aspnet/AspNetCore/commit/d8ba998dec) Change IValueProviderFactory.GetValueProvider to be synchronous.
* [`[0afe8ad557]`](https://github.com/aspnet/AspNetCore/commit/0afe8ad557) Fixing the test code to create a db for every test run
* [`[ad49e49b7f]`](https://github.com/aspnet/AspNetCore/commit/ad49e49b7f) Pass DbContextOptions directly to base DbContext constructor.
* [`[ec8d09dd65]`](https://github.com/aspnet/AspNetCore/commit/ec8d09dd65) Missing virtual keywords on ExceptionFilterAttribute's OnException & OnExceptionAsync methods #552.
* [`[aa76fe3b4f]`](https://github.com/aspnet/AspNetCore/commit/aa76fe3b4f) Fixed project.json casing
* [`[60812e51f1]`](https://github.com/aspnet/AspNetCore/commit/60812e51f1) Fixed project.json casing in kproj
* [`[44eddb1a97]`](https://github.com/aspnet/AspNetCore/commit/44eddb1a97) Fixed project.json casing
* [`[ba6488fb6a]`](https://github.com/aspnet/AspNetCore/commit/ba6488fb6a) Fixed project.json casing
* [`[bde341caed]`](https://github.com/aspnet/AspNetCore/commit/bde341caed) Fixed project.json casing
* [`[7388dece9f]`](https://github.com/aspnet/AspNetCore/commit/7388dece9f) Fixed project.json casing
* [`[124749de28]`](https://github.com/aspnet/AspNetCore/commit/124749de28) Fixed project.json casing
* [`[ced5d8697e]`](https://github.com/aspnet/AspNetCore/commit/ced5d8697e) Fixed project.json casing
* [`[49196aaec3]`](https://github.com/aspnet/AspNetCore/commit/49196aaec3) Fixed project.json casing
* [`[66ea95eb49]`](https://github.com/aspnet/AspNetCore/commit/66ea95eb49) Fixed casing of project.json
* [`[88b0c498d6]`](https://github.com/aspnet/AspNetCore/commit/88b0c498d6) Renamed Project.json to Project.json2
* [`[391acfd1d6]`](https://github.com/aspnet/AspNetCore/commit/391acfd1d6) Fixed casing of project.json
* [`[a7ed2891dd]`](https://github.com/aspnet/AspNetCore/commit/a7ed2891dd) Renamed Project.json to Project.json2
* [`[57717dd325]`](https://github.com/aspnet/AspNetCore/commit/57717dd325) Fixed casing of project.json
* [`[e5724c7301]`](https://github.com/aspnet/AspNetCore/commit/e5724c7301) Renamed Project.json to Project.json2
* [`[f656f0dfe2]`](https://github.com/aspnet/AspNetCore/commit/f656f0dfe2) Fixed casing of project.json
* [`[07daba4457]`](https://github.com/aspnet/AspNetCore/commit/07daba4457) Renamed Project.json to Project.json2
* [`[372e31ab59]`](https://github.com/aspnet/AspNetCore/commit/372e31ab59) Fixed casing of project.json
* [`[d6c4ebd0e0]`](https://github.com/aspnet/AspNetCore/commit/d6c4ebd0e0) Renamed Project.json to Project.json2
* [`[a51ae39693]`](https://github.com/aspnet/AspNetCore/commit/a51ae39693) Adjust context property on RazorView.
* [`[8409e9518b]`](https://github.com/aspnet/AspNetCore/commit/8409e9518b) Catching up MusicStore app with code generated with latest templates
* [`[d4303238e9]`](https://github.com/aspnet/AspNetCore/commit/d4303238e9) Fixing a log which was not printing the user name instead printed {0}
* [`[01210af151]`](https://github.com/aspnet/AspNetCore/commit/01210af151) Adding more logging for the test Adding some helper methods for hosting variation Divided the Utility class by the purpose of the helpers.
* [`[92e0c16499]`](https://github.com/aspnet/AspNetCore/commit/92e0c16499) Made universe mono ready
* [`[22c9264a79]`](https://github.com/aspnet/AspNetCore/commit/22c9264a79) Added NuGet.config
* [`[464bf577bc]`](https://github.com/aspnet/AspNetCore/commit/464bf577bc) Look for signtool.exe in absolute paths
* [`[6d5e709b85]`](https://github.com/aspnet/AspNetCore/commit/6d5e709b85) Add tasks for: - Installing node locally - Running node - Installing npm packages - Install bower packages - Running grunt
* [`[81e1e00d78]`](https://github.com/aspnet/AspNetCore/commit/81e1e00d78) Removing k.ini to run against latest KRE version
* [`[523ac1c091]`](https://github.com/aspnet/AspNetCore/commit/523ac1c091) Adding some logging for test failure investigation
* [`[05d21fb249]`](https://github.com/aspnet/AspNetCore/commit/05d21fb249) Removing grunt tasks as they'll come from core tasks
* [`[a834928f1a]`](https://github.com/aspnet/AspNetCore/commit/a834928f1a) Change IsValid method in ModelStateDictionary to GetValidationState
* [`[1adcf14b3d]`](https://github.com/aspnet/AspNetCore/commit/1adcf14b3d) Renaming Common to Microsoft.AspNet.Mvc.Common
* [`[dc9c16ff64]`](https://github.com/aspnet/AspNetCore/commit/dc9c16ff64) Cleaning up project.json of MusicStore app
* [`[0c66074033]`](https://github.com/aspnet/AspNetCore/commit/0c66074033) Modify MvcRazorHost to use a fixed namespace for generated views.
* [`[6ecabcf644]`](https://github.com/aspnet/AspNetCore/commit/6ecabcf644) Update makefile.shade
* [`[0a60ac200a]`](https://github.com/aspnet/AspNetCore/commit/0a60ac200a) Updated TypeScript targets in MusicStore.Spa so TypeScript tooling works
* [`[e36eb0ffb6]`](https://github.com/aspnet/AspNetCore/commit/e36eb0ffb6) Updating kproj file to match tooling changes
* [`[927ebb7b75]`](https://github.com/aspnet/AspNetCore/commit/927ebb7b75) Updating kproj file to match tooling changes
* [`[75759dae9c]`](https://github.com/aspnet/AspNetCore/commit/75759dae9c) Updating kproj file to match tooling changes
* [`[475294688e]`](https://github.com/aspnet/AspNetCore/commit/475294688e) Updating kproj file to match tooling changes
* [`[d8da964e88]`](https://github.com/aspnet/AspNetCore/commit/d8da964e88) Updating kproj file to match tooling changes
* [`[a53e378cf4]`](https://github.com/aspnet/AspNetCore/commit/a53e378cf4) Updating kproj file to match tooling changes
* [`[cab0d80f9d]`](https://github.com/aspnet/AspNetCore/commit/cab0d80f9d) Updating kproj file to match tooling changes
* [`[aa9b259da7]`](https://github.com/aspnet/AspNetCore/commit/aa9b259da7) Updating kproj file to match tooling changes
* [`[fae42b596d]`](https://github.com/aspnet/AspNetCore/commit/fae42b596d) Updating kproj file to match tooling changes
* [`[5c76e34749]`](https://github.com/aspnet/AspNetCore/commit/5c76e34749) Updating kproj file to match tooling changes
* [`[0bd2d6af9e]`](https://github.com/aspnet/AspNetCore/commit/0bd2d6af9e) Added port of SPA app to vNext as MusicStore.Spa - Front-end store (catalog) and login with validation working - Admin pages not working yet
* [`[36c59bf602]`](https://github.com/aspnet/AspNetCore/commit/36c59bf602) Added exception message to warning when `git clone` fails
* [`[1189f10ba8]`](https://github.com/aspnet/AspNetCore/commit/1189f10ba8) Move Options to UseServices
* [`[8695da085b]`](https://github.com/aspnet/AspNetCore/commit/8695da085b) Add IOptionsAccessor as a default service
* [`[e324ddb19f]`](https://github.com/aspnet/AspNetCore/commit/e324ddb19f) Add partial parsing test for await.
* [`[9bd2fdecac]`](https://github.com/aspnet/AspNetCore/commit/9bd2fdecac) Modified tests to account for await accepting dots.
* [`[d0541ad5b2]`](https://github.com/aspnet/AspNetCore/commit/d0541ad5b2) Modify await keyword to accept dots.
* [`[86e02878ed]`](https://github.com/aspnet/AspNetCore/commit/86e02878ed) Update Music Store to use new EF EnsureCreated method.
* [`[9deabcb459]`](https://github.com/aspnet/AspNetCore/commit/9deabcb459) Clean up identity DI
* [`[9e57f01a48]`](https://github.com/aspnet/AspNetCore/commit/9e57f01a48) More edits to Readme.md
* [`[630bf3cc5e]`](https://github.com/aspnet/AspNetCore/commit/630bf3cc5e) Fixing project file
* [`[d9502923f8]`](https://github.com/aspnet/AspNetCore/commit/d9502923f8) Moving interface members to extension methods
* [`[382da5e52b]`](https://github.com/aspnet/AspNetCore/commit/382da5e52b) Updated Readme.md
* [`[2dffa63c3d]`](https://github.com/aspnet/AspNetCore/commit/2dffa63c3d) Update generated view files.
* [`[6cd3ce7a5a]`](https://github.com/aspnet/AspNetCore/commit/6cd3ce7a5a) Fix ASP.NET casing.
* [`[2ef957aac2]`](https://github.com/aspnet/AspNetCore/commit/2ef957aac2) Update runtime dependency.
* [`[909941fa51]`](https://github.com/aspnet/AspNetCore/commit/909941fa51) Removing the InMemory store for EF data in CoreCLR.
* [`[575daeb0d6]`](https://github.com/aspnet/AspNetCore/commit/575daeb0d6) Use `+` rather than explicit `PathString.Add()` overloads
* [`[37b2bf4997]`](https://github.com/aspnet/AspNetCore/commit/37b2bf4997) Fix #522, [MusicStore]: Html.BeginForm() while generating the action url  should consider the application base path - `request.BasePath` was indeed ignored - also simplify `formAction` calculation using the higher-level   `PathString.Add()` overloads
* [`[dcc55c97ba]`](https://github.com/aspnet/AspNetCore/commit/dcc55c97ba) Multiple active result sets
* [`[20d7567bce]`](https://github.com/aspnet/AspNetCore/commit/20d7567bce) Update .gitignore
* [`[ece20cacce]`](https://github.com/aspnet/AspNetCore/commit/ece20cacce) Fix #339, optional parameter detection was broken
* [`[50c9a1de51]`](https://github.com/aspnet/AspNetCore/commit/50c9a1de51) Fixing a bug in the sample When creating a new album an album is not generated - resulting in records being created with Id = 0.
* [`[b9dbb6fe57]`](https://github.com/aspnet/AspNetCore/commit/b9dbb6fe57) Fixing action selection with complex types - MVC scenarios with more than one parameter are broken right now
* [`[88be38a506]`](https://github.com/aspnet/AspNetCore/commit/88be38a506) Fix for issue #339
* [`[00c30791ea]`](https://github.com/aspnet/AspNetCore/commit/00c30791ea) Fixing LinkController in the sample
* [`[522b037771]`](https://github.com/aspnet/AspNetCore/commit/522b037771) #14 - Update welcome page text and links.
* [`[9eaa62125f]`](https://github.com/aspnet/AspNetCore/commit/9eaa62125f) Trim Razor.Host dependencies.
* [`[cf7ffe1a75]`](https://github.com/aspnet/AspNetCore/commit/cf7ffe1a75) Fix sample.
* [`[5a09690447]`](https://github.com/aspnet/AspNetCore/commit/5a09690447) #22 - Use binding flags to locate method.
* [`[2800c4938a]`](https://github.com/aspnet/AspNetCore/commit/2800c4938a) Disable async await warnings in empty Execute method.
* [`[570760ddc7]`](https://github.com/aspnet/AspNetCore/commit/570760ddc7) Modified tests to account for new code generation.
* [`[0b327ba7b4]`](https://github.com/aspnet/AspNetCore/commit/0b327ba7b4) Use `BeginForm()` in MVC sample
* [`[1cfe90ae81]`](https://github.com/aspnet/AspNetCore/commit/1cfe90ae81) web command format change
* [`[e2d3598438]`](https://github.com/aspnet/AspNetCore/commit/e2d3598438) Create cookie auth middleware with DI.
* [`[afa87bf857]`](https://github.com/aspnet/AspNetCore/commit/afa87bf857) #22 - Make UseMiddleware look for any Invoke method.
* [`[6a442d6a53]`](https://github.com/aspnet/AspNetCore/commit/6a442d6a53) Changing the Startup.Configuration method name to Configure per the recent change.
* [`[ade41533f1]`](https://github.com/aspnet/AspNetCore/commit/ade41533f1) Updated the Startup
* [`[ab0dc92eb6]`](https://github.com/aspnet/AspNetCore/commit/ab0dc92eb6) Removing the IApplicationEnvironment interface from code
* [`[55271e8719]`](https://github.com/aspnet/AspNetCore/commit/55271e8719) Supporting Startup method dependency injection
* [`[66b06950d5]`](https://github.com/aspnet/AspNetCore/commit/66b06950d5) Updating AddEntityFramework call to not use nested closure.
* [`[bcd35f9d96]`](https://github.com/aspnet/AspNetCore/commit/bcd35f9d96) Add *.sln.ide to .gitignore
* [`[7580a9a291]`](https://github.com/aspnet/AspNetCore/commit/7580a9a291) Changed the default status code of  ResponseInformation to 200 in order to be consistent with the behavior of the rest of the hosts.
* [`[3c5a5346c6]`](https://github.com/aspnet/AspNetCore/commit/3c5a5346c6) Sort dependencies.
* [`[bc9cc68bf0]`](https://github.com/aspnet/AspNetCore/commit/bc9cc68bf0) Fix position of brace
* [`[efc77e60e0]`](https://github.com/aspnet/AspNetCore/commit/efc77e60e0) More fallout from the rename
* [`[eb55375fc7]`](https://github.com/aspnet/AspNetCore/commit/eb55375fc7) Renaming WebFx.sln to Mvc.sln as part of rename
* [`[b999d34cd9]`](https://github.com/aspnet/AspNetCore/commit/b999d34cd9) Renaming WebFX to Mvc
* [`[c94cfc5b0e]`](https://github.com/aspnet/AspNetCore/commit/c94cfc5b0e) Updated to use the new Roslyn.
* [`[dfe6382463]`](https://github.com/aspnet/AspNetCore/commit/dfe6382463) appSetting "K" to specify the CLR to be loaded is not being honored
* [`[9ecdeda83e]`](https://github.com/aspnet/AspNetCore/commit/9ecdeda83e) Removing Logging related interfaces from sample Now that we have a NullLogger as a part of Hosting. So we don't need to add this service in the sample.
* [`[f9693488ca]`](https://github.com/aspnet/AspNetCore/commit/f9693488ca) Verified the bug in the [Compare] dataannotation attribute. https://github.com/aspnet/WebFx/issues/247 Since ModelState.IsValid is now a bool removing the ==true check.
* [`[d4efedeb17]`](https://github.com/aspnet/AspNetCore/commit/d4efedeb17) Added new SPA port of original Music Store app
* [`[4566947e33]`](https://github.com/aspnet/AspNetCore/commit/4566947e33) Change ModelState.IsValid back to bool
* [`[4c026726f6]`](https://github.com/aspnet/AspNetCore/commit/4c026726f6) Reenable Admin creation
* [`[be912b15dc]`](https://github.com/aspnet/AspNetCore/commit/be912b15dc) Switch to identity Sql
* [`[4f7a0390c9]`](https://github.com/aspnet/AspNetCore/commit/4f7a0390c9) Enabling code for [ValidateAntiForgeryToken] in the sample.
* [`[b2c9b3b5d3]`](https://github.com/aspnet/AspNetCore/commit/b2c9b3b5d3) Unblocking the CI
* [`[4d78121aa4]`](https://github.com/aspnet/AspNetCore/commit/4d78121aa4) Wrap HttpContext in an ObjectHandle to avoid cross domain issues
* [`[32ed9c513a]`](https://github.com/aspnet/AspNetCore/commit/32ed9c513a) Adding k.ini to enable running on Helios Also fixed the name of the package Microsoft.ComponentModel.DataAnnotations -> Microsoft.DataAnnotations
* [`[61beff8fd1]`](https://github.com/aspnet/AspNetCore/commit/61beff8fd1) Added grunt to do JS & CSS validation: - Updated JS & CSS files according to errors reported - Updated sake script to find all npm/grunt folders and operate on those, rather than on root
* [`[235707ec8a]`](https://github.com/aspnet/AspNetCore/commit/235707ec8a) Microsoft.ComponentModel.DataAnnotations is being renamed to Microsoft.DataAnnotations
* [`[3b7983181d]`](https://github.com/aspnet/AspNetCore/commit/3b7983181d) WebFX 98 - Adding GetValidationAttributes support
* [`[4120269fb5]`](https://github.com/aspnet/AspNetCore/commit/4120269fb5) Updating for SqlServerConnectionString => UseSqlServer change
* [`[b444f66689]`](https://github.com/aspnet/AspNetCore/commit/b444f66689) Adding ValidateAntiForgeryTokenAttribute also fixing a bug in token deserialization.
* [`[af38d26fe7]`](https://github.com/aspnet/AspNetCore/commit/af38d26fe7) Provide empty logger factory service.
* [`[904c91d2b9]`](https://github.com/aspnet/AspNetCore/commit/904c91d2b9) CompositeModelBinder should only validate the object graph at the top level. DataAnnotationsModelValidator should prefer the container to Metadata.Model
* [`[18d3395a5e]`](https://github.com/aspnet/AspNetCore/commit/18d3395a5e) Rename ServiceCollectionExtension class.
* [`[e800fcd44f]`](https://github.com/aspnet/AspNetCore/commit/e800fcd44f) Eliminate duplicated dependencies
* [`[12658bb325]`](https://github.com/aspnet/AspNetCore/commit/12658bb325) Flatten subnamespaces.
* [`[4e36207b14]`](https://github.com/aspnet/AspNetCore/commit/4e36207b14) Owin adapter: Fix FeatureMap constructor visibility.
* [`[7c7efeda57]`](https://github.com/aspnet/AspNetCore/commit/7c7efeda57) Fix ordering of usings and dependencies after namespace renaming
* [`[e651ebf6aa]`](https://github.com/aspnet/AspNetCore/commit/e651ebf6aa) Fixing missing FileSystem dependency.
* [`[81abb2d431]`](https://github.com/aspnet/AspNetCore/commit/81abb2d431) Fix ordering of usings and dependencies after namespace renaming
* [`[adef8c9093]`](https://github.com/aspnet/AspNetCore/commit/adef8c9093) Fixing the DI namespace in Program.cs
* [`[adb50f7fdc]`](https://github.com/aspnet/AspNetCore/commit/adb50f7fdc) Logging package name changed
* [`[08929a6e99]`](https://github.com/aspnet/AspNetCore/commit/08929a6e99) Fix dependency issues
* [`[13e595ee18]`](https://github.com/aspnet/AspNetCore/commit/13e595ee18) Fix Logging dependency.
* [`[77887f126c]`](https://github.com/aspnet/AspNetCore/commit/77887f126c) Changing DI package and namespace Dependency injection package changed from Microsoft.AspNet.DependencyInject to Microsoft.Framework.DependencyInjection
* [`[4a2a525b47]`](https://github.com/aspnet/AspNetCore/commit/4a2a525b47) Changes to match package and namespace renames
* [`[3b57674141]`](https://github.com/aspnet/AspNetCore/commit/3b57674141) Update DI dependency.
* [`[0c48454ad2]`](https://github.com/aspnet/AspNetCore/commit/0c48454ad2) Fix HttpAbstractions dependency issues.
* [`[1235ea1a6f]`](https://github.com/aspnet/AspNetCore/commit/1235ea1a6f) Fix HttpAbstractions dependency renames.
* [`[1952e683ac]`](https://github.com/aspnet/AspNetCore/commit/1952e683ac) Fix a few more HttpAbstractions references.
* [`[bc31b50b45]`](https://github.com/aspnet/AspNetCore/commit/bc31b50b45) Incorporate name changes from HttpAbstractions
* [`[903197e1ce]`](https://github.com/aspnet/AspNetCore/commit/903197e1ce) Fix HttpAbstraction dependencies.
* [`[abbaa11212]`](https://github.com/aspnet/AspNetCore/commit/abbaa11212) Incorporate name changes: HttpAbstractions
* [`[c638a77ec9]`](https://github.com/aspnet/AspNetCore/commit/c638a77ec9) Updating the MusicStore to use tooling.
* [`[14205d1708]`](https://github.com/aspnet/AspNetCore/commit/14205d1708) Applying IHttpAuthenticationFeature renaming
* [`[8fcddc12e7]`](https://github.com/aspnet/AspNetCore/commit/8fcddc12e7) Incorporate name changes
* [`[7f9b54493c]`](https://github.com/aspnet/AspNetCore/commit/7f9b54493c) Correctly rename repositories
* [`[ed8e904a17]`](https://github.com/aspnet/AspNetCore/commit/ed8e904a17) Rename repositories
* [`[4ece9969bf]`](https://github.com/aspnet/AspNetCore/commit/4ece9969bf) HttpAbstractions
* [`[3141543f04]`](https://github.com/aspnet/AspNetCore/commit/3141543f04) Fix HttpAbstractions dependency renames.
* [`[6f16dabf08]`](https://github.com/aspnet/AspNetCore/commit/6f16dabf08) Renaming Microsoft.AspNet.Security namespace
* [`[0ecb989103]`](https://github.com/aspnet/AspNetCore/commit/0ecb989103) Name Microsoft.AspNet.Abstractions to Microsoft.AspNet.Http.
* [`[28fee3470f]`](https://github.com/aspnet/AspNetCore/commit/28fee3470f) Controller base class now implements IActionFilter
* [`[ae4e3bc61d]`](https://github.com/aspnet/AspNetCore/commit/ae4e3bc61d) Adding controller-as-filter support
* [`[05b091ee66]`](https://github.com/aspnet/AspNetCore/commit/05b091ee66) Removing Authorization namespace
* [`[7fd80850ee]`](https://github.com/aspnet/AspNetCore/commit/7fd80850ee) Rename all feature interfaces to I*Feature.
* [`[b7ed0faa33]`](https://github.com/aspnet/AspNetCore/commit/b7ed0faa33) Adding AuthorizationPolicy and mutable user claims
* [`[7a8dc36553]`](https://github.com/aspnet/AspNetCore/commit/7a8dc36553) Adding controller-as-filter support
* [`[cad71fd030]`](https://github.com/aspnet/AspNetCore/commit/cad71fd030) Fixing a compilation warning in AccountController.
* [`[36770ccf05]`](https://github.com/aspnet/AspNetCore/commit/36770ccf05) Update with latest Identity API changes
* [`[a9a7663cbd]`](https://github.com/aspnet/AspNetCore/commit/a9a7663cbd) Update MVC for reflection package changes
* [`[dfd4ba4b1b]`](https://github.com/aspnet/AspNetCore/commit/dfd4ba4b1b) Fixing routing for package changes in reflection
* [`[f11e62d0ef]`](https://github.com/aspnet/AspNetCore/commit/f11e62d0ef) Update reflection dependency.
* [`[6ff73d50e0]`](https://github.com/aspnet/AspNetCore/commit/6ff73d50e0) Minor changes: - Fixed mismatched quotes - Made PageGenerator depend directly on Razor instead of Mvc, as that's all it needs - Rebased on latest dev changes - #11
* [`[bbcac43aaa]`](https://github.com/aspnet/AspNetCore/commit/bbcac43aaa) Updating DataAnnotations version reference
* [`[490b6d1434]`](https://github.com/aspnet/AspNetCore/commit/490b6d1434) IServiceContainer changes should have added this
* [`[9c75813c9a]`](https://github.com/aspnet/AspNetCore/commit/9c75813c9a) Add reference to claims
* [`[17469e155d]`](https://github.com/aspnet/AspNetCore/commit/17469e155d) Updated script for KRE installation
* [`[2ce4c56915]`](https://github.com/aspnet/AspNetCore/commit/2ce4c56915) Fixed sample to not override User property.
* [`[6dc6ba6d37]`](https://github.com/aspnet/AspNetCore/commit/6dc6ba6d37) Add User helper to controllers and views.
* [`[31cdc09647]`](https://github.com/aspnet/AspNetCore/commit/31cdc09647) Move Microsoft.AspNet.RequestContainer dependency from MVC sample to MVC - :bug: fix; fixes #346
* [`[9bf42374b0]`](https://github.com/aspnet/AspNetCore/commit/9bf42374b0) Fix for moving extension methods to IServiceCollection
* [`[1faa6f018b]`](https://github.com/aspnet/AspNetCore/commit/1faa6f018b) Switch to use IServiceCollection
* [`[3e398be1f8]`](https://github.com/aspnet/AspNetCore/commit/3e398be1f8) Require cshtml ending for full path view names.
* [`[f5b3ae4a3b]`](https://github.com/aspnet/AspNetCore/commit/f5b3ae4a3b) Renaming Exception Filter methods
* [`[a2ba36498a]`](https://github.com/aspnet/AspNetCore/commit/a2ba36498a) TEMPORARILY disable ClientRulesWithCompareAttribute_ErrorMessageUsesOverride - test failing under CoreCLR - leave it running under .NET 4.5
* [`[af18392815]`](https://github.com/aspnet/AspNetCore/commit/af18392815) Re-updated System.IO.FileSystem version.
* [`[c4f034e8ad]`](https://github.com/aspnet/AspNetCore/commit/c4f034e8ad) Re-updated version to System.IO.FileSystem.
* [`[039c304d25]`](https://github.com/aspnet/AspNetCore/commit/039c304d25) Upgrade FileSystem dependency.
* [`[40bb9d0421]`](https://github.com/aspnet/AspNetCore/commit/40bb9d0421) Update FileSystem package version.
* [`[65d4057132]`](https://github.com/aspnet/AspNetCore/commit/65d4057132) Injecting ApplicationUserManager in AccountController Injecting IConfiguration to MusicStoreContext
* [`[b4de33eeea]`](https://github.com/aspnet/AspNetCore/commit/b4de33eeea) Added a console app to generate the Razor pages - Replaces the TT files previously being used (in Katana) - Modified the include file logic to work better with the new generated Razor output as the old syntax/logic didn't work well with the additional line pragmas, etc. being emitted - Updated the middleware to work with new generated output (ExecuteAsync instead of Execute, etc.) - Fixed a scoping issue in Error.cshtml - gitignore sln.ide cache directory - #3
* [`[7555b17d41]`](https://github.com/aspnet/AspNetCore/commit/7555b17d41) Update filesystem dependencies.
* [`[fe8ded0ce6]`](https://github.com/aspnet/AspNetCore/commit/fe8ded0ce6) Fix dev14 crash + temporary? .gitignore
* [`[d8c68b61f0]`](https://github.com/aspnet/AspNetCore/commit/d8c68b61f0) Add missing namespace to the sample.
* [`[10a280580c]`](https://github.com/aspnet/AspNetCore/commit/10a280580c) Fixing compilation errors in the view components. Marked one of the controller actions with [HttpGet] to prevent it being chosen for non get methods.
* [`[b15aa91661]`](https://github.com/aspnet/AspNetCore/commit/b15aa91661) Modifying the sample to use kvm, k web and k run to run the application. Also modified the readme file to reflect this. Deleted Selfhost.cmd and CustomHost.cmd.
* [`[0fe79d94b3]`](https://github.com/aspnet/AspNetCore/commit/0fe79d94b3) Updating musicstore code to use the ValidationMessageFor Html helper.
* [`[81611f13da]`](https://github.com/aspnet/AspNetCore/commit/81611f13da) TEMPORARILY turning off warnings as errors to unblock the CI
* [`[93897b6055]`](https://github.com/aspnet/AspNetCore/commit/93897b6055) Fixing a resources file that needs to be regenerated
* [`[3765abdfca]`](https://github.com/aspnet/AspNetCore/commit/3765abdfca) Adding Support for LinkGeneration for named Routes. - Adding HtmlHelpers for route link generation. - Controller Helpers - UrlHelper and UrlHelperExtensions
* [`[ab323ac8df]`](https://github.com/aspnet/AspNetCore/commit/ab323ac8df) Updating Startup.cs to incorporate use route name.
* [`[a1f3c72e08]`](https://github.com/aspnet/AspNetCore/commit/a1f3c72e08) Updating the sample after namedRoute changes
* [`[61924dd73e]`](https://github.com/aspnet/AspNetCore/commit/61924dd73e) Fix renamed IContextAccessor APIs.
* [`[8ae1865740]`](https://github.com/aspnet/AspNetCore/commit/8ae1865740) Fix for part of #339
* [`[20c8dece7b]`](https://github.com/aspnet/AspNetCore/commit/20c8dece7b) Adding IFilterFactory
* [`[ce0e1128d5]`](https://github.com/aspnet/AspNetCore/commit/ce0e1128d5) Make HTTP feature interfaces assembly neutral
* [`[98f4212915]`](https://github.com/aspnet/AspNetCore/commit/98f4212915) #20 - Add Use extension for inline middleware.
* [`[5557b959c4]`](https://github.com/aspnet/AspNetCore/commit/5557b959c4) #20 - Port Map and MapWhen. Move Run.
* [`[185ad31491]`](https://github.com/aspnet/AspNetCore/commit/185ad31491) Adding an appropriate sample to use ValidationMessage and ValidationMessageFor.
* [`[f17d444b8a]`](https://github.com/aspnet/AspNetCore/commit/f17d444b8a) Porting the ValidationMessage changes to suit WebFX requirements.
* [`[458c389aae]`](https://github.com/aspnet/AspNetCore/commit/458c389aae) Port of changes for ValidationMessage from MVC.
* [`[d63d998e95]`](https://github.com/aspnet/AspNetCore/commit/d63d998e95) Introducing DisplayText, DisplayTextFor, Id, IdFor, IdForModel. Fixing CachedDataAnnotationsModelMetadata to support NullDisplayText.
* [`[112a5ddc50]`](https://github.com/aspnet/AspNetCore/commit/112a5ddc50) Changes enabling TextArea, TextAreaFor. Changing the interface to directly include Rows and Columns.
* [`[b899cac4c8]`](https://github.com/aspnet/AspNetCore/commit/b899cac4c8) Porting TextAreaHelper from existing MVC code.
* [`[e0592d01af]`](https://github.com/aspnet/AspNetCore/commit/e0592d01af) Cleaning up sprinkled null checks and adding it to a centralized place - FromStringExpression
* [`[7b4e1fd48e]`](https://github.com/aspnet/AspNetCore/commit/7b4e1fd48e) Added DPAPI implementation that works on mono
* [`[83663f789b]`](https://github.com/aspnet/AspNetCore/commit/83663f789b) Added support for protected data style DPAPI - This won't work across core clr and desktop and mono but  that's ok for the moment because it unblocks things
* [`[488ec2f52e]`](https://github.com/aspnet/AspNetCore/commit/488ec2f52e) Added default routes overload
* [`[49e0d42ce7]`](https://github.com/aspnet/AspNetCore/commit/49e0d42ce7) Improving the sample data insertion time.
* [`[1a92b3048f]`](https://github.com/aspnet/AspNetCore/commit/1a92b3048f) Updated CreateAdmin method to return Task and added wait statement
* [`[2ad1cca549]`](https://github.com/aspnet/AspNetCore/commit/2ad1cca549) Issue #312 - TypeFilterAttribute (with sample).
* [`[fe6f023948]`](https://github.com/aspnet/AspNetCore/commit/fe6f023948) Auto-update to project file
* [`[bcd0974823]`](https://github.com/aspnet/AspNetCore/commit/bcd0974823) Make the controller available to filters + Sample GitHub WebFX #300
* [`[30dac08fe8]`](https://github.com/aspnet/AspNetCore/commit/30dac08fe8) It's DbDatabase! (Updating for changes to database creation APIs)
* [`[297bb5d36d]`](https://github.com/aspnet/AspNetCore/commit/297bb5d36d) Layout compilation error not showing in browser - GitHub WebFX #286
* [`[e324f989e7]`](https://github.com/aspnet/AspNetCore/commit/e324f989e7) EditorForModel and EditorFor Html helpers are available now.
* [`[cfe76de294]`](https://github.com/aspnet/AspNetCore/commit/cfe76de294) #53 - Reduce auth exceptions for missing handlers.
* [`[80bccdd810]`](https://github.com/aspnet/AspNetCore/commit/80bccdd810) A bug in authorization filter fixed. Modifying sample to use the fix.
* [`[e57ca9ab61]`](https://github.com/aspnet/AspNetCore/commit/e57ca9ab61) A bug in Html Summary when trying to render error messages in a model state error bag is fixed.
* [`[92904e0d9e]`](https://github.com/aspnet/AspNetCore/commit/92904e0d9e) Bug in filtering a claim of a specific type and value is now fixed.
* [`[8e23200fd2]`](https://github.com/aspnet/AspNetCore/commit/8e23200fd2) #3 - Implement IHttpRequestLifetime
* [`[b3046a0285]`](https://github.com/aspnet/AspNetCore/commit/b3046a0285) AllowAnonymous can override AuthorizeAttribute
* [`[3636440cae]`](https://github.com/aspnet/AspNetCore/commit/3636440cae) Fix bug# 289
* [`[4568e74954]`](https://github.com/aspnet/AspNetCore/commit/4568e74954) Adding null check in ctor
* [`[e2d8020727]`](https://github.com/aspnet/AspNetCore/commit/e2d8020727) #20 - Enable SendFile on CoreClr.
* [`[cff4a21e08]`](https://github.com/aspnet/AspNetCore/commit/cff4a21e08) Make razor roslyn compilation work on mono
* [`[926b335101]`](https://github.com/aspnet/AspNetCore/commit/926b335101) Fix for Issue #319
* [`[a0f5369a20]`](https://github.com/aspnet/AspNetCore/commit/a0f5369a20) Model binding can now handle nullable enums. Bug (https://github.com/aspnet/WebFx/issues/256) was fixed to address this.
* [`[647ac5dac0]`](https://github.com/aspnet/AspNetCore/commit/647ac5dac0) Modifying the Helios.cmd, Selfhost.cmd and CustomHost.cmd to start the application on different ports on different hosting models.
* [`[e21688ffb5]`](https://github.com/aspnet/AspNetCore/commit/e21688ffb5) #190 Tighten protections around `ModelStateDictionary` additions
* [`[01daa33403]`](https://github.com/aspnet/AspNetCore/commit/01daa33403) Added xml assembly since it's no included on mono by default
* [`[e90fe3cefa]`](https://github.com/aspnet/AspNetCore/commit/e90fe3cefa) Fixed issues with no finding main project k package if not on mono
* [`[90a149ab80]`](https://github.com/aspnet/AspNetCore/commit/90a149ab80) Added initial support for mono
* [`[f740aabb79]`](https://github.com/aspnet/AspNetCore/commit/f740aabb79) Reviving RangeAttributeAdapter, RequiredAttributeAdapter, StringLengthAttributeAdapter
* [`[acb8421c90]`](https://github.com/aspnet/AspNetCore/commit/acb8421c90) Enabling Url.IsLocalUrl in the music store code
* [`[a5afd3eb42]`](https://github.com/aspnet/AspNetCore/commit/a5afd3eb42) ActionResult implements IActionResult, and all our default implementations now use ActionResult
* [`[8eecad9d83]`](https://github.com/aspnet/AspNetCore/commit/8eecad9d83) Bringing back UrlHelper.IsLocalUrl
* [`[f26cc51e2e]`](https://github.com/aspnet/AspNetCore/commit/f26cc51e2e) Introducing AntiForgery System :
* [`[d61915149c]`](https://github.com/aspnet/AspNetCore/commit/d61915149c) DictionaryBasedValueProvider results null when value is not found * Guard against Dictionary returning null values
* [`[9d25c0b1f1]`](https://github.com/aspnet/AspNetCore/commit/9d25c0b1f1) Updating EntitySet/EntityContext to DbSet/DbContext
* [`[78bb008681]`](https://github.com/aspnet/AspNetCore/commit/78bb008681) #38 - Provide a default dictionary for HttpContext.Items that returns null for missing values.
* [`[0fe028a4dd]`](https://github.com/aspnet/AspNetCore/commit/0fe028a4dd) Implementing Authorize attribute
* [`[f5200a1d55]`](https://github.com/aspnet/AspNetCore/commit/f5200a1d55) Implementing IAuthorizationService
* [`[2ba8780ee0]`](https://github.com/aspnet/AspNetCore/commit/2ba8780ee0) Reviving MinLength and MaxLength attribute adapters
* [`[b0c7dc9220]`](https://github.com/aspnet/AspNetCore/commit/b0c7dc9220) Make IModelBinder and IValueProvider methods async
* [`[8bd2d01b11]`](https://github.com/aspnet/AspNetCore/commit/8bd2d01b11) Adding the switch to turn on Helios errors when deployed to remote.
* [`[8ad7b489e2]`](https://github.com/aspnet/AspNetCore/commit/8ad7b489e2) #18 - Add interfaces for request lifetime management.
* [`[470f217374]`](https://github.com/aspnet/AspNetCore/commit/470f217374) HttpContext.User is being populated with an anonymous identity with a recent change. So I dont have to check for null before.
* [`[d46389888d]`](https://github.com/aspnet/AspNetCore/commit/d46389888d) Modify search location for views.
* [`[4077c03a7b]`](https://github.com/aspnet/AspNetCore/commit/4077c03a7b) Hosting: Throw if startup method isn't void-returning.
* [`[b751cf19d0]`](https://github.com/aspnet/AspNetCore/commit/b751cf19d0) #34 - Make HttpContext.User return non-null.
* [`[5bd052efaa]`](https://github.com/aspnet/AspNetCore/commit/5bd052efaa) 1. Making configuration as a service to read configuration settings from various places in the app 2. Reversed the order of registration of Environment source & json source as the logic for source override changed. 3. Taking a snapshot of the latest packages.
* [`[66495cdc58]`](https://github.com/aspnet/AspNetCore/commit/66495cdc58) Add missing namespace.
* [`[4a5de61cd1]`](https://github.com/aspnet/AspNetCore/commit/4a5de61cd1) OWIN: Change interop extension methods.
* [`[93a2ab2352]`](https://github.com/aspnet/AspNetCore/commit/93a2ab2352) Fixed the configuration model and other compilation errors
* [`[3671e8c5b4]`](https://github.com/aspnet/AspNetCore/commit/3671e8c5b4) Reviving CompareAttributeAdapter and ModelClientValidationEqualToRule
* [`[cc00d8cff7]`](https://github.com/aspnet/AspNetCore/commit/cc00d8cff7) Modify TypeConverterModelBinder to use ValueProviderResult.CanConvertFromString to determine if it can convert a value
* [`[1cc6445c49]`](https://github.com/aspnet/AspNetCore/commit/1cc6445c49) Adding a temporary work around for a bug in ValidationSummary html helper that surfaces during register page. Cleaning up a Dispose method in one of the controllers - all others have been cleaned up before.
* [`[9abd67da4b]`](https://github.com/aspnet/AspNetCore/commit/9abd67da4b) Cleaned up some code writer code.
* [`[5ba60857a7]`](https://github.com/aspnet/AspNetCore/commit/5ba60857a7) Identity DI changes
* [`[c8af917927]`](https://github.com/aspnet/AspNetCore/commit/c8af917927) Expose IPAddress, X509Certificate.
* [`[bfab162b4b]`](https://github.com/aspnet/AspNetCore/commit/bfab162b4b) Seperate the server layers into two projects.
* [`[40d9fa0019]`](https://github.com/aspnet/AspNetCore/commit/40d9fa0019) Added missing dependency
* [`[caff1d3d68]`](https://github.com/aspnet/AspNetCore/commit/caff1d3d68) Fixed unused project references
* [`[aa4dfffd84]`](https://github.com/aspnet/AspNetCore/commit/aa4dfffd84) Fixed references in test host
* [`[a04d592d06]`](https://github.com/aspnet/AspNetCore/commit/a04d592d06) OWIN->K and K->OWIN support via Func<AppFunc, AppFunc>.
* [`[8b2dfabc30]`](https://github.com/aspnet/AspNetCore/commit/8b2dfabc30) Generate projects for net451
* [`[737afbd610]`](https://github.com/aspnet/AspNetCore/commit/737afbd610) An injection of musical love... (Updating music store to use new EF configuration and DI)
* [`[bba57874bc]`](https://github.com/aspnet/AspNetCore/commit/bba57874bc) Put UseServices extension method in Microsoft.AspNet
* [`[d138028462]`](https://github.com/aspnet/AspNetCore/commit/d138028462) Updated due to change in API
* [`[9726a26056]`](https://github.com/aspnet/AspNetCore/commit/9726a26056) Update based on new API changes
* [`[252f17e5e2]`](https://github.com/aspnet/AspNetCore/commit/252f17e5e2) Adjusting due to API changes
* [`[3b69e024a2]`](https://github.com/aspnet/AspNetCore/commit/3b69e024a2) Updated solution
* [`[73b7509368]`](https://github.com/aspnet/AspNetCore/commit/73b7509368) Updated to use new UseServices API
* [`[10ee3c20e3]`](https://github.com/aspnet/AspNetCore/commit/10ee3c20e3) Rename UseContainer to UseServices
* [`[b3d851dfe9]`](https://github.com/aspnet/AspNetCore/commit/b3d851dfe9) Added [NotNull]
* [`[3c4a2df2cb]`](https://github.com/aspnet/AspNetCore/commit/3c4a2df2cb) Use DI for Identity
* [`[e61107a381]`](https://github.com/aspnet/AspNetCore/commit/e61107a381) Switch to using Identity extensions
* [`[b8eb16d98d]`](https://github.com/aspnet/AspNetCore/commit/b8eb16d98d) Fix #266: Throw when views aren't found at call sites - note `htmlHelper.Display()` does not throw on failures
* [`[f19fe0cbef]`](https://github.com/aspnet/AspNetCore/commit/f19fe0cbef) Filters version 2.0
* [`[c06aa04654]`](https://github.com/aspnet/AspNetCore/commit/c06aa04654) Update music store to handle the new changes in aspnet/WebFx#257 and aspnet/WebFx#259
* [`[e99576a429]`](https://github.com/aspnet/AspNetCore/commit/e99576a429) Added callback overload to UseContainer - Allows caller to pass a delegate to configure add services via the   ServiceCollection.
* [`[44ee632825]`](https://github.com/aspnet/AspNetCore/commit/44ee632825) Added overload that takes IConfiguration
* [`[4fc0b56dfa]`](https://github.com/aspnet/AspNetCore/commit/4fc0b56dfa) Added extension method to ServiceCollection to register default services
* [`[ce1f813a82]`](https://github.com/aspnet/AspNetCore/commit/ce1f813a82) More spot fixes for warnings as errors
* [`[40e7fcc9ba]`](https://github.com/aspnet/AspNetCore/commit/40e7fcc9ba) Turning on warnings as errors
* [`[5075679936]`](https://github.com/aspnet/AspNetCore/commit/5075679936) Cleaning up more warnings
* [`[c54f6d006b]`](https://github.com/aspnet/AspNetCore/commit/c54f6d006b) Fix for #57
* [`[aa7fe89c81]`](https://github.com/aspnet/AspNetCore/commit/aa7fe89c81) Using a single GetUserName() temporary extension in all places where I try to get the user name. This temporary extension will go away when we have these extensions as part of identity package.
* [`[506b439f2f]`](https://github.com/aspnet/AspNetCore/commit/506b439f2f) Using Html.DisplayNameFor helper to generate some titles.
* [`[20d0fc9bd8]`](https://github.com/aspnet/AspNetCore/commit/20d0fc9bd8) Enabling code to use Html.LabelFor and Html.Label helpers.
* [`[b8bd6a5886]`](https://github.com/aspnet/AspNetCore/commit/b8bd6a5886) Fixing a warning
* [`[a748266eb6]`](https://github.com/aspnet/AspNetCore/commit/a748266eb6) Update to use new tooling.
* [`[f8b1679240]`](https://github.com/aspnet/AspNetCore/commit/f8b1679240) Update to new project tooling.
* [`[72732868c6]`](https://github.com/aspnet/AspNetCore/commit/72732868c6) Adding DisplayName, Label HtmlHelpers.
* [`[b9b652084a]`](https://github.com/aspnet/AspNetCore/commit/b9b652084a) Introducing IClientModelValidator to support client validation * Adding support for validator adapters in DataAnnotationsModelValidatorProvider * Adding Regex and DataType validators
* [`[41700cf56d]`](https://github.com/aspnet/AspNetCore/commit/41700cf56d) Changes with this checkin: adding a work around to test the account/manage user feature. With this I can verify password changes work fine.
* [`[348d4a11de]`](https://github.com/aspnet/AspNetCore/commit/348d4a11de) Html.ActionLink WebFx bug# 246 is fixed now. Enabling the code to use the helper.
* [`[843c952928]`](https://github.com/aspnet/AspNetCore/commit/843c952928) Removing some more view pages related to the external login. Also fixed the corresponding views that were trying to render them.
* [`[f34ed467e4]`](https://github.com/aspnet/AspNetCore/commit/f34ed467e4) Fix for #246 - ActionLink generating wrong urls
* [`[5810215306]`](https://github.com/aspnet/AspNetCore/commit/5810215306) Updating the Kproj file to contain the missing reference to NonActionAttribute.cs
* [`[646b711b11]`](https://github.com/aspnet/AspNetCore/commit/646b711b11) Adding the missed project files for WebFX:156 - Introducing RedirectToAction and RedirectToRoute
* [`[7fd711df54]`](https://github.com/aspnet/AspNetCore/commit/7fd711df54) Html.ActionLink generating an incorrect url when trying to generate a link to a different controller + action.
* [`[69dae2d216]`](https://github.com/aspnet/AspNetCore/commit/69dae2d216) Enabling code to use RedirectToAction helpers.
* [`[ecd8ddeae4]`](https://github.com/aspnet/AspNetCore/commit/ecd8ddeae4) WebFX 156: Adding support for RedirectToAction and RedirectToRoute
* [`[46da4ba9e4]`](https://github.com/aspnet/AspNetCore/commit/46da4ba9e4) Changes with this checkin: Removing all code related to External login from Account controller. I also added a little ugly work around to initiate a static UserManager for testing purpose. This should go away shortly. With this change user can register a user, login & logout.
* [`[f95588f0dd]`](https://github.com/aspnet/AspNetCore/commit/f95588f0dd) Enabling code to do drop down lists in music store.
* [`[1536daa107]`](https://github.com/aspnet/AspNetCore/commit/1536daa107) Adding NonAction Attribute
* [`[24293783f5]`](https://github.com/aspnet/AspNetCore/commit/24293783f5) Using ViewBag in a view component instead of ViewData.
* [`[eeb9326101]`](https://github.com/aspnet/AspNetCore/commit/eeb9326101) Having a layout page in a ViewComponent was the reason for StackOverFlow exception. Removing that fixed the problem. Using ViewData instead of ViewBag in a ViewComponent. Copying over some of the icons from the original music store required for this view component.
* [`[9127f5b930]`](https://github.com/aspnet/AspNetCore/commit/9127f5b930) A few changes with this checkin
* [`[271c849923]`](https://github.com/aspnet/AspNetCore/commit/271c849923) Fix #231; add `ViewBag` to `ViewComponent` - update MVC sample to demonstrate use and that `ViewBag` is scoped - nit: add a bit of padding between border and tag cloud words
* [`[165effebde]`](https://github.com/aspnet/AspNetCore/commit/165effebde) Abstractions: Pull in k10 dependency for IdnMapping.
* [`[0f6df5405b]`](https://github.com/aspnet/AspNetCore/commit/0f6df5405b) Reviving support for IValidatableObject in CoreCLR
* [`[aaae435cc3]`](https://github.com/aspnet/AspNetCore/commit/aaae435cc3) Adding a [HttpGet] attribute to enable the Delete album from the store functionality.
* [`[7edb32f526]`](https://github.com/aspnet/AspNetCore/commit/7edb32f526) Cookies: Do redirects for 401s if Active, regardless of challenges.
* [`[d2453c5832]`](https://github.com/aspnet/AspNetCore/commit/d2453c5832) Bringing back Razor.Host as an assembly as a TEMPORARY WORKAROUND
* [`[ef5b9feb39]`](https://github.com/aspnet/AspNetCore/commit/ef5b9feb39) Update sample dependencies.
* [`[b889e45666]`](https://github.com/aspnet/AspNetCore/commit/b889e45666) Update sample dependencies.
* [`[1e137c7af9]`](https://github.com/aspnet/AspNetCore/commit/1e137c7af9) Getting the application base path from the IoC container.
* [`[9281e7e67a]`](https://github.com/aspnet/AspNetCore/commit/9281e7e67a) Update System.Runtime.InteropServices dependency.
* [`[86d327366f]`](https://github.com/aspnet/AspNetCore/commit/86d327366f) Fix wrong order of arguments passed to ArgumentException ctor
* [`[b51f54e98a]`](https://github.com/aspnet/AspNetCore/commit/b51f54e98a) Adding a view component for cart summary
* [`[d7110017fd]`](https://github.com/aspnet/AspNetCore/commit/d7110017fd) Sample should be built in VS - catches errors because some methods are used only from views or controllers
* [`[408d4056b1]`](https://github.com/aspnet/AspNetCore/commit/408d4056b1) Rearrange ViewContext
* [`[cda73e95a8]`](https://github.com/aspnet/AspNetCore/commit/cda73e95a8) Integrate dictionary helper with existing code paths
* [`[58d4b48690]`](https://github.com/aspnet/AspNetCore/commit/58d4b48690) Swap database creation to use EF
* [`[f0c6512b61]`](https://github.com/aspnet/AspNetCore/commit/f0c6512b61) Catch up with previous `ActionNameAttribute` addition
* [`[e3c64aeb55]`](https://github.com/aspnet/AspNetCore/commit/e3c64aeb55) Updated to use the new tooling
* [`[1a9c0ad548]`](https://github.com/aspnet/AspNetCore/commit/1a9c0ad548) Reduce project.json dependencies
* [`[53b76380eb]`](https://github.com/aspnet/AspNetCore/commit/53b76380eb) Adding ActionName Attribute
* [`[1da2d6d9dc]`](https://github.com/aspnet/AspNetCore/commit/1da2d6d9dc) Checkin VS auto-update to .kproj file
* [`[8ca4a331e2]`](https://github.com/aspnet/AspNetCore/commit/8ca4a331e2) Created an in memory host for testing purposes and added the appropriate APIs to allow sending requests through the pipeline easily.
* [`[f0a97772f5]`](https://github.com/aspnet/AspNetCore/commit/f0a97772f5) Add remaining HTML input helpers - add `CheckBox[For]()`, `Hidden[For]()`, `Password[For]()`, and   `RadioButton[For]()` - also make `FormatValue()` visible to users, as it is in legacy MVC - and spread the boxes out a bit in MyView :smiley_cat:
* [`[a970fa04ab]`](https://github.com/aspnet/AspNetCore/commit/a970fa04ab) Updated to use the new tooling
* [`[0f25f9ff6b]`](https://github.com/aspnet/AspNetCore/commit/0f25f9ff6b) Html.ActionLink helper available.
* [`[4e1511ed4d]`](https://github.com/aspnet/AspNetCore/commit/4e1511ed4d) Adding ActionLink
* [`[8610e016b3]`](https://github.com/aspnet/AspNetCore/commit/8610e016b3) Setting the full path to load the Config.json.
* [`[c8ede78582]`](https://github.com/aspnet/AspNetCore/commit/c8ede78582) Expanding ValueProviderResult to support more data types
* [`[f4cee29842]`](https://github.com/aspnet/AspNetCore/commit/f4cee29842) Html.BeginForm works now on Partial views.
* [`[ab605ef935]`](https://github.com/aspnet/AspNetCore/commit/ab605ef935) Fix for #215 - nullref trying to generate link in a partial
* [`[084c7f80e5]`](https://github.com/aspnet/AspNetCore/commit/084c7f80e5) Further rearranging IView/IViewEngine/ViewContext et al
* [`[ccc257f8fc]`](https://github.com/aspnet/AspNetCore/commit/ccc257f8fc) Adding environment based config to the music store project with a Config.json file for local.
* [`[c0250392b2]`](https://github.com/aspnet/AspNetCore/commit/c0250392b2) Enabling @RenderSection in the Music store code.
* [`[7c8dd45b8b]`](https://github.com/aspnet/AspNetCore/commit/7c8dd45b8b) WebFX 156 - Adding support for Redirect and RedirectPermanent
* [`[01527cd4df]`](https://github.com/aspnet/AspNetCore/commit/01527cd4df) Adding HttpPost, HttpDelete, HttpPut, HttpPatch attributes
* [`[faa8251b70]`](https://github.com/aspnet/AspNetCore/commit/faa8251b70) Merging Mvc.Rendering and Mvc.Core
* [`[652e89b343]`](https://github.com/aspnet/AspNetCore/commit/652e89b343) Adding HttpGetAttribute and AcceptVerbsAttribute. HttpPost, HttpDelete, HttpPut and HttpPatch would be similar. Also adding few tests.
* [`[df16982697]`](https://github.com/aspnet/AspNetCore/commit/df16982697) Adding and updating old propertyhelper code for dictionaries
* [`[ec4b3a29c0]`](https://github.com/aspnet/AspNetCore/commit/ec4b3a29c0) Adding smart link generation
* [`[37f4e2efaa]`](https://github.com/aspnet/AspNetCore/commit/37f4e2efaa) Adding more overloads for IUrlHelper
* [`[931d18b851]`](https://github.com/aspnet/AspNetCore/commit/931d18b851) Adding exceptions for RenderSection, DefineSection and RenderBody
* [`[94c028a5df]`](https://github.com/aspnet/AspNetCore/commit/94c028a5df) Adding support for RazorView.IsSectionDefined
* [`[c0d06f1fbc]`](https://github.com/aspnet/AspNetCore/commit/c0d06f1fbc) Fixed combination of Display Templated Helpers.
* [`[5026788145]`](https://github.com/aspnet/AspNetCore/commit/5026788145) Add sample for DisplayForModel Html Helper.
* [`[1f47abd758]`](https://github.com/aspnet/AspNetCore/commit/1f47abd758) Implement DisplayForModel Html Helper.
* [`[94bae850c7]`](https://github.com/aspnet/AspNetCore/commit/94bae850c7) Add sample for DisplayFor Html Helper.
* [`[52ce83db9e]`](https://github.com/aspnet/AspNetCore/commit/52ce83db9e) Implement DisplayFor Html Helper.
* [`[5dbd006165]`](https://github.com/aspnet/AspNetCore/commit/5dbd006165) Add sample for Display Html Helper.
* [`[8477f47632]`](https://github.com/aspnet/AspNetCore/commit/8477f47632) Implement Display HTMLHelper.
* [`[5da827b58f]`](https://github.com/aspnet/AspNetCore/commit/5da827b58f) Add infrastructure for templated display helpers.
* [`[45e6e71bc8]`](https://github.com/aspnet/AspNetCore/commit/45e6e71bc8) Making a few more changes including: 1. Adding a view component 2. Adding more partial views from the sample and enabled a few of them. 3. Updating Account controller to accomodate all the recent identity changes. 4. Enabling some available Url helpers like Url.Content 5. Adding a ~ to all the scripts and images as this bug is fixed now.
* [`[4d1bd6095b]`](https://github.com/aspnet/AspNetCore/commit/4d1bd6095b) Fix identity API changes in Startup.cs
* [`[1921387b56]`](https://github.com/aspnet/AspNetCore/commit/1921387b56) Fix #198
* [`[df9d5c4875]`](https://github.com/aspnet/AspNetCore/commit/df9d5c4875) Adding support for Render Section
* [`[75dae948b2]`](https://github.com/aspnet/AspNetCore/commit/75dae948b2) Change IViewEngine.FindView to be synchronous
* [`[2e0bed750e]`](https://github.com/aspnet/AspNetCore/commit/2e0bed750e) Adding support for Url.Content, Href and ~/ in Razor views
* [`[f4904e1803]`](https://github.com/aspnet/AspNetCore/commit/f4904e1803) Fixing PathString.Add(PathString) to handle trailing slashes correctly Fixes #31
* [`[49de9d2828]`](https://github.com/aspnet/AspNetCore/commit/49de9d2828) Adding Value Html Helpers
* [`[ebd54bfc06]`](https://github.com/aspnet/AspNetCore/commit/ebd54bfc06) Dispose controllers after they have been utilized by the action invoker
* [`[0a62a581de]`](https://github.com/aspnet/AspNetCore/commit/0a62a581de) Add `TextBox` and `TextBoxFor` - HtmlHelper service now needs an `IModelMetadataProvider` instance - make `GetInputTypeString()` private - use `TextBox()` and `TextBoxFor()` in MVC sample - throw if `ExpressionMetadataProvider.FromLambdaExpression()` returns `null`
* [`[a1a180d4d0]`](https://github.com/aspnet/AspNetCore/commit/a1a180d4d0) Fill out Rendering.Expressions II Copy from: - some `static` `ModelMetadata` methods -> `ExpressionMetadataProvider` - `TryGetValueDelegate` -> `TryGetValueDelegate` - `TypeHelpers.CreateTryGetValueDelegate()`, related bits -> `TryGetValueProvider` - `ViewDataDictionary.ViewDataEvaluator` inner class -> `ViewDataEvaluator` - `ViewDataInfo` -> `ViewDataInfo` - `ViewDataDictionary.Eval()`, related bits -> add to `ViewDataDictionary`
* [`[87c2041a52]`](https://github.com/aspnet/AspNetCore/commit/87c2041a52) Removing a dangling project from the sln
* [`[798145418f]`](https://github.com/aspnet/AspNetCore/commit/798145418f) Add a verify call to a test
* [`[d081300185]`](https://github.com/aspnet/AspNetCore/commit/d081300185) Factor filters action to private methods
* [`[9756f74565]`](https://github.com/aspnet/AspNetCore/commit/9756f74565) Action invocation changes:
* [`[1b4754454b]`](https://github.com/aspnet/AspNetCore/commit/1b4754454b) Relayering MVC Dependencies Part 1/N
* [`[9f3433acec]`](https://github.com/aspnet/AspNetCore/commit/9f3433acec) WebFX 156 - Introducing RedirectPermanent. Merging RedirectPermanent to Redirect.
* [`[dad87c5239]`](https://github.com/aspnet/AspNetCore/commit/dad87c5239) Add ValidationSummary helper.
* [`[9c4a6e901d]`](https://github.com/aspnet/AspNetCore/commit/9c4a6e901d) Modifying DefineSection to generate HelperResult types
* [`[2b226c936f]`](https://github.com/aspnet/AspNetCore/commit/2b226c936f) Update for latest abstraction contracts.
* [`[ee37c75544]`](https://github.com/aspnet/AspNetCore/commit/ee37c75544) Rename Auth Context API Ack to Accept
* [`[dfc0c5d323]`](https://github.com/aspnet/AspNetCore/commit/dfc0c5d323) Change GetAuthType to use a context object instead of a delegate.
* [`[c638c74bc9]`](https://github.com/aspnet/AspNetCore/commit/c638c74bc9) Move AuthManager methods to Context and Response.
* [`[b9010072aa]`](https://github.com/aspnet/AspNetCore/commit/b9010072aa) Fix github #164 (when return type is object we always return 204)
* [`[fbbc59b392]`](https://github.com/aspnet/AspNetCore/commit/fbbc59b392) Add `Name()`, `NameFor()`, and `NameForModel()` helper methods - `Name()` is a `virtual` instance method to allow useful derivation - `NameFor()` is an instance method to avoid adding `GetExpressionName()`   to the public surface; either method could be `virtual` - `NameForModel()` is an extension method because it's not usefully overridden - use `Name*()` in sample
* [`[f108315038]`](https://github.com/aspnet/AspNetCore/commit/f108315038) Copy over two expression-support classes from legacy MVC
* [`[60f09fbc93]`](https://github.com/aspnet/AspNetCore/commit/60f09fbc93) Make lower level public API. Layering.
* [`[c72c80c101]`](https://github.com/aspnet/AspNetCore/commit/c72c80c101) Add the ability to correctly determine if a particular field has been validated.
* [`[87a47f50cc]`](https://github.com/aspnet/AspNetCore/commit/87a47f50cc) Passing more data to on GetVirtualPath
* [`[90864bcd9c]`](https://github.com/aspnet/AspNetCore/commit/90864bcd9c) Fixing broken project.json
* [`[bacc8d1737]`](https://github.com/aspnet/AspNetCore/commit/bacc8d1737) * Adding trace listener to ProjectKClone * Setting Max degrees of parallelism to 4 since too many connections is * causing MyGet to time out
* [`[097138e813]`](https://github.com/aspnet/AspNetCore/commit/097138e813) Auth: Validate acks.
* [`[4347ddfd0f]`](https://github.com/aspnet/AspNetCore/commit/4347ddfd0f) Security contracts.
* [`[dabb68cc6d]`](https://github.com/aspnet/AspNetCore/commit/dabb68cc6d) Fix EF InvalidOperationException on Startup
* [`[83855f8eac]`](https://github.com/aspnet/AspNetCore/commit/83855f8eac) Redesign security contracts.
* [`[cd0528b1b2]`](https://github.com/aspnet/AspNetCore/commit/cd0528b1b2) Link generation related tests
* [`[77ef7a5cde]`](https://github.com/aspnet/AspNetCore/commit/77ef7a5cde) RouteConstraints Step II + III
* [`[351964878f]`](https://github.com/aspnet/AspNetCore/commit/351964878f) Updated task package
* [`[2b87a625d9]`](https://github.com/aspnet/AspNetCore/commit/2b87a625d9) Updated clr packages
* [`[94db3c392a]`](https://github.com/aspnet/AspNetCore/commit/94db3c392a) Add `FormContext` to `ViewContext` - start with `FormContext` and classes it needs from legacy world - FYI `ModelClientValidationRule` came from Web Pages; the rest from MVC
* [`[f1efbde29d]`](https://github.com/aspnet/AspNetCore/commit/f1efbde29d) Revive HelperResult to allow using @helper in views
* [`[af1a97cd7c]`](https://github.com/aspnet/AspNetCore/commit/af1a97cd7c) WebListener: Normalize request read validation. 0 size is invalid. Return 0 if closed.
* [`[36a2524780]`](https://github.com/aspnet/AspNetCore/commit/36a2524780) Updated CLR dependencies
* [`[a42fcb72b3]`](https://github.com/aspnet/AspNetCore/commit/a42fcb72b3) Update to new version of Tasks
* [`[edb931bb2d]`](https://github.com/aspnet/AspNetCore/commit/edb931bb2d) Fixed interop services package version.
* [`[0767bb104e]`](https://github.com/aspnet/AspNetCore/commit/0767bb104e) Updated package versions.
* [`[2a19ec7b2a]`](https://github.com/aspnet/AspNetCore/commit/2a19ec7b2a) Simplifying the options to the error page middleware.
* [`[f60f14d537]`](https://github.com/aspnet/AspNetCore/commit/f60f14d537) Add `TemplateInfo` property to `ViewDataDictionary`
* [`[007ac9443d]`](https://github.com/aspnet/AspNetCore/commit/007ac9443d) WebFX-153: Add Content() and Json() to the Controller class.
* [`[a917cbd577]`](https://github.com/aspnet/AspNetCore/commit/a917cbd577) Constraints
* [`[44af396da9]`](https://github.com/aspnet/AspNetCore/commit/44af396da9) Prefer string.Equals static method over the Equals instance method
* [`[cb21c34770]`](https://github.com/aspnet/AspNetCore/commit/cb21c34770) Reintroduce ModelStateDictionaryTest
* [`[8e495158ef]`](https://github.com/aspnet/AspNetCore/commit/8e495158ef) Modifying ModelStateDictionary to derive from IDictionary * Reintroducing methods that weren't ported over earlier
* [`[6da448fb8e]`](https://github.com/aspnet/AspNetCore/commit/6da448fb8e) Commonizing JSON writer/serializer code
* [`[3ff8eba3a7]`](https://github.com/aspnet/AspNetCore/commit/3ff8eba3a7) Rename test project as FunctionalTests.
* [`[89828f6a92]`](https://github.com/aspnet/AspNetCore/commit/89828f6a92) Add missing reference to project.json and include version in routing
* [`[469414c419]`](https://github.com/aspnet/AspNetCore/commit/469414c419) Adding support for scoped services in WebFX
* [`[21e48be06e]`](https://github.com/aspnet/AspNetCore/commit/21e48be06e) Patternizing our property injection/initializer
* [`[8ed5b7b079]`](https://github.com/aspnet/AspNetCore/commit/8ed5b7b079) Fix WebFx-169 and #118 - move `DynamicObject` derivation up to new `DynamicViewData` class, fixing [WebFx-169](http://projectk-tc:8080/browse/WEBFX-169) - avoid direct `_data` lookup in previous `TryGetMember()`, fixing [#118](https://github.com/aspnet/WebFx/issues/118) - rename ViewData -> ViewDataDictionary
* [`[ccaaaeb392]`](https://github.com/aspnet/AspNetCore/commit/ccaaaeb392) Adding asmdiff.shade
* [`[aed5b9a1c9]`](https://github.com/aspnet/AspNetCore/commit/aed5b9a1c9) Convert tests to K test.
* [`[12632c5fc3]`](https://github.com/aspnet/AspNetCore/commit/12632c5fc3) Replacing not null checks in ModelBinding with NotNullAttribute : part deux
* [`[6fb0d5b282]`](https://github.com/aspnet/AspNetCore/commit/6fb0d5b282) Commonize 'throw on view not found'
* [`[965046813e]`](https://github.com/aspnet/AspNetCore/commit/965046813e) Swapping data access to use EF
* [`[a2cea18529]`](https://github.com/aspnet/AspNetCore/commit/a2cea18529) Replacing argument not null checks in ModelBinding with NotNullAttribute * Removing not null guard tests in ModelBinding
* [`[86ac978451]`](https://github.com/aspnet/AspNetCore/commit/86ac978451) Implementation of ViewComponents
* [`[1d507e9b47]`](https://github.com/aspnet/AspNetCore/commit/1d507e9b47) Change existence check to account for packages that are updated without revving version
* [`[34afda9dfc]`](https://github.com/aspnet/AspNetCore/commit/34afda9dfc) Adding tooling for mirroring project k packages
* [`[e393c25f87]`](https://github.com/aspnet/AspNetCore/commit/e393c25f87) Added self host support to the json file
* [`[5497541e08]`](https://github.com/aspnet/AspNetCore/commit/5497541e08) Updating the music store application with the latest code.
* [`[546af5ddee]`](https://github.com/aspnet/AspNetCore/commit/546af5ddee) Rename Prefix to UrlPrefix. Seperate IServerInformation to its own implementation.
* [`[9e8032cc8a]`](https://github.com/aspnet/AspNetCore/commit/9e8032cc8a) Update IServerFactory, ILoggerFactory.
* [`[b374c1b7e3]`](https://github.com/aspnet/AspNetCore/commit/b374c1b7e3) Updated dependencies to account for new changes to do with safe handles.
* [`[a5dbcac2b7]`](https://github.com/aspnet/AspNetCore/commit/a5dbcac2b7) Use new test infrastructure.
* [`[89b53aab25]`](https://github.com/aspnet/AspNetCore/commit/89b53aab25) Fix API change in ITypeActivator
* [`[2207acb917]`](https://github.com/aspnet/AspNetCore/commit/2207acb917) Incorporate breaking change from DI
* [`[dc6843acf7]`](https://github.com/aspnet/AspNetCore/commit/dc6843acf7) Move registration of nested provider infrastructure
* [`[5b6eb307ae]`](https://github.com/aspnet/AspNetCore/commit/5b6eb307ae) Re-plumb ModelState.
* [`[32d031c6eb]`](https://github.com/aspnet/AspNetCore/commit/32d031c6eb) Add `ModelMetadata` to `ViewData` - demonstrate `ModelMetadata` is available in a view
* [`[857a239990]`](https://github.com/aspnet/AspNetCore/commit/857a239990) Making Moq version in Mvc.Core.Test consistent with all other test projects
* [`[f20b798a07]`](https://github.com/aspnet/AspNetCore/commit/f20b798a07) Modifying the Default Action convention to have verb only methods
* [`[f1c4a8e497]`](https://github.com/aspnet/AspNetCore/commit/f1c4a8e497) Change FormValueProviderFactory to use GetContentType for media type matching Fixes #68
* [`[6610788b75]`](https://github.com/aspnet/AspNetCore/commit/6610788b75) Restore the TextWriter to ViewContext
* [`[8ea196023e]`](https://github.com/aspnet/AspNetCore/commit/8ea196023e) Modify controller discovery to only look for types that reference Mvc.Core assembly
* [`[9a4678d40f]`](https://github.com/aspnet/AspNetCore/commit/9a4678d40f) Change config order.
* [`[11762840cd]`](https://github.com/aspnet/AspNetCore/commit/11762840cd) Add an Initialize step to IServerFactory.
* [`[683c5bf9b3]`](https://github.com/aspnet/AspNetCore/commit/683c5bf9b3) Adding JsonInputFormatter for reading json encoded data from the request body
* [`[4364986137]`](https://github.com/aspnet/AspNetCore/commit/4364986137) System.Text.Encoding has rev'd
* [`[c4a15f021f]`](https://github.com/aspnet/AspNetCore/commit/c4a15f021f) Passing additional data on the ViewContext for resolving views.
* [`[adffc95b81]`](https://github.com/aspnet/AspNetCore/commit/adffc95b81) AllowAnonymous attribute + Consumption + Sample
* [`[5875452755]`](https://github.com/aspnet/AspNetCore/commit/5875452755) Quick fix-ups - Move .NET test projects back into net45 folder - Catch up with latest System.Runtime.InteropServices version
* [`[ff19628832]`](https://github.com/aspnet/AspNetCore/commit/ff19628832) Removing the temporary use of thread static
* [`[951e8df893]`](https://github.com/aspnet/AspNetCore/commit/951e8df893) Making core clr friendly
* [`[7b038d4e31]`](https://github.com/aspnet/AspNetCore/commit/7b038d4e31) Adding standard implementation of IContextAccessor<>
* [`[c39a41bd9f]`](https://github.com/aspnet/AspNetCore/commit/c39a41bd9f) Adding UseContainer middleware
* [`[f8dd52dfe3]`](https://github.com/aspnet/AspNetCore/commit/f8dd52dfe3) Reintroducing BindingBehaviorAttribute attribute * Porting MutableObjectModelBinder tests * Fix issues in MutableObjectModelBinder introduced by changing from   TypeDescriptors to reflection
* [`[7d9a6297f9]`](https://github.com/aspnet/AspNetCore/commit/7d9a6297f9) Fix debug string
* [`[cfb06c0de3]`](https://github.com/aspnet/AspNetCore/commit/cfb06c0de3) Areas feature - Phase I 1. Areas defined by the Area attribute 2. Areas are a routeconstraint on the actiondescriptor 3. Areas find pages through route values
* [`[f2835e7185]`](https://github.com/aspnet/AspNetCore/commit/f2835e7185) Rename IResponseCookiesCollection to IResponseCookies.
* [`[b9899fc72a]`](https://github.com/aspnet/AspNetCore/commit/b9899fc72a) Fix response cookies namespace.
* [`[bc43ccbc30]`](https://github.com/aspnet/AspNetCore/commit/bc43ccbc30) Change QueryString to include the leading '?'.
* [`[fc8832f69f]`](https://github.com/aspnet/AspNetCore/commit/fc8832f69f) Add Claims dependency.
* [`[cbd8401582]`](https://github.com/aspnet/AspNetCore/commit/cbd8401582) Fill in OnSendingHeaders, Redirect, IsSecure.
* [`[ae9545a124]`](https://github.com/aspnet/AspNetCore/commit/ae9545a124) Improve request and response cookie handling.
* [`[072e2cc1f1]`](https://github.com/aspnet/AspNetCore/commit/072e2cc1f1) Updating DataAnnotations version in project.json
* [`[eae9d3a951]`](https://github.com/aspnet/AspNetCore/commit/eae9d3a951) Update GenericModelBinder.BindModel to use correct overload of Activator.CreateInstance
* [`[db7b068f6b]`](https://github.com/aspnet/AspNetCore/commit/db7b068f6b) Added back K10 version of the routing sample to the sln
* [`[aa0b52df4e]`](https://github.com/aspnet/AspNetCore/commit/aa0b52df4e) ServiceCollection.FallbackServices no longer exists
* [`[50314ca7e5]`](https://github.com/aspnet/AspNetCore/commit/50314ca7e5) Add the ability for users to await expressions.
* [`[ea1f93aa91]`](https://github.com/aspnet/AspNetCore/commit/ea1f93aa91) Fix bad call to Assembly.GetType in Hosting. CR: chrross
* [`[ca2ef860f5]`](https://github.com/aspnet/AspNetCore/commit/ca2ef860f5) Adding IServiceProvider interfaces to HttpContext
* [`[cd9d3a3335]`](https://github.com/aspnet/AspNetCore/commit/cd9d3a3335) Updated hosting to use service describer
* [`[a8cc6828dd]`](https://github.com/aspnet/AspNetCore/commit/a8cc6828dd) Nuke the old MvcSample self host sample
* [`[752e559b2f]`](https://github.com/aspnet/AspNetCore/commit/752e559b2f) Space - the final frontier
* [`[07465158c2]`](https://github.com/aspnet/AspNetCore/commit/07465158c2) Modifying csproj generator to not add references to shared projects
* [`[063420067e]`](https://github.com/aspnet/AspNetCore/commit/063420067e) HostingServices should provide a default implementation of IDataProtectionProvider
* [`[f8179f03e4]`](https://github.com/aspnet/AspNetCore/commit/f8179f03e4) Trigger view rendering asynchronously.
* [`[5912475a24]`](https://github.com/aspnet/AspNetCore/commit/5912475a24) Change Execute rendering to be async.
* [`[0247c3a393]`](https://github.com/aspnet/AspNetCore/commit/0247c3a393) Updated RoslynCompilationService to account for new changes to API
* [`[5a10bb338b]`](https://github.com/aspnet/AspNetCore/commit/5a10bb338b) Updated make-roslyn-fast script - Account for changing assembly names by keeping 2 lists
* [`[4d511b3aef]`](https://github.com/aspnet/AspNetCore/commit/4d511b3aef) Make IServerFactory not assembly neutral temporarily.
* [`[730b16df37]`](https://github.com/aspnet/AspNetCore/commit/730b16df37) CryptRand.FillBuffer shouldn't throw if the buffer is a zero-length array.
* [`[c3e0279aac]`](https://github.com/aspnet/AspNetCore/commit/c3e0279aac) Updated to use service collection
* [`[1a430f90ed]`](https://github.com/aspnet/AspNetCore/commit/1a430f90ed) porting to web sample
* [`[51e5a5bf19]`](https://github.com/aspnet/AspNetCore/commit/51e5a5bf19) Fix for issue #57
* [`[a5cb050b97]`](https://github.com/aspnet/AspNetCore/commit/a5cb050b97) Using AutoFac to register open generic service types
* [`[085188996c]`](https://github.com/aspnet/AspNetCore/commit/085188996c) Initial port of Secuirty base package from Katana.
* [`[d86298ffe1]`](https://github.com/aspnet/AspNetCore/commit/d86298ffe1) Switching over placeholder attributes to use DataAnnotation attributes
* [`[65d461814f]`](https://github.com/aspnet/AspNetCore/commit/65d461814f) Added 4.5.1 support for web projects
* [`[3461c44a5e]`](https://github.com/aspnet/AspNetCore/commit/3461c44a5e) Move filteritem out to it's own class
* [`[d9867b4831]`](https://github.com/aspnet/AspNetCore/commit/d9867b4831) Changing IModelValidatorProvider DI to be transient for now
* [`[7ddfc9cde4]`](https://github.com/aspnet/AspNetCore/commit/7ddfc9cde4) Initial import from Katana.
* [`[e434918337]`](https://github.com/aspnet/AspNetCore/commit/e434918337) Reintroduce model validation
* [`[cca3f92c5f]`](https://github.com/aspnet/AspNetCore/commit/cca3f92c5f) Temporarily migrate the MvcSample project to Autofac
* [`[a3eb280275]`](https://github.com/aspnet/AspNetCore/commit/a3eb280275) Implement Program.Main and ServerManager. Add Startup search.
* [`[543e818acd]`](https://github.com/aspnet/AspNetCore/commit/543e818acd) Add support for host based on Host header
* [`[9be70fb808]`](https://github.com/aspnet/AspNetCore/commit/9be70fb808) Target .NET Framework 4.5.1 in generated csproj files
* [`[0ce2c511d4]`](https://github.com/aspnet/AspNetCore/commit/0ce2c511d4) Adding URL generation to WebFX for controllers and views
* [`[55ad9ab17a]`](https://github.com/aspnet/AspNetCore/commit/55ad9ab17a) Support multi-value response headers.
* [`[9ac0a8c703]`](https://github.com/aspnet/AspNetCore/commit/9ac0a8c703) Adding ContentLength to HttpRequest Partially addresses #15
* [`[e2e78ba15d]`](https://github.com/aspnet/AspNetCore/commit/e2e78ba15d) Fix extenstion method namespace.
* [`[704239bca8]`](https://github.com/aspnet/AspNetCore/commit/704239bca8) Allow zero length sends and receives.
* [`[e991e86863]`](https://github.com/aspnet/AspNetCore/commit/e991e86863) Updated roslyn compilation to use new host interface.
* [`[3e049fed75]`](https://github.com/aspnet/AspNetCore/commit/3e049fed75) Fixed compilation errors in VS
* [`[9d3e5b5a81]`](https://github.com/aspnet/AspNetCore/commit/9d3e5b5a81) Rename FilterDescriptorComparer to FilterDescriptorOrderComparer
* [`[7ddf8a7bdb]`](https://github.com/aspnet/AspNetCore/commit/7ddf8a7bdb) Move global filters addition to AD creation time Add origin, and simplify sorting. Add type filter
* [`[9132d32fa4]`](https://github.com/aspnet/AspNetCore/commit/9132d32fa4) Renaming IsCompatibleObject to IsCompatibleWith to match definition
* [`[86f18f5da7]`](https://github.com/aspnet/AspNetCore/commit/86f18f5da7) Moving ViewContext to rendering, breaking coupling to RequestContext
* [`[123089d5c7]`](https://github.com/aspnet/AspNetCore/commit/123089d5c7) General razor clean up * Change Razor compilation to use ApplicationBasePath to determine the   app root * Change class name generation to be based on app-relative path.
* [`[2731caf476]`](https://github.com/aspnet/AspNetCore/commit/2731caf476) Fix API breaking change from routing
* [`[6a309f20d8]`](https://github.com/aspnet/AspNetCore/commit/6a309f20d8) Passing route collection through the context - for MVC to get access to it.
* [`[1853c71114]`](https://github.com/aspnet/AspNetCore/commit/1853c71114) Narrow ping write lock.
* [`[2dbe40dca5]`](https://github.com/aspnet/AspNetCore/commit/2dbe40dca5) Negotiate sub-protocol.
* [`[6aab876f00]`](https://github.com/aspnet/AspNetCore/commit/6aab876f00) Support multi-part code values during project generation
* [`[53e3ea15c9]`](https://github.com/aspnet/AspNetCore/commit/53e3ea15c9) Added support for excludes in project.json files.
* [`[34641d21e6]`](https://github.com/aspnet/AspNetCore/commit/34641d21e6) Added code path for rendering html encoded content on K
* [`[65532849f6]`](https://github.com/aspnet/AspNetCore/commit/65532849f6) Handle unmasking offset data.
* [`[e62e5a2bef]`](https://github.com/aspnet/AspNetCore/commit/e62e5a2bef) Simplify how we pick dependencies for razor compilation
* [`[bda7dd8d2d]`](https://github.com/aspnet/AspNetCore/commit/bda7dd8d2d) Made razor work with core clr
* [`[678af7c22f]`](https://github.com/aspnet/AspNetCore/commit/678af7c22f) Implement KeepAliveInterval, send pings.
* [`[23752ee478]`](https://github.com/aspnet/AspNetCore/commit/23752ee478) Renamed solution file to match other projects
* [`[27d834ae6a]`](https://github.com/aspnet/AspNetCore/commit/27d834ae6a) Added required packages for K
* [`[c111258938]`](https://github.com/aspnet/AspNetCore/commit/c111258938) Add required references for K to work
* [`[5de1ae578d]`](https://github.com/aspnet/AspNetCore/commit/5de1ae578d) Updated common
* [`[360f81d0a8]`](https://github.com/aspnet/AspNetCore/commit/360f81d0a8) Added required packages for K
* [`[9ba9f666bb]`](https://github.com/aspnet/AspNetCore/commit/9ba9f666bb) Fix continuation frame bug.
* [`[f01620402a]`](https://github.com/aspnet/AspNetCore/commit/f01620402a) Ignore shared projects and projects that do not have a project.json for dependency management
* [`[574ce6de98]`](https://github.com/aspnet/AspNetCore/commit/574ce6de98) Query and route value provider factories are added to service container multiple times
* [`[6748897083]`](https://github.com/aspnet/AspNetCore/commit/6748897083) Update DataProtection to use a K-generated .resx designer file instead of the VS-generated .resx designer file.
* [`[28b7597779]`](https://github.com/aspnet/AspNetCore/commit/28b7597779) Introducing NotNullAttribute for null argument checks
* [`[38f5793e3d]`](https://github.com/aspnet/AspNetCore/commit/38f5793e3d) Seperate message pump into higher layer.
* [`[10c10ab2e7]`](https://github.com/aspnet/AspNetCore/commit/10c10ab2e7) Added required packages for K
* [`[f420ba4600]`](https://github.com/aspnet/AspNetCore/commit/f420ba4600) Added required packages for K
* [`[f5a43708ee]`](https://github.com/aspnet/AspNetCore/commit/f5a43708ee) Added references to required K packages
* [`[2dfdfafaa6]`](https://github.com/aspnet/AspNetCore/commit/2dfdfafaa6) Added required packages for K
* [`[90430b425d]`](https://github.com/aspnet/AspNetCore/commit/90430b425d) If there's a contract folder then use it in the nuget package for compilation.
* [`[adf2adabc0]`](https://github.com/aspnet/AspNetCore/commit/adf2adabc0) Add PBKDF2 support to the data protection library.
* [`[4d1768ce3c]`](https://github.com/aspnet/AspNetCore/commit/4d1768ce3c) Use the ServiceDescriber class from the DI project in GetDefaultServices
* [`[a55a71a4f8]`](https://github.com/aspnet/AspNetCore/commit/a55a71a4f8) ResultFilter attribute added to sample
* [`[772f833dc9]`](https://github.com/aspnet/AspNetCore/commit/772f833dc9) Action filters & Authorization Filters working
* [`[6fed92695b]`](https://github.com/aspnet/AspNetCore/commit/6fed92695b) Filter execution
* [`[1783a06dc0]`](https://github.com/aspnet/AspNetCore/commit/1783a06dc0) Filter discovery
* [`[457016a6da]`](https://github.com/aspnet/AspNetCore/commit/457016a6da) Add the actual filters interface signatures, Add the AuthorizationFilterAttribute
* [`[75bccbae21]`](https://github.com/aspnet/AspNetCore/commit/75bccbae21) Filter discovery
* [`[dc6b1b1a4a]`](https://github.com/aspnet/AspNetCore/commit/dc6b1b1a4a) Context + ActionDescriptor + IFilter marker
* [`[83eb6c4d22]`](https://github.com/aspnet/AspNetCore/commit/83eb6c4d22) Small bugfix in routing
* [`[1bd9bf1714]`](https://github.com/aspnet/AspNetCore/commit/1bd9bf1714) Implement continuation frames.
* [`[318c19b2f9]`](https://github.com/aspnet/AspNetCore/commit/318c19b2f9) Issue #39 move init code into controller factory
* [`[9d0cea17dd]`](https://github.com/aspnet/AspNetCore/commit/9d0cea17dd) Changes due to changes in routing take 2
* [`[2f770ca4d4]`](https://github.com/aspnet/AspNetCore/commit/2f770ca4d4) Handle incoming pings and pongs.
* [`[905e84ab0a]`](https://github.com/aspnet/AspNetCore/commit/905e84ab0a) Changes in WebFx for compatibility with routing
* [`[14685821a6]`](https://github.com/aspnet/AspNetCore/commit/14685821a6) Implement client masking.
* [`[5d34a61bd9]`](https://github.com/aspnet/AspNetCore/commit/5d34a61bd9) API changes for Routing
* [`[914d8e8a3b]`](https://github.com/aspnet/AspNetCore/commit/914d8e8a3b) Updating DI to use ServiceDescriptors
* [`[cd73fac433]`](https://github.com/aspnet/AspNetCore/commit/cd73fac433) Adding API for consuming url generation
* [`[ff922fcbd6]`](https://github.com/aspnet/AspNetCore/commit/ff922fcbd6) Don't use the cache for the roslyn ngen
* [`[547a9b6e13]`](https://github.com/aspnet/AspNetCore/commit/547a9b6e13) Added validation and documentations for AwaitableThrottle.MaxConcurrent
* [`[89eb6e6445]`](https://github.com/aspnet/AspNetCore/commit/89eb6e6445) Some extra resiliance and tests! Oh glorious tests.
* [`[bdd4513b88]`](https://github.com/aspnet/AspNetCore/commit/bdd4513b88) Adding object-dictionary support for defaults
* [`[c9b60c13e4]`](https://github.com/aspnet/AspNetCore/commit/c9b60c13e4) Worker based request processing. A static number of workers are used to listen to requests
* [`[7004026b5e]`](https://github.com/aspnet/AspNetCore/commit/7004026b5e) Implement Close.
* [`[9dc79df9cf]`](https://github.com/aspnet/AspNetCore/commit/9dc79df9cf) Fixed core clr compilation error.
* [`[05e0d5cabb]`](https://github.com/aspnet/AspNetCore/commit/05e0d5cabb) Updated to newer version of roslyn
* [`[08ab9b3130]`](https://github.com/aspnet/AspNetCore/commit/08ab9b3130) Update ngen roslyn script to handle new version of roslyn
* [`[dbd084cb2c]`](https://github.com/aspnet/AspNetCore/commit/dbd084cb2c) Initial WebSocket projects, handshake, framing.
* [`[c4e98614e5]`](https://github.com/aspnet/AspNetCore/commit/c4e98614e5) Pointing at updated configuration package name
* [`[1e91cbb565]`](https://github.com/aspnet/AspNetCore/commit/1e91cbb565) Back to using System.Security.Claims ns
* [`[549e36b803]`](https://github.com/aspnet/AspNetCore/commit/549e36b803) Fix CodeGeneration process to format correctly within cshtml.
* [`[625cd512e6]`](https://github.com/aspnet/AspNetCore/commit/625cd512e6) Update bootstrap package version back to 3.0.0
* [`[710b9ad4ed]`](https://github.com/aspnet/AspNetCore/commit/710b9ad4ed) Use csc compilation to avoid temporary churn in host services
* [`[1d5b5f4f62]`](https://github.com/aspnet/AspNetCore/commit/1d5b5f4f62) Adding tooling to maintain snapshot dependencies
* [`[169ffaa062]`](https://github.com/aspnet/AspNetCore/commit/169ffaa062) Account controller using Kidentity
* [`[84c2e7cffe]`](https://github.com/aspnet/AspNetCore/commit/84c2e7cffe) Do not attempt to add the designer file as part of the tt generation
* [`[48738b91f4]`](https://github.com/aspnet/AspNetCore/commit/48738b91f4) Updating resx designer file to use updated format
* [`[c321e40d44]`](https://github.com/aspnet/AspNetCore/commit/c321e40d44) Rename TypeMethodXXX to ReflectedXXX
* [`[2f8c4b213a]`](https://github.com/aspnet/AspNetCore/commit/2f8c4b213a) Rename MVC -> MVC.Core requires project.json changes
* [`[6244d55e1f]`](https://github.com/aspnet/AspNetCore/commit/6244d55e1f) Rename MVC -> MVC.Core, MVC.Startup -> MVC
* [`[3d0ec33404]`](https://github.com/aspnet/AspNetCore/commit/3d0ec33404) Added other candidate folder for weird packages like shouldly.
* [`[346f02e37c]`](https://github.com/aspnet/AspNetCore/commit/346f02e37c) First stab Roslyn based compilation service for razor pages - Flow the host service provider to MvcServices - Use assembly neutral interfaces to access host services - Added RoslynCompilationService to Microsoft.AspNet.Mvc.Razor - Modified self host sample as helios needs to be updated to flow more services
* [`[e65b122584]`](https://github.com/aspnet/AspNetCore/commit/e65b122584) Fixed issue with multiple shared file projects - Create new Files instance so project generator doesn't have left over state.
* [`[ba807f65fc]`](https://github.com/aspnet/AspNetCore/commit/ba807f65fc) Added basic shared file support for project.json based on runtime behavior.
* [`[803f447686]`](https://github.com/aspnet/AspNetCore/commit/803f447686) Use INestedProvider for ADP and AIP
* [`[4022e5a5a4]`](https://github.com/aspnet/AspNetCore/commit/4022e5a5a4) Code dump of algorthmic code for url generation
* [`[d920003194]`](https://github.com/aspnet/AspNetCore/commit/d920003194) Introduce FormValueProviderFactory to expose form data as a value provider
* [`[e859697d58]`](https://github.com/aspnet/AspNetCore/commit/e859697d58) Modify Resources.tt to generate a property and a format method for each resource
* [`[04c7b50726]`](https://github.com/aspnet/AspNetCore/commit/04c7b50726) Removing IsFromBody property from ModelMetadata
* [`[9f05cf8fbb]`](https://github.com/aspnet/AspNetCore/commit/9f05cf8fbb) Write helper method template functions with no indent.
* [`[49ffb5ae81]`](https://github.com/aspnet/AspNetCore/commit/49ffb5ae81) Map semicolon's in using statements.
* [`[09cc1964e7]`](https://github.com/aspnet/AspNetCore/commit/09cc1964e7) Adding GetFormAsync on HttpRequest to read form data
* [`[9cdf630f19]`](https://github.com/aspnet/AspNetCore/commit/9cdf630f19) Make all package references private so that they get copied to bin
* [`[3059e299f5]`](https://github.com/aspnet/AspNetCore/commit/3059e299f5) Added overwrite=true to ngen logic
* [`[5dfb23d87b]`](https://github.com/aspnet/AspNetCore/commit/5dfb23d87b) Added target to gac and ngen roslyn
* [`[9915b1c767]`](https://github.com/aspnet/AspNetCore/commit/9915b1c767) Reintroduce WriteAttribute methods on RazorView type
* [`[2b76020f1b]`](https://github.com/aspnet/AspNetCore/commit/2b76020f1b) Fix #14: Clone inner repositories using matching GitHub URLs - Read remote.origin.url config value in Universe to choose URL of inner   repositories for `git clone` and `git pull` commands - Does not change remote.origin.url config value in inner repositories
* [`[590ae27208]`](https://github.com/aspnet/AspNetCore/commit/590ae27208) Adding ITypeActivator and TypeActivator to hosting services
* [`[e1155f44d7]`](https://github.com/aspnet/AspNetCore/commit/e1155f44d7) List must match dependency order, adding Entropy repo
* [`[b6c78de4ea]`](https://github.com/aspnet/AspNetCore/commit/b6c78de4ea) Reintroduce model binding
* [`[906e68e72e]`](https://github.com/aspnet/AspNetCore/commit/906e68e72e) Adding workaround to compilation for web host
* [`[c6c5dd6fbf]`](https://github.com/aspnet/AspNetCore/commit/c6c5dd6fbf) Re-layer the feature interfaces.
* [`[ab7e4cb3c8]`](https://github.com/aspnet/AspNetCore/commit/ab7e4cb3c8) Prototype IServerFactory
* [`[9d056167e8]`](https://github.com/aspnet/AspNetCore/commit/9d056167e8) Overload Resolution Skeleton
* [`[64c29fe813]`](https://github.com/aspnet/AspNetCore/commit/64c29fe813) Adding optional parameters
* [`[fe15f4a849]`](https://github.com/aspnet/AspNetCore/commit/fe15f4a849) Ensure HttpResponse.Query is populated with query string values
* [`[941a12daea]`](https://github.com/aspnet/AspNetCore/commit/941a12daea) Action selection based on action descriptors
* [`[d35d168973]`](https://github.com/aspnet/AspNetCore/commit/d35d168973) Enable warningsAsErrors compiler option in project gen
* [`[1d40372cc3]`](https://github.com/aspnet/AspNetCore/commit/1d40372cc3) Renames to prepare for action selection PR
* [`[742db6ad65]`](https://github.com/aspnet/AspNetCore/commit/742db6ad65) Change to the new abstractions.
* [`[d762b614bd]`](https://github.com/aspnet/AspNetCore/commit/d762b614bd) Add System.Data.Common & Microsoft.Data.SQLite
* [`[5ea11e396d]`](https://github.com/aspnet/AspNetCore/commit/5ea11e396d) Added first core clr enabled sample.
* [`[ad5a77ca4c]`](https://github.com/aspnet/AspNetCore/commit/ad5a77ca4c) Removing csproj files that are not meant to be commited
* [`[69addcac86]`](https://github.com/aspnet/AspNetCore/commit/69addcac86) FeatureModel should use Type.IsInstanceOf rather than direct type equality.
* [`[125ca080b5]`](https://github.com/aspnet/AspNetCore/commit/125ca080b5) Added a sample web project
* [`[df09af0ff2]`](https://github.com/aspnet/AspNetCore/commit/df09af0ff2) Added ability to generate web project that bootstraps helios.
* [`[7aeecf6bce]`](https://github.com/aspnet/AspNetCore/commit/7aeecf6bce) Look for Startup and AssemblyName.Startup
* [`[7aa23bfc05]`](https://github.com/aspnet/AspNetCore/commit/7aa23bfc05) Add DPAPI support to the DataProtection library.
* [`[31ba4e8430]`](https://github.com/aspnet/AspNetCore/commit/31ba4e8430) Use named parameters for format strings
* [`[f43a17369c]`](https://github.com/aspnet/AspNetCore/commit/f43a17369c) Transition tests to use new CodeTree.
* [`[da192d7c96]`](https://github.com/aspnet/AspNetCore/commit/da192d7c96) Fix scoping spacing for pragmas and curly braces.
* [`[cadc2fc67e]`](https://github.com/aspnet/AspNetCore/commit/cadc2fc67e) Add comparison methods to mapping classes.
* [`[fa342287ad]`](https://github.com/aspnet/AspNetCore/commit/fa342287ad) Move semicolon out from pragma for usings.
* [`[2ff6c12347]`](https://github.com/aspnet/AspNetCore/commit/2ff6c12347) Move helper function accessor code outside pragma.
* [`[dcf35ca20b]`](https://github.com/aspnet/AspNetCore/commit/dcf35ca20b) Add padding support to the functions directive.
* [`[5a22d9b52c]`](https://github.com/aspnet/AspNetCore/commit/5a22d9b52c) Restore @model support in RazorHost
* [`[3afb31b78b]`](https://github.com/aspnet/AspNetCore/commit/3afb31b78b) Modify SetBaseTYpeCodeGenerator to use value from BaseType instead of parsed content
* [`[d1ac4298c2]`](https://github.com/aspnet/AspNetCore/commit/d1ac4298c2) Drown your issues in Kool Aid (Updating K Music Store app to use EF/E API surface)
* [`[4a801b6c7a]`](https://github.com/aspnet/AspNetCore/commit/4a801b6c7a) integrating routing with WebFX
* [`[95d5324bcf]`](https://github.com/aspnet/AspNetCore/commit/95d5324bcf) Fixed sample generation to use new command line.
* [`[5cece8b4af]`](https://github.com/aspnet/AspNetCore/commit/5cece8b4af) Rename solution file.
* [`[a34826d90b]`](https://github.com/aspnet/AspNetCore/commit/a34826d90b) Use the right collection, so accessing a non existent ContentType on a response doesn't throw and return null instead
* [`[1c6f185989]`](https://github.com/aspnet/AspNetCore/commit/1c6f185989) Replace tt template with generated code
* [`[8db45f7564]`](https://github.com/aspnet/AspNetCore/commit/8db45f7564) Add user-based padding support.
* [`[076ab987b1]`](https://github.com/aspnet/AspNetCore/commit/076ab987b1) Changing resx generation to use tt file
* [`[63e55ce776]`](https://github.com/aspnet/AspNetCore/commit/63e55ce776) Updating resx strings to use tt format
* [`[cc3fec2f76]`](https://github.com/aspnet/AspNetCore/commit/cc3fec2f76) Bring back simple POCO controller + HttpContext temporary injection through property + 404 when action is not found
* [`[ffe5f070e0]`](https://github.com/aspnet/AspNetCore/commit/ffe5f070e0) Configure bugtraq options after clone
* [`[00de03d641]`](https://github.com/aspnet/AspNetCore/commit/00de03d641) Added KRuntime, Hosting, Helios and WebListener
* [`[0eace4bbe6]`](https://github.com/aspnet/AspNetCore/commit/0eace4bbe6) Fixed native compile target by exposing the exec macro
* [`[f59d29b5eb]`](https://github.com/aspnet/AspNetCore/commit/f59d29b5eb) Renaming DefaultServices to GetDefaultServices
* [`[87379400cf]`](https://github.com/aspnet/AspNetCore/commit/87379400cf) rename ControllerAssemblyProvider to IControllerAssemblyProvider
* [`[a725e4c9b5]`](https://github.com/aspnet/AspNetCore/commit/a725e4c9b5) Update to support 404 Renamed actiondescriptor to routecontext, because action selection didn't happen yet. Need to add actiondescriptors back and modify RazorViewEngine to use the right thing.
* [`[b6a0969c1c]`](https://github.com/aspnet/AspNetCore/commit/b6a0969c1c) Support per process caching of controller discovery Scan only relevant (non skipped) assemblies FinalizeSetup point, to make "stuff" immutable Support controllers under any namespace support customizing controller discovery support customizing skipped assemblies support customizing multiple controllers with the same name under different namespaces and assemblies support controller ambiguity detection
* [`[226d632794]`](https://github.com/aspnet/AspNetCore/commit/226d632794) Re-enable the model keyword for Mvc Razor.
* [`[ff80c86e0c]`](https://github.com/aspnet/AspNetCore/commit/ff80c86e0c) Fixed common resources resx.
* [`[40a7181ff0]`](https://github.com/aspnet/AspNetCore/commit/40a7181ff0) Lazy translate conditional Owin keys to Features.
* [`[850128dc39]`](https://github.com/aspnet/AspNetCore/commit/850128dc39) Implement request and response properties: Headers, ContentLength.
* [`[0e813fbb79]`](https://github.com/aspnet/AspNetCore/commit/0e813fbb79) Rough outline of hosting components
* [`[c37c555333]`](https://github.com/aspnet/AspNetCore/commit/c37c555333) Initializing repository
* [`[f5bd72cdd7]`](https://github.com/aspnet/AspNetCore/commit/f5bd72cdd7) Added identity and static files to the repo.
* [`[179841743e]`](https://github.com/aspnet/AspNetCore/commit/179841743e) updating OM of routing, about 10% better perf
* [`[85225055b9]`](https://github.com/aspnet/AspNetCore/commit/85225055b9) removing datatokens/constraints/url-generation
* [`[d4904e8701]`](https://github.com/aspnet/AspNetCore/commit/d4904e8701) Adding legacy rounting code - mostly unmodified to get it into history
* [`[251630590d]`](https://github.com/aspnet/AspNetCore/commit/251630590d) Initial port.
* [`[3d6740bc8a]`](https://github.com/aspnet/AspNetCore/commit/3d6740bc8a) Update namespace generation in RazorCompilationService to use root relative paths.
* [`[7cfcdcebdc]`](https://github.com/aspnet/AspNetCore/commit/7cfcdcebdc) Workaround for myget being down.
* [`[47b09a9f31]`](https://github.com/aspnet/AspNetCore/commit/47b09a9f31) Workaround myget being down
* [`[5e32b6380c]`](https://github.com/aspnet/AspNetCore/commit/5e32b6380c) Workaround for myget being down
* [`[f9d29fd8aa]`](https://github.com/aspnet/AspNetCore/commit/f9d29fd8aa) Workaround for myget being down
* [`[cfc6b9ecdd]`](https://github.com/aspnet/AspNetCore/commit/cfc6b9ecdd) Fixing compilation failure due to change in namespace in Microsoft.AspNet.FileSystem
* [`[591e21eea9]`](https://github.com/aspnet/AspNetCore/commit/591e21eea9) Moving MvcService and MvcHandler to a separate assembly
* [`[86b1ac8f39]`](https://github.com/aspnet/AspNetCore/commit/86b1ac8f39) Initial static files port.
* [`[1b1dfb72a5]`](https://github.com/aspnet/AspNetCore/commit/1b1dfb72a5) Adding underscore to README
* [`[b51fd08bab]`](https://github.com/aspnet/AspNetCore/commit/b51fd08bab) Update ViewDataOfT.SetModel to check for type compatibility when setting model instance.
* [`[6c8485b1ef]`](https://github.com/aspnet/AspNetCore/commit/6c8485b1ef) Removing VirtualFileSystem from Razor
* [`[856c09ae10]`](https://github.com/aspnet/AspNetCore/commit/856c09ae10) Removing OwinRouteEndpoint
* [`[bc3d32ec74]`](https://github.com/aspnet/AspNetCore/commit/bc3d32ec74) Modify base Visitor class to be more generic.
* [`[764e5f890d]`](https://github.com/aspnet/AspNetCore/commit/764e5f890d) Use Json result constructor only from the Action result helper.
* [`[312b4c5fb5]`](https://github.com/aspnet/AspNetCore/commit/312b4c5fb5) sort usings
* [`[2a3f891878]`](https://github.com/aspnet/AspNetCore/commit/2a3f891878) Customizing Json from helper Add Json to Helper Guarantee SerializerSettings
* [`[4b4034788c]`](https://github.com/aspnet/AspNetCore/commit/4b4034788c) Initial support for JsonResult + Action result mutation from object to Json
* [`[0eb5ff0b87]`](https://github.com/aspnet/AspNetCore/commit/0eb5ff0b87) integrating abstractions with routing
* [`[c91a814ffa]`](https://github.com/aspnet/AspNetCore/commit/c91a814ffa) Changes to get the sample running again
* [`[c796188231]`](https://github.com/aspnet/AspNetCore/commit/c796188231) integrating abstractions with routing
* [`[68bb44d73e]`](https://github.com/aspnet/AspNetCore/commit/68bb44d73e) Updating Resx designer file to minimize conflicts after resx change
* [`[3ac3af1daf]`](https://github.com/aspnet/AspNetCore/commit/3ac3af1daf) Cache nuget.exe in %LocalAppData% instead of downloading it everytime
* [`[e10699474b]`](https://github.com/aspnet/AspNetCore/commit/e10699474b) Moved Action results to the right folder
* [`[1964e884e1]`](https://github.com/aspnet/AspNetCore/commit/1964e884e1) Initial version of watch target. - Added FileWatcher helper class - Added ability to disable fetching k from nuget every time it's called - Added watch target to standard goals - Added ability to skip project generation for net45.   This is useful for watch so that changes made to the   project but not saved to disk won't be discarded when the   watcher runs.
* [`[37e225d517]`](https://github.com/aspnet/AspNetCore/commit/37e225d517) Regenerate resx files using ResxFileCodeGenerator
* [`[370a6b7ba3]`](https://github.com/aspnet/AspNetCore/commit/370a6b7ba3) Added code for the k10 case in FeatureObject.
* [`[4ce1423b1c]`](https://github.com/aspnet/AspNetCore/commit/4ce1423b1c) Made small changes to prevent null refs when getting HttpRequestInformation - Use FeatureReference<T>.Default instead of new when constructing - Fixed  project.json in tests
* [`[f26b3743ec]`](https://github.com/aspnet/AspNetCore/commit/f26b3743ec) Updated logic to use new HttpAbstractions. - Updated sln files to use k10 and net45 solution folders
* [`[ebbb481fea]`](https://github.com/aspnet/AspNetCore/commit/ebbb481fea) Print hello world for k10 project.
* [`[27574b1616]`](https://github.com/aspnet/AspNetCore/commit/27574b1616) Change the runtime generation so that it runs the app using dynamic compilation.
* [`[af0923b68f]`](https://github.com/aspnet/AspNetCore/commit/af0923b68f) Rouging out feature interfaces and default abstraction implementations
* [`[4de6abb7b5]`](https://github.com/aspnet/AspNetCore/commit/4de6abb7b5) Adding a placeholder for IdmMapping
* [`[cc414e0fef]`](https://github.com/aspnet/AspNetCore/commit/cc414e0fef) * Renaming Mvc.Forms to Mvc.Rendering * Moving data types to Mvc.ModelBinding
* [`[a86624d386]`](https://github.com/aspnet/AspNetCore/commit/a86624d386) change to non-static entrypoint, which klr is looking for
* [`[84f4a2d047]`](https://github.com/aspnet/AspNetCore/commit/84f4a2d047) Initial mock up of key interfaces for routing.
* [`[9f9f92d18a]`](https://github.com/aspnet/AspNetCore/commit/9f9f92d18a) Adding skeleton sample and test project
* [`[6c9d562fc3]`](https://github.com/aspnet/AspNetCore/commit/6c9d562fc3) * Using RazorView<dynamic> as base type until we get model support * Modifying ViewData to share inner dictionary until we figure out how to   pass it correctly * Removing unused NuGet.config
* [`[c616eaca6f]`](https://github.com/aspnet/AspNetCore/commit/c616eaca6f) Handle timestamp based versions in kruntime itself - This is useful when testing privates of the runtime itself.
* [`[9f80b7d1c8]`](https://github.com/aspnet/AspNetCore/commit/9f80b7d1c8) Relocation resx file to root so that it's correctly embedded
* [`[738ab055de]`](https://github.com/aspnet/AspNetCore/commit/738ab055de) Adding support for debugging sample applications
* [`[85a25685d2]`](https://github.com/aspnet/AspNetCore/commit/85a25685d2) Changes to let Net45 sample run over Owin
* [`[a6393e77ab]`](https://github.com/aspnet/AspNetCore/commit/a6393e77ab) Moving MvcRazorHost to a separate assembly
* [`[f4e3bb768d]`](https://github.com/aspnet/AspNetCore/commit/f4e3bb768d) Adds resx to proj gen
* [`[cb8a32e5a6]`](https://github.com/aspnet/AspNetCore/commit/cb8a32e5a6) Updating the view engine to use Microsoft.AspNet.Razor package
* [`[c20584b749]`](https://github.com/aspnet/AspNetCore/commit/c20584b749) Removing automatically added packages.config as requested.
* [`[e79aefce8b]`](https://github.com/aspnet/AspNetCore/commit/e79aefce8b) Added template files and updated the init task.
* [`[9935af3a43]`](https://github.com/aspnet/AspNetCore/commit/9935af3a43) Improved package reference resolution.
* [`[869a4ec267]`](https://github.com/aspnet/AspNetCore/commit/869a4ec267) Initial implementation of Microsoft.AspNet.Security.DataProtection
* [`[73dae5fcaa]`](https://github.com/aspnet/AspNetCore/commit/73dae5fcaa) Added an output validator to make a best-effort attempt at validating old and new codeDOM/codeTree output.
* [`[6a9b6c16c2]`](https://github.com/aspnet/AspNetCore/commit/6a9b6c16c2) Everything but the kitchen async... (Updates to how Music Store controllers use data)
* [`[9eac453540]`](https://github.com/aspnet/AspNetCore/commit/9eac453540) Add Configuration, DataProtection. Add init target.
* [`[34af14b07f]`](https://github.com/aspnet/AspNetCore/commit/34af14b07f) Adding solution file
* [`[4183bc98be]`](https://github.com/aspnet/AspNetCore/commit/4183bc98be) Getting routing prototype into history
* [`[c9c65742c2]`](https://github.com/aspnet/AspNetCore/commit/c9c65742c2) Adding routing repo to universe
* [`[876cfaeb57]`](https://github.com/aspnet/AspNetCore/commit/876cfaeb57) checkin of project structure
* [`[a99fefd28d]`](https://github.com/aspnet/AspNetCore/commit/a99fefd28d) initial checkin (readme)
* [`[53268f3c9e]`](https://github.com/aspnet/AspNetCore/commit/53268f3c9e) Initial commit. - Added original music store and k10 and net45 versions with new framework.
* [`[cd93c4f551]`](https://github.com/aspnet/AspNetCore/commit/cd93c4f551) Don't use k-clean just delete the bin directory.
* [`[824b877b4a]`](https://github.com/aspnet/AspNetCore/commit/824b877b4a) Changed default target to initialize.
* [`[b1ff6d32d3]`](https://github.com/aspnet/AspNetCore/commit/b1ff6d32d3) Fixed up resources.
* [`[3a214ab213]`](https://github.com/aspnet/AspNetCore/commit/3a214ab213) ifdef all of the razor bits that are reliant on non-coreclr bits.
* [`[29571cce6d]`](https://github.com/aspnet/AspNetCore/commit/29571cce6d) Added nuget.config
* [`[768e2f09fc]`](https://github.com/aspnet/AspNetCore/commit/768e2f09fc) Added nuget.config
* [`[f1a2b3319d]`](https://github.com/aspnet/AspNetCore/commit/f1a2b3319d) Added new pwd
* [`[521a5c8517]`](https://github.com/aspnet/AspNetCore/commit/521a5c8517) Start to add a CodeTree codegen.
* [`[921a848cce]`](https://github.com/aspnet/AspNetCore/commit/921a848cce) Read compliationOptions per config.
* [`[d6cd02d121]`](https://github.com/aspnet/AspNetCore/commit/d6cd02d121) Updating abstractions
* [`[f7a4db4ae1]`](https://github.com/aspnet/AspNetCore/commit/f7a4db4ae1) Roughing out more abstractions
* [`[724897d0eb]`](https://github.com/aspnet/AspNetCore/commit/724897d0eb) Added super hacky RawOwinHttpContext for K profile.
* [`[ea97108e76]`](https://github.com/aspnet/AspNetCore/commit/ea97108e76) Swallow errors while trying to load types.
* [`[e5fb47158b]`](https://github.com/aspnet/AspNetCore/commit/e5fb47158b) Fixed project updates.
* [`[513295e19c]`](https://github.com/aspnet/AspNetCore/commit/513295e19c) Only update project file if there's changes to apply.
* [`[e0b89604ce]`](https://github.com/aspnet/AspNetCore/commit/e0b89604ce) Read the solution file so project guids don't change on regen.
* [`[44de535930]`](https://github.com/aspnet/AspNetCore/commit/44de535930) Updated solution file.
* [`[8415b190b1]`](https://github.com/aspnet/AspNetCore/commit/8415b190b1) Fixed how initialize is called.
* [`[a59d30011d]`](https://github.com/aspnet/AspNetCore/commit/a59d30011d) Renamed Mvc to WebFx.sln
* [`[afa22994bf]`](https://github.com/aspnet/AspNetCore/commit/afa22994bf) Fixing project.json schemas
* [`[d3ca896dd0]`](https://github.com/aspnet/AspNetCore/commit/d3ca896dd0) Handle per configuration package references when genning projects.
* [`[f36aa5ba3c]`](https://github.com/aspnet/AspNetCore/commit/f36aa5ba3c) Fixed up project.json to be more specific.
* [`[77b1c3fe3b]`](https://github.com/aspnet/AspNetCore/commit/77b1c3fe3b) Added netcore45 to the list of target frameworks.
* [`[d2fa7f031f]`](https://github.com/aspnet/AspNetCore/commit/d2fa7f031f) * Allow cached version of kRuntime to be used in install * Add k-init to allow restoring kRuntime as a one time operation
* [`[b7c803aa80]`](https://github.com/aspnet/AspNetCore/commit/b7c803aa80) Restore ProjectK package once.
* [`[9f5251231e]`](https://github.com/aspnet/AspNetCore/commit/9f5251231e) Use cache for ProjectK package
* [`[a9329da87b]`](https://github.com/aspnet/AspNetCore/commit/a9329da87b) Get the latest package.
* [`[667a7c24a4]`](https://github.com/aspnet/AspNetCore/commit/667a7c24a4) Updating script to use package from feed
* [`[328d43a638]`](https://github.com/aspnet/AspNetCore/commit/328d43a638) Updated the sample to use the owin http abstractions glue.
* [`[62bcfc0a95]`](https://github.com/aspnet/AspNetCore/commit/62bcfc0a95) Fixed up the func.
* [`[a8b4c71284]`](https://github.com/aspnet/AspNetCore/commit/a8b4c71284) Added temporary owin glue for HttpAbstractions based on Microsoft.Owin.
* [`[7637ca17dc]`](https://github.com/aspnet/AspNetCore/commit/7637ca17dc) Adding package source for private MyGet feed
* [`[84f35cab5e]`](https://github.com/aspnet/AspNetCore/commit/84f35cab5e) Handle defines and unsafe code.
* [`[97c064af5c]`](https://github.com/aspnet/AspNetCore/commit/97c064af5c) Added default configurations if none specified.
* [`[4a3491e5b8]`](https://github.com/aspnet/AspNetCore/commit/4a3491e5b8) Made project generation more robust so that it handles more cases.
* [`[be66f594af]`](https://github.com/aspnet/AspNetCore/commit/be66f594af) Updated project files.
* [`[a0de7048b5]`](https://github.com/aspnet/AspNetCore/commit/a0de7048b5) Ifdef to make stuff compile on both platforms.
* [`[b5a80997d6]`](https://github.com/aspnet/AspNetCore/commit/b5a80997d6) Fixed missing references node in k10 project
* [`[336e69a677]`](https://github.com/aspnet/AspNetCore/commit/336e69a677) Added content type and WriteAsync as a stop gap.
* [`[76ef358974]`](https://github.com/aspnet/AspNetCore/commit/76ef358974)  Moved tests to test folder and renamed solution.
* [`[93cff615c3]`](https://github.com/aspnet/AspNetCore/commit/93cff615c3) Create README.md
* [`[27ff7762e9]`](https://github.com/aspnet/AspNetCore/commit/27ff7762e9) Updating with work in progress
* [`[acdf8aa3bd]`](https://github.com/aspnet/AspNetCore/commit/acdf8aa3bd) Recursing to compile
* [`[b20ee8784c]`](https://github.com/aspnet/AspNetCore/commit/b20ee8784c) Initial code
* [`[f3008e8ff9]`](https://github.com/aspnet/AspNetCore/commit/f3008e8ff9) Renamed the solution file.
* [`[7adb658a38]`](https://github.com/aspnet/AspNetCore/commit/7adb658a38) Moving compilation to Microsoft.AspNet.Mvc.Razor
* [`[df5a6d30d6]`](https://github.com/aspnet/AspNetCore/commit/df5a6d30d6) * Migrating HtmlHelper stub * Updating project json files to new format
* [`[69a99e5c41]`](https://github.com/aspnet/AspNetCore/commit/69a99e5c41) Moving View overloads to Controller base type
* [`[cd744ed7bd]`](https://github.com/aspnet/AspNetCore/commit/cd744ed7bd) Nuke the bin folder
* [`[5f4807dc9e]`](https://github.com/aspnet/AspNetCore/commit/5f4807dc9e) Adding support for ViewData
* [`[0699e7aa40]`](https://github.com/aspnet/AspNetCore/commit/0699e7aa40) Adding support for disk based views with code generation and compilation
* [`[af14969b54]`](https://github.com/aspnet/AspNetCore/commit/af14969b54) Added tests project.
* [`[72e37d7ac6]`](https://github.com/aspnet/AspNetCore/commit/72e37d7ac6) Update code to be the latest bits.
* [`[b918cb8170]`](https://github.com/aspnet/AspNetCore/commit/b918cb8170) Adding view engines
* [`[1ba47fa480]`](https://github.com/aspnet/AspNetCore/commit/1ba47fa480) Extension methods/Object content/Dummy conneg/and formurlformatter
* [`[bd2e434da9]`](https://github.com/aspnet/AspNetCore/commit/bd2e434da9) Add JSON formatter support
* [`[99f612e5cb]`](https://github.com/aspnet/AspNetCore/commit/99f612e5cb) Use new reflection API
* [`[cb2e881d4b]`](https://github.com/aspnet/AspNetCore/commit/cb2e881d4b) Added project.json files.
* [`[e7ade37b3f]`](https://github.com/aspnet/AspNetCore/commit/e7ade37b3f) Moved the routing up a level.
* [`[81a4cfbfbf]`](https://github.com/aspnet/AspNetCore/commit/81a4cfbfbf) Call into the IActionResultFactory only if the return value isn't IActionResult.
* [`[307d2ea198]`](https://github.com/aspnet/AspNetCore/commit/307d2ea198) Reworked it so that it's fully action based. - The action invoker factory is the entry point to an mvc application. - The default implementation will use an IActionDescriptorProvider with   a IActionInvokerProvider to resolve an IActionInvoker to invoke.
* [`[b798736385]`](https://github.com/aspnet/AspNetCore/commit/b798736385) Treat returned strings as content results.
* [`[1dcafe5df4]`](https://github.com/aspnet/AspNetCore/commit/1dcafe5df4) Added basic HttpRequestMessage and HttpResponseMessage.
* [`[485eb48114]`](https://github.com/aspnet/AspNetCore/commit/485eb48114) Added IActionResultHelper and other services. - Support the Initialize pattern as an alternate ctor.
* [`[b575d2c337]`](https://github.com/aspnet/AspNetCore/commit/b575d2c337) Added action result sample.
* [`[fe173fca1e]`](https://github.com/aspnet/AspNetCore/commit/fe173fca1e) Added more stuff: - Added IActionResult and family.
* [`[3dfd79a26d]`](https://github.com/aspnet/AspNetCore/commit/3dfd79a26d) Initial commit.
